/*
 Copyright 2009-2020 Rumma & Ko Ltd
 License: BSD (see file COPYING for details)
*/

// lino.js --- generated Sun Oct 16 03:38:21 2022 by Lino Welfare Châtelet 22.9.0 for 100 (Integration agent).
Ext.BLANK_IMAGE_URL = '/static/ext-3.3.1/resources/images/default/s.gif';
LANGUAGE_CHOICES = [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ];
MEDIA_URL = "/media/";
GEN_TIMESTAMP = 1665891481.8040738;

// hack to add a toCamel function, inspired by
// http://jamesroberts.name/blog/2010/02/22/string-functions-for-javascript-trim-to-camel-case-to-dashed-and-to-underscore/
String.prototype.toCamel = function(){
  //~ return this.replace(/(\-[a-z])/g, function($1){return $1.toUpperCase().replace('-','');});
  //~ return this;
  return this.replace(/([A-Z])([A-Z]+)/g, function(match,p1,p2,offset,string){
      //~ console.log("20131005 got ",arguments);
      return p1 + p2.toLowerCase();});
};

if (!Array.prototype.last) {
    Array.prototype.last = function () {
        return this[this.length - 1];
    }
}


// 20151126 hack to modify Ext.EventObjectImpl.isSpecialKey() which
// returned false for Ctrl-S when called from a keyup handler (namely
// ComboBox.onLoad)

Ext.EventObjectImpl.prototype.isSpecialKey = function(){
    // same as original except for one line
    var k = this.normalizeKey(this.keyCode);
    // return (this.type == 'keypress' && this.ctrlKey) ||
    return (this.ctrlKey) ||
        this.isNavKeyPress() ||
        (k == this.BACKSPACE) ||
        (k >= 16 && k <= 20) ||
        (k >= 44 && k <= 46);
};





/* MonthPickerPlugin: thanks to keypoint @ sencha forum
   http://www.sencha.com/forum/showthread.php?74002-3.x-Ext.ux.MonthMenu&p=356860#post356860
*/
Ext.namespace('Ext.ux');

Ext.ux.MonthPickerPlugin = function() {
    var picker;
    var oldDateDefaults;

    this.init = function(pk) {
        picker = pk;
        picker.onTriggerClick = picker.onTriggerClick.createSequence(onClick);
        picker.getValue = picker.getValue.createInterceptor(setDefaultMonthDay).createSequence(restoreDefaultMonthDay);
        picker.beforeBlur = picker.beforeBlur.createInterceptor(setDefaultMonthDay).createSequence(restoreDefaultMonthDay);
    };

    function setDefaultMonthDay() {
        oldDateDefaults = Date.defaults.d;
        Date.defaults.d = 1;
        return true;
    }

    function restoreDefaultMonthDay(ret) {
        Date.defaults.d = oldDateDefaults;
        return ret;
    }

    function onClick(e, el, opt) {
        var p = picker.menu.picker;
        p.activeDate = p.activeDate.getFirstDateOfMonth();
        if (p.value) {
            p.value = p.value.getFirstDateOfMonth();
        }

        p.showMonthPicker();

        if (!p.disabled) {
            p.monthPicker.stopFx();
            p.monthPicker.show();

            p.mun(p.monthPicker, 'click', p.onMonthClick, p);
            p.mun(p.monthPicker, 'dblclick', p.onMonthDblClick, p);
            p.onMonthClick = p.onMonthClick.createSequence(pickerClick);
            p.onMonthDblClick = p.onMonthDblClick.createSequence(pickerDblclick);
            p.mon(p.monthPicker, 'click', p.onMonthClick, p);
            p.mon(p.monthPicker, 'dblclick', p.onMonthDblClick, p);
        }
    }

    function pickerClick(e, t) {
        var el = new Ext.Element(t);
        if (el.is('button.x-date-mp-cancel')) {
            picker.menu.hide();
        } else if(el.is('button.x-date-mp-ok')) {
            var p = picker.menu.picker;
            p.setValue(p.activeDate);
            p.fireEvent('select', p, p.value);
        }
    }

    function pickerDblclick(e, t) {
        var el = new Ext.Element(t);
        if (el.parent()
            && (el.parent().is('td.x-date-mp-month')
            || el.parent().is('td.x-date-mp-year'))) {

            var p = picker.menu.picker;
            p.setValue(p.activeDate);
            p.fireEvent('select', p, p.value);
        }
    }
};

Ext.preg('monthPickerPlugin', Ext.ux.MonthPickerPlugin);

// Override this function to put the listeners always on the keydown event regardless of the browser.See #2887
Ext.EventManager.getKeyEvent = function() {
  return 'keydown';
};

/**
JC Watsons solution (adapted to ExtJS 3.3.1 by LS) is elegant and simple:
`A "fix" for unchecked checkbox submission  behaviour
<http://www.sencha.com/forum/showthread.php?28449>`_

Added special handling for checkbox inputs.
ExtJS defines disabled checkboxes `readonly`, not `disabled` as for other inputs.

*/
Ext.lib.Ajax.serializeForm = function(form) {
    // console.log('20170731 linolib.js serializeForm', form);
    var fElements = form.elements || (document.forms[form] || Ext.getDom(form)).elements,
        hasSubmit = false,
        encoder = encodeURIComponent,
        name,
        data = '',
        type,
        hasValue;

    Ext.each(fElements, function(element){
        name = element.name;
        type = element.type;

        if (!element.disabled && name && !(type == 'checkbox' && element.readonly)) {
            if (/select-(one|multiple)/i.test(type)) {
                Ext.each(element.options, function(opt){
                    if (opt.selected) {
                        hasValue = opt.hasAttribute ? opt.hasAttribute('value') : opt.getAttributeNode('value').specified;
                        data += String.format("{0}={1}&", encoder(name), encoder(hasValue ? opt.value : opt.text));
                    }
                });
            } else if (!(/file|undefined|reset|button/i.test(type))) {
                //~ if (!(/radio|checkbox/i.test(type) && !element.checked) && !(type == 'submit' && hasSubmit)) {
                if (!(type == 'submit' && hasSubmit)) {
                    if (type == 'checkbox') {
                        //~ console.log('20111001',element,'data += ',encoder(name) + '=' + (element.checked ? 'on' : 'off') + '&');
                        data += encoder(name) + '=' + (element.checked ? 'on' : 'off') + '&';
                    } else {
                        //~ console.log('20111001',element,'data += ',encoder(name) + '=' + encoder(element.value) + '&');
                        data += encoder(name) + '=' + encoder(element.value) + '&';
                    }
                    hasSubmit = /submit/i.test(type);
                }
            }
        //~ } else {
            //~ console.log(name,type,element.readonly);
        }
    });
    return data.substr(0, data.length - 1);
};



/*
Set a long timeout of fifteen minutes.
See /blog/2012/0307
*/
Ext.Ajax.timeout = 15 * 60 * 1000;

/*
 * Thanks to
 * `huuze <http://stackoverflow.com/users/10040/huuuze>`_ for the question
 * and to
 * `chrisv <http://stackoverflow.com/users/683808/chrisv>`_
 * for the answer on
 * http://stackoverflow.com/questions/3764589/how-do-i-include-django-1-2s-csrf-token-in-a-javascript-generated-html-form/5485616#5485616
 *
 * */

Ext.Ajax.on('beforerequest', function (conn, options) {
   if (!(/^http:.*/.test(options.url) || /^https:.*/.test(options.url))) {
     if (typeof(options.headers) == "undefined") {
       options.headers = {'X-CSRFToken': Ext.util.Cookies.get('csrftoken')};
     } else {
       options.headers['X-CSRFToken'] = Ext.util.Cookies.get('csrftoken');
     }
   }
}, this);

// Ext.apply(Ext.EventManager, function(){
//     return{
//         getKeyEvent : function(){
//                //return useKeydown ? 'keydown' : 'keypress';
//            return 'keydown';
//            },
// }});

/* This probably worked, but was not used in real world.
My fix for the "Cannot set QuickTips dismissDelay to 0" bug,
see http://www.sencha.com/forum/showthread.php?183515

*/
// Ext.override(Ext.QuickTip,{
//   showAt : function(xy){
//         var t = this.activeTarget;
//         // console.log("20171024 QuickTip.showAt",this.title,this.dismissDelay,t.dismissDelay);
//         if(t){
//             if(!this.rendered){
//                 this.render(Ext.getBody());
//                 this.activeTarget = t;
//             }
//             if(t.width){
//                 this.setWidth(t.width);
//                 this.body.setWidth(this.adjustBodyWidth(t.width - this.getFrameWidth()));
//                 this.measureWidth = false;
//             } else{
//                 this.measureWidth = true;
//             }
//             this.setTitle(t.title || '');
//             this.body.update(t.text);
//             this.autoHide = t.autoHide;
//             // bugfix by Luc 20120226
//             if (t.dismissDelay != undefined) this.dismissDelay = t.dismissDelay;
//             //~ this.dismissDelay = t.dismissDelay || this.dismissDelay;
//             if(this.lastCls){
//                 this.el.removeClass(this.lastCls);
//                 delete this.lastCls;
//             }
//             if(t.cls){
//                 this.el.addClass(t.cls);
//                 this.lastCls = t.cls;
//             }
//             if(this.anchor){
//                 this.constrainPosition = false;
//             }else if(t.align){
//                 xy = this.el.getAlignToXY(t.el, t.align);
//                 this.constrainPosition = false;
//             }else{
//                 this.constrainPosition = true;
//             }
//         }
//         Ext.QuickTip.superclass.showAt.call(this, xy);
//     }
// });

/*
Another hack. See /docs/blog/2012/0228
*/
Ext.Element.addMethods(
    function() {
        var VISIBILITY      = "visibility",
            DISPLAY         = "display",
            HIDDEN          = "hidden",
            NONE            = "none",
            XMASKED         = "x-masked",
            XMASKEDRELATIVE = "x-masked-relative",
            data            = Ext.Element.data;

        return {

            mask : function(msg, msgCls) {
                var me  = this,
                    dom = me.dom,
                    dh  = Ext.DomHelper,
                    EXTELMASKMSG = "ext-el-mask-msg",
                    el,
                    mask;
                // removed the following lines. See /docs/blog/2012/0228
                //~ if (!(/^body/i.test(dom.tagName) && me.getStyle('position') == 'static')) {
                    //~ console.log(20120228,dom.tagName,me);
                    //~ me.addClass(XMASKEDRELATIVE);
                //~ }
                if (el = data(dom, 'maskMsg')) {
                    el.remove();
                }
                if (el = data(dom, 'mask')) {
                    el.remove();
                }

                mask = dh.append(dom, {cls : "ext-el-mask"}, true);
                data(dom, 'mask', mask);

                me.addClass(XMASKED);
                mask.setDisplayed(true);

                if (typeof msg == 'string') {
                    var mm = dh.append(dom, {cls : EXTELMASKMSG, cn:{tag:'div'}}, true);
                    data(dom, 'maskMsg', mm);
                    mm.dom.className = msgCls ? EXTELMASKMSG + " " + msgCls : EXTELMASKMSG;
                    mm.dom.firstChild.innerHTML = msg;
                    mm.setDisplayed(true);
                    mm.center(me);
                }


                if (Ext.isIE && !(Ext.isIE7 && Ext.isStrict) && me.getStyle('height') == 'auto') {
                    mask.setSize(undefined, me.getHeight());
                }

                return mask;
            }


        };
    }()
);



Ext.namespace('Lino');

Lino.insert_linoweb_version = function(p){
    p.lv = GEN_TIMESTAMP;
};


//~ Lino.subst_user_field = new Ext.form.ComboBox({});
//~ Lino.subst_user = null;
Lino.insert_subst_user = function(p){
    Lino.insert_linoweb_version(p);
    //~ console.log('20120714 insert_subst_user',Lino.subst_user,p);
    if (!p.ul)
      if (Lino.user_language)
        p.ul = Lino.user_language;

    if (p.su) return;
    if (Lino.subst_user) {
        //~ p.su = Lino.subst_user_field.getValue();
        p.su = Lino.subst_user;
    //~ } else {
        //~ delete p.su;
    }
    //~ console.log('20120714 insert_subst_user -->',Lino.subst_user,p);
}

// Lino.login_window = null;



Lino.set_subst_user = function(id, name) {
    //~ console.log(20130723,'Lino.set_subst_user',id,name,Lino.current_window,Lino.viewport);
    Lino.subst_user = id;
    if (Lino.current_window)
        Lino.current_window.main_item.set_base_param("su",id);
    if (Lino.viewport)
        Lino.permalink_handler(Lino.current_window)();
}

Lino.set_user_language = function(lang) {
    Lino.user_language = lang;
    if (Lino.current_window)
        Lino.current_window.main_item.set_base_param("ul", lang);
    if (Lino.viewport)
        Lino.permalink_handler(Lino.current_window)();
}

Lino.goto_record_id = function(pk) {

    if (Lino.current_window)
        Lino.current_window.main_item.goto_record_id(pk);
}


//~ Lino.select_subst_user = function(cmp,rec,value){
    //~ Lino.subst_user=value;
    //~ console.log(20120713,rec);
//~ }

Lino.current_window = null;
Lino.window_history = Array();

Lino.chars2width = function(cols) {  return cols * 9; }
Lino.rows2height = function(cols) {  return cols * 20; }
Lino.perc2width = function(perc) {
    // var w = Math.max(document.documentElement.clientWidth, window.innerWidth);
    // console.log("20151226", document, window, w);
    var w = Lino.viewport.getWidth();
    return w * perc / 100;
}



Lino.MainPanel = {
  is_home_page: false
  ,auto_apply_params: true
  ,setting_param_values : false
  ,config_containing_window : function(wincfg) { }
  ,init_containing_window : function(win) { }
  ,is_loading : function() {
      if (!this.rendered) return true;
      //~ return (Ext.select('.x-loading-msg').elements.length > 0);
      return true;
    }
  ,do_when_clean : function(auto_save,todo) { todo() }
  ,get_master_params : function() {
    var p = {}
    p['mt'] = this.content_type;
    rec = this.get_current_record()
    if (rec) {
      if (rec.phantom) {
          p['mk'] = undefined;
      }else{
          p['mk'] = rec.id;
      }
    } else {
      p['mk'] = undefined;
    }
    //~ console.log('get_master_params returns',p,'using record',rec);
    return p;
  }
  ,get_permalink : function() {
    var p = Ext.apply({}, this.get_base_params());
    delete p.fmt;
    delete p.lv;
    Ext.apply(p, this.get_permalink_params());

    if (this.toggle_params_panel_btn) {
        p.sp = this.toggle_params_panel_btn.pressed;
        //~ if (this.toggle_params_panel_btn.pressed == this.params_panel_hidden) {
          //~ p.sp = true;
        //~ }
    }

    //~ Lino.insert_subst_user(p);
     //~ p.fmt = 'html';
    //~ console.log('get_permalink',p,this.get_permalink_params());
    if (this.is_home_page)
        //~ var url = '';
        var url = '/';
    else
        var url = this.get_permalink_url();
    if (p.su == null)
        delete p.su;
    if (Ext.urlEncode(p)) url = url + "?" + Ext.urlEncode(p);
    return url;
  }
  ,get_record_url : function(record_id) {
      var url = '/api' + this.ls_url
      //~ var url = this.containing_window.config.url_data; // ls_url;
      url += '/' + (record_id === undefined ? this.default_record_id : String(record_id));
      //~ if (record_id !== undefined) url += '/' + String(record_id);
      //~ url += '/' + String(record_id);
      return url;
  }
  ,get_permalink_url : function() {
      return '/api' + this.ls_url;
  }
  ,get_permalink_params : function() {
      //~ return {an:'grid'};
      var p = {};
      if (this.action_name)
          p.an = this.action_name;
      this.add_param_values(p,false)
      return p;
  }
  /*

  Lino.MainPanel.set_status() : the status can have the following keys:

  - param_values : values of parameter fields
  - field_values : values of action parameter fields
  - base_params
  - record_id
  - active_tab
  - data_record
  - show_params_panel
  - current_page

   */
  ,set_status : function(status, requesting_panel) {}
  ,get_status : function() { return {}}
  ,refresh : function() {}
  ,get_base_params : function() {  // Lino.MainPanel
    var p = {};
    Lino.insert_subst_user(p);
    Lino.insert_linoweb_version(p);
    return p;
  }
  ,add_params_panel : function (tbar) {
      if (this.params_panel) {
        //~  20130923b
        //~ this.params_panel.autoHeight = true; // 20130924
        var t = this;
        var update = function() {
            var p = t.params_panel;
            //~ console.log("update", p.getSize().height,p.forceLayout,p.autoHeight);
            var w = t.get_containing_window();
            Lino.do_when_visible(w, function() {
                //~ p.doLayout(true); // doLayout(shallow, force)
                w.doLayout(true); // doLayout(shallow, force)
                //~ t.params_panel.on('afterlayout',update,t,{single:true});
            });
        };
        Lino.do_when_visible(this.params_panel, update);
        this.params_panel.on('show',update);
        this.params_panel.on('hide',update);
        //~ this.params_panel.on('bodyresize',update);
        this.params_panel.on('afterlayout',update);
        //~ this.params_panel.on('afterlayout',update,this,{single:true});
        //~ this.params_panel.on('bodyresize',update,this,{single:true});
        //~ this.params_panel.on('resize',update,this,{single:true});
        //~ this.params_panel.on('render',update,this,{single:true});

        // this.params_panel.on('render',
        //~ this.params_panel.on('afterlayout',update,this,{single:true,delay:200});
        //~ this.params_panel.on('bodyresize',update,this,{single:true,delay:200});
        this.toggle_params_panel_btn = new Ext.Button({ scope:this,
          //~ text: "$_("[parameters]")", // gear
          iconCls: 'x-tbar-database_gear',
          tooltip:"Show or hide the table parameters panel",
          enableToggle: true,
          //~ pressed: ! this.params_panel.hidden,
          pressed: ! this.params_panel_hidden,
          toggleHandler: function(btn,state) {
            //~ console.log("20120210 add_params_panel",state,this.params_panel);
            if (state) {
                this.params_panel.show();
            } else {
                this.params_panel.hide();
            }
            //~ this.params_panel.on('afterlayout',update,this,{single:true});
            //~ t.get_containing_window().doLayout();
            //~ this.params_panel.on('afterlayout',function() {
                //~ console.log("20130918 afterlayout");
                //~ t.get_containing_window().doLayout(); // doLayout(shallow, force)
            //~ },this,{single:true});
          }
        });
        tbar = tbar.concat([this.toggle_params_panel_btn]);

        if (this.auto_apply_params) {
            var refresh = function() {
                if (!t.setting_param_values) {
                    t._force_dirty = true;
                    t.refresh();
                }
            }
            Ext.each(this.params_panel.fields,function(f) {
              //~ f.on('valid',function() {t.refresh()});
              if (f instanceof Ext.form.Checkbox) {
                  f.on('check',refresh);
//              } else if (f instanceof Ext.DatePicker) {
//                  f.on('select',refresh);
//                  console.log('Ext.DatePicker');
              } else if (f instanceof Ext.form.DateField) {
                  f.on('change',refresh);
              } else if (f instanceof Ext.form.TriggerField) {
                  f.on('select',refresh);
                  //~ f.on('change',refresh);
                  //~ f.on('valid',refresh);
              } else {
                  if (! f.on)
                      console.log("20121010 no method 'on'",f);
                  else
                      f.on('change',refresh);
                }
              });
        }
      }
      return tbar;
  }
  ,add_param_values : function (p,force_dirty) {
    if (this.params_panel) {
      /*
      * 20120918 add param_values to the request string
      * *only if the params_form is dirty*.
      * Otherwise Actor.default_params() would never be used.
      *
      * 20121023 But IntegClients.params_default has non-empty default values.
      * Users must have the possibility to make them empty.
      *
      * 20130605 : added `force_dirty` parameter because Checkbox fields don't
      * mark their form as dirty when check is fired.
      *
      * 20130721 : `force_dirty` not as a parameter but as
      * `this._force_dirty` because
      *
      * 20130915 : both _force_dirty and force_dirty parameter are needed.
      *
      */
      if (force_dirty || this._force_dirty || this.params_panel.form.isDirty()) {
      //~ if (this._force_dirty || this.params_panel.form.isDirty()) {
        p.pv = this.get_param_values();
        //~ console.log("20130923 form is dirty (",force_dirty,this._force_dirty,this.params_panel.form.isDirty(),")");
        //~ console.log("20130923 form is dirty",p);
      }else{
        //~ console.log("20130923 form not dirty:",this.params_panel.form);
        if (this.status_param_values)
          p.pv = Lino.fields2array(
            this.params_panel.fields,this.status_param_values);
      }
      //~ if (!this.params_panel.form.isDirty()) return;
      //~ p.pv = this.get_param_values();
      //~ console.log("20120203 add_param_values added pv",p.pv,"to",p);
    }
    else if(this.use_detail_params_value){
      let params_panel = this.ownerCt.ownerCt.ownerCt.params_panel || this.ownerCt.ownerCt.params_panel
      p.pv = Lino.fields2array(params_panel.fields);
      }
  },
  get_param_values : function() { // similar to get_field_values()
      return Lino.fields2array(this.params_panel.fields);
  },
  set_param_values : function(pv) {
    if (this.params_panel) {
      //~ console.log('20120203 MainPanel.set_param_values', pv);
      this.status_param_values = pv;
      //~ this.params_panel.form.suspendEvents(false);
      this.setting_param_values = true;
      if (pv) {
          this.params_panel.form.my_loadRecord(pv);
      } else {
        this.params_panel.form.reset();
      }
      this.setting_param_values = false;
      this._force_dirty = false;
      //~ this.params_panel.form.resumeEvents();
    }
  }
};




Lino.Viewport = Ext.extend(Ext.Viewport, Lino.MainPanel);
Lino.Viewport = Ext.extend(Lino.Viewport, {
  layout : "fit"
  ,is_home_page : true
  ,initComponent : function(){
    Lino.Viewport.superclass.initComponent.call(this);
    this.on('render',function(){
      this.loadMask = new Ext.LoadMask(this.el,{msg:"Please wait..."});
      //~ console.log("20121118 Lino.viewport.loadMask",this.loadMask);
    },this);
  }
  ,refresh : function() {
      var caller = this;
      // console.log("20140829 Lino.Viewport.refresh()");
      if (caller.loadMask) caller.loadMask.show();
      var success = function(response) {
        if (caller.loadMask) caller.loadMask.hide();
        if (response.responseText) {
          var result = Ext.decode(response.responseText);
          //~ console.log('Lino.do_action()',action.name,'result is',result);
          if (result.html) {
              var cmp = Ext.getCmp('dashboard');
              // cmp.removeAll(true);  // 20140829
              cmp.update(result.html, true);
          }

        if (result.message) {
            //~ if (result.alert && ! gridmode) {
            if (result.alert) { // 20120628b
                //~ Ext.MessageBox.alert('Alert',result.alert_msg);
                if (result.alert === true) result.alert = "Alert";
                Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
            } else {
                Lino.notify(result.message);
            }
        }
          if (result.notify_msg) Lino.notify(result.notify_msg);
          if (result.js_code) {
            var jsr = result.js_code(caller);
            //~ console.log('Lino.do_action()',action,'returned from js_code in',result);
          };
        }
      };
      var p = {}
      Lino.insert_linoweb_version(p);
      var action = {
        url : '/api/main_html',
        waitMsg: "Please wait...",
        failure: Lino.ajax_error_handler(caller),
        success: success,
        method: 'GET',
        params: {}
      };
      Lino.insert_subst_user(action.params);
      Ext.Ajax.request(action);

  }
});




Lino.open_window = function(win, st, requesting_panel) {
  // console.log("20140831 Lino.open_window()", win, win.el.getBox());
  var cw = Lino.current_window;
  if (cw) {
    // console.log("20140829 Lino.open_window() save current status",
    //             cw.main_item.get_status());
    Lino.window_history.push({
      window:cw,
      status:cw.main_item.get_status()
    });
  }
  Lino.current_window = win;
  //~ if (st.su)
      //~ Lino.subst_user_field.setValue(st.su);
  win.main_item.set_status(st, requesting_panel);
  // win.toFront();
  win.show();
};

Lino.load_url = function(url) {
    //~ foo.bar.baz = 2;
    //~ console.log("20121120 Lino.load_url()");
    //~ Lino.body_loadMask.show();
    Lino.viewport.loadMask.show();
    //~ location.replace(url);
    document.location = url;
}

Lino.close_window = function(status_update, norestore) {
  // norestore is true when called by handle_action_result() who
  // will call set_status() itself later
  var cw = Lino.current_window;
  var ww = Lino.window_history.pop();
  var retval = cw.main_item.requesting_panel;
  // console.log(
  //     "20150514 Lino.close_window() going to close", cw.title,
  //     "previous is", ww,
  //     "norestore is", norestore,
  //     "retval is", retval);
  if (ww) {
    //~ if (status_update) Ext.apply(ww.status,status_update);
    if(!norestore) {
        if (status_update) status_update(ww);
        // 20180725 ww.window.main_item.set_status(ww.status , cw.id);
        ww.window.main_item.set_status(ww.status , retval);
    }
    Lino.current_window = ww.window;
  } else {
      Lino.current_window = null;
      // new since 20140829:
      if(!norestore) { Lino.viewport.refresh(); }
  }
  if (cw) cw.hide_really();
  return retval;
};

Lino.kill_current_window = function() {
  // console.log("20140418 Lino.kill_current_window()");
  var cw = Lino.current_window;
  Lino.current_window = null;
  if (cw) cw.hide_really();
};

Lino.reload = function() {
    // First close all windows to ensure all changes are saved
    Lino.close_all_windows();

    // Then reload current view
    var url =  "/"

    var p = {};
    Lino.insert_subst_user(p)
    if (Ext.urlEncode(p))
        url = url + "?" + Ext.urlEncode(p);

    Lino.load_url(url);
}

Lino.handle_home_button = function() {
  if (Lino.window_history.length == 0)
      Lino.reload();
  else
      Lino.close_all_windows();
}

Lino.close_all_windows = function() {
    while (Lino.window_history.length > 0) {
        Lino.close_window();
    }
}

Lino.calling_window = function() {
    if (Lino.window_history.length)
        return Lino.window_history[Lino.window_history.length-1];
}

//~ Lino.WindowAction = function(mainItemClass,windowConfig,mainConfig,ppf) {
Lino.WindowAction = function(windowConfig,main_item_fn) {
    //~ if(!mainConfig) mainConfig = {};
    //~ mainConfig.is_main_window = true;
    this.windowConfig = windowConfig;
    this.main_item_fn = main_item_fn;
    //~ if (ppf) mainConfig.params_panel.fields = ppf;
    //~ this.mainConfig = mainConfig;
    //~ this.mainItemClass = mainItemClass;
};

Lino.WindowAction = Ext.extend(Lino.WindowAction,{
    window : null,
    //~ mainItemClass: null,
    get_window : function() {
      //~ if(mainConfig) Ext.apply(this.mainConfig,mainConfig);
      // if (this.window == null || this.window.isDestroyed)  { // 20140829
      // if (this.window == null || this.window.getBox().width == 0)  { // 20140829
      if (this.window == null)  {
      // if (true)  {
          //~ this.windowConfig.main_item = new this.mainItemClass(this.mainConfig);
          this.windowConfig.main_item = this.main_item_fn();
          this.window = new Lino.Window(this.windowConfig);
      }
      return this.window;
    },
    run : function(requesting_panel, status) {
      // console.log('20140829 window_action.run()', this)
      Lino.open_window(this.get_window(), status, requesting_panel);
    }

});


Lino.PanelMixin = {
  get_containing_window : function (){
      if (this.containing_window) return this.containing_window;
      return this.containing_panel.get_containing_window();
  }
  ,set_window_title : function(title) {
    //~ this.setTitle(title);
    var cw = this.get_containing_window();

    //~ if (cw) {
    //~ if (cw && cw.closable) {
    if (cw && !cw.main_item.hide_window_title) {
      //~ console.log('20111202 set_window_title(',title,') for',this.containing_window);
      //~ if (! this.containing_window.rendered) console.log("WARNING: not rendered!");
      cw.setTitle(title);
    //~ } else {
      //~ document.title = title;
    }
    //~ else console.log('20111202 not set_window_title(',title,') for',this);
  }

};


// Lino.status_bar = new Ext.ux.StatusBar({defaultText:'Lino version 22.10.1.'});






/*
  Originally copied from Ext JS Library 3.3.1
  Modifications by Luc Saffre :
  - rendering of phantom records
  - fire afteredit event
  - react on dblclcik, not on single click

 */
Lino.CheckColumn = Ext.extend(Ext.grid.Column, {

    processEvent : function(name, e, grid, rowIndex, colIndex){
        //~ console.log('20110713 Lino.CheckColumn.processEvent',name)
        if (name == 'click') {
        //~ if (name == 'mousedown') {
        //~ if (name == 'dblclick') {
            return this.toggleValue(grid, rowIndex, colIndex);
        } else {
            return Ext.grid.ActionColumn.superclass.processEvent.apply(this, arguments);
        }
    },

    toggleValue : function (grid,rowIndex,colIndex) {
        var record = grid.store.getAt(rowIndex);
        var dataIndex = grid.colModel.getDataIndex(colIndex);
        // 20120514
        //~ if(record.data.disabled_fields && record.data.disabled_fields[dataIndex]) {
          //~ Lino.notify("This field is disabled");
          //~ return false;
        //~ }

        //~ if (dataIndex in record.data['disabled_fields']) {
            //~ Lino.notify("This field is disabled.");
            //~ return false;
        //~ }
        var startValue = record.data[dataIndex];
        var value = !startValue;
        //~ record.set(this.dataIndex, value);
        var e = {
            grid: grid,
            record: record,
            field: dataIndex,
            originalValue: startValue,
            value: value,
            row: rowIndex,
            column: colIndex,
            cancel: false
        };
        if(grid.fireEvent("beforeedit", e) !== false && !e.cancel){
        //~ if(grid.fireEvent("validateedit", e) !== false && !e.cancel){
            record.set(dataIndex, value);
            delete e.cancel;
            grid.fireEvent("afteredit", e);
        }
        return false; // Cancel event propagation
    },

    renderer : function(v, p, record){
        if (record.phantom) return '';
        p.css += ' x-grid3-check-col-td';
        return String.format('<div class="x-grid3-check-col{0}">&#160;</div>', v ? '-on' : '');
    }

    // Deprecate use as a plugin. Remove in 4.0
    // init: Ext.emptyFn
});

// register ptype. Deprecate. Remove in 4.0
// Ext.preg('checkcolumn', Lino.CheckColumn);

// backwards compat. Remove in 4.0
// Ext.grid.CheckColumn = Lino.CheckColumn;

// register Column xtype
Ext.grid.Column.types.checkcolumn = Lino.CheckColumn;


/* 20110725 :
Lino.on_tab_activate is necessary
in contacts.Person.2.dtl
(but don't ask me why...)
*/
Lino.on_tab_activate = function(item) {
  //~ console.log('activate',item);
  if (item.rendered && item.doLayout) item.doLayout();
  //~ if (item.rendered) item.doLayout();
}

Lino.TimeField = Ext.extend(Ext.form.TimeField,{
  format: 'H:i',
  altFormats: 'g:ia|g:iA|g:i a|g:i A|h:i|g:i|H:i|ga|ha|gA|h a|g a|g A|gi|hi|gia|hia|g|H|gi a|hi a|giA|hiA|gi A|hi A|Hi|g.ia|g.iA|g.i a|g.i A|h.i|g.i|H.i',
  increment: 15
  });
Lino.DateField = Ext.extend(Ext.form.DateField,{
  //~ boxMinWidth: Lino.chars2width(15), // 20131005 changed from 11 to 15
  format: 'd.m.Y',
  altFormats: 'd/m/Y|Y-m-d'
  });
Lino.DatePickerField = Ext.extend(Ext.DatePicker,{
  //~ boxMinWidth: Lino.chars2width(11),
  format: 'd.m.Y',
  //~ altFormats: 'd/m/Y|Y-m-d'
  formatDate : function(date){
      //~ console.log("20121203 formatDate",this.name,date);
      return Ext.isDate(date) ? date.dateFormat(this.format) : date;
  }
  });
Lino.DateTimeField = Ext.extend(Ext.ux.form.DateTime,{
  dateFormat: 'd.m.Y',
  timeFormat: 'H:i'
  //~ ,hiddenFormat: 'd.m.Y H:i'
  });
Lino.URLField = Ext.extend(Ext.form.TriggerField,{
  triggerClass : 'x-form-search-trigger',
  //~ triggerClass : 'x-form-world-trigger',
  vtype: 'url',
  onTriggerClick : function() {
    //~ console.log('Lino.URLField.onTriggerClick',this.value)
    //~ document.location = this.value;
    window.open(this.getValue(),'_blank');
  }
});
Lino.IncompleteDateField = Ext.extend(Ext.form.TextField,{
  //~ regex: /^-?\d+-[01]\d-[0123]\d$/,
  //~ regex: /^[0123]\d\.[01]\d\.-?\d+$/,
  maxLength: 10,
  boxMinWidth: Lino.chars2width(10),
  regex: /^[0123]?\d\.[01]?\d\.-?\d+$/,
  regexText: 'Enter a date in format YYYY-MM-DD (use zeroes for unknown parts).'
  });


//~ Lino.make_dropzone = function(cmp) {
    //~ cmp.on('render', function(ct, position){
      //~ ct.el.on({
        //~ dragenter:function(event){
          //~ event.browserEvent.dataTransfer.dropEffect = 'move';
          //~ return true;
        //~ }
        //~ ,dragover:function(event){
          //~ event.browserEvent.dataTransfer.dropEffect = 'move';
          //~ event.stopEvent();
          //~ return true;
        //~ }
        //~ ,drop:{
          //~ scope:this
          //~ ,fn:function(event){
            //~ event.stopEvent();
            //~ console.log(20110516);
            //~ var files = event.browserEvent.dataTransfer.files;
            //~ if(files === undefined){
              //~ return true;
            //~ }
            //~ var len = files.length;
            //~ while(--len >= 0){
              //~ console.log(files[len]);
              //~ // this.processDragAndDropFileUpload(files[len]);
            //~ }
          //~ }
        //~ }
      //~ });
    //~ });
//~ };

//~ Lino.FileUploadField = Ext.ux.form.FileUploadField;

Lino.FileUploadField = Ext.extend(Ext.ux.form.FileUploadField,{
    ctCls :"field-margin",
    unused_onRender : function(ct, position){
      Lino.FileUploadField.superclass.onRender.call(this, ct, position);
      this.el.on({
        dragenter:function(event){
          event.browserEvent.dataTransfer.dropEffect = 'move';
          return true;
        }
        ,dragover:function(event){
          event.browserEvent.dataTransfer.dropEffect = 'move';
          event.stopEvent();
          return true;
        }
        ,drop:{
          scope:this
          ,fn:function(event){
            event.stopEvent();
            //~ console.log(20110516);
            var files = event.browserEvent.dataTransfer.files;
            if(files === undefined){
              return true;
            }
            var len = files.length;
            while(--len >= 0){
              console.log(files[len]);
              //~ this.processDragAndDropFileUpload(files[len]);
            }
          }
        }
      });
    }
});

Lino.FileField = Ext.extend(Ext.form.TriggerField,{
  triggerClass : 'x-form-search-trigger',
  editable: false,
  onTriggerClick : function() {
    //~ console.log('Lino.URLField.onTriggerClick',this.value)
    //~ document.location = this.value;
    if (this.getValue()) window.open(MEDIA_URL + '/'+this.getValue(),'_blank');
  }
});

Lino.file_field_handler = function(panel,config) {
  if (panel.action_name == 'insert') {
      panel.has_file_upload = true;


      // config.value = '<br/><br/>';

      var f = new Lino.FileUploadField(config);
      //~ Lino.make_dropzone(f);
      return f;
      //~ return new Ext.ux.form.FileUploadField(config);
      //~ return new Lino.FileField(config);

  } else {
      //~ return new Lino.URLField(config);
      return new Lino.FileField(config);
  }
}

Lino.VBorderPanel = Ext.extend(Ext.Panel,{
    constructor : function(config) {
      config.layout = 'border';
      delete config.layoutConfig;
      Lino.VBorderPanel.superclass.constructor.call(this,config);
      for(var i=0; i < this.items.length;i++) {
        var item = this.items.get(i);
        if (this.isVertical(item) && item.collapsible) {
          item.on('collapse',this.onBodyResize,this);
          item.on('expand',this.onBodyResize,this);
        }
      }
    },
    isVertical : function(item) {
       return (item.region == 'north' || item.region == 'south' || item.region == 'center');
    },
    onBodyResize: function(w, h){
        //~ console.log('VBorderPanel.onBodyResize',this.title)
      if (this.isVisible()) { // to avoid "Uncaught TypeError: Cannot call method 'getHeight' of undefined."
        var sumflex = 0;
        var availableHeight = this.getInnerHeight();
        var me = this;
        this.items.each(function(item){
          if (me.isVertical(item)) {
              if (item.collapsed || item.flex == 0 || item.flex === undefined) {
                  if (item.rendered) availableHeight -= item.getHeight();
              } else {
                  sumflex += item.flex;
              }
          }

        });
        //~ for(var i=0; i < this.items.length;i++) {
          //~ var item = this.items.get(i);
          //~ // if (this.isVertical(item) && item.getResizeEl()) {
          //~ if (this.isVertical(item)) {
              //~ if (item.collapsed || item.flex == 0 || item.flex === undefined) {
                  //~ // item.syncSize()
                  //~ // item.doLayout()
                  //~ // if (item.region == "north") console.log('region north',item.getHeight(),item.id, item);
                  //~ // if (item.getHeight() == 0) console.log(20100921,'both flex and getHeight() are 0!');
                  //~ availableHeight -= item.getHeight();
              //~ } else {
                  //~ sumflex += item.flex;
                  //~ // console.log(item.flex);
              //~ }
          //~ }
          //~ // else console.log('non-vertical item in VBoderPanel:',item)
        //~ }
        var hunit = availableHeight / sumflex;
        //~ console.log('sumflex=',sumflex,'hunit=',hunit, 'availableHeight=',availableHeight);
        for(var i=0; i < this.items.length;i++) {
          var item = this.items.get(i);
          if (this.isVertical(item)) {
              if (item.flex != 0 && ! item.collapsed) {
                  item.setHeight(hunit * item.flex);
                  //~ console.log(item.region,' : height set to',item.getHeight());
              }
          }
          //~ else console.log('non-vertical item in VBoderPanel:',item)
        }
      }
      Lino.VBorderPanel.superclass.onBodyResize.call(this, w, h);
    }
});


/*
  modifications to the standard behaviour of a CellSelectionModel:

*/
Ext.override(Ext.grid.CellSelectionModel, {
//~ var dummy = {

    getRowFrompx : function(px){
        g = this.grid;
        rows = g.getView().getRows();
        total_height = 0,
        searched_row = 0;
        for (row in rows){
            if (total_height < px){
                searched_row += 1;
                total_height += rows[row].clientHeight;
                }
            else{
                return searched_row;
            }
        }

    },
    handleKeyDown : function(e){
        /* removed because F2 wouldn't pass
        if(!e.isNavKeyPress()){
            return;
        }
        */
        //~ console.log('handleKeyDown',e)
        var k = e.getKey(),
            g = this.grid,
            s = this.selection,
            sm = this,
            walk = function(row, col, step){
                return g.walkCells(
                    row,
                    col,
                    step,
                    g.isEditor && g.editing ? sm.acceptsNav : sm.isSelectable,
                    sm
                );
            },
            cell, newCell, r, c, ae;
            t = g.getTopToolbar();
            if (t != undefined){
                d = t.getPageData();
            }
            else{
                d = undefined;
            }

        switch(k){
            case e.ESC:
                break;
            default:
                // e.stopEvent(); // removed because Browser keys like Alt-Home, Ctrl-R wouldn't work
                break;
        }

        if(!s){
            cell = walk(0, 0, 1);
            if(cell){
                this.select(cell[0], cell[1]);
            }
            return;
        }

        cell = s.cell;
        r = cell[0];
        c = cell[1];

        switch(k){
            case e.TAB:
                if(e.shiftKey){
                    newCell = walk(r, c - 1, -1);
                    // prev + [-1 -1]
                }else{
                    newCell = walk(r, c + 1, 1);
                }
                e.stopEvent(); // Don't allow tab to cause grid to loose focus
                if(!newCell && d != undefined){
                    var self = this;
                    var new_page = e.shiftKey? Math.max(1, d.activePage -1) : Math.min(d.pages, d.activePage +1) ;
                    if (d.activePage !== new_page) {
                        t.on('change', function (tb, pageData) {
                            if (e.shiftKey) {
                                self.select(
                                    Math.min(r, g.store.getCount() - 1),
                                    g.getColumnModel().getColumnsBy(function (col) {return !col.hidden}).last().colIndex
                                );
                            }else {
                                self.select(0,0);
                            }
                            //~ console.log('change',r,c);
                        }, this, {single: true});

                        if (e.shiftKey) {
                            t.movePrevious();
                        } else {
                            t.moveNext();
                        }
                        return;}
                }
                break;
            case e.HOME:
                if (!(g.isEditor && g.editing)) {
                    if (!e.hasModifier()) {
                        newCell = [r, 0];
                        //~ console.log('home',newCell);
                        break;
                    } else {
                        var activePage = Math.ceil((t.cursor + t.pageSize) / t.pageSize);
                        if (e.ctrlKey && activePage > 1) {
                            e.stopEvent();
                            var self = this;
                            t.on('change', function (tb, pageData) {
                                self.select(0, c);
                                //~ console.log('change',r,c);
                            }, this, {single: true});

                            t.moveFirst();
                            return;
                        }
                        newCell = [0, c];
                        break;
                    }
                }
            case e.END:
                if (!(g.isEditor && g.editing)) {
                    if (!e.hasModifier()) {
                        newCell = [r, g.getColumnModel().getColumnsBy(function (col) {
                            return !col.hidden
                        }).last().colIndex];
                        //~ console.log('end',newCell);
                        break;
                    } else if (d != undefined){
                        if (e.ctrlKey && d.activePage < d.pages) {
                            e.stopEvent();
                            var self = this;
                            t.on('change', function (tb, pageData) {
                                var r = g.store.getCount() - 1;
                                self.select(r, c);
                                //~ console.log('change',r,c);
                            }, this, {single: true});
                            t.moveLast();
                            return;
                        } else {
                            newCell = [g.store.getCount() - 1, c];
                            //~ console.log('ctrl-end',newCell);
                            break;
                        }
                    }
                }
            case e.PAGE_UP:
            case e.PAGE_DOWN:
                e.stopEvent();
                var self = this;
                var scroller = g.getView().scroller;
                var box = scroller.getBox();
                //console.log('box',box);
                var viewSize = scroller.getSize(); // EXP {width: 547, height: 500}
//                console.log('viewSize',viewSize);
                var scrollPosition = scroller.getScroll(); // EXP {left: 0, top: 135}
//                console.log('scrollPosition',scrollPosition);
//                if (box.height < box.bottom){
                var direction  = e.PAGE_DOWN === k ? 'b' : 'u';
                scroller.scroll(direction, box.y,false);
//                }
                var new_scrollPosition = scroller.getScroll(); // EXP {left: 0, top: 135}
//                console.log('new_scrollPosition',new_scrollPosition);
                if (new_scrollPosition.top != scrollPosition.top){
                    newcellpx = e.PAGE_DOWN === k ? box.height : new_scrollPosition.top;
                    var newx = this.getRowFrompx(newcellpx);
//                    console.log('newx',newx);
                    newCell = walk(newx,c,1)
                    break;
                }
//                g.getView().scroller.scroll('b', 99999,true);
//                g.getView().scroller.isScrollable();
                if (d != undefined){
                    var new_page = e.PAGE_DOWN === k ? Math.min(d.pages, d.activePage +1) : Math.max(1, d.activePage -1);
                    if (d.activePage !== new_page) {
                        t.on('change', function (tb, pageData) {
                            self.select(Math.min(r, g.store.getCount() - 1), c);
                            //~ console.log('change',r,c);
                        }, this, {single: true});
                        if(k === e.PAGE_DOWN){
                            t.moveNext();
                        }else{
                            t.movePrevious();
    //                        Go to the bottom of the new page
                            var scroller = g.getView().scroller;
                            var newbox = scroller.getBox();
                            scroller.scroll('b', newbox.bottom,false);
                        }
                    }
                    return;
                }else{ // same page, goto top / bottom row, keep c same
                    r = e.PAGE_DOWN === k ? g.store.getCount() - 1 : 0;
                    newCell = [r, c]
                }
                break;
            case e.DOWN:
                newCell = walk(r + 1, c, 1);
                break;
            case e.UP:
                newCell = walk(r - 1, c, -1);
                break;
            case e.RIGHT:
                newCell = walk(r, c + 1, 1);
                break;
            case e.LEFT:
                newCell = walk(r, c - 1, -1);
                break;
            case e.F2:
                if (!e.hasModifier()) {
                    if (g.isEditor && !g.editing) {
                        g.startEditing(r, c);
                        e.stopEvent();
                        return;
                    }
                    break;
                }
            case e.INSERT:
                if (!e.hasModifier()) {
                    if (g.ls_insert_handler && !g.editing) {
                        e.stopEvent();
                        Lino.show_insert(g);
                        return;
                    }
                    break;
                }
            case e.DELETE:
                if (!e.hasModifier()) {
                    if (!g.editing) {
                        e.stopEvent();
                        // Lino.delete_selected(g);
                        Lino.row_action_handler('delete_selected','GET',null)(g);
                        return;
                    }
                    break;
                }

            case e.ENTER:
                e.stopEvent();
                g.onCellDblClick(g,r,c);
                break;

            default:
                g.handle_key_event(e);

        }


        if(newCell){
          e.stopEvent();
          r = newCell[0];
          c = newCell[1];
          this.select(r, c);
          if(g.isEditor && g.editing){
            ae = g.activeEditor;
            if(ae && ae.field.triggerBlur){
                ae.field.triggerBlur();
            }
            g.startEditing(r, c);
          }
        //~ } else if (g.isEditor && !g.editing && e.charCode) {
        //~ // } else if (!e.isSpecialKey() && g.isEditor && !g.editing) {
            //~ g.set_start_value(String.fromCharCode(e.charCode));
            //~ // g.set_start_value(String.fromCharCode(k));
            //~ // g.set_start_value(e.charCode);
            //~ g.startEditing(r, c);
            //~ // e.stopEvent();
            //~ return;
        // } else {
          // console.log('20120513',e,g);
        }

    }


//~ };
});



function PseudoConsole() {
    this.log = function() {};
};
if (typeof(console) == 'undefined') console = new PseudoConsole();

Lino.notify = function(msg) {
  if (msg == undefined) msg = ''; else console.log(msg);
  
    if (msg == undefined) return;
    // Lino.alert(msg);
  
};

Lino.alert = function(msg) {
  Ext.MessageBox.alert('Notify',msg);
};


//~ Lino.show_about = function() {
  //~ new Ext.Window({
    //~ width: 400, height: 400,
    //~ title: "About",
    //~ html: '<a href="http://www.extjs.com" target="_blank">ExtJS</a> version ' + Ext.version
  //~ }).show();
//~ };

function obj2str(o) {
  if (typeof o != 'object') return String(o);
  var s = '';
  for (var p in o) {
    s += p + ': ' + obj2str(o[p]) + '\n';
  }
  return s;
}

Lino.on_store_exception = function (store,type,action,options,response,arg) {
  //~ throw response;
  console.log("on_store_exception: store=",store,
    "type=",type,
    "action=",action,
    "options=",options,
    "response=",response,
    "arg=",arg);
    if (arg != undefined && arg) { console.log(arg.stack)};
    var msg = "There was a problem with the database connection.";
    if (response.responseText)
        msg += '<br/>' + response.responseText
    msg += '<br/>' + "If the error persists, try reloading the browser page ([SHIFT+CTRL+R] in Firefox)."
    Ext.Msg.alert("Database problem", msg );

};

//~ Lino.on_submit_success = function(form, action) {
   //~ Lino.notify(action.result.message);
   //~ this.close();
//~ };

Lino.on_submit_failure = function(form, action) {
    //~ Lino.notify();
  // action may be undefined
    switch (action.failureType) {
        case Ext.form.Action.CLIENT_INVALID:
            Ext.Msg.alert("Client-side failure", "Please check all fields of this form before submitting");
            break;
        case Ext.form.Action.CONNECT_FAILURE:
            Ext.Msg.alert("Connection failure", "Ajax communication failed");
            break;
        case Ext.form.Action.SERVER_INVALID:
            Ext.Msg.alert("Server-side failure", action.result.message);
   }
};



/*
Lino.save_wc_handler = function(ww) {
  return function(event,toolEl,panel,tc) {
    var pos = panel.getPosition();
    var size = panel.getSize();
    wc = ww.get_window_config();
    Ext.applyIf(wc,{
      x:pos[0],y:pos[1],height:size.height,width:size.width,
      maximized:panel.maximized});
    Lino.do_action(ww,{url:'/window_configs/'+ww.config.permalink_name,params:wc,method:'POST'});
  }
};

*/

Lino.show_in_own_window_button = function(handler) {
  return {
    qtip: "Show this panel in own window",
    id: "up",
    handler: function(event,toolEl,panel, tc) {
      //~ console.log('20111206 report_window_button',panel,handler);
      handler.run(null,{base_params:panel.containing_panel.get_master_params()});
    }
  }
}

Lino.action_handler = function (panel, on_success, on_confirm) {
  return function (response) {
      if (!panel) {
          if (Lino.current_window)
              panel = Lino.current_window.main_item;
          else panel = Lino.viewport;
      }

    if (panel.loadMask) panel.loadMask.hide(); // 20120211
    if (!response.responseText) return ;
    var result = Ext.decode(response.responseText);
    Lino.handle_action_result(panel, result, on_success, on_confirm);
  }
};

Lino.handle_action_result = function (panel, result, on_success, on_confirm) {

    // console.log('20150514 Lino.handle_action_result()', result);

    // if (panel instanceof Lino.GridPanel) {
    //     gridmode = true;
    // } else {
    //     gridmode = false;
    // }

    //~ if (result.goto_record) {
        //~ var js = "Lino." + result.goto_record[0] + '.detail.run';
        //~ var h = eval(js);
        //~ h(panel,{record_id:result.goto_record[1]});
    //~ }

    if (result.goto_url) {
        document.location = result.goto_url;
        if (result.close_window) Lino.close_window();
        return;
    }

    if (result.xcallback) {
        //~ var config = {title:"Confirmation"};
        var config = {cls:"l-confirmation", title:result.xcallback.title};
        //~ config.buttons = Ext.MessageBox.YESNOCANCEL;
        //~ config.buttons = Ext.MessageBox.YESNO;
        var p = {};
        Lino.insert_subst_user(p);
        config.buttons = {};
        result.xcallback.buttons.forEach((button) => config.buttons[button[0]] = button[1]);
        config.msg = result.message;
        config.fn = function(buttonId, text, opt) {
          eval(result.xcallback[buttonId + "_resendEvalJs"])
        }
        Ext.MessageBox.show(config);
        return;
    }

    // `record_id` and/or `data_record` both mean "display the detail
    // of this record".

    if(result.detail_handler_name) {
        // TODO: make sure that result.detail_handler_name is secure
        var detail_handler = eval("Lino." + result.detail_handler_name);
    }
    var ns = {};  // new status
    if (result.close_window) {

        // Subsequent processing expects that `panel` is "the current
        // panel". But if we close the window, `panel` must point
        // to the previous window. Note the case of an insert window
        // that has been invoked by double-clicking on the phantom row
        // of a slave table in a detail window. In that case we want
        // `panel` to become the grid panel of the slave table who
        // called the insert window, not the master's detail form
        // panel.  When the insert window has been called by an action
        // link (e.g. generated using ar.insert_button), then
        // Lino.close_window can return `undefined`.

        if(result.record_id || result.data_record) {
            var ww = Lino.calling_window();
            if (ww && ww.window.main_item instanceof Lino.FormPanel) {
                if (ww.window.main_item.ls_detail_handler == detail_handler) {
                    ns.record_id = result.record_id;
                    ns.data_record = result.data_record;
                    // console.log("20150514 use new status.");
                }
            }
        }

        panel = Lino.close_window(
            function(ww) { Ext.apply(ww.status, ns) });
        if (!panel)
            // console.log("20150514 close_window returned no panel.");
            if (Lino.current_window)
                panel = Lino.current_window.main_item;

    }

    if(result.record_id || result.data_record) {
        if (! (ns.record_id || ns.data_record)) {
          // no close_window, so we must update record data in current
          // panel (if it is the detail_handler for this record) or
          // open the detail handler.
          var st = {
              record_id: result.record_id,
              data_record: result.data_record
          };
          if (result.active_tab) st.active_tab = result.active_tab;
          if (panel instanceof Lino.FormPanel
              && panel.ls_detail_handler == detail_handler)
            {
              // console.log("20210106 use panel.set_status().");
              st.base_params = panel.get_base_params();
              panel.set_status(st);
          } else {
              // console.log("20210106 run detail_handler.");
              if (panel !== undefined && panel.ls_detail_handler == detail_handler){
                st.base_params = panel.get_base_params();}
              detail_handler.run(null, st);
          }

          // if (panel instanceof Lino.FormPanel
          //     && panel.ls_url == result.actor_url) {
          //     // console.log("20140506 case 2 it's a FormPanel:", panel);
          //     panel.set_status({
          //         record_id: result.record_id,
          //         data_record: result.data_record});
          // } else if (panel.ls_detail_handler
          //            && panel.ls_url == result.actor_url) {
          //     // console.log("20140506 case 4");
          //     panel.ls_detail_handler.run(null, {
          //         record_id: result.record_id,
          //         data_record: result.data_record,
          //         base_params: panel.get_base_params()});
          // } else {
          //     result.refresh_all = true;
          //     console.log("20140604 case 6", result.actor_url);
          // }
        }
    }

    // `eval_js` must get handled after `close_window` because it
    // might ask to open a new window (and we don't want to close that
    // new window).  It must execute *before* any MessageBox,
    // otherwise the box would get hidden by a window that opens
    // afterwards.

    if (result.eval_js) {
        //~ console.log(20120618,result.eval_js);
        eval(result.eval_js);
    }

    if (on_success && result.success) {
        // console.log("20140430 handle_action_result calls on_success",
        //             on_success);
        on_success(result);
    }

    if (result.info_message) {
        console.log(result.info_message);
    }

    if (result.warning_message) {
        if (!result.alert) result.alert = "Warning";
        Ext.MessageBox.alert(result.alert, result.warning_message);
    }

    if (result.message) {
        //~ if (result.alert && ! gridmode) {
        if (result.alert) { // 20120628b
            //~ Ext.MessageBox.alert('Alert',result.alert_msg);
            if (result.alert === true) result.alert = "Alert";
            Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
        } else {
            Lino.notify(result.message);
        }
    }

    if(result.record_deleted && panel.ls_detail_handler == detail_handler) {
        panel.after_delete();
        return;  // added 20200717 to fix #3715
    }

    if (result.refresh_all) {
        var cw = Lino.current_window;
        // var cw = panel.get_containing_window();
        if (cw) {
            // console.log("20140917 refresh_all calls refresh on", cw.main_item);
            cw.main_item.refresh();
        } else { Lino.viewport.refresh(); }
        // else console.log("20140917 cannot refresh_all because ",
        //                  "there is no current_window");
    } else {
        if (result.refresh) {
            // console.log("20140917 Gonna call panel.refresh()", panel);
            panel.refresh();
            panel.focus();
        }
    }if (result.open_url) {
        //~ console.log(20111126,result.open_url);
        //~ if (!result.message)
            //~ Lino.notify('Open new window <a href="'+result.open_url+'" target="_blank">'+result.open_url+'</a>');
        window.open(result.open_url,'foo',"");
        //~ document.location = result.open_url;
    }
};

// obsolete but still used for deleting records.
Lino.do_action = function(caller,action) {
  action.success = function(response) {
    if (caller.loadMask) caller.loadMask.hide();
    //~ console.log('Lino.do_action()',action,'action success',response);
    if (action.after_success) {
        //~ console.log('Lino.do_action() calling after_success');
        action.after_success();
    }
    if (response.responseText) {
      var result = Ext.decode(response.responseText);
      //~ console.log('Lino.do_action()',action.name,'result is',result);
      if (result.message) {
          if (result.alert) {
              //~ Ext.MessageBox.alert('Alert',result.alert_msg);
              Ext.MessageBox.alert('Alert',result.message);
          } else {
              Lino.notify(result.message);
          }
      }

      //~ if (result.alert_msg) Ext.MessageBox.alert('Alert',result.alert_msg);
      //~ if (result.message) Lino.notify(result.message);
      if (result.notify_msg) Lino.notify(result.notify_msg);
      if (result.js_code) {
        //~ console.log('Lino.do_action()',action,'gonna call js_code in',result);
        var jsr = result.js_code(caller);
        //~ console.log('Lino.do_action()',action,'returned from js_code in',result);
        if (action.after_js_code) {
          //~ console.log('Lino.do_action()',action,'gonna call after_js_code');
          action.after_js_code(jsr);
          //~ console.log('Lino.do_action()',action,'returned from after_js_code');
        //~ } else {
          //~ console.log('Lino.do_action()',action,' : after_js_code is false');
        }
      };
    }
  };
  Ext.applyIf(action,{
    waitMsg: "Please wait...",
    failure: Lino.ajax_error_handler(caller),
    params: {}
  });
  //~ action.params.su = Lino.subst_user;
  Lino.insert_subst_user(action.params);

  Ext.Ajax.request(action);
};

//~ Lino.gup = function( name )
//~ {
  //~ // Thanks to http://www.netlobo.com/url_query_string_javascript.html
  //~ name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
  //~ var regexS = "[\\?&]"+name+"=([^&#]*)";
  //~ var regex = new RegExp( regexS );
  //~ var results = regex.exec( window.location.href );
  //~ if( results == null )
    //~ return "";
  //~ else
    //~ return results[1];
//~ };

//~ Lino.refresh_handler = function (ww) {
  //~ return function() {
      //~ console.log('refresh',ww);
      //~ ww.main_item.doLayout(false,true);
      //~ ww.main_item.syncSize();
  //~ }
//~ };

//~ Lino.tools_close_handler = function (ww) {
  //~ return function() {
      //~ ww.close();
  //~ }
//~ };
Lino.permalink_handler = function (ww) {
  return function() {
    //~ document.location = ww.main_item.get_permalink();
    //~ console.log('20130723 Lino.permalink_handler',ww);

    /* Uncaught TypeError: Cannot read property 'main_item' of null  */
    if (ww) {
        var url = ww.main_item.get_permalink();
    } else {
        var url = Lino.viewport.get_permalink();
    }
    Lino.load_url(url);
  }
};
//~ Lino.run_permalink = function() {
  //~ var plink = Lino.gup('permalink');
  //~ if(plink) { eval('Lino.'+plink); }
//~ }

Lino.close_and_save_handler =  function (ww){
    return function(){
    if (ww) {
        ww.main_item.do_when_clean(true,function() {
        Lino.close_window(); });
        }
    }
};

Lino.ajax_error_handler = function(panel) {
  return function(response,options) {
    console.log('Ajax failure:', response, options);
    if (panel.loadMask) panel.loadMask.hide();
    if (response.responseText) {
      var lines = response.responseText.split('\n');
      if (lines.length > 10) {
          line = lines.splice(5, lines.length-10, "(...)");
      }
      //~ console.log(20131005, response.statusText.toCamel());
      Ext.MessageBox.alert(
        response.statusText.toCamel(),
        lines.join('<br/>')
        //~ response.responseText.replace(/\n/g,'<br/>'))
      )
    } else {
      Ext.MessageBox.alert('Action failed',
        'Lino server did not respond to Ajax request');
    }
  }
}
// Ext.Ajax.on('requestexception',Lino.ajax_error_handler)



Ext.QuickTips.init();

/* setting QuickTips dismissDelay to 0 */
// Apply a set of config properties to the singleton
//~ Ext.apply(Ext.QuickTips.getQuickTip(), {
//~ Ext.apply(Ext.ToolTip, {
    //~ dismissDelay: 0
    //~ autoHide: false,
    //~ closable: true,
    //~ maxWidth: 200,
    //~ minWidth: 100,
    //~ showDelay: 50      // Show 50ms after entering target
    //~ ,trackMouse: true
//~ });


// Ext.apply(Ext.QuickTips.getQuickTip(), {
//     dismissDelay: 500,
//     showDelay: 20      // Show 10ms after entering target
// });

Lino.quicktip_renderer = function(title, body) {
  return function(c) {
    //~ if (c instanceof Ext.Panel) var t = c.bwrap; else // 20130129
      if (c instanceof Ext.Panel) {
          var t = c.header;
      } else if (c instanceof Ext.Button) {
          var t = c.btnEl;
      } else  {
          var t = c.getEl();
      }
    // console.log(20171024, c, t, body);
    //~ t.dismissDelay = 0;
    Ext.QuickTips.register({
      target: t,
      //~ cls: 'lino-quicktip-classical',
      dismissDelay: 10000,
      //~ autoHide: false,
      showDelay: 30,      // Show X ms after entering target
      //~ title: title,
      text: body
    });
  }
};



Lino.help_text_editor = function() {
  //~ var bp = {
      //~ mk:this.content_type,
      //~ mt:1
    //~ };
    //~ console.log(20120202,bp);
  //~ Lino.lino.ContentTypes.detail({},{base_params:bp});
  //~ Lino.lino.ContentTypes.detail.run(null,{record_id:this.content_type});
  Lino.lino.ContentTypes.detail.run(null,{record_id:this.content_type});
}

// Path to the blank image should point to a valid location on your server
//~ Ext.BLANK_IMAGE_URL = MEDIA_URL + '/extjs/resources/images/default/s.gif';


// used as Ext.grid.Column.renderer for id columns in order to hide the special id value -99999
Lino.id_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  //~ if (record.phantom) return '';
  return value;
}

Lino.raw_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  return value;
}

Lino.text_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  //~ return "not implemented";
  return value;
}

Lino.NullNumberColumn = Ext.extend(Ext.grid.Column, {
    align : 'right',
    format : '0,000.00/i',
    renderer : function(value, metaData, record, rowIndex, colIndex, store) {
        // if( colIndex == 3)
        //     console.log(20130128,"NullNumberColumn.renderer",value);
        if (value === null) return '';
        return Ext.util.Format.number(value, this.format);
    }
});


Lino.link_button = function(url) {
    // return '<a href="' + url + '"><img src="/media/lino/extjs/images/xsite/link.png" alt="link_button"></a>'
    return '<a href="' + url + '" style="text-decoration:none;">&#10138;</a>'
}

Lino.fk_renderer = function(fkname,handlername) {
  //~ console.log('Lino.fk_renderer handler=',handler);
  return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ console.log('Lino.fk_renderer',fkname,rowIndex,colIndex,record,metaData,store);
    //~ if (record.phantom) return '';
    if (value) {
        return Lino.link_button('javascript:'+handlername + '.run(null,{record_id:\'' + String(record.data[fkname]) + '\'})")') + value;
        // until 20140822 (clickable foreign keys):
        // var s = '<a href="javascript:' ;
        // s += handlername + '.run(null,{record_id:\'' + String(record.data[fkname]) + '\'})">';
        // s += value + '</a>';
        // return s
    }
    return '';
  }
};

Lino.lfk_renderer = function(panel,fkname) {
  //~ console.log('Lino.fk_renderer handler=',handler);
  var handlername = 'console.log';
  return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ console.log('Lino.fk_renderer',fkname,rowIndex,colIndex,record,metaData,store);
    if (record.phantom) return '';
    if (value) {
        var s = '<a href="javascript:' ;
        s += handlername + '({},{record_id:\'' + String(record.data[fkname]) + '\'})">';
        s += value + '</a>';
        //~ console.log('Lino.fk_renderer',value,'-->',s);
        return s
    }
    return '';
  }
};

//~ Lino.gfk_renderer = function() {
  //~ return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ if (record.phantom) return '';
    //~ console.log('Lino.gfk_renderer',value,colIndex,record,metaData,store);
    //~ return value;
  //~ }
//~ };


Lino.build_buttons = function(panel,actions) {
  //~ console.log("20121006 Lino.build_buttons",actions);
  if (actions) {
    var buttons = Array(actions.length);
    var cmenu = Array(actions.length);
    var keyhandlers = [];
    for (var i=0; i < actions.length; i++) {
      var a = actions[i];
      if (a.menu) a.menu = Lino.build_buttons(panel,a.menu).bbar;
      buttons[i] = a;
      cmenu[i] = {
            text : a.menu_item_text,
            iconCls : a.iconCls,
            menu : a.menu,
            itemId : a.itemId
          };
      if (a.panel_btn_handler) {
          var h = a.panel_btn_handler.createCallback(panel);
          if (a.auto_save == true) {
              h = panel.do_when_clean.createDelegate(panel,[true,h]);
          } else if (a.auto_save == null) {
              h = panel.do_when_clean.createDelegate(panel,[false,h]);
          } else if (a.auto_save == false) {
              // h = h;
          } else {
              console.log("20120703 unhandled auto_save value",a)
          }
          buttons[i].handler = h;
          cmenu[i].handler = h;
          if (a.keycode) {
                keyhandlers.push({
                key : a.keycode,
                fn : h});
//              keyhandlers[a.keycode] = h;
          }
          //~ if (buttons[i].xtype == 'splitbutton') {
              //~ cmenu[i].menu = a.menu;
          //~ } else {
              //~ cmenu[i].handler = h;
          //~ }
      } else {
          console.log("action without panel_btn_handler",a)
          // cmenu[i].handler = a.handler;
      }
    }
//    if (keyhandlers.length > 0){
//        var keys = new Ext.KeyMap(panel,keyhandlers);
//    }
    return {
        bbar:buttons,
        cmenu:new Ext.menu.Menu(cmenu),
        keyhandlers: keyhandlers
    };
  }
}

Lino.do_when_visible = function(cmp,todo) {
  //~ if (cmp.el && cmp.el.dom)
  if (cmp.isVisible()) {
    // 'visible' means 'rendered and not hidden'
    //~ console.log(cmp.title,'-> cmp is visible now');
    todo();
  //~ } else {
      //~ cmp.on('resize',todo,cmp,{single:true});
  //~ }
  //~ if (false) { // 20120213
  } else {
    //~ console.log('Lino.do_when_visible() must defer because not isVisible()',todo,cmp);
    if (cmp.rendered) {
      //~ console.log(cmp,'-> cmp is rendered but not visible: and now?');
      //~ console.log(cmp.title,'-> cmp is rendered but not visible: try again in a moment...');
      //~ var fn = function() {Lino.do_when_visible(cmp,todo)};
      //~ fn.defer(100);

      Lino.do_when_visible.defer(50,this,[cmp,todo]);
      //~ Lino.do_when_visible.defer(100,this,[cmp,todo]);

    } else {
      //~ console.log(cmp.title,'-> after render');
      cmp.on('afterrender',todo,cmp,{single:true});
    }
  }

};

/*
*/
Lino.do_on_current_record = function(panel, fn, phantom_fn) {
  // console.log('20140930 do_on_current_record', arguments);
  var rec = panel.get_current_record();
  if (rec == undefined) {
    Lino.notify("There's no selected record.");
    return;
  }
  // 20120307 A VirtualTable with a Detail (lino.Models) has only "phantom" records.
  if (rec.phantom) {
    //~ if (!panel.editable) { console.log("20120312 not editable:",panel)}
    if (phantom_fn) {
      phantom_fn(panel);
    } else {
      Lino.notify("Action not available on phantom record.");
    }
    return;
  }
  return fn(rec);
};


Lino.call_ajax_action = function(
    panel, method, url, p, actionName, step, on_confirm, on_success) {
  p.an = actionName;
  if (!panel || !panel.isVisible()) {
  //~ if (true) { // 20131026 : workflow_actions of a newly created record detail executed but did't refresh the screen because their requesting panel was the insert (not the detail) formpanel.
      if (Lino.current_window)
          panel = Lino.current_window.main_item;
      else panel = Lino.viewport;
  }
  // console.log("20150130 a", p.pv);
  // Ext.apply(p, panel.get_base_params());
  // console.log("20150130 b", p.pv);

  if (panel.get_selected && p.sr === undefined) {
      var selected_recs = panel.get_selected();
      //~ console.log("20130831",selected_recs);
      var rs = Array(selected_recs.length);
      for(var i=0; i < selected_recs.length;i++) {
          rs[i] = selected_recs[i].data[panel.ls_id_property];
      };
      p.sr = rs;
  }

  // console.log("20170731 Lino.call_ajax_action", Ext.Ajax, p, actionName, step);

  if (panel.loadMask) panel.loadMask.show();
  Lino.insert_linoweb_version(p)
  // Ext.Ajax.params = {};
  Ext.Ajax.request({
    method: method
    ,url: url
    ,params: p
    ,success: Lino.action_handler(panel, on_success, on_confirm)
    ,failure: Lino.ajax_error_handler(panel)
  });
};




Lino.row_action_handler = function(actionName, hm, pp,rqData,xcallback ) {
  var fn = function(panel, btn, step) {
      var p = {};
      // console.log('20150514 row_action_handler');
      if (pp) { p = pp(panel); if (! p) return; }
      if (rqData) {
          Ext.apply(p, rqData);
      }
      if (xcallback){
          p["xcallback__"+xcallback.xcallback_id] =xcallback.choice;
      }

      if (!panel || panel.get_current_record == undefined) { // AFTER_20130725
        // console.log('20140930 row_action_handler 2', panel);
        panel = Ext.getCmp(panel);
        if (panel == undefined) {
          console.log("20160410 Invalid panel spec.", actionName, hm, pp);
          Lino.notify("Invalid panel spec.");
          return;
        }
      }

      Lino.do_on_current_record(panel, function(rec) {
          //~ console.log(panel);
          panel.add_param_values(p, true);
          Ext.apply(p, panel.get_base_params());
          Lino.call_ajax_action(
              panel, hm, panel.get_record_url(rec.id),
              p, actionName, step, fn);
      });
  };
  return fn;
};

Lino.list_action_handler = function(ls_url,actionName,hm,pp, rqData, xcallback) {
  var url = '/api' + ls_url
  var fn = function(panel,btn,step) {
      var p = {};
      //~ console.log("20121210 Lino.list_action_handler",arguments);
      if (pp) { p = pp(panel);  if (! p) return; }

      if (rqData) {
          Ext.apply(p, rqData);
      }
      if (xcallback){
          p["xcallback__"+xcallback.xcallback_id] =xcallback.choice;
      }

      if (panel) { // may be undefined when called e.g. from quicklink
          panel.add_param_values(p, true);
          Ext.apply(p, panel.get_base_params());
      }
      // Lino.call_ajax_action(panel, hm,url, p, actionName, step, fn);
      var runFn = function () { Lino.call_ajax_action(panel, hm,url, p, actionName, step, fn); };
      setTimeout(runFn, p.timeout ? p.timeout : 0);

  };
  return fn;
};

Lino.param_action_handler = function(window_action) { // 20121012
  var fn = function(panel,btn,step) {
    Lino.do_on_current_record(panel,function(rec) {
      window_action.run(panel.getId(),{});
    });
  };
  return fn;
};



Lino.run_row_action = function(
    requesting_panel, is_on_main_actor, url, meth, pk,
    actionName, params, preprocessor) {
  //~ var panel = action.get_window().main_item;
  // console.log("20140930 Lino.run_row_action", params);
  url = '/api' + url;
  if (Array.isArray(pk) && pk.length) { url += '/' + pk[0]}
  else if (!Array.isArray(pk)) {url += '/' + pk}
  var panel = Ext.getCmp(requesting_panel);
  // var params = {}
  // if (init_params) Ext.apply(params, init_params);
  if (!params) params = {};
  if (preprocessor) {
      var p = preprocessor();
      Ext.apply(params, p);
  }
  if (panel && is_on_main_actor) {
      Ext.apply(params, panel.get_base_params())
  }else {
     params.sr = pk
  }
  Lino.insert_subst_user(params);

  if (params.rqdata) {
      Ext.apply(params, params.rqdata);
      delete(params.rqdata)
  }
  if (params.xcallback){
      params["xcallback__"+params.xcallback.xcallback_id] =params.xcallback.choice;
      delete(params.xcallback)
  }

  var fn = function(panel, btn, step) {
    Lino.call_ajax_action(panel, meth, url, params, actionName, step, fn);
  }
  // fn(panel, null, null);

  var runFn = function () { fn(panel, null, null); };
  setTimeout(runFn, params.timeout ? params.timeout : 0);


}


Lino.wrapped_action_handler = function(func) {
    var fn = function(panel, btn, step) {
        func += "(panel, btn, step)"
        eval(func)
    }
    return fn;
}


Lino.show_detail = function(panel, btn) {
  Lino.do_on_current_record(panel,
    function(rec) {
      //~ panel.loadMask.show();
      Lino.run_detail_handler(panel, rec.id);
    },
    Lino.show_insert
  );
};

Lino.run_detail_handler = function(panel,pk) {
  var bp = panel.get_base_params();
  panel.add_param_values(bp); // 20120918
  var status = {
    record_id:pk,
    base_params:bp
  }
  //~ console.log("20120918 Lino.show_detail",status);
  panel.ls_detail_handler.run(null,status);
}

Lino.show_fk_detail = function(combo,detail_action,insert_action) {
    //~ console.log("Lino.show_fk_detail",combo,handler);
    pk = combo.getValue();
    if (pk) {
        detail_action.run(null,{record_id: pk})
      } else {
        insert_action.run(null);
        //~ Lino.notify("Cannot show detail for empty foreign key.");
      }
};

Lino.show_insert = function(panel,btn) {
  var bp = panel.get_base_params();
  // ~ console.log('20120125 Lino.show_insert',bp)
  //~ panel.ls_insert_handler.run(null,{record_id:-99999,base_params:bp});
  panel.ls_insert_handler.run(panel.getId(),{base_params:bp});
};



if (Ext.ux.grid !== undefined) {
    Lino.GridFilters = Ext.extend(Ext.ux.grid.GridFilters,{
      encode:true,
      local:false
    });
} else {
    Lino.GridFilters = function() {}; // dummy
    Ext.override(Lino.GridFilters,{
      init : function() {}
    });
};



Lino.FieldBoxMixin = {
  before_init : function(config,params) {
    if (params) Ext.apply(config,params);
    var actions = Lino.build_buttons(this, config.ls_bbar_actions);
    if (actions) config.bbar = actions.bbar;
  },
  //~ constructor : function(ww,config,params){
    //~ this.containing_window = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.superclass.constructor.call(this, config);
  //~ },
  do_when_clean : function(auto_save,todo) { todo() },
  //~ format_data : function(html) { return '<div class="htmlText">' + html + '</div>' },
  format_data : function(html) { return html },
  get_base_params : function() {
    // needed for insert action
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    return p;
  },
  set_base_params : function(p) {
    this.base_params = Ext.apply({},p);
    //~ if (p.param_values) this.set_param_values(p.param_values);
  },
  clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  },
  set_base_param : function(k,v) {
    this.base_params[k] = v;
  }
};

Ext.override(Ext.form.HtmlEditor, {
    fixKeys : function(){
        if(Ext.isIE){
            return function(e){
                var k = e.getKey(),
                    doc = this.getDoc(),
                        r;
                if(k == e.TAB){
                    e.stopEvent();
                    r = doc.selection.createRange();
                    if(r){
                        r.collapse(true);
                        r.pasteHTML('&nbsp;&nbsp;&nbsp;&nbsp;');
                        this.deferFocus();
                    }
                }else if(k == e.ENTER){
                    r = doc.selection.createRange();
                    if(r){
                        var target = r.parentElement();
                        if(!target || target.tagName.toLowerCase() != 'li'){
                            e.stopEvent();
                            r.pasteHTML('<br />');
                            r.collapse(false);
                            r.select();
                        }
                    }
                }
            };
        }else if(Ext.isOpera){
            return function(e){
                var k = e.getKey();
                if(k == e.TAB){
                    e.stopEvent();
                    this.win.focus();
                    this.execCmd('InsertHTML','&nbsp;&nbsp;&nbsp;&nbsp;');
                    this.deferFocus();
                }
            };
        }else if(Ext.isWebKit){
            // HKC : this is probably our most used case.
            return function(e){
                var k = e.getKey();
                if(k == e.TAB){
                    e.stopEvent();
                    this.execCmd('InsertText','\t');
                    this.deferFocus();
                }else if(k == e.ENTER){
                    e.stopEvent();
                    this.execCmd('InsertHtml','<br /><br />');
                    this.deferFocus();
                }
             //   HKC
               else if (k == e.S && e.ctrlKey){
                    e.stopEvent();
                    e.preventDefault();
                    //this.getWin.fireEvent('keyup');
                    // this.fireKey(e);
                    console.log('HTMLEditor is saving...');
                }
             };
        }
    }(),
    // bubbleEvents : ['keypress']
    // initComponent : function() {
    //     Ext.form.HtmlEditor.superclass.initComponent.call(this);
    //     this.addEvents('submit');
    // },
    // submit : function (event) {
    //     console.log("rrrrr");
    // },
    // initEditor : function() {
    //     Ext.form.HtmlEditor.superclass.initEditor.call(this);
    //     if (Ext.isGecko) {
    //         Ext.EventManager.on(this, 'keypress', this.fireSubmit, this);
    //     }
    //     if (Ext.isIE || Ext.isWebKit || Ext.isOpera) {
    //         Ext.EventManager.on(this, 'keydown', this.fireSubmit,
    //             this);
    //     }
    // },
    fireSubmit : function(e) {
        console.log("fireSubmit ...");
    }
});

Lino.HtmlBoxPanel = Ext.extend(Ext.Panel, Lino.PanelMixin);
Lino.HtmlBoxPanel = Ext.extend(Lino.HtmlBoxPanel, Lino.FieldBoxMixin);
Lino.HtmlBoxPanel = Ext.extend(Lino.HtmlBoxPanel, {
  disabled_in_insert_window : true,
  constructor : function(config,params) {
    this.before_init(config,params);
    Lino.HtmlBoxPanel.superclass.constructor.call(this, config);
  },
  //~ constructor : function(ww,config,params){
    //~ this.ww = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.constructor.call(this, ww,config,params);
  //~ },
  //~ constructor : function(ww,config,params){
    //~ this.ww = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.superclass.constructor.call(this, config);
  //~ },
  //~ disable : function() { var tb = this.getBottomToolbar(); if(tb) tb.disable()},
  //~ enable : function() { var tb = this.getBottomToolbar(); if(tb) tb.enable()},
  onRender : function(ct, position){
    Lino.HtmlBoxPanel.superclass.onRender.call(this, ct, position);
    Ext.getDoc().addKeyListener(Ext.EventObject.ESC, function(k,e) {
      // this.get_containing_window().close();
      this.get_containing_window().main_item.do_when_clean(false,function() {
        if (Lino.current_window ) {
          Lino.close_window();
        }
      });
    },this);
    //~ console.log(20111125,this.containing_window);
    if (this.containing_panel) {
      this.containing_panel.on('enable',this.enable,this);
      this.containing_panel.on('disable',this.disable,this);
    }
    this.el.on({
      dragenter:function(event){
        event.browserEvent.dataTransfer.dropEffect = 'move';
        return true;
      }
      ,dragover:function(event){
        event.browserEvent.dataTransfer.dropEffect = 'move';
        event.stopEvent();
        return true;
      }
      ,drop:{
        scope:this
        ,fn:function(event){
          event.stopEvent();
          //~ console.log(20110516);
          var files = event.browserEvent.dataTransfer.files;
          if(files === undefined){
            return true;
          }
          var len = files.length;
          while(--len >= 0){
            console.log(files[len]);
            //~ this.processDragAndDropFileUpload(files[len]);
          }
          Lino.show_insert(this);
        }
      }
    });
  },
  refresh : function(unused) {
      // this.containing_panel.refresh();
      this.refresh_with_after();
  },
  /* HtmlBoxPanel */
  refresh_with_after : function(after) {
      // var todo = this.containing_panel.refresh();
      var box = this.items.get(0);
      var todo = function() {
        if (this.disabled) { return; }
        this.set_base_params(this.containing_panel.get_master_params());

        var el = box.getEl();
        if (el) {
            var record = this.containing_panel.get_current_record();
            var newcontent = record ?
                this.format_data(record.data[this.name]) : '';
            // console.log('20140917 HtmlBox.refresh()',
            //             this.name, record.data.LinksByHuman);
            el.update(newcontent, true);
        // } else {
        //     console.log('20140502 cannot HtmlBox.refresh()',this.name);
        }
      };

      Lino.do_when_visible(box, todo.createDelegate(this));
  }
});
//~ Ext.override(Lino.HtmlBoxPanel,Lino.FieldBoxMixin);


Lino.ActionFormPanel = Ext.extend(Ext.form.FormPanel,Lino.MainPanel);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, Lino.PanelMixin);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, Lino.FieldBoxMixin);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, {
  //~ layout:'fit'
  //~ ,autoHeight: true
  //~ ,frame: true
  window_title : "Action Parameters",
  cls : "l-ActionFormPanel",
  constructor : function(config){
    config.buttons = [
        {text: 'OK', handler: this.on_ok, scope: this, cls:"l-ok"},
        {text: 'Cancel', handler: this.on_cancel, scope: this, cls:"l-cancel"}
    ];
    Lino.ActionFormPanel.superclass.constructor.call(this, config);
  }
  ,initComponent : function(){
      this.on('render',function(){
          this.loadMask = new Ext.LoadMask(
              this.bwrap,{msg:"Please wait..."});
      },this);
      Lino.ActionFormPanel.superclass.initComponent.call(this);
  }
  ,on_cancel : function() {
    this.get_containing_window().close();
  }
  ,on_ok : function() {
    var panel = this.requesting_panel;
    // var panel = this.get_containing_window().main_item;
    // console.log("20131004 on_ok",this,panel,arguments);
    var actionName = this.action_name;
    var pk = this.record_id || this.default_record_id;
    if (pk == undefined && this.base_params) { pk = this.base_params.mk; }
    if (pk == undefined && panel) {
        pk = panel.get_current_record().id;
    }
    if (pk == undefined) {
        // 20170101 VerifyUser action
        pk = '-99998';
        // Lino.alert("Sorry, dialog action without base_params.mk");
        // return;
    }
    var self = this;
    // self.loadMask.show();  // 20180727
    // function on_success() { self.get_containing_window().close(); };
    // see 20131004 and 20140430
    var url = '/api';

    // 20150119 : The OK button on AgentsByClient.create_visit went to
    // /api/pcsw/Clients/ instead of /api/pcsw/Coachings/
    // if (panel)
    //     url += panel.ls_url;
    // else
    //     url += this.ls_url;

    if (this.ls_url)
        url += this.ls_url;
    else
        url += panel.ls_url;
    url += '/' + pk;
    // wrap into function to prepare possible recursive call
    var fn = function(panel, btn, step) {
      var p = {};
      self.add_field_values(p);
      if (self.xcallback && self.rqdata ) {
          Ext.apply(p, self.rqdata);
          Ext.apply(p, self.xcallback);
      }
      if (panel) Ext.apply(p, panel.get_base_params());
      delete p.pv;
      // console.log("20150130", p.pv);
      Lino.call_ajax_action(
          self, self.http_method || "GET", url, p, actionName, step, fn); //  , on_success);
        // panel, 'GET', url, p, actionName, step, fn); //  , on_success);
        // 20180802 : passing self instead of panel fixes #2474
    }
    fn(panel, null, null);


  }
  /* ActionFormPanel*/
  ,set_status : function(status, rp){
    if (rp) this.requesting_panel = Ext.getCmp(rp);
    //~ console.log('20120918 ActionFormPanel.set_status()',status,rp,this.requesting_panel);
    this.clear_base_params();
    this.set_field_values();
    this.set_base_params({});
    this.record_id = undefined;
    // this.loadMask.hide();  // 20180727
    if (status == undefined) status = {};
    //~ if (status.param_values)
    // 20180725 : do not set field values and record id if status
    // doesn't have them.
    if (status.field_values) this.set_field_values(status.field_values);
    if (status.base_params) this.set_base_params(status.base_params);
    if (status.record_id) this.record_id = status.record_id;
    if (status.xcallback && status.rqdata) {
      this.xcallback = {["xcallback__"+status.xcallback.xcallback_id] : status.xcallback.choice};
      this.rqdata = status.rqdata;
      this.on_ok()
    } else {
        delete this.xcallback // insure no callback data if not in status
        delete this.rqdata
    }
  }

  ,before_row_edit : function(record) {}
  ,add_field_values : function (p) { // similar to add_param_values()
      /* LS 20160517 : Until now Lino tested whether the form is
       dirty, and if not, submitted only the values which had been set
       by set_status. But now status_field_values can be empty because
       Action.keep_user_values is True. In that case we must submit
       the current values even if the form is not dirty.  I don't
       remember why we had this feature of not submitting unmodified
       field values, so I remove this feature for now. */
      p.fv = this.get_field_values();
      // if (this.form.isDirty()) {
      //   p.fv = this.get_field_values();
      // }else{
      //   // console.log("20160517 add_param_values not dirty, status_field_values",
      //   //             this.status_field_values);
      //   if (this.status_field_values)
      //     p.fv = Lino.fields2array(
      //         this.fields, this.status_field_values);
      // }
      //~ console.log("20120203 add_param_values added pv",pv,"to",p);
  }
  ,get_field_values : function() {
      return Lino.fields2array(this.fields);
  }
  ,set_field_values : function(pv) {
      // console.log('20160516 MainPanel.set_param_values', pv);
      // if Action.keep_user_values, we receive an empty dict ({})
      this.status_field_values = pv;
      if (pv) {
          this.form.my_loadRecord(pv);
          var record = { data: pv };
          this.before_row_edit(record);
      } else {
          this.form.reset();
          this.before_row_edit();
      }
  }
  ,config_containing_window : function(wincfg) {
      wincfg.title = this.window_title;
      wincfg.keys = [
        { key: Ext.EventObject.ENTER, fn: this.on_ok, scope: this }
        ,{ key: 's', ctrl: true, fn: this.on_ok, scope: this, stopEvent: true  }
      ];

      if (!wincfg.defaultButton) this.getForm().items.each(function(f){
          if(f.isFormField){
              wincfg.defaultButton = f;
              return false;
          }
      });

  }
});


Lino.fields2array = function(fields, values) {
    // console.log('20160517 fields2array gonna loop on', fields, values);
    var pv = Array(fields.length);
    for(var i=0; i < fields.length;i++) {
        var f = fields[i]
        if (values)
          var v = values[f.name];
        else
          var v = f.getValue();
        if (f.formatDate) {
            pv[i] = f.formatDate(v);
        } else {
            pv[i] = v; // f.getValue();
        }
    }
    // console.log('20160517 fields2array returns', pv);
    return pv;
}


Lino.FormPanel = Ext.extend(Ext.form.FormPanel,Lino.MainPanel);
Lino.FormPanel = Ext.extend(Lino.FormPanel,Lino.PanelMixin);
Lino.FormPanel = Ext.extend(Lino.FormPanel,{
  params_panel_hidden : false,
  save_action_name : null,
  //~ base_params : {},
  //~ trackResetOnLoad : true,
  //~ query_params : {},
  //~ 20110119b quick_search_text : '',
  constructor : function(config,params){
    if (params) Ext.apply(config,params);
    this.base_params = {};
    //~ ww.config.base_params.query = ''; // 20111018
    //~ console.log(config);
    //~ console.log('FormPanel.constructor() 1',config)
    //~ Ext.applyIf(config,{base_params:{}});
    //~ console.log('FormPanel.constructor() 2',config)

    config.trackResetOnLoad = true;

    Lino.FormPanel.superclass.constructor.call(this, config);

    //~ this.set_base_param('$URL_PARAM_FILTER',null); // 20111018
    //~ this.set_base_param('$URL_PARAM_FILTER',''); // 20111018

  },
  initComponent : function(){

    this.containing_panel = this;

    //~ console.log("20111201 containing_window",this.containing_window,this);
    var actions = Lino.build_buttons(this, this.ls_bbar_actions);
    if (actions) {
        this.bbar = actions.bbar;
        // console.log("20160829 tooltip", actions.bbar);
    //~ } else {
        //~ this.bbar = [];
    }
    //~ Ext.apply(config,Lino.build_buttons(this,config.ls_bbar_actions));
    //~ config.bbar = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ var config = this;

    //~ if (this.containing_window instanceof Lino.DetailWrapper) {

    //~ console.log('20120121 initComponent', this.action_name);
    //~ if (this.action_name == 'detail' | this.action_name == 'show') {
    //~ if (this.action_name != 'insert') {
    if (! this.hide_top_toolbar) {
      this.tbar = [];
      // 20111015
      if (! this.hide_navigator) {
        this.record_selector = new Lino.RemoteComboFieldElement({
          store: new Lino.ComplexRemoteComboStore({
            //~ baseParams: this.containing_window.config.base_params,
            baseParams: this.get_base_params(),
            //~ value: this.containing_window.config.base_params.query,
            proxy: new Ext.data.HttpProxy({
              url: '/choices' + this.ls_url,
              method:'GET'
            })
          }),
          pageSize:25,
          listeners: {
            scope:this,
            select:function(combo,record,index) {
                // console.log('20180719 select', combo);
                this.set_base_param('query',
                                    combo.lastQuery);
              this.goto_record_id(record.id);
            }
          },
          emptyText: "Go to record"
        })
        this.tbar = this.tbar.concat([this.record_selector]);

        this.tbar = this.tbar.concat([
          this.first = new Ext.Toolbar.Button({
              tooltip:"First",disabled:true,
              handler:this.moveFirst,scope:this,iconCls:'x-tbar-page-first'}),
          this.prev = new Ext.Toolbar.Button({
              tooltip:"Previous",disabled:true,
              handler:this.movePrev,scope:this,iconCls:'x-tbar-page-prev'}),
          this.next = new Ext.Toolbar.Button({
              tooltip:"Next",disabled:true,
              handler:this.moveNext,scope:this,iconCls:'x-tbar-page-next'}),
          this.last = new Ext.Toolbar.Button({
              tooltip:"Last",disabled:true,
              handler:this.moveLast,scope:this,iconCls:'x-tbar-page-last'})
        ]);
      }
      this.tbar = this.add_params_panel(this.tbar);

      this.tbar = this.tbar.concat([
        {
            handler:function(){ this.do_when_clean(
                false, this.refresh.createDelegate(this)) },
          iconCls: 'x-tbar-loading',
          tooltip:"Reload current record",
          scope:this}
      ]);

      if (this.bbar) { // since 20121016
        if (this.tbar) {
            this.tbar = this.tbar.concat(['-']) ;
        } else {
          this.tbar = [];
        }
        this.tbar = this.tbar.concat(this.bbar) ;
        this.bbar = undefined;
      }

      this.tbar = this.tbar.concat([
          '->',
          this.displayItem = new Ext.Toolbar.TextItem({})
      ]);

    }
    //~ if (this.content_type && this.action_name != 'insert') {
      //~ this.bbar = this.bbar.concat([
        //~ '->',
        //~ { text: "[$_('Help Text Editor')]",
          //~ handler: Lino.help_text_editor,
          //~ qtip: "$_('Edit help texts for fields on this model.')",
          //~ scope: this}
      //~ ])
    //~ }
    //~ this.before_row_edit = config.before_row_edit.createDelegate(this);

    //~ if (this.master_panel) {
        //~ this.set_base_params(this.master_panel.get_master_params());
    //~ }

    Lino.FormPanel.superclass.initComponent.call(this);

    // this.on('show',
    //         function(){ this.init_focus();},
    //         this);

    this.on('render',function(){
      this.loadMask = new Ext.LoadMask(this.bwrap,{msg:"Please wait..."});
    },this);


    if (this.action_name == 'insert') {
      this.cascade(function(cmp){
        if (cmp.disabled_in_insert_window) {
            // console.log('20110613 disabled_in_insert_window', cmp);
            //~ cmp.disable();
            cmp.hide();
        }
      });

    }

  },

  unused_init_focus : function(){
    // set focus to the first field
    console.log("20140205 Lino.FormPanel.init_focus");
    // Lino.FormPanel.superclass.focus.call(this);
    this.getForm().items.each(function(f){
        if(f.isFormField && f.rendered){
            f.focus();
            console.log("20140205 focus", f);
            return false;
        }
    });
  },

  /* FormPanel */
  get_status : function(){
      var st = {
        base_params: this.get_base_params(),
        // data_record : this.get_current_record()
      }
      var rec = this.get_current_record();
      if (rec) st.record_id = rec.id;
      // 20140917 : get_status must not store the whole data_record
      // because that would prevent the form to actually reload
      // when set_status is called after a child window closed.

      var tp = this.items.get(0);
      if (tp instanceof Ext.TabPanel) {
        st.active_tab = tp.getActiveTab();
      }
      st.param_values = this.status_param_values;
      return st;
  },

  /* FormPanel */
  set_status : function(status, rp){
    this.requesting_panel = Ext.getCmp(rp);
    // console.log('20140917 FormPanel.set_status()', status);
    this.clear_base_params();
    if (status == undefined) status = {};
    //~ if (status.param_values)
    this.set_param_values(status.param_values);
    if (status.base_params) this.set_base_params(status.base_params);
    var tp = this.items.get(0);
    if (tp instanceof Ext.TabPanel) {
      if (status.active_tab) {
        //~ console.log('20111201 active_tab',this.active_tab,this.items.get(0));
        //~ tp.activeTab = status.active_tab;
        tp.setActiveTab(status.active_tab);
        //~ this.main_item.items.get(0).activate(status.active_tab);
      } else {
        if (! status.data_record) {  // 20141206
            tp.setActiveTab(0);
        }
      }
    }

    if (status.data_record) {
      /* defer because set_window_title() didn't work otherwise */
      // 20140421 removed defer for bughunting to simplify side effects
      // this.set_current_record.createDelegate(
      //     this, [status.data_record]).defer(100);
      this.set_current_record(status.data_record);
      //~ return;
    } else {
        var record_id = status.record_id != undefined ? status.record_id : this.default_record_id;
        if (record_id != undefined) {
          /* possible values include 0 and null, 0 being a valid record id,
          null the equivalent of undefined
          */
          this.load_record_id(record_id);
        } else {
            this.set_current_record(undefined);
        }
    }
    // this.init_focus()
  }
  ,get_base_params : function() {  /* FormPanel */
    // needed for insert_action
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    return p;
  }
  ,set_base_params : function(p) {
    //~ this.base_params = Ext.apply({},this.base_params); // make sure it is an instance variable
    delete p['query'] // 20120725
    Ext.apply(this.base_params,p);
    if (this.record_selector) {
        var store = this.record_selector.getStore();
        for (k in p) store.setBaseParam(k,p[k]);
        delete this.record_selector.lastQuery;
        //~ console.log("20120725 record_selector.setBaseParam",p)
    }
  }
  ,clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  }
  ,set_base_param : function(k,v) {
    this.base_params[k] = v;
  }
  ,after_delete : function() {
    console.log("20200717", this.current_record.navinfo);
    if (this.current_record.navinfo.next)
      this.moveNext();
    else if (this.current_record.navinfo.prev)
      this.movePrev();
    else
      this.abandon();
  }
  ,moveFirst : function() {this.goto_record_id(
      this.current_record.navinfo.first)}
  ,movePrev : function() {this.goto_record_id(
      this.current_record.navinfo.prev)}
  ,moveNext : function() {this.goto_record_id(
      this.current_record.navinfo.next)}
  ,moveLast : function() {this.goto_record_id(
      this.current_record.navinfo.last)}

  ,refresh : function(unused) {
      this.refresh_with_after();
  }
  /* FormPanel */
  ,refresh_with_after : function(after) {
    // console.log('20140917 Lino.FormPanel.refresh_with_after()',this);
    if (this.current_record) {
        this.load_record_id(this.current_record.id, after);
    } else {
        this.set_current_record(undefined, after);
    }
  }

  ,do_when_clean : function(auto_save, todo) {
    var this_ = this;
    if (this.form.isDirty()) {
        // console.log('20140421 do_when_clean : form is dirty')
        if (auto_save) {
            this_.save(todo);
        } else {
          //~ console.log('20111217 do_when_clean() form is dirty',this.form);
          var config = {cls:"l-confirmation", title:"Confirmation"};
          config.buttons = Ext.MessageBox.YESNOCANCEL;
          config.msg = "Save changes to current record ?";
          config.fn = function(buttonId,text,opt) {
            //~ console.log('do_when_clean',buttonId)
            if (buttonId == "yes") {
                //~ Lino.submit_detail(this_,undefined,todo);
                //~ this_.containing_window.save(todo);
                this_.save(todo);
            } else if (buttonId == "no") {
              todo();
            }
          }
          Ext.MessageBox.show(config);
        }
    }else{
      // console.log('20140421 do_when_clean : now!')
      todo();
    }
  }

  ,goto_record_id : function(record_id) {
    // console.log('20140917 Lino.FormPanel.goto_record_id()',record_id);
    //~ var this_ = this;
    //~ this.do_when_clean(function() { this_.load_record_id(record_id) }
    this.do_when_clean(
        true, this.load_record_id.createDelegate(this, [record_id]));
  }

  ,load_record_id : function(record_id, after) {
    var this_ = this;
    var p = Ext.apply({}, this.get_base_params());
    if (this.action_name)
        p.an = this.action_name;
    p.rp = this.getId();
    p.fmt = 'json';
    this.add_param_values(p);
    Lino.insert_linoweb_version(p);
    if (this.loadMask) this.loadMask.show();
    Ext.Ajax.request({
      waitMsg: 'Loading record...',
      method: 'GET',
      params: p,
      scope: this,
      url: this.get_record_url(record_id),
      success: function(response) {
        // todo: convert to Lino.action_handler.... but result
        if (this.loadMask) this.loadMask.hide();
        if (response.responseText) {
          var rec = Ext.decode(response.responseText);
          // console.log('20150905 load_record_id success', rec);
          this.set_param_values(rec.param_values);
          this.set_current_record(rec, after);
          if (rec.message) {
            //~ if (rec.alert && ! gridmode) {
            if (rec.alert) { // 20120628b
                //~ Ext.MessageBox.alert('Alert',rec.alert_msg);
                if (rec.alert === true) rec.alert = "Alert";
                Ext.MessageBox.alert(rec.alert, rec.message, function(){eval(rec.alert_eval_js)});
            } else {
                Lino.notify(rec.message);
            }
          }
        }
      },
      failure: Lino.ajax_error_handler(this)
    });
  }

  ,abandon : function () {
    Ext.MessageBox.alert('Note',
      "No more records to display. Detail window has been closed.");
    Lino.close_window();
  }

  ,set_current_record : function(record, after) {
    // console.log('20160825 set_current_record', record);
    if (this.record_selector) {
        this.record_selector.clearValue();
        // e.g. InsertWrapper FormPanel doesn't have a record_selector
    }
    this.current_record = record;
    if (record && record.data) {
      this.enable();
      // After this method focus is moved to the panel.
      this.form.my_loadRecord(record.data);
      this.set_window_title(record.title);
      //~ this.getBottomToolbar().enable();
      var da = record.data.disabled_fields;
      if (da) {
          //~ console.log('20120528 disabled_fields =',da,this.getBottomToolbar());
          //~ 20121016 this.getBottomToolbar().items.each(function(item,index,length){
          if(this.hide_top_toolbar) {
              var tb = this.getBottomToolbar();
          } else {
              var tb = this.getTopToolbar();
          }
          if (tb) tb.items.each(function(item,index,length){
              //~ console.log('20120528 ',item.itemId,'-->',da[item.itemId]);
              // if (da[item.itemId]) item.disable(); else item.enable();
              if (da[item.itemId]) item.hide(); else item.show();
          });
      };
      if (this.disable_editing | record.data.disable_editing) {
          //~ console.log("20120202 disable_editing",record.title);
          this.form.items.each(function(cmp){
            if (!cmp.always_enabled) cmp.disable();
          },this);
      } else {
          this.form.items.each(function(cmp){
            //~ console.log("20120202",cmp);
            if (record.data.disabled_fields[cmp.name]) cmp.disable();
            else cmp.enable();
          },this);

          //~ if (record.data.disabled_fields) {
              //~ for (i = 0; i < record.data.disabled_fields.length; i++) {
                  //~ var flds = this.find('name',record.data.disabled_fields[i]);
                  //~ if (flds.length == 1) {
                    //~ flds[0].disable();
                  //~ }
              //~ }
          //~ }
      };
      if (this.first) {
        if (record.navinfo  && ! this.hide_navigator) {
          this.first.setDisabled(record.navinfo.first == null);
          this.prev.setDisabled(record.navinfo.prev == null);
          this.next.setDisabled(record.navinfo.next == null);
          this.last.setDisabled(record.navinfo.last == null);
          this.displayItem.setText(record.navinfo.message);
        } else {
          this.first.setDisabled(true);
          this.prev.setDisabled(true);
          this.next.setDisabled(true);
          this.last.setDisabled(true);
        }
      }
    } else {
      if (this.form.rendered)
        this.form.reset(); /* FileUploadField would fail when resetting a non-rendered form */
      //~ this.disable();
      //~ this.getBottomToolbar().disable();
      this.form.items.each(function(cmp){
        cmp.disable();
      },this);
      this.set_window_title(this.empty_title);
      //~ this.containing_window.window.setTitle(this.empty_title);
      if (!this.hide_navigator) {
        this.first.disable();
        this.prev.disable();
        this.next.disable();
        this.last.disable();
      }
    }
    // console.log('20140917 gonna call before_row_edit', record);
        var current_focus_fields = false;
        for (var i = 0; i < this.form.items.items.length;i++) {
            if (this.form.items.items[i].hasFocus) current_focus_fields = i;
        }
    this.before_row_edit(record);
        if (current_focus_fields != false){
            this.form.items.items[current_focus_fields].focus();
        }
    // console.log('20140917 gonna call after', after);
    this.containing_window.focus(); // ticket: 2509 regain focus on reload
    if (after) after();
  },

  /* FormPanel */
  before_row_edit : function(record) {},
  search_change : function(field,oldValue,newValue) {
    //~ console.log('search_change',field.getValue(),oldValue,newValue)
    this.set_base_param('query',field.getValue());
    this.refresh();
  },

//  get_selected : function() { return [ this.current_record ] },
  get_current_record : function() {
    //~ console.log(20100714,this.current_record);
    return this.current_record
  },

  get_permalink_url : function() {
      var rec = this.get_current_record();
      if (rec && ! rec.phantom && rec.id != -99998)
          return '/api'
              + this.ls_url + '/' + rec.id;
      return '/api' + this.ls_url;

  },
  add_param_tab : function(p) {
    var main = this.items.get(0);
    if (main.activeTab) {
      var tab = main.items.indexOf(main.activeTab);
      // console.log('20150130 main.activeTab', tab, main.activeTab);
      if (tab) p.tab = tab;
    // } else {
    //   console.log('20150130 no main.activeTab');
    }
  },
  get_permalink_params : function() {
    var p = {};
    //~ var p = {an:'detail'};
    if (this.action_name)
        p.an = this.action_name;
    this.add_param_tab(p)
    this.add_param_values(p)
    return p;
  }

  ,validate_form : function() {  // not used. see actions.ValidateForm
      // var ov = {};
      // this.form.items.each(function(f){
      //     ov[f.name] = f.originalValue
      // });

      // console.log('20140509 FormPanel.validate_form', ov);
      // var after = function() {
      //     this.form.items.each(function(f){
      //         f.originalValue = ov[f.name];
      //     });
      // }
      // this.save2(null, 'validate', after);
      this.save2(null, 'validate');
  }

  /* Lino.FormPanel */
  ,save : function(after) {
    var action_name = this.save_action_name;
    if (!action_name)
        action_name = this.action_name;
    // console.log('20140503 FormPanel.save', action_name);
    this.save2(after, action_name);
  }

  ,save2 : function(after, action_name) {
    var rec = this.get_current_record();
    var p = {};
    var panel = this;

    if (!rec) {
        Lino.notify("Sorry, no current record.");
        return;
    }
    if (this.has_file_upload) {
        p.csrfmiddlewaretoken = Ext.util.Cookies.get('csrftoken');
        document.domain = document.domain;
        p._document_domain = document.domain;
        this.form.fileUpload = true;
    }
    this.loadMask.show();
    Ext.apply(p, this.get_base_params());
    p.rp = this.getId();
    p.an = action_name;
    this.add_param_tab(p)
    // console.log('20150216 FormPanel.save()', rec, this.form);
    var submit_config = {
        params: p,
        scope: this,
        success: function(form, action) {
          this.loadMask.hide();
          Lino.notify(action.result.message);
          Lino.handle_action_result(this, action.result, after);
        },
        failure: function(form,action) {
          this.loadMask.hide();
          Lino.on_submit_failure(form, action);
        },
        clientValidation: true
    };
    if (rec.phantom) {  // it's a new record
      Ext.apply(submit_config, {
        url: '/api' + this.ls_url,
        method: 'POST'
      });
      // panel.refresh();
      // temporarily disabled. See 20151002
    } else {  // submit on existing row
      Ext.apply(submit_config, {
        url: '/api'
              + this.ls_url + '/' + rec.id,
        method: 'PUT'
      })
    }
    this.form.submit(submit_config);
  }

  ,on_cancel : function() {
    this.get_containing_window().close();
  }
  ,on_ok : function() {
      // console.log("20140424");
      // this.save(null, true, this.save_action_name);
      this.save();
  }
  ,run_action_hotkeys : function(k ,e){
    var result = this.actions_hotkeys.filter(obj => {
      return obj.key.toUpperCase() === String.fromCharCode(k).toUpperCase()
    })
    if (result != undefined){
      if (result.length != undefined){
        result = result[0];
      }
      // this.actions_hotkeys[i].ba
      var pk = this.current_record.id || this.default_record_id;
      if (pk == undefined && this.base_params) { pk = this.base_params.mk; }
//          if (pk == undefined && this.containing_panel) {
//             pk = this.containing_panel.get_current_record().id;
//          }
      if (pk == undefined) {
        // 20170101 VerifyUser action
        pk = '-99998';
        // Lino.alert("Sorry, dialog action without base_params.mk");
        // return;
        }
        eval(result.ba)(this.containing_panel,
                                              this.is_main_window,
                                              pk, {});
                                            }
      e.stopEvent();
      e.stopPropagation();

  }
  ,config_containing_window : function(wincfg) {

      // Note that defaultButton means: which component should receive
      // focus when Window is focussed.  If no defaultButton set,
      // specify the first form field.

      if (!wincfg.defaultButton) this.getForm().items.each(function(f){
          if(f.isFormField){
              wincfg.defaultButton = f;
              // console.log("20140205 defaultButton", f);
              return false;
          }
      });

      wincfg.keys = [];

      wincfg.keys.push({
          key: Ext.EventObject.ESCAPE,
          // this is not called sometimes.
          handler: this.on_cancel, scope:this });
      wincfg.keys.push({
          key: 's', ctrl: true,
             stopEvent: true, handler: this.on_ok, scope:this });
      if (this.actions_hotkeys) {
          for (var i = 0; i < this.actions_hotkeys.length;i++) {
            wincfg.keys.push({
              key: this.actions_hotkeys[i].key,
              ctrl: this.actions_hotkeys[i].ctrl,
              shift : this.actions_hotkeys[i].shift,
              stopEvent: true,
              handler:
                function(k, e){
                  this.run_action_hotkeys(k,e);
                },
              scope:this });
          }
      }
  }

});



Lino.getRowClass = function(record, rowIndex, rowParams, store) {
    //~ console.log(20130816,record);
    //~ return 'x-grid3-row-green';
    //~ return record.data.row_class + ' auto-height';
    return record.data.row_class;
  //~ if (true) {
      //~ return 'x-grid3-row-red';
  //~ }
  //~ if (record.phantom) {
    //~ console.log(20101009,record);
    //~ rowParams.bodyStyle = "color:red;background-color:blue";
    //~ return 'lino-phantom-row';
    //~ }
  //~ console.log('20101009 not a phantom:',record);
  //~ return '';
}

//~ FOO = 0;



Lino.GridStore = Ext.extend(Ext.data.ArrayStore,{
  autoLoad: false
  ,load: function(options) {
    //~ foo.bar = baz; // 20120213
    if (!options) options = {};
    if (!options.params) options.params = {};
    options.params.fmt = 'json';
    options.params.rp = this.grid_panel.getId();
    Lino.insert_subst_user(options.params); // since 20121016

    var start = this.grid_panel.start_at_bottom ? -1 : 0;
    if (this.grid_panel.hide_top_toolbar) {
        //~ console.log("20120206 GridStore.load() toolbar is hidden");
        options.params.start = start;
        if (this.grid_panel.preview_limit) {
          options.params.limit = this.grid_panel.preview_limit;
        }
    } else {
        var ps = this.grid_panel.calculatePageSize();
        if (!ps) {
          // console.log("GridStore.load() failed to calculate pagesize");
          return false;
        }
        options.params.limit = ps;

        this.grid_panel.getTopToolbar().pageSize =  ps;
        if (options.params.start == undefined)
            // if (start != -1)
            //     start = this.grid_panel.getTopToolbar().cursor
            options.params.start = start;

        // console.log("20141108 GridStore.load() ", options.params);
    }

    this.grid_panel.add_param_values(options.params);
    //~ Lino.insert_subst_user(options.params);
    //~ console.log("20120814 GridStore.load()",options.params,this.baseParams);
    return Lino.GridStore.superclass.load.call(this, options);
  }
  // ,insert : function(index, records) {
  //   return Ext.data.Store.prototype.insert.call(this, index, records)
    // return Lino.GridStore.superclass.insert.call(this, index, records);
  // }
});

Lino.get_current_grid_config = function(panel) {
    return panel.get_current_grid_config();
}


// Like the default value for GridView.cellTpl but adds a class "lino-auto-height"
Lino.auto_height_cell_template = new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
    '<div class="lino-auto-height x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" {attr}>{value}</div>',
'</td>'
);

Lino.GridPanel = Ext.extend(Ext.grid.EditorGridPanel, Lino.MainPanel);
Lino.GridPanel = Ext.extend(Lino.GridPanel, Lino.PanelMixin);
Lino.GridPanel = Ext.extend(Lino.GridPanel, {
  quick_search_text : '',
  start_at_bottom : false,
  is_searching : false,
  disabled_in_insert_window : true,
  clicksToEdit:2,
  enableColLock: false,
  autoHeight: false,
  params_panel_hidden : false,
  preview_limit : undefined,
  // fake_row_content: '<br>',
  row_height: 1,
  //~ loadMask: true,
  //~ viewConfig: {
          //~ getRowClass: Lino.getRowClass,
          //~ emptyText:"$_('No data to display.')"
        //~ },


  loadMask: {msg:"Please wait..."},

  constructor : function(config){

    config.plugins = [new Lino.GridFilters()];


    Lino.GridPanel.superclass.constructor.call(this,config);

    //~ if (this.containing_window) {
        //~ console.log("20111206 install refresh");
        //~ this.containing_window.on('show',this.refresh,this);
    //~ }

  },

  // private
  initEvents : function(){
    Ext.grid.GridPanel.superclass.initEvents.call(this);

    // modifed from Ext.grid.GridPanel
    // Override the function to replace the element to be covered by the mask to the body.
    if(this.loadMask){
        this.loadMask = new Ext.LoadMask(this.body,
                Ext.apply({store:this.store}, this.loadMask));
    }

    // unmodified from Ext.grid.EditorGridPanel
    this.getGridEl().on('mousewheel', this.stopEditing.createDelegate(this, [true]), this);
    this.on('columnresize', this.stopEditing, this, [true]);

    if(this.clicksToEdit == 1){
        this.on("cellclick", this.onCellDblClick, this);
    }else {
        var view = this.getView();
        if(this.clicksToEdit == 'auto' && view.mainBody){
            view.mainBody.on('mousedown', this.onAutoEditClick, this);
        }
        this.on('celldblclick', this.onCellDblClick, this);
    }
},

  init_containing_window : function(win) {
    //~ console.log("20111206 install refresh");
    //~ win.on('show',this.refresh,this);
  }

  ,handle_key_event : function(e) {
    // console.log("20140514 handle_key_event", e, this.keyhandlers);
    if (this.keyhandlers){
        var h = this.keyhandlers[e.keyCode];
        }
    else if (this.keys !== undefined){
        var h = this.keys[e.keyCode];
        }
    if (h) {
        h(this);
        e.stopEvent();
    }
  }

  ,initComponent : function(){

    /*
    Problem 20111206:
    When a GridPanel is the main item of the window, then it doesn't
    have it's own header but uses the window's header bar.
    We must do this in initComponent because e.g. in beforerender
    it's already to late: a header element has been created because
    there was a title.
    But Lino.Window adds itself as `this.containing_window`
    only after the GridPanel has been initialized.
    Workaround is to generate a line "params.containing_window = true;"
    in the handler function.
    */
    if (this.is_main_window) {
        //~ console.log(20111206, 'delete title',this.title,'from',this);
        this.tools = undefined;
        this.title = undefined;  /* simply deleting it
          isn't enough because that would only
          unhide the title defined in some base class. */
    }
    //~ else console.log(20111206, 'dont delete title',this.title,'from',this);

    /* e.g. when slave gridwindow called from a permalink */
    //~ if (this.base_params) Ext.apply(bp,this.base_params);

    var proxy = new Ext.data.HttpProxy({
      // 20120814
      url: '/api' + this.ls_url
      ,method: "GET"
      //~ ,url: ADMIN_URL + '/restful' + this.ls_url
      //~ ,restful: true
      ,listeners: {load: function (proxy, req, optps) {
            var result = req.reader.arrayData;
            // Used for lino version validation
            if (result.message) { //
                if (result.alert) { // 20120628b
                    if (result.alert === true) result.alert = "Alert";
                    Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
                } else {
                    Lino.notify(result.message);
                }
            }
            } }
      //~ ,listeners: {write:on_proxy_write}
    });
    //~ config.store = new Ext.data.JsonStore({
    //~ this.store = new Ext.data.ArrayStore({
    this.store = new Lino.GridStore({
      grid_panel: this
      ,listeners: { exception: Lino.on_store_exception }
      ,remoteSort: true
      ,totalProperty: "count"
      ,root: "rows"
      //~ ,id: "id"
      ,proxy: proxy
      //~ autoLoad: this.containing_window ? true : false
      ,idIndex: this.pk_index
      //~ ,baseParams: bp
      ,fields: this.ls_store_fields
      ,idProperty: this.ls_id_property
      // 20120814
      //~ ,writer : new Ext.data.JsonWriter({
        //~ writeAllFields: false
        //~ ,listful: true
      //~ })
      //~ ,restful : true
    });

    //~ console.log('config.pk_index',config.pk_index,config.store),
    delete this.ls_store_fields;

    var this_ = this;
    //~ var grid = this;
    this.store.on('load', function() {
        //~ console.log('20120814 GridStore.on(load)',this_.store);
        this_.set_param_values(this_.store.reader.arrayData.param_values);
        //~ this_.set_status(this_.store.reader.arrayData.status);
        //~ 20120918
        this.getView().getRowClass = Lino.getRowClass;

        if (this_.store.reader.arrayData.no_data_text) {
            //~ this.viewConfig.emptyText = this_.store.reader.arrayData.no_data_text;
            this.getView().emptyText = this_.store.reader.arrayData.no_data_text;
            this.getView().refresh();
        }
        if (this_.containing_window)
            this_.set_window_title(this_.store.reader.arrayData.title);
            //~ this_.containing_window.setTitle(this_.store.reader.arrayData.title);
        // 20190704 add open_in_own_window button after title of slave panel
        // else if (! (this_ instanceof Ext.TabPanel)) this_.setTitle(this_.store.reader.arrayData.title);

        if (!this.is_searching) { // disabled 20121025: quick_search_field may not lose focus
          this.is_searching = false;
          if (this_.selModel.getSelectedCell){
              if (this_.getStore().getCount()) // there may be no data
                  this_.selModel.select(0,0);
          } else {
              this_.selModel.selectFirstRow();
              this_.getView().focusEl.focus();
          }
        }
        //~ else console.log("is_searching -> no focussing");
        //~ var t = this.getTopToolbar();
        //~ var activePage = Math.ceil((t.cursor + t.pageSize) / t.pageSize);
        //~ this.quick_search_field.focus(); // 20121024
      }, this
    );
    var actions = Lino.build_buttons(this, this.ls_bbar_actions);
    //~ Ext.apply(config,Lino.build_buttons(this,config.ls_bbar_actions));
    //~ config.bbar, this.cmenu = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ this.cmenu = new Ext.menu.Menu({items: config.bbar});
    delete this.ls_bbar_actions
    if (actions) {
        this.cmenu = actions.cmenu;
//        this.keyhandlers = actions.keyhandlers;
        this.keys = new Ext.KeyMap(this.elements,actions.keyhandlers);
    }

    // TODO: hide_top_toolbar currently also acts as if hide_navigator was true,
    // IOW In ExtJS you cannot have the toolbar on the bottom without also
    // disabling navigation.

    if (!this.hide_top_toolbar) {
      var tbar = [
        this.quick_search_field = new Ext.form.TextField({
            //~ fieldLabel: "Search"
          emptyText: "Quick search",
          listeners: {
            scope:this_
            //~ ,change:this_.search_change
            
            ,render: Lino.quicktip_renderer("Quick Search","Enter a text to use as quick search filter")
            
            //~ ,keypress: this.search_keypress
            ,blur: function() { this.is_searching = false}
            ,afterrender: function(field) {
                if (this.focus_on_quick_search){
                    field.focus(false, 1000);
                    }
              }
          }
          ,validator:function(value) { return this_.search_validate(value) }
          //~ ,tooltip: "Enter a quick search text, then press TAB"
          //~ value: text
          //~ scope:this,
          //~ ,enableKeyEvents: true
          //~ listeners: { keypress: this.search_keypress },
          //~ id: "seachString"
      })];
      tbar = this.add_params_panel(tbar);
      // var menu = [];
      // var set_gc = function(index) {
      //   return function() {
      //     //~ console.log('set_gc() 20100812');
      //     this.getColumnModel().setConfig(this.ls_columns);
      //   }
      // }
      // for (var i = 0; i < this.ls_grid_configs.length;i++) {
      //   var gc = this.ls_grid_configs[i];
      //   menu.push({text:gc.label,handler:set_gc(i),scope:this})
      // }
      // if(menu.length > 1) {
      //   tbar = tbar.concat([
      //     { text:"View",
      //       menu: menu,
      //       tooltip:"Select another view of this report"
      //     }
      //   ]);
      // }

      if (actions) {
        tbar = tbar.concat(actions.bbar);
          //~ this.bbar = actions.bbar;
      }

      this.tbar = new Ext.PagingToolbar({
        store: this.store,
        prependButtons: true,
        //~ pageSize: this.page_length,
        pageSize: 1,
        displayInfo: true,
        beforePageText: "Page",
        afterPageText: "of {0}",
        displayMsg: "Displaying {0} - {1} of {2}",
        firstText: "First page",
        lastText: "Last page",
        prevText: "Previous page",
        nextText: "Next page",
        items: tbar
      });
    }

    if (this.cell_edit) {
      this.selModel = new Ext.grid.CellSelectionModel()
      this.get_selected = function() {
        //~ console.log(this.getSelectionModel().selection);
        if (this.selModel.selection)
            return [ this.selModel.selection.record ];
        return [this.store.getAt(0)];
      };
      this.get_current_record = function() {
        if (this.getSelectionModel().selection)
          return this.selModel.selection.record;
        return this.store.getAt(0);
      };
    } else {
      this.selModel = new Ext.grid.RowSelectionModel()
      this.get_selected = function() {
        var sels = this.selModel.getSelections();
        if (sels.length == 0) sels = [this.store.getAt(0)];
        return sels
      };
      this.get_current_record = function() {
        var rec = this.selModel.getSelected();
        if (rec == undefined) rec = this.store.getAt(0);
        return rec
      };
    };
    this.columns  = this.ls_columns;

    Lino.GridPanel.superclass.initComponent.call(this);

    this.on('resize', function(){
      //~ console.log("20120213 resize",arguments)
      this.refresh();
      },this);
    this.on('viewready', function(){
      //~ console.log("20120213 resize",arguments);
      this.view_is_ready = true;
      this.refresh(); // removed 20130911
      },this);
    this.on('afteredit', this.on_afteredit); // 20120814
    this.on('beforeedit', this.on_beforeedit);
    this.on('beforeedit',function(e) { this.before_row_edit(e.record)},this);
    if (this.cell_edit) {
        this.on('cellcontextmenu', Lino.cell_context_menu, this);
    } else {
        this.on('rowcontextmenu', Lino.row_context_menu, this);
    }
    //~ this.on('contextmenu', Lino.grid_context_menu, this);

    delete this.cell_edit;

  },

  //~ onResize : function(){
      //~ console.log("20120206 GridPanel.onResize",arguments);
      //~ Lino.GridPanel.superclass.onResize.apply(this, arguments);
      //~ this.refresh();
  //~ },


  get_status : function(){
    var st = { base_params : this.get_base_params()};
    if (!this.hide_top_toolbar) {
        // #866
        if (this.getStore().lastOptions != undefined && this.getStore().lastOptions.params != undefined){
            st.current_page = Math.round(this.getStore().lastOptions.params.start / this.getStore().lastOptions.params.limit ) + 1 ;
        }
    }
    st.param_values = this.status_param_values;
    //~ console.log("20120213 GridPanel.get_status",st);
    return st;
  },

  /*
  Lino.GridPanel.set_status()
  */
  set_status : function(status, rp){
    this.requesting_panel = Ext.getCmp(rp);
    // console.log("20140527 GridPanel.set_status", status);
    this.clear_base_params();
    if (status == undefined) status = {base_params:{}};
    this.set_param_values(status.param_values);
    if (status.base_params) {
      this.set_base_params(status.base_params);
    }
    if (status.show_params_panel != undefined) {
        if (this.toggle_params_panel_btn) {
            //~ this.toggle_params_panel_btn.toggle(status.show_params_panel=='true');
            this.toggle_params_panel_btn.toggle(status.show_params_panel);
        }
    }
    if (!this.hide_top_toolbar) {
      //~ console.log("20120213 GridPanel.getTopToolbar().changePage",
          //~ status.current_page || 1);
      this.getTopToolbar().changePage(status.current_page || 1);
    }
    //~ this.fireEvent('resize');
    //~ this.refresh.defer(100,this);
    //~ this.onResize.defer(100,this);
    //~ this.refresh();
    //~ this.doLayout();
    //~ this.onResize();
    //~ this.store.load();
  },

  refresh : function(unused) {
    this.refresh_with_after();
  },
  /* GridPanel */
  refresh_with_after : function(after) {
    // console.log('20140504 Lino.GridPanel.refresh '+ this.store.proxy.url);
    //~ var bp = { fmt:'json' }
    if (! this.view_is_ready) return;

    if (this.containing_panel) {
        //~ Ext.apply(p,this.master_panel.get_master_params());
        //~ Ext.apply(options.params,this.containing_panel.get_master_params());
        this.set_base_params(this.containing_panel.get_master_params());
        // 20130911
        if (this.store.baseParams.mk === undefined ) {
            return;
        }
    }

    //~ console.log('20130911 Lino.GridPanel.refresh_with_after',this.containing_panel.get_master_params());

    var options = {};
    if (after) {
        options.callback = function(r,options,success) {if(success) after()}
    }

    //~ if (!this.rendered) {
        //~ console.log("20120206 GridPanel.refresh() must wait until rendered",options);
        //~ this.grid_panel.on('render',this.load.createDelegate(this,options))
        //~ return;
    //~ }
    // Ticket 802
    if (this.store.lastOptions != undefined){
        var params = {};
        params.limit = this.store.lastOptions.params.limit;
        params.start = this.store.lastOptions.params.start;
        options.params = params;
    }
    this.store.load(options);
  },

  /* pageSize depends on grid height (Trying to remove scrollbar)
  Thanks to
  - Christophe Badoit on http://www.sencha.com/forum/showthread.php?82647
  - http://www.sencha.com/forum/archive/index.php/t-37231.html
  */
  calculatePageSize : function(second_attempt) {
    //~ if (!this.rendered) {
    if (!this.view_is_ready) {
      //~ console.log('Cannot calculatePageSize() : not rendered');
      return false; }
    //~ if (!this.isVisible()) {
      //~ console.log('calculatePageSize : not visible');
      //~ return false; }

    //~ console.log('getFrameHeight() is',this.getFrameHeight());
    //~ console.log('getView().scroller.getHeight() is',this.getView().scroller.getHeight());
    //~ console.log('mainBody.getHeight() is',this.getView().mainBody.getHeight());
    //~ console.log('getInnerHeight() is',this.getInnerHeight());
    //~ console.log('getHeight() is',this.getHeight());
    //~ console.log('el.getHeight() is',this.getEl().getHeight());
    //~ console.log('getGridEl().getHeight() is',this.getGridEl().getHeight());
    //~ console.log('getOuterSize().height is',this.getOuterSize().height);
    //~ console.log('getBox().height is',this.getBox().height);
    //~ console.log('getResizeEl.getHeight() is',this.getResizeEl().getHeight());
    //~ console.log('getLayoutTarget().getHeight() is',this.getLayoutTarget().getHeight());

    // var rowHeight = this.row_height * 11; experimental value 11
    // same as in ext_renderer.py that's not enough because it is the
    // height of one text line. But here we need the outer height of a
    // grid row containing that many text lines.

    var row_content = '&nbsp;'
    for (var i = 0; i < this.row_height;i++) {
        row_content += '<br>';
    }

    var Element = Ext.Element;
    var gv = this.view;
    var fakeBody = new Element(Element.fly(gv.scroller).child('div.x-grid3-body'));
    var rowTemplate = gv.templates.row;
    var cellTemplate = gv.templates.cell;
    var tstyle  = 'width:' + gv.getGridInnerWidth() + 'px;';
    // console.log("20160615", this.fake_row_content);
    var cells = cellTemplate.apply({value:row_content});
    var markup = rowTemplate.apply({
            tstyle: tstyle,
            cols  : 1,
            cells : cells,
            alt   : ''
        });
    fakeBody.dom.innerHTML = gv.templates.body.apply({rows: markup});
    var row = fakeBody.dom.childNodes[0];
    var rowHeight = Ext.get(row).getHeight();

    //~ console.log('rowHeight is ',rowHeight,this,caller);
    //~ this.getView().syncScroll();
    //~ this.getView().initTemplates();
    var height = this.getView().scroller.getHeight();

    //~ console.log('getView().scroller.getHeight() is',this.getView().scroller.getHeight());
    //~ console.log('getInnerHeight() - getFrameHeight() is',
      //~ this.getInnerHeight(), '-',
      //~ this.getFrameHeight(), '=',
      //~ this.getInnerHeight() - this.getFrameHeight());
    //~ var height = this.getView().mainBody.getHeight();
    //~ var height = this.getView().mainWrap.getHeight();
    //~ var height = this.getView().resizeMarker.getHeight();
    //~ this.syncSize();
    //~ var height = this.getInnerHeight() - this.getFrameHeight();
    //~ var height = this.getHeight() - this.getFrameHeight();
    height -= Ext.getScrollBarWidth(); // leave room for a possible horizontal scrollbar...
    //~ height -= this.getView().scrollOffset;
    var ps = Math.floor(height / rowHeight);
    //~ console.log('20130816 calculatePageSize():',height,'/',rowHeight,'->',ps);
    ps -= 1; // leave room for a possible phantom row
    //~ return (ps > 1 ? ps : false);
    if (ps > 1) return ps;
    //~ console.log('calculatePageSize() found less than 1 row:',height,'/',rowHeight,'->',ps);
    //~ foo.bar = baz; // 20120213
    return 5; // preview_limit
    //~ if (second_attempt) {
        //~ console.log('calculatePageSize() abandons after second attempt:',
          //~ height,'/',rowHeight,'->',ps);
      //~ return 5;
    //~ }
    //~ return this.calculatePageSize.defer(500,this,[true]);
  },

  onCellDblClick : function(grid, row, col){
      //~ console.log("20120307 onCellDblClick",this,grid, row, col);
      if (this.ls_detail_handler) {
          //~ Lino.notify('show detail');
          Lino.show_detail(this);
          return false;
      }else{
        //~ console.log('startEditing');
        this.startEditing(row,col);
      }
  },
  get_base_params : function() {  /* Lino.GridPanel */
    var p = Ext.apply({}, this.store.baseParams);
    Lino.insert_subst_user(p);
    // if (this.quick_search_field)
    //     if (this.quick_search_field.getValue())
    //         p.query = this.quick_search_field.getValue();
    return p;
  },
  set_base_params : function(p) {
    // console.log('20130911 GridPanel.set_base_params',p)
    for (k in p) this.store.setBaseParam(k,p[k]);
    //~ this.store.baseParams = p;
    if (this.quick_search_field)
      this.quick_search_field.setValue(p.query || "");
    //~ if (p.param_values)
        //~ this.set_param_values(p.param_values);
  },
  clear_base_params : function() {
      this.store.baseParams = {};
      Lino.insert_subst_user(this.store.baseParams);
  },
  set_base_param : function(k,v) {
    this.store.setBaseParam(k,v);
  },

  //~ get_permalink_params : function() {
    //~ var p = {};
    //~ return p;
  //~ },

  before_row_edit : function(record) {},

  //~ search_keypress : function(){
    //~ console.log("2012124 search_keypress",arguments);
  //~ },
  search_validate : function(value) {
      if (value == this.quick_search_text) return true;

      /**
      *  Cancel the previous request when do a new load request.
      *  Prevents Ajax race conditions. Ticket #2136
      **/
      var c = this.store.proxy.getConnection();
      c.abort(c.transId);


    this.is_searching = true;
    //~ console.log('search_validate',value)
    this.quick_search_text = value;
    this.set_base_param('query',value);
    //~ this.getTopToolbar().changePage(1);
    this.getTopToolbar().moveFirst();
    //~ this.refresh();
    return true;
  },

  search_change : function(field,oldValue,newValue) {
    //~ console.log('search_change',field.getValue(),oldValue,newValue)
    this.set_base_param('query',field.getValue());
    this.getTopToolbar().moveFirst();
    //~ this.refresh();
  },

  get_current_grid_config : function () {
    var cm = this.getColumnModel();
    var widths = Array(cm.config.length);
    var hiddens = Array(cm.config.length);
    //~ var hiddens = Array(cm.config.length);
    var columns = Array(cm.config.length);
    //~ var columns = Array(cm.config.length);
    //~ var hidden_cols = [];
    //~ var filters = this.filters.getFilterValues();
    var p = this.filters.buildQuery(this.filters.getFilterData())
    for (var i = 0; i < cm.config.length; i++) {
      var col = cm.config[i];
      columns[i] = col.dataIndex;
      //~ hiddens[i] = col.hidden;
      widths[i] = col.width;
      hiddens[i] = col.hidden;
      //~ if (col.hidden) hidden_cols.push(col.dataIndex);
    }
    //~ p['hidden_cols'] = hidden_cols;
    p.cw = widths;
    p.ch = hiddens;
    p.ci = columns;
    //~ p['widths'] = widths;
    //~ p['hiddens'] = hiddens;
    //~ p['columns'] = columns;
    // p['name'] = this.gc_name;
    //~ var gc = this.ls_grid_configs[this.gc_name];
    //~ if (gc !== undefined)
        //~ p['label'] = gc.label
    //~ console.log('20100810 save_grid_config',p);
    return p;
  },

  on_beforeedit : function(e) {
    //~ console.log('20130128 GridPanel.on_beforeedit()',e,e.record.data.disable_editing);
    if(this.disable_editing | e.record.data.disable_editing) {
      e.cancel = true;
      Lino.notify("This record is disabled");
      return;
    }
    if(e.record.data.disabled_fields && e.record.data.disabled_fields[e.field]) {
      e.cancel = true;
      Lino.notify("This field is disabled");
      return;
    }
    //~ if (e.record.data.disabled_fields) {
      //~ for (i in e.record.data.disabled_fields) {
        //~ if(e.record.data.disabled_fields[i] == e.field) {
          //~ e.cancel = true;
          //~ Lino.notify(String.format('Field "{0}" is disabled for this record',e.field));
          //~ return
        //~ }
      //~ }
    //~ }
  },
  save_grid_data : function() {
      //~ console.log("20120814 save_grid_data");
      this.getStore().commitChanges();
  },
  on_afteredit : function(e) {
    /*
    e.grid - The grid that fired the event
    e.record - The record being edited
    e.field - The field name being edited
    e.value - The value being set
    e.originalValue - The original value for the field, before the edit.
    e.row - The grid row index
    e.column - The grid column index
    */
    var p = {};
    // console.log('20140403 afteredit: ',e.record);
    //~ console.log('20101130 value: ',e.value);
    //~ var p = e.record.getChanges();
    //~ console.log('20101130 getChanges: ',e.record.getChanges());
    //~ this.before_row_edit(e.record);

    for(k in e.record.getChanges()) {
        var v = e.record.get(k);
    //~ for(k in e.record.modified) {
        //~ console.log('20101130',k,'=',v);
        //~ var cm = e.grid.getColumnModel();
        //~ var di = cm.getDataIndex(k);
        var f = e.record.fields.get(k);
        //~ console.log('20101130 f = ',f);
        //~ var v = e.record.get(di);
        if (f.type.type == 'date') {
            p[k] = Ext.util.Format.date(v, f.dateFormat);
        }else{
            p[k] = v;
            var v = e.record.get(k+'Hidden');
            if (v !== undefined) {
              p[k+'Hidden'] = v;
            }
        }
    }
    // add value used by ForeignKeyStoreField CHOICES_HIDDEN_SUFFIX
    // not sure whether this is still needed:
    p[e.field+'Hidden'] = e.value;
    //~ p.su = Lino.subst_user;
    Lino.insert_subst_user(p);
    // this one is needed so that this field can serve as choice context:
    e.record.data[e.field+'Hidden'] = e.value;
    // p[pk] = e.record.data[pk];
    // console.log("grid_afteredit:",e.field,'=',e.value);
    Ext.apply(p, this.get_base_params()); // needed for POST, ignored for PUT
    //~ Ext.apply(p,this.containing_window.config.base_params);
    //~ 20121109 p['$constants.URL_PARAM_ACTION_NAME'] = 'grid';
    var self = this;
    var req = {
        params: p,
        waitMsg: 'Saving your data...',
        success: Lino.action_handler(this, function (result) {
            // console.log("20140728 afteredit.success got ", result);
            //~ if (result.data_record) {
            if (result.refresh_all) {
                var cw = self.get_containing_window();
                if (cw) {
                    cw.main_item.refresh();
                }
                else console.log("20120123 cannot refresh_all", self);
            } else if (result.rows) {
                //~ self.getStore().loadData(result,true);
                var r = self.getStore().reader.readRecords(result);
                var cell = e.grid.getSelectionModel().selection.cell; // post insert cord for edit / selection
                if (e.record.phantom) {
                    var was_editing = false;
                    // console.log("20140728 gonna call Store.insert()", self.getStore(), e.row, r.records);
                    if (e.grid.editing && e.grid.activeEditor) {
                        cell = [e.grid.activeEditor.row, e.grid.activeEditor.col];
                        console.log("was editing", cell);
                        e.grid.activeEditor.cancelEdit();
                        was_editing = true;
                    }

                    self.getStore().insert(e.row, r.records);
                    if (was_editing) {
                        e.grid.startEditing(cell[0], cell[1]);
                    }

                } else {
                    // console.log("20140728 afteredit.success doUpdate", r.records[0]);
                    self.getStore().doUpdate(r.records[0]);
                }
                self.getStore().rejectChanges();
                /*
            get rid of the red triangles without saving the record again
            */
                e.grid.getSelectionModel().select(cell[0], cell[1]);

                //~ self.getStore().commitChanges(); // get rid of the red triangles
            } else {
                self.getStore().commitChanges(); // get rid of the red triangles
                self.getStore().reload();        // reload our datastore.
            }
        }),
        scope: this,
        failure: Lino.ajax_error_handler(this)
    };
    if (e.record.phantom) {
      req.params.an = 'grid_post'; // CreateRow.action_name
      Ext.apply(req,{
        method: 'POST',
        url: '/api' + this.ls_url
      });
    } else {
      req.params.an = 'grid_put'; // SaveRow.action_name
      Ext.apply(req,{
        method: 'PUT',
        url: '/api' + this.ls_url + '/' + e.record.id
      });
    }
    //~ console.log('20110406 on_afteredit',req);
    this.loadMask.show(); // 20120211
    Ext.Ajax.request(req);
  },

  afterRender : function() {
    Lino.GridPanel.superclass.afterRender.call(this);
    // this.getView().mainBody.focus();
    // console.log(20100114,this.getView().getRows());
    // if (this.getView().getRows().length > 0) {
    //  this.getView().focusRow(1);
    // }
    //~ this.my_load_mask = new Ext.LoadMask(this.getEl(), {
        //~ msg:'$_("Please wait...")',
        //~ store:this.store});

    var tbar = this.getTopToolbar();
    // tbar.on('change',function() {this.getView().focusRow(1);},this);
    // tbar.on('change',function() {this.getSelectionModel().selectFirstRow();this.getView().mainBody.focus();},this);
    // tbar.on('change',function() {this.getView().mainBody.focus();},this);
    // tbar.on('change',function() {this.getView().focusRow(1);},this);
    this.nav = new Ext.KeyNav(this.getEl(),{
      pageUp: function() {tbar.movePrevious(); },
      pageDown: function() {tbar.moveNext(); },
      home: function() {tbar.moveFirst(); },
      end: function() {tbar.moveLast(); },
      scope: this
    });

  },
  after_delete : function() {
    //~ console.log('Lino.GridPanel.after_delete');
    this.refresh();
  },
  add_row_listener : function(fn,scope) {
    this.getSelectionModel().addListener('rowselect',fn,scope);
  },
  postEditValue : function(value, originalValue, r, field){
    value = Lino.GridPanel.superclass.postEditValue.call(this,value,originalValue,r,field);
    //~ console.log('GridPanel.postEdit()',value, originalValue, r, field);
    return value;
  },

  set_start_value : function(v) {
      this.start_value = v;
  },
  preEditValue : function(r, field){
      if (this.start_value) {
        var v = this.start_value;
        delete this.start_value;
        this.activeEditor.selectOnFocus = false;
        return v;
      }
      var value = r.data[field];
      return this.autoEncode && Ext.isString(value) ? Ext.util.Format.htmlDecode(value) : value;
  },

  on_master_changed : function() {
    //~ if (! this.enabled) return;
    //~ cmp = this;
    //~ console.log('20130911 Lino.GridPanel.on_master_changed()',this.title,this.rendered);
    if (! this.rendered) return; // 20120213
    var todo = function() {
      if (this.disabled) return;
      //~ if (this.disabled) return;
      //~ if (this.enabled) {
          //~ var src = caller.config.url_data + "/" + record.id + ".jpg"
          //~ console.log(20111125, this.containing_window);
          //~ for (k in p) this.getStore().setBaseParam(k,p[k]);
          //~ console.log('Lino.GridPanel.on_master_changed()',this.title,p);
          this.refresh();
          //~ this.set_base_params(this.master_panel.get_master_params());
          //~ this.getStore().load();
      //~ }
    };
    Lino.do_when_visible(this,todo.createDelegate(this));
  },
  load_record_id : function(record_id,after) {
      Lino.run_detail_handler(this,record_id)
  }

});


//~ Lino.MainPanelMixin = {
  //~ tbar_items : function() {
      //~ return ;
  //~ }
//~ };

//~ Ext.override(Lino.GridPanel,Lino.MainPanelMixin);
//~ Ext.override(Lino.FormPanel,Lino.MainPanelMixin);

//~ Lino.grid_context_menu = function(e) {
  //~ console.log('contextmenu',arguments);
//~ }

Lino.row_context_menu = function(grid,row,col,e) {
  console.log('20130927 rowcontextmenu',grid,row,col,e,grid.store.reader.arrayData.rows[row]);
}

Lino.cell_context_menu = function(grid,row,col,e) {
  //~ console.log('20120531 cellcontextmenu',grid,row,col,e,grid.store.reader.arrayData.rows[row]);
  e.stopEvent();
  //~ grid.getView().focusCell(row,col);
  grid.getSelectionModel().select(row,col);
  //~ console.log(grid.store.getAt(row));
  //~ grid.getView().focusRow(row);
  //~ return;
  if(!grid.cmenu.el){grid.cmenu.render(); }
  //~ if(e.record.data.disabled_fields) {

  if (grid.disabled_fields_index) {
      var da = grid.store.reader.arrayData.rows[row][grid.disabled_fields_index];
      if (da) {
          this.cmenu.cascade(function(item){
            //~ console.log(20120531, item.itemId, da[item.itemId]);
            if (da[item.itemId]) item.disable(); else item.enable();
          });
      }
  };

  var xy = e.getXY();
  xy[1] -= grid.cmenu.el.getHeight();
  grid.cmenu.showAt(xy);
}


Lino.chooser_handler = function(combo,name) {
  return function(cmp, newValue, oldValue) {
    //~ console.log('Lino.chooser_handler()',cmp,oldValue,newValue);
    combo.setContextValue(name, newValue);
  }
};



Lino.ComboBox = Ext.extend(Ext.form.ComboBox,{
  forceSelection: "yes but select on tab",
  // forceSelection: true,
  triggerAction: 'all',
  minListWidth:280, // 20131022
  autoSelect: true,
//  lazyRender:true,
//  lazyInit:false,
//  validationDelay :0,
//  typeAhead : true,
//  typeAheadDelay :false,
  selectOnFocus: true, // select any existing text in the field immediately on focus.
  submitValue: true,
  queryDelay:0,
  minChars: 0,
  displayField: 'text', // 'text',
  valueField: 'value', // 'value',

  //~ initComponent : Ext.form.ComboBox.prototype.initComponent.createSequence(function() {
  initComponent : function(){
      this.contextParams = {};
      this.on('expand',function(){
        // console.log("expand",this.store.getRange());
        if (this.store.getRange().length > 1){
            // Auto selection the first choices in the dropdown list.
            this.select(this.store.getRange()[0].id);
        }
      },this);
      //~ Ext.form.ComboBox.initComponent(this);
      Lino.ComboBox.superclass.initComponent.call(this);
      this.queryDelay = 0;
  },
  //Override this to accept DELETE key as not a specialkey and show choices.
  onKeyUp : function(e){
    var k = e.getKey();
    if(this.editable !== false && this.readOnly !== true && (k == e.BACKSPACE || k == e.DELETE || !e.isSpecialKey())){

        this.lastKey = k;
        this.dqTask.delay(this.queryDelay);
    }
    Ext.form.ComboBox.superclass.onKeyUp.call(this, e);
    },
  setValue : function(v, record_data){
      /*
      Based on feature request developed in http://extjs.net/forum/showthread.php?t=75751
      */
      /* `record_data` is used to get the text corresponding to this value */
      //~ if(this.name == 'city')
      //~ console.log('20120203', this.name,'.setValue(', v ,') this=', this,'record_data=',record_data);
      var text = v;
      if(this.valueField){
        if(v == null || v == '') {
            //~ if (this.name == 'birth_country')
                //~ console.log(this.name,'.setValue',v,'no lookup needed, value is empty');
            //~ v = undefined;
            v = '';
            //~ text = '';
        } else if (Ext.isDefined(record_data)) {
          text = record_data[this.name];
          //~ if (this.name == 'birth_country')
          this.original_record_data = record_data;
            //~ console.log(this.name,'.setValue',v,'got text ',text,' from record ',record);
        } else if (Ext.isDefined(this.original_record_data) && this.original_record_data[this.hiddenName] === v) {
            // Fix for ticket #2628
            text = this.original_record_data[this.name];
        } else {
          // if(this.mode == 'remote' && !Ext.isDefined(this.store.totalLength)){
          if(this.mode == 'remote' && ( this.lastQuery === null || (!Ext.isDefined(this.store.totalLength)))){
              //~ if (this.name == 'birth_country') console.log(this.name,'.setValue',v,'store not yet loaded');
              this.store.on('load', this.setValue.createDelegate(this, arguments), null, {single: true});
              if(this.store.lastOptions === null || this.lastQuery === null){
                  var params;
                  if(this.valueParam){
                      params = {};
                      params[this.valueParam] = v;
                  }else{
                      var q = this.allQuery;
                      this.lastQuery = q;
                      this.store.setBaseParam(this.queryParam, q);
                      params = this.getParams(q);
                  }
                  //~ if (this.name == 'birth_country')
                    //~ console.log(this.name,'.setValue',v,' : call load() with params ',params);
                  this.store.load({params: params});
              //~ }else{
                  //~ if (this.name == 'birth_country')
                    //~ console.log(this.name,'.setValue',v,' : but store is loading',this.store.lastOptions);
              }
              return;
          //~ }else{
              //~ if (this.name == 'birth_country')
                //~ console.log(this.name,'.setValue',v,' : store is loaded, lastQuery is "',this.lastQuery,'"');
          }
          var r = this.findRecord(this.valueField, v);
          if(r){
              text = r.data[this.displayField];
          }else if(this.valueNotFoundText !== undefined){
              text = this.valueNotFoundText;
          }
        }
      }
      this.lastSelectionText = text;
      //~ this.lastSelectionText = v;
      if(this.hiddenField){
          //~ this.hiddenField.originalValue = v;
          this.hiddenField.value = v;
      }
      Ext.form.ComboBox.superclass.setValue.call(this, text);
      this.value = v; // needed for grid.afteredit
  },

  getParams : function(q){
    // p = Ext.form.ComboBox.superclass.getParams.call(this, q);
    // causes "Ext.form.ComboBox.superclass.getParams is undefined"
    var p = {};
    if(this.pageSize){
        p['start'] = 0;
        p['limit'] = this.pageSize;
    }
    // now my code:
    if(this.contextParams) Ext.apply(p, this.contextParams);
    return p;
  },
  setContextValue : function(name,value) {
    //~ console.log('setContextValue',this,this.name,':',name,'=',value);
    //~ if (this.contextValues === undefined) {
        //~ this.contextValues = Array(); // this.contextParams.length);
    //~ }
    if ((this.contextParams[name] != value) || (this.contextParams[name] == undefined)) {
      //~ console.log('setContextValue 1',this.contextParams);
      this.contextParams[name] = value;
      this.lastQuery = null;
      //~ console.log('setContextValue 2',this.contextParams);
    }
  }
});

Lino.ChoicesFieldElement = Ext.extend(Lino.ComboBox,{
  mode: 'local'
});


Lino.SimpleRemoteComboStore = Ext.extend(Ext.data.JsonStore,{
  // forceSelection: true,  20140206 why was this here?
  constructor: function(config){
      Lino.SimpleRemoteComboStore.superclass.constructor.call(this, Ext.apply(config, {
          totalProperty: 'count',
          root: 'rows',
          id: 'value', // 'value'
          fields: ['value' ],
          listeners: { exception: Lino.on_store_exception }
      }));
  }
});

Lino.ComplexRemoteComboStore = Ext.extend(Ext.data.JsonStore,{
  constructor: function(config){
      Lino.ComplexRemoteComboStore.superclass.constructor.call(this, Ext.apply(config, {
          totalProperty: 'count',
          root: 'rows',
          id: 'value', // constants.CHOICES_VALUE_FIELD
          fields: ['value','text'], // constants.CHOICES_VALUE_FIELD, // constants.CHOICES_TEXT_FIELD
          listeners: { exception: Lino.on_store_exception }
      }));
  }
});

Lino.RemoteComboFieldElement = Ext.extend(Lino.ComboBox,{
  mode: 'remote',
  //~ forceSelection:false,
  minChars: 0, // default 4 is too much
//  queryDelay: 300, // default 500 is maybe slow
  queryParam: 'query',
  //~ typeAhead: true,
  //~ selectOnFocus: true, // select any existing text in the field immediately on focus.
  resizable: true
  ,initList : function() {
      Lino.RemoteComboFieldElement.superclass.initList.call(this);
      if (this.pageTb) {

          var me = this;
          this.pageTb.on("beforechange", function(toolbar, o){
              if(me.contextParams)
                  Ext.apply(o, me.contextParams);
          });

          //~
          //~ var btn = ls_buttons
          //~ this.pageTb.items = this.pageTb.items.concat([btn]);
          //~ console.log("20131022 pageTb.items is", this.pageTb.items)
      }
  }
});

/*
Thanks to Animal for posting the basic idea:
http://www.sencha.com/forum/showthread.php?15842-2.0-SOLVED-Combobox-twintrigger-clear&p=76130&viewfull=1#post76130

*/
Lino.TwinCombo = Ext.extend(Lino.RemoteComboFieldElement,{
    trigger2Class : 'x-form-search-trigger',
    //~ trigger2Class : 'x-tbar-detail',
    initComponent : function() {
        //~ Lino.TwinCombo.superclass.initComponent.call(this);
        Lino.ComboBox.prototype.initComponent.call(this);
        Ext.form.TwinTriggerField.prototype.initComponent.call(this);
    },
    onTrigger2Click : function() {
        //~ console.log('onTrigger2Click',this,arguments);
    }
  });
//~ Lino.TwinCombo.prototype.initComponent = Ext.form.TwinTriggerField.prototype.initComponent;
Lino.TwinCombo.prototype.getTrigger = Ext.form.TwinTriggerField.prototype.getTrigger;
Lino.TwinCombo.prototype.getOuterSize = Ext.form.TwinTriggerField.prototype.getOuterSize;
Lino.TwinCombo.prototype.initTrigger = Ext.form.TwinTriggerField.prototype.initTrigger;
Lino.TwinCombo.prototype.onTrigger1Click = Ext.form.ComboBox.prototype.onTriggerClick;
//~ Lino.TwinCombo.prototype.onTrigger2Click = function() {
    //~ console.log('onTrigger2Click',arguments);
//~ };



Lino.SimpleRemoteComboFieldElement = Ext.extend(Lino.RemoteComboFieldElement,{
  displayField: 'value',
  valueField: null,
  forceSelection: false
});




Lino.Window = Ext.extend(Ext.Window,{
  //~ layout: "fit",
  closeAction : 'hide',
  renderTo: 'main_area',
  constrain: true,
  maximized: true,
  draggable: false,
  width: 700,
  height: 500,
  maximizable: false,
  constructor : function (config) {
    if (config.main_item.params_panel) {
        config.layout = 'border';
        config.main_item.region = 'center';
        // 20210501 config.main_item.params_panel.region = 'north';
        //~ config.main_item.params_panel.autoHeight = false; // 20130924
        config.main_item.params_panel.hidden = config.main_item.params_panel_hidden;
        config.items = [config.main_item.params_panel, config.main_item];
        //~ 20130923b
    } else {
        config.layout = 'fit';
        config.items = config.main_item;
    }
    this.main_item = config.main_item;

    if (typeof config.width == "string" && config.width.slice(-1) == "%") {
        config.width = Lino.perc2width(parseInt(config.width.slice(0, -1)));
    }

    delete config.main_item;
    //~ delete config.params_item;

    //~ this.main_item = config.items.get(0);
    this.main_item.containing_window = this;

    //~ console.log('20120110 Lino.Window.constructor() 1');
    //~ if (Lino.current_window) { // all windows except the top are closable
    if (this.main_item.hide_window_title) {
      config.closable = false;
      config.frame = false;
      config.shadow = false;
      //~ config.border = true;
      //~ config.title = undefined;
      //~ config.tools = null;
      delete config.title;
      delete config.tools;
    } else {
      config.title = this.main_item.empty_title;
      config.closable = true;
      config.tools = [
        { qtip: 'permalink',
         handler: Lino.permalink_handler(this),
          id: "pin" },
        { qtip: "Save and close the window."
        , handler: Lino.close_and_save_handler(this),
         id: "save" }
      ];
      if (this.main_item.content_type && this.main_item.action_name != 'insert') {
        config.tools = [ {
          handler: Lino.help_text_editor,
          qtip: "Edit help texts for fields on this model.",
          scope: this.main_item,
          id: "gear"
        }].concat(config.tools);
      }

    //~ { qtip: '', handler: Lino.save_wc_handler(this), id: "save" },
    //~ { qtip: this.config.qtip, handler: Lino.save_wc_handler(this), id: "save" },
    //~ { qtip: 'Call doLayout() on main Container.', handler: Lino.refresh_handler(this), id: "refresh" },
    //~ if (this.main_item.params_panel) {
        //~ config.tools = config.tools.concat([
          //~ { qtip: 'Show/hide parameter panel', handler: this.toggle_params_panel, id: "gear", scope:this }
        //~ ]);
    //~ }
    //~ if (config.closable !== false) {
      // if undefined, will take default behaviour
      //~ config.tools = config.tools.concat([
        //~ { qtip: 'close', handler: this.hide, id: "close", scope:this }
      //~ ]);
    }

    this.main_item.config_containing_window(config);

    // console.log('20150514 Lino.Window.constructor() 2');
    Lino.Window.superclass.constructor.call(this, config);

    //~ console.log('20120110 Lino.Window.constructor() 3');

  },
  initComponent : function() {
    this.main_item.init_containing_window(this);
    Lino.Window.superclass.initComponent.call(this);

  },
  hide : function() {
      this.main_item.do_when_clean(false,function() {
        if (Lino.current_window){
          Lino.close_window();
        }
        });

  },
  hide_really : function() {
    Lino.Window.superclass.hide.call(this);
  },
  onRender : function(ct, position){
    // console.log('20140829 Lino.Window.onRender() 1');
    Lino.Window.superclass.onRender.call(this, ct, position);
    var main_area = Ext.getCmp('main_area')
    //~ console.log('20120110 Lino.Window.onRender() 2');

    this.on('show', function(win) {
        // console.log('20140829 Lino.Window.on(show) : add resize handler');
        main_area.on('resize', win.onWindowResize, win);
    });
    this.on('hide', function(win) {
        // console.log('20140829 Lino.Window.on(hide) : remove resize handler');
        main_area.un('resize', win.onWindowResize, win);
    });
    // console.log('20140829 Lino.Window.onRender() 3');
  }
});


Ext.override(Ext.form.BasicForm,{
    my_loadRecord : function(record_data){
    //~ loadRecord : function(record){
        /* Same as ExtJS's loadRecord() (setValues()), except that we
        forward also the record_data to field.setValue(). This second
        parameter is used by Lino.Combobox.
        */
        // console.log('20181102 my_loadRecord', record_data)
        if(Ext.isArray(record_data)){
            for(var i = 0, len = record_data.length; i < len; i++){
                var v = record_data[i];
                var f = this.findField(v.id);
                if(f){
                    f.setValue(v.value, record_data);
                    if(this.trackResetOnLoad){
                        f.originalValue = f.getValue();
                    }
                }
            }
        }else{
            var field, id;
            for(id in record_data){
                if(!Ext.isFunction(record_data[id]) && (field = this.findField(id))){
                    // console.log('20181102 setValue', field, record_data[id]);
                    field.setValue(record_data[id], record_data);
                    if(this.trackResetOnLoad){
                        field.originalValue = field.getValue();
                        //~ if (field.hiddenField) {
                          //~ field.hiddenField.originalValue = field.hiddenField.value;
                        //~ }
                    }
                } // else console.log('20181102 not for ', id);
            }
        }
        return this;
    }
});




function initializeFooBarDropZone(cmp) {
    //~ console.log('initializeFooBarDropZone',cmp);
    cmp.dropTarget = new Ext.dd.DropTarget(cmp.bwrap, {
      //~ ddGroup     : 'gridDDGroup',
      notifyEnter : function(ddSource, e, data) {
        console.log('notifyEnter',ddSource,e,data);
        //Add some flare to invite drop.
        cmp.body.stopFx();
        cmp.body.highlight();
      },
      notifyDrop  : function(ddSource, e, data){
        console.log('notifyDrop',ddSource,e,data);
        // Reference the record (single selection) for readability
        //~ var selectedRecord = ddSource.dragData.selections[0];


        // Load the record into the form
        //~ formPanel.getForm().my_loadRecord(selectedRecord);


        // Delete record from the grid.  not really required.
        //~ ddSource.grid.store.remove(selectedRecord);

        return(true);
      }
    })
}



Lino.show_mti_child = function(fieldname,detail_handler) {
  //~ console.log('show_mti_child',this);
  //~ console.log('show_mti_child',panel.find("main_area"));
  rec = Lino.current_window.main_item.get_current_record();
  //~ rec = panel.get_current_record();
  if (rec) {
    //~ console.log('show_mti_child',Lino.current_window,rec);
    if (rec.phantom) {
      Lino.notify('Not allowed on phantom record.');
    }else if (rec.data[fieldname]) {
      //~ console.log('show_mti_child',rec.id);
      //~ detail_handler(Lino.current_window.main_item,{},{record_id:rec.id});
      detail_handler.run(null,{record_id:rec.id});
      //~ window.open(urlroot + '/' + rec.id);
      //~ document.location = urlroot + '/' + rec.id;
      //~ window.open(urlroot + '/' + rec.id,'_blank');
    } else {
      Lino.alert("Cannot show MTI child if checkbox is off.");
    }
  } else {
    Lino.notify('No current record.');
  }
};


/*
captureEvents utility by Aaron Conran
<http://www.sencha.com/learn/grid-faq/>

Ext.onReady(function(){
    var grid = new Ext.grid.GridPanel({
        ...
    });
    captureEvents(grid);
});
*/
function captureEvents(observable) {
    Ext.util.Observable.capture(
        observable,
        function(eventName) {
            console.info(eventName);
        },
        this
    );
}

// settings.SITE.get_plugin_snippets()



// from lino_xl.lib.extensible (media_name=extensible-1.0.1):snippets/extensible.js

/*
  This is the `extensible.js` snippet. 
  Used in lino.modlib.extensible.App.site_js_snippets
*/

/*
Mappings towards lino.modlib.extensible.models.PanelCalendars
*/
// Sset SS = Ssite.modules.extensible.PanelCalendars.get_handle(Sui).store
Ext.ensible.cal.CalendarMappings = {
    CalendarId:   {name:'ID',       mapping: 'id', type: 'int'},
    Title:        {name:'CalTitle', mapping: 'summary', type: 'string'},
    Description:  {name:'Desc',     mapping: 'description', type: 'string'},
    ColorId:      {name:'Color',    mapping: 'color', type: 'int'},
    IsHidden:     {name:'Hidden',   mapping: 'is_hidden', type: 'boolean'},    
};
Ext.ensible.cal.CalendarRecord.reconfigure();  


/*
Mappings towards lino.modlib.extensible.models.PanelEvents 
*/
// Sset SS = Ssite.modules.extensible.PanelEvents.get_handle(Sui).store
Ext.ensible.cal.EventMappings = {
    EventId:     {name: 'ID',        mapping: 'id', type:'int'},
    CalendarId:  {name: 'CalID',     mapping: 'calendarHidden', type: 'int'},
    Title:       {name: 'EvtTitle',  mapping: 'summary'},
    StartDate:   {name: 'StartDt',   mapping: 'start_dt', 
      type: 'date', 
      dateFormat: "Y-m-d\TH:i:s" },
    EndDate:     {name: 'EndDt',     mapping: 'end_dt', 
      type: 'date', 
      dateFormat: "Y-m-d\TH:i:s"},
    RRule:       {name: 'RecurRule', mapping: 'rsetHidden'},
    Location:    {name: 'Location',  mapping: 'placeHidden'},
    Notes:       {name: 'Desc',      mapping: 'description'},
    Url:         {name: 'LinkUrl',   mapping: 'url'},
    IsAllDay:    {name: 'AllDay',    mapping: 'all_day', type: 'boolean'},
    Reminder:    {name: 'Reminder',  mapping: 'reminder'}
    
};
Ext.ensible.cal.EventRecord.reconfigure();


//~ Lino.on_eventclick = 
    
Lino.on_editdetails = 

Lino.format_time = function(dt) {
    return dt.getHours() + ':' + dt.getMinutes();
}
    
Lino.on_eventdelete = function() {
  //~ console.log("Lino.on_eventdelete",arguments);
};

Lino.on_eventadd  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventadd ",arguments);
  return false;
}
    
Lino.on_eventresize  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventresize ",arguments);
  //~ Lino.cal.Events.insert(cp);
  //~ return false;
}
    
Lino.on_eventupdate  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventupdate",arguments);
  //~ Lino.cal.Events.insert(cp);
  //~ return false;
}
    

//~ Lino.eventStore = new Ext.ensible.cal.EventStore({ 
//~ Lino.eventStore = new Ext.data.ArrayStore({ 
Lino.unused_eventStore = new Ext.data.JsonStore({ 
  listeners: { exception: Lino.on_store_exception }
  ,url: '/restful/extensible/PanelEvents'
  ,restful : true
  ,proxy: new Ext.data.HttpProxy({ 
      url: '/restful/extensible/PanelEvents', 
      disableCaching: false // no need for cache busting when loading via Ajax
      //~ disableCaching:true,
  })
  ,fields: Ext.ensible.cal.EventRecord.prototype.fields.getRange()
  ,totalProperty: "count"
  ,root: "rows"
  ,idProperty: Ext.ensible.cal.EventMappings.EventId.mapping
  ,writer : new Ext.data.JsonWriter({
    writeAllFields: false
  })
  ,load: function(options) {
    //~ foo.bar = baz; // 20120213
      if (!options) options = {};
      if (!options.params) options.params = {};
      //~ options.params.$constants.URL_PARAM_TEAM_VIEW = Lino.calendar_app.team_view_button.pressed;
      
      var view = this.cal_panel.getActiveView();
      var bounds = view.getViewBounds();
      //~ var p = {sd:'05.02.2012',ed:'11.02.2012'};
      //~ var p = {};
      options.params[view.dateParamStart] = bounds.start.format(view.dateParamFormat);
      options.params[view.dateParamEnd] = bounds.end.format(view.dateParamFormat);
      Lino.insert_subst_user(options.params);
      //~ Ext.apply(options.params,p)
      //~ console.log('20120710 eventStore.load()',this.baseParams,options);
    
    return Ext.data.JsonStore.prototype.load.call(this,options);
  }
});


Lino.CalendarCfg = {
    dateParamFormat: 'd.m.Y',
    dateParamStart:'sd',
    dateParamEnd:'ed'
};
//~ 20120704 Lino.CalendarPanel = Ext.extend(Ext.ensible.cal.CalendarPanel,Lino.MainPanel);
//~ Lino.CalendarPanel = Ext.extend(Lino.CalendarPanel,{
Ext.override(Ext.ensible.cal.CalendarPanel,Lino.MainPanel);
Ext.override(Ext.ensible.cal.CalendarPanel,{
  //~ empty_title : "\$ui.get_actor('cal.Panel').report.label",
  empty_title : "Calendar"
  ,activeItem: 1 // 0: day, 1: week
  ,ls_url: '/extensible/CalendarPanel'
  //~ ,disableCaching:true
  //~ ,eventStore: Lino.eventStore
  //~ ,calendarStore: Lino.calendarStore
  //~ ,initComponent : function(){
    //~ Ext.ensible.cal.CalendarPanel.superclass.initComponent.call(this);
    //~ this.eventStore.on('load',function(){
      //~ console.log("20130808",Lino.eventStore);
      //~ if (this.eventStore.reader.jsonData) {
        //~ console.log("20130808 b",this.eventStore.reader.jsonData.title);
        //~ this.set_window_title(this.eventStore.reader.jsonData.title);
      //~ }
    //~ },this);
  //~ }
  ,listeners: { 
    editdetails: function(cp,rec,el) {
      //~ console.log("Lino.on_editdetails",arguments);
      if (rec.data.ID)
          Lino.extensible.PanelEvents.detail.run(null,{
              record_id:rec.data.ID,
              base_params:this.app_instance.event_store.baseParams});
      return false;
    }
    ,eventclick: function(cp,rec,el) {
      //~ console.log("Lino.on_eventclick",arguments);
      //~ Lino.cal.Events.detail_action.run({record_id:rec.data.ID});
      Lino.extensible.PanelEvents.detail.run(null,{
            record_id:rec.data.ID,
                base_params:this.app_instance.event_store.baseParams});
      return false;
    }
    //~ ,eventadd: Lino.on_eventadd
    //~ ,eventdelete: Lino.on_eventdelete
    //~ ,eventresize: Lino.on_eventresize
    ,afterrender : function(config) {
      // console.log("20140402 CalendarPanel.afterrender");
      this.app_instance.calendar_store.cal_panel = this;
      // 20140402 this.app_instance.calendar_store.load();
      //~ console.log("20120704 afterrender calls eventStore.load()",p);
      this.app_instance.event_store.cal_panel = this;
      //~ Lino.eventStore.load({params:p});
      //~ 20130905 removed: this.app_instance.event_store.load();
      //~ Lino.CalendarPanel.superclass.constructor.call(this, config);
      //~ console.log(20120118, config,this);
    }
    }
  ,enableEditDetails: false
  //~ ,monthViewCfg: Lino.CalendarCfg
  //~ ,weekViewCfg: Lino.CalendarCfg
  //~ ,multiDayViewCfg: Lino.CalendarCfg
  //~ ,multiWeekViewCfg: Lino.CalendarCfg
  //~ ,dayViewCfg: Lino.CalendarCfg
  //~ ,initComponent : function() {
    //~ // this.on('eventadd',Lino.on_eventadd);
    //~ Lino.CalendarPanel.superclass.initComponent.call(this);
  //~ }
});




Lino.CalendarAppPanel = Ext.extend(Ext.Panel,Lino.MainPanel);
Lino.CalendarAppPanel = Ext.extend(Lino.CalendarAppPanel,Lino.PanelMixin);
Lino.CalendarAppPanel = Ext.extend(Lino.CalendarAppPanel,{
  app_instance : null
  //~ empty_title : "\$ui.get_actor('cal.Panel').report.label",
  ,empty_title : "Calendar"
  ,ls_url: '/extensible/CalendarPanel'
  ,set_status : function(status,rp) { 
      // console.log('20140402 CalendarAppPanel.set_status()', status);
      this.requesting_panel = Ext.getCmp(rp);
      this.clear_base_params();
      if (status == undefined) status = {};
      //~ if (status.param_values) 
      //~ this.set_field_values(status.field_values);
      if (status.base_params) this.set_base_params(status.base_params);
      this.refresh();
      }
  ,refresh : function() {
      //~ this.app_instance.event_store.reload(); 20130905
      this.app_instance.calendar_store.load();  // added 20140402
      this.app_instance.event_store.load();
  }
  ,layout: 'fit'
  ,get_base_params : function() {
    // console.log('20140402 getbase_params has', this.base_params);
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    // console.log('20140402 getbase_params returns', p);
    return p;
  }
  ,set_base_params : function(p) {
    this.base_params = Ext.apply(this.app_instance.event_store.baseParams,p);
    this.app_instance.event_store.baseParams = this.base_params;
    // console.log('20140402 this.base_params is', this.base_params);
  }
  ,clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  }
  ,set_base_param : function(k,v) {
      if (!this.base_params) this.base_params = {};
      this.base_params[k] = v;
  }
});

Lino.CalendarApp = function() { return {
  team_view_button : null 
  ,get_main_panel : function() {
      var cap = null;
      this.event_store = new Ext.data.JsonStore({ 
          listeners: { exception: Lino.on_store_exception }
          ,url: '/restful/extensible/PanelEvents'
          ,restful : true
          ,proxy: new Ext.data.HttpProxy({ 
              url: '/restful/extensible/PanelEvents', 
              disableCaching: false // no need for cache busting when loading via Ajax
              //~ disableCaching:true,
          })
          ,fields: Ext.ensible.cal.EventRecord.prototype.fields.getRange()
          ,totalProperty: "count"
          ,root: "rows"
          ,idProperty: Ext.ensible.cal.EventMappings.EventId.mapping
          ,writer : new Ext.data.JsonWriter({
            writeAllFields: false
          })
          ,load: function(options) {
            //~ foo.bar = baz; // 20120213
              if (!options) options = {};
              if (!options.params) options.params = {};
              //~ options.params.$constants.URL_PARAM_TEAM_VIEW = Lino.calendar_app.team_view_button.pressed;
              
              var view = this.cal_panel.getActiveView();
              var bounds = view.getViewBounds();
              //~ var p = {sd:'05.02.2012',ed:'11.02.2012'};
              //~ var p = {};
              options.params[view.dateParamStart] = bounds.start.format(view.dateParamFormat);
              options.params[view.dateParamEnd] = bounds.end.format(view.dateParamFormat);
              Lino.insert_subst_user(options.params);
              Ext.apply(options.params, cap.get_base_params());
              //~ this.cal_panel.base_params.su.toString();
              //~ if (this.cal_panel) {
                  // Ext.apply(options.params,this.cal_panel.base_params);
              //~ }
              //~ Ext.apply(options.params,p)
              //~ console.log('20130905 eventStore.load()',this.cal_panel,this.baseParams,options.params);
            
            return Ext.data.JsonStore.prototype.load.call(this,options);
          }
      });

      //~ Lino.calendarStore
      this.calendar_store = new Ext.data.JsonStore({ 
          listeners: { exception: Lino.on_store_exception }
          ,restful : true
          ,proxy: new Ext.data.HttpProxy({ 
              url: '/restful/extensible/PanelCalendars?fmt=json', 
              disableCaching: false // no need for cache busting when loading via Ajax
              //~ restful : true
              //~ method: "GET"
          })
          //~ ,autoLoad: true
          //~ ,remoteSort: true
          //~ ,baseParams: bp
          ,totalProperty: "count"
          ,root: "rows"
          ,fields: Ext.ensible.cal.CalendarRecord.prototype.fields.getRange()
          ,idProperty: Ext.ensible.cal.CalendarMappings.CalendarId.mapping
          //~ ,idIndex: Ext.ensible.cal.CalendarMappings.CalendarId.mapping
          ,load: function(options) {
              // new since 20140402 add substitute user when calling
              // calendars
              if (!options) options = {};
              if (!options.params) options.params = {};
              // Lino.insert_subst_user(options.params);
              Ext.apply(options.params, cap.get_base_params());
              // console.log("20140402 calendar_store.load", options.params, 
              //             this.cal_panel, cap.get_base_params());
            return Ext.data.JsonStore.prototype.load.call(this,options);
          }
      });
      
      cap = new Lino.CalendarAppPanel({ 
          app_instance: this, 
          items : 
        //~ [{
          //~ id: 'app-header',
          //~ region: 'north',
          //~ height: 35,
          //~ border: false,
          // contentEl: 'app-header-content'
        //~ },
      {
          id: 'app-center',
          title: '...', // will be updated to the current view's date range
          region: 'center',
          layout: 'border',
          listeners: {
              'afterrender': function(){
                  Ext.getCmp('app-center').header.addClass('app-center-header');
              }
          },
          items: [{
              id:'app-west',
              region: 'west',
              width: 176,
              border: false,
              items: [{
                  xtype: 'datepicker',
                  id: 'app-nav-picker',
                  cls: 'ext-cal-nav-picker',
                  listeners: {
                      'select': {
                          fn: function(dp, dt){
                              // console.log("20131017",dp);
                              //~ Lino.calendarPanel.setStartDate(dt);
                              //~ cap.setStartDate(dt);
                              Ext.getCmp('app-calendar').setStartDate(dt);
                          },
                          //~ scope: this
                      }
                  }
              //~ },{ 
                //~ layout:'fit',
                //~ items: [
                  //~ new Ext.form.Checkbox({
                    //~ boxLabel:"$_('Team view')",
                    //~ hideLabel:true
                    //~ listeners: { click: }
                  //~ })
                //~ ]
              //~ },{ 
                //~ layout:'form',
                //~ items: [
                  //~ this.team_view_button = new Ext.Button({
                    //~ text:"Team view",
                    //~ enableToggle:true,
                    //~ pressed:false,
                    //~ toggleHandler: function(btn,state) { 
                      //~ // console.log('20120716 teamView.toggle()');
                      //~ this.event_store.setBaseParam('tv',state);
                      //~ this.event_store.load();
                      //~ // console.log("team view",state);
                    //~ }
                  //~ })
                //~ ]
              },{
                  xtype: 'extensible.calendarlist',
                  store: this.calendar_store,
                  border: false,
                  width: 175
              }]
          },{
              xtype: 'extensible.calendarpanel', // Ext.ensible.cal.CalendarPanel
              eventStore: this.event_store,
              app_instance: this,
              calendarStore: this.calendar_store,
              border: false,
              id:'app-calendar',
              region: 'center',
              //~ activeItem: 3, // month view
              
              // Any generic view options that should be applied to all sub views:
              viewConfig: {
                  // Lino.CalendarCfg
                  dateParamFormat: 'd.m.Y',
                  dateParamStart:'sd',
                  dateParamEnd:'ed',
                
                  //enableFx: false,
                  //ddIncrement: 10, //only applies to DayView and subclasses, but convenient to put it here
                  viewStartHour: 8, // 8
                  viewEndHour: 18 // 18
                  //minEventDisplayMinutes: 15
              },
              
              // View options specific to a certain view (if the same options exist in viewConfig
              // they will be overridden by the view-specific config):
              monthViewCfg: {
                  showHeader: true,
                  showWeekLinks: true,
                  showWeekNumbers: true,
                  eventBodyMarkup: ['{Title}',
                    //~ '<tpl if="url">',
                        //~ '<a href="{url}">XX</a>',
                    //~ '</tpl>',
                    '<tpl if="_isReminder">',
                        '<i class="ext-cal-ic ext-cal-ic-rem">&#160;</i>',
                    '</tpl>',
                    '<tpl if="_isRecurring">',
                        '<i class="ext-cal-ic ext-cal-ic-rcr">&#160;</i>',
                    '</tpl>',
                    '<tpl if="spanLeft">',
                        '<i class="ext-cal-spl">&#160;</i>',
                    '</tpl>',
                    '<tpl if="spanRight">',
                        '<i class="ext-cal-spr">&#160;</i>',
                    '</tpl>'
                ].join('')
              },
              
              multiWeekViewCfg: {
                  //weekCount: 3
              },
              
              // Some optional CalendarPanel configs to experiment with:
              //readOnly: true,
              //showDayView: false,
              //showMultiDayView: true,
              //showWeekView: false,
              //showMultiWeekView: false,
              //showMonthView: false,
              //showNavBar: false,
              //showTodayText: false,
              //showTime: false,
              //editModal: true,
              //enableEditDetails: false,
              //title: 'My Calendar', // the header of the calendar, could be a subtitle for the app
              
              // Once this component inits it will set a reference to itself as an application
              // member property for easy reference in other functions within App.
              //~ initComponent: function() {
                  //~ Lino.calendarPanel = this;
                  //~ this.constructor.prototype.initComponent.apply(this, arguments);
              //~ },
              
              listeners: {
                  //~ 'eventclick': {
                      //~ fn: function(vw, rec, el){
                          //~ this.clearMsg();
                      //~ },
                      //~ scope: this
                  //~ },
                  'eventover': function(vw, rec, el){
                      //console.log('Entered evt rec='+rec.data[Ext.ensible.cal.EventMappings.Title.name]', view='+ vw.id +', el='+el.id);
                  },
                  'eventout': function(vw, rec, el){
                      //console.log('Leaving evt rec='+rec.data[Ext.ensible.cal.EventMappings.Title.name]+', view='+ vw.id +', el='+el.id);
                  },
                  'eventadd': {
                      fn: function(cp, rec){
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was added');
                      },
                      scope: this
                  },
                  'eventupdate': {
                      fn: function(cp, rec){
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was updated');
                      },
                      scope: this
                  },
                  'eventdelete': {
                      fn: function(cp, rec){
                          //this.eventStore.remove(rec);
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was deleted');
                      },
                      scope: this
                  },
                  'eventcancel': {
                      fn: function(cp, rec){
                          // edit canceled
                      },
                      scope: this
                  },
                  'viewchange': {
                      fn: function(p, vw, dateInfo){
                          if(this.editWin){
                              this.editWin.hide();
                          };
                          if(dateInfo !== null){
                              // will be null when switching to the event edit form so ignore
                              Ext.getCmp('app-nav-picker').setValue(dateInfo.activeDate);
                              this.updateTitle(dateInfo.viewStart, dateInfo.viewEnd);
                          }
                          
                      },
                      scope: this
                  },
                  'dayclick': {
                      fn: function(vw, dt, ad, el){
                          this.clearMsg();
                      },
                      scope: this
                  },
                  'rangeselect': {
                      fn: function(vw, dates, onComplete){
                          this.clearMsg();
                      },
                      scope: this
                  },
                  'eventmove': {
                      fn: function(vw, rec){
                          rec.commit();
                          var time = rec.data[Ext.ensible.cal.EventMappings.IsAllDay.name] ? '' : ' \\a\\t g:i a';
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was moved to '+
                              rec.data[Ext.ensible.cal.EventMappings.StartDate.name].format('F jS'+time));
                      },
                      scope: this
                  },
                  'eventresize': {
                      fn: function(vw, rec){
                          rec.commit();
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was updated');
                      },
                      scope: this
                  },
                  'eventdelete': {
                      fn: function(win, rec){
                          this.event_store.remove(rec);
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was deleted');
                      },
                      scope: this
                  },
                  'initdrag': {
                      fn: function(vw){
                          if(this.editWin && this.editWin.isVisible()){
                              this.editWin.hide();
                          }
                      },
                      scope: this
                  }
              }
          }]
        }
        //~ ]
        
      });
      
      this.event_store.on('load',function(){
        //~ console.log("20130905 on event_store load",this.event_store.reader.jsonData);
        if (this.event_store.reader.jsonData) {
          //~ console.log("20130808 b",this.event_store.reader.jsonData.title);
          //~ console.log("20130808 c",this);
          cap.set_window_title(this.event_store.reader.jsonData.title);
        }
      },this);
      
      //~ cap.app_instance = this;
      return cap;
      
  }
  ,updateTitle: function(startDt, endDt){
      var p = Ext.getCmp('app-center');
      
      if(startDt.clearTime().getTime() == endDt.clearTime().getTime()){
          p.setTitle(startDt.format('F j, Y'));
      }
      else if(startDt.getFullYear() == endDt.getFullYear()){
          if(startDt.getMonth() == endDt.getMonth()){
              p.setTitle(startDt.format('F j') + ' - ' + endDt.format('j, Y'));
          }
          else{
              p.setTitle(startDt.format('F j') + ' - ' + endDt.format('F j, Y'));
          }
      }
      else{
          p.setTitle(startDt.format('F j, Y') + ' - ' + endDt.format('F j, Y'));
      }
  }
  // This is an application-specific way to communicate CalendarPanel event messages back to the user.
  // This could be replaced with a function to do "toast" style messages, growl messages, etc. This will
  // vary based on application requirements, which is why it's not baked into the CalendarPanel.
  ,showMsg: function(msg){
      Lino.notify(msg);
      //~ Ext.fly('app-msg').update(msg).removeClass('x-hidden');
  }
  
  ,clearMsg: function(){
      Lino.notify('');
      //~ Ext.fly('app-msg').update('').addClass('x-hidden');
  }
}
};


// from lino_xl.lib.beid (media_name=eidreader):beid/eidreader.js



function uuid() {
  // Copied from https://gist.github.com/jcxplorer/823878
  var uuid = "", i, random;
  for (i = 0; i < 32; i++) {
    random = Math.random() * 16 | 0;

    if (i == 8 || i == 12 || i == 16 || i == 20) {
      uuid += "-"
    }
    uuid += (i == 12 ? 4 : (i == 16 ? (random & 3 | 8) : random)).toString(16);
  }
  return uuid;
};

Lino.beid_read_card_processor = function() {
    // var card = {}
    var my_id = uuid();
    var url = "beid://" + window.location.origin + "/eid/" + my_id;
    // var current_window = window.window;
    console.log("Gonna open", url);
    var popup = window.open(url, "eidreader");
    // while (popup.event) {setTimeout(()=>console.log("waiting", popup.event),1000)};
    // popup.close();
    // current_window.focus();
    return { uuid: my_id, timeout: 0 };

    // var xhttp = new XMLHttpRequest();
    // xhttp.onreadystatechange = function() {
    //     if (this.readyState == 4 && this.status == 200) {
    //         card = JSON.parse(this.responseText);
    //     } else {
    //         console.log("20180412 status ", this.status);
    //     }
    // };
    // xhttp.open("GET", "/eid/" + my_id, false);
    // xhttp.send();

    // return { card_data: card };
}



// from lino.modlib.tinymce (media_name=tinymce-3.5.11):tinymce/tinymce.js

/* Copyright 2009-2018 Rumma & Ko Ltd */


Lino.edit_tinymce_text = function(panel, tinymce_options) {
  // edit the text in own window.
  // `panel` is the RichTextPanel
  // console.log(20150520, panel);
  //~ var rec = panel.get_current_record();
  var rec = panel.containing_panel.get_current_record();
  var value = rec ? rec.data[panel.editor.name] : '';
  var saving = false;
  var todo_after_save = false;
  var discard_changes = false;
  
  
  function save() {
    if (saving) {alert('tried to save again'); return; }
    var url = panel.containing_panel.get_record_url(rec.id);
    var params = Ext.apply({}, panel.containing_panel.get_base_params());
    params[panel.editor.name] = editor.getValue();
    //~ params.su = Lino.subst_user;
    //~ Lino.insert_subst_user(params);

    // 20150325 http://trac.lino-framework.org/ticket/131
    var action_name = panel.containing_panel.save_action_name;
    if (!action_name) 
        action_name = panel.containing_panel.action_name;
    params.an = action_name;

    var a = { 
      params: params, 
      method: 'PUT',
      url: url,
      failure: function() {
          //~ if (editor.ed.getContainer()) 
          editor.ed.setProgressState(0);
          todo_after_save = false;
          saving = false;
          console.log('tinymce.save() failed. sorry.',arguments);
        },
      success: function() {
        saving = false;
        //~ if (editor.ed.getContainer()) 
        editor.ed.setProgressState(0);
        rec.data[panel.editor.name] = editor.getValue();
        if(todo_after_save) {
            var fn = todo_after_save;
            todo_after_save = false;
            fn();
        }
        //~ panel.containing_window.set_current_record(rec);
        panel.refresh();
      }
    };
    //~ if (editor.ed.getContainer()) 
    editor.ed.setProgressState(1); // Show progress
    saving = true;
    //~ console.log(a);
    Ext.Ajax.request(a);
  };
  function save_callback() {
      save();
      //~ save(function(){editor.ed.setDirty(false);})
      /* return true have the save button disabled.  
      That's not perfect because the PUT is asynchronous 
      and the response is not yet known.
      */
      return true;
  }
  //~ var actions = [
    //~ {text:"Save",handler:save}
  //~ ]; 
  //~ console.log(20110610,panel.editor.disabled);
  var settings = {};
  Ext.apply(settings,{
        readonly: panel.editor.disabled,
        //~ language: "de",
        plugins : "save,emotions,spellchecker,advhr,insertdatetime,preview,table,searchreplace,template", 
        // Theme options - button# indicated the row# only
        theme_advanced_buttons1 : "save,cancel,|,bold,italic,underline,|,justifyleft,justifycenter,justifyright,fontselect,fontsizeselect,formatselect,|,search,replace",
        theme_advanced_buttons2 : "cut,copy,paste,template,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,link,unlink,anchor,image,|,code,preview,|,forecolor,backcolor",
        theme_advanced_buttons3 : "insertdate,inserttime,|,spellchecker,advhr,,removeformat,|,sub,sup,|,charmap,emotions,|,tablecontrols",
        theme_advanced_resizing : false,
        convert_urls : false,
        save_onsavecallback : save_callback,
        save_enablewhendirty : true
        //~ save_oncancelcallback: on_cancel
  });
  Ext.apply(settings, tinymce_options);
  var editor = new Ext.ux.TinyMCE({
      value : value,
      tinymceSettings: settings
    });
  var win = new Ext.Window({
    title: rec.title, 
    //~ bbar: actions,
    layout: 'fit',
    items: editor,
    width: 500, 
    height: 400,
    minWidth: 100,
    minHeight: 100,
    modal: true,
    resizable: true,
    maximizable: true,
    //~ maximized: true,
    //~ closeAction: "close"
    closeAction: "hide"
    //~ hideMode: "offsets",
    //~ constrainHeader: true,
    //~ bodyStyle: 'padding: 10px'
  });

  //~ win.on('beforeclose',function() {
  win.on('beforehide',function() {
    if (todo_after_save) return false;
    if (discard_changes) return true;
    if (editor.isDirty()) {
        //~ var ok = false;
        //~ var allowClose = true;
        var config = {title:"Confirmation"};
        config.buttons = Ext.MessageBox.YESNOCANCEL;
        config.msg = "Save changes to text ?";
        config.modal = true;
        config.fn = function(buttonId,text,opt) {
          //~ console.log('do_when_clean',buttonId)
          if (buttonId == "yes") {
              /* we cancel this close, but save()'s onSuccess will call again.*/
              //~ allowClose = false;
              todo_after_save = function(){win.hide();}
              editor.ed.execCommand('mceSave');
              //~ editor.ed.save(function(){win.close();});
          } else if (buttonId == "no") { 
              discard_changes = true;
              win.hide()
          //~ } else if (buttonId == "cancel") { 
            //~ ok = true;
              //~ allowClose = false;
          //~ } else { 
            //~ console.log('unknwon buttonId:',buttonId);
          }
        }
        Ext.MessageBox.show(config);
        return false;
        //~ return allowClose;
    }
  });
  win.show();
}


Lino.RichTextPanel = Ext.extend(Ext.Panel,Lino.PanelMixin);
Lino.RichTextPanel = Ext.extend(Lino.RichTextPanel,Lino.FieldBoxMixin);
Lino.RichTextPanel = Ext.extend(Lino.RichTextPanel,{
    
  //~ initComponent : function(){
    //~ Lino.RichTextPanel.superclass.initComponent.call(this);
  //~ },
  constructor : function(config, params) {
      // console.log('20150520a Lino.RichTextPanel.initComponent', this);
    //~ var url = TEMPLATES_URL + config.ls_url + "/" + String(rec.id) + "/" + config.name;
    //~ var url = TEMPLATES_URL + config.ls_url + "/" + config.name;
    var t = this;
    var tinymce_options = {
        theme : "advanced",
        content_css: '/static/extjs/lino.css,/static/tinymce_content.css',

        theme_advanced_font_sizes : "12px,13px,14px,16px,18px,20px,24px",
        font_size_style_values : "12px,13px,14px,16px,18px,20px,24px",
        language: 'en',
        //~ template_external_list_url : url,
        theme_advanced_toolbar_location : "top",
        theme_advanced_toolbar_align : "left",
        theme_advanced_statusbar_location : "bottom",
        template_popup_width : 500,
        template_popup_height : 400,
        template_replace_values : { 
            data_field : function(element){ 
                //~ console.log(20110722,fieldName,t.containing_window.get_current_record()); 
                var fieldName = element.innerHTML;
                element.innerHTML = t.containing_panel.get_current_record().data[fieldName];
            } 
        }
      };
      
    var editorConfig = {
      tinymceSettings: {
        plugins : "noneditable,template", 
        // Theme options - button# indicated the row# only
        theme_advanced_buttons1 : "bold,italic,underline,|,justifyleft,justifycenter,justifyright,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,removeformat,template",
        theme_advanced_buttons2 : "",
        theme_advanced_buttons3 : "", // ,|,sub,sup,|,charmap",      
        theme_advanced_resizing : false
        //~ save_onsavecallback : save_callback,
        //~ save_enablewhendirty : true
        //~ save_oncancelcallback: on_cancel
        
    }};
    Ext.apply(editorConfig.tinymceSettings, tinymce_options);
    //~ editorConfig.name = config.action_name;
    editorConfig.name = config.name;
    delete config.name;
    //~ config.title = config.label;
    //~ delete config.label;
    this.before_init(config,params);
    
    // console.log('20150520b Lino.RichTextPanel.initComponent', this);

    this.editor = new Ext.ux.TinyMCE(editorConfig);
    var t = this;
    function save_cmd() { 
        // console.log("20150902 save_cmd()", arguments);            
        var cw = t.get_containing_window();
        if (cw) {
            cw.main_item.save();
        }
    }
    this.editor.withEd(function(){
        if (!t.editor.ed.addShortcut(
            'ctrl+s', 'Save the content', save_cmd)) {
            console.log("20150902 addShortcut() failed");            
        };
        // t.editor.ed.onKeyDown.add(function(ed, e) {
        //     if (e.keyCode == 13 && e.ctrlKey) {
        //         save_cmd(); 
        //         return tinymce.dom.Event.cancel(e); 
        //         // e.preventDefault();
        //         // http://stackoverflow.com/questions/18971284/event-preventdefault-vs-return-false-no-jquery
        //     }
        // });
    });
    config.tools = [{
                      qtip: "Edit text in own window", 
                      id: "up",
                      handler: function(){
                        if(t.editor.isDirty()) {
                            var record = t.containing_panel.get_current_record();
                            record.data[t.editor.name] = t.editor.getValue();
                        }
                        Lino.edit_tinymce_text(t, tinymce_options)
                      }
                    }];
    
    config.items = this.editor;
    config.layout = "fit";
    // console.log('20150520c Lino.RichTextPanel.initComponent', this);
    Lino.RichTextPanel.superclass.constructor.call(this, config);
    // console.log('20150520d Lino.RichTextPanel.initComponent', this);
  },
  getValue : function(v) {
      return this.editor.getValue(v);
  },
  refresh : function(unused) { 
      this.refresh_with_after();
  },
  /* RichTextPanel */
  refresh_with_after : function(after) {
    // when called from the dashboard:    
    if (!this.containing_panel.get_current_record) { return; }
    var record = this.containing_panel.get_current_record();
    // console.log('20140504 RichTextPanel.refresh()',
    //             this.title,record.title, record);
    var todo = function() {
      if (record) {
        var url = '/tinymce/templates' 
              + this.containing_panel.ls_url + "/" 
              + String(record.id) + "/" + this.editor.name;
        // console.log('20150415 RichTextPanel.refresh()',url);
        if (this.editor.ed)
            this.editor.ed.settings.template_external_list_url = url;
            // else {console.log("20150415 no editor")}
        this.set_base_params(this.containing_panel.get_master_params());
        //~ var v = record ? this.format_data(record.data[this.editor.name]) : ''
        var v = this.format_data(record.data[this.editor.name])
        this.editor.setValue(v);
      } else {
        this.editor.setValue('(no data)');
      }
    };
    Lino.do_when_visible(this,todo.createDelegate(this));
  }
});
//~ Ext.override(Lino.RichTextPanel,Lino.FieldBoxMixin);

Lino.main_menu = [ { "menu": { "items": [ { "handler": function() {Lino.contacts.Persons.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows all persons.") }, "text": "Persons" }, { "handler": function() {Lino.pcsw.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": " \u25b6 Clients" }, { "handler": function() {Lino.contacts.Companies.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base table for all tables showing companies.") }, "text": "Organizations" }, "-", { "handler": function() {Lino.contacts.Partners.grid.run(null)}, "text": "Partners (all)" }, { "handler": function() {Lino.households.Households.grid.run(null)}, "text": "Households" } ] }, "text": "Contacts" }, { "menu": { "items": [ { "handler": function() {Lino.notify.MyMessages.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows messages emitted to me.") }, "text": "My Notification messages" }, { "handler": function() {Lino.excerpts.MyExcerpts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base class for all tables on Excerpt.") }, "text": "My Excerpts" }, { "handler": function() {Lino.uploads.MyExpiringUploads.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the upload files that are marked as Upload.needed and whose\nUpload.end_date is within a given period.") }, "text": "My expiring upload files" }, { "handler": function() {Lino.uploads.MyUploads.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base class for all data views of upload files.") }, "text": "My Upload files" }, { "handler": function() {Lino.outbox.MyOutbox.grid.run(null)}, "text": "My Outbox" }, { "handler": function() {Lino.notes.MyNotes.grid.run(null)}, "text": "My Events/Notes" }, { "handler": function() {Lino.checkdata.MyMessages.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the data problem messages assigned to me.") }, "text": "Data problem messages assigned to me" } ] }, "text": "Office" }, { "menu": { "items": [ { "handler": function() {Lino.extensible.CalendarPanel.grid.run(null)}, "iconCls": "x-tbar-calendar", "listeners": { "render": Lino.quicktip_renderer("Foo","Displays your events in a \"calendar view\"     with the possibility to switch between daily, weekly, monthly view.") }, "text": "Calendar" }, { "handler": function() {Lino.cal.MyEntries.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the appointments for which I am responsible.") }, "text": "My appointments" }, { "handler": function() {Lino.cal.MyUnconfirmedAppointments.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows my appointments in the near future which are in suggested or\ndraft state.") }, "text": "My unconfirmed appointments" }, { "handler": function() {Lino.cal.MyTasks.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows my tasks whose start date is today or in the future.") }, "text": "My tasks" }, { "handler": function() {Lino.cal.MyGuests.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The default table of presences.") }, "text": "My guests" }, { "handler": function() {Lino.cal.MyPresences.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows all my presences in calendar events, independently of their\nstate.") }, "text": "My presences" }, { "handler": function() {Lino.cal.MyOverdueAppointments.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Like OverdueAppointments, but only for myself.") }, "text": "My overdue appointments" }, { "handler": function() {Lino.calview.WeeklyView.detail.run(null,{ "record_id": 0 })}, "iconCls": "x-tbar-application_form", "text": "Calendar" } ] }, "text": "Calendar" }, { "menu": { "items": [ { "handler": function() {Lino.reception.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": "Clients" }, { "handler": function() {Lino.cal.EntriesByDay.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","This table is usually labelled \"Appointments today\". It has no\n\"date\" column because it shows events of a given date.It is ordred\nwith increasing times.") }, "text": "Appointments today" }, { "handler": function() {Lino.reception.WaitingVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show waiting visitors (for any user).") }, "text": "Waiting visitors" }, { "handler": function() {Lino.reception.BusyVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show busy visitors (with any user).") }, "text": "Busy visitors" }, { "handler": function() {Lino.reception.GoneVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show gone visitors (for any user).") }, "text": "Gone visitors" }, { "handler": function() {Lino.reception.MyWaitingVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show visitors waiting for me.") }, "text": "Visitors waiting for me" } ] }, "text": "Reception" }, { "menu": { "items": [ { "handler": function() {Lino.pcsw.CoachedClients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": "Clients" }, { "handler": function() {Lino.coachings.MyCoachings.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","A table showing a set of coachings.") }, "text": "My Coachings" }, { "handler": function() {Lino.aids.MyPendingGrantings.grid.run(null)}, "text": "Grantings to confirm" } ] }, "text": "PCSW" }, { "menu": { "items": [ { "handler": function() {Lino.integ.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Wie Kontakte --> Klienten, aber mit     DSBE-spezifischen Kolonnen und Filterparametern.") }, "text": "Clients" }, { "handler": function() {Lino.isip.MyContracts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base for contract tables. Defines the following parameter fields:") }, "text": "ISIPs" }, { "handler": function() {Lino.jobs.JobProviders.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base table for all tables showing companies.") }, "text": "Job Providers" }, { "handler": function() {Lino.jobs.Employers.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base table for all tables showing companies.") }, "text": "Employers" }, { "handler": function() {Lino.jobs.Jobs.grid.run(null)}, "text": "Jobs" }, { "handler": function() {Lino.jobs.Offers.grid.run(null)}, "text": "Job Offers" }, { "handler": function() {Lino.art60.MyContracts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base for contract tables. Defines the following parameter fields:") }, "text": "My art60\u00a77 contracts (IS)" }, { "handler": function() {Lino.art60.MyContractsGSS.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base for contract tables. Defines the following parameter fields:") }, "text": "My art60\u00a77 contracts (GSS)" }, { "handler": function() {Lino.art61.MyContracts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base for contract tables. Defines the following parameter fields:") }, "text": "Art61 job supplyments" }, { "handler": function() {Lino.immersion.MyContracts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base for contract tables. Defines the following parameter fields:") }, "text": "Immersion trainings" }, { "menu": { "items": [ { "handler": function() {Lino.cbss.MyIdentifyPersonRequests.grid.run(null)}, "text": "My IdentifyPerson Requests" }, { "handler": function() {Lino.cbss.MyManageAccessRequests.grid.run(null)}, "text": "My ManageAccess Requests" }, { "handler": function() {Lino.cbss.MyRetrieveTIGroupsRequests.grid.run(null)}, "text": "My Tx25 Requests" } ] }, "text": "CBSS" } ] }, "text": "Integration" }, { "menu": { "items": [ { "handler": function() {Lino.courses.MyActivities.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show the courses authored by me (i.e. where I am the responsible\nmanager).  Compare MyCoursesGiven.") }, "text": "My Workshops" }, { "handler": function() {Lino.courses.ActivitiesByLayout.grid.run(null)}, "text": "Integration workshops" }, { "handler": function() {Lino.courses.JobCourses.grid.run(null)}, "text": "Job search workshops" }, "-", { "handler": function() {Lino.courses.Lines.grid.run(null)}, "text": "Workshop lines" } ] }, "text": "Workshops" }, { "menu": { "items": [ { "handler": function() {Lino.polls.MyPolls.grid.run(null)}, "text": "My Polls" }, { "handler": function() {Lino.polls.MyResponses.grid.run(null)}, "text": "My Responses" } ] }, "text": "Polls" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.integ.UsersWithClients.grid.run(null)}, "text": "Users with their Clients" }, { "handler": function() {Lino.jobs.JobsOverview.show.run(null,{ "record_id": -99998 })}, "listeners": { "render": Lino.quicktip_renderer("Foo","A special kind of EmptyTable used to create \"reports\".  A report\nis a series of headings, paragraphs and tables combined into a single\nprintable and previewable document.") }, "text": "Contracts Situation" }, { "handler": function() {Lino.integ.ActivityReport.show.run(null,{ "record_id": -99998 })}, "listeners": { "render": Lino.quicktip_renderer("Foo","A special kind of EmptyTable used to create \"reports\".  A report\nis a series of headings, paragraphs and tables combined into a single\nprintable and previewable document.") }, "text": "Activity Report" } ] }, "text": "Integration" } ] }, "text": "Reports" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.tinymce.MyTextFieldTemplates.grid.run(null)}, "text": "My Text Field Templates" } ] }, "text": "Office" } ] }, "text": "Configure" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.contacts.Partners.grid.run(null)}, "text": "Partners" } ] }, "text": "Contacts" }, { "menu": { "items": [ { "handler": function() {Lino.isip.Contracts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base for contract tables. Defines the following parameter fields:") }, "text": "ISIPs" }, { "handler": function() {Lino.art60.Contracts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base for contract tables. Defines the following parameter fields:") }, "text": "Art60\u00a77 job supplyments" }, { "handler": function() {Lino.art60.Contracts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base for contract tables. Defines the following parameter fields:") }, "text": "Art60\u00a77 job supplyments" }, { "handler": function() {Lino.art61.Contracts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base for contract tables. Defines the following parameter fields:") }, "text": "Art61 job supplyments" }, { "handler": function() {Lino.immersion.Contracts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base for contract tables. Defines the following parameter fields:") }, "text": "Immersion trainings" } ] }, "text": "Integration" } ] }, "text": "Explorer" }, { "menu": { "items": [ { "handler": function() {Lino.about.About.show.run(null,{ "record_id": -99998 })}, "listeners": { "render": Lino.quicktip_renderer("Foo","A dialog window which displays some information about the site.") }, "text": "About" } ] }, "text": "Site" }, { "handler": function() {Lino.handle_home_button()}, "text": "Home" }, { "handler": function() {Lino.set_user_language("fr")}, "text": "fr" }, { "handler": function() {Lino.set_user_language("nl")}, "text": "nl" }, { "handler": function() {Lino.set_user_language("de")}, "text": "de" }, { "handler": function() {Lino.set_user_language("en")}, "text": "en" } ];
Ext.namespace('Lino.system.SiteConfigs')
Ext.namespace('Lino.countries.Countries')
Ext.namespace('Lino.countries.Places')
Ext.namespace('Lino.contacts.Partners')
Ext.namespace('Lino.contacts.Persons')
Ext.namespace('Lino.contacts.CompanyTypes')
Ext.namespace('Lino.contacts.Companies')
Ext.namespace('Lino.contacts.RoleTypes')
Ext.namespace('Lino.contacts.Roles')
Ext.namespace('Lino.gfks.ContentTypes')
Ext.namespace('Lino.gfks.HelpTexts')
Ext.namespace('Lino.notify.Messages')
Ext.namespace('Lino.notify.AllMessages')
Ext.namespace('Lino.notify.MyMessages')
Ext.namespace('Lino.changes.Changes')
Ext.namespace('Lino.checkdata.Messages')
Ext.namespace('Lino.checkdata.AllMessages')
Ext.namespace('Lino.checkdata.MyMessages')
Ext.namespace('Lino.addresses.Addresses')
Ext.namespace('Lino.excerpts.ExcerptTypes')
Ext.namespace('Lino.excerpts.Excerpts')
Ext.namespace('Lino.excerpts.AllExcerpts')
Ext.namespace('Lino.excerpts.MyExcerpts')
Ext.namespace('Lino.uploads.Volumes')
Ext.namespace('Lino.uploads.UploadTypes')
Ext.namespace('Lino.uploads.Uploads')
Ext.namespace('Lino.uploads.AllUploads')
Ext.namespace('Lino.uploads.MyUploads')
Ext.namespace('Lino.uploads.AreaUploads')
Ext.namespace('Lino.uploads.MyExpiringUploads')
Ext.namespace('Lino.outbox.Recipients')
Ext.namespace('Lino.outbox.Mails')
Ext.namespace('Lino.outbox.Attachments')
Ext.namespace('Lino.cal.RemoteCalendars')
Ext.namespace('Lino.cal.Rooms')
Ext.namespace('Lino.cal.AllRooms')
Ext.namespace('Lino.cal.Calendars')
Ext.namespace('Lino.cal.Subscriptions')
Ext.namespace('Lino.cal.Tasks')
Ext.namespace('Lino.cal.MyTasks')
Ext.namespace('Lino.cal.GuestRoles')
Ext.namespace('Lino.cal.Guests')
Ext.namespace('Lino.cal.AllGuests')
Ext.namespace('Lino.cal.MyPresences')
Ext.namespace('Lino.cal.MyPendingPresences')
Ext.namespace('Lino.cal.MyGuests')
Ext.namespace('Lino.cal.EventTypes')
Ext.namespace('Lino.cal.RecurrentEvents')
Ext.namespace('Lino.cal.Events')
Ext.namespace('Lino.cal.AllEntries')
Ext.namespace('Lino.cal.PublicEntries')
Ext.namespace('Lino.cal.EntriesByDay')
Ext.namespace('Lino.cal.OneEvent')
Ext.namespace('Lino.cal.MyEntries')
Ext.namespace('Lino.cal.MyEntriesToday')
Ext.namespace('Lino.cal.MyAssignedEvents')
Ext.namespace('Lino.cal.OverdueAppointments')
Ext.namespace('Lino.cal.MyOverdueAppointments')
Ext.namespace('Lino.cal.MyUnconfirmedAppointments')
Ext.namespace('Lino.cal.EventPolicies')
Ext.namespace('Lino.extensible.PanelCalendars')
Ext.namespace('Lino.extensible.PanelEvents')
Ext.namespace('Lino.reception.ExpectedGuests')
Ext.namespace('Lino.reception.BusyVisitors')
Ext.namespace('Lino.reception.WaitingVisitors')
Ext.namespace('Lino.reception.GoneVisitors')
Ext.namespace('Lino.reception.MyWaitingVisitors')
Ext.namespace('Lino.reception.MyBusyVisitors')
Ext.namespace('Lino.reception.MyGoneVisitors')
Ext.namespace('Lino.cv.LanguageKnowledges')
Ext.namespace('Lino.cv.AllLanguageKnowledges')
Ext.namespace('Lino.cv.EducationLevels')
Ext.namespace('Lino.cv.StudyTypes')
Ext.namespace('Lino.cv.Trainings')
Ext.namespace('Lino.cv.AllTrainings')
Ext.namespace('Lino.cv.Studies')
Ext.namespace('Lino.cv.Statuses')
Ext.namespace('Lino.cv.Regimes')
Ext.namespace('Lino.cv.Durations')
Ext.namespace('Lino.cv.Sectors')
Ext.namespace('Lino.cv.Functions')
Ext.namespace('Lino.cv.Experiences')
Ext.namespace('Lino.cv.Proofs')
Ext.namespace('Lino.cv.Skills')
Ext.namespace('Lino.cv.SoftSkillTypes')
Ext.namespace('Lino.cv.SoftSkills')
Ext.namespace('Lino.cv.ObstacleTypes')
Ext.namespace('Lino.cv.Obstacles')
Ext.namespace('Lino.pcsw.Clients')
Ext.namespace('Lino.pcsw.CoachedClients')
Ext.namespace('Lino.pcsw.AllClients')
Ext.namespace('Lino.pcsw.PersonGroups')
Ext.namespace('Lino.pcsw.Activities')
Ext.namespace('Lino.pcsw.DispenseReasons')
Ext.namespace('Lino.pcsw.Dispenses')
Ext.namespace('Lino.pcsw.ExclusionTypes')
Ext.namespace('Lino.pcsw.Exclusions')
Ext.namespace('Lino.pcsw.Convictions')
Ext.namespace('Lino.pcsw.AidTypes')
Ext.namespace('Lino.pcsw.UnemploymentRights')
Ext.namespace('Lino.coachings.CoachingTypes')
Ext.namespace('Lino.coachings.CoachingEndings')
Ext.namespace('Lino.coachings.Coachings')
Ext.namespace('Lino.reception.Clients')
Ext.namespace('Lino.calview.DailyPlannerRows')
Ext.namespace('Lino.badges.Badges')
Ext.namespace('Lino.badges.Awards')
Ext.namespace('Lino.boards.Boards')
Ext.namespace('Lino.boards.Members')
Ext.namespace('Lino.households.Types')
Ext.namespace('Lino.households.Households')
Ext.namespace('Lino.households.Members')
Ext.namespace('Lino.isip.ContractTypes')
Ext.namespace('Lino.isip.ExamPolicies')
Ext.namespace('Lino.isip.ContractEndings')
Ext.namespace('Lino.isip.ContractPartners')
Ext.namespace('Lino.isip.Contracts')
Ext.namespace('Lino.isip.MyContracts')
Ext.namespace('Lino.jobs.Schedules')
Ext.namespace('Lino.jobs.JobProviders')
Ext.namespace('Lino.jobs.Employers')
Ext.namespace('Lino.jobs.ContractTypes')
Ext.namespace('Lino.art60.Contracts')
Ext.namespace('Lino.art60.Conventions')
Ext.namespace('Lino.art60.MyContracts')
Ext.namespace('Lino.art60.MyContractsGSS')
Ext.namespace('Lino.jobs.Offers')
Ext.namespace('Lino.jobs.Candidatures')
Ext.namespace('Lino.jobs.Jobs')
Ext.namespace('Lino.jobs.JobTypes')
Ext.namespace('Lino.languages.Languages')
Ext.namespace('Lino.integ.Clients')
Ext.namespace('Lino.integ.CoachingEndingsByUser')
Ext.namespace('Lino.integ.CoachingEndingsByType')
Ext.namespace('Lino.integ.ContractEndingsByType')
Ext.namespace('Lino.integ.JobsContractEndingsByType')
Ext.namespace('Lino.users.AllUsers')
Ext.namespace('Lino.users.UsersOverview')
Ext.namespace('Lino.users.Me')
Ext.namespace('Lino.users.Authorities')
Ext.namespace('Lino.users.Sessions')
Ext.namespace('Lino.integ.ContractsPerUserAndContractType')
Ext.namespace('Lino.integ.JobsContractsPerUserAndContractType')
Ext.namespace('Lino.integ.StudyTypesAndContracts')
Ext.namespace('Lino.integ.CompaniesAndContracts')
Ext.namespace('Lino.integ.JobProvidersAndContracts')
Ext.namespace('Lino.art61.ContractTypes')
Ext.namespace('Lino.art61.Contracts')
Ext.namespace('Lino.art61.MyContracts')
Ext.namespace('Lino.immersion.Goals')
Ext.namespace('Lino.immersion.ContractTypes')
Ext.namespace('Lino.immersion.Contracts')
Ext.namespace('Lino.immersion.MyContracts')
Ext.namespace('Lino.active_job_search.Proofs')
Ext.namespace('Lino.newcomers.Brokers')
Ext.namespace('Lino.newcomers.Faculties')
Ext.namespace('Lino.newcomers.Competences')
Ext.namespace('Lino.newcomers.NewClients')
Ext.namespace('Lino.newcomers.AvailableCoaches')
Ext.namespace('Lino.cbss.Sectors')
Ext.namespace('Lino.cbss.Purposes')
Ext.namespace('Lino.cbss.IdentifyPersonRequests')
Ext.namespace('Lino.cbss.AllIdentifyPersonRequests')
Ext.namespace('Lino.cbss.MyIdentifyPersonRequests')
Ext.namespace('Lino.cbss.ManageAccessRequests')
Ext.namespace('Lino.cbss.AllManageAccessRequests')
Ext.namespace('Lino.cbss.MyManageAccessRequests')
Ext.namespace('Lino.cbss.RetrieveTIGroupsRequests')
Ext.namespace('Lino.cbss.AllRetrieveTIGroupsRequests')
Ext.namespace('Lino.cbss.MyRetrieveTIGroupsRequests')
Ext.namespace('Lino.humanlinks.Links')
Ext.namespace('Lino.debts.Clients')
Ext.namespace('Lino.debts.Groups')
Ext.namespace('Lino.debts.Accounts')
Ext.namespace('Lino.debts.Actors')
Ext.namespace('Lino.debts.Budgets')
Ext.namespace('Lino.debts.MyBudgets')
Ext.namespace('Lino.debts.Entries')
Ext.namespace('Lino.debts.EntriesByType')
Ext.namespace('Lino.notes.NoteTypes')
Ext.namespace('Lino.notes.EventTypes')
Ext.namespace('Lino.notes.Notes')
Ext.namespace('Lino.notes.AllNotes')
Ext.namespace('Lino.notes.MyNotes')
Ext.namespace('Lino.aids.Categories')
Ext.namespace('Lino.aids.AidTypes')
Ext.namespace('Lino.aids.Grantings')
Ext.namespace('Lino.aids.AllGrantings')
Ext.namespace('Lino.aids.MyPendingGrantings')
Ext.namespace('Lino.aids.SimpleConfirmations')
Ext.namespace('Lino.aids.AllSimpleConfirmations')
Ext.namespace('Lino.aids.IncomeConfirmations')
Ext.namespace('Lino.aids.AllIncomeConfirmations')
Ext.namespace('Lino.aids.RefundConfirmations')
Ext.namespace('Lino.aids.AllRefundConfirmations')
Ext.namespace('Lino.polls.ChoiceSets')
Ext.namespace('Lino.polls.Choices')
Ext.namespace('Lino.polls.Polls')
Ext.namespace('Lino.polls.AllPolls')
Ext.namespace('Lino.polls.MyPolls')
Ext.namespace('Lino.polls.Questions')
Ext.namespace('Lino.polls.Responses')
Ext.namespace('Lino.polls.AllResponses')
Ext.namespace('Lino.polls.MyResponses')
Ext.namespace('Lino.polls.AnswerChoices')
Ext.namespace('Lino.polls.AnswerRemarks')
Ext.namespace('Lino.polls.AnswerRemarksByAnswer')
Ext.namespace('Lino.polls.AllAnswerRemarks')
Ext.namespace('Lino.esf.Summaries')
Ext.namespace('Lino.esf.AllSummaries')
Ext.namespace('Lino.dashboard.Widgets')
Ext.namespace('Lino.dashboard.AllWidgets')
Ext.namespace('Lino.tinymce.TextFieldTemplates')
Ext.namespace('Lino.tinymce.MyTextFieldTemplates')
Ext.namespace('Lino.clients.ClientContactTypes')
Ext.namespace('Lino.clients.ClientContacts')
Ext.namespace('Lino.courses.Slots')
Ext.namespace('Lino.courses.Topics')
Ext.namespace('Lino.courses.Lines')
Ext.namespace('Lino.courses.Activities')
Ext.namespace('Lino.courses.ActivitiesByLayout')
Ext.namespace('Lino.courses.AllActivities')
Ext.namespace('Lino.courses.MyActivities')
Ext.namespace('Lino.courses.MyCoursesGiven')
Ext.namespace('Lino.courses.DraftActivities')
Ext.namespace('Lino.courses.ActiveActivities')
Ext.namespace('Lino.courses.InactiveActivities')
Ext.namespace('Lino.courses.ClosedActivities')
Ext.namespace('Lino.courses.Enrolments')
Ext.namespace('Lino.courses.AllEnrolments')
Ext.namespace('Lino.courses.PendingRequestedEnrolments')
Ext.namespace('Lino.courses.PendingConfirmedEnrolments')
Ext.namespace('Lino.courses.JobCourses')
Ext.namespace('Lino.cal.EntryRepeaterTable')
Ext.namespace('Lino.countries.PlacesByPlace')
Ext.namespace('Lino.countries.PlacesByCountry')
Ext.namespace('Lino.contacts.PartnersByCity')
Ext.namespace('Lino.contacts.PartnersByCountry')
Ext.namespace('Lino.contacts.RolesByCompany')
Ext.namespace('Lino.contacts.RolesByPerson')
Ext.namespace('Lino.checkdata.MessagesByChecker')
Ext.namespace('Lino.addresses.AddressesByPartner')
Ext.namespace('Lino.addresses.AddressesByCity')
Ext.namespace('Lino.excerpts.ExcerptsByType')
Ext.namespace('Lino.excerpts.ExcerptsByProject')
Ext.namespace('Lino.uploads.UploadsByType')
Ext.namespace('Lino.uploads.UploadsByProject')
Ext.namespace('Lino.outbox.RecipientsByMail')
Ext.namespace('Lino.outbox.MyOutbox')
Ext.namespace('Lino.outbox.MailsByUser')
Ext.namespace('Lino.outbox.MailsByProject')
Ext.namespace('Lino.outbox.SentByPartner')
Ext.namespace('Lino.outbox.AttachmentsByMail')
Ext.namespace('Lino.cal.SubscriptionsByUser')
Ext.namespace('Lino.cal.SubscriptionsByCalendar')
Ext.namespace('Lino.cal.TasksByUser')
Ext.namespace('Lino.cal.TasksByProject')
Ext.namespace('Lino.cal.GuestsByEvent')
Ext.namespace('Lino.cal.GuestsByRole')
Ext.namespace('Lino.cal.GuestsByPartner')
Ext.namespace('Lino.cal.EntriesByType')
Ext.namespace('Lino.cal.ConflictingEvents')
Ext.namespace('Lino.cal.EntriesByRoom')
Ext.namespace('Lino.cal.EntriesByProject')
Ext.namespace('Lino.cal.EntriesByGuest')
Ext.namespace('Lino.cal.EntriesByClient')
Ext.namespace('Lino.cal.TasksByClient')
Ext.namespace('Lino.reception.AppointmentsByPartner')
Ext.namespace('Lino.cv.LanguageKnowledgesByPerson')
Ext.namespace('Lino.cv.KnowledgesByLanguage')
Ext.namespace('Lino.cv.StudyTypesByLevel')
Ext.namespace('Lino.cv.TrainingsByCountry')
Ext.namespace('Lino.cv.TrainingsByType')
Ext.namespace('Lino.cv.TrainingsByPerson')
Ext.namespace('Lino.cv.StudiesByCountry')
Ext.namespace('Lino.cv.StudiesByLevel')
Ext.namespace('Lino.cv.StudiesByPlace')
Ext.namespace('Lino.cv.StudiesByType')
Ext.namespace('Lino.cv.StudiesByPerson')
Ext.namespace('Lino.cv.FunctionsBySector')
Ext.namespace('Lino.cv.ExperiencesBySector')
Ext.namespace('Lino.cv.ExperiencesByFunction')
Ext.namespace('Lino.cv.ExperiencesByPerson')
Ext.namespace('Lino.cv.ExperiencesByStatus')
Ext.namespace('Lino.cv.ExperiencesByRegime')
Ext.namespace('Lino.cv.ExperiencesByDuration')
Ext.namespace('Lino.cv.SkillsByPerson')
Ext.namespace('Lino.cv.SoftSkillsByPerson')
Ext.namespace('Lino.cv.ObstaclesByPerson')
Ext.namespace('Lino.pcsw.ClientsByNationality')
Ext.namespace('Lino.pcsw.DispensesByClient')
Ext.namespace('Lino.pcsw.ExclusionsByClient')
Ext.namespace('Lino.pcsw.ConvictionsByClient')
Ext.namespace('Lino.coachings.CoachingsByClient')
Ext.namespace('Lino.coachings.CoachingsByEnding')
Ext.namespace('Lino.coachings.CoachingsByUser')
Ext.namespace('Lino.coachings.MyCoachings')
Ext.namespace('Lino.reception.AgentsByClient')
Ext.namespace('Lino.reception.CoachingsByClient')
Ext.namespace('Lino.calview.DailyPlanner')
Ext.namespace('Lino.calview.DailySlave')
Ext.namespace('Lino.calview.WeeklySlave')
Ext.namespace('Lino.badges.AwardsByHolder')
Ext.namespace('Lino.badges.AwardsByBadge')
Ext.namespace('Lino.boards.MembersByBoard')
Ext.namespace('Lino.clients.PartnersByClientContactType')
Ext.namespace('Lino.households.HouseholdsByType')
Ext.namespace('Lino.households.MembersByHousehold')
Ext.namespace('Lino.households.SiblingsByPerson')
Ext.namespace('Lino.households.MembersByPerson')
Ext.namespace('Lino.households.RefundsByPerson')
Ext.namespace('Lino.isip.PartnersByContract')
Ext.namespace('Lino.isip.ContractsByClient')
Ext.namespace('Lino.isip.ContractsByPolicy')
Ext.namespace('Lino.isip.ContractsByType')
Ext.namespace('Lino.isip.ContractsByEnding')
Ext.namespace('Lino.isip.ContractsByStudyType')
Ext.namespace('Lino.art60.ContractsByClient')
Ext.namespace('Lino.art60.ConventionsByContract')
Ext.namespace('Lino.art60.ConventionsByProvider')
Ext.namespace('Lino.art60.ContractsByPolicy')
Ext.namespace('Lino.art60.ContractsByType')
Ext.namespace('Lino.art60.ContractsByEnding')
Ext.namespace('Lino.art60.ConventionsByJob')
Ext.namespace('Lino.art60.ConventionsByRegime')
Ext.namespace('Lino.art60.ConventionsBySchedule')
Ext.namespace('Lino.jobs.CandidaturesByPerson')
Ext.namespace('Lino.jobs.CandidaturesBySector')
Ext.namespace('Lino.jobs.CandidaturesByFunction')
Ext.namespace('Lino.jobs.CandidaturesByJob')
Ext.namespace('Lino.jobs.CandidaturesByOffer')
Ext.namespace('Lino.jobs.ExperiencesByOffer')
Ext.namespace('Lino.jobs.JobsByProvider')
Ext.namespace('Lino.jobs.JobsByType')
Ext.namespace('Lino.jobs.JobsOverviewByType')
Ext.namespace('Lino.users.AuthoritiesGiven')
Ext.namespace('Lino.users.AuthoritiesTaken')
Ext.namespace('Lino.art61.ContractsByClient')
Ext.namespace('Lino.art61.ContractsByProvider')
Ext.namespace('Lino.art61.ContractsByPolicy')
Ext.namespace('Lino.art61.ContractsByType')
Ext.namespace('Lino.art61.ContractsByEnding')
Ext.namespace('Lino.immersion.ContractsByClient')
Ext.namespace('Lino.immersion.ContractsByProvider')
Ext.namespace('Lino.immersion.ContractsByPolicy')
Ext.namespace('Lino.immersion.ContractsByType')
Ext.namespace('Lino.immersion.ContractsByGoal')
Ext.namespace('Lino.immersion.ContractsByEnding')
Ext.namespace('Lino.active_job_search.ProofsByClient')
Ext.namespace('Lino.newcomers.CompetencesByUser')
Ext.namespace('Lino.newcomers.CompetencesByFaculty')
Ext.namespace('Lino.newcomers.MyCompetences')
Ext.namespace('Lino.newcomers.ClientsByFaculty')
Ext.namespace('Lino.newcomers.AvailableCoachesByClient')
Ext.namespace('Lino.cbss.IdentifyRequestsByPerson')
Ext.namespace('Lino.cbss.ManageAccessRequestsByPerson')
Ext.namespace('Lino.cbss.RetrieveTIGroupsRequestsByPerson')
Ext.namespace('Lino.humanlinks.LinksByHuman')
Ext.namespace('Lino.debts.AccountsByGroup')
Ext.namespace('Lino.debts.ActorsByBudget')
Ext.namespace('Lino.debts.ActorsByPartner')
Ext.namespace('Lino.debts.BudgetsByPartner')
Ext.namespace('Lino.debts.EntriesByAccount')
Ext.namespace('Lino.debts.EntriesByBudget')
Ext.namespace('Lino.debts.ExpensesByBudget')
Ext.namespace('Lino.debts.IncomesByBudget')
Ext.namespace('Lino.debts.LiabilitiesByBudget')
Ext.namespace('Lino.debts.AssetsByBudget')
Ext.namespace('Lino.debts.DistByBudget')
Ext.namespace('Lino.notes.NotesByType')
Ext.namespace('Lino.notes.NotesByEventType')
Ext.namespace('Lino.notes.NotesByProject')
Ext.namespace('Lino.notes.NotesByCompany')
Ext.namespace('Lino.notes.NotesByPerson')
Ext.namespace('Lino.aids.GrantingsByClient')
Ext.namespace('Lino.aids.GrantingsByType')
Ext.namespace('Lino.aids.SimpleConfirmationsByGranting')
Ext.namespace('Lino.aids.IncomeConfirmationsByGranting')
Ext.namespace('Lino.aids.IncomeConfirmationsByCategory')
Ext.namespace('Lino.aids.RefundConfirmationsByGranting')
Ext.namespace('Lino.polls.ChoicesBySet')
Ext.namespace('Lino.polls.QuestionsByPoll')
Ext.namespace('Lino.polls.ResponsesByPoll')
Ext.namespace('Lino.polls.ResponsesByPartner')
Ext.namespace('Lino.polls.PollResult')
Ext.namespace('Lino.esf.SummariesByClient')
Ext.namespace('Lino.dashboard.WidgetsByUser')
Ext.namespace('Lino.clients.ContactsByClient')
Ext.namespace('Lino.clients.ClientContactsByType')
Ext.namespace('Lino.clients.ClientContactsByCompany')
Ext.namespace('Lino.clients.ClientContactsByPerson')
Ext.namespace('Lino.courses.LinesByTopic')
Ext.namespace('Lino.courses.EntriesByTeacher')
Ext.namespace('Lino.courses.ActivitiesByTeacher')
Ext.namespace('Lino.courses.ActivitiesByLine')
Ext.namespace('Lino.courses.ActivitiesByTopic')
Ext.namespace('Lino.courses.ActivitiesBySlot')
Ext.namespace('Lino.courses.EnrolmentsByPupil')
Ext.namespace('Lino.courses.EnrolmentsByCourse')
Ext.namespace('Lino.courses.BasicEnrolmentsByPupil')
Ext.namespace('Lino.courses.JobEnrolmentsByPupil')
Ext.namespace('Lino.gfks.HelpTextsByModel')
Ext.namespace('Lino.changes.ChangesByObject')
Ext.namespace('Lino.changes.ChangesByMaster')
Ext.namespace('Lino.checkdata.MessagesByOwner')
Ext.namespace('Lino.excerpts.ExcerptsByOwner')
Ext.namespace('Lino.uploads.UploadsByController')
Ext.namespace('Lino.outbox.MailsByController')
Ext.namespace('Lino.outbox.AttachmentsByController')
Ext.namespace('Lino.cal.TasksByController')
Ext.namespace('Lino.cal.EntriesByController')
Ext.namespace('Lino.isip.DelegatedTasksByContract')
Ext.namespace('Lino.isip.EntriesByContract')
Ext.namespace('Lino.notes.NotesByOwner')
Ext.namespace('Lino.gfks.BrokenGFKs')
Ext.namespace('Lino.gfks.BrokenGFKsByModel')
Ext.namespace('Lino.reception.FindDateByClientTable')
Ext.namespace('Lino.calview.MonthlySlave')
Ext.namespace('Lino.calview.DailyView')
Ext.namespace('Lino.calview.WeeklyView')
Ext.namespace('Lino.calview.MonthlyView')
Ext.namespace('Lino.integ.UsersWithClients')
Ext.namespace('Lino.integ.CompareRequestsTable')
Ext.namespace('Lino.integ.PeriodicNumbers')
Ext.namespace('Lino.integ.ContractsByType')
Ext.namespace('Lino.users.UserRoles')
Ext.namespace('Lino.cbss.IdentifyPersonResult')
Ext.namespace('Lino.cbss.RetrieveTIGroupsResult')
Ext.namespace('Lino.debts.PrintEntriesByBudget')
Ext.namespace('Lino.debts.SummaryTable')
Ext.namespace('Lino.debts.ResultByBudget')
Ext.namespace('Lino.debts.DebtsByBudget')
Ext.namespace('Lino.debts.AssetsByBudgetSummary')
Ext.namespace('Lino.aids.ConfirmationsByGranting')
Ext.namespace('Lino.polls.AnswersByResponseBase')
Ext.namespace('Lino.polls.AnswersByResponseEditor')
Ext.namespace('Lino.polls.AnswersByResponsePrint')
Ext.namespace('Lino.polls.AnswersByQuestion')
Ext.namespace('Lino.system.Dashboard')
Ext.namespace('Lino.about.About')
Ext.namespace('Lino.extensible.CalendarPanel')
Ext.namespace('Lino.jobs.JobsOverview')
Ext.namespace('Lino.integ.ActivityReport')
Ext.namespace('Lino.courses.StatusReport')
Ext.namespace('Lino.system.YesNo')
Ext.namespace('Lino.system.Genders')
Ext.namespace('Lino.system.PeriodEvents')
Ext.namespace('Lino.system.DashboardLayouts')
Ext.namespace('Lino.checkdata.Checkers')
Ext.namespace('Lino.printing.BuildMethods')
Ext.namespace('Lino.users.UserTypes')
Ext.namespace('Lino.about.TimeZones')
Ext.namespace('Lino.about.DateFormats')
Ext.namespace('Lino.xl.Priorities')
Ext.namespace('Lino.countries.PlaceTypes')
Ext.namespace('Lino.uploads.Shortcuts')
Ext.namespace('Lino.uploads.UploadAreas')
Ext.namespace('Lino.contacts.PartnerEvents')
Ext.namespace('Lino.contacts.CivilStates')
Ext.namespace('Lino.notify.MessageTypes')
Ext.namespace('Lino.notify.MailModes')
Ext.namespace('Lino.changes.ChangeTypes')
Ext.namespace('Lino.addresses.AddressTypes')
Ext.namespace('Lino.addresses.DataSources')
Ext.namespace('Lino.excerpts.Shortcuts')
Ext.namespace('Lino.cal.DisplayColors')
Ext.namespace('Lino.cal.Weekdays')
Ext.namespace('Lino.cal.YearMonths')
Ext.namespace('Lino.cal.DurationUnits')
Ext.namespace('Lino.cal.Recurrencies')
Ext.namespace('Lino.cal.AccessClasses')
Ext.namespace('Lino.cal.PlannerColumns')
Ext.namespace('Lino.cal.TaskStates')
Ext.namespace('Lino.cal.GuestStates')
Ext.namespace('Lino.cal.EventEvents')
Ext.namespace('Lino.cal.EntryStates')
Ext.namespace('Lino.cal.NotifyBeforeUnits')
Ext.namespace('Lino.clients.ClientEvents')
Ext.namespace('Lino.clients.ClientStates')
Ext.namespace('Lino.clients.KnownContactTypes')
Ext.namespace('Lino.outbox.RecipientTypes')
Ext.namespace('Lino.cal.ReservationStates')
Ext.namespace('Lino.notes.SpecialTypes')
Ext.namespace('Lino.cv.EducationEntryStates')
Ext.namespace('Lino.cv.HowWell')
Ext.namespace('Lino.cv.CefLevel')
Ext.namespace('Lino.beid.ResidenceTypes')
Ext.namespace('Lino.beid.BeIdCardTypes')
Ext.namespace('Lino.cbss.RequestStates')
Ext.namespace('Lino.cbss.ManageActions')
Ext.namespace('Lino.cbss.QueryRegisters')
Ext.namespace('Lino.cbss.RequestLanguages')
Ext.namespace('Lino.isip.ContractEvents')
Ext.namespace('Lino.isip.OverlapGroups')
Ext.namespace('Lino.pcsw.RefusalReasons')
Ext.namespace('Lino.pcsw.FollowedFORem')
Ext.namespace('Lino.calview.Planners')
Ext.namespace('Lino.households.MemberDependencies')
Ext.namespace('Lino.households.MemberRoles')
Ext.namespace('Lino.jobs.CandidatureStates')
Ext.namespace('Lino.art60.RefundFilters')
Ext.namespace('Lino.courses.CourseStates')
Ext.namespace('Lino.courses.EnrolmentStates')
Ext.namespace('Lino.courses.ActivityLayouts')
Ext.namespace('Lino.art61.Subsidizations')
Ext.namespace('Lino.humanlinks.LinkTypes')
Ext.namespace('Lino.debts.AccountTypes')
Ext.namespace('Lino.debts.TableLayouts')
Ext.namespace('Lino.aids.ConfirmationTypes')
Ext.namespace('Lino.aids.AidRegimes')
Ext.namespace('Lino.aids.ConfirmationStates')
Ext.namespace('Lino.polls.PollStates')
Ext.namespace('Lino.polls.ResponseStates')
Ext.namespace('Lino.esf.ParticipationCertificates')
Ext.namespace('Lino.esf.StatisticalFields')

// ChoiceLists: 
Lino.system.YesNo = [ [ "y", "Yes" ], [ "n", "No" ] ];
Lino.system.Genders = [ [ "M", "Male" ], [ "F", "Female" ] ];
Lino.system.PeriodEvents = [ [ "10", "Starts" ], [ "20", "Is active" ], [ "30", "Ends" ] ];
Lino.system.DashboardLayouts = [  ];
Lino.checkdata.Checkers = [ [ "addresses.AddressOwnerChecker", "Check for missing or non-primary address records" ], [ "aids.ConfirmationChecker", "Check for confirmations outside of granted period" ], [ "beid.SSINChecker", "Check for invalid SSINs" ], [ "cal.ConflictingEventsChecker", "Check for conflicting calendar entries" ], [ "cal.EventGuestChecker", "Entries without participants" ], [ "cal.LongEntryChecker", "Too long-lasting calendar entries" ], [ "cal.ObsoleteEventTypeChecker", "Obsolete generated calendar entries" ], [ "coachings.ClientCoachingsChecker", "Check coachings" ], [ "countries.PlaceChecker", "Check data of geographical places." ], [ "isip.OverlappingContractsChecker", "Check for overlapping contracts" ], [ "memo.PreviewableChecker", "Check for previewables needing update" ], [ "mixins.DupableChecker", "Check for missing phonetic words" ], [ "printing.CachedPrintableChecker", "Check for missing target files" ], [ "system.BleachChecker", "Find unbleached html content" ], [ "uploads.UploadChecker", "Check metadata of upload files" ], [ "uploads.UploadsFolderChecker", "Find orphaned files in uploads folder" ] ];
Lino.printing.BuildMethods = [ [ "appydoc", "AppyDocBuildMethod" ], [ "appyodt", "AppyOdtBuildMethod" ], [ "appypdf", "AppyPdfBuildMethod" ], [ "appyrtf", "AppyRtfBuildMethod" ], [ "latex", "LatexBuildMethod" ], [ "rtf", "RtfBuildMethod" ], [ "weasy2html", "WeasyHtmlBuildMethod" ], [ "weasy2pdf", "WeasyPdfBuildMethod" ], [ "xml", "XmlBuildMethod" ] ];
Lino.users.UserTypes = [ [ "000", "000 (000 (Anonymous))" ], [ "100", "100 (100 (Integration agent))" ], [ "110", "110 (110 (Integration agent (Manager)))" ], [ "120", "120 (120 (Integration agent (Flexible)))" ], [ "200", "200 (200 (Newcomers consultant))" ], [ "210", "210 (210 (Reception clerk))" ], [ "220", "220 (220 (Reception clerk (Flexible)))" ], [ "300", "300 (300 (Debts consultant))" ], [ "400", "400 (400 (Social agent))" ], [ "410", "410 (410 (Social agent (Manager)))" ], [ "420", "420 (420 (Social agent (Flexible)))" ], [ "500", "500 (500 (Accountant))" ], [ "510", "510 (510 (Accountant (Manager)))" ], [ "800", "800 (800 (Supervisor))" ], [ "900", "900 (900 (Administrator))" ], [ "910", "910 (910 (Security advisor))" ] ];
Lino.about.TimeZones = [ [ "01", "UTC" ] ];
Lino.about.DateFormats = [ [ "010", "dd.mm.y" ], [ "020", "dd.mm.yy" ], [ "030", "dd/mm/y" ], [ "040", "dd/mm/yy" ] ];
Lino.xl.Priorities = [ [ "10", "Critical" ], [ "20", "High" ], [ "30", "Normal" ], [ "40", "Low" ], [ "50", "Very Low" ] ];
Lino.countries.PlaceTypes = [ [ "10", "Member State" ], [ "11", "Division" ], [ "12", "Region" ], [ "13", "Community" ], [ "14", "Territory" ], [ "20", "County" ], [ "21", "Province" ], [ "22", "Shire" ], [ "23", "Subregion" ], [ "24", "Department" ], [ "25", "Arrondissement" ], [ "26", "Prefecture" ], [ "27", "District" ], [ "28", "Sector" ], [ "50", "City" ], [ "51", "Town" ], [ "52", "Municipality" ], [ "54", "Parish" ], [ "55", "Township" ], [ "56", "Quarter" ], [ "61", "Borough" ], [ "62", "Small borough" ], [ "70", "Village" ] ];
Lino.uploads.Shortcuts = [ [ "pcsw.Client.id_document", "Identifying document" ] ];
Lino.uploads.UploadAreas = [ [ "10", "Contract" ], [ "90", "General" ] ];
Lino.contacts.PartnerEvents = [  ];
Lino.contacts.CivilStates = [ [ "10", "Single" ], [ "20", "Married" ], [ "30", "Widowed" ], [ "40", "Divorced" ], [ "50", "Separated" ], [ "51", "De facto separated" ], [ "60", "Cohabitating" ] ];
Lino.notify.MessageTypes = [ [ "system", "System event" ], [ "change", "Change" ], [ "cal_event", "Calendar Event" ], [ "reception", "Reception" ], [ "coachings", "Coachings" ], [ "notes", "Notes" ] ];
Lino.notify.MailModes = [ [ "silent", "Silent" ], [ "never", "No mails" ], [ "often", "Mail often" ], [ "daily", "Daily email digest" ], [ "weekly", "Weekly email digest" ] ];
Lino.changes.ChangeTypes = [ [ "C", "Create" ], [ "U", "Update" ], [ "D", "Delete" ], [ "R", "Remove child" ], [ "A", "Add child" ], [ "M", "Merge" ] ];
Lino.addresses.AddressTypes = [ [ "01", "Official address" ], [ "02", "Unverified address" ], [ "03", "Declared address" ], [ "04", "Reference address" ], [ "98", "Obsolete" ], [ "99", "Other" ] ];
Lino.addresses.DataSources = [ [ "01", "Manually entered" ], [ "02", "Read from eID" ] ];
Lino.excerpts.Shortcuts = [ [ "pcsw.Client.cvs_emitted", "CVs emitted" ] ];
Lino.cal.DisplayColors = [ [ "White", "White" ], [ "Silver", "Silver" ], [ "Gray", "Gray" ], [ "Black", "Black" ], [ "Red", "Red" ], [ "Maroon", "Maroon" ], [ "Yellow", "Yellow" ], [ "Olive", "Olive" ], [ "Lime", "Lime" ], [ "Green", "Green" ], [ "Aqua", "Aqua" ], [ "Teal", "Teal" ], [ "Blue", "Blue" ], [ "Navy", "Navy" ], [ "Fuchsia", "Fuchsia" ], [ "Purple", "Purple" ] ];
Lino.cal.Weekdays = [ [ "1", "Monday" ], [ "2", "Tuesday" ], [ "3", "Wednesday" ], [ "4", "Thursday" ], [ "5", "Friday" ], [ "6", "Saturday" ], [ "7", "Sunday" ] ];
Lino.cal.YearMonths = [ [ "1", "January" ], [ "2", "February" ], [ "3", "March" ], [ "4", "April" ], [ "5", "May" ], [ "6", "June" ], [ "7", "July" ], [ "8", "August" ], [ "9", "September" ], [ "10", "October" ], [ "11", "November" ], [ "12", "December" ] ];
Lino.cal.DurationUnits = [ [ "s", "seconds" ], [ "m", "minutes" ], [ "h", "hours" ], [ "D", "days" ], [ "W", "weeks" ], [ "M", "months" ], [ "Y", "years" ] ];
Lino.cal.Recurrencies = [ [ "O", "once" ], [ "D", "daily" ], [ "W", "weekly" ], [ "M", "monthly" ], [ "Y", "yearly" ], [ "P", "per weekday" ], [ "E", "Relative to Easter" ] ];
Lino.cal.AccessClasses = [ [ "10", "Private" ], [ "20", "Show busy" ], [ "30", "Public" ] ];
Lino.cal.PlannerColumns = [ [ "10", "External" ], [ "20", "Internal" ] ];
Lino.cal.TaskStates = [ [ "10", "To do" ], [ "15", "Important" ], [ "20", "Started" ], [ "30", "Done" ], [ "50", "Cancelled" ] ];
Lino.cal.GuestStates = [ [ "10", "Invited" ], [ "20", "Accepted" ], [ "30", "Rejected" ], [ "40", "Present" ], [ "44", "Waiting" ], [ "45", "Busy" ], [ "46", "Gone" ], [ "50", "Absent" ], [ "60", "Excused" ] ];
Lino.cal.EventEvents = [ [ "10", "Stable" ], [ "20", "Unstable" ] ];
Lino.cal.EntryStates = [ [ "10", "Suggested" ], [ "20", "Draft" ], [ "40", "Published" ], [ "50", "Took place" ], [ "70", "Cancelled" ] ];
Lino.cal.NotifyBeforeUnits = [ [ "10", "minutes" ], [ "20", "hours" ], [ "30", "days" ], [ "40", "weeks" ] ];
Lino.clients.ClientEvents = [ [ "created", "Created" ], [ "modified", "Modified" ], [ "note", "Note" ], [ "learning", "Learning" ], [ "dispense", "Dispense" ], [ "penalty", "Penalty" ], [ "active", "Coaching" ], [ "isip", "ISIP" ], [ "jobs", "Art60\u00a77 job supplyment" ], [ "art60", "Art60 job supplyment" ], [ "available", "Available" ], [ "art61", "Art61 job supplyment" ], [ "immersion", "Immersion training" ] ];
Lino.clients.ClientStates = [ [ "10", "Newcomer" ], [ "20", "Refused" ], [ "30", "Coached" ], [ "50", "Former" ] ];
Lino.clients.KnownContactTypes = [ [ "10", "Coach" ], [ "20", "Other" ] ];
Lino.outbox.RecipientTypes = [ [ "to", "to" ], [ "cc", "cc" ], [ "bcc", "bcc" ] ];
Lino.cal.ReservationStates = [  ];
Lino.notes.SpecialTypes = [ [ "100", "First meeting" ] ];
Lino.cv.EducationEntryStates = [ [ "0", "Success" ], [ "1", "Failure" ], [ "2", "Ongoing" ] ];
Lino.cv.HowWell = [ [ "0", "not at all" ], [ "1", "a bit" ], [ "2", "moderate" ], [ "3", "quite well" ], [ "4", "very well" ] ];
Lino.cv.CefLevel = [ [ "A0", "A0" ], [ "A1", "A1" ], [ "A1+", "A1+" ], [ "A2", "A2" ], [ "A2+", "A2+" ], [ "B1", "B1" ], [ "B2", "B2" ], [ "B2+", "B2+" ], [ "C1", "C1" ], [ "C2", "C2" ], [ "C2+", "C2+" ] ];
Lino.beid.ResidenceTypes = [ [ "1", "Register of citizens" ], [ "2", "Register of foreigners" ], [ "3", "Waiting register" ] ];
Lino.beid.BeIdCardTypes = [ [ "01", "Belgian citizen" ], [ "06", "Kids card (< 12 year)" ], [ "11", "Foreigner card A" ], [ "12", "Foreigner card B" ], [ "13", "Foreigner card C" ], [ "14", "Foreigner card D" ], [ "15", "Foreigner card E" ], [ "16", "Foreigner card E+" ], [ "17", "Foreigner card F" ], [ "18", "Foreigner card F+" ], [ "99", "Registration certificate (Orange card)" ] ];
Lino.cbss.RequestStates = [ [ "10", "Sent" ], [ "20", "Failed" ], [ "25", "Validated" ], [ "30", "OK" ], [ "40", "Warnings" ], [ "50", "Errors" ] ];
Lino.cbss.ManageActions = [ [ "1", "Register" ], [ "2", "Unregister" ], [ "3", "List" ] ];
Lino.cbss.QueryRegisters = [ [ "1", "Primary" ], [ "2", "Secondary" ], [ "3", "All" ] ];
Lino.cbss.RequestLanguages = [ [ "nl", "Dutch" ], [ "fr", "French" ], [ "de", "German" ] ];
Lino.isip.ContractEvents = [ [ "10", "Active" ], [ "20", "Started" ], [ "30", "Ended" ], [ "40", "Decided" ], [ "50", "Issued" ] ];
Lino.isip.OverlapGroups = [ [ "10", "Conventions" ], [ "20", "Trainings" ] ];
Lino.pcsw.RefusalReasons = [ [ "10", "Information request (No coaching needed)" ], [ "20", "PCSW is not competent" ], [ "30", "Client did not return" ] ];
Lino.pcsw.FollowedFORem = [ [ "0", "No" ], [ "1", "Yes" ] ];
Lino.calview.Planners = [ [ "default", "Calendar" ] ];
Lino.households.MemberDependencies = [ [ "01", "At full charge" ], [ "02", "Not at charge" ], [ "03", "At shared charge" ] ];
Lino.households.MemberRoles = [ [ "01", "Head of household" ], [ "02", "Spouse" ], [ "03", "Partner" ], [ "04", "Cohabitant" ], [ "05", "Child" ], [ "06", "Relative" ], [ "07", "Adopted child" ], [ "08", "Foster-child" ], [ "10", "Other" ] ];
Lino.jobs.CandidatureStates = [ [ "10", "Active" ], [ "20", "Probation" ], [ "25", "Probation failed" ], [ "27", "Working" ], [ "30", "Inactive" ] ];
Lino.art60.RefundFilters = [  ];
Lino.courses.CourseStates = [ [ "10", "Draft" ], [ "20", "Started" ], [ "30", "Inactive" ], [ "40", "Closed" ] ];
Lino.courses.EnrolmentStates = [ [ "10", "Requested" ], [ "11", "Never came" ], [ "20", "Confirmed" ], [ "30", "Cancelled" ], [ "40", "Started" ], [ "50", "Finished" ] ];
Lino.courses.ActivityLayouts = [ [ "B", "Integration workshops" ], [ "J", "Job search workshops" ] ];
Lino.art61.Subsidizations = [ [ "10", "Hiring assistance" ], [ "20", "Tutorate" ], [ "30", "Walloon Region" ] ];
Lino.humanlinks.LinkTypes = [ [ "01", "Father (Mother)" ], [ "02", "Adoptive father (Adoptive mother)" ], [ "03", "Grandfather (Grandmother)" ], [ "05", "Husband (Wife)" ], [ "06", "Friend (Friend)" ], [ "07", "Partner (Partner)" ], [ "08", "Stepfather (Stepmother)" ], [ "09", "Foster father (Foster mother)" ], [ "10", "Brother (Sister)" ], [ "11", "Cousin (Cousin)" ], [ "12", "Uncle (Aunt)" ], [ "80", "Relative (Relative)" ], [ "90", "Other (Other)" ] ];
Lino.debts.AccountTypes = [ [ "A", "Assets" ], [ "L", "Liabilities" ], [ "C", "Capital" ], [ "I", "Incomes" ], [ "E", "Expenses" ] ];
Lino.debts.TableLayouts = [ [ "10", "Description, remarks, yearly amount, actor amounts" ], [ "11", "Description, remarks, actor amounts" ], [ "20", "Partner, remarks, monthly rate, actor amounts" ], [ "30", "Full description, actor amounts" ], [ "40", "Debt-collector, partner, remarks, monthly rate, amounts" ] ];
Lino.aids.ConfirmationTypes = [ [ "aids.SimpleConfirmation", "Simple confirmation (aids.SimpleConfirmation)" ], [ "aids.IncomeConfirmation", "Income confirmation (aids.IncomeConfirmation)" ], [ "aids.RefundConfirmation", "Refund confirmation (aids.RefundConfirmation)" ] ];
Lino.aids.AidRegimes = [ [ "10", "Financial aids" ], [ "20", "Medical aids" ], [ "30", "Other aids" ] ];
Lino.aids.ConfirmationStates = [ [ "01", "Unconfirmed" ], [ "02", "Confirmed" ] ];
Lino.polls.PollStates = [ [ "10", "Draft" ], [ "20", "Active" ], [ "30", "Closed" ] ];
Lino.polls.ResponseStates = [ [ "10", "Draft" ], [ "20", "Registered" ] ];
Lino.esf.ParticipationCertificates = [ [ "10", "Epreuve d\u2019\u00e9valuation r\u00e9ussie sans titre sp\u00e9cifique" ] ];
Lino.esf.StatisticalFields = [ [ "10", "Informative sessions" ], [ "20", "Individual consultation" ], [ "21", "Evaluation of external training" ], [ "30", "Certified integration service" ], [ "40", "Level tests" ], [ "41", "IT basics" ], [ "42", "Mobility" ], [ "43", "Remedial teaching" ], [ "44", "Wake up!" ], [ "50", "Getting a professional situation" ], [ "60", "Cyber Job" ], [ "70", "Art 60\u00a77 job supplyment" ] ];

Lino.cal.MyEntries.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date1 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(cal.MyEntries.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date2 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(cal.MyEntries.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event3 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Observed event", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(cal.MyEntries.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var state4 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(cal.MyEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var main_1_panel5 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": start_date1, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": end_date2, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": observed_event3, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": state4, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user10 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(cal.MyEntries.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/user" }) }), "value": null });
    var assigned_to11 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Assigned to</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Assigned to","(cal.MyEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/assigned_to" }) }), "value": null });
    var project12 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(cal.MyEntries.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/project" }) }), "value": null });
    var event_type13 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(cal.MyEntries.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/event_type" }) }), "value": null });
    var room14 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(cal.MyEntries.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/room" }) }), "value": null });
    var show_appointments15 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Appointments</span>", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Rendez-vous","(cal.MyEntries.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel16 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": user10, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": assigned_to11, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": project12, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": event_type13, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": room14, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": show_appointments15, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel5, main_2_panel16 ];
    this.fields = [ start_date1, end_date2, observed_event3, state4, user10, assigned_to11, project12, event_type13, room14, show_appointments15 ];
    Lino.cal.MyEntries.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.polls.Responses.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var state24 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(polls.Responses.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.polls.ResponseStates), "value": null });
    var user25 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(polls.Responses.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Responses/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 39, "items": state24, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": user25, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ state24, user25 ];
    Lino.polls.Responses.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.calview.DailySlave.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  region: 'west',
  initComponent : function() {
    var user29 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(calview.DailySlave.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailySlave/user" }) }), "value": null });
    var assigned_to30 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Assigned to</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Assigned to","(calview.DailySlave.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailySlave/assigned_to" }) }), "value": null });
    var project31 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(calview.DailySlave.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailySlave/project" }) }), "value": null });
    var event_type32 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(calview.DailySlave.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailySlave/event_type" }) }), "value": null });
    var room33 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(calview.DailySlave.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailySlave/room" }) }), "value": null });
    var state34 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(calview.DailySlave.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var show_appointments35 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Appointments", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Rendez-vous","(calview.DailySlave.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": user29, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": assigned_to30, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project31, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type32, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": room33, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": state34, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": show_appointments35, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user29, assigned_to30, project31, event_type32, room33, state34, show_appointments35 ];
    Lino.calview.DailySlave.ParamsPanel.superclass.initComponent.call(this);
  }
  ,width: Lino.chars2width(20)
});


Lino.cal.OneEvent.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user44 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(cal.OneEvent.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/user" }) }), "value": null });
    var event_type45 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(cal.OneEvent.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/event_type" }) }), "value": null });
    var room46 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(cal.OneEvent.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/room" }) }), "value": null });
    var project47 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(cal.OneEvent.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/project" }) }), "value": null });
    var presence_guest48 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Guest</span>", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Guest","(cal.OneEvent.presence_guest) ") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/presence_guest" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": user44, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": event_type45, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": room46, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": project47, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": presence_guest48, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user44, event_type45, room46, project47, presence_guest48 ];
    Lino.cal.OneEvent.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user55 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(cbss.IdentifyPersonRequests.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user55, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user55 ];
    Lino.cbss.IdentifyPersonRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Enrolments.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date58 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(courses.Enrolments.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date59 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(courses.Enrolments.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var author60 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "User", "hiddenName": "authorHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Utilisateur","(courses.Enrolments.author) ") }, "name": "author", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Enrolments/author" }) }) });
    var state61 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(courses.Enrolments.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.courses.EnrolmentStates) });
    var course_state62 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Course state", "forceSelection": true, "hiddenName": "course_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Course state","(courses.Enrolments.course_state) ") }, "name": "course_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.courses.CourseStates) });
    var participants_only63 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Participants only", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Participants only","(courses.Enrolments.participants_only) Hide cancelled enrolments. Ignored if you specify an explicit enrolment state.") }, "name": "participants_only", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "flex": 13, "items": start_date58, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": end_date59, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": author60, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": state61, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": course_state62, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": participants_only63, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date58, end_date59, author60, state61, course_state62, participants_only63 ];
    Lino.courses.Enrolments.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date71 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(aids.SimpleConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date72 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(aids.SimpleConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event73 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Observed event", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(aids.SimpleConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board74 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Select a Board...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Board</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Conseil","(aids.SimpleConfirmations.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/board" }) }) });
    var signer75 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Signer", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Signataire","(aids.SimpleConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var user76 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(aids.SimpleConfirmations.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }), "value": null });
    var main_1_panel77 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date71, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date72, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event73, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board74, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer75, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user76, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type84 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Select a Aid Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aid Type</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'aide sociale","(aids.SimpleConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/aid_type" }) }) });
    var state85 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(aids.SimpleConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client86 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(aids.SimpleConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }), "value": null });
    var gender87 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gender", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Sexe","(aids.SimpleConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel88 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type84, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state85, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client86, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender87, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel77, main_2_panel88 ];
    this.fields = [ start_date71, end_date72, observed_event73, board74, signer75, user76, aid_type84, state85, client86, gender87 ];
    Lino.aids.SimpleConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.ActivitiesByTopic.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var line94 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.courses.Lines.detail", "emptyText": "Select a Workshop series...", "fieldLabel": "Workshop series", "hiddenName": "lineHidden", "insert_action": "Lino.courses.Lines.insert", "listeners": { "render": Lino.quicktip_renderer("S\u00e9rie d'ateliers","(courses.ActivitiesByTopic.line) ") }, "name": "line", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.courses.Lines.detail,Lino.courses.Lines.insert)}, "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTopic/line" }) }) });
    var teacher95 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Instructor", "hiddenName": "teacherHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Instructeur","(courses.ActivitiesByTopic.teacher) ") }, "name": "teacher", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTopic/teacher" }) }) });
    var user96 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(courses.ActivitiesByTopic.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTopic/user" }) }), "value": null });
    var state97 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(courses.ActivitiesByTopic.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.courses.CourseStates) });
    var can_enroll98 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "can enroll", "forceSelection": true, "hiddenName": "can_enrollHidden", "listeners": { "render": Lino.quicktip_renderer("can enroll","(courses.ActivitiesByTopic.can_enroll) ") }, "name": "can_enroll", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "autoHeight": true, "flex": 24, "items": line94, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": teacher95, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": user96, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": state97, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": can_enroll98, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ line94, teacher95, user96, state97, can_enroll98 ];
    Lino.courses.ActivitiesByTopic.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.AllEntries.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date105 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(cal.AllEntries.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date106 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(cal.AllEntries.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event107 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Observed event", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(cal.AllEntries.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var state108 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(cal.AllEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var main_1_panel109 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": start_date105, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": end_date106, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": observed_event107, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": state108, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user114 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(cal.AllEntries.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/user" }) }), "value": null });
    var assigned_to115 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Assigned to</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Assigned to","(cal.AllEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/assigned_to" }) }), "value": null });
    var project116 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(cal.AllEntries.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/project" }) }), "value": null });
    var event_type117 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(cal.AllEntries.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/event_type" }) }), "value": null });
    var room118 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(cal.AllEntries.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/room" }) }), "value": null });
    var show_appointments119 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Appointments</span>", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Rendez-vous","(cal.AllEntries.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel120 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": user114, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": assigned_to115, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": project116, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": event_type117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": room118, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": show_appointments119, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel109, main_2_panel120 ];
    this.fields = [ start_date105, end_date106, observed_event107, state108, user114, assigned_to115, project116, event_type117, room118, show_appointments119 ];
    Lino.cal.AllEntries.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Messages.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user128 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Responsible</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Utilisateur responsable","(checkdata.Messages.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Messages/user" }) }), "value": null });
    var checker129 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Checker", "forceSelection": true, "hiddenName": "checkerHidden", "listeners": { "render": Lino.quicktip_renderer("Checker","(checkdata.Messages.checker) ") }, "name": "checker", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.checkdata.Checkers), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": user128, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": checker129, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user128, checker129 ];
    Lino.checkdata.Messages.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date133 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(cv.Trainings.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date134 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(cv.Trainings.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event135 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Observed event", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(cv.Trainings.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 30, "items": start_date133, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date134, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": observed_event135, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date133, end_date134, observed_event135 ];
    Lino.cv.Trainings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var observed_event140 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Validity", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Validit\u00e9","(uploads.Uploads.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var start_date141 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(uploads.Uploads.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date142 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(uploads.Uploads.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var coached_by143 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Coached by</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Intervenant","(uploads.Uploads.coached_by) Show only uploads for clients coached by this user.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/coached_by" }) }) });
    var user144 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Uploaded by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Uploaded by","(uploads.Uploads.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }), "value": null });
    var upload_type145 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Select a Upload type...", "fieldLabel": "Upload type", "hiddenName": "upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type de t\u00e9l\u00e9chargement","(uploads.Uploads.upload_type) ") }, "name": "upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/upload_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": observed_event140, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": start_date141, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date142, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": coached_by143, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": user144, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": upload_type145, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ observed_event140, start_date141, end_date142, coached_by143, user144, upload_type145 ];
    Lino.uploads.Uploads.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date153 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(boards.Boards.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date154 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(boards.Boards.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date153, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date154, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date153, end_date154 ];
    Lino.boards.Boards.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user158 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(tinymce.TextFieldTemplates.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user158, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user158 ];
    Lino.tinymce.TextFieldTemplates.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Activities.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var topic161 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.courses.Topics.detail", "emptyText": "Select a Topic...", "fieldLabel": "Topic", "hiddenName": "topicHidden", "listeners": { "render": Lino.quicktip_renderer("Topic","(courses.Activities.topic) ") }, "name": "topic", "pageSize": 20, "related_actor_id": "courses.Topics", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/topic" }) }) });
    var line162 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.courses.Lines.detail", "emptyText": "Select a Workshop series...", "fieldLabel": "Workshop series", "hiddenName": "lineHidden", "insert_action": "Lino.courses.Lines.insert", "listeners": { "render": Lino.quicktip_renderer("S\u00e9rie d'ateliers","(courses.Activities.line) ") }, "name": "line", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.courses.Lines.detail,Lino.courses.Lines.insert)}, "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/line" }) }) });
    var user163 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(courses.Activities.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/user" }) }), "value": null });
    var teacher164 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Instructor", "hiddenName": "teacherHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Instructeur","(courses.Activities.teacher) ") }, "name": "teacher", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/teacher" }) }) });
    var state165 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(courses.Activities.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.courses.CourseStates) });
    var main_1_panel166 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": topic161, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": line162, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user163, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": teacher164, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": state165, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var room172 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(courses.Activities.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/room" }) }), "value": null });
    var can_enroll173 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "can enroll", "forceSelection": true, "hiddenName": "can_enrollHidden", "listeners": { "render": Lino.quicktip_renderer("can enroll","(courses.Activities.can_enroll) ") }, "name": "can_enroll", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var start_date174 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date from</span>", "listeners": { "render": Lino.quicktip_renderer("Date du","(courses.Activities.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date175 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(courses.Activities.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var show_exposed176 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Exposed</span>", "forceSelection": true, "hiddenName": "show_exposedHidden", "listeners": { "render": Lino.quicktip_renderer("Exposed","(courses.Activities.show_exposed) Whether to show rows in an exposed state") }, "name": "show_exposed", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel177 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": room172, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": can_enroll173, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": start_date174, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": end_date175, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": show_exposed176, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel166, main_2_panel177 ];
    this.fields = [ topic161, line162, user163, teacher164, state165, room172, can_enroll173, start_date174, end_date175, show_exposed176 ];
    Lino.courses.Activities.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ExperiencesByOffer.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date184 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(jobs.ExperiencesByOffer.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date185 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(jobs.ExperiencesByOffer.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date184, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date185, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date184, end_date185 ];
    Lino.jobs.ExperiencesByOffer.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.calview.WeeklySlave.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  region: 'west',
  initComponent : function() {
    var user189 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(calview.WeeklySlave.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/WeeklySlave/user" }) }), "value": null });
    var assigned_to190 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Assigned to</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Assigned to","(calview.WeeklySlave.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/WeeklySlave/assigned_to" }) }), "value": null });
    var project191 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(calview.WeeklySlave.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/WeeklySlave/project" }) }), "value": null });
    var event_type192 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(calview.WeeklySlave.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/WeeklySlave/event_type" }) }), "value": null });
    var room193 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(calview.WeeklySlave.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/WeeklySlave/room" }) }), "value": null });
    var state194 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(calview.WeeklySlave.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var show_appointments195 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Appointments", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Rendez-vous","(calview.WeeklySlave.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": user189, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": assigned_to190, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project191, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type192, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": room193, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": state194, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": show_appointments195, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user189, assigned_to190, project191, event_type192, room193, state194, show_appointments195 ];
    Lino.calview.WeeklySlave.ParamsPanel.superclass.initComponent.call(this);
  }
  ,width: Lino.chars2width(20)
});


Lino.cal.Subscriptions.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user204 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(cal.Subscriptions.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Subscriptions/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user204, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user204 ];
    Lino.cal.Subscriptions.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var place207 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Select a Place...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Place</span>", "hiddenName": "placeHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Endroit","(addresses.Addresses.place) ") }, "name": "place", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/place" }) }) });
    var partner208 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partenaire","(addresses.Addresses.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/partner" }) }), "value": null });
    var address_type209 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Address type</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Types d'adresse","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.addresses.AddressTypes), "value": null });
    this.items = [ { "autoHeight": true, "flex": 31, "items": place207, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": partner208, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": address_type209, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ place207, partner208, address_type209 ];
    Lino.addresses.Addresses.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date214 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(cal.Tasks.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date215 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(cal.Tasks.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user216 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(cal.Tasks.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }), "value": null });
    var state217 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(cal.Tasks.state) The state of this Task. one of TaskStates.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.TaskStates), "value": null });
    var project218 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }), "value": null });
    var main_1_panel219 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date214, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date215, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user216, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": state217, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": project218, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel219 ];
    this.fields = [ start_date214, end_date215, user216, state217, project218 ];
    Lino.cal.Tasks.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var project226 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }), "value": null });
    var user227 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sender</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("exp\u00e9diteur","(outbox.Mails.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": project226, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": user227, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ project226, user227 ];
    Lino.outbox.Mails.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Candidatures.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var state231 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Candidature state", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat de candidature","(jobs.Candidatures.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.jobs.CandidatureStates), "value": null });
    var job232 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Select a Job...", "fieldLabel": "Job", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Poste de travail","(jobs.Candidatures.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/job" }) }), "value": null });
    var function233 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Select a Job title...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Job title</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Fonction professionnelle","(jobs.Candidatures.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/function" }) }), "value": null });
    var person234 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(jobs.Candidatures.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/person" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 24, "items": state231, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": job232, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": function233, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": person234, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ state231, job232, function233, person234 ];
    Lino.jobs.Candidatures.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.art60.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user240 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Responsible (IS)", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible (IS)","(art60.Contracts.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/user" }) }) });
    var user_asd241 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Responsible (GSS)", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Titulaire (SSG)","(art60.Contracts.user_asd) ") }, "name": "user_asd", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/user_asd" }) }) });
    var type242 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Select a Art60\u00a77 job supplyment type...", "fieldLabel": "Only contracts of type", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Uniquement contrats de type","(art60.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/type" }) }) });
    var start_date243 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date from</span>", "listeners": { "render": Lino.quicktip_renderer("Date du","(art60.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date244 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(art60.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event245 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Observed event</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(art60.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var start_monthly_refund246 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Price from", "listeners": { "render": Lino.quicktip_renderer("Prix de vente from","(art60.Contracts.start_monthly_refund) ") }, "name": "start_monthly_refund", "selectOnFocus": true });
    var end_monthly_refund247 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "to", "listeners": { "render": Lino.quicktip_renderer("to","(art60.Contracts.end_monthly_refund) ") }, "name": "end_monthly_refund", "selectOnFocus": true });
    var main_1_panel248 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": user240, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": user_asd241, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": type242, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": start_date243, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date244, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": observed_event245, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": start_monthly_refund246, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": end_monthly_refund247, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var convention__company257 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Select a Job Provider...", "fieldLabel": "Job Provider", "hiddenName": "convention__companyHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Service utilisateur","(art60.Contracts.convention__company) ") }, "name": "convention__company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "sortable": false, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/convention__company" }) }), "value": null });
    var convention__company__type258 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Legal form...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Legal form</span>", "hiddenName": "convention__company__typeHidden", "listeners": { "render": Lino.quicktip_renderer("Forme juridique","(art60.Contracts.convention__company__type) Pointer to the CompanyType.") }, "name": "convention__company__type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "sortable": false, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/convention__company__type" }) }), "value": null });
    var convention__job259 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Select a Job...", "fieldLabel": "Job", "hiddenName": "convention__jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Poste de travail","(art60.Contracts.convention__job) ") }, "name": "convention__job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "sortable": false, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/convention__job" }) }), "value": null });
    var ending_success260 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Successfully ended</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Termin\u00e9 avec succ\u00e8s","(art60.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending261 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Select a Reason of termination...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reason of termination</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Motif d'arr\u00eat","(art60.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/ending" }) }) });
    var main_2_panel262 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": convention__company257, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": convention__company__type258, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": convention__job259, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": ending_success260, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": ending261, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel248, main_2_panel262 ];
    this.fields = [ user240, user_asd241, type242, start_date243, end_date244, observed_event245, start_monthly_refund246, end_monthly_refund247, convention__company257, convention__company__type258, convention__job259, ending_success260, ending261 ];
    Lino.art60.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.Authorities.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user269 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(users.Authorities.user) The user who gives the right of representation. author of this\nauthority") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Authorities/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user269, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user269 ];
    Lino.users.Authorities.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.ContractsPerUserAndContractType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type272 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "User type", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type d'utilisateur","(integ.ContractsPerUserAndContractType.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date273 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(integ.ContractsPerUserAndContractType.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date274 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(integ.ContractsPerUserAndContractType.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 71, "items": user_type272, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": start_date273, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": end_date274, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type272, start_date273, end_date274 ];
    Lino.integ.ContractsPerUserAndContractType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.calview.DailyPlanner.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  region: 'west',
  initComponent : function() {
    var user279 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(calview.DailyPlanner.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailyPlanner/user" }) }), "value": null });
    var assigned_to280 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Assigned to</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Assigned to","(calview.DailyPlanner.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailyPlanner/assigned_to" }) }), "value": null });
    var project281 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(calview.DailyPlanner.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailyPlanner/project" }) }), "value": null });
    var event_type282 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(calview.DailyPlanner.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailyPlanner/event_type" }) }), "value": null });
    var room283 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(calview.DailyPlanner.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailyPlanner/room" }) }), "value": null });
    var state284 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(calview.DailyPlanner.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var show_appointments285 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Appointments", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Rendez-vous","(calview.DailyPlanner.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": user279, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": assigned_to280, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type282, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": room283, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": state284, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": show_appointments285, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user279, assigned_to280, project281, event_type282, room283, state284, show_appointments285 ];
    Lino.calview.DailyPlanner.ParamsPanel.superclass.initComponent.call(this);
  }
  ,width: Lino.chars2width(20)
});


Lino.jobs.CandidaturesByOffer.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var state294 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Candidature state", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat de candidature","(jobs.CandidaturesByOffer.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.jobs.CandidatureStates), "value": null });
    var job295 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Select a Job...", "fieldLabel": "Job", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Poste de travail","(jobs.CandidaturesByOffer.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/job" }) }), "value": null });
    var function296 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Select a Job title...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Job title</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Fonction professionnelle","(jobs.CandidaturesByOffer.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/function" }) }), "value": null });
    var person297 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(jobs.CandidaturesByOffer.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/person" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 24, "items": state294, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": job295, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": function296, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": person297, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ state294, job295, function296, person297 ];
    Lino.jobs.CandidaturesByOffer.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverviewByType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var date303 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date", "listeners": { "render": Lino.quicktip_renderer("Date","(jobs.JobsOverviewByType.date) ") }, "name": "date", "selectOnFocus": true });
    var contract_type304 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Select a Art60\u00a77 job supplyment type...", "fieldLabel": "Art60\u00a77 job supplyment type", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type de mise \u00e0 l'emploi art60\u00a77","(jobs.JobsOverviewByType.contract_type) ") }, "name": "contract_type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsOverviewByType/contract_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 39, "items": date303, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": contract_type304, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ date303, contract_type304 ];
    Lino.jobs.JobsOverviewByType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.DelegatedTasksByContract.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date308 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(isip.DelegatedTasksByContract.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date309 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(isip.DelegatedTasksByContract.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user310 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(isip.DelegatedTasksByContract.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/DelegatedTasksByContract/user" }) }), "value": null });
    var project311 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(isip.DelegatedTasksByContract.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/DelegatedTasksByContract/project" }) }), "value": null });
    var state312 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(isip.DelegatedTasksByContract.state) The state of this Task. one of TaskStates.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.TaskStates), "value": null });
    this.items = [ { "autoHeight": true, "flex": 16, "items": start_date308, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date309, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user310, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": project311, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": state312, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date308, end_date309, user310, project311, state312 ];
    Lino.isip.DelegatedTasksByContract.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date319 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(aids.IncomeConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date320 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(aids.IncomeConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event321 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Observed event", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(aids.IncomeConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board322 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Select a Board...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Board</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Conseil","(aids.IncomeConfirmations.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/board" }) }) });
    var signer323 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Signer", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Signataire","(aids.IncomeConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var user324 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(aids.IncomeConfirmations.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }), "value": null });
    var main_1_panel325 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date319, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date320, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event321, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board322, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer323, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user324, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type332 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Select a Aid Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aid Type</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'aide sociale","(aids.IncomeConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/aid_type" }) }) });
    var state333 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(aids.IncomeConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client334 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(aids.IncomeConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }), "value": null });
    var gender335 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gender", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Sexe","(aids.IncomeConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel336 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type332, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state333, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client334, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender335, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel325, main_2_panel336 ];
    this.fields = [ start_date319, end_date320, observed_event321, board322, signer323, user324, aid_type332, state333, client334, gender335 ];
    Lino.aids.IncomeConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var project342 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }), "value": null });
    var user343 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(notes.Notes.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": project342, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": user343, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ project342, user343 ];
    Lino.notes.Notes.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Experiences.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date347 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(cv.Experiences.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date348 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(cv.Experiences.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event349 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Observed event", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(cv.Experiences.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 30, "items": start_date347, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date348, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": observed_event349, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date347, end_date348, observed_event349 ];
    Lino.cv.Experiences.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type354 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "User type", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type d'utilisateur","(users.AllUsers.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date355 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(users.AllUsers.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date356 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(users.AllUsers.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 71, "items": user_type354, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": start_date355, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": end_date356, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type354, start_date355, end_date356 ];
    Lino.users.AllUsers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var aged_from361 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aged from</span>", "listeners": { "render": Lino.quicktip_renderer("Ag\u00e9(e)s de","(pcsw.Clients.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to362 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aged to</span>", "listeners": { "render": Lino.quicktip_renderer("Ag\u00e9(e)s jusque","(pcsw.Clients.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender363 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gender</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Sexe","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality364 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "Nationality", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Nationalit\u00e9","(pcsw.Clients.nationality) ") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/nationality" }) }) });
    var also_obsolete365 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Also obsolete data", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("aussi clients obsol\u00e8tes","(pcsw.Clients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel366 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from361, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to362, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender363, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality364, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete365, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_state372 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(pcsw.Clients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by373 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Coached by</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Intervenant","(pcsw.Clients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/coached_by" }) }) });
    var and_coached_by374 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">and by</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("et par","(pcsw.Clients.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/and_coached_by" }) }) });
    var start_date375 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(pcsw.Clients.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date376 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(pcsw.Clients.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event377 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Observed event</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(pcsw.Clients.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary378 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Only primary clients", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dossiers titulaires seulement","(pcsw.Clients.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_2_panel379 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": client_state372, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": coached_by373, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": and_coached_by374, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date375, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date376, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": observed_event377, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": only_primary378, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel366, main_2_panel379 ];
    this.fields = [ aged_from361, aged_to362, gender363, nationality364, also_obsolete365, client_state372, coached_by373, and_coached_by374, start_date375, end_date376, observed_event377, only_primary378 ];
    Lino.pcsw.Clients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.AvailableCoaches.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var for_client388 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Show suggested agents for", "hiddenName": "for_clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Montrer agents propos\u00e9s pour","(newcomers.AvailableCoaches.for_client) ") }, "name": "for_client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/AvailableCoaches/for_client" }) }) });
    var since389 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">New clients since</span>", "listeners": { "render": Lino.quicktip_renderer("Nouveaux b\u00e9n\u00e9ficiaires depuis","(newcomers.AvailableCoaches.since) New clients are those whose coaching started after this date") }, "name": "since", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "flex": 60, "items": for_client388, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": since389, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ for_client388, since389 ];
    Lino.newcomers.AvailableCoaches.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.EntriesByContract.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date393 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(isip.EntriesByContract.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date394 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(isip.EntriesByContract.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event395 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Observed event", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(isip.EntriesByContract.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var show_appointments396 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Appointments", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Rendez-vous","(isip.EntriesByContract.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var presence_guest397 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "Guest", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Guest","(isip.EntriesByContract.presence_guest) ") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/presence_guest" }) }) });
    var user398 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(isip.EntriesByContract.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/user" }) }), "value": null });
    var assigned_to399 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Assigned to</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Assigned to","(isip.EntriesByContract.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/assigned_to" }) }), "value": null });
    var project400 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(isip.EntriesByContract.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/project" }) }), "value": null });
    var state401 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(isip.EntriesByContract.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var room402 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(isip.EntriesByContract.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/room" }) }), "value": null });
    var event_type403 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(isip.EntriesByContract.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/event_type" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 7, "items": start_date393, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": end_date394, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": observed_event395, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": show_appointments396, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": presence_guest397, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": user398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": assigned_to399, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": project400, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": state401, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": room402, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": event_type403, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date393, end_date394, observed_event395, show_appointments396, presence_guest397, user398, assigned_to399, project400, state401, room402, event_type403 ];
    Lino.isip.EntriesByContract.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user416 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(cal.RecurrentEvents.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user416, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user416 ];
    Lino.cal.RecurrentEvents.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.calview.MonthlySlave.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  region: 'west',
  initComponent : function() {
    var user419 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(calview.MonthlySlave.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/MonthlySlave/user" }) }), "value": null });
    var assigned_to420 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Assigned to</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Assigned to","(calview.MonthlySlave.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/MonthlySlave/assigned_to" }) }), "value": null });
    var project421 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(calview.MonthlySlave.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/MonthlySlave/project" }) }), "value": null });
    var event_type422 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(calview.MonthlySlave.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/MonthlySlave/event_type" }) }), "value": null });
    var room423 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(calview.MonthlySlave.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/MonthlySlave/room" }) }), "value": null });
    var state424 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(calview.MonthlySlave.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var show_appointments425 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Appointments", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Rendez-vous","(calview.MonthlySlave.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": user419, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": assigned_to420, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project421, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type422, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": room423, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": state424, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": show_appointments425, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user419, assigned_to420, project421, event_type422, room423, state424, show_appointments425 ];
    Lino.calview.MonthlySlave.ParamsPanel.superclass.initComponent.call(this);
  }
  ,width: Lino.chars2width(20)
});


Lino.calview.DailyView.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  region: 'west',
  initComponent : function() {
    var user434 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(calview.DailyView.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailyView/user" }) }), "value": null });
    var assigned_to435 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Assigned to</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Assigned to","(calview.DailyView.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailyView/assigned_to" }) }), "value": null });
    var project436 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(calview.DailyView.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailyView/project" }) }), "value": null });
    var event_type437 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(calview.DailyView.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailyView/event_type" }) }), "value": null });
    var room438 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(calview.DailyView.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/DailyView/room" }) }), "value": null });
    var state439 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(calview.DailyView.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var show_appointments440 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Appointments", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Rendez-vous","(calview.DailyView.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": user434, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": assigned_to435, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project436, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type437, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": room438, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": state439, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": show_appointments440, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user434, assigned_to435, project436, event_type437, room438, state439, show_appointments440 ];
    Lino.calview.DailyView.ParamsPanel.superclass.initComponent.call(this);
  }
  ,width: Lino.chars2width(20)
});


Lino.contacts.Persons.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var gender449 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gender</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Sexe","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var also_obsolete450 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Also obsolete data", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("aussi clients obsol\u00e8tes","(contacts.Persons.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel451 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": gender449, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": also_obsolete450, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel451 ];
    this.fields = [ gender449, also_obsolete450 ];
    Lino.contacts.Persons.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.Me.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type455 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "User type", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type d'utilisateur","(users.Me.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date456 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(users.Me.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date457 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(users.Me.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 71, "items": user_type455, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": start_date456, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": end_date457, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type455, start_date456, end_date457 ];
    Lino.users.Me.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date462 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(uploads.AllUploads.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date463 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(uploads.AllUploads.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user464 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Uploaded by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Uploaded by","(uploads.AllUploads.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }), "value": null });
    var upload_type465 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Select a Upload type...", "fieldLabel": "Upload type", "hiddenName": "upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type de t\u00e9l\u00e9chargement","(uploads.AllUploads.upload_type) ") }, "name": "upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/upload_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 16, "items": start_date462, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date463, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": user464, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": upload_type465, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date462, end_date463, user464, upload_type465 ];
    Lino.uploads.AllUploads.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.NewClients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var client_state471 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(newcomers.NewClients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var new_since472 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">New clients since</span>", "listeners": { "render": Lino.quicktip_renderer("Nouveaux b\u00e9n\u00e9ficiaires depuis","(newcomers.NewClients.new_since) Auch Klienten, die erst seit Kurzem begleitet sind.") }, "name": "new_since", "selectOnFocus": true });
    var also_obsolete473 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Also obsolete data", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("aussi clients obsol\u00e8tes","(newcomers.NewClients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var coached_by474 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Coached by</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Intervenant","(newcomers.NewClients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/coached_by" }) }) });
    this.items = [ { "autoHeight": true, "flex": 23, "items": client_state471, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": new_since472, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": also_obsolete473, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": coached_by474, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ client_state471, new_since472, also_obsolete473, coached_by474 ];
    Lino.newcomers.NewClients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date480 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date from</span>", "listeners": { "render": Lino.quicktip_renderer("Date du","(cal.Guests.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date481 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(cal.Guests.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user482 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Responsible user</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Utilisateur responsable","(cal.Guests.user) Only rows managed by this user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/user" }) }) });
    var event_state483 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Event state</span>", "forceSelection": true, "hiddenName": "event_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Event state","(cal.Guests.event_state) Only rows on calendar entries having this state.") }, "name": "event_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates) });
    var guest_state484 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Guest state</span>", "forceSelection": true, "hiddenName": "guest_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Guest state","(cal.Guests.guest_state) Only rows having this guest state.") }, "name": "guest_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.GuestStates) });
    var main_1_panel485 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": start_date480, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": end_date481, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": user482, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": event_state483, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": guest_state484, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project491 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(cal.Guests.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/project" }) }) });
    var partner492 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "Partner", "forceSelection": false, "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partenaire","(cal.Guests.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var main_2_panel493 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": project491, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": partner492, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel485, main_2_panel493 ];
    this.fields = [ start_date480, end_date481, user482, event_state483, guest_state484, project491, partner492 ];
    Lino.cal.Guests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.calview.WeeklyView.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  region: 'west',
  initComponent : function() {
    var user497 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(calview.WeeklyView.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/WeeklyView/user" }) }), "value": null });
    var assigned_to498 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Assigned to</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Assigned to","(calview.WeeklyView.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/WeeklyView/assigned_to" }) }), "value": null });
    var project499 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(calview.WeeklyView.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/WeeklyView/project" }) }), "value": null });
    var event_type500 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(calview.WeeklyView.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/WeeklyView/event_type" }) }), "value": null });
    var room501 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(calview.WeeklyView.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/WeeklyView/room" }) }), "value": null });
    var state502 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(calview.WeeklyView.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var show_appointments503 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Appointments", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Rendez-vous","(calview.WeeklyView.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": user497, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": assigned_to498, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project499, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type500, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": room501, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": state502, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": show_appointments503, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user497, assigned_to498, project499, event_type500, room501, state502, show_appointments503 ];
    Lino.calview.WeeklyView.ParamsPanel.superclass.initComponent.call(this);
  }
  ,width: Lino.chars2width(20)
});


Lino.debts.Budgets.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user512 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(debts.Budgets.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user512, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user512 ];
    Lino.debts.Budgets.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.changes.Changes.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var date515 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Only changes from", "listeners": { "render": Lino.quicktip_renderer("Only changes from","(changes.Changes.date) ") }, "name": "date", "selectOnFocus": true });
    var user516 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "User", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Utilisateur","(changes.Changes.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/user" }) }) });
    var change_type517 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Change Type", "forceSelection": false, "hiddenName": "change_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Change Type","(changes.Changes.change_type) ") }, "name": "change_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.changes.ChangeTypes) });
    var object_type518 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Select a content type...", "fieldLabel": "Object type", "hiddenName": "object_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Object type","(changes.Changes.object_type) ") }, "name": "object_type", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_type" }) }) });
    var object_id519 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Object ID", "hiddenName": "object_idHidden", "listeners": { "render": Lino.quicktip_renderer("Object ID","(changes.Changes.object_id) ") }, "name": "object_id", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_id" }) }) });
    var main_1_panel520 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": date515, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user516, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": change_type517, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": object_type518, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": object_id519, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel520 ];
    this.fields = [ date515, user516, change_type517, object_type518, object_id519 ];
    Lino.changes.Changes.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Members.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date527 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(households.Members.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date528 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(households.Members.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var aged_from529 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aged from</span>", "listeners": { "render": Lino.quicktip_renderer("Ag\u00e9(e)s de","(households.Members.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to530 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aged to</span>", "listeners": { "render": Lino.quicktip_renderer("Ag\u00e9(e)s jusque","(households.Members.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender531 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gender</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Sexe","(households.Members.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    this.items = [ { "autoHeight": true, "flex": 24, "items": start_date527, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date528, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": aged_from529, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": aged_to530, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": gender531, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date527, end_date528, aged_from529, aged_to530, gender531 ];
    Lino.households.Members.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverview.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var today538 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date", "listeners": { "render": Lino.quicktip_renderer("Date","(jobs.JobsOverview.today) ") }, "name": "today", "selectOnFocus": true });
    var job_type539 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Select a Job Type...", "fieldLabel": "Job Type", "hiddenName": "job_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type de poste","(jobs.JobsOverview.job_type) ") }, "name": "job_type", "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsOverview/job_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 39, "items": today538, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": job_type539, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today538, job_type539 ];
    Lino.jobs.JobsOverview.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.dashboard.Widgets.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user543 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(dashboard.Widgets.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user543, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user543 ];
    Lino.dashboard.Widgets.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.calview.MonthlyView.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  region: 'west',
  initComponent : function() {
    var user546 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(calview.MonthlyView.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/MonthlyView/user" }) }), "value": null });
    var assigned_to547 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Assigned to</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Assigned to","(calview.MonthlyView.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/MonthlyView/assigned_to" }) }), "value": null });
    var project548 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(calview.MonthlyView.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/MonthlyView/project" }) }), "value": null });
    var event_type549 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(calview.MonthlyView.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/MonthlyView/event_type" }) }), "value": null });
    var room550 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(calview.MonthlyView.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/calview/MonthlyView/room" }) }), "value": null });
    var state551 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(calview.MonthlyView.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var show_appointments552 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Appointments", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Rendez-vous","(calview.MonthlyView.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": user546, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": assigned_to547, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project548, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type549, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": room550, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": state551, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": show_appointments552, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user546, assigned_to547, project548, event_type549, room550, state551, show_appointments552 ];
    Lino.calview.MonthlyView.ParamsPanel.superclass.initComponent.call(this);
  }
  ,width: Lino.chars2width(20)
});


Lino.aids.Grantings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var board561 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Select a Board...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Board</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Conseil","(aids.Grantings.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var aid_type562 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Select a Aid Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aid Type</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'aide sociale","(aids.Grantings.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var user563 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(aids.Grantings.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }), "value": null });
    var signer564 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Signer", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Signataire","(aids.Grantings.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var state565 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(aids.Grantings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    this.items = [ { "autoHeight": true, "flex": 21, "items": board561, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": aid_type562, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user563, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer564, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": state565, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ board561, aid_type562, user563, signer564, state565 ];
    Lino.aids.Grantings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.notify.Messages.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user572 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Destinataire","(notify.Messages.user) The recipient of this message. The site user to whom this\nmessage is to be delivered.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/user" }) }), "value": null });
    var show_seen573 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Seen", "forceSelection": true, "hiddenName": "show_seenHidden", "listeners": { "render": Lino.quicktip_renderer("Seen","(notify.Messages.show_seen) ") }, "name": "show_seen", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var start_date574 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date from</span>", "listeners": { "render": Lino.quicktip_renderer("Date du","(notify.Messages.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date575 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(notify.Messages.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 32, "items": user572, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": show_seen573, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": start_date574, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": end_date575, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user572, show_seen573, start_date574, end_date575 ];
    Lino.notify.Messages.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user581 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(cbss.RetrieveTIGroupsRequests.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user581, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user581 ];
    Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date584 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(aids.RefundConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date585 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(aids.RefundConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event586 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Observed event", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(aids.RefundConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board587 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Select a Board...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Board</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Conseil","(aids.RefundConfirmations.board) Only rows decided by this board.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/board" }) }) });
    var signer588 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Signer", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Signataire","(aids.RefundConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var user589 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(aids.RefundConfirmations.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }), "value": null });
    var main_1_panel590 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date585, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event586, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board587, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer588, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user589, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type597 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Select a Aid Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aid Type</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'aide sociale","(aids.RefundConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/aid_type" }) }) });
    var state598 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(aids.RefundConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client599 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(aids.RefundConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }), "value": null });
    var gender600 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gender", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Sexe","(aids.RefundConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel601 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type597, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state598, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client599, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender600, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel590, main_2_panel601 ];
    this.fields = [ start_date584, end_date585, observed_event586, board587, signer588, user589, aid_type597, state598, client599, gender600 ];
    Lino.aids.RefundConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user607 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Responsible (IS)", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible (IS)","(art61.Contracts.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var type608 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Select a Art61 job supplyment type...", "fieldLabel": "Only job supplies of type", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Only job supplies of type","(art61.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var start_date609 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date from</span>", "listeners": { "render": Lino.quicktip_renderer("Date du","(art61.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date610 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(art61.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event611 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Observed event</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(art61.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel612 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user607, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type608, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date609, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date610, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": observed_event611, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company618 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organization</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var ending_success619 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Successfully ended</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Termin\u00e9 avec succ\u00e8s","(art61.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending620 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Select a Reason of termination...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reason of termination</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Motif d'arr\u00eat","(art61.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var main_2_panel621 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": company618, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": ending_success619, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending620, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel612, main_2_panel621 ];
    this.fields = [ user607, type608, start_date609, end_date610, observed_event611, company618, ending_success619, ending620 ];
    Lino.art61.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.ActivityReport.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date626 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date from</span>", "listeners": { "render": Lino.quicktip_renderer("Date du","(integ.ActivityReport.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date627 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(integ.ActivityReport.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var include_jobs628 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Job supplying", "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mise \u00e0 l'emploi","(integ.ActivityReport.include_jobs) ") }, "name": "include_jobs", "selectOnFocus": true });
    var include_isip629 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "ISIP", "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("PIIS","(integ.ActivityReport.include_isip) ") }, "name": "include_isip", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "flex": 28, "items": start_date626, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": end_date627, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": include_jobs628, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": include_isip629, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date626, end_date627, include_jobs628, include_isip629 ];
    Lino.integ.ActivityReport.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Studies.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date635 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(cv.Studies.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date636 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(cv.Studies.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event637 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Observed event", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(cv.Studies.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 30, "items": start_date635, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date636, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": observed_event637, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date635, end_date636, observed_event637 ];
    Lino.cv.Studies.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.polls.Polls.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user642 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(polls.Polls.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Polls/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user642, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user642 ];
    Lino.polls.Polls.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Competences.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user645 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">User</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Utilisateur","(newcomers.Competences.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/Competences/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user645, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user645 ];
    Lino.newcomers.Competences.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user648 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Responsible (IS)", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible (IS)","(isip.Contracts.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var type649 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "Select a ISIP Type...", "fieldLabel": "ISIP Type", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type de PIIS","(isip.Contracts.type) ") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var start_date650 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date from</span>", "listeners": { "render": Lino.quicktip_renderer("Date du","(isip.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date651 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(isip.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event652 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Observed event</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(isip.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel653 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user648, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type649, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date650, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date651, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": observed_event652, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company659 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organization</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/company" }) }) });
    var study_type660 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Select a Education Type...", "fieldLabel": "Education Type", "hiddenName": "study_typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'\u00e9ducation","(isip.Contracts.study_type) ") }, "name": "study_type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var ending_success661 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Successfully ended</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Termin\u00e9 avec succ\u00e8s","(isip.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending662 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Select a Reason of termination...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reason of termination</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Motif d'arr\u00eat","(isip.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var main_2_panel663 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": company659, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": study_type660, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": ending_success661, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": ending662, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel653, main_2_panel663 ];
    this.fields = [ user648, type649, start_date650, end_date651, observed_event652, company659, study_type660, ending_success661, ending662 ];
    Lino.isip.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.Clients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var client_state669 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9tat","(integ.Clients.client_state) ") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by670 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Coached by</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Intervenant","(integ.Clients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/coached_by" }) }) });
    var and_coached_by671 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">and by</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("et par","(integ.Clients.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/and_coached_by" }) }) });
    var start_date672 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(integ.Clients.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date673 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(integ.Clients.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event674 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Observed event</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(integ.Clients.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var main_1_panel675 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": client_state669, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": coached_by670, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": and_coached_by671, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": start_date672, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": end_date673, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": observed_event674, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aged_from682 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aged from</span>", "listeners": { "render": Lino.quicktip_renderer("Ag\u00e9(e)s de","(integ.Clients.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to683 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aged to</span>", "listeners": { "render": Lino.quicktip_renderer("Ag\u00e9(e)s jusque","(integ.Clients.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender684 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gender</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Sexe","(integ.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality685 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "Nationality", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Nationalit\u00e9","(integ.Clients.nationality) ") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/nationality" }) }) });
    var also_obsolete686 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Also obsolete data", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("aussi clients obsol\u00e8tes","(integ.Clients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_2_panel687 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from682, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to683, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender684, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality685, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete686, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var language693 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Select a Language...", "fieldLabel": "Language knowledge", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Connaissance de langue","(integ.Clients.language) ") }, "name": "language", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/language" }) }) });
    var group694 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Select a Integration Phase...", "fieldLabel": "Integration phase", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Phase d'insertion","(integ.Clients.group) ") }, "name": "group", "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/group" }) }) });
    var only_active695 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Only active clients", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaires actifs seulement","(integ.Clients.only_active) Show only clients in 'active' integration phases") }, "name": "only_active", "selectOnFocus": true });
    var only_primary696 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Only primary clients", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dossiers titulaires seulement","(integ.Clients.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_3_panel697 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": language693, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": group694, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": only_active695, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": only_primary696, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel675, main_2_panel687, main_3_panel697 ];
    this.fields = [ client_state669, coached_by670, and_coached_by671, start_date672, end_date673, observed_event674, aged_from682, aged_to683, gender684, nationality685, also_obsolete686, language693, group694, only_active695, only_primary696 ];
    Lino.integ.Clients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.immersion.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user703 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Responsible (IS)", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible (IS)","(immersion.Contracts.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/user" }) }) });
    var type704 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.immersion.ContractTypes.detail", "emptyText": "Select a Immersion training type...", "fieldLabel": "Only immersion trainings of type", "hiddenName": "typeHidden", "insert_action": "Lino.immersion.ContractTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Seulement stages d'immersion de ce type","(immersion.Contracts.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "immersion.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/type" }) }) });
    var start_date705 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date from</span>", "listeners": { "render": Lino.quicktip_renderer("Date du","(immersion.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date706 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(immersion.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event707 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Observed event</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(immersion.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel708 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user703, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type704, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date705, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date706, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": observed_event707, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company714 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organization</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(immersion.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/company" }) }) });
    var ending_success715 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Successfully ended</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Termin\u00e9 avec succ\u00e8s","(immersion.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending716 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Select a Reason of termination...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reason of termination</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Motif d'arr\u00eat","(immersion.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/ending" }) }) });
    var main_2_panel717 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": company714, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": ending_success715, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending716, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel708, main_2_panel717 ];
    this.fields = [ user703, type704, start_date705, end_date706, observed_event707, company714, ending_success715, ending716 ];
    Lino.immersion.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.ManageAccessRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user722 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(cbss.ManageAccessRequests.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user722, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user722 ];
    Lino.cbss.ManageAccessRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.Coachings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date725 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(coachings.Coachings.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date726 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(coachings.Coachings.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event727 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Observed event", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(coachings.Coachings.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var coached_by728 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Coached by</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Intervenant","(coachings.Coachings.coached_by) Nur Begleitungen dieses Benutzers.") }, "name": "coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/coached_by" }) }) });
    var and_coached_by729 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">and by</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("et par","(coachings.Coachings.and_coached_by) ... und auch Begleitungen dieses Benutzers.") }, "name": "and_coached_by", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/and_coached_by" }) }) });
    var main_1_panel730 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": start_date725, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": end_date726, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event727, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": coached_by728, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": and_coached_by729, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var primary_coachings736 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Primary coachings</span>", "forceSelection": true, "hiddenName": "primary_coachingsHidden", "listeners": { "render": Lino.quicktip_renderer("Dossiers titulaires","(coachings.Coachings.primary_coachings) Accompagnements primaires.") }, "name": "primary_coachings", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var coaching_type737 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Coaching type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Coaching type</span>", "hiddenName": "coaching_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Service","(coachings.Coachings.coaching_type) Nur Begleitungen dieses Dienstes.") }, "name": "coaching_type", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/coaching_type" }) }) });
    var ending738 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.coachings.CoachingEndings.detail", "emptyText": "Select a Reason of termination...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reason of termination</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Motif d'arr\u00eat","(coachings.Coachings.ending) Nur Begleitungen mit diesem Beendigungsgrund.") }, "name": "ending", "pageSize": 20, "related_actor_id": "coachings.CoachingEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/ending" }) }) });
    var main_2_panel739 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": primary_coachings736, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": coaching_type737, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending738, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel730, main_2_panel739 ];
    this.fields = [ start_date725, end_date726, observed_event727, coached_by728, and_coached_by729, primary_coachings736, coaching_type737, ending738 ];
    Lino.coachings.Coachings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var start_date744 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date from</span>", "listeners": { "render": Lino.quicktip_renderer("Date du","(excerpts.Excerpts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date745 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(excerpts.Excerpts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var pcertifying746 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Certifying excerpts", "forceSelection": true, "hiddenName": "pcertifyingHidden", "listeners": { "render": Lino.quicktip_renderer("Certifying excerpts","(excerpts.Excerpts.pcertifying) ") }, "name": "pcertifying", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel747 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": start_date744, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date745, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": pcertifying746, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user751 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Auteur","(excerpts.Excerpts.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }), "value": null });
    var excerpt_type752 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Select a Excerpt Type...", "fieldLabel": "Excerpt Type", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'extrait","(excerpts.Excerpts.excerpt_type) ") }, "name": "excerpt_type", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var main_2_panel753 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": user751, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": excerpt_type752, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel747, main_2_panel753 ];
    this.fields = [ start_date744, end_date745, pcertifying746, user751, excerpt_type752 ];
    Lino.excerpts.Excerpts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.UsersOverview.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user_type757 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "User type", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type d'utilisateur","(users.UsersOverview.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date758 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(users.UsersOverview.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date759 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(users.UsersOverview.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 71, "items": user_type757, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": start_date758, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": end_date759, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type757, start_date758, end_date759 ];
    Lino.users.UsersOverview.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var observed_event764 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Observed event</span>", "listeners": { "render": Lino.quicktip_renderer("\u00c9v\u00e8nement observ\u00e9","(contacts.Partners.observed_event) Extended filter criteria") }, "maxLength": 50, "name": "observed_event", "selectOnFocus": true });
    var start_date765 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Period from</span>", "listeners": { "render": Lino.quicktip_renderer("P\u00e9riode du","(contacts.Partners.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date766 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(contacts.Partners.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 44, "items": observed_event764, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_date765, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_date766, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ observed_event764, start_date765, end_date766 ];
    Lino.contacts.Partners.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  region: 'north',
  initComponent : function() {
    var user771 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Tra\u00eet\u00e9 par","(cal.Events.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/user" }) }), "value": null });
    var event_type772 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Type d'entr\u00e9e calendrier","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }), "value": null });
    var room773 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Local","(cal.Events.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/room" }) }), "value": null });
    var project774 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("B\u00e9n\u00e9ficiaire","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }), "value": null });
    var presence_guest775 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Guest</span>", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Guest","(cal.Events.presence_guest) ") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/presence_guest" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": user771, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": event_type772, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": room773, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": project774, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": presence_guest775, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user771, event_type772, room773, project774, presence_guest775 ];
    Lino.cal.Events.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to911 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Households.detail", "emptyText": "Select a Household...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.households.Households.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Households.detail,Lino.households.Households.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/households/Households/merge_row/merge_to" }) }) });
    this.households_Member912 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Household Members", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Membres de m\u00e9nage","(Fusionner.households_Member) ") }, "name": "households_Member", "selectOnFocus": true });
    this.addresses_Address913 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Addresses", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adresses","(Fusionner.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    var keep_volatiles_panel914 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.households_Member912, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.addresses_Address913, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Also reassign volatile related objects" });
    this.reason917 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to911, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel914, { "anchor": "-20", "autoHeight": true, "items": this.reason917, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to911, this.households_Member912, this.addresses_Address913, this.reason917 ];
    this.http_method = "GET"
    Lino.households.Households.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.polls.Responses.toggle_choice_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'toggle_choice',
  window_title: null,
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.question978 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.polls.Questions.detail", "emptyText": "Select a Question...", "fieldLabel": "Question", "hiddenName": "questionHidden", "listeners": { "render": Lino.quicktip_renderer("Question","(toggle_choice.question) ") }, "name": "question", "pageSize": 20, "related_actor_id": "polls.Questions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/polls/Responses/toggle_choice/question" }) }) });
    this.choice979 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Choice...", "fieldLabel": "Choice", "hiddenName": "choiceHidden", "listeners": { "render": Lino.quicktip_renderer("Choix","(toggle_choice.choice) ") }, "name": "choice", "pageSize": 20, "related_actor_id": "polls.Choices", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/polls/Responses/toggle_choice/choice" }) }) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.question978, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.choice979, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.question978, this.choice979 ];
    this.http_method = "GET"
    Lino.polls.Responses.toggle_choice_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.about.About.sign_in_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "fit",
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'sign_in',
  window_title: "Sign in",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.username782 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Username", "listeners": { "render": Lino.quicktip_renderer("Nom d'utilisateur","(Sign in.username) ") }, "name": "username", "selectOnFocus": true });
    this.password783 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Password", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Mot de passe","(Sign in.password) ") }, "name": "password", "selectOnFocus": true });
    var login_panel_panel784 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": this.username782, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.password783, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = [ login_panel_panel784 ];
    this.fields = [ this.username782, this.password783 ];
    this.http_method = "POST"
    Lino.about.About.sign_in_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to827 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Select a Library volume...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/uploads/Volumes/merge_row/merge_to" }) }) });
    this.reason828 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to827, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason828, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to827, this.reason828 ];
    this.http_method = "GET"
    Lino.uploads.Volumes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.refuse_client_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'refuse_client',
  window_title: "Refuse",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.reason896 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Refusal reason", "forceSelection": true, "hiddenName": "reasonHidden", "listeners": { "render": Lino.quicktip_renderer("Raison de refus","(Refuser.reason) ") }, "name": "reason", "selectOnFocus": true, "store": Lino.pcsw.RefusalReasons });
    this.remark897 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remarque","(Refuser.remark) ") }, "name": "remark", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.reason896, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 83, "items": this.remark897, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.reason896, this.remark897 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.refuse_client_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Activities.print_presence_sheet_html_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'print_presence_sheet_html',
  window_title: "Presence sheet (HTML)",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.start_date997 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date from</span>", "listeners": { "render": Lino.quicktip_renderer("Date du","(Fiche de pr\u00e9sences (HTML).start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true });
    this.end_date998 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(Fiche de pr\u00e9sences (HTML).end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true });
    this.show_remarks999 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Show remarks", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Show remarks","(Fiche de pr\u00e9sences (HTML).show_remarks) ") }, "name": "show_remarks", "selectOnFocus": true });
    this.show_states1000 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Show states", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Show states","(Fiche de pr\u00e9sences (HTML).show_states) ") }, "name": "show_states", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.start_date997, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.end_date998, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.show_remarks999, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.show_states1000, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.start_date997, this.end_date998, this.show_remarks999, this.show_states1000 ];
    this.http_method = "GET"
    Lino.courses.Activities.print_presence_sheet_html_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.ContractTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to954 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Select a Art61 job supplyment type...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/art61/ContractTypes/merge_row/merge_to" }) }) });
    this.reason955 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to954, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason955, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to954, this.reason955 ];
    this.http_method = "GET"
    Lino.art61.ContractTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'assign_coach',
  window_title: "Assign",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject959 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Summary", "listeners": { "render": Lino.quicktip_renderer("R\u00e9sum\u00e9","(Attribuer.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body960 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description","(Attribuer.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent961 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Don't notify others", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ne pas avertir les autres","(Attribuer.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject959, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body960, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent961, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject959, this.notify_body960, this.notify_silent961 ];
    this.http_method = "GET"
    Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to820 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Companies/merge_row/merge_to" }) }) });
    this.addresses_Address821 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Also reassign volatile related objects", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adresses","(Fusionner.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.reason822 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to820, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.addresses_Address821, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason822, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to820, this.addresses_Address821, this.reason822 ];
    this.http_method = "GET"
    Lino.contacts.Companies.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.wf1_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'wf1',
  window_title: "Accept",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject844 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Summary", "listeners": { "render": Lino.quicktip_renderer("R\u00e9sum\u00e9","(Accepter.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body845 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description","(Accepter.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent846 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Don't notify others", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ne pas avertir les autres","(Accepter.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject844, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body845, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent846, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject844, this.notify_body845, this.notify_silent846 ];
    this.http_method = "GET"
    Lino.cal.Guests.wf1_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.wf2_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'wf2',
  window_title: "Reject",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject851 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Summary", "listeners": { "render": Lino.quicktip_renderer("R\u00e9sum\u00e9","(Rejeter.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body852 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description","(Rejeter.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent853 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Don't notify others", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ne pas avertir les autres","(Rejeter.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject851, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body852, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent853, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject851, this.notify_body852, this.notify_silent853 ];
    this.http_method = "GET"
    Lino.cal.Guests.wf2_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.Coachings.create_visit_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_visit',
  window_title: "Create visit",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.user906 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "User", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Utilisateur","(Enregistrer consultation.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/coachings/Coachings/create_visit/user" }) }) });
    this.summary907 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Enregistrer consultation.summary) ") }, "name": "summary", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.user906, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.summary907, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.user906, this.summary907 ];
    this.http_method = "GET"
    Lino.coachings.Coachings.create_visit_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to966 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Accounts.detail", "emptyText": "Select a Account...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.debts.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/debts/Accounts/merge_row/merge_to" }) }) });
    this.reason967 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to966, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason967, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to966, this.reason967 ];
    this.http_method = "GET"
    Lino.debts.Accounts.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.GuestRoles.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to832 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Select a Guest role...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/cal/GuestRoles/merge_row/merge_to" }) }) });
    this.reason833 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason833, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to832, this.reason833 ];
    this.http_method = "GET"
    Lino.cal.GuestRoles.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Employers.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to928 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Employers.detail", "emptyText": "Select a Employer...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.jobs.Employers.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Employers.detail,Lino.jobs.Employers.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Employers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/jobs/Employers/merge_row/merge_to" }) }) });
    this.addresses_Address929 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Also reassign volatile related objects", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adresses","(Fusionner.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.reason930 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to928, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.addresses_Address929, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason930, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to928, this.addresses_Address929, this.reason930 ];
    this.http_method = "GET"
    Lino.jobs.Employers.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.create_visit_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_visit',
  window_title: "Create visit",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.user901 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "User", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Utilisateur","(Enregistrer consultation.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/pcsw/Clients/create_visit/user" }) }) });
    this.summary902 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Enregistrer consultation.summary) ") }, "name": "summary", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.user901, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.summary902, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.user901, this.summary902 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.create_visit_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to863 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/pcsw/Clients/merge_row/merge_to" }) }) });
    this.aids_IncomeConfirmation864 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Income confirmations", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Certificats de revenu","(Fusionner.aids_IncomeConfirmation) ") }, "name": "aids_IncomeConfirmation", "selectOnFocus": true });
    this.aids_RefundConfirmation865 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Refund confirmations", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Refund confirmations","(Fusionner.aids_RefundConfirmation) ") }, "name": "aids_RefundConfirmation", "selectOnFocus": true });
    var keep_volatiles_1_panel866 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.aids_IncomeConfirmation864, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.aids_RefundConfirmation865, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.aids_SimpleConfirmation869 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Simple confirmations", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Confirmations simple","(Fusionner.aids_SimpleConfirmation) ") }, "name": "aids_SimpleConfirmation", "selectOnFocus": true });
    this.coachings_Coaching870 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Coachings", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Interventions","(Fusionner.coachings_Coaching) ") }, "name": "coachings_Coaching", "selectOnFocus": true });
    var keep_volatiles_2_panel871 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.aids_SimpleConfirmation869, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.coachings_Coaching870, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.esf_ClientSummary874 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "ESF Summaries", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Fiches FSE","(Fusionner.esf_ClientSummary) ") }, "name": "esf_ClientSummary", "selectOnFocus": true });
    this.pcsw_Dispense875 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dispenses", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dispenses","(Fusionner.pcsw_Dispense) ") }, "name": "pcsw_Dispense", "selectOnFocus": true });
    var keep_volatiles_3_panel876 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.esf_ClientSummary874, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.pcsw_Dispense875, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.cv_LanguageKnowledge879 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Language knowledges", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Connaissances de langue","(Fusionner.cv_LanguageKnowledge) ") }, "name": "cv_LanguageKnowledge", "selectOnFocus": true });
    this.cv_Obstacle880 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Obstacles", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Freins","(Fusionner.cv_Obstacle) ") }, "name": "cv_Obstacle", "selectOnFocus": true });
    var keep_volatiles_4_panel881 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.cv_LanguageKnowledge879, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.cv_Obstacle880, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.cv_Skill884 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Skills", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Comp\u00e9tences professionnelles","(Fusionner.cv_Skill) ") }, "name": "cv_Skill", "selectOnFocus": true });
    this.cv_SoftSkill885 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Soft skills", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Comp\u00e9tences sociales","(Fusionner.cv_SoftSkill) ") }, "name": "cv_SoftSkill", "selectOnFocus": true });
    var keep_volatiles_5_panel886 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.cv_Skill884, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.cv_SoftSkill885, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.addresses_Address889 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Addresses", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adresses","(Fusionner.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    var keep_volatiles_panel890 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ keep_volatiles_1_panel866, keep_volatiles_2_panel871, keep_volatiles_3_panel876, keep_volatiles_4_panel881, keep_volatiles_5_panel886, { "anchor": "-20", "autoHeight": true, "items": this.addresses_Address889, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form", "title": "Also reassign volatile related objects" });
    this.reason892 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to863, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel890, { "anchor": "-20", "autoHeight": true, "items": this.reason892, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to863, this.aids_IncomeConfirmation864, this.aids_RefundConfirmation865, this.aids_SimpleConfirmation869, this.coachings_Coaching870, this.esf_ClientSummary874, this.pcsw_Dispense875, this.cv_LanguageKnowledge879, this.cv_Obstacle880, this.cv_Skill884, this.cv_SoftSkill885, this.addresses_Address889, this.reason892 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Lines.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to983 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.courses.Lines.detail", "emptyText": "Select a Workshop series...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.courses.Lines.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.courses.Lines.detail,Lino.courses.Lines.insert)}, "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/courses/Lines/merge_row/merge_to" }) }) });
    this.reason984 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to983, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason984, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to983, this.reason984 ];
    this.http_method = "GET"
    Lino.courses.Lines.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.checkin_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'checkin',
  window_title: "Checkin",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject837 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Summary", "listeners": { "render": Lino.quicktip_renderer("R\u00e9sum\u00e9","(Arriver.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body838 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description","(Arriver.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent839 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Don't notify others", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ne pas avertir les autres","(Arriver.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject837, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body838, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent839, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject837, this.notify_body838, this.notify_silent839 ];
    this.http_method = "GET"
    Lino.cal.Guests.checkin_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to940 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/users/AllUsers/merge_row/merge_to" }) }) });
    this.cal_Subscription941 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Also reassign volatile related objects", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Abonnements","(Fusionner.cal_Subscription) ") }, "name": "cal_Subscription", "selectOnFocus": true });
    this.reason942 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to940, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.cal_Subscription941, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason942, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to940, this.cal_Subscription941, this.reason942 ];
    this.http_method = "GET"
    Lino.users.AllUsers.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to795 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/merge_row/merge_to" }) }) });
    this.cv_LanguageKnowledge796 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Language knowledges", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Connaissances de langue","(Fusionner.cv_LanguageKnowledge) ") }, "name": "cv_LanguageKnowledge", "selectOnFocus": true });
    this.cv_Obstacle797 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Obstacles", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Freins","(Fusionner.cv_Obstacle) ") }, "name": "cv_Obstacle", "selectOnFocus": true });
    var keep_volatiles_1_panel798 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.cv_LanguageKnowledge796, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.cv_Obstacle797, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.cv_Skill801 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Skills", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Comp\u00e9tences professionnelles","(Fusionner.cv_Skill) ") }, "name": "cv_Skill", "selectOnFocus": true });
    this.cv_SoftSkill802 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Soft skills", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Comp\u00e9tences sociales","(Fusionner.cv_SoftSkill) ") }, "name": "cv_SoftSkill", "selectOnFocus": true });
    var keep_volatiles_2_panel803 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.cv_Skill801, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.cv_SoftSkill802, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.addresses_Address806 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Addresses", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adresses","(Fusionner.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    var keep_volatiles_panel807 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ keep_volatiles_1_panel798, keep_volatiles_2_panel803, { "anchor": "-20", "autoHeight": true, "items": this.addresses_Address806, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form", "title": "Also reassign volatile related objects" });
    this.reason809 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to795, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel807, { "anchor": "-20", "autoHeight": true, "items": this.reason809, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to795, this.cv_LanguageKnowledge796, this.cv_Obstacle797, this.cv_Skill801, this.cv_SoftSkill802, this.addresses_Address806, this.reason809 ];
    this.http_method = "GET"
    Lino.contacts.Persons.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.create_household_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_household',
  window_title: "Create Household",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.head813 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "Head of household", "hiddenName": "headHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Chef de m\u00e9nage","(Cr\u00e9er un m\u00e9nage.head) ") }, "name": "head", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/head" }) }) });
    this.type814 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Select a Household Type...", "fieldLabel": "Household Type", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type de m\u00e9nage","(Cr\u00e9er un m\u00e9nage.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/type" }) }) });
    this.partner815 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Partenaire","(Cr\u00e9er un m\u00e9nage.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/partner" }) }) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.head813, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.type814, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.partner815, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.head813, this.type814, this.partner815 ];
    this.http_method = "GET"
    Lino.contacts.Persons.create_household_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to858 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/cal/EventTypes/merge_row/merge_to" }) }) });
    this.reason859 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to858, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason859, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to858, this.reason859 ];
    this.http_method = "GET"
    Lino.cal.EventTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ContractTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to935 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Select a Art60\u00a77 job supplyment type...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/jobs/ContractTypes/merge_row/merge_to" }) }) });
    this.reason936 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to935, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason936, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to935, this.reason936 ];
    this.http_method = "GET"
    Lino.jobs.ContractTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.polls.Polls.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to971 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.polls.Polls.detail", "emptyText": "Select a Poll...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.polls.Polls.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.polls.Polls.detail,Lino.polls.Polls.insert)}, "pageSize": 20, "related_actor_id": "polls.Polls", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/polls/Polls/merge_row/merge_to" }) }) });
    this.polls_Question972 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Also reassign volatile related objects", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Questions","(Fusionner.polls_Question) ") }, "name": "polls_Question", "selectOnFocus": true });
    this.reason973 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to971, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.polls_Question972, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason973, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to971, this.polls_Question972, this.reason973 ];
    this.http_method = "GET"
    Lino.polls.Polls.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.change_password_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'change_password',
  window_title: "Change password",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.current947 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Current password</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Mot de passe actuel","(Changer mot de passe.current) The current password. Leave empty if the user has no password\nyet. And SiteAdmin users don't need to specify this at all.") }, "name": "current", "selectOnFocus": true });
    this.new1948 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">New password</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Nouveau mot de passe","(Changer mot de passe.new1) The new password.") }, "name": "new1", "selectOnFocus": true });
    this.new2949 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">New password again</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Encore une fois","(Changer mot de passe.new2) The new password a second time. Both passwords must match.") }, "name": "new2", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.current947, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.new1948, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.new2949, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.current947, this.new1948, this.new2949 ];
    this.http_method = "GET"
    Lino.users.AllUsers.change_password_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Activities.print_presence_sheet_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'print_presence_sheet',
  window_title: "Presence sheet",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.start_date988 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date from</span>", "listeners": { "render": Lino.quicktip_renderer("Date du","(Fiche de pr\u00e9sences.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true });
    this.end_date989 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">until</span>", "listeners": { "render": Lino.quicktip_renderer("au ","(Fiche de pr\u00e9sences.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true });
    this.show_remarks990 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Show remarks", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Show remarks","(Fiche de pr\u00e9sences.show_remarks) ") }, "name": "show_remarks", "selectOnFocus": true });
    this.show_states991 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Show states", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Show states","(Fiche de pr\u00e9sences.show_states) ") }, "name": "show_states", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.start_date988, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.end_date989, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.show_remarks990, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.show_states991, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.start_date988, this.end_date989, this.show_remarks990, this.show_states991 ];
    this.http_method = "GET"
    Lino.courses.Activities.print_presence_sheet_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to788 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Partners/merge_row/merge_to" }) }) });
    this.addresses_Address789 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Also reassign volatile related objects", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adresses","(Fusionner.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.reason790 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to788, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.addresses_Address789, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason790, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to788, this.addresses_Address789, this.reason790 ];
    this.http_method = "GET"
    Lino.contacts.Partners.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobProviders.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Merge",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to921 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Select a Job Provider...", "fieldLabel": "into...", "hiddenName": "merge_toHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("vers...","(Fusionner.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/jobs/JobProviders/merge_row/merge_to" }) }) });
    this.addresses_Address922 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Also reassign volatile related objects", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adresses","(Fusionner.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.reason923 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reason", "listeners": { "render": Lino.quicktip_renderer("Raison","(Fusionner.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to921, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.addresses_Address922, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason923, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to921, this.addresses_Address922, this.reason923 ];
    this.http_method = "GET"
    Lino.jobs.JobProviders.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Studies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Studies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 63,
  initComponent : function() {
    var person1006 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Person</span>", "hiddenName": "personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Person","(cv.Studies.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/person" }) }) });
    var start_date1007 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cv.Studies.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1008 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End date</span>", "listeners": { "render": Lino.quicktip_renderer("End date","(cv.Studies.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text1009 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Duration</span>", "listeners": { "render": Lino.quicktip_renderer("Duration","(cv.Studies.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var main_1_panel1010 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": person1006, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date1007, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date1008, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": duration_text1009, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1015 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Select a Education Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Education Type</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Education Type","(cv.Studies.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/type" }) }) });
    var content1016 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Study content</span>", "listeners": { "render": Lino.quicktip_renderer("Study content","(cv.Studies.content) Free-text description of the content.") }, "maxLength": 200, "name": "content", "selectOnFocus": true });
    var education_level1017 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Select a Education Level...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Education Level</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Education Level","(cv.Studies.education_level) Pointer to EducationLevel.") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/education_level" }) }) });
    var state1018 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("State","(cv.Studies.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var main_2_panel1019 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": type1015, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": content1016, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": education_level1017, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": state1018, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school1024 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Establishment</span>", "listeners": { "render": Lino.quicktip_renderer("Establishment","(cv.Studies.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country1025 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "Country", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Country","(cv.Studies.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/country" }) }) });
    var city1026 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Select a Place...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Locality</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Locality","(cv.Studies.city) The locality, i.e. usually a village, city or town.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/city" }) }) });
    var main_3_panel1027 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school1024, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country1025, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city1026, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks1031 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Remarks</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remarks","(cv.Studies.remarks) Remarks about this entry.") }, "name": "remarks", "selectOnFocus": true });
    var main_panel1032 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1010, main_2_panel1019, main_3_panel1027, { "flex": 62, "items": remarks1031, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1032;
    this.before_row_edit = function(record) {
      city1026.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country1025 !== 'undefined' && country1025.on('change',Lino.chooser_handler(city1026,'country'));
      Lino.cv.Studies.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Studies.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city1026.on("change", function(){ this.save() }, this);
  }
});


Lino.contacts.Persons.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel contacts-Persons",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt1', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 8,
  initComponent : function() {
    var first_name1034 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">First name</span>", "listeners": { "render": Lino.quicktip_renderer("First name","(contacts.Persons.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name1035 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Last name</span>", "listeners": { "render": Lino.quicktip_renderer("Last name","(contacts.Persons.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var main_1_panel1036 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name1034, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name1035, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var gender1039 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gender</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Gender","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var email1040 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">e-mail address</span>", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(contacts.Persons.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var main_2_panel1041 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": gender1039, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 65, "items": email1040, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1044 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1036, main_2_panel1041 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1044;
    this.before_row_edit = function(record) {
    }
    Lino.contacts.Persons.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-UploadTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 21,
  initComponent : function() {
    var id1045 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(uploads.UploadTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var upload_area1046 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Upload area", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload area","(uploads.UploadTypes.upload_area) ") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var shortcut1047 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload shortcut</span>", "forceSelection": true, "hiddenName": "shortcutHidden", "listeners": { "render": Lino.quicktip_renderer("Upload shortcut","(uploads.UploadTypes.shortcut) Optional pointer to a virtual upload shortcut field.  If\nthis is not empty, then the given shortcut field will manage\nuploads of this type.  See also Shortcuts.") }, "name": "shortcut", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.uploads.Shortcuts) });
    var main_1_panel1048 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": id1045, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": upload_area1046, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": shortcut1047, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name1052 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(uploads.UploadTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl1053 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(uploads.UploadTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de1054 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(uploads.UploadTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en1055 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(uploads.UploadTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel1056 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name1052, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl1053, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de1054, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en1055, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var warn_expiry_unit1061 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Expiry warning (unit)", "forceSelection": true, "hiddenName": "warn_expiry_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Expiry warning (unit)","(uploads.UploadTypes.warn_expiry_unit) ") }, "name": "warn_expiry_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var warn_expiry_value1062 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Expiry warning (value)", "listeners": { "render": Lino.quicktip_renderer("Expiry warning (value)","(uploads.UploadTypes.warn_expiry_value) ") }, "name": "warn_expiry_value", "selectOnFocus": true, "value": 2 });
    var wanted1063 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wanted", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wanted","(uploads.UploadTypes.wanted) Add a (+) button when there is no upload of this type.") }, "name": "wanted", "selectOnFocus": true });
    var max_number1064 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Max. number</span>", "listeners": { "render": Lino.quicktip_renderer("Max. number","(uploads.UploadTypes.max_number) No need to upload more uploads than N of this type.\n-1 means no limit.") }, "name": "max_number", "selectOnFocus": true, "value": -1 });
    var main_3_panel1065 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": warn_expiry_unit1061, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": warn_expiry_value1062, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": wanted1063, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": max_number1064, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var uploads_UploadsByType_grid1198 = new Lino.uploads.UploadsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Upload files","(uploads.uploads.UploadsByType) Base class for all data views of upload files.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByType.grid) ] });
    var main_panel1199 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1048, main_2_panel1056, main_3_panel1065, uploads_UploadsByType_grid1198 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1199;
    this.before_row_edit = function(record) {
      uploads_UploadsByType_grid1198.on_master_changed();
    }
    Lino.uploads.UploadTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.GuestRoles.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-GuestRoles",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 28,
  initComponent : function() {
    var ref1200 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reference</span>", "listeners": { "render": Lino.quicktip_renderer("Reference","(cal.GuestRoles.ref) The reference. This must be either empty or unique.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name1201 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cal.GuestRoles.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl1202 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cal.GuestRoles.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de1203 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cal.GuestRoles.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en1204 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cal.GuestRoles.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id1205 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.GuestRoles.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel1206 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": ref1200, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name1201, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "hidden": true, "items": name_nl1202, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name_de1203, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name_en1204, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id1205, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cal_GuestsByRole_grid1255 = new Lino.cal.GuestsByRole.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Presences","(cal.cal.GuestsByRole) The default table of presences.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.GuestsByRole.grid) ] });
    var main_panel1256 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1206, cal_GuestsByRole_grid1255 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1256;
    this.before_row_edit = function(record) {
      cal_GuestsByRole_grid1255.on_master_changed();
    }
    Lino.cal.GuestRoles.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-UploadTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 21,
  initComponent : function() {
    var upload_area1257 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Upload area", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload area","(uploads.UploadTypes.upload_area) ") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var name1258 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(uploads.UploadTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl1259 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(uploads.UploadTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de1260 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(uploads.UploadTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en1261 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(uploads.UploadTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel1262 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name1258, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl1259, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de1260, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en1261, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var warn_expiry_unit1267 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Expiry warning (unit)", "forceSelection": true, "hiddenName": "warn_expiry_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Expiry warning (unit)","(uploads.UploadTypes.warn_expiry_unit) ") }, "name": "warn_expiry_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var warn_expiry_value1268 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Expiry warning (value)", "listeners": { "render": Lino.quicktip_renderer("Expiry warning (value)","(uploads.UploadTypes.warn_expiry_value) ") }, "name": "warn_expiry_value", "selectOnFocus": true, "value": 2 });
    var main_3_panel1269 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 79, "items": warn_expiry_unit1267, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": warn_expiry_value1268, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1272 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": upload_area1257, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1262, main_3_panel1269 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1272;
    this.before_row_edit = function(record) {
    }
    Lino.uploads.UploadTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobProviders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-JobProviders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 82,
  initComponent : function() {
    var overview_htmlbox1274 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(jobs.JobProviders.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix1275 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(jobs.JobProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name1276 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.JobProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel1277 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix1275, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name1276, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1280 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Legal form...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Legal form</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Legal form","(jobs.JobProviders.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/type" }) }) });
    var vat_id1281 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">VAT id</span>", "listeners": { "render": Lino.quicktip_renderer("VAT id","(jobs.JobProviders.vat_id) The VAT id used to identify this business partner.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel1282 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type1280, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id1281, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type1285 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Select a Client Contact type...", "fieldLabel": "Client Contact type", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Client Contact type","(jobs.JobProviders.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/client_contact_type" }) }) });
    var is_social1286 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Social economy", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Social economy","(jobs.JobProviders.is_social) Organisation b\u00e9n\u00e9ficiant de l\u2019agr\u00e9ment \u00ab Initiative d\u2019\u00e9conomie sociale \u00bb\noctroy\u00e9 par la Wallonie.") }, "name": "is_social", "selectOnFocus": true });
    var general2_3_panel1287 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": client_contact_type1285, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": is_social1286, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var url1290 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "URL", "listeners": { "render": Lino.quicktip_renderer("URL","(jobs.JobProviders.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel1291 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel1277, general2_2_panel1282, general2_3_panel1287, { "anchor": "-20", "autoHeight": true, "items": url1290, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email1293 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">e-mail address</span>", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(jobs.JobProviders.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone1294 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Phone</span>", "listeners": { "render": Lino.quicktip_renderer("Phone","(jobs.JobProviders.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm1295 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mobile</span>", "listeners": { "render": Lino.quicktip_renderer("Mobile","(jobs.JobProviders.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax1296 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(jobs.JobProviders.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel1297 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email1293, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone1294, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm1295, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax1296, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel1302 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox1274, general2_panel1291, general3_panel1297 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid1310 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Contact persons","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel1311 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1302, contacts_RolesByCompany_grid1310 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var uploads_UploadsByController_htmlbox1312 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload files","(jobs.JobProviders.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "region": "north", "split": true, "title": "Upload files", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var notes_NotesByCompany_htmlbox1313 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Events/Notes","(jobs.JobProviders.notes.NotesByCompany) ") }, "master_panel": this, "name": "notes.NotesByCompany", "region": "center", "split": true, "title": "Events/Notes", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByCompany.grid) ], "value": "<br/>" });
    var notes_panel1314 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ uploads_UploadsByController_htmlbox1312, notes_NotesByCompany_htmlbox1313 ], "labelAlign": "top", "labelWidth": 117, "listeners": { "activate": Lino.on_tab_activate }, "title": "Events/Notes" });
    var JobsByProvider_grid1433 = new Lino.jobs.JobsByProvider.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Jobs","(jobs.jobs.JobsByProvider) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.JobsByProvider.grid) ] });
    var ContractsByProvider_grid1451 = new Lino.art60.ConventionsByProvider.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art60\u00a77 conventions","(art60.art60.ConventionsByProvider) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.art60.ConventionsByProvider.grid) ] });
    var jobs_panel1452 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ JobsByProvider_grid1433, ContractsByProvider_grid1451 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Jobs" });
    var main_panel1453 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1311, notes_panel1314, jobs_panel1452 ], "labelAlign": "top", "split": true });
    this.items = main_panel1453;
    this.before_row_edit = function(record) {
      overview_htmlbox1274.refresh();
      contacts_RolesByCompany_grid1310.on_master_changed();
      uploads_UploadsByController_htmlbox1312.refresh();
      notes_NotesByCompany_htmlbox1313.refresh();
      JobsByProvider_grid1433.on_master_changed();
      ContractsByProvider_grid1451.on_master_changed();
    }
    Lino.jobs.JobProviders.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.cv.StudiesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-StudiesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 63,
  initComponent : function() {
    var start_date1454 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cv.StudiesByPerson.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1455 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End date</span>", "listeners": { "render": Lino.quicktip_renderer("End date","(cv.StudiesByPerson.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel1456 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1454, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date1455, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1459 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Select a Education Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Education Type</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Education Type","(cv.StudiesByPerson.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/type" }) }) });
    var content1460 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Study content</span>", "listeners": { "render": Lino.quicktip_renderer("Study content","(cv.StudiesByPerson.content) Free-text description of the content.") }, "maxLength": 200, "name": "content", "selectOnFocus": true });
    var main_2_panel1461 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type1459, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": content1460, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1464 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1456, main_2_panel1461 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1464;
    this.before_row_edit = function(record) {
    }
    Lino.cv.StudiesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Employers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Employers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 83,
  initComponent : function() {
    var overview_htmlbox1465 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(jobs.Employers.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix1466 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(jobs.Employers.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name1467 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Employers.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel1468 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix1466, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name1467, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1471 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Legal form...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Legal form</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Legal form","(jobs.Employers.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Employers/type" }) }) });
    var vat_id1472 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">VAT id</span>", "listeners": { "render": Lino.quicktip_renderer("VAT id","(jobs.Employers.vat_id) The VAT id used to identify this business partner.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel1473 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type1471, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id1472, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type1476 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Select a Client Contact type...", "fieldLabel": "Client Contact type", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Client Contact type","(jobs.Employers.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Employers/client_contact_type" }) }) });
    var is_social1477 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Social economy", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Social economy","(jobs.Employers.is_social) ") }, "name": "is_social", "selectOnFocus": true });
    var general2_3_panel1478 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": client_contact_type1476, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": is_social1477, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var url1481 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "URL", "listeners": { "render": Lino.quicktip_renderer("URL","(jobs.Employers.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel1482 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel1468, general2_2_panel1473, general2_3_panel1478, { "anchor": "-20", "autoHeight": true, "items": url1481, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email1484 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">e-mail address</span>", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(jobs.Employers.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone1485 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Phone</span>", "listeners": { "render": Lino.quicktip_renderer("Phone","(jobs.Employers.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm1486 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mobile</span>", "listeners": { "render": Lino.quicktip_renderer("Mobile","(jobs.Employers.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax1487 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(jobs.Employers.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel1488 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email1484, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone1485, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm1486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax1487, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel1493 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox1465, general2_panel1482, general3_panel1488 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid1494 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Contact persons","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel1495 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1493, contacts_RolesByCompany_grid1494 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var uploads_UploadsByController_htmlbox1496 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload files","(jobs.Employers.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "region": "north", "split": true, "title": "Upload files", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var notes_NotesByCompany_htmlbox1497 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Events/Notes","(jobs.Employers.notes.NotesByCompany) ") }, "master_panel": this, "name": "notes.NotesByCompany", "region": "center", "split": true, "title": "Events/Notes", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByCompany.grid) ], "value": "<br/>" });
    var notes_panel1498 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ uploads_UploadsByController_htmlbox1496, notes_NotesByCompany_htmlbox1497 ], "labelAlign": "top", "labelWidth": 117, "listeners": { "activate": Lino.on_tab_activate }, "title": "Events/Notes" });
    var art61_ContractsByProvider_grid1802 = new Lino.art61.ContractsByProvider.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "title": "Art61 job supplyments", "tools": [ Lino.show_in_own_window_button(Lino.art61.ContractsByProvider.grid) ] });
    var main_panel1803 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1495, notes_panel1498, art61_ContractsByProvider_grid1802 ], "labelAlign": "top", "split": true });
    this.items = main_panel1803;
    this.before_row_edit = function(record) {
      overview_htmlbox1465.refresh();
      contacts_RolesByCompany_grid1494.on_master_changed();
      uploads_UploadsByController_htmlbox1496.refresh();
      notes_NotesByCompany_htmlbox1497.refresh();
      art61_ContractsByProvider_grid1802.on_master_changed();
    }
    Lino.jobs.Employers.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.tinymce.TextFieldTemplates.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel tinymce-TextFieldTemplates",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 137,
  initComponent : function() {
    var name1804 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation", "listeners": { "render": Lino.quicktip_renderer("Designation","(tinymce.TextFieldTemplates.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var user1805 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(tinymce.TextFieldTemplates.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }) });
    var main_panel1806 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name1804, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": user1805, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1806;
    this.before_row_edit = function(record) {
    }
    Lino.tinymce.TextFieldTemplates.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-Uploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 22,
  initComponent : function() {
    var file1179 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">File</span>", "listeners": { "render": Lino.quicktip_renderer("File","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var type1180 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Select a Upload type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload type</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload type","(uploads.Uploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var project1181 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var main_2_panel1182 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": type1180, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project1181, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date1185 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Valid from", "listeners": { "render": Lino.quicktip_renderer("Valid from","(uploads.Uploads.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date1186 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Valid until</span>", "listeners": { "render": Lino.quicktip_renderer("Valid until","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed1187 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Needed", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Needed","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_3_panel1188 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": start_date1185, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": end_date1186, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": needed1187, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description1192 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Description</span>", "listeners": { "render": Lino.quicktip_renderer("Description","(uploads.Uploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_panel1193 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": file1179, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1182, main_3_panel1188, { "anchor": "-20", "autoHeight": true, "items": description1192, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1193;
    this.before_row_edit = function(record) {
      type1180.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    Lino.uploads.Uploads.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art60.Conventions.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel art60-Conventions",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 90,
  initComponent : function() {
    var job1406 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Select a Job...", "fieldLabel": "Job", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Job","(art60.Conventions.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/job" }) }) });
    var start_date1407 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Start date", "listeners": { "render": Lino.quicktip_renderer("Start date","(art60.Conventions.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var main_panel1408 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": job1406, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": start_date1407, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1408;
    this.before_row_edit = function(record) {
    }
    Lino.art60.Conventions.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NoteTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-NoteTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 119,
  initComponent : function() {
    var id1809 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.NoteTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name1810 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(notes.NoteTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl1811 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(notes.NoteTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de1812 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(notes.NoteTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en1813 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(notes.NoteTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel1814 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id1809, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name1810, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl1811, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de1812, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en1813, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method1820 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Print method</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Print method","(notes.NoteTypes.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template1821 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Template</span>", "listeners": { "render": Lino.quicktip_renderer("Template","(notes.NoteTypes.template) The name of the file to be used as template.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/template" }) }) });
    var special_type1822 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Special note type", "forceSelection": true, "hiddenName": "special_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Special note type","(notes.NoteTypes.special_type) ") }, "name": "special_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.notes.SpecialTypes) });
    var email_template1823 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Email template</span>", "listeners": { "render": Lino.quicktip_renderer("Email template","(notes.NoteTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/email_template" }) }) });
    var attach_to_email1824 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Attach to email", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Attach to email","(notes.NoteTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_2_panel1825 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": build_method1820, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": template1821, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": special_type1822, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": email_template1823, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": attach_to_email1824, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark1831 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remark","(notes.NoteTypes.remark) ") }, "name": "remark", "selectOnFocus": true });
    var notes_NotesByType_grid1900 = new Lino.notes.NotesByType.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Events/Notes","(notes.notes.NotesByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByType.grid) ] });
    var main_panel1901 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1814, main_2_panel1825, { "flex": 41, "items": remark1831, "labelAlign": "top", "layout": "form", "xtype": "panel" }, notes_NotesByType_grid1900 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1901;
    this.before_row_edit = function(record) {
      template1821.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      notes_NotesByType_grid1900.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof build_method1820 !== 'undefined' && build_method1820.on('change',Lino.chooser_handler(template1821,'build_method'));
      Lino.notes.NoteTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.notes.NoteTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.MembersByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-MembersByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 111,
  initComponent : function() {
    var person1903 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "Person", "hiddenName": "personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Person","(households.MembersByPerson.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/person" }) }) });
    var role1904 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Role", "forceSelection": true, "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Role","(households.MembersByPerson.role) ") }, "name": "role", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var household1905 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Households.detail", "emptyText": "Select a Household...", "fieldLabel": "Household", "hiddenName": "householdHidden", "insert_action": "Lino.households.Households.insert", "listeners": { "render": Lino.quicktip_renderer("Household","(households.MembersByPerson.household) ") }, "name": "household", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Households.detail,Lino.households.Households.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/household" }) }) });
    var primary1906 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Primary", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Primary","(households.MembersByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "name": "primary", "selectOnFocus": true });
    var main_panel1907 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person1903, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": role1904, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": household1905, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": primary1906, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1907;
    this.before_row_edit = function(record) {
    }
    Lino.households.MembersByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NoteTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-NoteTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 119,
  initComponent : function() {
    var name1912 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(notes.NoteTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl1913 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(notes.NoteTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de1914 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(notes.NoteTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en1915 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(notes.NoteTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel1916 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name1912, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl1913, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de1914, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en1915, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method1921 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Print method</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Print method","(notes.NoteTypes.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var main_panel1922 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1916, { "anchor": "-20", "autoHeight": true, "items": build_method1921, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1922;
    this.before_row_edit = function(record) {
    }
    Lino.notes.NoteTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.clients.ClientContactTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel clients-ClientContactTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 43,
  initComponent : function() {
    var id1924 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(clients.ClientContactTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name1925 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(clients.ClientContactTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl1926 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(clients.ClientContactTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de1927 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(clients.ClientContactTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en1928 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(clients.ClientContactTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel1929 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id1924, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name1925, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl1926, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de1927, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en1928, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var clients_PartnersByClientContactType_grid2069 = new Lino.clients.PartnersByClientContactType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Partners","(clients.clients.PartnersByClientContactType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.clients.PartnersByClientContactType.grid) ] });
    var clients_ClientContactsByType_grid2080 = new Lino.clients.ClientContactsByType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Contacts","(clients.clients.ClientContactsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.clients.ClientContactsByType.grid) ] });
    var main_panel2081 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1929, clients_PartnersByClientContactType_grid2069, clients_ClientContactsByType_grid2080 ], "labelAlign": "top" });
    this.items = main_panel2081;
    this.before_row_edit = function(record) {
      clients_PartnersByClientContactType_grid2069.on_master_changed();
      clients_ClientContactsByType_grid2080.on_master_changed();
    }
    Lino.clients.ClientContactTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.system.SiteConfigs.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel system-SiteConfigs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 1,
  initComponent : function() {
    var site_company2082 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Site operator</span>", "hiddenName": "site_companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Site operator","(system.SiteConfigs.site_company) The site operator, i.e. the legal person that operates this\nLino site.") }, "name": "site_company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/site_company" }) }) });
    var next_partner_id2083 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Next partner id</span>", "listeners": { "render": Lino.quicktip_renderer("Next partner id","(system.SiteConfigs.next_partner_id) The next automatic id for any new partner.") }, "name": "next_partner_id", "selectOnFocus": true, "value": 100 });
    var general_1_panel2084 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": site_company2082, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": next_partner_id2083, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_office2087 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Local job office</span>", "hiddenName": "job_officeHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Local job office","(system.SiteConfigs.job_office) The Company whose contact persons\n            will be choices for `Person.job_office_contact`.") }, "name": "job_office", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/job_office" }) }) });
    var master_budget2088 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Budgets.detail", "emptyText": "Select a Budget...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Master budget</span>", "hiddenName": "master_budgetHidden", "insert_action": "Lino.debts.Budgets.insert", "listeners": { "render": Lino.quicktip_renderer("Master budget","(system.SiteConfigs.master_budget) The budget whose content is to be         copied into new budgets.") }, "name": "master_budget", "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/master_budget" }) }) });
    var general_2_panel2089 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": job_office2087, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": master_budget2088, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var signer12092 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "Secretary", "hiddenName": "signer1Hidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Secretary","(system.SiteConfigs.signer1) ") }, "name": "signer1", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1" }) }) });
    var signer22093 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "President", "hiddenName": "signer2Hidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("President","(system.SiteConfigs.signer2) ") }, "name": "signer2", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2" }) }) });
    var general_3_panel2094 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": signer12092, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer22093, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var signer1_function2097 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Function...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">First signer function</span>", "hiddenName": "signer1_functionHidden", "listeners": { "render": Lino.quicktip_renderer("First signer function","(system.SiteConfigs.signer1_function) Contact function to designate the secretary.") }, "name": "signer1_function", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1_function" }) }) });
    var signer2_function2098 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Function...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Second signer function</span>", "hiddenName": "signer2_functionHidden", "listeners": { "render": Lino.quicktip_renderer("Second signer function","(system.SiteConfigs.signer2_function) Contact function to designate the president.") }, "name": "signer2_function", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2_function" }) }) });
    var general_4_panel2099 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": signer1_function2097, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer2_function2098, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel2102 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2084, general_2_panel2089, general_3_panel2094, general_4_panel2099 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var system_note_type2103 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Select a Event Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Default system note type</span>", "hiddenName": "system_note_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Default system note type","(system.SiteConfigs.system_note_type) Note Type used by system notes.\nIf this is empty, then system notes won't create any entry to the Notes table.") }, "name": "system_note_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/system_note_type" }) }) });
    var default_build_method2104 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Default build method</span>", "forceSelection": true, "hiddenName": "default_build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Default build method","(system.SiteConfigs.default_build_method) The default build method to use when rendering printable documents.") }, "name": "default_build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var constants_1_panel2105 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 46, "items": system_note_type2103, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": default_build_method2104, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var residence_permit_upload_type2108 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Select a Upload type...", "fieldLabel": "Upload Type for residence permit", "hiddenName": "residence_permit_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload Type for residence permit","(system.SiteConfigs.residence_permit_upload_type) ") }, "name": "residence_permit_upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/residence_permit_upload_type" }) }) });
    var work_permit_upload_type2109 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Select a Upload type...", "fieldLabel": "Upload Type for work permit", "hiddenName": "work_permit_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload Type for work permit","(system.SiteConfigs.work_permit_upload_type) ") }, "name": "work_permit_upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/work_permit_upload_type" }) }) });
    var driving_licence_upload_type2110 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Select a Upload type...", "fieldLabel": "Upload Type for driving licence", "hiddenName": "driving_licence_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload Type for driving licence","(system.SiteConfigs.driving_licence_upload_type) ") }, "name": "driving_licence_upload_type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/driving_licence_upload_type" }) }) });
    var constants_3_panel2111 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": residence_permit_upload_type2108, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": work_permit_upload_type2109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": driving_licence_upload_type2110, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var default_event_type2115 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Default Event Type</span>", "hiddenName": "default_event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Default Event Type","(system.SiteConfigs.default_event_type) The default type of events on this site.") }, "name": "default_event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/default_event_type" }) }) });
    var prompt_calendar2116 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "Default type for prompt events", "hiddenName": "prompt_calendarHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Default type for prompt events","(system.SiteConfigs.prompt_calendar) ") }, "name": "prompt_calendar", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/prompt_calendar" }) }) });
    var hide_events_before2117 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hide events before</span>", "listeners": { "render": Lino.quicktip_renderer("Hide events before","(system.SiteConfigs.hide_events_before) If this is specified, certain tables show only\nevents after the given date.") }, "name": "hide_events_before", "selectOnFocus": true });
    var constants_4_panel2118 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 37, "items": default_event_type2115, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": prompt_calendar2116, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": hide_events_before2117, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_guestrole2122 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Select a Guest role...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client guest role</span>", "hiddenName": "client_guestroleHidden", "listeners": { "render": Lino.quicktip_renderer("Client guest role","(system.SiteConfigs.client_guestrole) Default guest role of client in calendar events.") }, "name": "client_guestrole", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/client_guestrole" }) }) });
    var team_guestrole2123 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Select a Guest role...", "fieldLabel": "Guest role for team members", "hiddenName": "team_guestroleHidden", "listeners": { "render": Lino.quicktip_renderer("Guest role for team members","(system.SiteConfigs.team_guestrole) ") }, "name": "team_guestrole", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/team_guestrole" }) }) });
    var constants_5_panel2124 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": client_guestrole2122, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": team_guestrole2123, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var constants_panel2127 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ constants_1_panel2105, constants_3_panel2111, constants_4_panel2118, constants_5_panel2124 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Constants" });
    var cbss_org_unit2128 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Requesting organisation</span>", "listeners": { "render": Lino.quicktip_renderer("Requesting organisation","(system.SiteConfigs.cbss_org_unit)     In CBSS requests, identifies the requesting organization.\n    For PCSWs this is the enterprise number\n    (CBE, KBO) and should have 10 digits and no formatting characters.\n\n    Used in SSDN requests as text of the `AuthorizedUser\\OrgUnit` element .\n    Used in new style requests as text of the `CustomerIdentification\\cbeNumber` element .\n    ") }, "maxLength": 50, "name": "cbss_org_unit", "selectOnFocus": true });
    var sector2129 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Sector...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("sector","(system.SiteConfigs.sector)     The CBSS sector/subsector of the requesting organization.\n    For PCSWs this is always 17.1.\n    Used in SSDN requests as text of the `MatrixID` and `MatrixSubID`\n    elements of `AuthorizedUser`.\n    Used in ManageAccess requests as default value\n    for the non-editable field `sector`\n    (which defines the choices of the `purpose` field).\n    ") }, "name": "sector", "pageSize": 20, "related_actor_id": "cbss.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/sector" }) }) });
    var ssdn_user_id2130 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SSDN User Id</span>", "listeners": { "render": Lino.quicktip_renderer("SSDN User Id","(system.SiteConfigs.ssdn_user_id) Used in SSDN requests as text of the `AuthorizedUser\\UserID` element.") }, "maxLength": 50, "name": "ssdn_user_id", "selectOnFocus": true });
    var ssdn_email2131 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SSDN email address</span>", "listeners": { "render": Lino.quicktip_renderer("SSDN email address","(system.SiteConfigs.ssdn_email) Used in SSDN requests as text of the `AuthorizedUser\\Email` element.") }, "maxLength": 254, "name": "ssdn_email", "selectOnFocus": true });
    var cbss_1_panel2132 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": cbss_org_unit2128, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": sector2129, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": ssdn_user_id2130, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": ssdn_email2131, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cbss_http_username2137 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">HTTP username</span>", "listeners": { "render": Lino.quicktip_renderer("HTTP username","(system.SiteConfigs.cbss_http_username)             Used in the http header of new-style requests.\n            ") }, "maxLength": 50, "name": "cbss_http_username", "selectOnFocus": true });
    var cbss_http_password2138 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">HTTP password</span>", "listeners": { "render": Lino.quicktip_renderer("HTTP password","(system.SiteConfigs.cbss_http_password) Used in the http header of new-style requests.") }, "maxLength": 50, "name": "cbss_http_password", "selectOnFocus": true });
    var cbss_2_panel2139 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": cbss_http_username2137, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": cbss_http_password2138, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cbss_panel2142 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cbss_1_panel2132, cbss_2_panel2139 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "CBSS" });
    var main_panel2143 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2102, constants_panel2127, cbss_panel2142 ], "labelAlign": "top", "split": true });
    this.items = main_panel2143;
    this.before_row_edit = function(record) {
    }
    Lino.system.SiteConfigs.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.EventTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 120,
  initComponent : function() {
    var id2144 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.EventTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name2145 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(notes.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2146 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(notes.EventTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2147 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(notes.EventTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2148 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(notes.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2149 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id2144, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name2145, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl2146, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de2147, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en2148, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var remark2155 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remark","(notes.EventTypes.remark) ") }, "name": "remark", "selectOnFocus": true });
    var notes_NotesByEventType_grid2178 = new Lino.notes.NotesByEventType.GridPanel({ "containing_panel": this, "flex": 6, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Events/Notes","(notes.notes.NotesByEventType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByEventType.grid) ] });
    var main_panel2179 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2149, { "flex": 3, "items": remark2155, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, notes_NotesByEventType_grid2178 ], "labelAlign": "top", "labelWidth": 0 });
    this.items = main_panel2179;
    this.before_row_edit = function(record) {
      notes_NotesByEventType_grid2178.on_master_changed();
    }
    Lino.notes.EventTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadsByController.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-UploadsByController",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 22,
  initComponent : function() {
    var file2181 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">File</span>", "listeners": { "render": Lino.quicktip_renderer("File","(uploads.UploadsByController.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var type2182 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Select a Upload type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload type</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload type","(uploads.UploadsByController.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/type" }) }) });
    var end_date2183 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Valid until</span>", "listeners": { "render": Lino.quicktip_renderer("Valid until","(uploads.UploadsByController.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed2184 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Needed", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Needed","(uploads.UploadsByController.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_2_panel2185 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": type2182, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date2183, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": needed2184, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description2189 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Description</span>", "listeners": { "render": Lino.quicktip_renderer("Description","(uploads.UploadsByController.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_panel2190 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": file2181, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2185, { "anchor": "-20", "autoHeight": true, "items": description2189, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2190;
    this.before_row_edit = function(record) {
      type2182.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    Lino.uploads.UploadsByController.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.gfks.ContentTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel gfks-ContentTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 12,
  initComponent : function() {
    var id2193 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(gfks.ContentTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var app_label2194 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "app label", "listeners": { "render": Lino.quicktip_renderer("app label","(gfks.ContentTypes.app_label) ") }, "maxLength": 100, "name": "app_label", "selectOnFocus": true });
    var model2195 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "python model class name", "listeners": { "render": Lino.quicktip_renderer("python model class name","(gfks.ContentTypes.model) ") }, "maxLength": 100, "name": "model", "selectOnFocus": true });
    var base_classes_disp2196 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Base classes", "listeners": { "render": Lino.quicktip_renderer("Base classes","(gfks.ContentTypes.base_classes) ") }, "name": "base_classes", "value": "<br/>" });
    var main_1_panel2197 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id2193, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": app_label2194, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": model2195, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": base_classes_disp2196, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel2216 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2197 ], "labelAlign": "top" });
    this.items = main_panel2216;
    this.before_row_edit = function(record) {
    }
    Lino.gfks.ContentTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Statuses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Statuses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 64,
  initComponent : function() {
    var id2217 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Statuses.id) ") }, "name": "id", "selectOnFocus": true });
    var name2218 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cv.Statuses.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2219 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cv.Statuses.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2220 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cv.Statuses.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2221 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cv.Statuses.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2222 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id2217, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name2218, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl2219, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de2220, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en2221, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2278 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2222 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2278;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Statuses.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-Notes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 121,
  initComponent : function() {
    var event_type1888 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Select a Event Type...", "fieldLabel": "Event Type (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Event Type (Form)","(notes.Notes.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type1889 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Select a Note Type...", "fieldLabel": "Note Type (Content)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Note Type (Content)","(notes.Notes.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var main_1_panel1890 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type1888, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type1889, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subject1893 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Subject", "listeners": { "render": Lino.quicktip_renderer("Subject","(notes.Notes.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project1894 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var main_panel1895 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1890, { "anchor": "-20", "autoHeight": true, "items": subject1893, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project1894, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1895;
    this.before_row_edit = function(record) {
    }
    Lino.notes.Notes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Rooms.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Rooms",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 27,
  initComponent : function() {
    var id2279 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Rooms.id) ") }, "name": "id", "selectOnFocus": true });
    var name2280 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cal.Rooms.name) The designation of the room. This is not required to be unique.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2281 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cal.Rooms.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2282 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cal.Rooms.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2283 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cal.Rooms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2284 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id2279, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name2280, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl2281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de2282, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en2283, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company2290 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Responsible</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible","(cal.Rooms.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/company" }) }) });
    var contact_person2291 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Contact person</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Contact person","(cal.Rooms.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_person" }) }) });
    var display_color2292 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Color</span>", "forceSelection": true, "hiddenName": "display_colorHidden", "listeners": { "render": Lino.quicktip_renderer("Color","(cal.Rooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "name": "display_color", "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var main_2_panel2293 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": company2290, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": contact_person2291, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": display_color2292, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description2297 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description","(cal.Rooms.description) ") }, "name": "description", "selectOnFocus": true });
    var main_panel2332 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2284, main_2_panel2293, { "flex": 41, "items": description2297, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2332;
    this.before_row_edit = function(record) {
      contact_person2291.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company2290 !== 'undefined' && company2290.on('change',Lino.chooser_handler(contact_person2291,'company'));
      Lino.cal.Rooms.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cal.Rooms.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 80,
  initComponent : function() {
    var id2334 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client2335 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(isip.Contracts.client) The client for whom this contract is done.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var type2336 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "Select a ISIP Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Contract Type</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Contract Type","(isip.Contracts.type) The type of this contract.\nPointer to ContractType.") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var user2337 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Responsible (IS)</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible (IS)","(isip.Contracts.user) The person who created this contract.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var user_asd2338 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Responsible (GSS)</span>", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible (GSS)","(isip.Contracts.user_asd) The responsible person at the general social service.") }, "name": "user_asd", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_asd" }) }) });
    var general_1_panel2339 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": id2334, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client2335, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": type2336, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user2337, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user_asd2338, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var study_type2345 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Select a Education Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Education Type</span>", "hiddenName": "study_typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Education Type","(isip.Contracts.study_type) The type of study that is going to be followed during this\ncontract.") }, "name": "study_type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var applies_from2346 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">applies from</span>", "listeners": { "render": Lino.quicktip_renderer("applies from","(isip.Contracts.applies_from) The start date of the contract.") }, "name": "applies_from", "selectOnFocus": true });
    var applies_until2347 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">applies until</span>", "listeners": { "render": Lino.quicktip_renderer("applies until","(isip.Contracts.applies_until) The planned end date of this contract.") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy2348 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Select a Examination Policy...", "fieldLabel": "Examination Policy", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Examination Policy","(isip.Contracts.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/exam_policy" }) }) });
    var language2349 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(isip.Contracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var general_2_panel2350 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": study_type2345, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": applies_from2346, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": applies_until2347, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": exam_policy2348, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": language2349, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided2356 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date decided</span>", "listeners": { "render": Lino.quicktip_renderer("date decided","(isip.Contracts.date_decided) When the contract was ratified by the responsible board.") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued2357 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date issued</span>", "listeners": { "render": Lino.quicktip_renderer("date issued","(isip.Contracts.date_issued) When the contract was issued to the client and signed by them.") }, "name": "date_issued", "selectOnFocus": true });
    var printed_disp2358 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(isip.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var date_ended2359 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date ended</span>", "listeners": { "render": Lino.quicktip_renderer("date ended","(isip.Contracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "name": "date_ended", "selectOnFocus": true });
    var ending2360 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Select a Reason of termination...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reason of termination</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Reason of termination","(isip.Contracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var general_3_panel2361 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": date_decided2356, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": date_issued2357, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp2358, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": date_ended2359, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": ending2360, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var uploads_UploadsByController_htmlbox2367 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 21, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload files","(isip.Contracts.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "title": "Upload files", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var cal_TasksByController_grid2368 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 78, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Tasks","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var general_4_panel2369 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ uploads_UploadsByController_htmlbox2367, cal_TasksByController_grid2368 ], "labelAlign": "top", "labelWidth": 117, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel2370 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2339, general_2_panel2350, general_3_panel2361, general_4_panel2369 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var cal_EntriesByController_grid2371 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "title": "Calendar entries", "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var PartnersByContract_grid2399 = new Lino.isip.PartnersByContract.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "title": "Contract partners", "tools": [ Lino.show_in_own_window_button(Lino.isip.PartnersByContract.grid) ] });
    var main_panel2400 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2370, cal_EntriesByController_grid2371, PartnersByContract_grid2399 ], "labelAlign": "top", "split": true });
    this.items = main_panel2400;
    this.before_row_edit = function(record) {
      uploads_UploadsByController_htmlbox2367.refresh();
      cal_TasksByController_grid2368.on_master_changed();
      cal_EntriesByController_grid2371.on_master_changed();
      PartnersByContract_grid2399.on_master_changed();
    }
    Lino.isip.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Rooms.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Rooms",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 27,
  initComponent : function() {
    var id2401 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Rooms.id) ") }, "name": "id", "selectOnFocus": true });
    var name2402 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cal.Rooms.name) The designation of the room. This is not required to be unique.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2403 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cal.Rooms.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2404 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cal.Rooms.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2405 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cal.Rooms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var display_color2406 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Color</span>", "forceSelection": true, "hiddenName": "display_colorHidden", "listeners": { "render": Lino.quicktip_renderer("Color","(cal.Rooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "name": "display_color", "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var main_1_panel2407 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id2401, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": name2402, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "hidden": true, "items": name_nl2403, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": name_de2404, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": name_en2405, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": display_color2406, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company2414 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Responsible</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible","(cal.Rooms.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/company" }) }) });
    var contact_person2415 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Contact person</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Contact person","(cal.Rooms.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_person" }) }) });
    var main_panel2416 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2407, { "anchor": "-20", "autoHeight": true, "items": company2414, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_person2415, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2416;
    this.before_row_edit = function(record) {
      contact_person2415.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company2414 !== 'undefined' && company2414.on('change',Lino.chooser_handler(contact_person2415,'company'));
      Lino.cal.Rooms.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cal.Rooms.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-IdentifyPersonRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 107,
  initComponent : function() {
    var id2419 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.IdentifyPersonRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person2420 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(cbss.IdentifyPersonRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var user2421 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(cbss.IdentifyPersonRequests.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }) });
    var sent2422 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sent</span>", "listeners": { "render": Lino.quicktip_renderer("Sent","(cbss.IdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status2423 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("State","(cbss.IdentifyPersonRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp2424 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(cbss.IdentifyPersonRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel2425 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id2419, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person2420, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user2421, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent2422, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": status2423, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp2424, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Request information" });
    var national_id2432 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "National ID", "listeners": { "render": Lino.quicktip_renderer("National ID","(cbss.IdentifyPersonRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var p1_panel2434 = new Ext.form.FieldSet({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 25, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": national_id2432, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 50, "html": "<br/>", "xtype": "label" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "title": "Using the national ID" });
    var first_name2436 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">First name</span>", "listeners": { "render": Lino.quicktip_renderer("First name","(cbss.IdentifyPersonRequests.first_name) Space-separated list of all first names.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name2437 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Middle name</span>", "listeners": { "render": Lino.quicktip_renderer("Middle name","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name2438 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Last name</span>", "listeners": { "render": Lino.quicktip_renderer("Last name","(cbss.IdentifyPersonRequests.last_name) Last name (family name).") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var p2_1_panel2439 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name2436, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name2437, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name2438, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date2443 = new Lino.IncompleteDateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Birth date</span>", "listeners": { "render": Lino.quicktip_renderer("Birth date","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var tolerance2444 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Tolerance</span>", "listeners": { "render": Lino.quicktip_renderer("Tolerance","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "name": "tolerance", "selectOnFocus": true, "value": 0 });
    var gender2445 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gender", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Gender","(cbss.IdentifyPersonRequests.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var p2_2_panel2446 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": birth_date2443, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": tolerance2444, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": gender2445, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p2_panel2450 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 75, "frame": true, "hideCheckBoxLabels": true, "items": [ p2_1_panel2439, p2_2_panel2446 ], "labelAlign": "top", "layout": "form", "title": "Using phonetic search" });
    var parameters_panel2451 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ p1_panel2434, p2_panel2450 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameters" });
    var IdentifyPersonResult_grid2462 = new Lino.cbss.IdentifyPersonResult.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Results","(cbss.cbss.IdentifyPersonResult) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cbss.IdentifyPersonResult.grid) ] });
    var request_panel2463 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel2425, parameters_panel2451, IdentifyPersonResult_grid2462 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Request" });
    var main_panel2474 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel2463 ], "labelAlign": "top", "split": true });
    this.items = main_panel2474;
    this.before_row_edit = function(record) {
      IdentifyPersonResult_grid2462.on_master_changed();
    }
    Lino.cbss.IdentifyPersonRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    person2420.on("change", function(){ this.save() }, this);
  }
});


Lino.polls.AnswerRemarks.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel polls-AnswerRemarks",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 134,
  initComponent : function() {
    var remark2475 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "My remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("My remark","(polls.AnswerRemarks.remark) ") }, "name": "remark", "selectOnFocus": true });
    var response2476 = new Lino.TwinCombo({ "allowBlank": false, "detail_action": "Lino.polls.Responses.detail", "emptyText": "Select a Response...", "fieldLabel": "Response", "flex": 50, "hidden": true, "hiddenName": "responseHidden", "insert_action": "Lino.polls.Responses.insert", "listeners": { "render": Lino.quicktip_renderer("Response","(polls.AnswerRemarks.response) ") }, "name": "response", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.polls.Responses.detail,Lino.polls.Responses.insert)}, "pageSize": 20, "related_actor_id": "polls.Responses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/AnswerRemarks/response" }) }) });
    var question2477 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "detail_action": "Lino.polls.Questions.detail", "emptyText": "Select a Question...", "fieldLabel": "Question", "flex": 50, "hidden": true, "hiddenName": "questionHidden", "listeners": { "render": Lino.quicktip_renderer("Question","(polls.AnswerRemarks.question) ") }, "name": "question", "pageSize": 20, "related_actor_id": "polls.Questions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/AnswerRemarks/question" }) }) });
    var main_2_panel2478 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hidden": true, "hideCheckBoxLabels": true, "items": [ response2476, question2477 ], "labelAlign": "top", "labelWidth": 81, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2479 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "flex": 83, "items": remark2475, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2478 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2479;
    this.before_row_edit = function(record) {
    }
    Lino.polls.AnswerRemarks.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-IdentifyPersonRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 107,
  initComponent : function() {
    var person2481 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(cbss.IdentifyPersonRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var national_id2482 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "National ID", "listeners": { "render": Lino.quicktip_renderer("National ID","(cbss.IdentifyPersonRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var main_1_panel2483 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": person2481, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": national_id2482, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name2486 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">First name</span>", "listeners": { "render": Lino.quicktip_renderer("First name","(cbss.IdentifyPersonRequests.first_name) Space-separated list of all first names.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name2487 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Middle name</span>", "listeners": { "render": Lino.quicktip_renderer("Middle name","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name2488 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Last name</span>", "listeners": { "render": Lino.quicktip_renderer("Last name","(cbss.IdentifyPersonRequests.last_name) Last name (family name).") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var p2_1_panel2489 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name2486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name2487, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name2488, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date2493 = new Lino.IncompleteDateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Birth date</span>", "listeners": { "render": Lino.quicktip_renderer("Birth date","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var tolerance2494 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Tolerance</span>", "listeners": { "render": Lino.quicktip_renderer("Tolerance","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "name": "tolerance", "selectOnFocus": true, "value": 0 });
    var gender2495 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gender", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Gender","(cbss.IdentifyPersonRequests.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var p2_2_panel2496 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": birth_date2493, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": tolerance2494, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": gender2495, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p2_panel2500 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ p2_1_panel2489, p2_2_panel2496 ], "labelAlign": "top", "layout": "form", "title": "Phonetic search" });
    var main_panel2501 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2483, p2_panel2500 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2501;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.IdentifyPersonRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.polls.AnswerRemarks.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel polls-AnswerRemarks",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 134,
  initComponent : function() {
    var remark2502 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "My remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("My remark","(polls.AnswerRemarks.remark) ") }, "name": "remark", "selectOnFocus": true });
    var response2503 = new Lino.TwinCombo({ "allowBlank": false, "detail_action": "Lino.polls.Responses.detail", "emptyText": "Select a Response...", "fieldLabel": "Response", "flex": 50, "hidden": true, "hiddenName": "responseHidden", "insert_action": "Lino.polls.Responses.insert", "listeners": { "render": Lino.quicktip_renderer("Response","(polls.AnswerRemarks.response) ") }, "name": "response", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.polls.Responses.detail,Lino.polls.Responses.insert)}, "pageSize": 20, "related_actor_id": "polls.Responses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/AnswerRemarks/response" }) }) });
    var question2504 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "detail_action": "Lino.polls.Questions.detail", "emptyText": "Select a Question...", "fieldLabel": "Question", "flex": 50, "hidden": true, "hiddenName": "questionHidden", "listeners": { "render": Lino.quicktip_renderer("Question","(polls.AnswerRemarks.question) ") }, "name": "question", "pageSize": 20, "related_actor_id": "polls.Questions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/AnswerRemarks/question" }) }) });
    var main_2_panel2505 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hidden": true, "hideCheckBoxLabels": true, "items": [ response2503, question2504 ], "labelAlign": "top", "labelWidth": 81, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2506 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "flex": 83, "items": remark2502, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2505 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2506;
    this.before_row_edit = function(record) {
    }
    Lino.polls.AnswerRemarks.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Jobs.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Jobs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 86,
  initComponent : function() {
    var name1326 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Jobs.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider1327 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Select a Job Provider...", "fieldLabel": "Job Provider", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Job Provider","(jobs.Jobs.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var contract_type1328 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Select a Art60\u00a77 job supplyment type...", "fieldLabel": "Contract Type", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Contract Type","(jobs.Jobs.contract_type) ") }, "name": "contract_type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var type1329 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Select a Job Type...", "fieldLabel": "Job Type", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Job Type","(jobs.Jobs.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var id1330 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Jobs.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel1331 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": name1326, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": provider1327, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": contract_type1328, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": type1329, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id1330, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector1337 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Select a Activity sector...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Activity sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Activity sector","(jobs.Jobs.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function1338 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Select a Job title...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Job title</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Job title","(jobs.Jobs.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var capacity1339 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "capacity", "listeners": { "render": Lino.quicktip_renderer("capacity","(jobs.Jobs.capacity) ") }, "name": "capacity", "selectOnFocus": true, "value": 1 });
    var hourly_rate1340 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "hourly rate", "listeners": { "render": Lino.quicktip_renderer("hourly rate","(jobs.Jobs.hourly_rate) ") }, "name": "hourly_rate", "selectOnFocus": true });
    var main_2_panel1341 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 35, "items": sector1337, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": function1338, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": capacity1339, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": hourly_rate1340, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark1346 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remark","(jobs.Jobs.remark) ") }, "name": "remark", "selectOnFocus": true });
    var CandidaturesByJob_grid1360 = new Lino.jobs.CandidaturesByJob.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Job Candidatures","(jobs.jobs.CandidaturesByJob) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByJob.grid) ] });
    var main_3_panel1361 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": remark1346, "labelAlign": "top", "layout": "form", "xtype": "panel" }, CandidaturesByJob_grid1360 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var ContractsByJob_grid1413 = new Lino.art60.ConventionsByJob.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art60\u00a77 conventions","(art60.art60.ConventionsByJob) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.art60.ConventionsByJob.grid) ] });
    var main_panel1414 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1331, main_2_panel1341, main_3_panel1361, ContractsByJob_grid1413 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1414;
    this.before_row_edit = function(record) {
      function1338.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      CandidaturesByJob_grid1360.on_master_changed();
      ContractsByJob_grid1413.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof sector1337 !== 'undefined' && sector1337.on('change',Lino.chooser_handler(function1338,'sector'));
      Lino.jobs.Jobs.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Jobs.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Regimes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Regimes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 65,
  initComponent : function() {
    var id2508 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Regimes.id) ") }, "name": "id", "selectOnFocus": true });
    var name2509 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cv.Regimes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2510 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cv.Regimes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2511 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cv.Regimes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2512 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cv.Regimes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2513 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id2508, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name2509, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl2510, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de2511, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en2512, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var jobs_ContractsByRegime_grid2548 = new Lino.art60.ConventionsByRegime.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art60\u00a77 conventions","(art60.art60.ConventionsByRegime) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.art60.ConventionsByRegime.grid) ] });
    var main_panel2549 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2513, jobs_ContractsByRegime_grid2548 ], "labelAlign": "top" });
    this.items = main_panel2549;
    this.before_row_edit = function(record) {
      jobs_ContractsByRegime_grid2548.on_master_changed();
    }
    Lino.cv.Regimes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Jobs.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel jobs-Jobs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 86,
  initComponent : function() {
    var name1415 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Jobs.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider1416 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Select a Job Provider...", "fieldLabel": "Job Provider", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Job Provider","(jobs.Jobs.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var main_1_panel1417 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": name1415, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": provider1416, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contract_type1420 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Select a Art60\u00a77 job supplyment type...", "fieldLabel": "Contract Type", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Contract Type","(jobs.Jobs.contract_type) ") }, "name": "contract_type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var type1421 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Select a Job Type...", "fieldLabel": "Job Type", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Job Type","(jobs.Jobs.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var main_2_panel1422 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": contract_type1420, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type1421, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector1425 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Select a Activity sector...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Activity sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Activity sector","(jobs.Jobs.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function1426 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Select a Job title...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Job title</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Job title","(jobs.Jobs.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var main_3_panel1427 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector1425, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function1426, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1430 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1417, main_2_panel1422, main_3_panel1427 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1430;
    this.before_row_edit = function(record) {
      function1426.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector1425 !== 'undefined' && sector1425.on('change',Lino.chooser_handler(function1426,'sector'));
      Lino.jobs.Jobs.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Jobs.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-AllUploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 22,
  initComponent : function() {
    var type2550 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Select a Upload type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload type</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload type","(uploads.AllUploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/type" }) }) });
    var description2551 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Description</span>", "listeners": { "render": Lino.quicktip_renderer("Description","(uploads.AllUploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var file2552 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">File</span>", "listeners": { "render": Lino.quicktip_renderer("File","(uploads.AllUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var volume2553 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Select a Library volume...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Library volume</span>", "hiddenName": "volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Library volume","(uploads.AllUploads.volume) A pointer to the library volume where this file is stored.") }, "name": "volume", "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/volume" }) }) });
    var library_file2554 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Library file</span>", "listeners": { "render": Lino.quicktip_renderer("Library file","(uploads.AllUploads.library_file) The path of this file, relative the volume's root.") }, "name": "library_file", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/library_file" }) }) });
    var main_4_panel2555 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": volume2553, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": library_file2554, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user2558 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Uploaded by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Uploaded by","(uploads.AllUploads.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }) });
    var main_panel2559 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": type2550, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": description2551, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": file2552, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel2555, { "anchor": "-20", "autoHeight": true, "items": user2558, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2559;
    this.before_row_edit = function(record) {
      type2550.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      library_file2554.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof volume2553 !== 'undefined' && volume2553.on('change',Lino.chooser_handler(library_file2554,'volume'));
      Lino.uploads.AllUploads.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.AllUploads.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel boards-Boards",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 41,
  initComponent : function() {
    var id2564 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(boards.Boards.id) ") }, "name": "id", "selectOnFocus": true });
    var name2565 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(boards.Boards.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2566 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(boards.Boards.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2567 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(boards.Boards.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2568 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(boards.Boards.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2569 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id2564, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name2565, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl2566, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de2567, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en2568, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2581 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2569 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2581;
    this.before_row_edit = function(record) {
    }
    Lino.boards.Boards.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel boards-Boards",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 41,
  initComponent : function() {
    var name2582 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(boards.Boards.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2583 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(boards.Boards.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2584 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(boards.Boards.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2585 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(boards.Boards.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2586 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name2582, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl2583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de2584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en2585, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2591 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2586 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel2591;
    this.before_row_edit = function(record) {
    }
    Lino.boards.Boards.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Checkers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel checkdata-Checkers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  disable_editing: true,
  initComponent : function() {
    var value2592 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "value", "listeners": { "render": Lino.quicktip_renderer("value","(checkdata.Checkers.value) ") }, "maxLength": 20, "name": "value" });
    var text2593 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "text", "listeners": { "render": Lino.quicktip_renderer("text","(checkdata.Checkers.text) ") }, "maxLength": 50, "name": "text" });
    var main_1_panel2594 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": value2592, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": text2593, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var checkdata_MessagesByChecker_grid2619 = new Lino.checkdata.MessagesByChecker.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Data problem messages","(checkdata.checkdata.MessagesByChecker) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.checkdata.MessagesByChecker.grid) ] });
    var main_panel2620 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2594, checkdata_MessagesByChecker_grid2619 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2620;
    this.before_row_edit = function(record) {
      checkdata_MessagesByChecker_grid2619.on_master_changed();
    }
    Lino.checkdata.Checkers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Enrolments.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel courses-Enrolments",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 100,
  initComponent : function() {
    var request_date2621 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date of request", "listeners": { "render": Lino.quicktip_renderer("Date of request","(courses.Enrolments.request_date) ") }, "name": "request_date", "selectOnFocus": true });
    var user2622 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(courses.Enrolments.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Enrolments/user" }) }) });
    var main_1_panel2623 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": request_date2621, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": user2622, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var course2626 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.courses.Activities.detail", "emptyText": "Select a Workshop...", "fieldLabel": "Workshop", "hiddenName": "courseHidden", "insert_action": "Lino.courses.Activities.insert", "listeners": { "render": Lino.quicktip_renderer("Workshop","(courses.Enrolments.course) ") }, "name": "course", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.courses.Activities.detail,Lino.courses.Activities.insert)}, "pageSize": 20, "related_actor_id": "courses.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Enrolments/course" }) }) });
    var pupil2627 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Participant", "forceSelection": false, "hiddenName": "pupilHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Participant","(courses.Enrolments.pupil) ") }, "name": "pupil", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Enrolments/pupil" }) }) });
    var main_2_panel2628 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": course2626, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": pupil2627, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark2631 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Remark", "listeners": { "render": Lino.quicktip_renderer("Remark","(courses.Enrolments.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var workflow_buttons_disp2632 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(courses.Enrolments.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var printed_disp2633 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(courses.Enrolments.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_3_panel2634 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": remark2631, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": workflow_buttons_disp2632, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": printed_disp2633, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var motivation2638 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Motif de l'orientation", "flex": 50, "name": "motivation", "selectOnFocus": true, "title": "Motif de l'orientation" });
    var problems2639 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es", "flex": 50, "name": "problems", "selectOnFocus": true, "title": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es" });
    var main_4_panel2640 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ motivation2638, problems2639 ], "labelAlign": "top", "labelWidth": 576, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel2641 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2623, main_2_panel2628, main_3_panel2634, main_4_panel2640 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2641;
    this.before_row_edit = function(record) {
      course2626.setContextValue('course_area', record ? record.data['course_areaHidden'] : undefined);
      course2626.setContextValue('request_date', record ? record.data['request_date'] : undefined);
      pupil2627.setContextValue('course', record ? record.data['courseHidden'] : undefined);
      motivation2638.refresh();
      problems2639.refresh();
    }
    this.onRender = function(ct, position) {
      typeof request_date2621 !== 'undefined' && request_date2621.on('change',Lino.chooser_handler(course2626,'request_date'));
      typeof course2626 !== 'undefined' && course2626.on('change',Lino.chooser_handler(pupil2627,'course'));
      Lino.courses.Enrolments.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.courses.Enrolments.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Durations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Durations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 66,
  initComponent : function() {
    var id2642 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Durations.id) ") }, "name": "id", "selectOnFocus": true });
    var name2643 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cv.Durations.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2644 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cv.Durations.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2645 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cv.Durations.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2646 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cv.Durations.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2647 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id2642, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name2643, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl2644, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de2645, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en2646, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2665 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2647 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2665;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Durations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Enrolments.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel courses-Enrolments",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 100,
  initComponent : function() {
    var request_date2666 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date of request", "listeners": { "render": Lino.quicktip_renderer("Date of request","(courses.Enrolments.request_date) ") }, "name": "request_date", "selectOnFocus": true });
    var user2667 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(courses.Enrolments.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Enrolments/user" }) }) });
    var main_1_panel2668 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": request_date2666, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": user2667, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var course2671 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.courses.Activities.detail", "emptyText": "Select a Workshop...", "fieldLabel": "Workshop", "hiddenName": "courseHidden", "insert_action": "Lino.courses.Activities.insert", "listeners": { "render": Lino.quicktip_renderer("Workshop","(courses.Enrolments.course) ") }, "name": "course", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.courses.Activities.detail,Lino.courses.Activities.insert)}, "pageSize": 20, "related_actor_id": "courses.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Enrolments/course" }) }) });
    var pupil2672 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Participant", "forceSelection": false, "hiddenName": "pupilHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Participant","(courses.Enrolments.pupil) ") }, "name": "pupil", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Enrolments/pupil" }) }) });
    var main_2_panel2673 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": course2671, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": pupil2672, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark2676 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Remark", "listeners": { "render": Lino.quicktip_renderer("Remark","(courses.Enrolments.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var main_panel2677 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2668, main_2_panel2673, { "anchor": "-20", "autoHeight": true, "items": remark2676, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2677;
    this.before_row_edit = function(record) {
      course2671.setContextValue('course_area', record ? record.data['course_areaHidden'] : undefined);
      course2671.setContextValue('request_date', record ? record.data['request_date'] : undefined);
      pupil2672.setContextValue('course', record ? record.data['courseHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof request_date2666 !== 'undefined' && request_date2666.on('change',Lino.chooser_handler(course2671,'request_date'));
      typeof course2671 !== 'undefined' && course2671.on('change',Lino.chooser_handler(pupil2672,'course'));
      Lino.courses.Enrolments.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.courses.Enrolments.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Calendars.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Calendars",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 29,
  initComponent : function() {
    var name2679 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cal.Calendars.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2680 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cal.Calendars.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2681 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cal.Calendars.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2682 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cal.Calendars.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var color2683 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">color</span>", "listeners": { "render": Lino.quicktip_renderer("color","(cal.Calendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "name": "color", "selectOnFocus": true });
    var id2684 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Calendars.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel2685 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": name2679, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "hidden": true, "items": name_nl2680, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name_de2681, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name_en2682, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": color2683, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id2684, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description2692 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Description", "flex": 52, "name": "description", "selectOnFocus": true, "title": "Description" });
    var SubscriptionsByCalendar_grid2700 = new Lino.cal.SubscriptionsByCalendar.GridPanel({ "containing_panel": this, "flex": 47, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Subscriptions","(cal.cal.SubscriptionsByCalendar) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.SubscriptionsByCalendar.grid) ] });
    var main_2_panel2701 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 83, "frame": false, "hideCheckBoxLabels": true, "items": [ description2692, SubscriptionsByCalendar_grid2700 ], "labelAlign": "top", "labelWidth": 108, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel2702 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2685, main_2_panel2701 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2702;
    this.before_row_edit = function(record) {
      description2692.refresh();
      SubscriptionsByCalendar_grid2700.on_master_changed();
    }
    Lino.cal.Calendars.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-SimpleConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 125,
  initComponent : function() {
    var start_date2703 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Period from", "listeners": { "render": Lino.quicktip_renderer("Period from","(aids.SimpleConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date2704 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "until", "listeners": { "render": Lino.quicktip_renderer("until","(aids.SimpleConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel2705 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date2703, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date2704, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company2708 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Organization)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Organization)","(aids.SimpleConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/company" }) }) });
    var contact_person2709 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Person)</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Person)","(aids.SimpleConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_person" }) }) });
    var language2710 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Language", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(aids.SimpleConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var main_2_panel2711 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company2708, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person2709, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language2710, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark2715 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Remark", "flex": 71, "name": "remark", "selectOnFocus": true, "title": "Remark" });
    var main_panel2716 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2705, main_2_panel2711, remark2715 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2716;
    this.before_row_edit = function(record) {
      contact_person2709.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark2715.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company2708 !== 'undefined' && company2708.on('change',Lino.chooser_handler(contact_person2709,'company'));
      Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Calendars.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Calendars",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 29,
  initComponent : function() {
    var name2717 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cal.Calendars.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2718 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cal.Calendars.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2719 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cal.Calendars.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2720 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cal.Calendars.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2721 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name2717, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl2718, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de2719, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en2720, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var color2726 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">color</span>", "listeners": { "render": Lino.quicktip_renderer("color","(cal.Calendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "name": "color", "selectOnFocus": true });
    var main_panel2727 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2721, { "anchor": "-20", "autoHeight": true, "items": color2726, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2727;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Calendars.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Schedules.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Schedules",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 81,
  initComponent : function() {
    var id2729 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Schedules.id) ") }, "name": "id", "selectOnFocus": true });
    var name2730 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(jobs.Schedules.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2731 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(jobs.Schedules.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2732 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(jobs.Schedules.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2733 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(jobs.Schedules.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2734 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id2729, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name2730, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl2731, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de2732, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en2733, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsBySchedule_grid2757 = new Lino.art60.ConventionsBySchedule.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art60\u00a77 conventions","(art60.art60.ConventionsBySchedule) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.art60.ConventionsBySchedule.grid) ] });
    var main_panel2758 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2734, ContractsBySchedule_grid2757 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2758;
    this.before_row_edit = function(record) {
      ContractsBySchedule_grid2757.on_master_changed();
    }
    Lino.jobs.Schedules.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-JobTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 88,
  initComponent : function() {
    var id2759 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.JobTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name2760 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation", "listeners": { "render": Lino.quicktip_renderer("Designation","(jobs.JobTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var main_1_panel2761 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": id2759, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": name2760, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var JobsByType_grid2777 = new Lino.jobs.JobsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Jobs","(jobs.jobs.JobsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.JobsByType.grid) ] });
    var main_panel2778 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2761, JobsByType_grid2777 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2778;
    this.before_row_edit = function(record) {
      JobsByType_grid2777.on_master_changed();
    }
    Lino.jobs.JobTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Slots.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel courses-Slots",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 97,
  initComponent : function() {
    var name2779 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(courses.Slots.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var start_time2780 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Start Time", "listeners": { "render": Lino.quicktip_renderer("Start Time","(courses.Slots.start_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time2781 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "End Time", "listeners": { "render": Lino.quicktip_renderer("End Time","(courses.Slots.end_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel2782 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 56, "items": name2779, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": start_time2780, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": end_time2781, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var courses_ActivitiesBySlot_grid2908 = new Lino.courses.ActivitiesBySlot.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Workshops","(courses.courses.ActivitiesBySlot) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.courses.ActivitiesBySlot.grid) ] });
    var main_panel2909 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2782, courses_ActivitiesBySlot_grid2908 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2909;
    this.before_row_edit = function(record) {
      courses_ActivitiesBySlot_grid2908.on_master_changed();
    }
    Lino.courses.Slots.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Sectors.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Sectors",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 67,
  initComponent : function() {
    var id2910 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Sectors.id) ") }, "name": "id", "selectOnFocus": true });
    var name2911 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cv.Sectors.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2912 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cv.Sectors.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2913 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cv.Sectors.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2914 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cv.Sectors.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2915 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id2910, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name2911, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl2912, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de2913, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en2914, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var remark2921 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remark","(cv.Sectors.remark) ") }, "name": "remark", "region": "center", "selectOnFocus": true });
    var main_2_panel2971 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": remark2921, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var cv_ExperiencesBySector_grid2994 = new Lino.cv.ExperiencesBySector.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Job Experiences","(cv.cv.ExperiencesBySector) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesBySector.grid) ] });
    var main_panel2995 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2915, main_2_panel2971, cv_ExperiencesBySector_grid2994 ], "labelAlign": "top" });
    this.items = main_panel2995;
    this.before_row_edit = function(record) {
      cv_ExperiencesBySector_grid2994.on_master_changed();
    }
    Lino.cv.Sectors.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.polls.ChoiceSets.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel polls-ChoiceSets",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 128,
  initComponent : function() {
    var name2996 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(polls.ChoiceSets.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2997 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(polls.ChoiceSets.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2998 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(polls.ChoiceSets.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2999 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(polls.ChoiceSets.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3000 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name2996, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl2997, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de2998, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en2999, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3016 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3000 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3016;
    this.before_row_edit = function(record) {
    }
    Lino.polls.ChoiceSets.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Slots.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel courses-Slots",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 97,
  initComponent : function() {
    var start_time3017 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Start Time", "listeners": { "render": Lino.quicktip_renderer("Start Time","(courses.Slots.start_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time3018 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "End Time", "listeners": { "render": Lino.quicktip_renderer("End Time","(courses.Slots.end_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel3019 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_time3017, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_time3018, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name3022 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(courses.Slots.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var main_panel3023 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3019, { "anchor": "-20", "autoHeight": true, "items": name3022, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3023;
    this.before_row_edit = function(record) {
    }
    Lino.courses.Slots.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Guests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 36,
  initComponent : function() {
    var event1224 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.OneEvent.detail", "emptyText": "Select a Calendar entry...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry</span>", "hiddenName": "eventHidden", "insert_action": "Lino.cal.OneEvent.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry","(cal.Guests.event) The calendar event to which this presence applies.") }, "name": "event", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.OneEvent.detail,Lino.cal.OneEvent.insert)}, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var client1225 = new Lino.TwinCombo({ "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "disabled": true, "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(cal.Guests.client) Virtual field which returns the partner if it is a client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var role1226 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Select a Guest role...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Role</span>", "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Role","(cal.Guests.role) The role of this partner in this presence.") }, "name": "role", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var main_1_panel1227 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": event1224, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": client1225, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": role1226, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var state1231 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("State","(cal.Guests.state) The state of this presence.  See GuestStates.") }, "name": "state", "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var remark1232 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Remark", "listeners": { "render": Lino.quicktip_renderer("Remark","(cal.Guests.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var workflow_buttons_disp1233 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Guests.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_2_panel1234 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": state1231, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": remark1232, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 49, "items": workflow_buttons_disp1233, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var waiting_since1238 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Waiting since</span>", "listeners": { "render": Lino.quicktip_renderer("Waiting since","(cal.Guests.waiting_since) Time when the visitor arrived (checked in).") }, "name": "waiting_since", "value": "<br>" });
    var busy_since1239 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Waiting until</span>", "listeners": { "render": Lino.quicktip_renderer("Waiting until","(cal.Guests.busy_since) Time when the visitor was received by agent.") }, "name": "busy_since", "value": "<br>" });
    var gone_since1240 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Present until</span>", "listeners": { "render": Lino.quicktip_renderer("Present until","(cal.Guests.gone_since) Time when the visitor left (checked out).") }, "name": "gone_since", "value": "<br>" });
    var main_3_panel1241 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": waiting_since1238, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": busy_since1239, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": gone_since1240, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1245 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1227, main_2_panel1234, main_3_panel1241 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1245;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Guests.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverview.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel utils-Report",
  layout: 'fit',
  auto_save: true,
  disable_editing: true,
  initComponent : function() {
    var body_htmlbox3025 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(utils.Report.body) ") }, "name": "body", "region": "center", "value": "<br/>" });
    var main_panel3026 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ body_htmlbox3025 ], "labelAlign": "top", "labelWidth": 0, "layout": "fit" });
    this.items = main_panel3026;
    this.before_row_edit = function(record) {
      body_htmlbox3025.refresh();
    }
    Lino.jobs.JobsOverview.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-AllUploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 22,
  initComponent : function() {
    var file3027 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">File</span>", "listeners": { "render": Lino.quicktip_renderer("File","(uploads.AllUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var user3028 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Uploaded by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Uploaded by","(uploads.AllUploads.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }) });
    var main_1_panel3029 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": file3027, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": user3028, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var volume3032 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Select a Library volume...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Library volume</span>", "hiddenName": "volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Library volume","(uploads.AllUploads.volume) A pointer to the library volume where this file is stored.") }, "name": "volume", "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/volume" }) }) });
    var library_file3033 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Library file</span>", "listeners": { "render": Lino.quicktip_renderer("Library file","(uploads.AllUploads.library_file) The path of this file, relative the volume's root.") }, "name": "library_file", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/library_file" }) }) });
    var main_2_panel3034 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": volume3032, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": library_file3033, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var upload_area3037 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload area</span>", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload area","(uploads.AllUploads.upload_area) The upload area this file belongs to.") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var type3038 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Select a Upload type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload type</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload type","(uploads.AllUploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/type" }) }) });
    var description3039 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Description</span>", "listeners": { "render": Lino.quicktip_renderer("Description","(uploads.AllUploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_3_panel3040 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": upload_area3037, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": type3038, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": description3039, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp3044 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Controlled by", "name": "owner" });
    var main_panel3045 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3029, main_2_panel3034, main_3_panel3040, { "anchor": "-20", "autoHeight": true, "items": owner_disp3044, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3045;
    this.before_row_edit = function(record) {
      library_file3033.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      type3038.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof volume3032 !== 'undefined' && volume3032.on('change',Lino.chooser_handler(library_file3033,'volume'));
      typeof upload_area3037 !== 'undefined' && upload_area3037.on('change',Lino.chooser_handler(type3038,'upload_area'));
      Lino.uploads.AllUploads.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.AllUploads.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Functions.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Functions",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 68,
  initComponent : function() {
    var id2930 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Functions.id) ") }, "name": "id", "selectOnFocus": true });
    var name2931 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cv.Functions.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl2932 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cv.Functions.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de2933 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cv.Functions.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en2934 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cv.Functions.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var sector2935 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Select a Activity sector...", "fieldLabel": "Activity sector", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Activity sector","(cv.Functions.sector) ") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Functions/sector" }) }) });
    var main_1_panel2936 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id2930, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": name2931, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "hidden": true, "items": name_nl2932, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": name_de2933, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": name_en2934, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": sector2935, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var remark2943 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remark","(cv.Functions.remark) ") }, "name": "remark", "selectOnFocus": true });
    var cv_ExperiencesByFunction_grid2965 = new Lino.cv.ExperiencesByFunction.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Job Experiences","(cv.cv.ExperiencesByFunction) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesByFunction.grid) ] });
    var main_panel2966 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2936, { "flex": 5, "items": remark2943, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, cv_ExperiencesByFunction_grid2965 ], "labelAlign": "top", "labelWidth": 0 });
    this.items = main_panel2966;
    this.before_row_edit = function(record) {
      cv_ExperiencesByFunction_grid2965.on_master_changed();
    }
    Lino.cv.Functions.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Topics.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel courses-Topics",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 98,
  initComponent : function() {
    var id3047 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(courses.Topics.id) ") }, "name": "id", "selectOnFocus": true });
    var name3048 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(courses.Topics.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3049 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(courses.Topics.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3050 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(courses.Topics.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3051 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(courses.Topics.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3052 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id3047, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name3048, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl3049, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de3050, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en3051, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var courses_LinesByTopic_grid3169 = new Lino.courses.LinesByTopic.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Workshop lines","(courses.courses.LinesByTopic) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.courses.LinesByTopic.grid) ] });
    var courses_ActivitiesByTopic_grid3212 = new Lino.courses.ActivitiesByTopic.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Workshops","(courses.courses.ActivitiesByTopic) Shows the courses of a given topic.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.courses.ActivitiesByTopic.grid) ] });
    var main_panel3213 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3052, courses_LinesByTopic_grid3169, courses_ActivitiesByTopic_grid3212 ], "labelAlign": "top" });
    this.items = main_panel3213;
    this.before_row_edit = function(record) {
      courses_LinesByTopic_grid3169.on_master_changed();
      courses_ActivitiesByTopic_grid3212.on_master_changed();
    }
    Lino.courses.Topics.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-Uploads",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 22,
  initComponent : function() {
    var user1093 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Uploaded by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Uploaded by","(uploads.Uploads.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }) });
    var project1094 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var id1095 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(uploads.Uploads.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel1096 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": user1093, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": project1094, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": id1095, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1100 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Select a Upload type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload type</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload type","(uploads.Uploads.type) The type of this upload.") }, "name": "type", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var description1101 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Description</span>", "listeners": { "render": Lino.quicktip_renderer("Description","(uploads.Uploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var start_date1102 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Valid from", "listeners": { "render": Lino.quicktip_renderer("Valid from","(uploads.Uploads.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date1103 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Valid until</span>", "listeners": { "render": Lino.quicktip_renderer("Valid until","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed1104 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Needed", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Needed","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_2_panel1105 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type1100, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": description1101, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": start_date1102, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": end_date1103, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": needed1104, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company1111 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Issued by (Organization)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Issued by (Organization)","(uploads.Uploads.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/company" }) }) });
    var contact_person1112 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Issued by (Person)</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Issued by (Person)","(uploads.Uploads.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_person" }) }) });
    var contact_role1113 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Function...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(uploads.Uploads.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_role" }) }) });
    var main_3_panel1114 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company1111, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person1112, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role1113, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var file1118 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">File</span>", "listeners": { "render": Lino.quicktip_renderer("File","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var owner_disp1119 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Controlled by", "name": "owner" });
    var main_4_panel1120 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 67, "items": file1118, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": owner_disp1119, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark1123 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remark","(uploads.Uploads.remark) ") }, "name": "remark", "selectOnFocus": true });
    var cal_TasksByController_grid1175 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 65, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Tasks","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var main_5_panel1176 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 55, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 34, "items": remark1123, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cal_TasksByController_grid1175 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel1178 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1096, main_2_panel1105, main_3_panel1114, main_4_panel1120, main_5_panel1176 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1178;
    this.before_row_edit = function(record) {
      type1100.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      contact_person1112.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      cal_TasksByController_grid1175.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company1111 !== 'undefined' && company1111.on('change',Lino.chooser_handler(contact_person1112,'company'));
      Lino.uploads.Uploads.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.Uploads.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art61-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 91,
  initComponent : function() {
    var id3214 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art61.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3215 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(art61.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3216 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(art61.ContractTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3217 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(art61.ContractTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3218 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(art61.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref3219 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reference</span>", "listeners": { "render": Lino.quicktip_renderer("Reference","(art61.ContractTypes.ref) The reference. This must be either empty or unique.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var overlap_group3220 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Overlap group</span>", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Overlap group","(art61.ContractTypes.overlap_group) The overlap group to use when checking whether two contracts are\noverlapping or not. If this field is empty, Lino does not check at all\nfor overlapping contracts.") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var main_1_panel3221 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 3, "items": id3214, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": name3215, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "hidden": true, "items": name_nl3216, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": name_de3217, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": name_en3218, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": ref3219, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": overlap_group3220, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsByType_grid3270 = new Lino.art61.ContractsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art61 job supplyments","(art61.art61.ContractsByType) Base for contract tables. Defines the following parameter fields:") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.art61.ContractsByType.grid) ] });
    var main_panel3271 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3221, ContractsByType_grid3270 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3271;
    this.before_row_edit = function(record) {
      ContractsByType_grid3270.on_master_changed();
    }
    Lino.art61.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NotesByProject.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-NotesByX",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 121,
  initComponent : function() {
    var event_type3272 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Select a Event Type...", "fieldLabel": "Event Type (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Event Type (Form)","(notes.NotesByX.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/event_type" }) }) });
    var type3273 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Select a Note Type...", "fieldLabel": "Note Type (Content)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Note Type (Content)","(notes.NotesByX.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/type" }) }) });
    var main_1_panel3274 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type3272, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type3273, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subject3277 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Subject", "listeners": { "render": Lino.quicktip_renderer("Subject","(notes.NotesByX.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project3278 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(notes.NotesByX.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/project" }) }) });
    var main_panel3279 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3274, { "anchor": "-20", "autoHeight": true, "items": subject3277, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project3278, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3279;
    this.before_row_edit = function(record) {
    }
    Lino.notes.NotesByProject.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Lines.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel courses-Lines",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 101,
  initComponent : function() {
    var id3083 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(courses.Lines.id) ") }, "name": "id", "selectOnFocus": true });
    var name3084 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(courses.Lines.name) The designation of this activity line as seen by the user\ne.g. when selecting the line.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3085 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(courses.Lines.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3086 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(courses.Lines.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3087 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(courses.Lines.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref3088 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reference</span>", "listeners": { "render": Lino.quicktip_renderer("Reference","(courses.Lines.ref) The reference. This must be either empty or unique.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var main_1_panel3089 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 3, "items": id3083, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name3084, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "hidden": true, "items": name_nl3085, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name_de3086, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name_en3087, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": ref3088, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3096 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organization</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organization","(courses.Lines.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/company" }) }) });
    var contact_person3097 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(courses.Lines.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/contact_person" }) }) });
    var main_2_panel3098 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": company3096, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": contact_person3097, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var course_area3101 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Layout</span>", "forceSelection": true, "hiddenName": "course_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Layout","(courses.Lines.course_area) Pointer to ActivityLayouts.  This is used only when an\napplication defines several variants of\nEnrolmentsByPupil.") }, "name": "course_area", "selectOnFocus": true, "store": Lino.courses.ActivityLayouts });
    var topic3102 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.courses.Topics.detail", "emptyText": "Select a Topic...", "fieldLabel": "Topic", "hiddenName": "topicHidden", "listeners": { "render": Lino.quicktip_renderer("Topic","(courses.Lines.topic) ") }, "name": "topic", "pageSize": 20, "related_actor_id": "courses.Topics", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/topic" }) }) });
    var body_template3103 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Body template</span>", "listeners": { "render": Lino.quicktip_renderer("Body template","(courses.Lines.body_template) The body template to use when printing a course of this series. Leave empty to use the site's default.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/body_template" }) }) });
    var main_3_panel3104 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": course_area3101, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 46, "items": topic3102, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": body_template3103, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var event_type3108 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry type","(courses.Lines.event_type) The type of calendar entries to be generated. If this is empty, no calendar entries will be generated.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/event_type" }) }) });
    var guest_role3109 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Select a Guest role...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Manage presences as</span>", "hiddenName": "guest_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Manage presences as","(courses.Lines.guest_role) The default guest role for particpants of calendar entries for activities in this series. Leave empty if you don't want any presences management.") }, "name": "guest_role", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/guest_role" }) }) });
    var every_unit3110 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Recurrency", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Recurrency","(courses.Lines.every_unit) ") }, "name": "every_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every3111 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Repeat every", "listeners": { "render": Lino.quicktip_renderer("Repeat every","(courses.Lines.every) ") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var main_4_panel3112 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": event_type3108, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": guest_role3109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": every_unit3110, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": every3111, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var excerpt_title3117 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt title</span>", "listeners": { "render": Lino.quicktip_renderer("Excerpt title","(courses.Lines.excerpt_title) The title to be used when printing an excerpt.") }, "maxLength": 200, "name": "excerpt_title", "selectOnFocus": true });
    var excerpt_title_nl3118 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Excerpt title (nl)","(courses.Lines.excerpt_title_nl) ") }, "maxLength": 200, "name": "excerpt_title_nl", "selectOnFocus": true });
    var excerpt_title_de3119 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (de)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (de)","(courses.Lines.excerpt_title_de) ") }, "maxLength": 200, "name": "excerpt_title_de", "selectOnFocus": true });
    var excerpt_title_en3120 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (en)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (en)","(courses.Lines.excerpt_title_en) ") }, "maxLength": 200, "name": "excerpt_title_en", "selectOnFocus": true });
    var main_5_panel3121 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": excerpt_title3117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": excerpt_title_nl3118, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": excerpt_title_de3119, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": excerpt_title_en3120, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description3126 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description","(courses.Lines.description) ") }, "name": "description", "selectOnFocus": true });
    var description_nl3127 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description (nl)", "growMax": 2000, "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Description (nl)","(courses.Lines.description_nl) ") }, "name": "description_nl", "selectOnFocus": true });
    var description_de3128 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description (de)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description (de)","(courses.Lines.description_de) ") }, "name": "description_de", "selectOnFocus": true });
    var description_en3129 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description (en)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description (en)","(courses.Lines.description_en) ") }, "name": "description_en", "selectOnFocus": true });
    var main_6_panel3130 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 25, "items": description3126, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 25, "hidden": true, "items": description_nl3127, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 25, "items": description_de3128, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 25, "items": description_en3129, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel3135 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3089, main_2_panel3098, main_3_panel3104, main_4_panel3112, main_5_panel3121, main_6_panel3130 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3135;
    this.before_row_edit = function(record) {
      contact_person3097.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company3096 !== 'undefined' && company3096.on('change',Lino.chooser_handler(contact_person3097,'company'));
      Lino.courses.Lines.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.courses.Lines.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel art61-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 92,
  initComponent : function() {
    var client1793 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(art61.Contracts.client) The client for whom this contract is done.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var company1794 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Employers.detail", "emptyText": "Select a Employer...", "fieldLabel": "Employer", "hiddenName": "companyHidden", "insert_action": "Lino.jobs.Employers.insert", "listeners": { "render": Lino.quicktip_renderer("Employer","(art61.Contracts.company) ") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Employers.detail,Lino.jobs.Employers.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Employers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var type1795 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Select a Art61 job supplyment type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Type</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type","(art61.Contracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var main_panel1796 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client1793, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": company1794, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type1795, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1796;
    this.before_row_edit = function(record) {
    }
    Lino.art61.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Experiences.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Experiences",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 69,
  initComponent : function() {
    var person2238 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Person</span>", "hiddenName": "personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Person","(cv.Experiences.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/person" }) }) });
    var company2239 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Company", "listeners": { "render": Lino.quicktip_renderer("Company","(cv.Experiences.company) ") }, "maxLength": 200, "name": "company", "selectOnFocus": true });
    var country2240 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "Country", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Country","(cv.Experiences.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/country" }) }) });
    var city2241 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Select a Place...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Locality</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Locality","(cv.Experiences.city) The locality, i.e. usually a village, city or town.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/city" }) }) });
    var main_1_panel2242 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": person2238, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": company2239, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": country2240, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": city2241, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector2247 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Select a Activity sector...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Activity sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Activity sector","(cv.Experiences.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/sector" }) }) });
    var function2248 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Select a Job title...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Job title</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Job title","(cv.Experiences.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/function" }) }) });
    var title2249 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Job title", "listeners": { "render": Lino.quicktip_renderer("Job title","(cv.Experiences.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_2_panel2250 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": sector2247, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": function2248, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": title2249, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var status2254 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Statuses.detail", "emptyText": "Select a Status...", "fieldLabel": "Status", "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Status","(cv.Experiences.status) ") }, "name": "status", "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/status" }) }) });
    var duration2255 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Durations.detail", "emptyText": "Select a Contract Duration...", "fieldLabel": "Contract Duration", "hiddenName": "durationHidden", "listeners": { "render": Lino.quicktip_renderer("Contract Duration","(cv.Experiences.duration) ") }, "name": "duration", "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/duration" }) }) });
    var regime2256 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Select a Work Regime...", "fieldLabel": "Work Regime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Work Regime","(cv.Experiences.regime) ") }, "name": "regime", "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/regime" }) }) });
    var is_training2257 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Training", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Training","(cv.Experiences.is_training) ") }, "name": "is_training", "selectOnFocus": true });
    var main_3_panel2258 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": status2254, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": duration2255, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": regime2256, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_training2257, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date2263 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cv.Experiences.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date2264 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End date</span>", "listeners": { "render": Lino.quicktip_renderer("End date","(cv.Experiences.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text2265 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Duration</span>", "listeners": { "render": Lino.quicktip_renderer("Duration","(cv.Experiences.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var termination_reason2266 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Termination reason", "listeners": { "render": Lino.quicktip_renderer("Termination reason","(cv.Experiences.termination_reason) ") }, "maxLength": 200, "name": "termination_reason", "selectOnFocus": true });
    var main_4_panel2267 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date2263, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date2264, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": duration_text2265, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": termination_reason2266, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks2272 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remarks", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remarks","(cv.Experiences.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var main_panel2273 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2242, main_2_panel2250, main_3_panel2258, main_4_panel2267, { "flex": 55, "items": remarks2272, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2273;
    this.before_row_edit = function(record) {
      city2241.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      function2248.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country2240 !== 'undefined' && country2240.on('change',Lino.chooser_handler(city2241,'country'));
      typeof sector2247 !== 'undefined' && sector2247.on('change',Lino.chooser_handler(function2248,'sector'));
      Lino.cv.Experiences.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Experiences.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city2241.on("change", function(){ this.save() }, this);
  }
});


Lino.aids.RefundConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-RefundConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 127,
  initComponent : function() {
    var id3282 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.RefundConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var client3283 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(aids.RefundConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }) });
    var user3284 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(aids.RefundConfirmations.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }) });
    var signer3285 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Signer", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Signer","(aids.RefundConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var workflow_buttons_disp3286 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.RefundConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel3287 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id3282, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client3283, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user3284, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer3285, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp3286, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting3293 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Select a Aid granting...", "fieldLabel": "Aid granting", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Aid granting","(aids.RefundConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/granting" }) }) });
    var start_date3294 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Period from", "listeners": { "render": Lino.quicktip_renderer("Period from","(aids.RefundConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3295 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "until", "listeners": { "render": Lino.quicktip_renderer("until","(aids.RefundConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel3296 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": granting3293, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": start_date3294, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": end_date3295, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var doctor_type3300 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Select a Client Contact type...", "fieldLabel": "Doctor type", "hiddenName": "doctor_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Doctor type","(aids.RefundConfirmations.doctor_type) ") }, "name": "doctor_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor_type" }) }) });
    var doctor3301 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "Doctor", "forceSelection": false, "hiddenName": "doctorHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Doctor","(aids.RefundConfirmations.doctor) ") }, "name": "doctor", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor" }) }) });
    var pharmacy3302 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "Pharmacy", "hiddenName": "pharmacyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Pharmacy","(aids.RefundConfirmations.pharmacy) ") }, "name": "pharmacy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/pharmacy" }) }) });
    var main_3_panel3303 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": doctor_type3300, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": doctor3301, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": pharmacy3302, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3307 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Organization)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Organization)","(aids.RefundConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/company" }) }) });
    var contact_person3308 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Person)</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Person)","(aids.RefundConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_person" }) }) });
    var language3309 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Language", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(aids.RefundConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var printed_disp3310 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(aids.RefundConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_4_panel3311 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company3307, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person3308, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language3309, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp3310, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3316 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Remark", "flex": 38, "name": "remark", "selectOnFocus": true, "title": "Remark" });
    var main_panel3317 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3287, main_2_panel3296, main_3_panel3303, main_4_panel3311, remark3316 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3317;
    this.before_row_edit = function(record) {
      doctor3301.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      pharmacy3302.setContextValue('granting', record ? record.data['grantingHidden'] : undefined);
      contact_person3308.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark3316.refresh();
    }
    this.onRender = function(ct, position) {
      typeof doctor_type3300 !== 'undefined' && doctor_type3300.on('change',Lino.chooser_handler(doctor3301,'doctor_type'));
      typeof granting3293 !== 'undefined' && granting3293.on('change',Lino.chooser_handler(pharmacy3302,'granting'));
      typeof company3307 !== 'undefined' && company3307.on('change',Lino.chooser_handler(contact_person3308,'company'));
      Lino.aids.RefundConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.RefundConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel contacts-Companies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 9,
  initComponent : function() {
    var name3318 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var email3319 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">e-mail address</span>", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(contacts.Companies.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var type3320 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Legal form...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Legal form</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Legal form","(contacts.Companies.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var main_panel3321 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name3318, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email3319, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type3320, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3321;
    this.before_row_edit = function(record) {
    }
    Lino.contacts.Companies.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Companies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 9,
  initComponent : function() {
    var overview_htmlbox3325 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Companies.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix3326 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(contacts.Companies.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name3327 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel3328 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix3326, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name3327, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type3331 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Legal form...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Legal form</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Legal form","(contacts.Companies.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var vat_id3332 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">VAT id</span>", "listeners": { "render": Lino.quicktip_renderer("VAT id","(contacts.Companies.vat_id) The VAT id used to identify this business partner.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel3333 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type3331, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id3332, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type3336 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Select a Client Contact type...", "fieldLabel": "Client Contact type", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Client Contact type","(contacts.Companies.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/client_contact_type" }) }) });
    var url3337 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "URL", "listeners": { "render": Lino.quicktip_renderer("URL","(contacts.Companies.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel3338 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel3328, general2_2_panel3333, { "anchor": "-20", "autoHeight": true, "items": client_contact_type3336, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url3337, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email3341 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">e-mail address</span>", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(contacts.Companies.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone3342 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Phone</span>", "listeners": { "render": Lino.quicktip_renderer("Phone","(contacts.Companies.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm3343 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mobile</span>", "listeners": { "render": Lino.quicktip_renderer("Mobile","(contacts.Companies.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax3344 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Companies.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel3345 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email3341, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone3342, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm3343, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax3344, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel3350 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox3325, general2_panel3338, general3_panel3345 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid3351 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Contact persons","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel3352 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3350, contacts_RolesByCompany_grid3351 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var addresses_AddressesByPartner_grid3420 = new Lino.addresses.AddressesByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Addresses","(addresses.addresses.AddressesByPartner) Shows all addresses of this partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.addresses.AddressesByPartner.grid) ] });
    var remarks3421 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remarks", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remarks","(contacts.Companies.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var contact_panel3422 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ addresses_AddressesByPartner_grid3420, { "flex": 5, "items": remarks3421, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "listeners": { "activate": Lino.on_tab_activate }, "title": "Contact" });
    var notes_NotesByCompany_htmlbox3424 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "name": "notes.NotesByCompany", "title": "Events/Notes", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByCompany.grid) ], "value": "<br/>" });
    var id3425 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Companies.id) ") }, "name": "id", "selectOnFocus": true });
    var language3426 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(contacts.Companies.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var activity3427 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a activity...", "fieldLabel": "activity", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("activity","(contacts.Companies.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/activity" }) }) });
    var is_obsolete3428 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "obsolete", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("obsolete","(contacts.Companies.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var misc_1_panel3429 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": id3425, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": language3426, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": activity3427, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": is_obsolete3428, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var created3434 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Created</span>", "listeners": { "render": Lino.quicktip_renderer("Created","(contacts.Companies.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified3435 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modified</span>", "listeners": { "render": Lino.quicktip_renderer("Modified","(contacts.Companies.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_2_panel3436 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": created3434, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": modified3435, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid3439 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Appointments","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var misc_panel3440 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel3429, misc_2_panel3436, reception_AppointmentsByPartner_grid3439 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Miscellaneous" });
    var main_panel3441 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3352, contact_panel3422, notes_NotesByCompany_htmlbox3424, misc_panel3440 ], "labelAlign": "top", "split": true });
    this.items = main_panel3441;
    this.before_row_edit = function(record) {
      overview_htmlbox3325.refresh();
      contacts_RolesByCompany_grid3351.on_master_changed();
      addresses_AddressesByPartner_grid3420.on_master_changed();
      notes_NotesByCompany_htmlbox3424.refresh();
      reception_AppointmentsByPartner_grid3439.on_master_changed();
    }
    Lino.contacts.Companies.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.countries.Countries.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel countries-Countries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 2,
  initComponent : function() {
    var isocode3442 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ISO code</span>", "listeners": { "render": Lino.quicktip_renderer("ISO code","(countries.Countries.isocode) The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.") }, "maxLength": 4, "name": "isocode", "selectOnFocus": true });
    var name3443 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(countries.Countries.name) The designation of this country.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3444 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(countries.Countries.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3445 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(countries.Countries.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3446 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(countries.Countries.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var short_code3447 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Short code</span>", "listeners": { "render": Lino.quicktip_renderer("Short code","(countries.Countries.short_code) A short abbreviation for regional usage. Obsolete.") }, "maxLength": 4, "name": "short_code", "selectOnFocus": true });
    var inscode3448 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Countries.inscode) The official code for this country used by statbel.fgov.be") }, "maxLength": 3, "name": "inscode", "selectOnFocus": true });
    var actual_country3449 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Actual country</span>", "hiddenName": "actual_countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Actual country","(countries.Countries.actual_country) Select the actual country if this row represents a refugee status or a former country.") }, "name": "actual_country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Countries/actual_country" }) }) });
    var main_1_panel3450 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": isocode3442, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name3443, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "hidden": true, "items": name_nl3444, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name_de3445, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name_en3446, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": short_code3447, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": inscode3448, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": actual_country3449, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var countries_PlacesByCountry_grid3608 = new Lino.countries.PlacesByCountry.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Places","(countries.countries.PlacesByCountry) The table of known geographical places.\nA geographical place can be a city, a town, a suburb,\na province, a lake... any named geographic entity,\nexcept for countries because these have their own table.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.countries.PlacesByCountry.grid) ] });
    var cv_StudiesByCountry_grid3627 = new Lino.cv.StudiesByCountry.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studies","(cv.cv.StudiesByCountry) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByCountry.grid) ] });
    var main_2_panel3628 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 83, "frame": false, "hideCheckBoxLabels": true, "items": [ countries_PlacesByCountry_grid3608, cv_StudiesByCountry_grid3627 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel3629 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3450, main_2_panel3628 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3629;
    this.before_row_edit = function(record) {
      countries_PlacesByCountry_grid3608.on_master_changed();
      cv_StudiesByCountry_grid3627.on_master_changed();
    }
    Lino.countries.Countries.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Messages.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel checkdata-Messages",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 16,
  disable_editing: true,
  initComponent : function() {
    var checker2605 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Checker", "forceSelection": true, "hiddenName": "checkerHidden", "listeners": { "render": Lino.quicktip_renderer("Checker","(checkdata.Messages.checker) ") }, "name": "checker", "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var owner_disp2606 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Database object", "name": "owner" });
    var message2607 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Message text", "listeners": { "render": Lino.quicktip_renderer("Message text","(checkdata.Messages.message) ") }, "maxLength": 250, "name": "message", "selectOnFocus": true });
    var user2608 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Responsible</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible","(checkdata.Messages.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Messages/user" }) }) });
    var id2609 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(checkdata.Messages.id) ") }, "name": "id", "selectOnFocus": true });
    var main_4_panel2610 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": user2608, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": id2609, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2613 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": checker2605, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": owner_disp2606, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": message2607, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel2610 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2613;
    this.before_row_edit = function(record) {
    }
    Lino.checkdata.Messages.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Countries.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel countries-Countries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 2,
  initComponent : function() {
    var isocode3630 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ISO code</span>", "listeners": { "render": Lino.quicktip_renderer("ISO code","(countries.Countries.isocode) The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.") }, "maxLength": 4, "name": "isocode", "selectOnFocus": true });
    var inscode3631 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Countries.inscode) The official code for this country used by statbel.fgov.be") }, "maxLength": 3, "name": "inscode", "selectOnFocus": true });
    var main_1_panel3632 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": isocode3630, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": inscode3631, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name3635 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(countries.Countries.name) The designation of this country.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3636 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(countries.Countries.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3637 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(countries.Countries.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3638 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(countries.Countries.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel3639 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name3635, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl3636, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de3637, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en3638, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3644 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3632, main_2_panel3639 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3644;
    this.before_row_edit = function(record) {
    }
    Lino.countries.Countries.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.GrantingsByClient.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-GrantingsByClient",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 124,
  initComponent : function() {
    var aid_type3645 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Select a Aid Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aid Type</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Aid Type","(aids.GrantingsByClient.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/aid_type" }) }) });
    var board3646 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Select a Board...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Board</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Board","(aids.GrantingsByClient.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/board" }) }) });
    var decision_date3647 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Decided", "listeners": { "render": Lino.quicktip_renderer("Decided","(aids.GrantingsByClient.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_2_panel3648 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": board3646, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": decision_date3647, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date3651 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Applies from", "listeners": { "render": Lino.quicktip_renderer("Applies from","(aids.GrantingsByClient.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3652 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "until", "listeners": { "render": Lino.quicktip_renderer("until","(aids.GrantingsByClient.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_3_panel3653 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date3651, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date3652, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3656 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": aid_type3645, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel3648, main_3_panel3653 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3656;
    this.before_row_edit = function(record) {
      board3646.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof decision_date3647 !== 'undefined' && decision_date3647.on('change',Lino.chooser_handler(board3646,'decision_date'));
      Lino.aids.GrantingsByClient.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.GrantingsByClient.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.EducationLevels.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-EducationLevels",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 60,
  initComponent : function() {
    var name3658 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cv.EducationLevels.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3659 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cv.EducationLevels.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3660 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cv.EducationLevels.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3661 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cv.EducationLevels.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var is_study3662 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Study", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Study","(cv.EducationLevels.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training3663 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Training", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Training","(cv.EducationLevels.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_1_panel3664 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": name3658, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "hidden": true, "items": name_nl3659, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": name_de3660, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": name_en3661, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": is_study3662, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": is_training3663, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var StudiesByLevel_grid3868 = new Lino.cv.StudiesByLevel.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studies","(cv.cv.StudiesByLevel) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByLevel.grid) ] });
    var main_panel3869 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3664, StudiesByLevel_grid3868 ], "labelAlign": "top" });
    this.items = main_panel3869;
    this.before_row_edit = function(record) {
      StudiesByLevel_grid3868.on_master_changed();
    }
    Lino.cv.EducationLevels.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.changes.Changes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel changes-Changes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 15,
  disable_editing: true,
  initComponent : function() {
    var time2039 = new Ext.form.DisplayField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "time", "listeners": { "render": Lino.quicktip_renderer("time","(changes.Changes.time) ") }, "name": "time", "selectOnFocus": true, "value": "<br>" });
    var user2040 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "User", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("User","(changes.Changes.user) ") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/user" }) }) });
    var type2041 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Change Type", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Change Type","(changes.Changes.type) ") }, "name": "type", "selectOnFocus": true, "store": Lino.changes.ChangeTypes });
    var master_disp2042 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Master</span>", "name": "master" });
    var object_disp2043 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Object</span>", "name": "object" });
    var id2044 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(changes.Changes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel2045 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": time2039, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": user2040, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": type2041, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": master_disp2042, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": object_disp2043, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id2044, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var diff2052 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Changes", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Changes","(changes.Changes.diff) ") }, "name": "diff" });
    var main_panel2053 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2045, { "flex": 83, "items": diff2052, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2053;
    this.before_row_edit = function(record) {
    }
    Lino.changes.Changes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.polls.Questions.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel polls-Questions",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 131,
  initComponent : function() {
    var poll3870 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.polls.Polls.detail", "emptyText": "Select a Poll...", "fieldLabel": "Poll", "hiddenName": "pollHidden", "insert_action": "Lino.polls.Polls.insert", "listeners": { "render": Lino.quicktip_renderer("Poll","(polls.Questions.poll) ") }, "name": "poll", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.polls.Polls.detail,Lino.polls.Polls.insert)}, "pageSize": 20, "related_actor_id": "polls.Polls", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Questions/poll" }) }) });
    var number3871 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">No.</span>", "listeners": { "render": Lino.quicktip_renderer("No.","(polls.Questions.number) The number of this question within this poll.") }, "maxLength": 20, "name": "number", "selectOnFocus": true });
    var is_heading3872 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Heading", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Heading","(polls.Questions.is_heading) ") }, "name": "is_heading", "selectOnFocus": true });
    var choiceset3873 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.polls.ChoiceSets.detail", "emptyText": "Select a Choice Set...", "fieldLabel": "Choice Set", "hiddenName": "choicesetHidden", "listeners": { "render": Lino.quicktip_renderer("Choice Set","(polls.Questions.choiceset) ") }, "name": "choiceset", "pageSize": 20, "related_actor_id": "polls.ChoiceSets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Questions/choiceset" }) }) });
    var multiple_choices3874 = new Ext.form.Checkbox({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxLabel": "Allow multiple choices", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Allow multiple choices","(polls.Questions.multiple_choices) ") }, "name": "multiple_choices", "selectOnFocus": true });
    var main_1_panel3875 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": poll3870, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": number3871, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": is_heading3872, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": choiceset3873, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": multiple_choices3874, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var title3881 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Title", "listeners": { "render": Lino.quicktip_renderer("Title","(polls.Questions.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var details3882 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Details", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Details","(polls.Questions.details) ") }, "name": "details", "selectOnFocus": true });
    var AnswersByQuestion_grid3888 = new Lino.polls.AnswersByQuestion.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Answers","(polls.polls.AnswersByQuestion) The rows of this table are volatile AnswersByQuestionRow\ninstances.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.polls.AnswersByQuestion.grid) ] });
    var main_panel3889 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3875, { "autoHeight": true, "items": title3881, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 41, "items": details3882, "labelAlign": "top", "layout": "form", "xtype": "panel" }, AnswersByQuestion_grid3888 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3889;
    this.before_row_edit = function(record) {
      AnswersByQuestion_grid3888.on_master_changed();
    }
    Lino.polls.Questions.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudyTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-StudyTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 61,
  initComponent : function() {
    var name3680 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cv.StudyTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3681 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cv.StudyTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3682 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cv.StudyTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3683 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cv.StudyTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id3684 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.StudyTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel3685 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": name3680, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl3681, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de3682, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en3683, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id3684, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level3691 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Select a Education Level...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Education Level</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Education Level","(cv.StudyTypes.education_level) Pointer to EducationLevel.") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypes/education_level" }) }) });
    var is_study3692 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Study", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Study","(cv.StudyTypes.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training3693 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Training", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Training","(cv.StudyTypes.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_2_panel3694 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": education_level3691, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_study3692, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_training3693, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cv_StudiesByType_grid3716 = new Lino.cv.StudiesByType.GridPanel({ "containing_panel": this, "flex": 29, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studies","(cv.cv.StudiesByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByType.grid) ] });
    var cv_TrainingsByType_grid3795 = new Lino.cv.TrainingsByType.GridPanel({ "containing_panel": this, "flex": 29, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Trainings","(cv.cv.TrainingsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.TrainingsByType.grid) ] });
    var isip_ContractsByStudyType_grid3828 = new Lino.isip.ContractsByStudyType.GridPanel({ "containing_panel": this, "flex": 29, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("ISIPs","(isip.isip.ContractsByStudyType) Base for contract tables. Defines the following parameter fields:") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByStudyType.grid) ] });
    var main_panel3829 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3685, main_2_panel3694, cv_StudiesByType_grid3716, cv_TrainingsByType_grid3795, isip_ContractsByStudyType_grid3828 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3829;
    this.before_row_edit = function(record) {
      cv_StudiesByType_grid3716.on_master_changed();
      cv_TrainingsByType_grid3795.on_master_changed();
      isip_ContractsByStudyType_grid3828.on_master_changed();
    }
    Lino.cv.StudyTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-IncomeConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 126,
  initComponent : function() {
    var client3892 = new Lino.TwinCombo({ "allowBlank": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "flex": 44, "hidden": true, "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(aids.IncomeConfirmationsByGranting.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/client" }) }) });
    var granting3893 = new Lino.TwinCombo({ "allowBlank": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Select a Aid granting...", "fieldLabel": "Aid granting", "flex": 55, "hidden": true, "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Aid granting","(aids.IncomeConfirmationsByGranting.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/granting" }) }) });
    var main_1_panel3894 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hidden": true, "hideCheckBoxLabels": true, "items": [ client3892, granting3893 ], "labelAlign": "top", "labelWidth": 117, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date3895 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Period from", "listeners": { "render": Lino.quicktip_renderer("Period from","(aids.IncomeConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3896 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "until", "listeners": { "render": Lino.quicktip_renderer("until","(aids.IncomeConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel3897 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date3895, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date3896, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var category3900 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Select a Category...", "fieldLabel": "Category", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Category","(aids.IncomeConfirmationsByGranting.category) ") }, "name": "category", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/category" }) }) });
    var amount3901 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Amount", "listeners": { "render": Lino.quicktip_renderer("Amount","(aids.IncomeConfirmationsByGranting.amount) ") }, "name": "amount", "selectOnFocus": true });
    var main_3_panel3902 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 62, "items": category3900, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": amount3901, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3905 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Organization)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Organization)","(aids.IncomeConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/company" }) }) });
    var contact_person3906 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Person)</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Person)","(aids.IncomeConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_person" }) }) });
    var language3907 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Language", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(aids.IncomeConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var main_4_panel3908 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company3905, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person3906, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language3907, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3912 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Remark", "flex": 55, "name": "remark", "selectOnFocus": true, "title": "Remark" });
    var main_panel3913 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3894, main_2_panel3897, main_3_panel3902, main_4_panel3908, remark3912 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3913;
    this.before_row_edit = function(record) {
      contact_person3906.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark3912.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company3905 !== 'undefined' && company3905.on('change',Lino.chooser_handler(contact_person3906,'company'));
      Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel addresses-Addresses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 17,
  initComponent : function() {
    var country3371 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "Country", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Country","(addresses.Addresses.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/country" }) }) });
    var city3372 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Select a Place...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Locality</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Locality","(addresses.Addresses.city) The locality, i.e. usually a village, city or town.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/city" }) }) });
    var zip_code3373 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "Zip code", "listeners": { "render": Lino.quicktip_renderer("Zip code","(addresses.Addresses.zip_code) ") }, "maxLength": 10, "name": "zip_code", "selectOnFocus": true });
    var main_1_panel3374 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": country3371, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": city3372, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": zip_code3373, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr13378 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Address line before street</span>", "listeners": { "render": Lino.quicktip_renderer("Address line before street","(addresses.Addresses.addr1) Address line before street") }, "maxLength": 200, "name": "addr1", "selectOnFocus": true });
    var street3379 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Street</span>", "listeners": { "render": Lino.quicktip_renderer("Street","(addresses.Addresses.street) Name of street, without house number.") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no3380 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">No.</span>", "listeners": { "render": Lino.quicktip_renderer("No.","(addresses.Addresses.street_no) House number.") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box3381 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(addresses.Addresses.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var main_3_panel3382 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": street3379, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_no3380, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_box3381, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr23386 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Address line after street</span>", "listeners": { "render": Lino.quicktip_renderer("Address line after street","(addresses.Addresses.addr2) Address line to print below street line.") }, "maxLength": 200, "name": "addr2", "selectOnFocus": true });
    var address_type3387 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Address type</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Address type","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark3388 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Remark", "listeners": { "render": Lino.quicktip_renderer("Remark","(addresses.Addresses.remark) ") }, "maxLength": 50, "name": "remark", "selectOnFocus": true });
    var main_5_panel3389 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": address_type3387, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": remark3388, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var data_source3392 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Data source</span>", "forceSelection": true, "hiddenName": "data_sourceHidden", "listeners": { "render": Lino.quicktip_renderer("Data source","(addresses.Addresses.data_source) Pointer to DataSources.") }, "name": "data_source", "store": Lino.addresses.DataSources });
    var partner3393 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(addresses.Addresses.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/partner" }) }) });
    var main_6_panel3394 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 59, "items": data_source3392, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": partner3393, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3397 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3374, { "anchor": "-20", "autoHeight": true, "items": addr13378, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel3382, { "anchor": "-20", "autoHeight": true, "items": addr23386, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_5_panel3389, main_6_panel3394 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3397;
    this.before_row_edit = function(record) {
      city3372.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3372.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country3371 !== 'undefined' && country3371.on('change',Lino.chooser_handler(city3372,'country'));
      Lino.addresses.Addresses.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.addresses.Addresses.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    zip_code3373.on("change", function(){ this.save() }, this);
    city3372.on("change", function(){ this.save() }, this);
  }
});


Lino.countries.Places.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel countries-Places",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 3,
  initComponent : function() {
    var name3471 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(countries.Places.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3472 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(countries.Places.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3473 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(countries.Places.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3474 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(countries.Places.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var country3475 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Country</span>", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Country","(countries.Places.country) The country this place is in.") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/country" }) }) });
    var inscode3476 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(5), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Places.inscode) The official code for this place used by statbel.fgov.be") }, "maxLength": 5, "name": "inscode", "selectOnFocus": true });
    var zip_code3477 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(8), "fieldLabel": "zip code", "listeners": { "render": Lino.quicktip_renderer("zip code","(countries.Places.zip_code) ") }, "maxLength": 8, "name": "zip_code", "selectOnFocus": true });
    var main_1_panel3478 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": name3471, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "hidden": true, "items": name_nl3472, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": name_de3473, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": name_en3474, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": country3475, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": inscode3476, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": zip_code3477, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var parent3486 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Select a Place...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Part of</span>", "hiddenName": "parentHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Part of","(countries.Places.parent) The superordinate geographic place of which this place is a part.") }, "name": "parent", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/parent" }) }) });
    var type3487 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Place Type</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Place Type","(countries.Places.type) The type of this place (whether it's a city. a village, a province...)") }, "name": "type", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/type" }) }) });
    var id3488 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(countries.Places.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel3489 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 57, "items": parent3486, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": type3487, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": id3488, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_PartnersByCity_grid3602 = new Lino.contacts.PartnersByCity.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Partners","(contacts.contacts.PartnersByCity) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.PartnersByCity.grid) ] });
    var cv_StudiesByPlace_grid3603 = new Lino.cv.StudiesByPlace.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studies","(cv.cv.StudiesByPlace) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByPlace.grid) ] });
    var main_4_panel3604 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ contacts_PartnersByCity_grid3602, cv_StudiesByPlace_grid3603 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel3605 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3478, main_2_panel3489, main_4_panel3604 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3605;
    this.before_row_edit = function(record) {
      type3487.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      contacts_PartnersByCity_grid3602.on_master_changed();
      cv_StudiesByPlace_grid3603.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof country3475 !== 'undefined' && country3475.on('change',Lino.chooser_handler(type3487,'country'));
      Lino.countries.Places.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.countries.Places.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudyTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-StudyTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 61,
  initComponent : function() {
    var name3830 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cv.StudyTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3831 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cv.StudyTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3832 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cv.StudyTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3833 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cv.StudyTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3834 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name3830, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl3831, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de3832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en3833, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var is_study3839 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Study", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Study","(cv.StudyTypes.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training3840 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Training", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Training","(cv.StudyTypes.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_2_panel3841 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": is_study3839, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": is_training3840, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level3844 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Select a Education Level...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Education Level</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Education Level","(cv.StudyTypes.education_level) Pointer to EducationLevel.") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypes/education_level" }) }) });
    var main_panel3845 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3834, main_2_panel3841, { "anchor": "-20", "autoHeight": true, "items": education_level3844, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3845;
    this.before_row_edit = function(record) {
    }
    Lino.cv.StudyTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Places.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel countries-Places",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 3,
  initComponent : function() {
    var name3580 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(countries.Places.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3581 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(countries.Places.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3582 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(countries.Places.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3583 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(countries.Places.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3584 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name3580, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl3581, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de3582, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en3583, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var country3589 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Country</span>", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Country","(countries.Places.country) The country this place is in.") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/country" }) }) });
    var zip_code3590 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(8), "fieldLabel": "zip code", "listeners": { "render": Lino.quicktip_renderer("zip code","(countries.Places.zip_code) ") }, "maxLength": 8, "name": "zip_code", "selectOnFocus": true });
    var type3591 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Place Type</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Place Type","(countries.Places.type) The type of this place (whether it's a city. a village, a province...)") }, "name": "type", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/type" }) }) });
    var main_3_panel3592 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 47, "items": zip_code3590, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": type3591, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var parent3595 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Select a Place...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Part of</span>", "hiddenName": "parentHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Part of","(countries.Places.parent) The superordinate geographic place of which this place is a part.") }, "name": "parent", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/parent" }) }) });
    var main_panel3596 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3584, { "anchor": "-20", "autoHeight": true, "items": country3589, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel3592, { "anchor": "-20", "autoHeight": true, "items": parent3595, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3596;
    this.before_row_edit = function(record) {
      type3591.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country3589 !== 'undefined' && country3589.on('change',Lino.chooser_handler(type3591,'country'));
      Lino.countries.Places.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.countries.Places.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Categories.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-Categories",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 122,
  initComponent : function() {
    var id3927 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.Categories.id) ") }, "name": "id", "selectOnFocus": true });
    var name3928 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(aids.Categories.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3929 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(aids.Categories.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3930 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(aids.Categories.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3931 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(aids.Categories.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3932 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id3927, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name3928, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl3929, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de3930, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en3931, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_IncomeConfirmationsByCategory_grid3994 = new Lino.aids.IncomeConfirmationsByCategory.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Income confirmations","(aids.aids.IncomeConfirmationsByCategory) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.IncomeConfirmationsByCategory.grid) ] });
    var main_panel3995 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3932, aids_IncomeConfirmationsByCategory_grid3994 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3995;
    this.before_row_edit = function(record) {
      aids_IncomeConfirmationsByCategory_grid3994.on_master_changed();
    }
    Lino.aids.Categories.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.TasksByController.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-TasksByController",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 37,
  initComponent : function() {
    var summary1160 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Short description", "listeners": { "render": Lino.quicktip_renderer("Short description","(cal.TasksByController.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date1161 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Start date", "listeners": { "render": Lino.quicktip_renderer("Start date","(cal.TasksByController.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var due_date1162 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Due date", "listeners": { "render": Lino.quicktip_renderer("Due date","(cal.TasksByController.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var main_2_panel1163 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1161, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": due_date1162, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user1166 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(cal.TasksByController.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByController/user" }) }) });
    var delegated1167 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Delegated to client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Delegated to client","(cal.TasksByController.delegated) ") }, "name": "delegated", "selectOnFocus": true });
    var main_3_panel1168 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": user1166, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": delegated1167, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1171 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary1160, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1163, main_3_panel1168 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1171;
    this.before_row_edit = function(record) {
    }
    Lino.cal.TasksByController.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 34,
  initComponent : function() {
    var name3996 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cal.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3997 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cal.EventTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3998 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cal.EventTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3999 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cal.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4000 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name3996, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl3997, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de3998, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en3999, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var event_label4005 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Entry label</span>", "listeners": { "render": Lino.quicktip_renderer("Entry label","(cal.EventTypes.event_label) Default text for summary of new entries.") }, "maxLength": 200, "name": "event_label", "selectOnFocus": true });
    var event_label_nl4006 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Entry label (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Entry label (nl)","(cal.EventTypes.event_label_nl) ") }, "maxLength": 200, "name": "event_label_nl", "selectOnFocus": true });
    var event_label_de4007 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Entry label (de)", "listeners": { "render": Lino.quicktip_renderer("Entry label (de)","(cal.EventTypes.event_label_de) ") }, "maxLength": 200, "name": "event_label_de", "selectOnFocus": true });
    var event_label_en4008 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Entry label (en)", "listeners": { "render": Lino.quicktip_renderer("Entry label (en)","(cal.EventTypes.event_label_en) ") }, "maxLength": 200, "name": "event_label_en", "selectOnFocus": true });
    var main_2_panel4009 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": event_label4005, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": event_label_nl4006, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": event_label_de4007, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": event_label_en4008, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var planner_column4014 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Planner column", "forceSelection": true, "hiddenName": "planner_columnHidden", "listeners": { "render": Lino.quicktip_renderer("Planner column","(cal.EventTypes.planner_column) ") }, "name": "planner_column", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.PlannerColumns) });
    var max_conflicting4015 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Simultaneous entries</span>", "listeners": { "render": Lino.quicktip_renderer("Simultaneous entries","(cal.EventTypes.max_conflicting) How many conflicting events should be tolerated.") }, "name": "max_conflicting", "selectOnFocus": true, "value": 1 });
    var max_days4016 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Maximum days</span>", "listeners": { "render": Lino.quicktip_renderer("Maximum days","(cal.EventTypes.max_days) The maximal number of days allowed as duration. 0 means no limit.") }, "name": "max_days", "selectOnFocus": true, "value": 1 });
    var esf_field4017 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ESF field</span>", "forceSelection": true, "hiddenName": "esf_fieldHidden", "listeners": { "render": Lino.quicktip_renderer("ESF field","(cal.EventTypes.esf_field) How to summarize entries of this type in the ESF summary.") }, "name": "esf_field", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.StatisticalFields) });
    var email_template4018 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Email template</span>", "listeners": { "render": Lino.quicktip_renderer("Email template","(cal.EventTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EventTypes/email_template" }) }) });
    var id4019 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.EventTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_3_panel4020 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": planner_column4014, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": max_conflicting4015, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": max_days4016, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": esf_field4017, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": email_template4018, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id4019, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var all_rooms4027 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Locks all rooms", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Locks all rooms","(cal.EventTypes.all_rooms) ") }, "name": "all_rooms", "selectOnFocus": true });
    var locks_user4028 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Locks the user", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Locks the user","(cal.EventTypes.locks_user) Whether calendar entries of this type make the user\nunavailable for other locking events at the same time.") }, "name": "locks_user", "selectOnFocus": true });
    var invite_client4029 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Invite client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Invite client","(cal.EventTypes.invite_client) ") }, "name": "invite_client", "selectOnFocus": true });
    var is_appointment4030 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Appointment", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Appointment","(cal.EventTypes.is_appointment) Whether entries of this type are considered \"appointments\" (i.e. whose\ntime and place have been agreed upon with other users or external\nparties).") }, "name": "is_appointment", "selectOnFocus": true });
    var attach_to_email4031 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Attach to email", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Attach to email","(cal.EventTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_4_panel4032 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": all_rooms4027, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": locks_user4028, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": invite_client4029, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": is_appointment4030, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": attach_to_email4031, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4072 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4000, main_2_panel4009, main_3_panel4020, main_4_panel4032 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4072;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EventTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EventTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 34,
  initComponent : function() {
    var name4073 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cal.EventTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl4074 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cal.EventTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de4075 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cal.EventTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en4076 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cal.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4077 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name4073, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl4074, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de4075, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en4076, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var invite_client4082 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Invite client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Invite client","(cal.EventTypes.invite_client) ") }, "name": "invite_client", "selectOnFocus": true });
    var main_panel4083 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4077, { "anchor": "-20", "autoHeight": true, "items": invite_client4082, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4083;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EventTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Tasks",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 37,
  initComponent : function() {
    var summary4085 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Short description", "listeners": { "render": Lino.quicktip_renderer("Short description","(cal.Tasks.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var user4086 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(cal.Tasks.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }) });
    var project4087 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }) });
    var main_2_panel4088 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": user4086, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project4087, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4091 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary4085, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel4088 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4091;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Tasks.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.polls.Responses.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel polls-Responses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 132,
  initComponent : function() {
    var user4093 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(polls.Responses.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Responses/user" }) }) });
    var date4094 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date", "listeners": { "render": Lino.quicktip_renderer("Date","(polls.Responses.date) ") }, "name": "date", "selectOnFocus": true });
    var main_1_panel4095 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": user4093, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": date4094, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var poll4098 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.polls.Polls.detail", "emptyText": "Select a Poll...", "fieldLabel": "Poll", "hiddenName": "pollHidden", "insert_action": "Lino.polls.Polls.insert", "listeners": { "render": Lino.quicktip_renderer("Poll","(polls.Responses.poll) ") }, "name": "poll", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.polls.Polls.detail,Lino.polls.Polls.insert)}, "pageSize": 20, "related_actor_id": "polls.Polls", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Responses/poll" }) }) });
    var main_panel4099 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4095, { "anchor": "-20", "autoHeight": true, "items": poll4098, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4099;
    this.before_row_edit = function(record) {
    }
    Lino.polls.Responses.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Persons",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('create_excerpt1', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 8,
  initComponent : function() {
    var overview_htmlbox4101 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Persons.overview) ") }, "name": "overview", "value": "<br/>" });
    var title4102 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Title</span>", "listeners": { "render": Lino.quicktip_renderer("Title","(contacts.Persons.title) Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var first_name4103 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">First name</span>", "listeners": { "render": Lino.quicktip_renderer("First name","(contacts.Persons.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name4104 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Middle name</span>", "listeners": { "render": Lino.quicktip_renderer("Middle name","(contacts.Persons.middle_name) A space-separated list of all middle names.") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var general2_1_panel4105 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 41, "items": title4102, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": first_name4103, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": middle_name4104, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var last_name4109 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Last name</span>", "listeners": { "render": Lino.quicktip_renderer("Last name","(contacts.Persons.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var gender4110 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gender</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Gender","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date4111 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Birth date</span>", "listeners": { "render": Lino.quicktip_renderer("Birth date","(contacts.Persons.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var age_disp4112 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Age</span>", "listeners": { "render": Lino.quicktip_renderer("Age","(contacts.Persons.age) Virtual field displaying the age in years.") }, "name": "age", "value": "<br/>" });
    var general2_3_panel4113 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": gender4110, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": birth_date4111, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": age_disp4112, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id4117 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Persons.id) ") }, "name": "id", "selectOnFocus": true });
    var language4118 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(contacts.Persons.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var general2_4_panel4119 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": id4117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": language4118, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general2_panel4122 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel4105, { "anchor": "-20", "autoHeight": true, "items": last_name4109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, general2_3_panel4113, general2_4_panel4119 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email4124 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">e-mail address</span>", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(contacts.Persons.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone4125 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Phone</span>", "listeners": { "render": Lino.quicktip_renderer("Phone","(contacts.Persons.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm4126 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mobile</span>", "listeners": { "render": Lino.quicktip_renderer("Mobile","(contacts.Persons.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax4127 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Persons.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel4128 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email4124, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone4125, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm4126, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax4127, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel4133 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox4101, general2_panel4122, general3_panel4128 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByPerson_grid4141 = new Lino.contacts.RolesByPerson.GridPanel({ "containing_panel": this, "flex": 45, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Contact for","(contacts.contacts.RolesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByPerson.grid) ] });
    var general_panel4142 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4133, contacts_RolesByPerson_grid4141 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var households_MembersByPerson_htmlbox4143 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 25, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Household memberships","(contacts.Persons.households.MembersByPerson) ") }, "master_panel": this, "name": "households.MembersByPerson", "title": "Household memberships", "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByPerson.grid) ], "value": "<br/>" });
    var households_SiblingsByPerson_grid4162 = new Lino.households.SiblingsByPerson.GridPanel({ "containing_panel": this, "flex": 75, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Household composition","(households.households.SiblingsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.SiblingsByPerson.grid) ] });
    var contact_1_panel4163 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ households_MembersByPerson_htmlbox4143, households_SiblingsByPerson_grid4162 ], "labelAlign": "top", "labelWidth": 198, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var humanlinks_LinksByHuman_htmlbox4164 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Human Links","(contacts.Persons.humanlinks.LinksByHuman) Show all links for which this human is either parent or child.") }, "master_panel": this, "name": "humanlinks.LinksByHuman", "region": "center", "split": true, "title": "Human Links", "tools": [ Lino.show_in_own_window_button(Lino.humanlinks.LinksByHuman.grid) ], "value": "<br/>" });
    var remarks4165 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remarks", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remarks","(contacts.Persons.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var contact_panel4166 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ contact_1_panel4163, humanlinks_LinksByHuman_htmlbox4164, { "flex": 5, "items": remarks4165, "labelAlign": "top", "layout": "form", "region": "south", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 108, "listeners": { "activate": Lino.on_tab_activate }, "title": "Contact" });
    var activity4168 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a activity...", "fieldLabel": "activity", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("activity","(contacts.Persons.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/activity" }) }) });
    var url4169 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "URL", "listeners": { "render": Lino.quicktip_renderer("URL","(contacts.Persons.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var client_contact_type4170 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Select a Client Contact type...", "fieldLabel": "Client Contact type", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Client Contact type","(contacts.Persons.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/client_contact_type" }) }) });
    var is_obsolete4171 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "obsolete", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("obsolete","(contacts.Persons.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var misc_1_panel4172 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": activity4168, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": url4169, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": client_contact_type4170, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_obsolete4171, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var created4177 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Created</span>", "listeners": { "render": Lino.quicktip_renderer("Created","(contacts.Persons.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified4178 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modified</span>", "listeners": { "render": Lino.quicktip_renderer("Modified","(contacts.Persons.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_2_panel4179 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": created4177, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": modified4178, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid4182 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Appointments","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var misc_panel4183 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel4172, misc_2_panel4179, reception_AppointmentsByPartner_grid4182 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Miscellaneous" });
    var main_panel4324 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4142, contact_panel4166, misc_panel4183 ], "labelAlign": "top", "split": true });
    this.items = main_panel4324;
    this.before_row_edit = function(record) {
      overview_htmlbox4101.refresh();
      contacts_RolesByPerson_grid4141.on_master_changed();
      households_MembersByPerson_htmlbox4143.refresh();
      households_SiblingsByPerson_grid4162.on_master_changed();
      humanlinks_LinksByHuman_htmlbox4164.refresh();
      reception_AppointmentsByPartner_grid4182.on_master_changed();
    }
    Lino.contacts.Persons.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.humanlinks.Links.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel humanlinks-Links",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 113,
  initComponent : function() {
    var parent4325 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Who is...</span>", "hiddenName": "parentHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Who is...","(humanlinks.Links.parent) Pointer to the person who is \"parent\".") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/parent" }) }) });
    var type4326 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Parency type</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Parency type","(humanlinks.Links.type) The type of link.  Pointer to LinkTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.humanlinks.LinkTypes });
    var child4327 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">To whom...</span>", "hiddenName": "childHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("To whom...","(humanlinks.Links.child) Pointer to the person who is \"child\".") }, "name": "child", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/child" }) }) });
    var main_panel4328 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": parent4325, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type4326, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": child4327, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4328;
    this.before_row_edit = function(record) {
    }
    Lino.humanlinks.Links.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.AidTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-AidTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 123,
  initComponent : function() {
    var id4332 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.AidTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var short_name4333 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">short name</span>", "listeners": { "render": Lino.quicktip_renderer("short name","(aids.AidTypes.short_name) The short name for internal use, e.g. when a user must select\nan aid type from a combobox.") }, "maxLength": 50, "name": "short_name", "selectOnFocus": true });
    var confirmation_type4334 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aid confirmation type</span>", "forceSelection": true, "hiddenName": "confirmation_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Aid confirmation type","(aids.AidTypes.confirmation_type) The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.") }, "name": "confirmation_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationTypes) });
    var main_1_panel4335 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id4332, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": short_name4333, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 65, "items": confirmation_type4334, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name4339 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(aids.AidTypes.name) The designation of this aid type as seen by the user e.g. when\nselecting an aid type.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl4340 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(aids.AidTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de4341 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(aids.AidTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en4342 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(aids.AidTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel4343 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name4339, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl4340, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de4341, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en4342, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var excerpt_title4348 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt title</span>", "listeners": { "render": Lino.quicktip_renderer("Excerpt title","(aids.AidTypes.excerpt_title) The text to print as title in confirmations.\nSee also\nlino_xl.lib.excerpts.mixins.ExcerptTitle.excerpt_title.") }, "maxLength": 200, "name": "excerpt_title", "selectOnFocus": true });
    var excerpt_title_nl4349 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Excerpt title (nl)","(aids.AidTypes.excerpt_title_nl) ") }, "maxLength": 200, "name": "excerpt_title_nl", "selectOnFocus": true });
    var excerpt_title_de4350 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (de)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (de)","(aids.AidTypes.excerpt_title_de) ") }, "maxLength": 200, "name": "excerpt_title_de", "selectOnFocus": true });
    var excerpt_title_en4351 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (en)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (en)","(aids.AidTypes.excerpt_title_en) ") }, "maxLength": 200, "name": "excerpt_title_en", "selectOnFocus": true });
    var main_3_panel4352 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": excerpt_title4348, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": excerpt_title_nl4349, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": excerpt_title_de4350, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": excerpt_title_en4351, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var body_template4357 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Body template</span>", "listeners": { "render": Lino.quicktip_renderer("Body template","(aids.AidTypes.body_template) The body template to use when printing a confirmation of this type.\nIf this field is empty, Lino uses the excerpt type\u2019s\nbody_template.\nSee also lino.admin.printing.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/body_template" }) }) });
    var print_directly4358 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Print directly", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Print directly","(aids.AidTypes.print_directly) ") }, "name": "print_directly", "selectOnFocus": true });
    var is_integ_duty4359 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Integration duty", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Integration duty","(aids.AidTypes.is_integ_duty) Whether aid grantings of this type are considered as duty for integration contract.") }, "name": "is_integ_duty", "selectOnFocus": true });
    var is_urgent4360 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Urgent", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Urgent","(aids.AidTypes.is_urgent) Whether aid grantings of this type are considered as urgent.\nThis is used by Confirmation.get_urgent_granting()") }, "name": "is_urgent", "selectOnFocus": true });
    var confirmed_by_primary_coach4361 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Confirmed by primary coach", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Confirmed by primary coach","(aids.AidTypes.confirmed_by_primary_coach) Whether grantings for this aid type are to be signed by the\nclient\u2019s primary coach (see Client.get_primary_coach).") }, "name": "confirmed_by_primary_coach", "selectOnFocus": true });
    var board4362 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Select a Board...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Board</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Board","(aids.AidTypes.board) Pointer to the default lino_xl.lib.boards.models.Board\nfor aid projects of this type.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/board" }) }) });
    var main_4_panel4363 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": body_template4357, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": print_directly4358, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_integ_duty4359, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_urgent4360, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": confirmed_by_primary_coach4361, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": board4362, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company4370 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organization</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organization","(aids.AidTypes.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/company" }) }) });
    var contact_person4371 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented by</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(aids.AidTypes.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_person" }) }) });
    var contact_role4372 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Function...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Represented as</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(aids.AidTypes.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_role" }) }) });
    var pharmacy_type4373 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Select a Client Contact type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client Contact type</span>", "hiddenName": "pharmacy_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Client Contact type","(aids.AidTypes.pharmacy_type) A pointer to the ClientContactType to be used when\nselecting the pharmacy of a refund confirmation\n(RefundConfirmation.pharmacy).") }, "name": "pharmacy_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/pharmacy_type" }) }) });
    var main_5_panel4374 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": company4370, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_person4371, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_role4372, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": pharmacy_type4373, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_GrantingsByType_grid4452 = new Lino.aids.GrantingsByType.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aid grantings","(aids.aids.GrantingsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.GrantingsByType.grid) ] });
    var main_panel4453 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4335, main_2_panel4343, main_3_panel4352, main_4_panel4363, main_5_panel4374, aids_GrantingsByType_grid4452 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4453;
    this.before_row_edit = function(record) {
      body_template4357.setContextValue('confirmation_type', record ? record.data['confirmation_typeHidden'] : undefined);
      contact_person4371.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      aids_GrantingsByType_grid4452.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof confirmation_type4334 !== 'undefined' && confirmation_type4334.on('change',Lino.chooser_handler(body_template4357,'confirmation_type'));
      typeof company4370 !== 'undefined' && company4370.on('change',Lino.chooser_handler(contact_person4371,'company'));
      Lino.aids.AidTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.AidTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 76,
  initComponent : function() {
    var id4454 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var ref4455 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Reference", "listeners": { "render": Lino.quicktip_renderer("Reference","(isip.ContractTypes.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var exam_policy4456 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Select a Examination Policy...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Examination Policy</span>", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Examination Policy","(isip.ContractTypes.exam_policy) The default examination policy to be used for contracts of\nthis type.") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractTypes/exam_policy" }) }) });
    var overlap_group4457 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Overlap group</span>", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Overlap group","(isip.ContractTypes.overlap_group) The overlap group to use when checking whether two contracts are\noverlapping or not. If this field is empty, Lino does not check at all\nfor overlapping contracts.") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var needs_study_type4458 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "needs Study type", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("needs Study type","(isip.ContractTypes.needs_study_type) Whether contracts of this type need their study_type\nfield filled in.") }, "name": "needs_study_type", "selectOnFocus": true });
    var main_1_panel4459 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id4454, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": ref4455, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": exam_policy4456, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": overlap_group4457, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": needs_study_type4458, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name4465 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(isip.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl4466 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(isip.ContractTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de4467 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(isip.ContractTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en4468 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(isip.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel4469 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name4465, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl4466, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de4467, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en4468, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var full_name4474 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Full name</span>", "listeners": { "render": Lino.quicktip_renderer("Full name","(isip.ContractTypes.full_name) The full description of this contract type as used in printed\ndocuments.") }, "maxLength": 200, "name": "full_name", "selectOnFocus": true });
    var ContractsByType_grid4502 = new Lino.isip.ContractsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("ISIPs","(isip.isip.ContractsByType) Base for contract tables. Defines the following parameter fields:") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByType.grid) ] });
    var main_panel4503 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4459, main_2_panel4469, { "autoHeight": true, "items": full_name4474, "labelAlign": "top", "layout": "form", "xtype": "panel" }, ContractsByType_grid4502 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4503;
    this.before_row_edit = function(record) {
      ContractsByType_grid4502.on_master_changed();
    }
    Lino.isip.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.AidTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-AidTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 123,
  initComponent : function() {
    var name4505 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(aids.AidTypes.name) The designation of this aid type as seen by the user e.g. when\nselecting an aid type.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl4506 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(aids.AidTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de4507 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(aids.AidTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en4508 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(aids.AidTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4509 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name4505, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl4506, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de4507, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en4508, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var confirmation_type4514 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aid confirmation type</span>", "forceSelection": true, "hiddenName": "confirmation_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Aid confirmation type","(aids.AidTypes.confirmation_type) The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.") }, "name": "confirmation_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationTypes) });
    var main_panel4515 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4509, { "anchor": "-20", "autoHeight": true, "items": confirmation_type4514, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4515;
    this.before_row_edit = function(record) {
    }
    Lino.aids.AidTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.polls.Polls.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel polls-Polls",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 130,
  initComponent : function() {
    var ref4517 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reference</span>", "listeners": { "render": Lino.quicktip_renderer("Reference","(polls.Polls.ref) The reference. This must be either empty or unique.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var title4518 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Heading", "listeners": { "render": Lino.quicktip_renderer("Heading","(polls.Polls.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var workflow_buttons_disp4519 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(polls.Polls.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel4520 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 43, "items": ref4517, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": title4518, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": workflow_buttons_disp4519, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var details4524 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Details", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Details","(polls.Polls.details) ") }, "name": "details", "selectOnFocus": true });
    var default_choiceset4525 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.polls.ChoiceSets.detail", "emptyText": "Select a Choice Set...", "fieldLabel": "Default Choiceset", "hiddenName": "default_choicesetHidden", "listeners": { "render": Lino.quicktip_renderer("Default Choiceset","(polls.Polls.default_choiceset) ") }, "name": "default_choiceset", "pageSize": 20, "related_actor_id": "polls.ChoiceSets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Polls/default_choiceset" }) }) });
    var default_multiple_choices4526 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Allow multiple choices", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Allow multiple choices","(polls.Polls.default_multiple_choices) ") }, "name": "default_multiple_choices", "selectOnFocus": true });
    var general_3_panel4527 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": default_choiceset4525, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": default_multiple_choices4526, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var polls_QuestionsByPoll_grid4542 = new Lino.polls.QuestionsByPoll.GridPanel({ "containing_panel": this, "flex": 35, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Questions","(polls.polls.QuestionsByPoll) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.polls.QuestionsByPoll.grid) ] });
    var general_panel4543 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4520, { "flex": 35, "items": details4524, "labelAlign": "top", "layout": "form", "xtype": "panel" }, general_3_panel4527, polls_QuestionsByPoll_grid4542 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var id4545 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(polls.Polls.id) ") }, "name": "id", "selectOnFocus": true });
    var user4546 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(polls.Polls.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Polls/user" }) }) });
    var created4547 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Created</span>", "listeners": { "render": Lino.quicktip_renderer("Created","(polls.Polls.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified4548 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modified</span>", "listeners": { "render": Lino.quicktip_renderer("Modified","(polls.Polls.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var state4549 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("State","(polls.Polls.state) ") }, "name": "state", "selectOnFocus": true, "store": Lino.polls.PollStates });
    var results_1_panel4550 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id4545, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": user4546, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": created4547, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": modified4548, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": state4549, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var polls_ResponsesByPoll_grid4587 = new Lino.polls.ResponsesByPoll.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Responses","(polls.polls.ResponsesByPoll) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.polls.ResponsesByPoll.grid) ] });
    var results_panel4596 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ results_1_panel4550, polls_ResponsesByPoll_grid4587 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Results" });
    var main_panel4597 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4543, results_panel4596 ], "labelAlign": "top", "split": true });
    this.items = main_panel4597;
    this.before_row_edit = function(record) {
      polls_QuestionsByPoll_grid4542.on_master_changed();
      polls_ResponsesByPoll_grid4587.on_master_changed();
    }
    Lino.polls.Polls.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.polls.Polls.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel polls-Polls",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 130,
  initComponent : function() {
    var ref4598 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reference</span>", "listeners": { "render": Lino.quicktip_renderer("Reference","(polls.Polls.ref) The reference. This must be either empty or unique.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var title4599 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Heading", "listeners": { "render": Lino.quicktip_renderer("Heading","(polls.Polls.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_1_panel4600 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 65, "items": ref4598, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": title4599, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var default_choiceset4603 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.polls.ChoiceSets.detail", "emptyText": "Select a Choice Set...", "fieldLabel": "Default Choiceset", "hiddenName": "default_choicesetHidden", "listeners": { "render": Lino.quicktip_renderer("Default Choiceset","(polls.Polls.default_choiceset) ") }, "name": "default_choiceset", "pageSize": 20, "related_actor_id": "polls.ChoiceSets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Polls/default_choiceset" }) }) });
    var default_multiple_choices4604 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Allow multiple choices", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Allow multiple choices","(polls.Polls.default_multiple_choices) ") }, "name": "default_multiple_choices", "selectOnFocus": true });
    var main_2_panel4605 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": default_choiceset4603, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": default_multiple_choices4604, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var questions_to_add4608 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Questions to add</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Questions to add","(polls.Polls.questions_to_add) Paste text for questions to add. Every non-empty line will create one question.") }, "name": "questions_to_add", "selectOnFocus": true });
    var main_panel4609 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4600, main_2_panel4605, { "flex": 71, "items": questions_to_add4608, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4609;
    this.before_row_edit = function(record) {
    }
    Lino.polls.Polls.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-RecurrentEvents",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 33,
  initComponent : function() {
    var name4611 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cal.RecurrentEvents.name) See lino.utils.mldbc.mixins.BabelNamed.name.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl4612 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cal.RecurrentEvents.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de4613 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cal.RecurrentEvents.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en4614 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cal.RecurrentEvents.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4615 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name4611, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl4612, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de4613, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en4614, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id4620 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.RecurrentEvents.id) ") }, "name": "id", "selectOnFocus": true });
    var user4621 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(cal.RecurrentEvents.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/user" }) }) });
    var event_type4622 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "Calendar entry type", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry type","(cal.RecurrentEvents.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/event_type" }) }) });
    var main_2_panel4623 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id4620, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": user4621, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": event_type4622, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date4627 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cal.RecurrentEvents.start_date) The start date of the first meeting to be generated.") }, "name": "start_date", "selectOnFocus": true });
    var start_time4628 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Start time", "listeners": { "render": Lino.quicktip_renderer("Start time","(cal.RecurrentEvents.start_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_date4629 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End Date</span>", "listeners": { "render": Lino.quicktip_renderer("End Date","(cal.RecurrentEvents.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "name": "end_date", "selectOnFocus": true });
    var end_time4630 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "End Time", "listeners": { "render": Lino.quicktip_renderer("End Time","(cal.RecurrentEvents.end_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_3_panel4631 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": start_date4627, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": start_time4628, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date4629, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": end_time4630, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var every_unit4636 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recurrency</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Recurrency","(cal.RecurrentEvents.every_unit) Inherited from RecurrentSet.every_unit.") }, "name": "every_unit", "selectOnFocus": true, "store": Lino.cal.Recurrencies, "value": "yearly" });
    var every4637 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Repeat every</span>", "listeners": { "render": Lino.quicktip_renderer("Repeat every","(cal.RecurrentEvents.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var positions4638 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Positions</span>", "listeners": { "render": Lino.quicktip_renderer("Positions","(cal.RecurrentEvents.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "maxLength": 50, "name": "positions", "selectOnFocus": true });
    var max_events4639 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Number of events</span>", "listeners": { "render": Lino.quicktip_renderer("Number of events","(cal.RecurrentEvents.max_events) Maximum number of calendar entries to generate.") }, "name": "max_events", "selectOnFocus": true });
    var main_4_panel4640 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": every_unit4636, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": every4637, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": positions4638, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": max_events4639, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var monday4645 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Monday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Monday","(cal.RecurrentEvents.monday) ") }, "name": "monday", "selectOnFocus": true });
    var tuesday4646 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Tuesday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Tuesday","(cal.RecurrentEvents.tuesday) ") }, "name": "tuesday", "selectOnFocus": true });
    var wednesday4647 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wednesday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wednesday","(cal.RecurrentEvents.wednesday) ") }, "name": "wednesday", "selectOnFocus": true });
    var thursday4648 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Thursday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Thursday","(cal.RecurrentEvents.thursday) ") }, "name": "thursday", "selectOnFocus": true });
    var friday4649 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Friday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Friday","(cal.RecurrentEvents.friday) ") }, "name": "friday", "selectOnFocus": true });
    var saturday4650 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Saturday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Saturday","(cal.RecurrentEvents.saturday) ") }, "name": "saturday", "selectOnFocus": true });
    var sunday4651 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sunday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sunday","(cal.RecurrentEvents.sunday) ") }, "name": "sunday", "selectOnFocus": true });
    var main_5_panel4652 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": monday4645, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": tuesday4646, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": wednesday4647, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": thursday4648, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": friday4649, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": saturday4650, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sunday4651, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description4660 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Description", "flex": 33, "name": "description", "selectOnFocus": true, "title": "Description" });
    var cal_EntriesByController_grid4661 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Calendar entries","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var main_6_panel4662 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ description4660, cal_EntriesByController_grid4661 ], "labelAlign": "top", "labelWidth": 108, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel4663 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4615, main_2_panel4623, main_3_panel4631, main_4_panel4640, main_5_panel4652, main_6_panel4662 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4663;
    this.before_row_edit = function(record) {
      description4660.refresh();
      cal_EntriesByController_grid4661.on_master_changed();
    }
    Lino.cal.RecurrentEvents.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-RecurrentEvents",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 33,
  initComponent : function() {
    var name4664 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(cal.RecurrentEvents.name) See lino.utils.mldbc.mixins.BabelNamed.name.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl4665 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(cal.RecurrentEvents.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de4666 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(cal.RecurrentEvents.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en4667 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(cal.RecurrentEvents.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4668 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name4664, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl4665, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de4666, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en4667, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date4673 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cal.RecurrentEvents.start_date) The start date of the first meeting to be generated.") }, "name": "start_date", "selectOnFocus": true });
    var end_date4674 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End Date</span>", "listeners": { "render": Lino.quicktip_renderer("End Date","(cal.RecurrentEvents.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "name": "end_date", "selectOnFocus": true });
    var every_unit4675 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recurrency</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Recurrency","(cal.RecurrentEvents.every_unit) Inherited from RecurrentSet.every_unit.") }, "name": "every_unit", "selectOnFocus": true, "store": Lino.cal.Recurrencies, "value": "yearly" });
    var event_type4676 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "Calendar entry type", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry type","(cal.RecurrentEvents.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/event_type" }) }) });
    var main_2_panel4677 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": start_date4673, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": end_date4674, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": every_unit4675, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": event_type4676, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4682 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4668, main_2_panel4677 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel4682;
    this.before_row_edit = function(record) {
    }
    Lino.cal.RecurrentEvents.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ExamPolicies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ExamPolicies",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 77,
  initComponent : function() {
    var id4683 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.ExamPolicies.id) ") }, "name": "id", "selectOnFocus": true });
    var name4684 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(isip.ExamPolicies.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl4685 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(isip.ExamPolicies.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de4686 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(isip.ExamPolicies.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en4687 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(isip.ExamPolicies.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4688 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id4683, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name4684, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl4685, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de4686, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en4687, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var max_events4694 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Number of events</span>", "listeners": { "render": Lino.quicktip_renderer("Number of events","(isip.ExamPolicies.max_events) Maximum number of calendar entries to generate.") }, "name": "max_events", "selectOnFocus": true });
    var every4695 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Repeat every</span>", "listeners": { "render": Lino.quicktip_renderer("Repeat every","(isip.ExamPolicies.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var every_unit4696 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recurrency</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Recurrency","(isip.ExamPolicies.every_unit) The interval between each periodic iteration.") }, "name": "every_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var event_type4697 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry type","(isip.ExamPolicies.event_type) Generated events will receive this type.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ExamPolicies/event_type" }) }) });
    var main_2_panel4698 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": max_events4694, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": every4695, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": every_unit4696, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": event_type4697, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var monday4703 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Monday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Monday","(isip.ExamPolicies.monday) ") }, "name": "monday", "selectOnFocus": true });
    var tuesday4704 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Tuesday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Tuesday","(isip.ExamPolicies.tuesday) ") }, "name": "tuesday", "selectOnFocus": true });
    var wednesday4705 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wednesday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wednesday","(isip.ExamPolicies.wednesday) ") }, "name": "wednesday", "selectOnFocus": true });
    var thursday4706 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Thursday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Thursday","(isip.ExamPolicies.thursday) ") }, "name": "thursday", "selectOnFocus": true });
    var friday4707 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Friday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Friday","(isip.ExamPolicies.friday) ") }, "name": "friday", "selectOnFocus": true });
    var saturday4708 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Saturday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Saturday","(isip.ExamPolicies.saturday) ") }, "name": "saturday", "selectOnFocus": true });
    var sunday4709 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sunday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sunday","(isip.ExamPolicies.sunday) ") }, "name": "sunday", "selectOnFocus": true });
    var main_3_panel4710 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": monday4703, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": tuesday4704, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": wednesday4705, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": thursday4706, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": friday4707, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": saturday4708, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sunday4709, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var isip_ContractsByPolicy_grid4745 = new Lino.isip.ContractsByPolicy.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("ISIPs","(isip.isip.ContractsByPolicy) Base for contract tables. Defines the following parameter fields:") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByPolicy.grid) ] });
    var jobs_ContractsByPolicy_grid4818 = new Lino.art60.ContractsByPolicy.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art60\u00a77 job supplyments","(art60.art60.ContractsByPolicy) Base for contract tables. Defines the following parameter fields:") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.art60.ContractsByPolicy.grid) ] });
    var main_panel4819 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4688, main_2_panel4698, main_3_panel4710, isip_ContractsByPolicy_grid4745, jobs_ContractsByPolicy_grid4818 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4819;
    this.before_row_edit = function(record) {
      isip_ContractsByPolicy_grid4745.on_master_changed();
      jobs_ContractsByPolicy_grid4818.on_master_changed();
    }
    Lino.isip.ExamPolicies.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Trainings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 62,
  initComponent : function() {
    var person3735 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Person</span>", "hiddenName": "personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Person","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date3736 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cv.Trainings.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date3737 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End date</span>", "listeners": { "render": Lino.quicktip_renderer("End date","(cv.Trainings.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text3738 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Duration</span>", "listeners": { "render": Lino.quicktip_renderer("Duration","(cv.Trainings.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var main_1_panel3739 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": person3735, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date3736, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date3737, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": duration_text3738, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type3744 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Select a Education Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Education Type</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Education Type","(cv.Trainings.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state3745 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("State","(cv.Trainings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates3746 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Certificates", "listeners": { "render": Lino.quicktip_renderer("Certificates","(cv.Trainings.certificates) ") }, "maxLength": 200, "name": "certificates", "selectOnFocus": true });
    var main_2_panel3747 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": type3744, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state3745, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": certificates3746, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector3751 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Select a Activity sector...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Activity sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Activity sector","(cv.Trainings.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function3752 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Select a Job title...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Job title</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Job title","(cv.Trainings.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var main_3_panel3753 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector3751, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function3752, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school3756 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Establishment</span>", "listeners": { "render": Lino.quicktip_renderer("Establishment","(cv.Trainings.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country3757 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "Country", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Country","(cv.Trainings.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city3758 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Select a Place...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Locality</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Locality","(cv.Trainings.city) The locality, i.e. usually a village, city or town.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var main_4_panel3759 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school3756, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country3757, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city3758, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks3763 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Remarks</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remarks","(cv.Trainings.remarks) Remarks about this entry.") }, "name": "remarks", "selectOnFocus": true });
    var main_panel3764 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3739, main_2_panel3747, main_3_panel3753, main_4_panel3759, { "flex": 55, "items": remarks3763, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3764;
    this.before_row_edit = function(record) {
      function3752.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city3758.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector3751 !== 'undefined' && sector3751.on('change',Lino.chooser_handler(function3752,'sector'));
      typeof country3757 !== 'undefined' && country3757.on('change',Lino.chooser_handler(city3758,'country'));
      Lino.cv.Trainings.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Trainings.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    city3758.on("change", function(){ this.save() }, this);
  }
});


Lino.aids.Grantings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-Grantings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 124,
  initComponent : function() {
    var id4393 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.Grantings.id) ") }, "name": "id", "selectOnFocus": true });
    var client4394 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var user4395 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(aids.Grantings.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }) });
    var signer4396 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Signer</span>", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Signer","(aids.Grantings.signer) Pointer to the user who is expected to \u201csign\u201d this granting\n(i.e. to confirm that it is real).") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var workflow_buttons_disp4397 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.Grantings.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel4398 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id4393, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client4394, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user4395, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer4396, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp4397, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var request_date4404 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date of request", "listeners": { "render": Lino.quicktip_renderer("Date of request","(aids.Grantings.request_date) ") }, "name": "request_date", "selectOnFocus": true });
    var board4405 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Select a Board...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Board</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Board","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var decision_date4406 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Decided", "listeners": { "render": Lino.quicktip_renderer("Decided","(aids.Grantings.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_2_panel4407 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": request_date4404, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": board4405, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": decision_date4406, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type4411 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Select a Aid Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aid Type</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Aid Type","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var category4412 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Select a Category...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Category</span>", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Category","(aids.Grantings.category) Currently only used for printing an isip.Contract.") }, "name": "category", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/category" }) }) });
    var start_date4413 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Applies from", "listeners": { "render": Lino.quicktip_renderer("Applies from","(aids.Grantings.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date4414 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "until", "listeners": { "render": Lino.quicktip_renderer("until","(aids.Grantings.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var custom_actions_disp4415 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Actions", "listeners": { "render": Lino.quicktip_renderer("Actions","(aids.Grantings.custom_actions) ") }, "name": "custom_actions", "value": "<br/>" });
    var main_3_panel4416 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": aid_type4411, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": category4412, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date4413, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date4414, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": custom_actions_disp4415, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_ConfirmationsByGranting_grid4430 = new Lino.aids.ConfirmationsByGranting.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Issued confirmations","(aids.aids.ConfirmationsByGranting) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.ConfirmationsByGranting.grid) ] });
    var main_panel4431 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4398, main_2_panel4407, main_3_panel4416, aids_ConfirmationsByGranting_grid4430 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4431;
    this.before_row_edit = function(record) {
      board4405.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
      aids_ConfirmationsByGranting_grid4430.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof decision_date4406 !== 'undefined' && decision_date4406.on('change',Lino.chooser_handler(board4405,'decision_date'));
      Lino.aids.Grantings.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.Grantings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-Trainings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 62,
  initComponent : function() {
    var person3766 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Person</span>", "hiddenName": "personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Person","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date3767 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cv.Trainings.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date3768 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End date</span>", "listeners": { "render": Lino.quicktip_renderer("End date","(cv.Trainings.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel3769 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": person3766, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_date3767, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date3768, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type3773 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Select a Education Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Education Type</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Education Type","(cv.Trainings.type) Pointer to StudyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state3774 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("State","(cv.Trainings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates3775 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Certificates", "listeners": { "render": Lino.quicktip_renderer("Certificates","(cv.Trainings.certificates) ") }, "maxLength": 200, "name": "certificates", "selectOnFocus": true });
    var main_2_panel3776 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": type3773, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state3774, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": certificates3775, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector3780 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Select a Activity sector...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Activity sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Activity sector","(cv.Trainings.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function3781 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Select a Job title...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Job title</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Job title","(cv.Trainings.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var main_3_panel3782 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector3780, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function3781, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school3785 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Establishment</span>", "listeners": { "render": Lino.quicktip_renderer("Establishment","(cv.Trainings.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country3786 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "Country", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Country","(cv.Trainings.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city3787 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Select a Place...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Locality</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Locality","(cv.Trainings.city) The locality, i.e. usually a village, city or town.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var main_4_panel3788 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school3785, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country3786, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city3787, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3792 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3769, main_2_panel3776, main_3_panel3782, main_4_panel3788 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3792;
    this.before_row_edit = function(record) {
      function3781.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city3787.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector3780 !== 'undefined' && sector3780.on('change',Lino.chooser_handler(function3781,'sector'));
      typeof country3786 !== 'undefined' && country3786.on('change',Lino.chooser_handler(city3787,'country'));
      Lino.cv.Trainings.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Trainings.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Types.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-Types",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 110,
  initComponent : function() {
    var name4820 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(households.Types.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl4821 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(households.Types.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de4822 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(households.Types.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en4823 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(households.Types.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4824 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name4820, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl4821, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de4822, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en4823, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var HouseholdsByType_grid4904 = new Lino.households.HouseholdsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Households","(households.households.HouseholdsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.HouseholdsByType.grid) ] });
    var main_panel4905 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4824, HouseholdsByType_grid4904 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4905;
    this.before_row_edit = function(record) {
      HouseholdsByType_grid4904.on_master_changed();
    }
    Lino.households.Types.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Grantings.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-Grantings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 124,
  initComponent : function() {
    var client4432 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var aid_type4433 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Select a Aid Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aid Type</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Aid Type","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var signer4434 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Signer</span>", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Signer","(aids.Grantings.signer) Pointer to the user who is expected to \u201csign\u201d this granting\n(i.e. to confirm that it is real).") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var main_2_panel4435 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": aid_type4433, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer4434, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var board4438 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Select a Board...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Board</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Board","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var decision_date4439 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Decided", "listeners": { "render": Lino.quicktip_renderer("Decided","(aids.Grantings.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_3_panel4440 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": board4438, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": decision_date4439, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date4443 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Applies from", "listeners": { "render": Lino.quicktip_renderer("Applies from","(aids.Grantings.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date4444 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "until", "listeners": { "render": Lino.quicktip_renderer("until","(aids.Grantings.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_4_panel4445 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date4443, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date4444, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4448 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client4432, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel4435, main_3_panel4440, main_4_panel4445 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4448;
    this.before_row_edit = function(record) {
      board4438.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof decision_date4439 !== 'undefined' && decision_date4439.on('change',Lino.chooser_handler(board4438,'decision_date'));
      Lino.aids.Grantings.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.Grantings.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.EnrolmentsByPupil.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel courses-EnrolmentsByPupil",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 100,
  initComponent : function() {
    var course_area4906 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Layout", "forceSelection": true, "hiddenName": "course_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Layout","(courses.EnrolmentsByPupil.course_area) ") }, "name": "course_area", "store": [['','<br>']].concat(Lino.courses.ActivityLayouts) });
    var course4907 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.courses.Activities.detail", "emptyText": "Select a Workshop...", "fieldLabel": "Workshop", "hiddenName": "courseHidden", "insert_action": "Lino.courses.Activities.insert", "listeners": { "render": Lino.quicktip_renderer("Workshop","(courses.EnrolmentsByPupil.course) ") }, "name": "course", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.courses.Activities.detail,Lino.courses.Activities.insert)}, "pageSize": 20, "related_actor_id": "courses.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/EnrolmentsByPupil/course" }) }) });
    var places4908 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Places used</span>", "listeners": { "render": Lino.quicktip_renderer("Places used","(courses.EnrolmentsByPupil.places) The number of participants in this enrolment.") }, "name": "places", "selectOnFocus": true, "value": 1 });
    var remark4909 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Remark", "listeners": { "render": Lino.quicktip_renderer("Remark","(courses.EnrolmentsByPupil.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var request_date4910 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date of request", "listeners": { "render": Lino.quicktip_renderer("Date of request","(courses.EnrolmentsByPupil.request_date) ") }, "name": "request_date", "selectOnFocus": true });
    var user4911 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(courses.EnrolmentsByPupil.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/EnrolmentsByPupil/user" }) }) });
    var main_5_panel4912 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": request_date4910, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": user4911, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4915 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": course_area4906, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": course4907, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": places4908, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": remark4909, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_5_panel4912 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4915;
    this.before_row_edit = function(record) {
      course4907.setContextValue('course_area', record ? record.data['course_areaHidden'] : undefined);
      course4907.setContextValue('request_date', record ? record.data['request_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof course_area4906 !== 'undefined' && course_area4906.on('change',Lino.chooser_handler(course4907,'course_area'));
      typeof request_date4910 !== 'undefined' && request_date4910.on('change',Lino.chooser_handler(course4907,'request_date'));
      Lino.courses.EnrolmentsByPupil.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.courses.EnrolmentsByPupil.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.immersion.Goals.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel immersion-Goals",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 94,
  initComponent : function() {
    var id4920 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(immersion.Goals.id) ") }, "name": "id", "selectOnFocus": true });
    var name4921 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(immersion.Goals.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl4922 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(immersion.Goals.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de4923 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(immersion.Goals.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en4924 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(immersion.Goals.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4925 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id4920, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name4921, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl4922, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de4923, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en4924, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsByGoal_grid5023 = new Lino.immersion.ContractsByGoal.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Immersion trainings","(immersion.immersion.ContractsByGoal) Base for contract tables. Defines the following parameter fields:") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.immersion.ContractsByGoal.grid) ] });
    var main_panel5024 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4925, ContractsByGoal_grid5023 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5024;
    this.before_row_edit = function(record) {
      ContractsByGoal_grid5023.on_master_changed();
    }
    Lino.immersion.Goals.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Lines.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel courses-Lines",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 101,
  initComponent : function() {
    var name3136 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(courses.Lines.name) The designation of this activity line as seen by the user\ne.g. when selecting the line.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl3137 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(courses.Lines.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de3138 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(courses.Lines.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en3139 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(courses.Lines.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3140 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name3136, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl3137, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de3138, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en3139, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ref3145 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reference</span>", "listeners": { "render": Lino.quicktip_renderer("Reference","(courses.Lines.ref) The reference. This must be either empty or unique.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var topic3146 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.courses.Topics.detail", "emptyText": "Select a Topic...", "fieldLabel": "Topic", "hiddenName": "topicHidden", "listeners": { "render": Lino.quicktip_renderer("Topic","(courses.Lines.topic) ") }, "name": "topic", "pageSize": 20, "related_actor_id": "courses.Topics", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/topic" }) }) });
    var main_2_panel3147 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": ref3145, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": topic3146, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var every_unit3150 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Recurrency", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Recurrency","(courses.Lines.every_unit) ") }, "name": "every_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every3151 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Repeat every", "listeners": { "render": Lino.quicktip_renderer("Repeat every","(courses.Lines.every) ") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var event_type3152 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry type","(courses.Lines.event_type) The type of calendar entries to be generated. If this is empty, no calendar entries will be generated.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/event_type" }) }) });
    var main_3_panel3153 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 43, "items": every_unit3150, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": every3151, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": event_type3152, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description3157 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description","(courses.Lines.description) ") }, "name": "description", "selectOnFocus": true });
    var description_nl3158 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description (nl)", "growMax": 2000, "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Description (nl)","(courses.Lines.description_nl) ") }, "name": "description_nl", "selectOnFocus": true });
    var description_de3159 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description (de)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description (de)","(courses.Lines.description_de) ") }, "name": "description_de", "selectOnFocus": true });
    var description_en3160 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description (en)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description (en)","(courses.Lines.description_en) ") }, "name": "description_en", "selectOnFocus": true });
    var main_4_panel3161 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 62, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 25, "items": description3157, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 25, "hidden": true, "items": description_nl3158, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 25, "items": description_de3159, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 25, "items": description_en3160, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel3166 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3140, main_2_panel3147, main_3_panel3153, main_4_panel3161 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3166;
    this.before_row_edit = function(record) {
    }
    Lino.courses.Lines.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 84,
  initComponent : function() {
    var id5025 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5026 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(jobs.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl5027 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(jobs.ContractTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de5028 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(jobs.ContractTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en5029 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(jobs.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref5030 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reference</span>", "listeners": { "render": Lino.quicktip_renderer("Reference","(jobs.ContractTypes.ref) The reference. This must be either empty or unique.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var overlap_group5031 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Overlap group</span>", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Overlap group","(jobs.ContractTypes.overlap_group) The overlap group to use when checking whether two contracts are\noverlapping or not. If this field is empty, Lino does not check at all\nfor overlapping contracts.") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var main_1_panel5032 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 3, "items": id5025, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": name5026, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "hidden": true, "items": name_nl5027, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": name_de5028, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": name_en5029, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": ref5030, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": overlap_group5031, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsByType_grid5061 = new Lino.art60.ContractsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art60\u00a77 job supplyments","(art60.art60.ContractsByType) Base for contract tables. Defines the following parameter fields:") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.art60.ContractsByType.grid) ] });
    var main_panel5062 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5032, ContractsByType_grid5061 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5062;
    this.before_row_edit = function(record) {
      ContractsByType_grid5061.on_master_changed();
    }
    Lino.jobs.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractEndings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractEndings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 78,
  initComponent : function() {
    var name5063 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation", "listeners": { "render": Lino.quicktip_renderer("Designation","(isip.ContractEndings.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var use_in_isip5064 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "ISIP", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("ISIP","(isip.ContractEndings.use_in_isip) ") }, "name": "use_in_isip", "selectOnFocus": true });
    var use_in_jobs5065 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Job supplying", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Job supplying","(isip.ContractEndings.use_in_jobs) ") }, "name": "use_in_jobs", "selectOnFocus": true });
    var is_success5066 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Success", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Success","(isip.ContractEndings.is_success) ") }, "name": "is_success", "selectOnFocus": true });
    var needs_date_ended5067 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Require date ended", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Require date ended","(isip.ContractEndings.needs_date_ended) ") }, "name": "needs_date_ended", "selectOnFocus": true });
    var main_2_panel5068 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": use_in_isip5064, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": use_in_jobs5065, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_success5066, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": needs_date_ended5067, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var isip_ContractsByEnding_grid5100 = new Lino.isip.ContractsByEnding.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("ISIPs","(isip.isip.ContractsByEnding) Base for contract tables. Defines the following parameter fields:") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByEnding.grid) ] });
    var jobs_ContractsByEnding_grid5123 = new Lino.art60.ContractsByEnding.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art60\u00a77 job supplyments","(art60.art60.ContractsByEnding) Base for contract tables. Defines the following parameter fields:") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.art60.ContractsByEnding.grid) ] });
    var main_panel5124 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": name5063, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5068, isip_ContractsByEnding_grid5100, jobs_ContractsByEnding_grid5123 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5124;
    this.before_row_edit = function(record) {
      isip_ContractsByEnding_grid5100.on_master_changed();
      jobs_ContractsByEnding_grid5123.on_master_changed();
    }
    Lino.isip.ContractEndings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-Households",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 112,
  initComponent : function() {
    var type5126 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Select a Household Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Household Type</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Household Type","(households.Households.type) The type of this household.  See household types") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var prefix5127 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(households.Households.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name5128 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var id5129 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(households.Households.id) ") }, "name": "id", "selectOnFocus": true });
    var general_1_panel5130 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 29, "items": type5126, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": prefix5127, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": name5128, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id5129, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox5135 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(households.Households.overview) ") }, "name": "overview", "value": "<br/>" });
    var language5136 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(households.Households.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var email5137 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">e-mail address</span>", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(households.Households.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone5138 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Phone</span>", "listeners": { "render": Lino.quicktip_renderer("Phone","(households.Households.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm5139 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mobile</span>", "listeners": { "render": Lino.quicktip_renderer("Mobile","(households.Households.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var box3_panel5140 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language5136, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email5137, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone5138, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm5139, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_2_panel5145 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox5135, box3_panel5140 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var households_MembersByHousehold_grid5146 = new Lino.households.MembersByHousehold.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Household Members","(households.households.MembersByHousehold) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByHousehold.grid) ] });
    var general_panel5147 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5130, general_2_panel5145, households_MembersByHousehold_grid5146 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "General" });
    var main_panel5151 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5147 ], "labelAlign": "top", "split": true });
    this.items = main_panel5151;
    this.before_row_edit = function(record) {
      overview_htmlbox5135.refresh();
      households_MembersByHousehold_grid5146.on_master_changed();
    }
    Lino.households.Households.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.cal.Events.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Events",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 35,
  initComponent : function() {
    var event_type1650 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry type","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }) });
    var summary1651 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Short description</span>", "listeners": { "render": Lino.quicktip_renderer("Short description","(cal.Events.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var project1652 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }) });
    var general_1_panel1653 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": event_type1650, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": summary1651, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": project1652, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date1657 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cal.Events.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time1658 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start time</span>", "listeners": { "render": Lino.quicktip_renderer("Start time","(cal.Events.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var start_panel1659 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 25, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": start_date1657, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": start_time1658, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var end_date1662 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End Date</span>", "listeners": { "render": Lino.quicktip_renderer("End Date","(cal.Events.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time1663 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End Time</span>", "listeners": { "render": Lino.quicktip_renderer("End Time","(cal.Events.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var end_panel1664 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 25, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": end_date1662, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": end_time1663, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user1667 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Managed by</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Managed by","(cal.Events.user) The responsible user.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/user" }) }) });
    var assigned_to1668 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Assigned to</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Assigned to","(cal.Events.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/assigned_to" }) }) });
    var general_2_panel1669 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ start_panel1659, end_panel1664, { "autoHeight": true, "flex": 24, "items": user1667, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": assigned_to1668, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var room1672 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Room","(cal.Events.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/room" }) }) });
    var priority1673 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Priority", "forceSelection": true, "hiddenName": "priorityHidden", "listeners": { "render": Lino.quicktip_renderer("Priority","(cal.Events.priority) ") }, "name": "priority", "selectOnFocus": true, "store": Lino.xl.Priorities });
    var access_class1674 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Access class</span>", "forceSelection": true, "hiddenName": "access_classHidden", "listeners": { "render": Lino.quicktip_renderer("Access class","(cal.Events.access_class) Whether this is private, public or between.") }, "name": "access_class", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var transparent1675 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Transparent", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Transparent","(cal.Events.transparent) Whether this entry should allow other entries at the same time.") }, "name": "transparent", "selectOnFocus": true });
    var general_3_panel1676 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": room1672, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": priority1673, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": access_class1674, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": transparent1675, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp1681 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Controlled by</span>", "name": "owner" });
    var workflow_buttons_disp1682 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Events.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_4_panel1683 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": owner_disp1681, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 75, "items": workflow_buttons_disp1682, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description1686 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Description</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description","(cal.Events.description) A longer descriptive text.") }, "name": "description", "selectOnFocus": true });
    var GuestsByEvent_grid1700 = new Lino.cal.GuestsByEvent.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Presences","(cal.cal.GuestsByEvent) The default table of presences.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.GuestsByEvent.grid) ] });
    var general_5_panel1701 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 45, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": description1686, "labelAlign": "top", "layout": "form", "xtype": "panel" }, GuestsByEvent_grid1700 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel1703 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1653, general_2_panel1669, general_3_panel1676, general_4_panel1683, general_5_panel1701 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var id1704 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Events.id) ") }, "name": "id", "selectOnFocus": true });
    var created1705 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Created</span>", "listeners": { "render": Lino.quicktip_renderer("Created","(cal.Events.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1706 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modified</span>", "listeners": { "render": Lino.quicktip_renderer("Modified","(cal.Events.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var state1707 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("State","(cal.Events.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var more_1_panel1708 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id1704, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": created1705, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": modified1706, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state1707, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var outbox_MailsByController_grid1764 = new Lino.outbox.MailsByController.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Outgoing Mails","(outbox.outbox.MailsByController) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.outbox.MailsByController.grid) ] });
    var more_panel1765 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel1708, outbox_MailsByController_grid1764 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "More" });
    var main_panel1766 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1703, more_panel1765 ], "labelAlign": "top", "split": true });
    this.items = main_panel1766;
    this.before_row_edit = function(record) {
      GuestsByEvent_grid1700.on_master_changed();
      outbox_MailsByController_grid1764.on_master_changed();
    }
    Lino.cal.Events.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-Households",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 112,
  initComponent : function() {
    var name5152 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var type5153 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Select a Household Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Household Type</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Household Type","(households.Households.type) The type of this household.  See household types") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var main_panel5154 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name5152, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type5153, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5154;
    this.before_row_edit = function(record) {
    }
    Lino.households.Households.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.immersion.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel immersion-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 93,
  initComponent : function() {
    var id5157 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(immersion.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5158 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(immersion.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl5159 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(immersion.ContractTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de5160 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(immersion.ContractTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en5161 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(immersion.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5162 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id5157, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name5158, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl5159, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de5160, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en5161, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var exam_policy5168 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Select a Examination Policy...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Examination Policy</span>", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Examination Policy","(immersion.ContractTypes.exam_policy) The default examination policy to be used for contracts of\nthis type.") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractTypes/exam_policy" }) }) });
    var template5169 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Template</span>", "listeners": { "render": Lino.quicktip_renderer("Template","(immersion.ContractTypes.template) The main template to use instead of the default template\ndefined on the excerpt type.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractTypes/template" }) }) });
    var overlap_group5170 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Overlap group</span>", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Overlap group","(immersion.ContractTypes.overlap_group) The overlap group to use when checking whether two contracts are\noverlapping or not. If this field is empty, Lino does not check at all\nfor overlapping contracts.") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var main_2_panel5171 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 45, "items": exam_policy5168, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": template5169, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": overlap_group5170, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var full_name5175 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Full name</span>", "listeners": { "render": Lino.quicktip_renderer("Full name","(immersion.ContractTypes.full_name) The full description of this contract type as used in printed\ndocuments.") }, "maxLength": 200, "name": "full_name", "selectOnFocus": true });
    var ContractsByType_grid5204 = new Lino.immersion.ContractsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Immersion trainings","(immersion.immersion.ContractsByType) Base for contract tables. Defines the following parameter fields:") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.immersion.ContractsByType.grid) ] });
    var main_panel5205 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5162, main_2_panel5171, { "autoHeight": true, "items": full_name5175, "labelAlign": "top", "layout": "form", "xtype": "panel" }, ContractsByType_grid5204 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5205;
    this.before_row_edit = function(record) {
      ContractsByType_grid5204.on_master_changed();
    }
    Lino.immersion.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Events",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 35,
  initComponent : function() {
    var summary1767 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Short description</span>", "listeners": { "render": Lino.quicktip_renderer("Short description","(cal.Events.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date1768 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cal.Events.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time1769 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start time</span>", "listeners": { "render": Lino.quicktip_renderer("Start time","(cal.Events.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var start_panel1770 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": start_date1768, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": start_time1769, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var end_date1773 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End Date</span>", "listeners": { "render": Lino.quicktip_renderer("End Date","(cal.Events.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time1774 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End Time</span>", "listeners": { "render": Lino.quicktip_renderer("End Time","(cal.Events.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var end_panel1775 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": end_date1773, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": end_time1774, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_2_panel1778 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ start_panel1770, end_panel1775 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var event_type1779 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry type","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }) });
    var project1780 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }) });
    var main_3_panel1781 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type1779, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project1780, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1784 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary1767, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1778, main_3_panel1781 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1784;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Events.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.immersion.ContractTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel immersion-ContractTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 93,
  initComponent : function() {
    var name5207 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(immersion.ContractTypes.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl5208 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(immersion.ContractTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de5209 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(immersion.ContractTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en5210 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(immersion.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5211 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name5207, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl5208, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de5209, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en5210, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var exam_policy5216 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Select a Examination Policy...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Examination Policy</span>", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Examination Policy","(immersion.ContractTypes.exam_policy) The default examination policy to be used for contracts of\nthis type.") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractTypes/exam_policy" }) }) });
    var main_panel5217 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5211, { "anchor": "-20", "autoHeight": true, "items": exam_policy5216, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5217;
    this.before_row_edit = function(record) {
    }
    Lino.immersion.ContractTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractPartners.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractPartners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 79,
  initComponent : function() {
    var company2381 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "Organization", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organization","(isip.ContractPartners.company) ") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/company" }) }) });
    var contact_person2382 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "Represented by", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(isip.ContractPartners.contact_person) ") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_person" }) }) });
    var contact_role2383 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Select a Function...", "fieldLabel": "Represented as", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(isip.ContractPartners.contact_role) ") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_role" }) }) });
    var main_1_panel2384 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company2381, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person2382, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role2383, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var duties_company2388 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "duties company", "flex": 83, "name": "duties_company", "selectOnFocus": true, "title": "duties company" });
    var main_panel2389 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2384, duties_company2388 ], "labelAlign": "top", "labelWidth": 135, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2389;
    this.before_row_edit = function(record) {
      contact_person2382.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      duties_company2388.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company2381 !== 'undefined' && company2381.on('change',Lino.chooser_handler(contact_person2382,'company'));
      Lino.isip.ContractPartners.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.isip.ContractPartners.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractPartners.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel isip-ContractPartners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 79,
  initComponent : function() {
    var company2390 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "Organization", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organization","(isip.ContractPartners.company) ") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/company" }) }) });
    var contact_person2391 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "Represented by", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(isip.ContractPartners.contact_person) ") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_person" }) }) });
    var contact_role2392 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Select a Function...", "fieldLabel": "Represented as", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(isip.ContractPartners.contact_role) ") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_role" }) }) });
    var main_panel2393 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": company2390, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_person2391, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_role2392, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2393;
    this.before_row_edit = function(record) {
      contact_person2391.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company2390 !== 'undefined' && company2390.on('change',Lino.chooser_handler(contact_person2391,'company'));
      Lino.isip.ContractPartners.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.isip.ContractPartners.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.calview.DailyView.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel calview-DailyView",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  disable_editing: true,
  initComponent : function() {
    var calview_DailySlave_grid5225 = new Lino.calview.DailySlave.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer(null,"(calview.calview.DailySlave) The virtual table used to render the daily planner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 0, "region": "center" });
    var main_panel5226 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ calview_DailySlave_grid5225 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel5226;
    this.before_row_edit = function(record) {
      calview_DailySlave_grid5225.on_master_changed();
    }
    Lino.calview.DailyView.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Partners",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 7,
  initComponent : function() {
    var overview_htmlbox1962 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 31, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Partners.overview) ") }, "name": "overview", "value": "<br/>" });
    var id1963 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Partners.id) ") }, "name": "id", "selectOnFocus": true });
    var language1964 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(contacts.Partners.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var general2_1_panel1965 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": id1963, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": language1964, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var activity1968 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a activity...", "fieldLabel": "activity", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("activity","(contacts.Partners.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/activity" }) }) });
    var client_contact_type1969 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Select a Client Contact type...", "fieldLabel": "Client Contact type", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Client Contact type","(contacts.Partners.client_contact_type) ") }, "name": "client_contact_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/client_contact_type" }) }) });
    var url1970 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "URL", "listeners": { "render": Lino.quicktip_renderer("URL","(contacts.Partners.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel1971 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 47, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel1965, { "anchor": "-20", "autoHeight": true, "items": activity1968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": client_contact_type1969, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url1970, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email1975 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">e-mail address</span>", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(contacts.Partners.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone1976 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Phone</span>", "listeners": { "render": Lino.quicktip_renderer("Phone","(contacts.Partners.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm1977 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mobile</span>", "listeners": { "render": Lino.quicktip_renderer("Mobile","(contacts.Partners.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax1978 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Partners.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel1979 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 21, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email1975, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone1976, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm1977, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax1978, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel1984 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox1962, general2_panel1971, general3_panel1979 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid1991 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Appointments","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var general_panel1992 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1984, reception_AppointmentsByPartner_grid1991 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var country1993 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "Country", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Country","(contacts.Partners.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/country" }) }) });
    var region1994 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Places.detail", "emptyText": "Select a Place...", "fieldLabel": "County", "hiddenName": "regionHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("County","(contacts.Partners.region) ") }, "name": "region", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/region" }) }) });
    var city1995 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Select a Place...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Locality</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Locality","(contacts.Partners.city) The locality, i.e. usually a village, city or town.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/city" }) }) });
    var zip_code1996 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "Zip code", "listeners": { "render": Lino.quicktip_renderer("Zip code","(contacts.Partners.zip_code) ") }, "maxLength": 10, "name": "zip_code", "selectOnFocus": true });
    var address_box_1_panel1997 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": country1993, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": region1994, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": city1995, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": zip_code1996, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr12002 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Address line before street</span>", "listeners": { "render": Lino.quicktip_renderer("Address line before street","(contacts.Partners.addr1) Address line before street") }, "maxLength": 200, "name": "addr1", "selectOnFocus": true });
    var street_prefix2003 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Street prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Street prefix","(contacts.Partners.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "maxLength": 200, "name": "street_prefix", "selectOnFocus": true });
    var street2004 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Street</span>", "listeners": { "render": Lino.quicktip_renderer("Street","(contacts.Partners.street) Name of street, without house number.") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no2005 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">No.</span>", "listeners": { "render": Lino.quicktip_renderer("No.","(contacts.Partners.street_no) House number.") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box2006 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(contacts.Partners.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var address_box_3_panel2007 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": street_prefix2003, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": street2004, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": street_no2005, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": street_box2006, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr22012 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Address line after street</span>", "listeners": { "render": Lino.quicktip_renderer("Address line after street","(contacts.Partners.addr2) Address line to print below street line.") }, "maxLength": 200, "name": "addr2", "selectOnFocus": true });
    var address_box_panel2013 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ address_box_1_panel1997, { "anchor": "-20", "autoHeight": true, "items": addr12002, "labelAlign": "top", "layout": "form", "xtype": "panel" }, address_box_3_panel2007, { "anchor": "-20", "autoHeight": true, "items": addr22012, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var remarks2016 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remarks", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remarks","(contacts.Partners.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var contact_panel2017 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ address_box_panel2013, { "flex": 55, "items": remarks2016, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Contact" });
    var is_obsolete2019 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "obsolete", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("obsolete","(contacts.Partners.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var created2020 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Created</span>", "listeners": { "render": Lino.quicktip_renderer("Created","(contacts.Partners.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified2021 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modified</span>", "listeners": { "render": Lino.quicktip_renderer("Modified","(contacts.Partners.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_1_panel2022 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": is_obsolete2019, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": created2020, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": modified2021, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var changes_ChangesByMaster_grid2057 = new Lino.changes.ChangesByMaster.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Changes","(changes.changes.ChangesByMaster) Slave Table showing the changes related to the current object,\nincluding those applied to \"child\" objects.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.changes.ChangesByMaster.grid) ] });
    var misc_panel2058 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel2022, changes_ChangesByMaster_grid2057 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Miscellaneous" });
    var main_panel2059 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1992, contact_panel2017, misc_panel2058 ], "labelAlign": "top", "split": true });
    this.items = main_panel2059;
    this.before_row_edit = function(record) {
      overview_htmlbox1962.refresh();
      reception_AppointmentsByPartner_grid1991.on_master_changed();
      region1994.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city1995.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city1995.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      changes_ChangesByMaster_grid2057.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof country1993 !== 'undefined' && country1993.on('change',Lino.chooser_handler(region1994,'country'));
      typeof country1993 !== 'undefined' && country1993.on('change',Lino.chooser_handler(city1995,'country'));
      typeof region1994 !== 'undefined' && region1994.on('change',Lino.chooser_handler(city1995,'region'));
      Lino.contacts.Partners.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.contacts.Partners.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    zip_code1996.on("change", function(){ this.save() }, this);
    city1995.on("change", function(){ this.save() }, this);
  }
});


Lino.art61.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art61-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 92,
  initComponent : function() {
    var id1538 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art61.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client1539 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(art61.Contracts.client) The client for whom this contract is done.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var user1540 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Responsible (IS)</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible (IS)","(art61.Contracts.user) The person who created this contract.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var language1541 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(art61.Contracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var box1_1_panel1542 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": id1538, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": client1539, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": user1540, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": language1541, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company1547 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Employers.detail", "emptyText": "Select a Employer...", "fieldLabel": "Employer", "hiddenName": "companyHidden", "insert_action": "Lino.jobs.Employers.insert", "listeners": { "render": Lino.quicktip_renderer("Employer","(art61.Contracts.company) ") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Employers.detail,Lino.jobs.Employers.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Employers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var contact_person1548 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "Represented by", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(art61.Contracts.contact_person) ") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_person" }) }) });
    var contact_role1549 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Select a Function...", "fieldLabel": "Represented as", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(art61.Contracts.contact_role) ") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_role" }) }) });
    var box1_2_panel1550 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company1547, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person1548, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role1549, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var applies_from1554 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">applies from</span>", "listeners": { "render": Lino.quicktip_renderer("applies from","(art61.Contracts.applies_from) The start date of the contract.") }, "name": "applies_from", "selectOnFocus": true });
    var duration1555 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "duration (days)", "listeners": { "render": Lino.quicktip_renderer("duration (days)","(art61.Contracts.duration) ") }, "name": "duration", "selectOnFocus": true, "value": null });
    var applies_until1556 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">applies until</span>", "listeners": { "render": Lino.quicktip_renderer("applies until","(art61.Contracts.applies_until) The planned end date of this contract.") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy1557 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Select a Examination Policy...", "fieldLabel": "Examination Policy", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Examination Policy","(art61.Contracts.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/exam_policy" }) }) });
    var box1_3_panel1558 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": applies_from1554, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": duration1555, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": applies_until1556, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": exam_policy1557, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1563 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Select a Art61 job supplyment type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Type</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type","(art61.Contracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var sector1564 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Select a Activity sector...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Activity sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Activity sector","(art61.Contracts.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/sector" }) }) });
    var function1565 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Select a Job title...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Job title</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Job title","(art61.Contracts.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/function" }) }) });
    var box1_4_panel1566 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": type1563, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": sector1564, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": function1565, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_title1570 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Job title", "listeners": { "render": Lino.quicktip_renderer("Job title","(art61.Contracts.job_title) ") }, "maxLength": 200, "name": "job_title", "selectOnFocus": true });
    var status1571 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Statuses.detail", "emptyText": "Select a Status...", "fieldLabel": "Status", "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Status","(art61.Contracts.status) ") }, "name": "status", "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/status" }) }) });
    var cv_duration1572 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Durations.detail", "emptyText": "Select a Contract Duration...", "fieldLabel": "Contract Duration", "hiddenName": "cv_durationHidden", "listeners": { "render": Lino.quicktip_renderer("Contract Duration","(art61.Contracts.cv_duration) ") }, "name": "cv_duration", "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/cv_duration" }) }) });
    var regime1573 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Select a Work Regime...", "fieldLabel": "Work Regime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Work Regime","(art61.Contracts.regime) ") }, "name": "regime", "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/regime" }) }) });
    var box1_5_panel1574 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": job_title1570, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": status1571, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": cv_duration1572, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": regime1573, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reference_person1579 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "reference person", "listeners": { "render": Lino.quicktip_renderer("reference person","(art61.Contracts.reference_person) ") }, "maxLength": 200, "name": "reference_person", "selectOnFocus": true });
    var remark1580 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remark","(art61.Contracts.remark) ") }, "name": "remark", "selectOnFocus": true });
    var printed_disp1581 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(art61.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var box1_6_panel1582 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": reference_person1579, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 54, "items": remark1580, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp1581, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided1586 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date decided</span>", "listeners": { "render": Lino.quicktip_renderer("date decided","(art61.Contracts.date_decided) When the contract was ratified by the responsible board.") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued1587 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date issued</span>", "listeners": { "render": Lino.quicktip_renderer("date issued","(art61.Contracts.date_issued) When the contract was issued to the client and signed by them.") }, "name": "date_issued", "selectOnFocus": true });
    var date_ended1588 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date ended</span>", "listeners": { "render": Lino.quicktip_renderer("date ended","(art61.Contracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "name": "date_ended", "selectOnFocus": true });
    var ending1589 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Select a Reason of termination...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reason of termination</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Reason of termination","(art61.Contracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var box1_7_panel1590 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date_decided1586, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_issued1587, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended1588, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": ending1589, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sub_amount_101595 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Hiring assistance", "listeners": { "render": Lino.quicktip_renderer("Hiring assistance","(art61.Contracts.sub_amount_10) ") }, "name": "sub_amount_10", "selectOnFocus": true });
    var sub_amount_201596 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Tutorate", "listeners": { "render": Lino.quicktip_renderer("Tutorate","(art61.Contracts.sub_amount_20) ") }, "name": "sub_amount_20", "selectOnFocus": true });
    var sub_amount_301597 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Walloon Region", "listeners": { "render": Lino.quicktip_renderer("Walloon Region","(art61.Contracts.sub_amount_30) ") }, "name": "sub_amount_30", "selectOnFocus": true });
    var box1_8_panel1598 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": sub_amount_101595, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": sub_amount_201596, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": sub_amount_301597, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sub_start_101602 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "From", "listeners": { "render": Lino.quicktip_renderer("From","(art61.Contracts.sub_start_10) ") }, "name": "sub_start_10", "selectOnFocus": true });
    var sub_start_201603 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "From", "listeners": { "render": Lino.quicktip_renderer("From","(art61.Contracts.sub_start_20) ") }, "name": "sub_start_20", "selectOnFocus": true });
    var sub_start_301604 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "From", "listeners": { "render": Lino.quicktip_renderer("From","(art61.Contracts.sub_start_30) ") }, "name": "sub_start_30", "selectOnFocus": true });
    var box1_9_panel1605 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": sub_start_101602, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": sub_start_201603, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": sub_start_301604, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sub_end_101609 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Until", "listeners": { "render": Lino.quicktip_renderer("Until","(art61.Contracts.sub_end_10) ") }, "name": "sub_end_10", "selectOnFocus": true });
    var sub_end_201610 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Until", "listeners": { "render": Lino.quicktip_renderer("Until","(art61.Contracts.sub_end_20) ") }, "name": "sub_end_20", "selectOnFocus": true });
    var sub_end_301611 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Until", "listeners": { "render": Lino.quicktip_renderer("Until","(art61.Contracts.sub_end_30) ") }, "name": "sub_end_30", "selectOnFocus": true });
    var box1_10_panel1612 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": sub_end_101609, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": sub_end_201610, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": sub_end_301611, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var responsibilities1616 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "responsibilities", "flex": 26, "name": "responsibilities", "selectOnFocus": true, "title": "responsibilities" });
    var box1_panel1617 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 70, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel1542, box1_2_panel1550, box1_3_panel1558, box1_4_panel1566, box1_5_panel1574, box1_6_panel1582, box1_7_panel1590, box1_8_panel1598, box1_9_panel1605, box1_10_panel1612, responsibilities1616 ], "labelAlign": "top", "labelWidth": 153, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_EntriesByController_grid1788 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Calendar entries","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var cal_TasksByController_grid1789 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Tasks","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel1790 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 30, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByController_grid1788, cal_TasksByController_grid1789 ], "labelAlign": "top" });
    var main_1_panel1791 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel1617, right_panel1790 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel1792 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1791 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel1792;
    this.before_row_edit = function(record) {
      contact_person1548.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function1565.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities1616.refresh();
      cal_EntriesByController_grid1788.on_master_changed();
      cal_TasksByController_grid1789.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company1547 !== 'undefined' && company1547.on('change',Lino.chooser_handler(contact_person1548,'company'));
      typeof sector1564 !== 'undefined' && sector1564.on('change',Lino.chooser_handler(function1565,'sector'));
      Lino.art61.Contracts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.art61.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.languages.Languages.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel languages-Languages",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 58,
  initComponent : function() {
    var id5227 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "id", "listeners": { "render": Lino.quicktip_renderer("id","(languages.Languages.id) ") }, "maxLength": 3, "name": "id", "selectOnFocus": true });
    var iso25228 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(2), "fieldLabel": "iso2", "listeners": { "render": Lino.quicktip_renderer("iso2","(languages.Languages.iso2) ") }, "maxLength": 2, "name": "iso2", "selectOnFocus": true });
    var name5229 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(languages.Languages.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl5230 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(languages.Languages.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de5231 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(languages.Languages.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en5232 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(languages.Languages.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5233 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id5227, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": iso25228, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name5229, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "hidden": true, "items": name_nl5230, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name_de5231, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name_en5232, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cv_KnowledgesByLanguage_grid5253 = new Lino.cv.KnowledgesByLanguage.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Language knowledges","(cv.cv.KnowledgesByLanguage) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cv.KnowledgesByLanguage.grid) ] });
    var main_panel5254 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5233, cv_KnowledgesByLanguage_grid5253 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5254;
    this.before_row_edit = function(record) {
      cv_KnowledgesByLanguage_grid5253.on_master_changed();
    }
    Lino.languages.Languages.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.immersion.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel immersion-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 95,
  initComponent : function() {
    var id4957 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(immersion.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client4958 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(immersion.Contracts.client) The client for whom this contract is done.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/client" }) }) });
    var user4959 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">responsible (IS)</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("responsible (IS)","(immersion.Contracts.user) The person who created this contract.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/user" }) }) });
    var language4960 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(immersion.Contracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var box1_1_panel4961 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": id4957, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": client4958, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": user4959, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": language4960, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type4966 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.immersion.ContractTypes.detail", "emptyText": "Select a Immersion training type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Immersion training type</span>", "hiddenName": "typeHidden", "insert_action": "Lino.immersion.ContractTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Immersion training type","(immersion.Contracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "name": "type", "pageSize": 20, "related_actor_id": "immersion.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/type" }) }) });
    var goal4967 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.immersion.Goals.detail", "emptyText": "Select a Immersion training goal...", "fieldLabel": "Immersion training goal", "hiddenName": "goalHidden", "listeners": { "render": Lino.quicktip_renderer("Immersion training goal","(immersion.Contracts.goal) ") }, "name": "goal", "pageSize": 20, "preferred_width": 20, "related_actor_id": "immersion.Goals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/goal" }) }) });
    var company4968 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "Organization", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organization","(immersion.Contracts.company) ") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/company" }) }) });
    var contact_person4969 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "Represented by", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(immersion.Contracts.contact_person) ") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/contact_person" }) }) });
    var contact_role4970 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Select a Function...", "fieldLabel": "Represented as", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(immersion.Contracts.contact_role) ") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/contact_role" }) }) });
    var box1_2_panel4971 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": type4966, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": goal4967, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": company4968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": contact_person4969, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": contact_role4970, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var applies_from4977 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">applies from</span>", "listeners": { "render": Lino.quicktip_renderer("applies from","(immersion.Contracts.applies_from) The start date of the contract.") }, "name": "applies_from", "selectOnFocus": true });
    var applies_until4978 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">applies until</span>", "listeners": { "render": Lino.quicktip_renderer("applies until","(immersion.Contracts.applies_until) The planned end date of this contract.") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy4979 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Select a Examination Policy...", "fieldLabel": "Examination Policy", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Examination Policy","(immersion.Contracts.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/exam_policy" }) }) });
    var box1_3_panel4980 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": applies_from4977, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": applies_until4978, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": exam_policy4979, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector4984 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Select a Activity sector...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Activity sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Activity sector","(immersion.Contracts.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/sector" }) }) });
    var function4985 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Select a Job title...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Job title</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Job title","(immersion.Contracts.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/function" }) }) });
    var box1_4_panel4986 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector4984, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function4985, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reference_person4989 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "reference person", "listeners": { "render": Lino.quicktip_renderer("reference person","(immersion.Contracts.reference_person) ") }, "maxLength": 200, "name": "reference_person", "selectOnFocus": true });
    var printed_disp4990 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(immersion.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var box1_5_panel4991 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 41, "items": reference_person4989, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 58, "items": printed_disp4990, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided4994 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date decided</span>", "listeners": { "render": Lino.quicktip_renderer("date decided","(immersion.Contracts.date_decided) When the contract was ratified by the responsible board.") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued4995 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date issued</span>", "listeners": { "render": Lino.quicktip_renderer("date issued","(immersion.Contracts.date_issued) When the contract was issued to the client and signed by them.") }, "name": "date_issued", "selectOnFocus": true });
    var date_ended4996 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date ended</span>", "listeners": { "render": Lino.quicktip_renderer("date ended","(immersion.Contracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "name": "date_ended", "selectOnFocus": true });
    var ending4997 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Select a Reason of termination...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reason of termination</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Reason of termination","(immersion.Contracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/ending" }) }) });
    var box1_6_panel4998 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date_decided4994, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_issued4995, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended4996, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": ending4997, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5003 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remark","(immersion.Contracts.remark) ") }, "name": "remark", "selectOnFocus": true });
    var box1_panel5004 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 70, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel4961, box1_2_panel4971, box1_3_panel4980, box1_4_panel4986, box1_5_panel4991, box1_6_panel4998, { "flex": 38, "items": remark5003, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_EntriesByController_grid5006 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Calendar entries","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var cal_TasksByController_grid5007 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Tasks","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel5008 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 30, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByController_grid5006, cal_TasksByController_grid5007 ], "labelAlign": "top" });
    var main_1_panel5009 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel5004, right_panel5008 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel5010 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5009 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel5010;
    this.before_row_edit = function(record) {
      contact_person4969.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function4985.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      cal_EntriesByController_grid5006.on_master_changed();
      cal_TasksByController_grid5007.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company4968 !== 'undefined' && company4968.on('change',Lino.chooser_handler(contact_person4969,'company'));
      typeof sector4984 !== 'undefined' && sector4984.on('change',Lino.chooser_handler(function4985,'sector'));
      Lino.immersion.Contracts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.immersion.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.immersion.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel immersion-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 95,
  initComponent : function() {
    var client5011 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(immersion.Contracts.client) The client for whom this contract is done.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/client" }) }) });
    var company5012 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "Organization", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organization","(immersion.Contracts.company) ") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/company" }) }) });
    var type5013 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.immersion.ContractTypes.detail", "emptyText": "Select a Immersion training type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Immersion training type</span>", "hiddenName": "typeHidden", "insert_action": "Lino.immersion.ContractTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Immersion training type","(immersion.Contracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "name": "type", "pageSize": 20, "related_actor_id": "immersion.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/type" }) }) });
    var goal5014 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.immersion.Goals.detail", "emptyText": "Select a Immersion training goal...", "fieldLabel": "Immersion training goal", "hiddenName": "goalHidden", "listeners": { "render": Lino.quicktip_renderer("Immersion training goal","(immersion.Contracts.goal) ") }, "name": "goal", "pageSize": 20, "preferred_width": 20, "related_actor_id": "immersion.Goals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/goal" }) }) });
    var main_3_panel5015 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": type5013, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": goal5014, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5018 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client5011, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": company5012, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel5015 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5018;
    this.before_row_edit = function(record) {
    }
    Lino.immersion.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Guests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 36,
  initComponent : function() {
    var event1246 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.OneEvent.detail", "emptyText": "Select a Calendar entry...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry</span>", "hiddenName": "eventHidden", "insert_action": "Lino.cal.OneEvent.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry","(cal.Guests.event) The calendar event to which this presence applies.") }, "name": "event", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.OneEvent.detail,Lino.cal.OneEvent.insert)}, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var partner1247 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "forceSelection": false, "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(cal.Guests.partner) The partner to which this presence applies.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var role1248 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Select a Guest role...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Role</span>", "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Role","(cal.Guests.role) The role of this partner in this presence.") }, "name": "role", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var main_panel1249 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": event1246, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner1247, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": role1248, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1249;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Guests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel outbox-Mails",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 24,
  initComponent : function() {
    var subject1725 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Subject", "listeners": { "render": Lino.quicktip_renderer("Subject","(outbox.Mails.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project1726 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }) });
    var date1727 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Date</span>", "listeners": { "render": Lino.quicktip_renderer("Date","(outbox.Mails.date) \n        The official date to be printed on the document.\n        ") }, "name": "date", "selectOnFocus": true });
    var main_1_panel1728 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": subject1725, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": project1726, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": date1727, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user1732 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sender</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Sender","(outbox.Mails.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/user" }) }) });
    var sent1733 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "sent", "listeners": { "render": Lino.quicktip_renderer("sent","(outbox.Mails.sent) ") }, "name": "sent", "value": "<br>" });
    var id1734 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(outbox.Mails.id) ") }, "name": "id", "selectOnFocus": true });
    var owner_disp1735 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Controlled by", "name": "owner" });
    var main_2_panel1736 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": user1732, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": sent1733, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id1734, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": owner_disp1735, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var RecipientsByMail_grid1750 = new Lino.outbox.RecipientsByMail.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Recipients","(outbox.outbox.RecipientsByMail) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.outbox.RecipientsByMail.grid) ] });
    var outbox_AttachmentsByMail_htmlbox1751 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 22, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Attachments","(outbox.Mails.outbox.AttachmentsByMail) ") }, "master_panel": this, "name": "outbox.AttachmentsByMail", "title": "Attachments", "tools": [ Lino.show_in_own_window_button(Lino.outbox.AttachmentsByMail.grid) ], "value": "<br/>" });
    var uploads_UploadsByController_htmlbox1752 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 22, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload files","(outbox.Mails.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "title": "Upload files", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var main_3_panel1753 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 29, "frame": false, "hideCheckBoxLabels": true, "items": [ RecipientsByMail_grid1750, outbox_AttachmentsByMail_htmlbox1751, uploads_UploadsByController_htmlbox1752 ], "labelAlign": "top", "labelWidth": 117, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var body1754 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Body", "flex": 58, "name": "body", "selectOnFocus": true, "title": "Body" });
    var main_panel1755 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1728, main_2_panel1736, main_3_panel1753, body1754 ], "labelAlign": "top", "labelWidth": 45, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1755;
    this.before_row_edit = function(record) {
      RecipientsByMail_grid1750.on_master_changed();
      outbox_AttachmentsByMail_htmlbox1751.refresh();
      uploads_UploadsByController_htmlbox1752.refresh();
      body1754.refresh();
    }
    Lino.outbox.Mails.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art60.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art60-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 89,
  initComponent : function() {
    var id4766 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art60.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client4767 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(art60.Contracts.client) The client for whom this contract is done.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/client" }) }) });
    var user4768 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Responsible (IS)</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible (IS)","(art60.Contracts.user) The person who created this contract.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/user" }) }) });
    var user_asd4769 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Responsible (GSS)</span>", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible (GSS)","(art60.Contracts.user_asd) The responsible person at the general social service.") }, "name": "user_asd", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/user_asd" }) }) });
    var language4770 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(art60.Contracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var box1_1_panel4771 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id4766, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": client4767, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user4768, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user_asd4769, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": language4770, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type4777 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Select a Art60\u00a77 job supplyment type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Type</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type","(art60.Contracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/type" }) }) });
    var printed_disp4778 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(art60.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var box1_2_panel4779 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": type4777, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": printed_disp4778, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var applies_from4782 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">applies from</span>", "listeners": { "render": Lino.quicktip_renderer("applies from","(art60.Contracts.applies_from) The start date of the contract.") }, "name": "applies_from", "selectOnFocus": true });
    var duration4783 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "duration (days)", "listeners": { "render": Lino.quicktip_renderer("duration (days)","(art60.Contracts.duration) ") }, "name": "duration", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/duration" }) }), "value": null });
    var applies_until4784 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">applies until</span>", "listeners": { "render": Lino.quicktip_renderer("applies until","(art60.Contracts.applies_until) The planned end date of this contract.") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy4785 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Select a Examination Policy...", "fieldLabel": "Examination Policy", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Examination Policy","(art60.Contracts.exam_policy) ") }, "name": "exam_policy", "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/exam_policy" }) }) });
    var box1_3_panel4786 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": applies_from4782, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": duration4783, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": applies_until4784, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": exam_policy4785, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4791 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remark","(art60.Contracts.remark) ") }, "name": "remark", "selectOnFocus": true });
    var date_decided4792 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date decided</span>", "listeners": { "render": Lino.quicktip_renderer("date decided","(art60.Contracts.date_decided) When the contract was ratified by the responsible board.") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued4793 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date issued</span>", "listeners": { "render": Lino.quicktip_renderer("date issued","(art60.Contracts.date_issued) When the contract was issued to the client and signed by them.") }, "name": "date_issued", "selectOnFocus": true });
    var date_ended4794 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">date ended</span>", "listeners": { "render": Lino.quicktip_renderer("date ended","(art60.Contracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "name": "date_ended", "selectOnFocus": true });
    var ending4795 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Select a Reason of termination...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reason of termination</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Reason of termination","(art60.Contracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "name": "ending", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/ending" }) }) });
    var box1_5_panel4796 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date_decided4792, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_issued4793, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended4794, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": ending4795, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ConventionsByContract_htmlbox4801 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 21, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Conventions","(art60.Contracts.ConventionsByContract) ") }, "master_panel": this, "name": "ConventionsByContract", "title": "Conventions", "tools": [ Lino.show_in_own_window_button(Lino.art60.ConventionsByContract.grid) ], "value": "<br/>" });
    var box1_panel4802 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 70, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel4771, box1_2_panel4779, box1_3_panel4786, { "flex": 35, "items": remark4791, "labelAlign": "top", "layout": "form", "xtype": "panel" }, box1_5_panel4796, ConventionsByContract_htmlbox4801 ], "labelAlign": "top", "labelWidth": 108, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_EntriesByController_grid4804 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Calendar entries","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var cal_TasksByController_grid4805 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Tasks","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel4806 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 30, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByController_grid4804, cal_TasksByController_grid4805 ], "labelAlign": "top" });
    var main_1_panel4807 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel4802, right_panel4806 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel4808 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4807 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel4808;
    this.before_row_edit = function(record) {
      ConventionsByContract_htmlbox4801.refresh();
      cal_EntriesByController_grid4804.on_master_changed();
      cal_TasksByController_grid4805.on_master_changed();
    }
    Lino.art60.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel users-Users",
  layout: 'fit',
  auto_save: true,
  content_type: 11,
  initComponent : function() {
    var username5255 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Username</span>", "listeners": { "render": Lino.quicktip_renderer("Username","(users.Users.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "maxLength": 30, "name": "username", "selectOnFocus": true });
    var user_type5256 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">User type</span>", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("User type","(users.Users.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var partner5257 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(users.Users.partner) The partner record with additional contact information about\nthis user account.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/partner" }) }) });
    var box1_1_panel5258 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": username5255, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": user_type5256, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": partner5257, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name5262 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "First name", "listeners": { "render": Lino.quicktip_renderer("First name","(users.Users.first_name) ") }, "maxLength": 30, "name": "first_name", "selectOnFocus": true });
    var last_name5263 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Last name", "listeners": { "render": Lino.quicktip_renderer("Last name","(users.Users.last_name) ") }, "maxLength": 30, "name": "last_name", "selectOnFocus": true });
    var initials5264 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Initials</span>", "listeners": { "render": Lino.quicktip_renderer("Initials","(users.Users.initials) The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.") }, "maxLength": 10, "name": "initials", "selectOnFocus": true });
    var box1_2_panel5265 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": first_name5262, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": last_name5263, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": initials5264, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var email5269 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "e-mail address", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(users.Users.email) ") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var language5270 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Language", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(users.Users.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var mail_mode5271 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Notification mode", "forceSelection": true, "hiddenName": "mail_modeHidden", "listeners": { "render": Lino.quicktip_renderer("Notification mode","(users.Users.mail_mode) ") }, "name": "mail_mode", "selectOnFocus": true, "store": Lino.notify.MailModes });
    var box1_3_panel5272 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": email5269, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": language5270, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": mail_mode5271, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id5276 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(users.Users.id) ") }, "name": "id", "selectOnFocus": true });
    var created5277 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Created</span>", "listeners": { "render": Lino.quicktip_renderer("Created","(users.Users.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified5278 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modified</span>", "listeners": { "render": Lino.quicktip_renderer("Modified","(users.Users.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var box1_4_panel5279 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": id5276, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": created5277, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": modified5278, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var box1_panel5283 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 66, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel5258, box1_2_panel5265, box1_3_panel5272, box1_4_panel5279 ], "labelAlign": "top", "layout": "form" });
    var AuthoritiesGiven_grid5288 = new Lino.users.AuthoritiesGiven.GridPanel({ "containing_panel": this, "flex": 33, "hideHeaders": true, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Authorities given","(users.users.AuthoritiesGiven) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.users.AuthoritiesGiven.grid) ] });
    var general_1_panel5289 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel5283, AuthoritiesGiven_grid5288 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks5290 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remarks", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remarks","(users.Users.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var AuthoritiesTaken_grid5295 = new Lino.users.AuthoritiesTaken.GridPanel({ "containing_panel": this, "flex": 33, "hideHeaders": true, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Authorities taken","(users.users.AuthoritiesTaken) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.users.AuthoritiesTaken.grid) ] });
    var general_2_panel5296 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 66, "items": remarks5290, "labelAlign": "top", "layout": "form", "xtype": "panel" }, AuthoritiesTaken_grid5295 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel5298 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5289, general_2_panel5296 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var event_type5299 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry type","(users.Users.event_type) The default type for your calendar entries.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/event_type" }) }) });
    var access_class5300 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Default access class</span>", "forceSelection": true, "hiddenName": "access_classHidden", "listeners": { "render": Lino.quicktip_renderer("Default access class","(users.Users.access_class) The default access class for your calendar events and tasks.") }, "name": "access_class", "selectOnFocus": true, "store": Lino.cal.AccessClasses });
    var cal_left_1_panel5301 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": event_type5299, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": access_class5300, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var calendar5304 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Calendars.detail", "emptyText": "Select a Calendar...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">User Calendar</span>", "hiddenName": "calendarHidden", "insert_action": "Lino.cal.Calendars.insert", "listeners": { "render": Lino.quicktip_renderer("User Calendar","(users.Users.calendar) Calendar where your events are published.") }, "name": "calendar", "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/calendar" }) }) });
    var cal_SubscriptionsByUser_grid5312 = new Lino.cal.SubscriptionsByUser.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Subscriptions","(cal.cal.SubscriptionsByUser) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.SubscriptionsByUser.grid) ] });
    var cal_left_panel5313 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_left_1_panel5301, { "autoHeight": true, "items": calendar5304, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cal_SubscriptionsByUser_grid5312 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_TasksByUser_grid5340 = new Lino.cal.TasksByUser.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Tasks","(cal.cal.TasksByUser) Shows the list of tasks for this user.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByUser.grid) ] });
    var cal_1_panel5341 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ cal_left_panel5313, cal_TasksByUser_grid5340 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Calendar" });
    var newcomer_quota5342 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Newcomers Quota</span>", "listeners": { "render": Lino.quicktip_renderer("Newcomers Quota","(users.Users.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "name": "newcomer_quota", "selectOnFocus": true, "value": 0 });
    var coaching_type5343 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a Coaching type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Coaching type</span>", "hiddenName": "coaching_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Coaching type","(users.Users.coaching_type) The coaching type used for new coachings of this user.") }, "name": "coaching_type", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/coaching_type" }) }) });
    var coaching_supervisor5344 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Coaching supervisor", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Coaching supervisor","(users.Users.coaching_supervisor) Notify me when a coach has been assigned.") }, "name": "coaching_supervisor", "selectOnFocus": true });
    var newcomer_consultations5345 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Newcomer consultations", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Newcomer consultations","(users.Users.newcomer_consultations) Accepts prompt consultations for newcomers.") }, "name": "newcomer_consultations", "selectOnFocus": true });
    var newcomer_appointments5346 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Newcomer appointments", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Newcomer appointments","(users.Users.newcomer_appointments) Accepts appointments for newcomers.") }, "name": "newcomer_appointments", "selectOnFocus": true });
    var newcomers_CompetencesByUser_grid5355 = new Lino.newcomers.CompetencesByUser.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Competences","(newcomers.newcomers.CompetencesByUser) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.newcomers.CompetencesByUser.grid) ] });
    var coaching_a_panel5356 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": newcomer_quota5342, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": coaching_type5343, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": coaching_supervisor5344, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": newcomer_consultations5345, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": newcomer_appointments5346, "labelAlign": "top", "layout": "form", "xtype": "panel" }, newcomers_CompetencesByUser_grid5355 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var coachings_CoachingsByUser_grid5371 = new Lino.coachings.CoachingsByUser.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Coachings","(coachings.coachings.CoachingsByUser) A table showing a set of coachings.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.coachings.CoachingsByUser.grid) ] });
    var coaching_1_panel5372 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ coaching_a_panel5356, coachings_CoachingsByUser_grid5371 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Coaching" });
    var dashboard_WidgetsByUser_grid5383 = new Lino.dashboard.WidgetsByUser.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "title": "Dashboard", "tools": [ Lino.show_in_own_window_button(Lino.dashboard.WidgetsByUser.grid) ] });
    var main_panel5384 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5298, cal_1_panel5341, coaching_1_panel5372, dashboard_WidgetsByUser_grid5383 ], "labelAlign": "top", "split": true });
    this.items = main_panel5384;
    this.before_row_edit = function(record) {
      AuthoritiesGiven_grid5288.on_master_changed();
      AuthoritiesTaken_grid5295.on_master_changed();
      cal_SubscriptionsByUser_grid5312.on_master_changed();
      cal_TasksByUser_grid5340.on_master_changed();
      newcomers_CompetencesByUser_grid5355.on_master_changed();
      coachings_CoachingsByUser_grid5371.on_master_changed();
      dashboard_WidgetsByUser_grid5383.on_master_changed();
    }
    Lino.users.AllUsers.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    partner5257.on("change", function(){ this.save() }, this);
  }
});


Lino.courses.EnrolmentsByCourse.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel courses-EnrolmentsByCourse",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 100,
  initComponent : function() {
    var pupil5385 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Participant", "forceSelection": false, "hiddenName": "pupilHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Participant","(courses.EnrolmentsByCourse.pupil) ") }, "name": "pupil", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/EnrolmentsByCourse/pupil" }) }) });
    var remark5386 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Remark", "listeners": { "render": Lino.quicktip_renderer("Remark","(courses.EnrolmentsByCourse.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var request_date5387 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date of request", "listeners": { "render": Lino.quicktip_renderer("Date of request","(courses.EnrolmentsByCourse.request_date) ") }, "name": "request_date", "selectOnFocus": true });
    var user5388 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(courses.EnrolmentsByCourse.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/EnrolmentsByCourse/user" }) }) });
    var main_3_panel5389 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": request_date5387, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": user5388, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5392 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": pupil5385, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": remark5386, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel5389 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5392;
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      pupil5385.setContextValue('mk',bp['mk']);
      pupil5385.setContextValue('mt',bp['mt']);
    }
    Lino.courses.EnrolmentsByCourse.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art60.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel art60-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 89,
  initComponent : function() {
    var client4809 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(art60.Contracts.client) The client for whom this contract is done.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/client" }) }) });
    var type4810 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Select a Art60\u00a77 job supplyment type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Type</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Type","(art60.Contracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/type" }) }) });
    var user_asd4811 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Responsible (GSS)</span>", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Responsible (GSS)","(art60.Contracts.user_asd) The responsible person at the general social service.") }, "name": "user_asd", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/user_asd" }) }) });
    var main_panel4812 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client4809, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type4810, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": user_asd4811, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4812;
    this.before_row_edit = function(record) {
    }
    Lino.art60.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel excerpts-Excerpts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 19,
  initComponent : function() {
    var id5395 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(excerpts.Excerpts.id) ") }, "name": "id", "selectOnFocus": true });
    var excerpt_type5396 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Select a Excerpt Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt Type</span>", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Excerpt Type","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "name": "excerpt_type", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var project5397 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var general_1_panel5398 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id5395, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": excerpt_type5396, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": project5397, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user5402 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(excerpts.Excerpts.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }) });
    var build_method5403 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Print method", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Print method","(excerpts.Excerpts.build_method) ") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var general_2_panel5404 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": user5402, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 69, "items": build_method5403, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5407 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Organization)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Organization)","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var contact_person5408 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Person)</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Person)","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var language5409 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(excerpts.Excerpts.language) The language used for printing this excerpt.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var general_3_panel5410 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company5407, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person5408, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language5409, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp5414 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Controlled by</span>", "name": "owner" });
    var build_time5415 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">build time</span>", "listeners": { "render": Lino.quicktip_renderer("build time","(excerpts.Excerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "name": "build_time", "value": "<br>" });
    var general_4_panel5416 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": owner_disp5414, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 61, "items": build_time5415, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel5419 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5398, general_2_panel5404, general_3_panel5410, general_4_panel5416 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var main_panel5421 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5419 ], "labelAlign": "top", "split": true });
    this.items = main_panel5421;
    this.before_row_edit = function(record) {
      excerpt_type5396.setContextValue('owner', record ? record.data['owner'] : undefined);
      contact_person5408.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof owner_disp5414 !== 'undefined' && owner_disp5414.on('change',Lino.chooser_handler(excerpt_type5396,'owner'));
      typeof company5407 !== 'undefined' && company5407.on('change',Lino.chooser_handler(contact_person5408,'company'));
      Lino.excerpts.Excerpts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.Excerpts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.ExperiencesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-ExperiencesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 69,
  initComponent : function() {
    var start_date5422 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cv.ExperiencesByPerson.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date5423 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End date</span>", "listeners": { "render": Lino.quicktip_renderer("End date","(cv.ExperiencesByPerson.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel5424 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date5422, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date5423, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5427 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Company", "listeners": { "render": Lino.quicktip_renderer("Company","(cv.ExperiencesByPerson.company) ") }, "maxLength": 200, "name": "company", "selectOnFocus": true });
    var function5428 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Select a Job title...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Job title</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Job title","(cv.ExperiencesByPerson.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/function" }) }) });
    var main_2_panel5429 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": company5427, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": function5428, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5432 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5424, main_2_panel5429 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5432;
    this.before_row_edit = function(record) {
      function5428.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    Lino.cv.ExperiencesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel addresses-Addresses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 17,
  initComponent : function() {
    var country3400 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "Country", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Country","(addresses.Addresses.country) ") }, "name": "country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/country" }) }) });
    var city3401 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Select a Place...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Locality</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Locality","(addresses.Addresses.city) The locality, i.e. usually a village, city or town.") }, "name": "city", "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/city" }) }) });
    var main_1_panel3402 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": country3400, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": city3401, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var street3405 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Street</span>", "listeners": { "render": Lino.quicktip_renderer("Street","(addresses.Addresses.street) Name of street, without house number.") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no3406 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">No.</span>", "listeners": { "render": Lino.quicktip_renderer("No.","(addresses.Addresses.street_no) House number.") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box3407 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(addresses.Addresses.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var main_2_panel3408 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": street3405, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_no3406, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_box3407, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var address_type3412 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Address type</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Address type","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark3413 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Remark", "listeners": { "render": Lino.quicktip_renderer("Remark","(addresses.Addresses.remark) ") }, "maxLength": 50, "name": "remark", "selectOnFocus": true });
    var main_3_panel3414 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": address_type3412, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": remark3413, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3417 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3402, main_2_panel3408, main_3_panel3414 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3417;
    this.before_row_edit = function(record) {
      city3401.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3401.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country3400 !== 'undefined' && country3400.on('change',Lino.chooser_handler(city3401,'country'));
      Lino.addresses.Addresses.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.addresses.Addresses.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Budgets",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 116,
  initComponent : function() {
    var partner4302 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(debts.Budgets.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/partner" }) }) });
    var date4303 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date", "listeners": { "render": Lino.quicktip_renderer("Date","(debts.Budgets.date) ") }, "name": "date", "selectOnFocus": true });
    var user4304 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(debts.Budgets.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }) });
    var main_2_panel4305 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": date4303, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": user4304, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4308 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": partner4302, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel4305 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4308;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Budgets.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.about.About.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel about-About",
  layout: 'fit',
  auto_save: true,
  disable_editing: true,
  initComponent : function() {
    var main_panel5434 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "html": "<div class=\"htmlText\"><span>This is <a href=\"https://gitlab.com/lino-framework/welcht\" target=\"_blank\">Lino Welfare Ch&#226;telet</a> 22.9.0 using <a href=\"https://gitlab.com/lino-framework/lino\" target=\"_blank\">Lino</a> 22.10.1, <a href=\"http://www.djangoproject.com\" target=\"_blank\">Django</a> 4.1.1, <a href=\"http://www.python.org/\" target=\"_blank\">Python</a> 3.10.6, <a href=\"http://babel.edgewall.org/\" target=\"_blank\">Babel</a> 2.10.3, <a href=\"http://jinja.pocoo.org/\" target=\"_blank\">Jinja</a> 3.1.2, <a href=\"http://labix.org/python-dateutil\" target=\"_blank\">python-dateutil</a> 2.8.2, <a href=\"http://getbootstrap.com\" target=\"_blank\">Bootstrap</a> 3.3.4, <a href=\"http://www.sencha.com\" target=\"_blank\">ExtJS</a> <a href=\"#\" onclick=\"alert('ExtJS client version is ' + Ext.version);\" title=\"Click to see ExtJS client version\">(version)</a>, <a href=\"http://www.famfamfam.com/lab/icons/silk/\" target=\"_blank\">Silk Icons</a> 1.3, <a href=\"http://appyframework.org/pod.html\" target=\"_blank\">Appy</a> (unknown), <a href=\"http://ext.ensible.com/products/calendar/\" target=\"_blank\">Ext.ensible adapter</a> <a href=\"#\" onclick=\"alert('Extensible Calendar version is '             + Ext.ensible.version);\" title=\"Click to see Extensible Calendar version\">(version)</a>, <a href=\"https://pypi.org/project/suds-py3/\" target=\"_blank\">suds</a> 1.4.5.0, <a href=\"http://www.tinymce.com/\" target=\"_blank\">TinyMCE</a> 3.5.11, <a href=\"http://www.byte-force.com\" target=\"_blank\">Ext.ux.TinyMCE</a> 0.8.4</span><p>Languages: fr, nl, de, en</p><p>This is a Lino demo site.</p><p>We are running with simulated date set to Thursday, 22 May 2014.</p><p>Enabled features: : </p><p>Source timestamps:</p><ul><li>Server timestamp : <b>16/10/2022 at 03:38</b></li><li>lino_xl : <b>12/04/2021 at 22:47</b></li><li>lino : <b>16/04/2021 at 15:05</b></li><li>lino_welfare : <b>28/04/2021 at 06:36</b></li><li>lino_welcht : <b>28/04/2021 at 10:35</b></li><li>django : <b>15/09/2022 at 06:36</b></li></ul><p>Complexity factors : 64 plugins, 138 models, 12 users, 16 user types, 515 views, 28 dialog actions</p></div>", "region": "center", "xtype": "label" } ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel5434;
    this.before_row_edit = function(record) {
    }
    Lino.about.About.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Activities.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel courses-Activities",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('print_presence_sheet_html', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 99,
  initComponent : function() {
    var line2895 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.courses.Lines.detail", "emptyText": "Select a Workshop series...", "fieldLabel": "Workshop series", "hiddenName": "lineHidden", "insert_action": "Lino.courses.Lines.insert", "listeners": { "render": Lino.quicktip_renderer("Workshop series","(courses.Activities.line) ") }, "name": "line", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.courses.Lines.detail,Lino.courses.Lines.insert)}, "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/line" }) }) });
    var teacher2896 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Instructor", "hiddenName": "teacherHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Instructor","(courses.Activities.teacher) ") }, "name": "teacher", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/teacher" }) }) });
    var main_1_panel2897 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": line2895, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": teacher2896, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name2900 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation", "listeners": { "render": Lino.quicktip_renderer("Designation","(courses.Activities.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var start_date2901 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(courses.Activities.start_date) The start date of the first meeting to be generated.") }, "name": "start_date", "selectOnFocus": true });
    var main_2_panel2902 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": name2900, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": start_date2901, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2905 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2897, main_2_panel2902 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2905;
    this.before_row_edit = function(record) {
    }
    Lino.courses.Activities.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.humanlinks.Links.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel humanlinks-Links",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 113,
  initComponent : function() {
    var parent5435 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Who is...</span>", "hiddenName": "parentHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Who is...","(humanlinks.Links.parent) Pointer to the person who is \"parent\".") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/parent" }) }) });
    var type5436 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Parency type</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Parency type","(humanlinks.Links.type) The type of link.  Pointer to LinkTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.humanlinks.LinkTypes });
    var child5437 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">To whom...</span>", "hiddenName": "childHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("To whom...","(humanlinks.Links.child) Pointer to the person who is \"child\".") }, "name": "child", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/child" }) }) });
    var main_panel5438 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": parent5435, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type5436, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": child5437, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5438;
    this.before_row_edit = function(record) {
    }
    Lino.humanlinks.Links.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.HouseholdsByType.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-HouseholdsByType",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 112,
  initComponent : function() {
    var type4857 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Select a Household Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Household Type</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Household Type","(households.HouseholdsByType.type) The type of this household.  See household types") }, "name": "type", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/type" }) }) });
    var prefix4858 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(households.HouseholdsByType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name4859 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var id4860 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(households.HouseholdsByType.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel4861 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 29, "items": type4857, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": prefix4858, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": name4859, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id4860, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox4866 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(households.HouseholdsByType.overview) ") }, "name": "overview", "value": "<br/>" });
    var language4867 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var email4868 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">e-mail address</span>", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(households.HouseholdsByType.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone4869 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Phone</span>", "listeners": { "render": Lino.quicktip_renderer("Phone","(households.HouseholdsByType.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm4870 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mobile</span>", "listeners": { "render": Lino.quicktip_renderer("Mobile","(households.HouseholdsByType.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var box3_panel4871 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language4867, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email4868, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone4869, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm4870, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var main_2_panel4876 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox4866, box3_panel4871 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var households_MembersByHousehold_grid4895 = new Lino.households.MembersByHousehold.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Household Members","(households.households.MembersByHousehold) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByHousehold.grid) ] });
    var main_panel4896 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4861, main_2_panel4876, households_MembersByHousehold_grid4895 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4896;
    this.before_row_edit = function(record) {
      overview_htmlbox4866.refresh();
      households_MembersByHousehold_grid4895.on_master_changed();
    }
    Lino.households.HouseholdsByType.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.debts.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 115,
  initComponent : function() {
    var ref5442 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reference</span>", "listeners": { "render": Lino.quicktip_renderer("Reference","(debts.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name5443 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(debts.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl5444 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(debts.Accounts.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de5445 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(debts.Accounts.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en5446 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(debts.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5447 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": ref5442, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": name5443, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "hidden": true, "items": name_nl5444, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": name_de5445, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": name_en5446, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var group5453 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Groups.detail", "emptyText": "Select a Account Group...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Account Group</span>", "hiddenName": "groupHidden", "insert_action": "Lino.debts.Groups.insert", "listeners": { "render": Lino.quicktip_renderer("Account Group","(debts.Accounts.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "name": "group", "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Accounts/group" }) }) });
    var type5454 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Account type</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Account type","(debts.Accounts.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    var main_2_panel5455 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 64, "items": group5453, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": type5454, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var required_for_household5458 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Required for Households", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Required for Households","(debts.Accounts.required_for_household) ") }, "name": "required_for_household", "selectOnFocus": true });
    var required_for_person5459 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Required for Persons", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Required for Persons","(debts.Accounts.required_for_person) ") }, "name": "required_for_person", "selectOnFocus": true });
    var periods5460 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periods</span>", "listeners": { "render": Lino.quicktip_renderer("Periods","(debts.Accounts.periods) For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.") }, "name": "periods", "selectOnFocus": true, "value": 1 });
    var default_amount5461 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Default amount", "listeners": { "render": Lino.quicktip_renderer("Default amount","(debts.Accounts.default_amount) ") }, "name": "default_amount", "selectOnFocus": true });
    var main_3_panel5462 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": required_for_household5458, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": required_for_person5459, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": periods5460, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": default_amount5461, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5487 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5447, main_2_panel5455, main_3_panel5462 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5487;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.HouseholdsByType.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-HouseholdsByType",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 112,
  initComponent : function() {
    var name4897 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var language4898 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var main_panel4899 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name4897, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": language4898, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4899;
    this.before_row_edit = function(record) {
    }
    Lino.households.HouseholdsByType.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.courses.Activities.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel courses-Activities",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('print_presence_sheet_html', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 99,
  initComponent : function() {
    var line2819 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.courses.Lines.detail", "emptyText": "Select a Workshop series...", "fieldLabel": "Workshop series", "hiddenName": "lineHidden", "insert_action": "Lino.courses.Lines.insert", "listeners": { "render": Lino.quicktip_renderer("Workshop series","(courses.Activities.line) ") }, "name": "line", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.courses.Lines.detail,Lino.courses.Lines.insert)}, "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/line" }) }) });
    var teacher2820 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Instructor", "hiddenName": "teacherHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Instructor","(courses.Activities.teacher) ") }, "name": "teacher", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/teacher" }) }) });
    var start_date2821 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(courses.Activities.start_date) The start date of the first meeting to be generated.") }, "name": "start_date", "selectOnFocus": true });
    var start_time2822 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Start time", "listeners": { "render": Lino.quicktip_renderer("Start time","(courses.Activities.start_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time2823 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "End Time", "listeners": { "render": Lino.quicktip_renderer("End Time","(courses.Activities.end_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var end_date2824 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End Date</span>", "listeners": { "render": Lino.quicktip_renderer("End Date","(courses.Activities.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "name": "end_date", "selectOnFocus": true });
    var general_1_panel2825 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": line2819, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": teacher2820, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date2821, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": start_time2822, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": end_time2823, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date2824, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var room2832 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Select a Room...", "fieldLabel": "Room", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Room","(courses.Activities.room) ") }, "name": "room", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/room" }) }) });
    var workflow_buttons_disp2833 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(courses.Activities.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var id2834 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(courses.Activities.id) ") }, "name": "id", "selectOnFocus": true });
    var user2835 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(courses.Activities.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/user" }) }) });
    var general_2_panel2836 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": room2832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": workflow_buttons_disp2833, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": id2834, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user2835, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name2841 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation", "listeners": { "render": Lino.quicktip_renderer("Designation","(courses.Activities.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var description2842 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description","(courses.Activities.description) ") }, "name": "description", "selectOnFocus": true });
    var description_nl2843 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description (nl)", "growMax": 2000, "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Description (nl)","(courses.Activities.description_nl) ") }, "name": "description_nl", "selectOnFocus": true });
    var description_de2844 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description (de)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description (de)","(courses.Activities.description_de) ") }, "name": "description_de", "selectOnFocus": true });
    var description_en2845 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description (en)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description (en)","(courses.Activities.description_en) ") }, "name": "description_en", "selectOnFocus": true });
    var general_4_panel2846 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 25, "items": description2842, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 25, "hidden": true, "items": description_nl2843, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 25, "items": description_de2844, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 25, "items": description_en2845, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel2851 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2825, general_2_panel2836, { "autoHeight": true, "items": name2841, "labelAlign": "top", "layout": "form", "xtype": "panel" }, general_4_panel2846 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var max_events2853 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Number of events</span>", "listeners": { "render": Lino.quicktip_renderer("Number of events","(courses.Activities.max_events) Maximum number of calendar entries to generate.") }, "name": "max_events", "selectOnFocus": true });
    var max_date2854 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Generate events until</span>", "listeners": { "render": Lino.quicktip_renderer("Generate events until","(courses.Activities.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "name": "max_date", "selectOnFocus": true });
    var every_unit2855 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recurrency</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Recurrency","(courses.Activities.every_unit) The interval between each periodic iteration.") }, "name": "every_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every2856 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Repeat every</span>", "listeners": { "render": Lino.quicktip_renderer("Repeat every","(courses.Activities.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "name": "every", "selectOnFocus": true });
    var positions2857 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Positions</span>", "listeners": { "render": Lino.quicktip_renderer("Positions","(courses.Activities.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "maxLength": 50, "name": "positions", "selectOnFocus": true });
    var cal_tab_1_panel2858 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": max_events2853, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": max_date2854, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": every_unit2855, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": every2856, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": positions2857, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var monday2864 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Monday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Monday","(courses.Activities.monday) ") }, "name": "monday", "selectOnFocus": true });
    var tuesday2865 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Tuesday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Tuesday","(courses.Activities.tuesday) ") }, "name": "tuesday", "selectOnFocus": true });
    var wednesday2866 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wednesday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wednesday","(courses.Activities.wednesday) ") }, "name": "wednesday", "selectOnFocus": true });
    var thursday2867 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Thursday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Thursday","(courses.Activities.thursday) ") }, "name": "thursday", "selectOnFocus": true });
    var friday2868 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Friday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Friday","(courses.Activities.friday) ") }, "name": "friday", "selectOnFocus": true });
    var saturday2869 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Saturday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Saturday","(courses.Activities.saturday) ") }, "name": "saturday", "selectOnFocus": true });
    var sunday2870 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sunday", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sunday","(courses.Activities.sunday) ") }, "name": "sunday", "selectOnFocus": true });
    var cal_tab_2_panel2871 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": monday2864, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": tuesday2865, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": wednesday2866, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": thursday2867, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": friday2868, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": saturday2869, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sunday2870, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cal_EntriesByController_grid2879 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Calendar entries","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var cal_tab_panel2880 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_tab_1_panel2858, cal_tab_2_panel2871, cal_EntriesByController_grid2879 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Calendar" });
    var enrolments_until2881 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enrolments until</span>", "listeners": { "render": Lino.quicktip_renderer("Enrolments until","(courses.Activities.enrolments_until) Until when new enrolments are accepted.") }, "name": "enrolments_until", "selectOnFocus": true });
    var max_places2882 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Available places</span>", "listeners": { "render": Lino.quicktip_renderer("Available places","(courses.Activities.max_places) Maximum number of participants") }, "name": "max_places", "selectOnFocus": true });
    var confirmed2883 = new Ext.form.NumberField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Confirmed</span>", "listeners": { "render": Lino.quicktip_renderer("Confirmed","(courses.Activities.confirmed) Number of confirmed places.") }, "name": "confirmed" });
    var free_places2884 = new Ext.form.NumberField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Free places</span>", "listeners": { "render": Lino.quicktip_renderer("Free places","(courses.Activities.free_places) Number of free places.") }, "name": "free_places" });
    var print_actions_disp2885 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Print", "listeners": { "render": Lino.quicktip_renderer("Print","(courses.Activities.print_actions) ") }, "name": "print_actions", "value": "<br/>" });
    var enrolments_top_panel2886 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": enrolments_until2881, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": max_places2882, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": confirmed2883, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": free_places2884, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": print_actions_disp2885, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var EnrolmentsByCourse_htmlbox2892 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Enrolments","(courses.Activities.EnrolmentsByCourse) Show the enrolments of a this course.") }, "master_panel": this, "name": "EnrolmentsByCourse", "title": "Enrolments", "tools": [ Lino.show_in_own_window_button(Lino.courses.EnrolmentsByCourse.grid) ], "value": "<br/>" });
    var enrolments_panel2893 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ enrolments_top_panel2886, EnrolmentsByCourse_htmlbox2892 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Enrolments" });
    var main_panel2894 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2851, cal_tab_panel2880, enrolments_panel2893 ], "labelAlign": "top", "split": true });
    this.items = main_panel2894;
    this.before_row_edit = function(record) {
      cal_EntriesByController_grid2879.on_master_changed();
      EnrolmentsByCourse_htmlbox2892.refresh();
    }
    Lino.courses.Activities.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByClient.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByClient",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 35,
  initComponent : function() {
    var event_type5488 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry type","(cal.EntriesByClient.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/event_type" }) }) });
    var summary5489 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Short description</span>", "listeners": { "render": Lino.quicktip_renderer("Short description","(cal.EntriesByClient.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date5490 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cal.EntriesByClient.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time5491 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start time</span>", "listeners": { "render": Lino.quicktip_renderer("Start time","(cal.EntriesByClient.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_date5492 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End Date</span>", "listeners": { "render": Lino.quicktip_renderer("End Date","(cal.EntriesByClient.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time5493 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End Time</span>", "listeners": { "render": Lino.quicktip_renderer("End Time","(cal.EntriesByClient.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_3_panel5494 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": start_date5490, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": start_time5491, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date5492, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": end_time5493, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5499 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": event_type5488, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": summary5489, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel5494 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5499;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByClient.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.CoachingEndings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel coachings-CoachingEndings",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 46,
  initComponent : function() {
    var id5502 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(coachings.CoachingEndings.id) ") }, "name": "id", "selectOnFocus": true });
    var name5503 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(coachings.CoachingEndings.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl5504 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(coachings.CoachingEndings.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de5505 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(coachings.CoachingEndings.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en5506 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(coachings.CoachingEndings.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var seqno5507 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">No.</span>", "listeners": { "render": Lino.quicktip_renderer("No.","(coachings.CoachingEndings.seqno) The sequence number of this item with its parent.") }, "name": "seqno", "selectOnFocus": true });
    var main_1_panel5508 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id5502, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name5503, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "hidden": true, "items": name_nl5504, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name_de5505, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name_en5506, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": seqno5507, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5527 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5508 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5527;
    this.before_row_edit = function(record) {
    }
    Lino.coachings.CoachingEndings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.ManageAccessRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-ManageAccessRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 108,
  initComponent : function() {
    var id5528 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.ManageAccessRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person5529 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(cbss.ManageAccessRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var user5530 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(cbss.ManageAccessRequests.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }) });
    var sent5531 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sent</span>", "listeners": { "render": Lino.quicktip_renderer("Sent","(cbss.ManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status5532 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("State","(cbss.ManageAccessRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp5533 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(cbss.ManageAccessRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel5534 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id5528, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person5529, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user5530, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent5531, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": status5532, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp5533, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Request information" });
    var action5541 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Action</span>", "forceSelection": true, "hiddenName": "actionHidden", "listeners": { "render": Lino.quicktip_renderer("Action","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "name": "action", "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var start_date5542 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Period from", "listeners": { "render": Lino.quicktip_renderer("Period from","(cbss.ManageAccessRequests.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5543 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Period until", "listeners": { "render": Lino.quicktip_renderer("Period until","(cbss.ManageAccessRequests.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var p1_1_panel5544 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 45, "items": action5541, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_date5542, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_date5543, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var purpose5548 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Select a Purpose...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Purpose</span>", "hiddenName": "purposeHidden", "listeners": { "render": Lino.quicktip_renderer("Purpose","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "name": "purpose", "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var query_register5549 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Query Register</span>", "forceSelection": true, "hiddenName": "query_registerHidden", "listeners": { "render": Lino.quicktip_renderer("Query Register","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "name": "query_register", "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var p1_2_panel5550 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": purpose5548, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": query_register5549, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p1_panel5553 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 47, "frame": true, "hideCheckBoxLabels": true, "items": [ p1_1_panel5544, p1_2_panel5550 ], "labelAlign": "top", "layout": "form", "title": "Requested action" });
    var national_id5554 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">National ID</span>", "listeners": { "render": Lino.quicktip_renderer("National ID","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var sis_card_no5555 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SIS card number</span>", "listeners": { "render": Lino.quicktip_renderer("SIS card number","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "maxLength": 10, "name": "sis_card_no", "selectOnFocus": true });
    var id_card_no5556 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ID card number</span>", "listeners": { "render": Lino.quicktip_renderer("ID card number","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "maxLength": 20, "name": "id_card_no", "selectOnFocus": true });
    var proof_1_panel5557 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": national_id5554, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": sis_card_no5555, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": id_card_no5556, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name5561 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">First name</span>", "listeners": { "render": Lino.quicktip_renderer("First name","(cbss.ManageAccessRequests.first_name) Space-separated list of all first names.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name5562 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Last name</span>", "listeners": { "render": Lino.quicktip_renderer("Last name","(cbss.ManageAccessRequests.last_name) Last name (family name).") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var birth_date5563 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Birth date</span>", "listeners": { "render": Lino.quicktip_renderer("Birth date","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var proof_2_panel5564 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": first_name5561, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": last_name5562, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": birth_date5563, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var proof_panel5568 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 52, "frame": true, "hideCheckBoxLabels": true, "items": [ proof_1_panel5557, proof_2_panel5564 ], "labelAlign": "top", "layout": "form", "title": "Proof of authentication" });
    var parameters_panel5569 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ p1_panel5553, proof_panel5568 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameters" });
    var result_htmlbox5570 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 37, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Result","(cbss.ManageAccessRequests.result) ") }, "name": "result", "title": "Result", "value": "<br/>" });
    var request_panel5571 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel5534, parameters_panel5569, result_htmlbox5570 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Request" });
    var main_panel5582 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel5571 ], "labelAlign": "top", "split": true });
    this.items = main_panel5582;
    this.before_row_edit = function(record) {
      purpose5548.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      result_htmlbox5570.refresh();
    }
    Lino.cbss.ManageAccessRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    person5529.on("change", function(){ this.save() }, this);
  }
});


Lino.cbss.ManageAccessRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-ManageAccessRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 108,
  initComponent : function() {
    var person5583 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(cbss.ManageAccessRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var action5584 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Action</span>", "forceSelection": true, "hiddenName": "actionHidden", "listeners": { "render": Lino.quicktip_renderer("Action","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "name": "action", "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var start_date5585 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Period from", "listeners": { "render": Lino.quicktip_renderer("Period from","(cbss.ManageAccessRequests.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5586 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Period until", "listeners": { "render": Lino.quicktip_renderer("Period until","(cbss.ManageAccessRequests.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var p1_1_panel5587 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 45, "items": action5584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_date5585, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_date5586, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var purpose5591 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Select a Purpose...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Purpose</span>", "hiddenName": "purposeHidden", "listeners": { "render": Lino.quicktip_renderer("Purpose","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "name": "purpose", "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var query_register5592 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Query Register</span>", "forceSelection": true, "hiddenName": "query_registerHidden", "listeners": { "render": Lino.quicktip_renderer("Query Register","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "name": "query_register", "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var p1_2_panel5593 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": purpose5591, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": query_register5592, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p1_panel5596 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ p1_1_panel5587, p1_2_panel5593 ], "labelAlign": "top", "layout": "form", "title": "Requested action" });
    var national_id5597 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">National ID</span>", "listeners": { "render": Lino.quicktip_renderer("National ID","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var sis_card_no5598 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SIS card number</span>", "listeners": { "render": Lino.quicktip_renderer("SIS card number","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "maxLength": 10, "name": "sis_card_no", "selectOnFocus": true });
    var id_card_no5599 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ID card number</span>", "listeners": { "render": Lino.quicktip_renderer("ID card number","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "maxLength": 20, "name": "id_card_no", "selectOnFocus": true });
    var proof_1_panel5600 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": national_id5597, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": sis_card_no5598, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": id_card_no5599, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name5604 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">First name</span>", "listeners": { "render": Lino.quicktip_renderer("First name","(cbss.ManageAccessRequests.first_name) Space-separated list of all first names.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name5605 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Last name</span>", "listeners": { "render": Lino.quicktip_renderer("Last name","(cbss.ManageAccessRequests.last_name) Last name (family name).") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var birth_date5606 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Birth date</span>", "listeners": { "render": Lino.quicktip_renderer("Birth date","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var proof_2_panel5607 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": first_name5604, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": last_name5605, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": birth_date5606, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var proof_panel5611 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ proof_1_panel5600, proof_2_panel5607 ], "labelAlign": "top", "layout": "form", "title": "Proof of authentication" });
    var main_panel5612 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person5583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, p1_panel5596, proof_panel5611 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5612;
    this.before_row_edit = function(record) {
      purpose5591.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    Lino.cbss.ManageAccessRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.polls.Responses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel polls-Responses",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 132,
  initComponent : function() {
    var poll4564 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.polls.Polls.detail", "emptyText": "Select a Poll...", "fieldLabel": "Poll", "hiddenName": "pollHidden", "insert_action": "Lino.polls.Polls.insert", "listeners": { "render": Lino.quicktip_renderer("Poll","(polls.Responses.poll) ") }, "name": "poll", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.polls.Polls.detail,Lino.polls.Polls.insert)}, "pageSize": 20, "related_actor_id": "polls.Polls", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Responses/poll" }) }) });
    var partner4565 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(polls.Responses.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Responses/partner" }) }) });
    var date4566 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date", "listeners": { "render": Lino.quicktip_renderer("Date","(polls.Responses.date) ") }, "name": "date", "selectOnFocus": true });
    var workflow_buttons_disp4567 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(polls.Responses.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var answers_1_panel4568 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": poll4564, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": partner4565, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": date4566, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": workflow_buttons_disp4567, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var polls_AnswersByResponseEditor_htmlbox4573 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Answers","(polls.Responses.polls.AnswersByResponseEditor) ") }, "master_panel": this, "name": "polls.AnswersByResponseEditor", "title": "Answers", "tools": [ Lino.show_in_own_window_button(Lino.polls.AnswersByResponseEditor.grid) ], "value": "<br/>" });
    var answers_panel4574 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ answers_1_panel4568, polls_AnswersByResponseEditor_htmlbox4573 ], "labelAlign": "top", "labelWidth": 72, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var user4575 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(polls.Responses.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Responses/user" }) }) });
    var state4576 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">State</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("State","(polls.Responses.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.polls.ResponseStates });
    var more_1_panel4577 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": user4575, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": state4576, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4580 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "My general remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("My general remark","(polls.Responses.remark) ") }, "name": "remark", "selectOnFocus": true });
    var more_panel4581 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel4577, { "flex": 83, "items": remark4580, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "More" });
    var polls_AnswersByResponsePrint_htmlbox4583 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "name": "polls.AnswersByResponsePrint", "title": "Preview", "tools": [ Lino.show_in_own_window_button(Lino.polls.AnswersByResponsePrint.grid) ], "value": "<br/>" });
    var main_panel4584 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ answers_panel4574, more_panel4581, polls_AnswersByResponsePrint_htmlbox4583 ], "labelAlign": "top", "split": true });
    this.items = main_panel4584;
    this.before_row_edit = function(record) {
      polls_AnswersByResponseEditor_htmlbox4573.refresh();
      polls_AnswersByResponsePrint_htmlbox4583.refresh();
    }
    Lino.polls.Responses.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Groups.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Groups",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 114,
  initComponent : function() {
    var ref5614 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ref", "listeners": { "render": Lino.quicktip_renderer("ref","(debts.Groups.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var name5615 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(debts.Groups.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl5616 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(debts.Groups.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de5617 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(debts.Groups.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en5618 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(debts.Groups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id5619 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(debts.Groups.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel5620 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": ref5614, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": name5615, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "hidden": true, "items": name_nl5616, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": name_de5617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": name_en5618, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": id5619, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account_type5627 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Account type", "forceSelection": true, "hiddenName": "account_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Account type","(debts.Groups.account_type) ") }, "name": "account_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var entries_layout5628 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Budget entries layout", "forceSelection": true, "hiddenName": "entries_layoutHidden", "listeners": { "render": Lino.quicktip_renderer("Budget entries layout","(debts.Groups.entries_layout) ") }, "name": "entries_layout", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.TableLayouts) });
    var main_2_panel5629 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 15, "items": account_type5627, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 84, "items": entries_layout5628, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var AccountsByGroup_grid5665 = new Lino.debts.AccountsByGroup.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Accounts","(debts.debts.AccountsByGroup) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.debts.AccountsByGroup.grid) ] });
    var main_panel5666 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5620, main_2_panel5629, AccountsByGroup_grid5665 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5666;
    this.before_row_edit = function(record) {
      AccountsByGroup_grid5665.on_master_changed();
    }
    Lino.debts.Groups.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.calview.MonthlyView.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel calview-MonthlyView",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  disable_editing: true,
  initComponent : function() {
    var calview_MonthlySlave_grid5676 = new Lino.calview.MonthlySlave.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer(null,"(calview.calview.MonthlySlave) Table mixin for slave tables of tables on Day.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 0, "region": "center" });
    var main_panel5677 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ calview_MonthlySlave_grid5676 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel5677;
    this.before_row_edit = function(record) {
      calview_MonthlySlave_grid5676.on_master_changed();
    }
    Lino.calview.MonthlyView.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art60.Conventions.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art60-Conventions",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 90,
  initComponent : function() {
    var id1378 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art60.Conventions.id) ") }, "name": "id", "selectOnFocus": true });
    var contract1379 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art60.Contracts.detail", "emptyText": "Select a Art60\u00a77 job supplyment...", "fieldLabel": "Art60\u00a77 job supplyment", "hiddenName": "contractHidden", "insert_action": "Lino.art60.Contracts.insert", "listeners": { "render": Lino.quicktip_renderer("Art60\u00a77 job supplyment","(art60.Conventions.contract) ") }, "name": "contract", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.art60.Contracts.detail,Lino.art60.Contracts.insert)}, "pageSize": 20, "related_actor_id": "art60.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/contract" }) }) });
    var job1380 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Select a Job...", "fieldLabel": "Job", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Job","(art60.Conventions.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/job" }) }) });
    var main_1_panel1381 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": id1378, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": contract1379, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": job1380, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company1385 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Select a Job Provider...", "fieldLabel": "Job Provider", "hiddenName": "companyHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Job Provider","(art60.Conventions.company) ") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/company" }) }) });
    var contact_person1386 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "Represented by", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Represented by","(art60.Conventions.contact_person) ") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/contact_person" }) }) });
    var contact_role1387 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Select a Function...", "fieldLabel": "Represented as", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Represented as","(art60.Conventions.contact_role) ") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/contact_role" }) }) });
    var main_2_panel1388 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company1385, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person1386, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role1387, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date1392 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Start date", "listeners": { "render": Lino.quicktip_renderer("Start date","(art60.Conventions.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var reference_person1393 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "reference person", "listeners": { "render": Lino.quicktip_renderer("reference person","(art60.Conventions.reference_person) ") }, "maxLength": 200, "name": "reference_person", "selectOnFocus": true });
    var main_3_panel1394 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": start_date1392, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 61, "items": reference_person1393, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var regime1397 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Select a Work Regime...", "fieldLabel": "Work Regime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Work Regime","(art60.Conventions.regime) ") }, "name": "regime", "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/regime" }) }) });
    var schedule1398 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Schedules.detail", "emptyText": "Select a Work Schedule...", "fieldLabel": "Work Schedule", "hiddenName": "scheduleHidden", "listeners": { "render": Lino.quicktip_renderer("Work Schedule","(art60.Conventions.schedule) ") }, "name": "schedule", "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/schedule" }) }) });
    var monthly_refund1399 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Monthly refund", "listeners": { "render": Lino.quicktip_renderer("Monthly refund","(art60.Conventions.monthly_refund) ") }, "name": "monthly_refund", "selectOnFocus": true });
    var main_4_panel1400 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": regime1397, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": schedule1398, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": monthly_refund1399, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var responsibilities1404 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "responsibilities", "flex": 55, "name": "responsibilities", "selectOnFocus": true, "title": "responsibilities" });
    var main_panel1405 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1381, main_2_panel1388, main_3_panel1394, main_4_panel1400, responsibilities1404 ], "labelAlign": "top", "labelWidth": 153, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1405;
    this.before_row_edit = function(record) {
      contact_person1386.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities1404.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company1385 !== 'undefined' && company1385.on('change',Lino.chooser_handler(contact_person1386,'company'));
      Lino.art60.Conventions.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.art60.Conventions.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-LanguageKnowledgesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 59,
  initComponent : function() {
    var language5678 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Select a Language...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "name": "language", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native5679 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mother tongue", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mother tongue","(cv.LanguageKnowledgesByPerson.native) ") }, "name": "native", "selectOnFocus": true });
    var has_certificate5680 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Certificate", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Certificate","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "name": "has_certificate", "selectOnFocus": true });
    var main_2_panel5681 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": native5679, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": has_certificate5680, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cef_level5684 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">CEF level</span>", "forceSelection": true, "hiddenName": "cef_levelHidden", "listeners": { "render": Lino.quicktip_renderer("CEF level","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "name": "cef_level", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var spoken_passively5685 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Spoken (passively)", "forceSelection": true, "hiddenName": "spoken_passivelyHidden", "listeners": { "render": Lino.quicktip_renderer("Spoken (passively)","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "name": "spoken_passively", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken5686 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Spoken", "forceSelection": true, "hiddenName": "spokenHidden", "listeners": { "render": Lino.quicktip_renderer("Spoken","(cv.LanguageKnowledgesByPerson.spoken) ") }, "name": "spoken", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written5687 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Written", "forceSelection": true, "hiddenName": "writtenHidden", "listeners": { "render": Lino.quicktip_renderer("Written","(cv.LanguageKnowledgesByPerson.written) ") }, "name": "written", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var main_4_panel5688 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": spoken_passively5685, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": spoken5686, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": written5687, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5692 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language5678, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5681, { "anchor": "-20", "autoHeight": true, "items": cef_level5684, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel5688 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5692;
    this.before_row_edit = function(record) {
    }
    Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel pcsw-Clients",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 48,
  initComponent : function() {
    var first_name5695 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">First name</span>", "listeners": { "render": Lino.quicktip_renderer("First name","(pcsw.Clients.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name5696 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Last name</span>", "listeners": { "render": Lino.quicktip_renderer("Last name","(pcsw.Clients.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var main_1_panel5697 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name5695, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name5696, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var national_id5700 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">National ID</span>", "listeners": { "render": Lino.quicktip_renderer("National ID","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var gender5701 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gender</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Gender","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var language5702 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var main_3_panel5703 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 35, "items": gender5701, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 64, "items": language5702, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5706 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5697, { "anchor": "-20", "autoHeight": true, "items": national_id5700, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel5703 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5706;
    this.before_row_edit = function(record) {
    }
    Lino.pcsw.Clients.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-LanguageKnowledgesByPerson",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 59,
  initComponent : function() {
    var language5708 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Select a Language...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "name": "language", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native5709 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mother tongue", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mother tongue","(cv.LanguageKnowledgesByPerson.native) ") }, "name": "native", "selectOnFocus": true });
    var has_certificate5710 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Certificate", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Certificate","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "name": "has_certificate", "selectOnFocus": true });
    var main_2_panel5711 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": native5709, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": has_certificate5710, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cef_level5714 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">CEF level</span>", "forceSelection": true, "hiddenName": "cef_levelHidden", "listeners": { "render": Lino.quicktip_renderer("CEF level","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "name": "cef_level", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var spoken_passively5715 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Spoken (passively)", "forceSelection": true, "hiddenName": "spoken_passivelyHidden", "listeners": { "render": Lino.quicktip_renderer("Spoken (passively)","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "name": "spoken_passively", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken5716 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Spoken", "forceSelection": true, "hiddenName": "spokenHidden", "listeners": { "render": Lino.quicktip_renderer("Spoken","(cv.LanguageKnowledgesByPerson.spoken) ") }, "name": "spoken", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written5717 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Written", "forceSelection": true, "hiddenName": "writtenHidden", "listeners": { "render": Lino.quicktip_renderer("Written","(cv.LanguageKnowledgesByPerson.written) ") }, "name": "written", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var main_4_panel5718 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": spoken_passively5715, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": spoken5716, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": written5717, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5722 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language5708, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5711, { "anchor": "-20", "autoHeight": true, "items": cef_level5714, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel5718 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5722;
    this.before_row_edit = function(record) {
    }
    Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByProject.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByProject",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 35,
  initComponent : function() {
    var start_date5725 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cal.EntriesByProject.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time5726 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start time</span>", "listeners": { "render": Lino.quicktip_renderer("Start time","(cal.EntriesByProject.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time5727 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End Time</span>", "listeners": { "render": Lino.quicktip_renderer("End Time","(cal.EntriesByProject.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel5728 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": start_date5725, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_time5726, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_time5727, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary5732 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Short description</span>", "listeners": { "render": Lino.quicktip_renderer("Short description","(cal.EntriesByProject.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var event_type5733 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry type","(cal.EntriesByProject.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/event_type" }) }) });
    var main_panel5734 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5728, { "anchor": "-20", "autoHeight": true, "items": summary5732, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type5733, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5734;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByProject.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.ExcerptTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel excerpts-ExcerptTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 18,
  initComponent : function() {
    var id5737 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(excerpts.ExcerptTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5738 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(excerpts.ExcerptTypes.name) The designation of this excerpt type.\nOne field for every language.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl5739 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(excerpts.ExcerptTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de5740 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(excerpts.ExcerptTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en5741 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(excerpts.ExcerptTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5742 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id5737, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name5738, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "hidden": true, "items": name_nl5739, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_de5740, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en5741, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var content_type5748 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Select a content type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Model</span>", "hiddenName": "content_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Model","(excerpts.ExcerptTypes.content_type) The database model for which this excerpt type is to be used.") }, "name": "content_type", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/content_type" }) }) });
    var build_method5749 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Print method</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Print method","(excerpts.ExcerptTypes.build_method) See lino.modlib.printing.mixins.PrintableType.build_method.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template5750 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Template</span>", "listeners": { "render": Lino.quicktip_renderer("Template","(excerpts.ExcerptTypes.template) The main template to be used when printing an excerpt of this type.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/template" }) }) });
    var body_template5751 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Body template</span>", "listeners": { "render": Lino.quicktip_renderer("Body template","(excerpts.ExcerptTypes.body_template) The body template to use when printing an excerpt of this type.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/body_template" }) }) });
    var email_template5752 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Email template</span>", "listeners": { "render": Lino.quicktip_renderer("Email template","(excerpts.ExcerptTypes.email_template) The template to use when sending this an excerpt of this type\nby email.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/email_template" }) }) });
    var shortcut5753 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt shortcut</span>", "forceSelection": true, "hiddenName": "shortcutHidden", "listeners": { "render": Lino.quicktip_renderer("Excerpt shortcut","(excerpts.ExcerptTypes.shortcut) Optional pointer to a shortcut field.  If this is not empty, then\nthe given shortcut field will manage excerpts of this type.") }, "name": "shortcut", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.excerpts.Shortcuts) });
    var main_2_panel5754 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": content_type5748, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": build_method5749, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": template5750, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": body_template5751, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": email_template5752, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": shortcut5753, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var primary5761 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Primary", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Primary","(excerpts.ExcerptTypes.primary) Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.") }, "name": "primary", "selectOnFocus": true });
    var print_directly5762 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Print directly", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Print directly","(excerpts.ExcerptTypes.print_directly) ") }, "name": "print_directly", "selectOnFocus": true });
    var certifying5763 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Certifying", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Certifying","(excerpts.ExcerptTypes.certifying) Whether an excerpt of this type is a unique printout.") }, "name": "certifying", "selectOnFocus": true });
    var print_recipient5764 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Print recipient", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Print recipient","(excerpts.ExcerptTypes.print_recipient) Whether to print a recipient field in document.") }, "name": "print_recipient", "selectOnFocus": true });
    var backward_compat5765 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Backward compatible", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Backward compatible","(excerpts.ExcerptTypes.backward_compat) Check this to have `this` in template context point to owner instead of excerpt.") }, "name": "backward_compat", "selectOnFocus": true });
    var attach_to_email5766 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Attach to email", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Attach to email","(excerpts.ExcerptTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_3_panel5767 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": primary5761, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": print_directly5762, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": certifying5763, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": print_recipient5764, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": backward_compat5765, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": attach_to_email5766, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var excerpts_ExcerptsByType_grid5801 = new Lino.excerpts.ExcerptsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Excerpts","(excerpts.excerpts.ExcerptsByType) Base class for all tables on Excerpt.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.excerpts.ExcerptsByType.grid) ] });
    var main_panel5802 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5742, main_2_panel5754, main_3_panel5767, excerpts_ExcerptsByType_grid5801 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5802;
    this.before_row_edit = function(record) {
      template5750.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template5750.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      body_template5751.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      email_template5752.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      excerpts_ExcerptsByType_grid5801.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof build_method5749 !== 'undefined' && build_method5749.on('change',Lino.chooser_handler(template5750,'build_method'));
      typeof content_type5748 !== 'undefined' && content_type5748.on('change',Lino.chooser_handler(template5750,'content_type'));
      typeof content_type5748 !== 'undefined' && content_type5748.on('change',Lino.chooser_handler(body_template5751,'content_type'));
      typeof content_type5748 !== 'undefined' && content_type5748.on('change',Lino.chooser_handler(email_template5752,'content_type'));
      Lino.excerpts.ExcerptTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.ExcerptTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.ExcerptTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel excerpts-ExcerptTypes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 18,
  initComponent : function() {
    var name5803 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(excerpts.ExcerptTypes.name) The designation of this excerpt type.\nOne field for every language.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl5804 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(excerpts.ExcerptTypes.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de5805 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(excerpts.ExcerptTypes.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en5806 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(excerpts.ExcerptTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5807 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name5803, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl5804, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de5805, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en5806, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var content_type5812 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Select a content type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Model</span>", "hiddenName": "content_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Model","(excerpts.ExcerptTypes.content_type) The database model for which this excerpt type is to be used.") }, "name": "content_type", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/content_type" }) }) });
    var primary5813 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Primary", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Primary","(excerpts.ExcerptTypes.primary) Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.") }, "name": "primary", "selectOnFocus": true });
    var certifying5814 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Certifying", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Certifying","(excerpts.ExcerptTypes.certifying) Whether an excerpt of this type is a unique printout.") }, "name": "certifying", "selectOnFocus": true });
    var main_2_panel5815 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": content_type5812, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": primary5813, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": certifying5814, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method5819 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Print method</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Print method","(excerpts.ExcerptTypes.build_method) See lino.modlib.printing.mixins.PrintableType.build_method.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template5820 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Template</span>", "listeners": { "render": Lino.quicktip_renderer("Template","(excerpts.ExcerptTypes.template) The main template to be used when printing an excerpt of this type.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/template" }) }) });
    var body_template5821 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Body template</span>", "listeners": { "render": Lino.quicktip_renderer("Body template","(excerpts.ExcerptTypes.body_template) The body template to use when printing an excerpt of this type.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/body_template" }) }) });
    var main_3_panel5822 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 53, "items": build_method5819, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": template5820, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": body_template5821, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5826 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5807, main_2_panel5815, main_3_panel5822 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5826;
    this.before_row_edit = function(record) {
      template5820.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template5820.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      body_template5821.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof build_method5819 !== 'undefined' && build_method5819.on('change',Lino.chooser_handler(template5820,'build_method'));
      typeof content_type5812 !== 'undefined' && content_type5812.on('change',Lino.chooser_handler(template5820,'content_type'));
      typeof content_type5812 !== 'undefined' && content_type5812.on('change',Lino.chooser_handler(body_template5821,'content_type'));
      Lino.excerpts.ExcerptTypes.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.ExcerptTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel excerpts-Excerpts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 19,
  initComponent : function() {
    var excerpt_type5788 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Select a Excerpt Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt Type</span>", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Excerpt Type","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "name": "excerpt_type", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var project5789 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var main_1_panel5790 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": excerpt_type5788, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project5789, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5793 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Organization)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Organization)","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var contact_person5794 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Person)</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Person)","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var main_2_panel5795 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": company5793, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": contact_person5794, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5798 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5790, main_2_panel5795 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5798;
    this.before_row_edit = function(record) {
      excerpt_type5788.setContextValue('owner', record ? record.data['owner'] : undefined);
      contact_person5794.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company5793 !== 'undefined' && company5793.on('change',Lino.chooser_handler(contact_person5794,'company'));
      Lino.excerpts.Excerpts.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.Excerpts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.active_job_search.Proofs.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel active_job_search-Proofs",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 96,
  initComponent : function() {
    var date5827 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date", "listeners": { "render": Lino.quicktip_renderer("Date","(active_job_search.Proofs.date) ") }, "name": "date", "selectOnFocus": true });
    var client5828 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(active_job_search.Proofs.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/active_job_search/Proofs/client" }) }) });
    var company5829 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "Organization", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organization","(active_job_search.Proofs.company) ") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/active_job_search/Proofs/company" }) }) });
    var id5830 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(active_job_search.Proofs.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel5831 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date5827, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": client5828, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": company5829, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id5830, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var spontaneous5836 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Spontaneous", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Spontaneous","(active_job_search.Proofs.spontaneous) ") }, "name": "spontaneous", "selectOnFocus": true });
    var response5837 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Response to offer", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Response to offer","(active_job_search.Proofs.response) ") }, "name": "response", "selectOnFocus": true });
    var main_2_panel5838 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": spontaneous5836, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": response5837, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks5841 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remarks", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remarks","(active_job_search.Proofs.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var main_panel5842 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5831, main_2_panel5838, { "flex": 71, "items": remarks5841, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5842;
    this.before_row_edit = function(record) {
    }
    Lino.active_job_search.Proofs.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-RetrieveTIGroupsRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 109,
  initComponent : function() {
    var id5844 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.RetrieveTIGroupsRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person5845 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(cbss.RetrieveTIGroupsRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var user5846 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(cbss.RetrieveTIGroupsRequests.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }) });
    var sent5847 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sent</span>", "listeners": { "render": Lino.quicktip_renderer("Sent","(cbss.RetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status5848 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "State", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("State","(cbss.RetrieveTIGroupsRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp5849 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(cbss.RetrieveTIGroupsRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel5850 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id5844, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person5845, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user5846, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent5847, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": status5848, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp5849, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Request information" });
    var national_id5857 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "National ID", "listeners": { "render": Lino.quicktip_renderer("National ID","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var language5858 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Language", "forceSelection": true, "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(cbss.RetrieveTIGroupsRequests.language) ") }, "name": "language", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history5859 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "History", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("History","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "name": "history", "selectOnFocus": true });
    var parameters_panel5860 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 47, "items": national_id5857, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": language5858, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": history5859, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameters" });
    var cbss_RetrieveTIGroupsResult_grid5869 = new Lino.cbss.RetrieveTIGroupsResult.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Results","(cbss.cbss.RetrieveTIGroupsResult) Displays the response of an RetrieveTIGroupsRequest\nas a table.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cbss.RetrieveTIGroupsResult.grid) ] });
    var request_panel5870 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel5850, parameters_panel5860, cbss_RetrieveTIGroupsResult_grid5869 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Request" });
    var main_panel5881 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel5870 ], "labelAlign": "top", "split": true });
    this.items = main_panel5881;
    this.before_row_edit = function(record) {
      cbss_RetrieveTIGroupsResult_grid5869.on_master_changed();
    }
    Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-RetrieveTIGroupsRequests",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 109,
  initComponent : function() {
    var person5882 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(cbss.RetrieveTIGroupsRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var national_id5883 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "National ID", "listeners": { "render": Lino.quicktip_renderer("National ID","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var language5884 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Language", "forceSelection": true, "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(cbss.RetrieveTIGroupsRequests.language) ") }, "name": "language", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var main_2_panel5885 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": national_id5883, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": language5884, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var history5888 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "History", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("History","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "name": "history", "selectOnFocus": true });
    var main_panel5889 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person5882, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5885, { "anchor": "-20", "autoHeight": true, "items": history5888, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5889;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Tasks",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 37,
  initComponent : function() {
    var start_date1132 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Start date", "listeners": { "render": Lino.quicktip_renderer("Start date","(cal.Tasks.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var due_date1133 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Due date", "listeners": { "render": Lino.quicktip_renderer("Due date","(cal.Tasks.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var id1134 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Tasks.id) ") }, "name": "id", "selectOnFocus": true });
    var workflow_buttons_disp1135 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Tasks.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel1136 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": start_date1132, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": due_date1133, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id1134, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 49, "items": workflow_buttons_disp1135, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary1141 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Short description", "listeners": { "render": Lino.quicktip_renderer("Short description","(cal.Tasks.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var project1142 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }) });
    var user1143 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(cal.Tasks.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }) });
    var delegated1144 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Delegated to client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Delegated to client","(cal.Tasks.delegated) ") }, "name": "delegated", "selectOnFocus": true });
    var main_3_panel1145 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": project1142, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": user1143, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": delegated1144, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp1149 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Controlled by", "name": "owner" });
    var created1150 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Created</span>", "listeners": { "render": Lino.quicktip_renderer("Created","(cal.Tasks.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1151 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modified</span>", "listeners": { "render": Lino.quicktip_renderer("Modified","(cal.Tasks.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var main_4_panel1152 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": owner_disp1149, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": created1150, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": modified1151, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description1156 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description","(cal.Tasks.description) ") }, "name": "description", "selectOnFocus": true });
    var main_panel1157 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1136, { "autoHeight": true, "items": summary1141, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel1145, main_4_panel1152, { "flex": 45, "items": description1156, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1157;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Tasks.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-IncomeConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 126,
  initComponent : function() {
    var client3958 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(aids.IncomeConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }) });
    var user3959 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(aids.IncomeConfirmations.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }) });
    var signer3960 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Signer", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Signer","(aids.IncomeConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var workflow_buttons_disp3961 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.IncomeConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var printed_disp3962 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(aids.IncomeConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_1_panel3963 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": client3958, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": user3959, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": signer3960, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": workflow_buttons_disp3961, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": printed_disp3962, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3969 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Organization)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Organization)","(aids.IncomeConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/company" }) }) });
    var contact_person3970 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Person)</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Person)","(aids.IncomeConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_person" }) }) });
    var language3971 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Language", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(aids.IncomeConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var main_2_panel3972 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company3969, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person3970, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language3971, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting3976 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Select a Aid granting...", "fieldLabel": "Aid granting", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Aid granting","(aids.IncomeConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/granting" }) }) });
    var start_date3977 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Period from", "listeners": { "render": Lino.quicktip_renderer("Period from","(aids.IncomeConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3978 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "until", "listeners": { "render": Lino.quicktip_renderer("until","(aids.IncomeConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_3_panel3979 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": granting3976, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": start_date3977, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": end_date3978, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var category3983 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Select a Category...", "fieldLabel": "Category", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Category","(aids.IncomeConfirmations.category) ") }, "name": "category", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/category" }) }) });
    var amount3984 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Amount", "listeners": { "render": Lino.quicktip_renderer("Amount","(aids.IncomeConfirmations.amount) ") }, "name": "amount", "selectOnFocus": true });
    var id3985 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.IncomeConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var main_4_panel3986 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 54, "items": category3983, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": amount3984, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": id3985, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3990 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Remark", "flex": 45, "name": "remark", "selectOnFocus": true, "title": "Remark" });
    var main_panel3991 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3963, main_2_panel3972, main_3_panel3979, main_4_panel3986, remark3990 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3991;
    this.before_row_edit = function(record) {
      contact_person3970.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark3990.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company3969 !== 'undefined' && company3969.on('change',Lino.chooser_handler(contact_person3970,'company'));
      Lino.aids.IncomeConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.IncomeConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.esf.Summaries.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel esf-Summaries",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 135,
  initComponent : function() {
    var master5892 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "masterHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(esf.Summaries.master) The target model of the master will automatically receive an\naction check_summaries.") }, "name": "master", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/master" }) }) });
    var year5893 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Year", "listeners": { "render": Lino.quicktip_renderer("Year","(esf.Summaries.year) ") }, "name": "year", "selectOnFocus": true });
    var main_1_panel5894 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 80, "items": master5892, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": year5893, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var children_at_charge5897 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Children at charge", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Children at charge","(esf.Summaries.children_at_charge) ") }, "name": "children_at_charge", "selectOnFocus": true });
    var certified_handicap5898 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Certified handicap", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Certified handicap","(esf.Summaries.certified_handicap) ") }, "name": "certified_handicap", "selectOnFocus": true });
    var other_difficulty5899 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Other difficulty", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Other difficulty","(esf.Summaries.other_difficulty) ") }, "name": "other_difficulty", "selectOnFocus": true });
    var user_modified5900 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "User modified", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("User modified","(esf.Summaries.user_modified) ") }, "name": "user_modified", "selectOnFocus": true });
    var main_2_panel5901 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": children_at_charge5897, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": certified_handicap5898, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": other_difficulty5899, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user_modified5900, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level5906 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Select a Education Level...", "fieldLabel": "Education Level", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Education Level","(esf.Summaries.education_level) ") }, "name": "education_level", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/education_level" }) }) });
    var result5907 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Participation Certificate", "forceSelection": true, "hiddenName": "resultHidden", "listeners": { "render": Lino.quicktip_renderer("Participation Certificate","(esf.Summaries.result) ") }, "name": "result", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.ParticipationCertificates) });
    var remark5908 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Remark", "listeners": { "render": Lino.quicktip_renderer("Remark","(esf.Summaries.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var id5909 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(esf.Summaries.id) ") }, "name": "id", "selectOnFocus": true });
    var main_3_panel5910 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": education_level5906, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": result5907, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": remark5908, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id5909, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var results_disp5915 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Results", "listeners": { "render": Lino.quicktip_renderer("Results","(esf.Summaries.results) ") }, "name": "results", "value": "<br/>" });
    var main_panel5916 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5894, main_2_panel5901, main_3_panel5910, { "anchor": "-20", "autoHeight": true, "items": results_disp5915, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5916;
    this.before_row_edit = function(record) {
    }
    Lino.esf.Summaries.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Offers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Offers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 85,
  initComponent : function() {
    var name5918 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Offers.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider5919 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Select a Job Provider...", "fieldLabel": "Job Provider", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Job Provider","(jobs.Offers.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/provider" }) }) });
    var sector5920 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Select a Activity sector...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Activity sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Activity sector","(jobs.Offers.sector) Pointer to the Sector.") }, "name": "sector", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/sector" }) }) });
    var function5921 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Select a Job title...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Job title</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Job title","(jobs.Offers.function) Pointer to the Function.") }, "name": "function", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/function" }) }) });
    var main_1_panel5922 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name5918, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": provider5919, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": sector5920, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": function5921, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var selection_from5927 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "selection from", "listeners": { "render": Lino.quicktip_renderer("selection from","(jobs.Offers.selection_from) ") }, "name": "selection_from", "selectOnFocus": true });
    var selection_until5928 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "selection until", "listeners": { "render": Lino.quicktip_renderer("selection until","(jobs.Offers.selection_until) ") }, "name": "selection_until", "selectOnFocus": true });
    var start_date5929 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "start date", "listeners": { "render": Lino.quicktip_renderer("start date","(jobs.Offers.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var main_2_panel5930 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": selection_from5927, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": selection_until5928, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": start_date5929, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5934 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Remark", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Remark","(jobs.Offers.remark) ") }, "name": "remark", "selectOnFocus": true });
    var ExperiencesByOffer_grid5943 = new Lino.jobs.ExperiencesByOffer.GridPanel({ "containing_panel": this, "flex": 52, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Experiences","(jobs.jobs.ExperiencesByOffer) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ExperiencesByOffer.grid) ] });
    var CandidaturesByOffer_grid5951 = new Lino.jobs.CandidaturesByOffer.GridPanel({ "containing_panel": this, "flex": 47, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Candidates","(jobs.jobs.CandidaturesByOffer) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByOffer.grid) ] });
    var main_4_panel5952 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ ExperiencesByOffer_grid5943, CandidaturesByOffer_grid5951 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel5953 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5922, main_2_panel5930, { "flex": 41, "items": remark5934, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel5952 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5953;
    this.before_row_edit = function(record) {
      function5921.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      ExperiencesByOffer_grid5943.on_master_changed();
      CandidaturesByOffer_grid5951.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof sector5920 !== 'undefined' && sector5920.on('change',Lino.chooser_handler(function5921,'sector'));
      Lino.jobs.Offers.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Offers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel outbox-Mails",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 24,
  initComponent : function() {
    var project1756 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }) });
    var subject1757 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Subject", "listeners": { "render": Lino.quicktip_renderer("Subject","(outbox.Mails.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var body1758 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Body", "flex": 71, "name": "body", "selectOnFocus": true, "title": "Body" });
    var main_panel1759 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": project1756, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": subject1757, "labelAlign": "top", "layout": "form", "xtype": "panel" }, body1758 ], "labelAlign": "top", "labelWidth": 45, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1759;
    this.before_row_edit = function(record) {
      body1758.refresh();
    }
    Lino.outbox.Mails.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Accounts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 115,
  initComponent : function() {
    var ref5646 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reference</span>", "listeners": { "render": Lino.quicktip_renderer("Reference","(debts.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var group5647 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Groups.detail", "emptyText": "Select a Account Group...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Account Group</span>", "hiddenName": "groupHidden", "insert_action": "Lino.debts.Groups.insert", "listeners": { "render": Lino.quicktip_renderer("Account Group","(debts.Accounts.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "name": "group", "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Accounts/group" }) }) });
    var type5648 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Account type</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Account type","(debts.Accounts.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    var main_1_panel5649 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": ref5646, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": group5647, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": type5648, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5653 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(debts.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl5654 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(debts.Accounts.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de5655 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(debts.Accounts.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en5656 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(debts.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5657 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name5653, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl5654, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de5655, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en5656, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5662 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5649, main_2_panel5657 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5662;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Accounts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-SimpleConfirmations",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 125,
  initComponent : function() {
    var id5955 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.SimpleConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var client5956 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "Client", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(aids.SimpleConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }) });
    var user5957 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(aids.SimpleConfirmations.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }) });
    var signer5958 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "Signer", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Signer","(aids.SimpleConfirmations.signer) ") }, "name": "signer", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var workflow_buttons_disp5959 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.SimpleConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel5960 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id5955, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client5956, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user5957, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer5958, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp5959, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting5966 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Select a Aid granting...", "fieldLabel": "Aid granting", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Aid granting","(aids.SimpleConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/granting" }) }) });
    var start_date5967 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Period from", "listeners": { "render": Lino.quicktip_renderer("Period from","(aids.SimpleConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date5968 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "until", "listeners": { "render": Lino.quicktip_renderer("until","(aids.SimpleConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel5969 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": granting5966, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_date5967, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date5968, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company5973 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Organization)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Organization)","(aids.SimpleConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/company" }) }) });
    var contact_person5974 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Person)</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Person)","(aids.SimpleConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_person" }) }) });
    var language5975 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Language", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(aids.SimpleConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var printed_disp5976 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(aids.SimpleConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_3_panel5977 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company5973, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person5974, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language5975, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp5976, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark5982 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Remark", "flex": 41, "name": "remark", "selectOnFocus": true, "title": "Remark" });
    var main_panel5983 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5960, main_2_panel5969, main_3_panel5977, remark5982 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5983;
    this.before_row_edit = function(record) {
      contact_person5974.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark5982.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company5973 !== 'undefined' && company5973.on('change',Lino.chooser_handler(contact_person5974,'company'));
      Lino.aids.SimpleConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.SimpleConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel pcsw-Clients",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('print_labels', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 48,
  initComponent : function() {
    var overview_htmlbox5984 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(pcsw.Clients.overview) A panel with general information about this client.") }, "name": "overview", "value": "<br/>" });
    var gender5985 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gender</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Gender","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id5986 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(pcsw.Clients.id) ") }, "name": "id", "selectOnFocus": true });
    var nationality5987 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nationality</span>", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Nationality","(pcsw.Clients.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "name": "nationality", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/nationality" }) }) });
    var general2_1_panel5988 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": gender5985, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": id5986, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": nationality5987, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var last_name5992 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Last name</span>", "listeners": { "render": Lino.quicktip_renderer("Last name","(pcsw.Clients.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var first_name5993 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">First name</span>", "listeners": { "render": Lino.quicktip_renderer("First name","(pcsw.Clients.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name5994 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Middle name</span>", "listeners": { "render": Lino.quicktip_renderer("Middle name","(pcsw.Clients.middle_name) A space-separated list of all middle names.") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var general2_3_panel5995 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name5993, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": middle_name5994, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date5998 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Birth date</span>", "listeners": { "render": Lino.quicktip_renderer("Birth date","(pcsw.Clients.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var age_disp5999 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Age</span>", "listeners": { "render": Lino.quicktip_renderer("Age","(pcsw.Clients.age) Virtual field displaying the age in years.") }, "name": "age", "value": "<br/>" });
    var language6000 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Language</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var general2_4_panel6001 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": birth_date5998, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": age_disp5999, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": language6000, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general2_panel6005 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 38, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel5988, { "anchor": "-20", "autoHeight": true, "items": last_name5992, "labelAlign": "top", "layout": "form", "xtype": "panel" }, general2_3_panel5995, general2_4_panel6001 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email6007 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">e-mail address</span>", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(pcsw.Clients.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone6008 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Phone</span>", "listeners": { "render": Lino.quicktip_renderer("Phone","(pcsw.Clients.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var fax6009 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(pcsw.Clients.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var gsm6010 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mobile</span>", "listeners": { "render": Lino.quicktip_renderer("Mobile","(pcsw.Clients.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var general3_panel6011 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 19, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email6007, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone6008, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax6009, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm6010, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var image_htmlbox6016 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 14, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(pcsw.Clients.image) Virtual field which displays the picture.") }, "name": "image", "value": "<br/>" });
    var general_1_panel6017 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox5984, general2_panel6005, general3_panel6011, image_htmlbox6016 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var national_id6018 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">National ID</span>", "listeners": { "render": Lino.quicktip_renderer("National ID","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var civil_state6019 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Civil state</span>", "forceSelection": true, "hiddenName": "civil_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Civil state","(pcsw.Clients.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "name": "civil_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var birth_country6020 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Select a Country...", "fieldLabel": "Birth country", "hiddenName": "birth_countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Birth country","(pcsw.Clients.birth_country) ") }, "name": "birth_country", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/birth_country" }) }) });
    var birth_place6021 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Birth place</span>", "listeners": { "render": Lino.quicktip_renderer("Birth place","(pcsw.Clients.birth_place) The birth place in plain text as it was on the eid card.") }, "maxLength": 200, "name": "birth_place", "selectOnFocus": true });
    var declared_name6022 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Declared name", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Declared name","(pcsw.Clients.declared_name) ") }, "name": "declared_name", "selectOnFocus": true });
    var needs_residence_permit6023 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Needs residence permit", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Needs residence permit","(pcsw.Clients.needs_residence_permit) ") }, "name": "needs_residence_permit", "selectOnFocus": true });
    var needs_work_permit6024 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Needs work permit", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Needs work permit","(pcsw.Clients.needs_work_permit) ") }, "name": "needs_work_permit", "selectOnFocus": true });
    var general_2_panel6025 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": national_id6018, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": civil_state6019, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": birth_country6020, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": birth_place6021, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": declared_name6022, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": needs_residence_permit6023, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": needs_work_permit6024, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var in_belgium_since6033 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Lives in Belgium since", "listeners": { "render": Lino.quicktip_renderer("Lives in Belgium since","(pcsw.Clients.in_belgium_since) ") }, "name": "in_belgium_since", "selectOnFocus": true });
    var residence_type6034 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Resident register", "forceSelection": true, "hiddenName": "residence_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Resident register","(pcsw.Clients.residence_type) ") }, "name": "residence_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var residence_until6035 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Residence until", "listeners": { "render": Lino.quicktip_renderer("Residence until","(pcsw.Clients.residence_until) ") }, "name": "residence_until", "selectOnFocus": true });
    var group6036 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Select a Integration Phase...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Integration phase</span>", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Integration phase","(pcsw.Clients.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "name": "group", "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/group" }) }) });
    var aid_type6037 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Select a aid type...", "fieldLabel": "aid type", "hiddenName": "aid_typeHidden", "listeners": { "render": Lino.quicktip_renderer("aid type","(pcsw.Clients.aid_type) ") }, "name": "aid_type", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/aid_type" }) }) });
    var general_3_panel6038 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": in_belgium_since6033, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": residence_type6034, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": residence_until6035, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": group6036, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": aid_type6037, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid6044 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 36, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Appointments","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var AgentsByClient_htmlbox6045 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 27, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Create appointment with","(pcsw.Clients.AgentsByClient) The Coachings table in a clients detail.") }, "master_panel": this, "name": "AgentsByClient", "title": "Create appointment with", "tools": [ Lino.show_in_own_window_button(Lino.reception.AgentsByClient.grid) ], "value": "<br/>" });
    var courses_EnrolmentsByPupil_grid6065 = new Lino.courses.EnrolmentsByPupil.GridPanel({ "containing_panel": this, "flex": 36, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Enrolments in Workshops","(courses.courses.EnrolmentsByPupil) Show all enrolments of a given pupil.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.courses.EnrolmentsByPupil.grid) ] });
    var general_4_panel6066 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 38, "frame": false, "hideCheckBoxLabels": true, "items": [ reception_AppointmentsByPartner_grid6044, AgentsByClient_htmlbox6045, courses_EnrolmentsByPupil_grid6065 ], "labelAlign": "top", "labelWidth": 216, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel6067 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel6017, general_2_panel6025, general_3_panel6038, general_4_panel6066 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Person" });
    var coachings_CoachingsByClient_grid6128 = new Lino.coachings.CoachingsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Coachings","(coachings.coachings.CoachingsByClient) The Coachings table in a clients detail.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.coachings.CoachingsByClient.grid) ] });
    var coaching_panel6129 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ coachings_CoachingsByClient_grid6128 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Coaches" });
    var households_MembersByPerson_htmlbox6130 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Household memberships","(pcsw.Clients.households.MembersByPerson) ") }, "name": "households.MembersByPerson", "region": "north", "split": true, "title": "Household memberships", "value": "<br/>" });
    var child_custody6131 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Child custody</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Child custody","(pcsw.Clients.child_custody) Notes concerning child custody.") }, "name": "child_custody", "selectOnFocus": true });
    var family_left_panel6132 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ households_MembersByPerson_htmlbox6130, { "flex": 5, "items": child_custody6131, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 198 });
    var households_SiblingsByPerson_grid6134 = new Lino.households.SiblingsByPerson.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Household composition","(households.households.SiblingsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.SiblingsByPerson.grid) ] });
    var family_1_panel6135 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 8, "frame": false, "hideCheckBoxLabels": true, "items": [ family_left_panel6132, households_SiblingsByPerson_grid6134 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var humanlinks_LinksByHuman_htmlbox6136 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Human Links","(pcsw.Clients.humanlinks.LinksByHuman) Show all links for which this human is either parent or child.") }, "name": "humanlinks.LinksByHuman", "region": "center", "split": true, "title": "Human Links", "value": "<br/>" });
    var family_panel6137 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ family_1_panel6135, humanlinks_LinksByHuman_htmlbox6136 ], "labelAlign": "top", "labelWidth": 108, "listeners": { "activate": Lino.on_tab_activate }, "title": "Family situation" });
    var cv_StudiesByPerson_grid6156 = new Lino.cv.StudiesByPerson.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Studies","(cv.cv.StudiesByPerson) Table mixin for StudiesByPerson and ExperiencesByPerson.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cv.StudiesByPerson.grid) ] });
    var cv_TrainingsByPerson_grid6177 = new Lino.cv.TrainingsByPerson.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Trainings","(cv.cv.TrainingsByPerson) Table mixin for StudiesByPerson and ExperiencesByPerson.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cv.TrainingsByPerson.grid) ] });
    var cv_ExperiencesByPerson_grid6199 = new Lino.cv.ExperiencesByPerson.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Job Experiences","(cv.cv.ExperiencesByPerson) Table mixin for StudiesByPerson and ExperiencesByPerson.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cv.ExperiencesByPerson.grid) ] });
    var career_panel6200 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cv_StudiesByPerson_grid6156, cv_TrainingsByPerson_grid6177, cv_ExperiencesByPerson_grid6199 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Career" });
    var badges_AwardsByHolder_grid6208 = new Lino.badges.AwardsByHolder.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Awards","(badges.badges.AwardsByHolder) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.badges.AwardsByHolder.grid) ] });
    var skills6209 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Other skills", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Other skills","(pcsw.Clients.skills) ") }, "name": "skills", "selectOnFocus": true });
    var competences_panel6210 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ badges_AwardsByHolder_grid6208, { "flex": 5, "items": skills6209, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "listeners": { "activate": Lino.on_tab_activate }, "title": "Competences" });
    var cv_ObstaclesByPerson_grid6221 = new Lino.cv.ObstaclesByPerson.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Obstacles","(cv.cv.ObstaclesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cv.ObstaclesByPerson.grid) ] });
    var obstacles6222 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Other obstacles", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Other obstacles","(pcsw.Clients.obstacles) ") }, "name": "obstacles", "selectOnFocus": true });
    var obstacles_tab_panel6223 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cv_ObstaclesByPerson_grid6221, { "flex": 5, "items": obstacles6222, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "listeners": { "activate": Lino.on_tab_activate }, "title": "Obstacles" });
    var isip_ContractsByClient_grid6253 = new Lino.isip.ContractsByClient.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "title": "ISIPs", "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByClient.grid) ] });
    var courses_BasicEnrolmentsByPupil_grid6273 = new Lino.courses.BasicEnrolmentsByPupil.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Enrolments in Integration workshops","(courses.courses.BasicEnrolmentsByPupil) Show all enrolments of a given pupil.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.courses.BasicEnrolmentsByPupil.grid) ] });
    var courses_JobEnrolmentsByPupil_grid6293 = new Lino.courses.JobEnrolmentsByPupil.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Enrolments in Job search workshops","(courses.courses.JobEnrolmentsByPupil) Show all enrolments of a given pupil.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.courses.JobEnrolmentsByPupil.grid) ] });
    var courses_tab_panel6294 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ courses_BasicEnrolmentsByPupil_grid6273, courses_JobEnrolmentsByPupil_grid6293 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "IO" });
    var immersion_ContractsByClient_grid6323 = new Lino.immersion.ContractsByClient.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "title": "Immersion trainings", "tools": [ Lino.show_in_own_window_button(Lino.immersion.ContractsByClient.grid) ] });
    var jobs_CandidaturesByPerson_grid6337 = new Lino.jobs.CandidaturesByPerson.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Job Candidatures","(jobs.jobs.CandidaturesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByPerson.grid) ] });
    var art60_ContractsByClient_grid6359 = new Lino.art60.ContractsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art60\u00a77 job supplyments","(art60.art60.ContractsByClient) Base for contract tables. Defines the following parameter fields:") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.art60.ContractsByClient.grid) ] });
    var art61_ContractsByClient_grid6401 = new Lino.art61.ContractsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art61 job supplyments and activations","(art61.art61.ContractsByClient) Shows the Art61 job supplyments for this client.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.art61.ContractsByClient.grid) ] });
    var contracts_panel6402 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ jobs_CandidaturesByPerson_grid6337, art60_ContractsByClient_grid6359, art61_ContractsByClient_grid6401 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Job supplying" });
    var notes_NotesByProject_grid6425 = new Lino.notes.NotesByProject.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Events/Notes","(notes.notes.NotesByProject) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByProject.grid) ] });
    var uploads_UploadsByProject_grid6451 = new Lino.uploads.UploadsByProject.GridPanel({ "containing_panel": this, "flex": 32, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Upload files","(uploads.uploads.UploadsByProject) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByProject.grid) ] });
    var is_seeking6452 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "is seeking work", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("is seeking work","(pcsw.Clients.is_seeking) ") }, "name": "is_seeking", "selectOnFocus": true });
    var unemployed_since6453 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Unemployed since</span>", "listeners": { "render": Lino.quicktip_renderer("Unemployed since","(pcsw.Clients.unemployed_since) The date when this client got unemployed and stopped to have a\nregular work.") }, "name": "unemployed_since", "selectOnFocus": true });
    var seeking_since6454 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Seeking work since</span>", "listeners": { "render": Lino.quicktip_renderer("Seeking work since","(pcsw.Clients.seeking_since) The date when this client registered as unemployed and started\nto look for a new job.") }, "name": "seeking_since", "selectOnFocus": true });
    var history_right_2_panel6455 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": is_seeking6452, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": unemployed_since6453, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": seeking_since6454, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var pcsw_ExclusionsByClient_grid6468 = new Lino.pcsw.ExclusionsByClient.GridPanel({ "containing_panel": this, "flex": 40, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Unemployment situation","(pcsw.pcsw.ExclusionsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.pcsw.ExclusionsByClient.grid) ] });
    var esf_SummariesByClient_grid6485 = new Lino.esf.SummariesByClient.GridPanel({ "containing_panel": this, "flex": 24, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("ESF Summaries","(esf.esf.SummariesByClient) Lists the ESF summaries for a given client.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.esf.SummariesByClient.grid) ] });
    var history_right_panel6486 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ uploads_UploadsByProject_grid6451, history_right_2_panel6455, pcsw_ExclusionsByClient_grid6468, esf_SummariesByClient_grid6485 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var history_panel6487 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ notes_NotesByProject_grid6425, history_right_panel6486 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "History" });
    var cal_EntriesByClient_grid6522 = new Lino.cal.EntriesByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Calendar entries","(cal.cal.EntriesByClient) Table which shows all calendar events.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByClient.grid) ] });
    var cal_TasksByProject_grid6548 = new Lino.cal.TasksByProject.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Tasks","(cal.cal.TasksByProject) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByProject.grid) ] });
    var calendar_panel6549 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByClient_grid6522, cal_TasksByProject_grid6548 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Calendar" });
    var main_panel6579 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel6067, coaching_panel6129, family_panel6137, career_panel6200, competences_panel6210, obstacles_tab_panel6223, isip_ContractsByClient_grid6253, courses_tab_panel6294, immersion_ContractsByClient_grid6323, contracts_panel6402, history_panel6487, calendar_panel6549 ], "labelAlign": "top", "split": true });
    this.items = main_panel6579;
    this.before_row_edit = function(record) {
      overview_htmlbox5984.refresh();
      image_htmlbox6016.refresh();
      reception_AppointmentsByPartner_grid6044.on_master_changed();
      AgentsByClient_htmlbox6045.refresh();
      courses_EnrolmentsByPupil_grid6065.on_master_changed();
      coachings_CoachingsByClient_grid6128.on_master_changed();
      households_MembersByPerson_htmlbox6130.refresh();
      households_SiblingsByPerson_grid6134.on_master_changed();
      humanlinks_LinksByHuman_htmlbox6136.refresh();
      cv_StudiesByPerson_grid6156.on_master_changed();
      cv_TrainingsByPerson_grid6177.on_master_changed();
      cv_ExperiencesByPerson_grid6199.on_master_changed();
      badges_AwardsByHolder_grid6208.on_master_changed();
      cv_ObstaclesByPerson_grid6221.on_master_changed();
      isip_ContractsByClient_grid6253.on_master_changed();
      courses_BasicEnrolmentsByPupil_grid6273.on_master_changed();
      courses_JobEnrolmentsByPupil_grid6293.on_master_changed();
      immersion_ContractsByClient_grid6323.on_master_changed();
      jobs_CandidaturesByPerson_grid6337.on_master_changed();
      art60_ContractsByClient_grid6359.on_master_changed();
      art61_ContractsByClient_grid6401.on_master_changed();
      notes_NotesByProject_grid6425.on_master_changed();
      uploads_UploadsByProject_grid6451.on_master_changed();
      pcsw_ExclusionsByClient_grid6468.on_master_changed();
      esf_SummariesByClient_grid6485.on_master_changed();
      cal_EntriesByClient_grid6522.on_master_changed();
      cal_TasksByProject_grid6548.on_master_changed();
    }
    Lino.pcsw.Clients.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
  }
});


Lino.isip.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel isip-Contracts",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 80,
  initComponent : function() {
    var client3821 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(isip.Contracts.client) The client for whom this contract is done.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var type3822 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "Select a ISIP Type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Contract Type</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Contract Type","(isip.Contracts.type) The type of this contract.\nPointer to ContractType.") }, "name": "type", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var main_panel3823 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client3821, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type3822, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3823;
    this.before_row_edit = function(record) {
    }
    Lino.isip.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel users-Users",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 11,
  initComponent : function() {
    var username6096 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Username</span>", "listeners": { "render": Lino.quicktip_renderer("Username","(users.Users.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "maxLength": 30, "name": "username", "selectOnFocus": true });
    var email6097 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "e-mail address", "listeners": { "render": Lino.quicktip_renderer("e-mail address","(users.Users.email) ") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var main_1_panel6098 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": username6096, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": email6097, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name6101 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "First name", "listeners": { "render": Lino.quicktip_renderer("First name","(users.Users.first_name) ") }, "maxLength": 30, "name": "first_name", "selectOnFocus": true });
    var last_name6102 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Last name", "listeners": { "render": Lino.quicktip_renderer("Last name","(users.Users.last_name) ") }, "maxLength": 30, "name": "last_name", "selectOnFocus": true });
    var main_2_panel6103 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name6101, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name6102, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner6106 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(users.Users.partner) The partner record with additional contact information about\nthis user account.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/partner" }) }) });
    var language6107 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Language", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(users.Users.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var user_type6108 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">User type</span>", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("User type","(users.Users.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var main_4_panel6109 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": language6107, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 71, "items": user_type6108, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6112 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6098, main_2_panel6103, { "anchor": "-20", "autoHeight": true, "items": partner6106, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel6109 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6112;
    this.before_row_edit = function(record) {
    }
    Lino.users.AllUsers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Groups.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Groups",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 114,
  initComponent : function() {
    var name6580 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(debts.Groups.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl6581 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(debts.Groups.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de6582 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(debts.Groups.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en6583 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(debts.Groups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6584 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name6580, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl6581, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de6582, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en6583, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account_type6589 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Account type", "forceSelection": true, "hiddenName": "account_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Account type","(debts.Groups.account_type) ") }, "name": "account_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var ref6590 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ref", "listeners": { "render": Lino.quicktip_renderer("ref","(debts.Groups.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var main_2_panel6591 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": account_type6589, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 65, "items": ref6590, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6594 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6584, main_2_panel6591 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel6594;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Groups.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-Notes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 121,
  initComponent : function() {
    var date1852 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date", "listeners": { "render": Lino.quicktip_renderer("Date","(notes.Notes.date) ") }, "name": "date", "selectOnFocus": true });
    var time1853 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Time", "listeners": { "render": Lino.quicktip_renderer("Time","(notes.Notes.time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "time", "selectOnFocus": true });
    var event_type1854 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Select a Event Type...", "fieldLabel": "Event Type (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Event Type (Form)","(notes.Notes.event_type) ") }, "name": "event_type", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type1855 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Select a Note Type...", "fieldLabel": "Note Type (Content)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Note Type (Content)","(notes.Notes.type) ") }, "name": "type", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var left_1_panel1856 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": date1852, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": time1853, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": event_type1854, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": type1855, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project1861 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Select a Client...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Client","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var subject1862 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Subject", "listeners": { "render": Lino.quicktip_renderer("Subject","(notes.Notes.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var important1863 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Important", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Important","(notes.Notes.important) ") }, "name": "important", "selectOnFocus": true });
    var left_2_panel1864 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": project1861, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": subject1862, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": important1863, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company1868 = new Lino.TwinCombo({ "allowBlank": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Organization)</span>", "flex": 50, "hidden": true, "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Organization)","(notes.Notes.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/company" }) }) });
    var contact_person1869 = new Lino.TwinCombo({ "allowBlank": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Person)</span>", "flex": 50, "forceSelection": false, "hidden": true, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Person)","(notes.Notes.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_person" }) }) });
    var left_3_panel1870 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hidden": true, "hideCheckBoxLabels": true, "items": [ company1868, contact_person1869 ], "labelAlign": "top", "labelWidth": 225, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user1871 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(notes.Notes.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }) });
    var language1872 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Language", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(notes.Notes.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var build_time1873 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">build time</span>", "listeners": { "render": Lino.quicktip_renderer("build time","(notes.Notes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "name": "build_time", "value": "<br>" });
    var id1874 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.Notes.id) ") }, "name": "id", "selectOnFocus": true });
    var left_4_panel1875 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user1871, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": language1872, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": build_time1873, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": id1874, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var body1880 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Body", "flex": 55, "name": "body", "selectOnFocus": true, "title": "Body" });
    var left_panel1881 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 66, "frame": true, "hideCheckBoxLabels": true, "items": [ left_1_panel1856, left_2_panel1864, left_3_panel1870, left_4_panel1875, body1880 ], "labelAlign": "top", "labelWidth": 45, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var uploads_UploadsByController_htmlbox1882 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload files","(notes.Notes.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "master_panel": this, "name": "uploads.UploadsByController", "region": "north", "split": true, "title": "Upload files", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var outbox_MailsByController_grid1883 = new Lino.outbox.MailsByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Outgoing Mails","(outbox.outbox.MailsByController) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.outbox.MailsByController.grid) ] });
    var cal_TasksByController_grid1884 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Tasks","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel1885 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ uploads_UploadsByController_htmlbox1882, outbox_MailsByController_grid1883, cal_TasksByController_grid1884 ], "labelAlign": "top", "labelWidth": 117 });
    var main_1_panel1886 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ left_panel1881, right_panel1885 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel1887 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1886 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel1887;
    this.before_row_edit = function(record) {
      contact_person1869.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body1880.refresh();
      uploads_UploadsByController_htmlbox1882.refresh();
      outbox_MailsByController_grid1883.on_master_changed();
      cal_TasksByController_grid1884.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company1868 !== 'undefined' && company1868.on('change',Lino.chooser_handler(contact_person1869,'company'));
      Lino.notes.Notes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.notes.Notes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Faculties.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel newcomers-Faculties",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 103,
  initComponent : function() {
    var id6595 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(newcomers.Faculties.id) ") }, "name": "id", "selectOnFocus": true });
    var name6596 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(newcomers.Faculties.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl6597 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(newcomers.Faculties.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de6598 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(newcomers.Faculties.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en6599 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(newcomers.Faculties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var weight6600 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Work effort</span>", "listeners": { "render": Lino.quicktip_renderer("Work effort","(newcomers.Faculties.weight) Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "name": "weight", "selectOnFocus": true, "value": 10 });
    var main_1_panel6601 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id6595, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name6596, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "hidden": true, "items": name_nl6597, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name_de6598, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": name_en6599, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": weight6600, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var ClientsByFaculty_grid6699 = new Lino.newcomers.ClientsByFaculty.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Clients","(newcomers.newcomers.ClientsByFaculty) The list that opens by Contacts \u2023 Clients.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.newcomers.ClientsByFaculty.grid) ] });
    var main_panel6700 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6601, ClientsByFaculty_grid6699 ], "labelAlign": "top" });
    this.items = main_panel6700;
    this.before_row_edit = function(record) {
      ClientsByFaculty_grid6699.on_master_changed();
    }
    Lino.newcomers.Faculties.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Budgets",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 116,
  initComponent : function() {
    var date4196 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Date", "listeners": { "render": Lino.quicktip_renderer("Date","(debts.Budgets.date) ") }, "name": "date", "selectOnFocus": true });
    var partner4197 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Select a Partner...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(debts.Budgets.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/partner" }) }) });
    var id4198 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(debts.Budgets.id) ") }, "name": "id", "selectOnFocus": true });
    var user4199 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(debts.Budgets.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }) });
    var general_1_panel4200 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date4196, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": partner4197, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id4198, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": user4199, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var intro4205 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Introduction", "flex": 5, "name": "intro", "region": "center", "selectOnFocus": true, "split": true, "title": "Introduction" });
    var general_panel4216 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4200, intro4205 ], "labelAlign": "top", "labelWidth": 117, "listeners": { "activate": Lino.on_tab_activate }, "title": "General" });
    var conclusion4279 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Conclusion", "flex": 55, "name": "conclusion", "selectOnFocus": true, "title": "Conclusion" });
    var dist_amount4280 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Distributable amount</span>", "listeners": { "render": Lino.quicktip_renderer("Distributable amount","(debts.Budgets.dist_amount) The total monthly amount available for debts distribution.") }, "name": "dist_amount", "selectOnFocus": true, "value": 120 });
    var printed_disp4281 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(debts.Budgets.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var total_debt4282 = new Ext.form.NumberField({ "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true, "fieldLabel": "Total debt", "listeners": { "render": Lino.quicktip_renderer("Total debt","(debts.Budgets.total_debt) ") }, "name": "total_debt" });
    var summary2_2_panel4283 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": dist_amount4280, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 55, "items": printed_disp4281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": total_debt4282, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var include_yearly_incomes4287 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Include yearly incomes", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Include yearly incomes","(debts.Budgets.include_yearly_incomes) Check this to include yearly incomes in the Debts Overview table of this Budget.") }, "name": "include_yearly_incomes", "selectOnFocus": true });
    var print_empty_rows4288 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Print empty rows", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Print empty rows","(debts.Budgets.print_empty_rows) Check this to print also empty rows for later completion.") }, "name": "print_empty_rows", "selectOnFocus": true });
    var print_todos4289 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Print to-do list", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Print to-do list","(debts.Budgets.print_todos) Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt,\nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist.\nDiese Option wird aber momentan noch ignoriert\n(d.h. To-do-Liste wird gar nicht ausgedruckt),\nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen.\nVielleicht mit Fu\u00dfnoten?") }, "name": "print_todos", "selectOnFocus": true });
    var summary2_3_panel4290 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": include_yearly_incomes4287, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": print_empty_rows4288, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": print_todos4289, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary2_panel4294 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 57, "frame": true, "hideCheckBoxLabels": true, "items": [ conclusion4279, summary2_2_panel4283, summary2_3_panel4290 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var summary_tab_1_panel4295 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 9, "frame": false, "hideCheckBoxLabels": true, "items": [ summary2_panel4294 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var summary_tab_panel4297 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ summary_tab_1_panel4295 ], "labelAlign": "top", "labelWidth": 171, "listeners": { "activate": Lino.on_tab_activate }, "title": "Summary" });
    var data_box_htmlbox4298 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Entered data","(debts.Budgets.data_box) ") }, "name": "data_box", "region": "north", "split": true, "title": "Entered data", "value": "<br/>" });
    var summary_box_htmlbox4299 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Summary","(debts.Budgets.summary_box) ") }, "name": "summary_box", "region": "center", "split": true, "title": "Summary", "value": "<br/>" });
    var preview_tab_panel4300 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ data_box_htmlbox4298, summary_box_htmlbox4299 ], "labelAlign": "top", "labelWidth": 117, "listeners": { "activate": Lino.on_tab_activate }, "title": "Preview" });
    var main_panel4301 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4216, summary_tab_panel4297, preview_tab_panel4300 ], "labelAlign": "top", "split": true });
    this.items = main_panel4301;
    this.before_row_edit = function(record) {
      intro4205.refresh();
      conclusion4279.refresh();
      data_box_htmlbox4298.refresh();
      summary_box_htmlbox4299.refresh();
    }
    Lino.debts.Budgets.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Faculties.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel newcomers-Faculties",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 103,
  initComponent : function() {
    var name6701 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Designation</span>", "listeners": { "render": Lino.quicktip_renderer("Designation","(newcomers.Faculties.name) The translatable name of this database row.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_nl6702 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("Designation (nl)","(newcomers.Faculties.name_nl) ") }, "maxLength": 200, "name": "name_nl", "selectOnFocus": true });
    var name_de6703 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("Designation (de)","(newcomers.Faculties.name_de) ") }, "maxLength": 200, "name": "name_de", "selectOnFocus": true });
    var name_en6704 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("Designation (en)","(newcomers.Faculties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6705 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name6701, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "hidden": true, "items": name_nl6702, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_de6703, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en6704, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var weight6710 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Work effort</span>", "listeners": { "render": Lino.quicktip_renderer("Work effort","(newcomers.Faculties.weight) Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "name": "weight", "selectOnFocus": true, "value": 10 });
    var main_panel6711 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6705, { "anchor": "-20", "autoHeight": true, "items": weight6710, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6711;
    this.before_row_edit = function(record) {
    }
    Lino.newcomers.Faculties.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-RefundConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('do_print', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 127,
  initComponent : function() {
    var start_date6713 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Period from", "listeners": { "render": Lino.quicktip_renderer("Period from","(aids.RefundConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date6714 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "until", "listeners": { "render": Lino.quicktip_renderer("until","(aids.RefundConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel6715 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date6713, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date6714, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var doctor_type6718 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Select a Client Contact type...", "fieldLabel": "Doctor type", "hiddenName": "doctor_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Doctor type","(aids.RefundConfirmationsByGranting.doctor_type) ") }, "name": "doctor_type", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor_type" }) }) });
    var doctor6719 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "Doctor", "forceSelection": false, "hiddenName": "doctorHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Doctor","(aids.RefundConfirmationsByGranting.doctor) ") }, "name": "doctor", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor" }) }) });
    var pharmacy6720 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "Pharmacy", "hiddenName": "pharmacyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Pharmacy","(aids.RefundConfirmationsByGranting.pharmacy) ") }, "name": "pharmacy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/pharmacy" }) }) });
    var main_2_panel6721 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": doctor_type6718, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": doctor6719, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": pharmacy6720, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company6725 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Select a Organization...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Organization)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Organization)","(aids.RefundConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/company" }) }) });
    var contact_person6726 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Select a Person...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Recipient (Person)</span>", "forceSelection": false, "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Recipient (Person)","(aids.RefundConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_person" }) }) });
    var language6727 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Language", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Language","(aids.RefundConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var printed_disp6728 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed</span>", "listeners": { "render": Lino.quicktip_renderer("Printed","(aids.RefundConfirmationsByGranting.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_3_panel6729 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company6725, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person6726, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language6727, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp6728, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6734 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Remark", "flex": 50, "name": "remark", "selectOnFocus": true, "title": "Remark" });
    var main_panel6735 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6715, main_2_panel6721, main_3_panel6729, remark6734 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6735;
    this.before_row_edit = function(record) {
      doctor6719.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      var bp = this.get_base_params();
      pharmacy6720.setContextValue('mk',bp['mk']);
      pharmacy6720.setContextValue('mt',bp['mt']);
      contact_person6726.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark6734.refresh();
    }
    this.onRender = function(ct, position) {
      typeof doctor_type6718 !== 'undefined' && doctor_type6718.on('change',Lino.chooser_handler(doctor6719,'doctor_type'));
      typeof company6725 !== 'undefined' && company6725.on('change',Lino.chooser_handler(contact_person6726,'company'));
      Lino.aids.RefundConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.RefundConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-Volumes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 20,
  initComponent : function() {
    var ref6736 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reference</span>", "listeners": { "render": Lino.quicktip_renderer("Reference","(uploads.Volumes.ref) The reference. This must be either empty or unique.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var description6737 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Description", "listeners": { "render": Lino.quicktip_renderer("Description","(uploads.Volumes.description) ") }, "maxLength": 255, "name": "description", "selectOnFocus": true });
    var main_1_panel6738 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 65, "items": ref6736, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": description6737, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var root_dir6741 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Root directory", "listeners": { "render": Lino.quicktip_renderer("Root directory","(uploads.Volumes.root_dir) ") }, "maxLength": 255, "name": "root_dir", "selectOnFocus": true });
    var base_url6742 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Base URL", "listeners": { "render": Lino.quicktip_renderer("Base URL","(uploads.Volumes.base_url) ") }, "maxLength": 255, "name": "base_url", "selectOnFocus": true });
    var main_2_panel6743 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": root_dir6741, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": base_url6742, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox6746 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Activity","(uploads.Volumes.overview) ") }, "name": "overview", "title": "Activity", "value": "<br/>" });
    var main_panel6747 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6738, main_2_panel6743, overview_htmlbox6746 ], "labelAlign": "top", "labelWidth": 81, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6747;
    this.before_row_edit = function(record) {
      overview_htmlbox6746.refresh();
    }
    Lino.uploads.Volumes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel tinymce-TextFieldTemplates",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  content_type: 137,
  initComponent : function() {
    var id6748 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(tinymce.TextFieldTemplates.id) ") }, "name": "id", "selectOnFocus": true });
    var name6749 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Designation", "listeners": { "render": Lino.quicktip_renderer("Designation","(tinymce.TextFieldTemplates.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var user6750 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Select a User...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Author</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Author","(tinymce.TextFieldTemplates.user) The author of this database object.") }, "name": "user", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }) });
    var main_1_panel6751 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id6748, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": name6749, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": user6750, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var description6755 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Description", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Description","(tinymce.TextFieldTemplates.description) ") }, "name": "description", "selectOnFocus": true });
    var text6756 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Template Text", "flex": 5, "name": "text", "region": "south", "selectOnFocus": true, "split": true, "title": "Template Text" });
    var main_panel6757 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6751, { "flex": 5, "items": description6755, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, text6756 ], "labelAlign": "top", "labelWidth": 126 });
    this.items = main_panel6757;
    this.before_row_edit = function(record) {
      text6756.refresh();
    }
    Lino.tinymce.TextFieldTemplates.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-Volumes",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 20,
  initComponent : function() {
    var ref6759 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Reference</span>", "listeners": { "render": Lino.quicktip_renderer("Reference","(uploads.Volumes.ref) The reference. This must be either empty or unique.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var description6760 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Description", "listeners": { "render": Lino.quicktip_renderer("Description","(uploads.Volumes.description) ") }, "maxLength": 255, "name": "description", "selectOnFocus": true });
    var main_1_panel6761 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 65, "items": ref6759, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": description6760, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var root_dir6764 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Root directory", "listeners": { "render": Lino.quicktip_renderer("Root directory","(uploads.Volumes.root_dir) ") }, "maxLength": 255, "name": "root_dir", "selectOnFocus": true });
    var base_url6765 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Base URL", "listeners": { "render": Lino.quicktip_renderer("Base URL","(uploads.Volumes.base_url) ") }, "maxLength": 255, "name": "base_url", "selectOnFocus": true });
    var main_panel6766 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6761, { "anchor": "-20", "autoHeight": true, "items": root_dir6764, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": base_url6765, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6766;
    this.before_row_edit = function(record) {
    }
    Lino.uploads.Volumes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByGuest.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByGuest",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "alt": false, "ba": "Lino.row_action_handler('as_pdf_p', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false }, { "alt": false, "ba": "Lino.row_action_handler('edit_template', 'GET', null)", "ctrl": true, "key": "P", "keycode": 80, "shift": false } ],
  autoHeight: true,
  content_type: 35,
  initComponent : function() {
    var start_date6769 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start date</span>", "listeners": { "render": Lino.quicktip_renderer("Start date","(cal.EntriesByGuest.start_date) The starting date of this calendar entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time6770 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Start time</span>", "listeners": { "render": Lino.quicktip_renderer("Start time","(cal.EntriesByGuest.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time6771 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">End Time</span>", "listeners": { "render": Lino.quicktip_renderer("End Time","(cal.EntriesByGuest.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel6772 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": start_date6769, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_time6770, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_time6771, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary6776 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Short description</span>", "listeners": { "render": Lino.quicktip_renderer("Short description","(cal.EntriesByGuest.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var event_type6777 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Select a Calendar entry type...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Calendar entry type</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Calendar entry type","(cal.EntriesByGuest.event_type) The type of this calendar entry.") }, "name": "event_type", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByGuest/event_type" }) }) });
    var main_panel6778 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6772, { "anchor": "-20", "autoHeight": true, "items": summary6776, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type6777, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6778;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByGuest.InsertFormPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Partners.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Partners" };
  return new Lino.contacts.Partners.merge_row_ActionFormPanel(p);
});
Lino.contacts.Persons.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.merge_row_ActionFormPanel(p);
});
Lino.contacts.Persons.create_household = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.create_household_ActionFormPanel(p);
});
Lino.contacts.Companies.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.merge_row_ActionFormPanel(p);
});
Lino.cal.Guests.checkin = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.checkin_ActionFormPanel(p);
});
Lino.cal.GuestStates.wf1 = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.wf1_ActionFormPanel(p);
});
Lino.cal.GuestStates.wf2 = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.wf2_ActionFormPanel(p);
});
Lino.pcsw.Clients.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.merge_row_ActionFormPanel(p);
});
Lino.pcsw.Clients.refuse_client = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.refuse_client_ActionFormPanel(p);
});
Lino.pcsw.Clients.create_visit = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.create_visit_ActionFormPanel(p);
});
Lino.households.Households.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.merge_row_ActionFormPanel(p);
});
Lino.jobs.JobProviders.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  return new Lino.jobs.JobProviders.merge_row_ActionFormPanel(p);
});
Lino.jobs.Employers.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/Employers" };
  return new Lino.jobs.Employers.merge_row_ActionFormPanel(p);
});
Lino.users.AllUsers.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.AllUsers.merge_row_ActionFormPanel(p);
});
Lino.users.AllUsers.change_password = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.AllUsers.change_password_ActionFormPanel(p);
});
Lino.polls.Polls.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/polls/Polls" };
  return new Lino.polls.Polls.merge_row_ActionFormPanel(p);
});
Lino.courses.Lines.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/Lines" };
  return new Lino.courses.Lines.merge_row_ActionFormPanel(p);
});
Lino.courses.Activities.print_presence_sheet = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/Activities" };
  return new Lino.courses.Activities.print_presence_sheet_ActionFormPanel(p);
});
Lino.courses.Activities.print_presence_sheet_html = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/Activities" };
  return new Lino.courses.Activities.print_presence_sheet_html_ActionFormPanel(p);
});
Lino.coachings.Coachings.create_visit = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/coachings/CoachingsByClient" };
  return new Lino.coachings.Coachings.create_visit_ActionFormPanel(p);
});
Lino.debts.Accounts.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.Accounts.merge_row_ActionFormPanel(p);
});
Lino.about.About.sign_in = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/about/About" };
  return new Lino.about.About.sign_in_ActionFormPanel(p);
});

// js_render_GridPanel_class contacts.Partners
Lino.contacts.Partners.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Partners",
  ls_store_fields : [ { "name": "name" }, { "name": "id", "type": "int" }, { "name": "mti_navigator" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of clients.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partners",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Partners.detail;
    var ww = this.containing_window;
    var name6781 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id6782 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var mti_navigator_disp6783 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email6784 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var language6785 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var url6786 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone6787 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6788 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6789 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6790 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6791 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6792 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/country" }) }) });
    var city6793 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/city" }) }) });
    var zip_code6794 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6795 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/region" }) }) });
    var addr16796 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6797 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6798 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6799 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6800 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26801 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6802 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6803 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete6804 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6805 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/activity" }) }) });
    var client_contact_type6806 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/client_contact_type" }) }) });
    this.before_row_edit = function(record) {
      city6793.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6793.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6795.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6792 !== 'undefined' && country6792.on('change',Lino.chooser_handler(city6793,'country'));
      typeof region6795 !== 'undefined' && region6795.on('change',Lino.chooser_handler(city6793,'region'));
      typeof country6792 !== 'undefined' && country6792.on('change',Lino.chooser_handler(region6795,'country'));
      Lino.contacts.Partners.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name6781, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id6782, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "mti_navigator", "editable": false, "header": "See as ", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email6784, "filter": { "type": "string" }, "header": "e-mail address", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language6785, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url6786, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone6787, "filter": { "type": "string" }, "header": "Phone", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm6788, "filter": { "type": "string" }, "header": "Mobile", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax6789, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country6792, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6793, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6794, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region6795, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr16796, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6797, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street6798, "filter": { "type": "string" }, "header": "Street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no6799, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box6800, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr26801, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix6802, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "remarks", "editable": true, "editor": remarks6803, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "activity", "editable": true, "editor": activity6805, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6806, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.contacts.Partners.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Partners.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Partners.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/contacts/Partners",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Partners.detail;
    Lino.contacts.Partners.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Partners.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Partners" };
  return new Lino.contacts.Partners.detailPanel(p);
});
Lino.contacts.Partners.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Partners" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.Partners.GridPanel(p);
});
Lino.contacts.Partners.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.Persons
Lino.contacts.Persons.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Persons",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "age" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Person.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of contacts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Persons",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    var ww = this.containing_window;
    var name_column_disp6810 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp6811 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email6812 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone6813 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6814 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6815 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language6816 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var url6817 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6818 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6819 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6820 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6821 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/country" }) }) });
    var city6822 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/city" }) }) });
    var zip_code6823 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6824 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/region" }) }) });
    var addr16825 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6826 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6827 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6828 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6829 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26830 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6831 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name6832 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6833 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete6834 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6835 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/activity" }) }) });
    var client_contact_type6836 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/client_contact_type" }) }) });
    var title6837 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name6838 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name6839 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name6840 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender6841 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date6842 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var age_disp6843 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp6843 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      city6822.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6822.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6824.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6821 !== 'undefined' && country6821.on('change',Lino.chooser_handler(city6822,'country'));
      typeof region6824 !== 'undefined' && region6824.on('change',Lino.chooser_handler(city6822,'region'));
      typeof country6821 !== 'undefined' && country6821.on('change',Lino.chooser_handler(region6824,'country'));
      Lino.contacts.Persons.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.name_column) ") }, "sortable": false, "tooltip": "(contacts.Persons.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.address_column) ") }, "sortable": false, "tooltip": "(contacts.Persons.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email6812, "filter": { "type": "string" }, "header": "e-mail address", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone6813, "filter": { "type": "string" }, "header": "Phone", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm6814, "filter": { "type": "string" }, "header": "Mobile", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6815, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language6816, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url6817, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax6818, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country6821, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6822, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6823, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region6824, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr16825, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6826, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street6827, "filter": { "type": "string" }, "header": "Street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no6828, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box6829, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr26830, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix6831, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name6832, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": true, "editor": remarks6833, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity6835, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6836, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "title", "editable": true, "editor": title6837, "filter": { "type": "string" }, "header": "Title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.title) Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".") }, "sortable": true, "tooltip": "Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".", "width": Lino.chars2width(22) }, { "colIndex": 28, "dataIndex": "first_name", "editable": true, "editor": first_name6838, "filter": { "type": "string" }, "header": "First name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "middle_name", "editable": true, "editor": middle_name6839, "filter": { "type": "string" }, "header": "Middle name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "last_name", "editable": true, "editor": last_name6840, "filter": { "type": "string" }, "header": "Last name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 31, "dataIndex": "gender", "editable": true, "editor": gender6841, "filter": { "options": [ "Male", "Female" ], "type": "list" }, "header": "Gender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 32, "dataIndex": "birth_date", "editable": true, "editor": birth_date6842, "filter": { "type": "string" }, "header": "Birth date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 33, "dataIndex": "age", "editable": false, "header": "Age", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "age", "editable": false, "header": "Age", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) } ];
    Lino.contacts.Persons.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Persons.insertPanel = Ext.extend(Lino.contacts.Persons.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/contacts/Persons",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    Lino.contacts.Persons.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.insertPanel(p);
});
Lino.contacts.Persons.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Persons.detailPanel = Ext.extend(Lino.contacts.Persons.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Person.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/contacts/Persons",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    Lino.contacts.Persons.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.detailPanel(p);
});
Lino.contacts.Persons.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Persons" };
  p.params_panel = new Lino.contacts.Persons.ParamsPanel({});
  return new Lino.contacts.Persons.GridPanel(p);
});
Lino.contacts.Persons.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.Companies
Lino.contacts.Companies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Companies",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "type" }, 'typeHidden', { "name": "vat_id" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Organization.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Organizations",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    var ww = this.containing_window;
    var name_column_disp6847 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp6848 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email6849 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone6850 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6851 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6852 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language6853 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var url6854 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6855 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6856 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6857 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6858 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/country" }) }) });
    var city6859 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/city" }) }) });
    var zip_code6860 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6861 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/region" }) }) });
    var addr16862 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6863 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6864 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6865 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6866 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26867 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6868 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name6869 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6870 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete6871 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6872 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/activity" }) }) });
    var client_contact_type6873 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/client_contact_type" }) }) });
    var type6874 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Legal form...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var vat_id6875 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city6859.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6859.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6861.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6858 !== 'undefined' && country6858.on('change',Lino.chooser_handler(city6859,'country'));
      typeof region6861 !== 'undefined' && region6861.on('change',Lino.chooser_handler(city6859,'region'));
      typeof country6858 !== 'undefined' && country6858.on('change',Lino.chooser_handler(region6861,'country'));
      Lino.contacts.Companies.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.name_column) ") }, "sortable": false, "tooltip": "(contacts.Companies.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.address_column) ") }, "sortable": false, "tooltip": "(contacts.Companies.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email6849, "filter": { "type": "string" }, "header": "e-mail address", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone6850, "filter": { "type": "string" }, "header": "Phone", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm6851, "filter": { "type": "string" }, "header": "Mobile", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6852, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language6853, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url6854, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax6855, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country6858, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6859, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6860, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region6861, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr16862, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6863, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street6864, "filter": { "type": "string" }, "header": "Street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no6865, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box6866, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr26867, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix6868, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name6869, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": true, "editor": remarks6870, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity6872, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6873, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "type", "editable": true, "editor": type6874, "filter": { "type": "string" }, "header": "Legal form", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.type) Pointer to the CompanyType.") }, "sortable": false, "tooltip": "Pointer to the CompanyType.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "vat_id", "editable": true, "editor": vat_id6875, "filter": { "type": "string" }, "header": "VAT id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.vat_id) The VAT id used to identify this business partner.") }, "sortable": true, "tooltip": "The VAT id used to identify this business partner.", "width": Lino.chars2width(22) } ];
    Lino.contacts.Companies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Companies.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/contacts/Companies",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    Lino.contacts.Companies.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.insertPanel(p);
});
Lino.contacts.Companies.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Companies.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Organization.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/contacts/Companies",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    Lino.contacts.Companies.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.detailPanel(p);
});
Lino.contacts.Companies.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Companies" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.Companies.GridPanel(p);
});
Lino.contacts.Companies.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notify.Messages
Lino.notify.Messages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/Messages",
  ls_store_fields : [ { "name": "created" }, { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "seen" }, { "name": "sent" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "message_type" }, 'message_typeHidden', { "name": "body" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 14,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "mark_all_seen", "menu_item_text": "Mark all as seen", "overflowText": "Mark all as seen", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','mark_all_seen','POST',null), "text": " <font size=\"4\">\u2713</font>", "tooltip": "Mark all messages as seen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Notification messages",
  initComponent : function() {
    var ww = this.containing_window;
    var created6879 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject6880 = new Ext.form.TextField({ "disabled": true, "maxLength": 250 });
    var user6881 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var seen6882 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var sent6883 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var id6884 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type6885 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/owner_type" }) }) });
    var owner_id6886 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/owner_id" }) }) });
    var message_type6887 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MessageTypes });
    var body6888 = new Lino.RichTextPanel({ "containing_panel": this, "disabled": true, "hidden": true, "title": "Body" });
    var mail_mode6889 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var owner_disp6890 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6886.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body6888.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type6885 !== 'undefined' && owner_type6885.on('change',Lino.chooser_handler(owner_id6886,'owner_type'));
      Lino.notify.Messages.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "created", "editable": false, "header": "Created", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.created) Timestamp of when this message has been emitted.") }, "sortable": true, "tooltip": "Timestamp of when this message has been emitted.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": false, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.subject) The subject of this message. See Subject and body of a notification\nmessage.") }, "sortable": true, "tooltip": "The subject of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": false, "filter": { "type": "string" }, "header": "Recipient", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.user) The recipient of this message. The site user to whom this\nmessage is to be delivered.") }, "sortable": false, "tooltip": "The recipient of this message. The site user to whom this\nmessage is to be delivered.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "seen", "editable": false, "header": "seen", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.seen) Timestamp of when the recipient of this message has marked it as seen.") }, "sortable": true, "tooltip": "Timestamp of when the recipient of this message has marked it as seen.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.sent) Timestamp of when this message has been sent via email to its recipient.") }, "sortable": true, "tooltip": "Timestamp of when this message has been sent via email to its recipient.", "width": Lino.chars2width(17) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6884, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type6885, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id6886, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "message_type", "editable": true, "editor": message_type6887, "filter": { "options": [ "System event", "Change", "Calendar Event", "Reception", "Coachings", "Notes" ], "type": "list" }, "header": "Message Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.message_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "body", "editable": false, "filter": { "type": "string" }, "header": "Body", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.body) The body of this message. See Subject and body of a notification\nmessage.") }, "sortable": false, "tooltip": "The body of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode6889, "filter": { "options": [ "Silent", "No mails", "Mail often", "Daily email digest", "Weekly email digest" ], "type": "list" }, "header": "Notification mode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(23) }, { "colIndex": 11, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner) The owner of this message.  Expresses what this message is about.") }, "sortable": false, "tooltip": "The owner of this message.  Expresses what this message is about.", "width": Lino.chars2width(11) } ];
    Lino.notify.Messages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.Messages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.clear_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "clear_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/Messages" };
  p.params_panel = new Lino.notify.Messages.ParamsPanel({});
  return new Lino.notify.Messages.GridPanel(p);
});
Lino.notify.Messages.mark_all_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "POST", pk, "mark_all_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.mark_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "mark_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notify.MyMessages
Lino.notify.MyMessages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MyMessages",
  ls_store_fields : [ { "name": "created" }, { "name": "subject" }, { "name": "message_type" }, 'message_typeHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "seen" }, { "name": "sent" }, { "name": "body" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 14,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "mark_all_seen", "menu_item_text": "Mark all as seen", "overflowText": "Mark all as seen", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','mark_all_seen','POST',null), "text": " <font size=\"4\">\u2713</font>", "tooltip": "Mark all messages as seen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Notification messages",
  initComponent : function() {
    var ww = this.containing_window;
    var created6904 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject6905 = new Ext.form.TextField({ "disabled": true, "maxLength": 250 });
    var message_type6906 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.notify.MessageTypes });
    var workflow_buttons_disp6907 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6908 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user6909 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var owner_type6910 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/MyMessages/owner_type" }) }) });
    var owner_id6911 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/MyMessages/owner_id" }) }) });
    var seen6912 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var sent6913 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var body6914 = new Lino.RichTextPanel({ "containing_panel": this, "disabled": true, "hidden": true, "title": "Body" });
    var mail_mode6915 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var owner_disp6916 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6911.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body6914.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type6910 !== 'undefined' && owner_type6910.on('change',Lino.chooser_handler(owner_id6911,'owner_type'));
      Lino.notify.MyMessages.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "created", "editable": false, "header": "Created", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.created) Timestamp of when this message has been emitted.") }, "sortable": true, "tooltip": "Timestamp of when this message has been emitted.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": false, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.subject) The subject of this message. See Subject and body of a notification\nmessage.") }, "sortable": true, "tooltip": "The subject of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "message_type", "editable": true, "editor": message_type6906, "filter": { "options": [ "System event", "Change", "Calendar Event", "Reception", "Coachings", "Notes" ], "type": "list" }, "header": "Message Type", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.message_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6908, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": false, "filter": { "type": "string" }, "header": "Recipient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.user) The recipient of this message. The site user to whom this\nmessage is to be delivered.") }, "sortable": false, "tooltip": "The recipient of this message. The site user to whom this\nmessage is to be delivered.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type6910, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id6911, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "seen", "editable": false, "header": "seen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.seen) Timestamp of when the recipient of this message has marked it as seen.") }, "sortable": true, "tooltip": "Timestamp of when the recipient of this message has marked it as seen.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "sent", "editable": false, "header": "sent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.sent) Timestamp of when this message has been sent via email to its recipient.") }, "sortable": true, "tooltip": "Timestamp of when this message has been sent via email to its recipient.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "body", "editable": false, "filter": { "type": "string" }, "header": "Body", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.body) The body of this message. See Subject and body of a notification\nmessage.") }, "sortable": false, "tooltip": "The body of this message. See Subject and body of a notification\nmessage.", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode6915, "filter": { "options": [ "Silent", "No mails", "Mail often", "Daily email digest", "Weekly email digest" ], "type": "list" }, "header": "Notification mode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(23) }, { "colIndex": 12, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner) The owner of this message.  Expresses what this message is about.") }, "sortable": false, "tooltip": "The owner of this message.  Expresses what this message is about.", "width": Lino.chars2width(11) } ];
    Lino.notify.MyMessages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MyMessages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.clear_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "clear_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MyMessages" };
  p.params_panel = new Lino.notify.Messages.ParamsPanel({});
  return new Lino.notify.MyMessages.GridPanel(p);
});
Lino.notify.MyMessages.mark_all_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "POST", pk, "mark_all_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.mark_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "mark_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class checkdata.Messages
Lino.checkdata.Messages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/Messages",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 16,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/checkdata/Messages','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Data problem messages",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.Messages.detail;
    var ww = this.containing_window;
    var user6920 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Messages/user" }) }) });
    var owner_disp6921 = new Ext.form.DisplayField({ "disabled": true });
    var message6922 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker6923 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var id6924 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type6925 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Messages/owner_type" }) }) });
    var owner_id6926 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Messages/owner_id" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type6925 !== 'undefined' && owner_type6925.on('change',Lino.chooser_handler(owner_id6926,'owner_type'));
      Lino.checkdata.Messages.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6920, "filter": { "type": "string" }, "header": "Responsible", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Messages.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Database object", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Messages.owner) ") }, "sortable": false, "tooltip": "(checkdata.Messages.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message6922, "filter": { "type": "string" }, "header": "Message text", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Messages.message) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(51) }, { "colIndex": 3, "dataIndex": "checker", "editable": true, "editor": checker6923, "filter": { "options": [ "Check for missing or non-primary address records", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Check for conflicting calendar entries", "Entries without participants", "Too long-lasting calendar entries", "Obsolete generated calendar entries", "Check coachings", "Check data of geographical places.", "Check for overlapping contracts", "Check for previewables needing update", "Check for missing phonetic words", "Check for missing target files", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Messages.checker) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6924, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Messages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type6925, "filter": { "type": "string" }, "header": "Database object (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Messages.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id6926, "filter": { "type": "string" }, "header": "Database object (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Messages.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.checkdata.Messages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.Messages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Messages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Messages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Messages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Messages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Messages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Messages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Messages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.Messages.detailPanel = Ext.extend(Lino.checkdata.Messages.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/checkdata/Messages','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/Messages",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.Messages.detail;
    Lino.checkdata.Messages.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.Messages.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/Messages" };
  return new Lino.checkdata.Messages.detailPanel(p);
});
Lino.checkdata.Messages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/Messages" };
  p.params_panel = new Lino.checkdata.Messages.ParamsPanel({});
  return new Lino.checkdata.Messages.GridPanel(p);
});
Lino.checkdata.Messages.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Messages", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Messages.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Messages", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Messages.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Messages", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class checkdata.MyMessages
Lino.checkdata.MyMessages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/MyMessages",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 16,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyMessages','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Data problem messages assigned to me",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MyMessages.detail;
    var ww = this.containing_window;
    var user6930 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyMessages/user" }) }) });
    var owner_disp6931 = new Ext.form.DisplayField({ "disabled": true });
    var message6932 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker6933 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var id6934 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type6935 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyMessages/owner_type" }) }) });
    var owner_id6936 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyMessages/owner_id" }) }) });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type6935 !== 'undefined' && owner_type6935.on('change',Lino.chooser_handler(owner_id6936,'owner_type'));
      Lino.checkdata.MyMessages.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6930, "filter": { "type": "string" }, "header": "Responsible", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyMessages.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Database object", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyMessages.owner) ") }, "sortable": false, "tooltip": "(checkdata.MyMessages.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message6932, "filter": { "type": "string" }, "header": "Message text", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyMessages.message) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(51) }, { "colIndex": 3, "dataIndex": "checker", "editable": true, "editor": checker6933, "filter": { "options": [ "Check for missing or non-primary address records", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Check for conflicting calendar entries", "Entries without participants", "Too long-lasting calendar entries", "Obsolete generated calendar entries", "Check coachings", "Check data of geographical places.", "Check for overlapping contracts", "Check for previewables needing update", "Check for missing phonetic words", "Check for missing target files", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyMessages.checker) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6934, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyMessages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type6935, "filter": { "type": "string" }, "header": "Database object (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyMessages.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id6936, "filter": { "type": "string" }, "header": "Database object (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyMessages.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.checkdata.MyMessages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MyMessages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyMessages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyMessages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyMessages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyMessages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyMessages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyMessages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyMessages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.MyMessages.detailPanel = Ext.extend(Lino.checkdata.Messages.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyMessages','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/MyMessages",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MyMessages.detail;
    Lino.checkdata.MyMessages.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MyMessages.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MyMessages" };
  return new Lino.checkdata.MyMessages.detailPanel(p);
});
Lino.checkdata.MyMessages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MyMessages" };
  p.params_panel = new Lino.checkdata.Messages.ParamsPanel({});
  return new Lino.checkdata.MyMessages.GridPanel(p);
});
Lino.checkdata.MyMessages.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyMessages", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyMessages.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyMessages", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyMessages.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyMessages", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.Excerpts
Lino.excerpts.Excerpts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/Excerpts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "company" }, 'companyHidden', { "name": "language" }, 'languageHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 19,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Excerpts",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.Excerpts.detail;
    var ww = this.containing_window;
    var id6940 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var excerpt_type6941 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Excerpt Type...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var owner_disp6942 = new Ext.form.DisplayField({ "disabled": true });
    var project6943 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var company6944 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var language6945 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var build_time6946 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var build_method6947 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user6948 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }) });
    var owner_type6949 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/owner_type" }) }) });
    var owner_id6950 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/owner_id" }) }) });
    var contact_person6951 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var contact_role6952 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_role" }) }) });
    this.before_row_edit = function(record) {
      excerpt_type6941.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id6950.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6951.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp6942 !== 'undefined' && owner_disp6942.on('change',Lino.chooser_handler(excerpt_type6941,'owner'));
      typeof owner_type6949 !== 'undefined' && owner_type6949.on('change',Lino.chooser_handler(owner_id6950,'owner_type'));
      typeof company6944 !== 'undefined' && company6944.on('change',Lino.chooser_handler(contact_person6951,'company'));
      Lino.excerpts.Excerpts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6940, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type6941, "filter": { "type": "string" }, "header": "Excerpt Type", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "owner", "editable": false, "header": "Controlled by", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "project", "editable": true, "editor": project6943, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "company", "editable": true, "editor": company6944, "filter": { "type": "string" }, "header": "Recipient (Organization)", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language6945, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "build_time", "editable": false, "header": "build time", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "build_method", "editable": true, "editor": build_method6947, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user6948, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type6949, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id6950, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person6951, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role6952, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) } ];
    Lino.excerpts.Excerpts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Excerpts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.Excerpts.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/excerpts/Excerpts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.Excerpts.detail;
    Lino.excerpts.Excerpts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Excerpts.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Excerpts" };
  return new Lino.excerpts.Excerpts.detailPanel(p);
});
Lino.excerpts.Excerpts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Excerpts" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.Excerpts.GridPanel(p);
});
Lino.excerpts.Excerpts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.MyExcerpts
Lino.excerpts.MyExcerpts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/MyExcerpts",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "language" }, 'languageHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 19,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Excerpts",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.MyExcerpts.detail;
    var ww = this.containing_window;
    var build_time6956 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type6957 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Excerpt Type...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/excerpt_type" }) }) });
    var project6958 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/project" }) }) });
    var id6959 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method6960 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user6961 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/user" }) }) });
    var owner_type6962 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/owner_type" }) }) });
    var owner_id6963 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/owner_id" }) }) });
    var contact_person6964 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/contact_person" }) }) });
    var contact_role6965 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/contact_role" }) }) });
    var company6966 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/company" }) }) });
    var language6967 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var owner_disp6968 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      excerpt_type6957.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id6963.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6964.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp6968 !== 'undefined' && owner_disp6968.on('change',Lino.chooser_handler(excerpt_type6957,'owner'));
      typeof owner_type6962 !== 'undefined' && owner_type6962.on('change',Lino.chooser_handler(owner_id6963,'owner_type'));
      typeof company6966 !== 'undefined' && company6966.on('change',Lino.chooser_handler(contact_person6964,'company'));
      Lino.excerpts.MyExcerpts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "build time", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type6957, "filter": { "type": "string" }, "header": "Excerpt Type", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project6958, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id6959, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "build_method", "editable": true, "editor": build_method6960, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user6961, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type6962, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id6963, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person6964, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role6965, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company6966, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language6967, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) } ];
    Lino.excerpts.MyExcerpts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.MyExcerpts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.MyExcerpts.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/excerpts/MyExcerpts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.MyExcerpts.detail;
    Lino.excerpts.MyExcerpts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.MyExcerpts.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/MyExcerpts" };
  return new Lino.excerpts.MyExcerpts.detailPanel(p);
});
Lino.excerpts.MyExcerpts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/MyExcerpts" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.MyExcerpts.GridPanel(p);
});
Lino.excerpts.MyExcerpts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.Uploads
Lino.uploads.Uploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/Uploads",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 22,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload files",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    var ww = this.containing_window;
    var user6972 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }) });
    var project6973 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var type6974 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Upload type...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var file6975 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date6976 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6977 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed6978 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp6979 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6980 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype6981 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size6982 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type6983 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/owner_type" }) }) });
    var owner_id6984 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/owner_id" }) }) });
    var contact_person6985 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_person" }) }) });
    var contact_role6986 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_role" }) }) });
    var company6987 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/company" }) }) });
    var upload_area6988 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume6989 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Library volume...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/volume" }) }) });
    var library_file6990 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/library_file" }) }) });
    var description6991 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark6992 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp6993 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type6974.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id6984.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6985.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file6990.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area6988 !== 'undefined' && upload_area6988.on('change',Lino.chooser_handler(type6974,'upload_area'));
      typeof owner_type6983 !== 'undefined' && owner_type6983.on('change',Lino.chooser_handler(owner_id6984,'owner_type'));
      typeof company6987 !== 'undefined' && company6987.on('change',Lino.chooser_handler(contact_person6985,'company'));
      typeof volume6989 !== 'undefined' && volume6989.on('change',Lino.chooser_handler(library_file6990,'volume'));
      Lino.uploads.Uploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6972, "filter": { "type": "string" }, "header": "Uploaded by", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6973, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type6974, "filter": { "type": "string" }, "header": "Upload type", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file6975, "filter": { "type": "string" }, "header": "File", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date6976, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid from", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date6977, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid until", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "Needed", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6980, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type6983, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id6984, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person6985, "filter": { "type": "string" }, "header": "Issued by (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role6986, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "company", "editable": true, "editor": company6987, "filter": { "type": "string" }, "header": "Issued by (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area6988, "filter": { "options": [ "Contract", "General" ], "type": "list" }, "header": "Upload area", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume6989, "filter": { "type": "string" }, "header": "Library volume", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file6990, "filter": { "type": "string" }, "header": "Library file", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description6991, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark6992, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner) ") }, "sortable": false, "tooltip": "(uploads.Uploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.Uploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.Uploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/uploads/Uploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    Lino.uploads.Uploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/Uploads" };
  return new Lino.uploads.Uploads.insertPanel(p);
});
Lino.uploads.Uploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.Uploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/uploads/Uploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    Lino.uploads.Uploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Uploads" };
  return new Lino.uploads.Uploads.detailPanel(p);
});
Lino.uploads.Uploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Uploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.Uploads.GridPanel(p);
});
Lino.uploads.Uploads.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.MyUploads
Lino.uploads.MyUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/MyUploads",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "file" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 22,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Upload files",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    var ww = this.containing_window;
    var id6997 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project6998 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/project" }) }) });
    var type6999 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Upload type...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/type" }) }) });
    var start_date7000 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7001 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed7002 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp7003 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var file7004 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var mimetype7005 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size7006 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var user7007 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/user" }) }) });
    var owner_type7008 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/owner_type" }) }) });
    var owner_id7009 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/owner_id" }) }) });
    var contact_person7010 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/contact_person" }) }) });
    var contact_role7011 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/contact_role" }) }) });
    var company7012 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/company" }) }) });
    var upload_area7013 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume7014 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Library volume...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/volume" }) }) });
    var library_file7015 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/library_file" }) }) });
    var description7016 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark7017 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp7018 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type6999.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id7009.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7010.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file7015.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area7013 !== 'undefined' && upload_area7013.on('change',Lino.chooser_handler(type6999,'upload_area'));
      typeof owner_type7008 !== 'undefined' && owner_type7008.on('change',Lino.chooser_handler(owner_id7009,'owner_type'));
      typeof company7012 !== 'undefined' && company7012.on('change',Lino.chooser_handler(contact_person7010,'company'));
      typeof volume7014 !== 'undefined' && volume7014.on('change',Lino.chooser_handler(library_file7015,'volume'));
      Lino.uploads.MyUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6997, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6998, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type6999, "filter": { "type": "string" }, "header": "Upload type", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date7000, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid from", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date7001, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid until", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "Needed", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "description_link", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "file", "editable": true, "editor": file7004, "filter": { "type": "string" }, "header": "File", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user7007, "filter": { "type": "string" }, "header": "Uploaded by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type7008, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id7009, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person7010, "filter": { "type": "string" }, "header": "Issued by (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role7011, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "company", "editable": true, "editor": company7012, "filter": { "type": "string" }, "header": "Issued by (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area7013, "filter": { "options": [ "Contract", "General" ], "type": "list" }, "header": "Upload area", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume7014, "filter": { "type": "string" }, "header": "Library volume", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file7015, "filter": { "type": "string" }, "header": "Library file", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description7016, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark7017, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.MyUploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.MyUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/uploads/MyUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    Lino.uploads.MyUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  return new Lino.uploads.MyUploads.insertPanel(p);
});
Lino.uploads.MyUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/uploads/MyUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    Lino.uploads.MyUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  return new Lino.uploads.MyUploads.detailPanel(p);
});
Lino.uploads.MyUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.MyUploads.GridPanel(p);
});
Lino.uploads.MyUploads.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.AreaUploads
Lino.uploads.AreaUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/AreaUploads",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 22,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload files",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    var ww = this.containing_window;
    var user7022 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/user" }) }) });
    var project7023 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/project" }) }) });
    var type7024 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Upload type...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/type" }) }) });
    var file7025 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date7026 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7027 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed7028 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp7029 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7030 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype7031 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size7032 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type7033 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/owner_type" }) }) });
    var owner_id7034 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/owner_id" }) }) });
    var contact_person7035 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/contact_person" }) }) });
    var contact_role7036 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/contact_role" }) }) });
    var company7037 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/company" }) }) });
    var upload_area7038 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume7039 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Library volume...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/volume" }) }) });
    var library_file7040 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/library_file" }) }) });
    var description7041 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark7042 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp7043 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type7024.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id7034.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7035.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file7040.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area7038 !== 'undefined' && upload_area7038.on('change',Lino.chooser_handler(type7024,'upload_area'));
      typeof owner_type7033 !== 'undefined' && owner_type7033.on('change',Lino.chooser_handler(owner_id7034,'owner_type'));
      typeof company7037 !== 'undefined' && company7037.on('change',Lino.chooser_handler(contact_person7035,'company'));
      typeof volume7039 !== 'undefined' && volume7039.on('change',Lino.chooser_handler(library_file7040,'volume'));
      Lino.uploads.AreaUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7022, "filter": { "type": "string" }, "header": "Uploaded by", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7023, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type7024, "filter": { "type": "string" }, "header": "Upload type", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file7025, "filter": { "type": "string" }, "header": "File", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date7026, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid from", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7027, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid until", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "Needed", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7030, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type7033, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id7034, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person7035, "filter": { "type": "string" }, "header": "Issued by (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role7036, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "company", "editable": true, "editor": company7037, "filter": { "type": "string" }, "header": "Issued by (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area7038, "filter": { "options": [ "Contract", "General" ], "type": "list" }, "header": "Upload area", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume7039, "filter": { "type": "string" }, "header": "Library volume", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file7040, "filter": { "type": "string" }, "header": "Library file", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description7041, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark7042, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.AreaUploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.AreaUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.AreaUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/uploads/AreaUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    Lino.uploads.AreaUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  return new Lino.uploads.AreaUploads.insertPanel(p);
});
Lino.uploads.AreaUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.AreaUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/uploads/AreaUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    Lino.uploads.AreaUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  return new Lino.uploads.AreaUploads.detailPanel(p);
});
Lino.uploads.AreaUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.AreaUploads.GridPanel(p);
});
Lino.uploads.AreaUploads.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.MyExpiringUploads
Lino.uploads.MyExpiringUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/MyExpiringUploads",
  ls_store_fields : [ { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "description_link" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "file" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 22,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My expiring upload files",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    var ww = this.containing_window;
    var project7047 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/project" }) }) });
    var type7048 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Upload type...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/type" }) }) });
    var description_link_disp7049 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user7050 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/user" }) }) });
    var start_date7051 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7052 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed7053 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var id7054 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var file7055 = Lino.file_field_handler(this,{ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var mimetype7056 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size7057 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type7058 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/owner_type" }) }) });
    var owner_id7059 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/owner_id" }) }) });
    var contact_person7060 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/contact_person" }) }) });
    var contact_role7061 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/contact_role" }) }) });
    var company7062 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/company" }) }) });
    var upload_area7063 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume7064 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Library volume...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/volume" }) }) });
    var library_file7065 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/library_file" }) }) });
    var description7066 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark7067 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp7068 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type7048.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id7059.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7060.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file7065.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area7063 !== 'undefined' && upload_area7063.on('change',Lino.chooser_handler(type7048,'upload_area'));
      typeof owner_type7058 !== 'undefined' && owner_type7058.on('change',Lino.chooser_handler(owner_id7059,'owner_type'));
      typeof company7062 !== 'undefined' && company7062.on('change',Lino.chooser_handler(contact_person7060,'company'));
      typeof volume7064 !== 'undefined' && volume7064.on('change',Lino.chooser_handler(library_file7065,'volume'));
      Lino.uploads.MyExpiringUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "project", "editable": true, "editor": project7047, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type7048, "filter": { "type": "string" }, "header": "Upload type", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "description_link", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user7050, "filter": { "type": "string" }, "header": "Uploaded by", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date7051, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid from", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7052, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid until", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "Needed", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7054, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "file", "editable": true, "editor": file7055, "filter": { "type": "string" }, "header": "File", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type7058, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id7059, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person7060, "filter": { "type": "string" }, "header": "Issued by (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role7061, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "company", "editable": true, "editor": company7062, "filter": { "type": "string" }, "header": "Issued by (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area7063, "filter": { "options": [ "Contract", "General" ], "type": "list" }, "header": "Upload area", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume7064, "filter": { "type": "string" }, "header": "Library volume", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file7065, "filter": { "type": "string" }, "header": "Library file", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description7066, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark7067, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.MyExpiringUploads.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.MyExpiringUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyExpiringUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/uploads/MyExpiringUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    Lino.uploads.MyExpiringUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  return new Lino.uploads.MyExpiringUploads.insertPanel(p);
});
Lino.uploads.MyExpiringUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyExpiringUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/uploads/MyExpiringUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    Lino.uploads.MyExpiringUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  return new Lino.uploads.MyExpiringUploads.detailPanel(p);
});
Lino.uploads.MyExpiringUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.MyExpiringUploads.GridPanel(p);
});
Lino.uploads.MyExpiringUploads.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyTasks
Lino.cal.MyTasks.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyTasks",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 37,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Task.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My tasks",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    var ww = this.containing_window;
    var priority7072 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date7073 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary7074 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7075 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7076 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyTasks/project" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority7072, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(14) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date7073, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary7074, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project7076, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.MyTasks.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyTasks.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/MyTasks",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    Lino.cal.MyTasks.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyTasks" };
  return new Lino.cal.MyTasks.insertPanel(p);
});
Lino.cal.MyTasks.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyTasks.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Task.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/MyTasks",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    Lino.cal.MyTasks.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyTasks" };
  return new Lino.cal.MyTasks.detailPanel(p);
});
Lino.cal.MyTasks.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyTasks" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.MyTasks.GridPanel(p);
});
Lino.cal.MyTasks.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.Guests
Lino.cal.Guests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Guests",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "event" }, 'eventHidden', { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Presences",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    var ww = this.containing_window;
    var partner7080 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Partner...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var role7081 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Guest role...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var workflow_buttons_disp7082 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark7083 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event7084 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Calendar entry...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var id7085 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state7086 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since7087 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since7088 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since7089 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner7080, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role7081, "filter": { "type": "string" }, "header": "Role", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark7083, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "event", "editable": true, "editor": event7084, "filter": { "type": "string" }, "header": "Calendar entry", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7085, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state7086, "filter": { "options": [ "Invited", "Accepted", "Rejected", "Present", "Waiting", "Busy", "Gone", "Absent", "Excused" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "waiting_since", "editable": false, "header": "Waiting since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "busy_since", "editable": false, "header": "Waiting until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "gone_since", "editable": false, "header": "Present until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.Guests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Guests.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/Guests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    Lino.cal.Guests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.insertPanel(p);
});
Lino.cal.Guests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Guests.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/Guests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    Lino.cal.Guests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.detailPanel(p);
});
Lino.cal.Guests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Guests" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.Guests.GridPanel(p);
});
Lino.cal.Guests.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyPresences
Lino.cal.MyPresences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyPresences",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "event__start_date", "type": "date" }, { "name": "event__start_time" }, { "name": "event_summary" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "partner" }, 'partnerHidden', { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My presences",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    var ww = this.containing_window;
    var event__start_date7093 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event__start_time7094 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true, "sortable": false, "value": null });
    var event_summary_disp7095 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role7096 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Guest role...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/role" }) }) });
    var workflow_buttons_disp7097 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark7098 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7099 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event7100 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Calendar entry...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/event" }) }) });
    var partner7101 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Partner...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/partner" }) }) });
    var state7102 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since7103 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since7104 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since7105 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__start_date", "editable": true, "editor": event__start_date7093, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event__start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "event__start_time", "editable": true, "editor": event__start_time7094, "header": "Start time", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event__start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_summary", "editable": false, "header": "Calendar entry", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event_summary) ") }, "sortable": false, "tooltip": "(cal.MyPresences.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role7096, "filter": { "type": "string" }, "header": "Role", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark7098, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7099, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "event", "editable": true, "editor": event7100, "filter": { "type": "string" }, "header": "Calendar entry", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "partner", "editable": true, "editor": partner7101, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state7102, "filter": { "options": [ "Invited", "Accepted", "Rejected", "Present", "Waiting", "Busy", "Gone", "Absent", "Excused" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "waiting_since", "editable": false, "header": "Waiting since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "busy_since", "editable": false, "header": "Waiting until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "gone_since", "editable": false, "header": "Present until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.MyPresences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPresences.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/MyPresences",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    Lino.cal.MyPresences.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyPresences" };
  return new Lino.cal.MyPresences.insertPanel(p);
});
Lino.cal.MyPresences.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPresences.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/MyPresences",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    Lino.cal.MyPresences.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPresences" };
  return new Lino.cal.MyPresences.detailPanel(p);
});
Lino.cal.MyPresences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPresences" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyPresences.GridPanel(p);
});
Lino.cal.MyPresences.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyPendingPresences
Lino.cal.MyPendingPresences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyPendingPresences",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My pending invitations",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    var ww = this.containing_window;
    var event__when_text_disp7109 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var role7110 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Guest role...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPendingPresences/role" }) }) });
    var workflow_buttons_disp7111 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark7112 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": true, "editor": event__when_text_disp7109, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.event__when_text) Shows the start date and time of the calendar entry.") }, "sortable": true, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role7110, "filter": { "type": "string" }, "header": "Role", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark7112, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cal.MyPendingPresences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPendingPresences.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/MyPendingPresences",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    Lino.cal.MyPendingPresences.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  return new Lino.cal.MyPendingPresences.insertPanel(p);
});
Lino.cal.MyPendingPresences.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPendingPresences.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/MyPendingPresences",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    Lino.cal.MyPendingPresences.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  return new Lino.cal.MyPendingPresences.detailPanel(p);
});
Lino.cal.MyPendingPresences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyPendingPresences.GridPanel(p);
});
Lino.cal.MyPendingPresences.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyGuests
Lino.cal.MyGuests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyGuests",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "event__start_date", "type": "date" }, { "name": "event__start_time" }, { "name": "event_summary" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "partner" }, 'partnerHidden', { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My guests",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    var ww = this.containing_window;
    var event__start_date7116 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event__start_time7117 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true, "sortable": false, "value": null });
    var event_summary_disp7118 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role7119 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Guest role...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/role" }) }) });
    var workflow_buttons_disp7120 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark7121 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7122 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event7123 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Calendar entry...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/event" }) }) });
    var partner7124 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Partner...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/partner" }) }) });
    var state7125 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since7126 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since7127 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since7128 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__start_date", "editable": true, "editor": event__start_date7116, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event__start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "event__start_time", "editable": true, "editor": event__start_time7117, "header": "Start time", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event__start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_summary", "editable": false, "header": "Calendar entry", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event_summary) ") }, "sortable": false, "tooltip": "(cal.MyGuests.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role7119, "filter": { "type": "string" }, "header": "Role", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark7121, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7122, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "event", "editable": true, "editor": event7123, "filter": { "type": "string" }, "header": "Calendar entry", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "partner", "editable": true, "editor": partner7124, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state7125, "filter": { "options": [ "Invited", "Accepted", "Rejected", "Present", "Waiting", "Busy", "Gone", "Absent", "Excused" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "waiting_since", "editable": false, "header": "Waiting since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "busy_since", "editable": false, "header": "Waiting until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "gone_since", "editable": false, "header": "Present until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.MyGuests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyGuests.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/MyGuests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    Lino.cal.MyGuests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyGuests" };
  return new Lino.cal.MyGuests.insertPanel(p);
});
Lino.cal.MyGuests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyGuests.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/MyGuests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    Lino.cal.MyGuests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyGuests" };
  return new Lino.cal.MyGuests.detailPanel(p);
});
Lino.cal.MyGuests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyGuests" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyGuests.GridPanel(p);
});
Lino.cal.MyGuests.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByDay
Lino.cal.EntriesByDay.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByDay",
  ls_store_fields : [ { "name": "start_time" }, { "name": "project" }, 'projectHidden', { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "room" }, 'roomHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  page_length : 20,
  stripeRows : true,
  title : "Appointments today",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    var ww = this.containing_window;
    var start_time7132 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project7133 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/project" }) }) });
    var summary7134 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user7135 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/user" }) }) });
    var assigned_to7136 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/assigned_to" }) }) });
    var event_type7137 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/event_type" }) }) });
    var room7138 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/room" }) }) });
    var workflow_buttons_disp7139 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7140 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7141 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7142 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7143 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date7144 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7145 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7146 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7147 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type7148 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/owner_type" }) }) });
    var owner_id7149 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/owner_id" }) }) });
    var description7150 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7151 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7152 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7153 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7154 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7155 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7156 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var state7157 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7158 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7159 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7160 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7161 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7149.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7148 !== 'undefined' && owner_type7148.on('change',Lino.chooser_handler(owner_id7149,'owner_type'));
      Lino.cal.EntriesByDay.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_time", "editable": true, "editor": start_time7132, "header": "Start time", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7133, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary7134, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user7135, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7136, "filter": { "type": "string" }, "header": "Assigned to", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "event_type", "editable": true, "editor": event_type7137, "filter": { "type": "string" }, "header": "Calendar entry type", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "room", "editable": true, "editor": room7138, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7140, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "start_date", "editable": true, "editor": start_date7143, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "end_date", "editable": true, "editor": end_date7144, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "end_time", "editable": true, "editor": end_time7145, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 14, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "build_method", "editable": true, "editor": build_method7147, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7148, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7149, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description7150, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class7151, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence7152, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type7153, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority7154, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "Transparent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state7157, "filter": { "options": [ "Suggested", "Draft", "Published", "Took place", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before7158, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7159, "filter": { "options": [ "minutes", "hours", "days", "weeks" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(12) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.EntriesByDay.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByDay.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByDay",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    Lino.cal.EntriesByDay.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  return new Lino.cal.EntriesByDay.insertPanel(p);
});
Lino.cal.EntriesByDay.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByDay.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByDay",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    Lino.cal.EntriesByDay.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  return new Lino.cal.EntriesByDay.detailPanel(p);
});
Lino.cal.EntriesByDay.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByDay.GridPanel(p);
});
Lino.cal.EntriesByDay.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.OneEvent
Lino.cal.OneEvent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/OneEvent",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "event_type" }, 'event_typeHidden', { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Calendar entries",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    var ww = this.containing_window;
    var when_text_disp7165 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user7166 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/user" }) }) });
    var summary7167 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event_type7168 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/event_type" }) }) });
    var id7169 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var modified7170 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7171 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project7172 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/project" }) }) });
    var start_date7173 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7174 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7175 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7176 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7177 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7178 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to7179 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/assigned_to" }) }) });
    var owner_type7180 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/owner_type" }) }) });
    var owner_id7181 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/owner_id" }) }) });
    var description7182 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7183 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7184 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7185 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7186 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7187 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7188 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7189 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/room" }) }) });
    var state7190 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7191 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7192 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7193 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7194 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7181.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7180 !== 'undefined' && owner_type7180.on('change',Lino.chooser_handler(owner_id7181,'owner_type'));
      Lino.cal.OneEvent.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user7166, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary7167, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type7168, "filter": { "type": "string" }, "header": "Calendar entry type", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7169, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project7172, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7173, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7174, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7175, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7176, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7178, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7179, "filter": { "type": "string" }, "header": "Assigned to", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type7180, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id7181, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description7182, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class7183, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence7184, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type7185, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority7186, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "Transparent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room7189, "filter": { "type": "string" }, "header": "Room", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state7190, "filter": { "options": [ "Suggested", "Draft", "Published", "Took place", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before7191, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7192, "filter": { "options": [ "minutes", "hours", "days", "weeks" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(12) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.OneEvent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.OneEvent.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/OneEvent",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    Lino.cal.OneEvent.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/OneEvent" };
  return new Lino.cal.OneEvent.insertPanel(p);
});
Lino.cal.OneEvent.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.OneEvent.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/OneEvent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    Lino.cal.OneEvent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/OneEvent" };
  return new Lino.cal.OneEvent.detailPanel(p);
});
Lino.cal.OneEvent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/OneEvent" };
  p.params_panel = new Lino.cal.OneEvent.ParamsPanel({});
  return new Lino.cal.OneEvent.GridPanel(p);
});
Lino.cal.OneEvent.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyEntries
Lino.cal.MyEntries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyEntries",
  ls_store_fields : [ { "name": "when_text" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My appointments",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    var ww = this.containing_window;
    var when_text_disp7198 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7199 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/project" }) }) });
    var event_type7200 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/event_type" }) }) });
    var summary7201 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7202 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7203 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7204 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7205 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7206 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7207 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7208 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7209 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7210 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7211 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7212 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/user" }) }) });
    var assigned_to7213 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/assigned_to" }) }) });
    var owner_type7214 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/owner_type" }) }) });
    var owner_id7215 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/owner_id" }) }) });
    var description7216 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7217 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7218 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7219 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7220 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7221 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7222 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7223 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/room" }) }) });
    var state7224 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7225 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7226 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7227 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7228 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7215.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7214 !== 'undefined' && owner_type7214.on('change',Lino.chooser_handler(owner_id7215,'owner_type'));
      Lino.cal.MyEntries.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7199, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7200, "filter": { "type": "string" }, "header": "Calendar entry type", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary7201, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7203, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7206, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7207, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7208, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7209, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7211, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user7212, "filter": { "type": "string" }, "header": "Managed by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7213, "filter": { "type": "string" }, "header": "Assigned to", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7214, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7215, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description7216, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class7217, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence7218, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type7219, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority7220, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "Transparent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room7223, "filter": { "type": "string" }, "header": "Room", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state7224, "filter": { "options": [ "Suggested", "Draft", "Published", "Took place", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before7225, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7226, "filter": { "options": [ "minutes", "hours", "days", "weeks" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(12) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyEntries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntries.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntries",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    Lino.cal.MyEntries.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyEntries" };
  return new Lino.cal.MyEntries.insertPanel(p);
});
Lino.cal.MyEntries.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntries.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    Lino.cal.MyEntries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntries" };
  return new Lino.cal.MyEntries.detailPanel(p);
});
Lino.cal.MyEntries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntries" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyEntries.GridPanel(p);
});
Lino.cal.MyEntries.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyEntriesToday
Lino.cal.MyEntriesToday.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyEntriesToday",
  ls_store_fields : [ { "name": "start_time" }, { "name": "end_time" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My appointments today",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    var ww = this.containing_window;
    var start_time7232 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_time7233 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project7234 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/project" }) }) });
    var event_type7235 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/event_type" }) }) });
    var summary7236 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7237 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7238 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7239 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7240 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7241 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date7242 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time7243 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7244 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7245 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/user" }) }) });
    var assigned_to7246 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/assigned_to" }) }) });
    var owner_type7247 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/owner_type" }) }) });
    var owner_id7248 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/owner_id" }) }) });
    var description7249 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7250 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7251 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7252 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7253 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7254 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7255 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7256 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/room" }) }) });
    var state7257 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7258 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7259 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7260 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7261 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7248.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7247 !== 'undefined' && owner_type7247.on('change',Lino.chooser_handler(owner_id7248,'owner_type'));
      Lino.cal.MyEntriesToday.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_time", "editable": true, "editor": start_time7232, "header": "Start time", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 1, "dataIndex": "end_time", "editable": true, "editor": end_time7233, "header": "End Time", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project7234, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type7235, "filter": { "type": "string" }, "header": "Calendar entry type", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "summary", "editable": true, "editor": summary7236, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7238, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date7241, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7242, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method7244, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "user", "editable": true, "editor": user7245, "filter": { "type": "string" }, "header": "Managed by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7246, "filter": { "type": "string" }, "header": "Assigned to", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type7247, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id7248, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description7249, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class7250, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence7251, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type7252, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority7253, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "Transparent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room7256, "filter": { "type": "string" }, "header": "Room", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state7257, "filter": { "options": [ "Suggested", "Draft", "Published", "Took place", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before7258, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7259, "filter": { "options": [ "minutes", "hours", "days", "weeks" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(12) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyEntriesToday.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntriesToday.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntriesToday",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    Lino.cal.MyEntriesToday.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  return new Lino.cal.MyEntriesToday.insertPanel(p);
});
Lino.cal.MyEntriesToday.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntriesToday.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntriesToday",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    Lino.cal.MyEntriesToday.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  return new Lino.cal.MyEntriesToday.detailPanel(p);
});
Lino.cal.MyEntriesToday.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyEntriesToday.GridPanel(p);
});
Lino.cal.MyEntriesToday.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyAssignedEvents
Lino.cal.MyAssignedEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyAssignedEvents",
  ls_store_fields : [ { "name": "when_text" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Appointments assigned to me",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    var ww = this.containing_window;
    var when_text_disp7265 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7266 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/project" }) }) });
    var event_type7267 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/event_type" }) }) });
    var summary7268 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7269 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7270 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7271 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7272 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7273 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7274 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7275 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7276 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7277 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7278 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7279 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/user" }) }) });
    var assigned_to7280 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/assigned_to" }) }) });
    var owner_type7281 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/owner_type" }) }) });
    var owner_id7282 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/owner_id" }) }) });
    var description7283 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7284 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7285 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7286 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7287 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7288 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7289 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7290 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/room" }) }) });
    var state7291 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7292 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7293 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7294 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7295 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7282.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7281 !== 'undefined' && owner_type7281.on('change',Lino.chooser_handler(owner_id7282,'owner_type'));
      Lino.cal.MyAssignedEvents.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7266, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7267, "filter": { "type": "string" }, "header": "Calendar entry type", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary7268, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7270, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7273, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7274, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7275, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7276, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7278, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user7279, "filter": { "type": "string" }, "header": "Managed by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7280, "filter": { "type": "string" }, "header": "Assigned to", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7281, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7282, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description7283, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class7284, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence7285, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type7286, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority7287, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "Transparent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room7290, "filter": { "type": "string" }, "header": "Room", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state7291, "filter": { "options": [ "Suggested", "Draft", "Published", "Took place", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before7292, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7293, "filter": { "options": [ "minutes", "hours", "days", "weeks" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(12) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyAssignedEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyAssignedEvents.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/MyAssignedEvents",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    Lino.cal.MyAssignedEvents.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  return new Lino.cal.MyAssignedEvents.insertPanel(p);
});
Lino.cal.MyAssignedEvents.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyAssignedEvents.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/MyAssignedEvents",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    Lino.cal.MyAssignedEvents.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  return new Lino.cal.MyAssignedEvents.detailPanel(p);
});
Lino.cal.MyAssignedEvents.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyAssignedEvents.GridPanel(p);
});
Lino.cal.MyAssignedEvents.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyOverdueAppointments
Lino.cal.MyOverdueAppointments.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyOverdueAppointments",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "owner" }, { "name": "event_type" }, 'event_typeHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "summary" }, { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  page_length : 20,
  stripeRows : true,
  title : "My overdue appointments",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    var ww = this.containing_window;
    var detail_link_disp7299 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var owner_disp7300 = new Ext.form.DisplayField({ "disabled": true });
    var event_type7301 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/event_type" }) }) });
    var workflow_buttons_disp7302 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7303 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7304 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7305 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project7306 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/project" }) }) });
    var start_date7307 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7308 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7309 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7310 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7311 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7312 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7313 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/user" }) }) });
    var assigned_to7314 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/assigned_to" }) }) });
    var owner_type7315 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/owner_type" }) }) });
    var owner_id7316 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/owner_id" }) }) });
    var summary7317 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var description7318 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7319 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7320 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7321 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7322 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7323 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7324 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7325 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/room" }) }) });
    var state7326 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7327 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7328 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7329 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      owner_id7316.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7315 !== 'undefined' && owner_type7315.on('change',Lino.chooser_handler(owner_id7316,'owner_type'));
      Lino.cal.MyOverdueAppointments.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Calendar entry", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.detail_link) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Controlled by", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7301, "filter": { "type": "string" }, "header": "Calendar entry type", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7303, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project7306, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7307, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7308, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7309, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7310, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7312, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user7313, "filter": { "type": "string" }, "header": "Managed by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7314, "filter": { "type": "string" }, "header": "Assigned to", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7315, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7316, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "summary", "editable": true, "editor": summary7317, "filter": { "type": "string" }, "header": "Short description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description7318, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "access_class", "editable": true, "editor": access_class7319, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 21, "dataIndex": "sequence", "editable": true, "editor": sequence7320, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 22, "dataIndex": "auto_type", "editable": true, "editor": auto_type7321, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 23, "dataIndex": "priority", "editable": true, "editor": priority7322, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 24, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "Transparent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 26, "dataIndex": "room", "editable": true, "editor": room7325, "filter": { "type": "string" }, "header": "Room", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "state", "editable": true, "editor": state7326, "filter": { "options": [ "Suggested", "Draft", "Published", "Took place", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 28, "dataIndex": "notify_before", "editable": true, "editor": notify_before7327, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 29, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7328, "filter": { "options": [ "minutes", "hours", "days", "weeks" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(12) }, { "colIndex": 30, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cal.MyOverdueAppointments.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyOverdueAppointments.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/MyOverdueAppointments",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    Lino.cal.MyOverdueAppointments.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  return new Lino.cal.MyOverdueAppointments.insertPanel(p);
});
Lino.cal.MyOverdueAppointments.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyOverdueAppointments.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/MyOverdueAppointments",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    Lino.cal.MyOverdueAppointments.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  return new Lino.cal.MyOverdueAppointments.detailPanel(p);
});
Lino.cal.MyOverdueAppointments.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.MyOverdueAppointments.GridPanel(p);
});
Lino.cal.MyOverdueAppointments.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyUnconfirmedAppointments
Lino.cal.MyUnconfirmedAppointments.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyUnconfirmedAppointments",
  ls_store_fields : [ { "name": "when_html" }, { "name": "project" }, 'projectHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  page_length : 20,
  stripeRows : true,
  title : "My unconfirmed appointments",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    var ww = this.containing_window;
    var when_html_disp7333 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7334 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/project" }) }) });
    var summary7335 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7336 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7337 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7338 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7339 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7340 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7341 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7342 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7343 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7344 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7345 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7346 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/user" }) }) });
    var assigned_to7347 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/assigned_to" }) }) });
    var owner_type7348 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/owner_type" }) }) });
    var owner_id7349 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/owner_id" }) }) });
    var description7350 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7351 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7352 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7353 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7354 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type7355 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/event_type" }) }) });
    var transparent7356 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited7357 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7358 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/room" }) }) });
    var state7359 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before7360 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit7361 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified7362 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp7363 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id7349.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type7348 !== 'undefined' && owner_type7348.on('change',Lino.chooser_handler(owner_id7349,'owner_type'));
      Lino.cal.MyUnconfirmedAppointments.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_html", "editable": false, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.when_html) Shows the date and time of the calendar entry with a link that\nopens all entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the calendar entry with a link that\nopens all entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7334, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary7335, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7337, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "start_date", "editable": true, "editor": start_date7340, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time7341, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "end_date", "editable": true, "editor": end_date7342, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_time", "editable": true, "editor": end_time7343, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method7345, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "user", "editable": true, "editor": user7346, "filter": { "type": "string" }, "header": "Managed by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7347, "filter": { "type": "string" }, "header": "Assigned to", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type7348, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id7349, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description7350, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class7351, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence7352, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type7353, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority7354, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type7355, "filter": { "type": "string" }, "header": "Calendar entry type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "Transparent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room7358, "filter": { "type": "string" }, "header": "Room", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state7359, "filter": { "options": [ "Suggested", "Draft", "Published", "Took place", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before7360, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit7361, "filter": { "options": [ "minutes", "hours", "days", "weeks" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(12) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.MyUnconfirmedAppointments.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyUnconfirmedAppointments.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/MyUnconfirmedAppointments",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    Lino.cal.MyUnconfirmedAppointments.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  return new Lino.cal.MyUnconfirmedAppointments.insertPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyUnconfirmedAppointments.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/MyUnconfirmedAppointments",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    Lino.cal.MyUnconfirmedAppointments.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  return new Lino.cal.MyUnconfirmedAppointments.detailPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyUnconfirmedAppointments.GridPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class extensible.PanelCalendars
Lino.extensible.PanelCalendars.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/extensible/PanelCalendars",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "summary" }, { "name": "description" }, { "name": "color", "type": "int", "useNull": true }, { "name": "is_hidden", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 29,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of extensible.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Calendars",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    var ww = this.containing_window;
    var id7367 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var summary_disp7368 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var description7369 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Description" });
    var color7370 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true });
    var is_hidden_disp7371 = new Ext.form.DisplayField({ "disabled": true });
    this.before_row_edit = function(record) {
      description7369.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7367, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "summary", "editable": false, "header": "summary", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.summary) ") }, "sortable": false, "tooltip": "(extensible.PanelCalendars.summary) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "description", "editable": true, "editor": description7369, "filter": { "type": "string" }, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "color", "editable": true, "editor": color7370, "filter": { "type": "numeric" }, "format": "0", "header": "color", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "sortable": true, "tooltip": "The color to use for entries of this calendar (in\nlino_xl.lib.extensible).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "is_hidden", "editable": false, "header": "Hidden", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.is_hidden) ") }, "sortable": false, "tooltip": "(extensible.PanelCalendars.is_hidden) ", "width": Lino.chars2width(21) } ];
    Lino.extensible.PanelCalendars.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelCalendars.insertPanel = Ext.extend(Lino.cal.Calendars.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelCalendars",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    Lino.extensible.PanelCalendars.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.insertPanel(p);
});
Lino.extensible.PanelCalendars.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelCalendars.detailPanel = Ext.extend(Lino.cal.Calendars.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelCalendars",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    Lino.extensible.PanelCalendars.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.detailPanel(p);
});
Lino.extensible.PanelCalendars.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.GridPanel(p);
});
Lino.extensible.PanelCalendars.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class extensible.PanelEvents
Lino.extensible.PanelEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/extensible/PanelEvents",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "start_dt" }, { "name": "end_dt" }, { "name": "summary" }, { "name": "description" }, { "name": "user" }, 'userHidden', { "name": "room" }, 'roomHidden', { "name": "calendar" }, 'calendarHidden', { "name": "url" }, { "name": "all_day", "type": "boolean" }, { "name": "reminder" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Calendar entries",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    var ww = this.containing_window;
    var id7375 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_dt7376 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var end_dt7377 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var summary7378 = new Ext.form.TextField({ "allowBlank": false, "selectOnFocus": true });
    var description7379 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var user7380 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/extensible/PanelEvents/user" }) }) });
    var room7381 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/extensible/PanelEvents/room" }) }) });
    var calendar7382 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Calendar...", "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var url_disp7383 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var all_day7384 = new Ext.form.Checkbox({ "allowBlank": false, "selectOnFocus": true });
    var reminder_disp7385 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7375, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_dt", "editable": true, "editor": start_dt7376, "header": "Start", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.start_dt) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.start_dt) ", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "end_dt", "editable": true, "editor": end_dt7377, "header": "End", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.end_dt) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.end_dt) ", "width": Lino.chars2width(17) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary7378, "header": "Summary", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.summary) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.summary) ", "width": Lino.chars2width(5) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description7379, "filter": { "type": "string" }, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7380, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "room", "editable": true, "editor": room7381, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "calendar", "editable": false, "header": "Calendar", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.calendar) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "url", "editable": false, "header": "Link URL", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.url) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.url) ", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "all_day", "editable": true, "header": "all day", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.all_day) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "reminder", "editable": false, "header": "Reminder", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.reminder) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.reminder) ", "width": Lino.chars2width(31) } ];
    Lino.extensible.PanelEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelEvents.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelEvents",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    Lino.extensible.PanelEvents.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  return new Lino.extensible.PanelEvents.insertPanel(p);
});
Lino.extensible.PanelEvents.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelEvents.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelEvents",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    Lino.extensible.PanelEvents.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  return new Lino.extensible.PanelEvents.detailPanel(p);
});
Lino.extensible.PanelEvents.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.extensible.PanelEvents.GridPanel(p);
});
Lino.extensible.PanelEvents.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.BusyVisitors
Lino.reception.BusyVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/BusyVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Busy visitors",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.BusyVisitors.detail;
    var ww = this.containing_window;
    var since_disp7389 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7390 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7391 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/BusyVisitors/event__user" }) }), "value": null });
    var event__summary7392 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7393 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Since", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.since) ") }, "sortable": false, "tooltip": "(reception.BusyVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7391, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.event__user) The responsible user.") }, "sortable": true, "tooltip": "The responsible user.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7392, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.BusyVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.BusyVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.BusyVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/reception/BusyVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.BusyVisitors.detail;
    Lino.reception.BusyVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.BusyVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/BusyVisitors" };
  return new Lino.reception.BusyVisitors.detailPanel(p);
});
Lino.reception.BusyVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/BusyVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.BusyVisitors.GridPanel(p);
});
Lino.reception.BusyVisitors.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.WaitingVisitors
Lino.reception.WaitingVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/WaitingVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "position" }, { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Waiting visitors",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.WaitingVisitors.detail;
    var ww = this.containing_window;
    var since_disp7397 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7398 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7399 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/WaitingVisitors/event__user" }) }), "value": null });
    var position_disp7400 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__summary7401 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7402 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Since", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.since) ") }, "sortable": false, "tooltip": "(reception.WaitingVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7399, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.event__user) The responsible user.") }, "sortable": true, "tooltip": "The responsible user.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "position", "editable": false, "header": "Position", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.position) Position in waiting queue (per agent)") }, "sortable": false, "tooltip": "Position in waiting queue (per agent)", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "event__summary", "editable": true, "editor": event__summary7401, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.WaitingVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.WaitingVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.WaitingVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/reception/WaitingVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.WaitingVisitors.detail;
    Lino.reception.WaitingVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.WaitingVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/WaitingVisitors" };
  return new Lino.reception.WaitingVisitors.detailPanel(p);
});
Lino.reception.WaitingVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/WaitingVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.WaitingVisitors.GridPanel(p);
});
Lino.reception.WaitingVisitors.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.GoneVisitors
Lino.reception.GoneVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/GoneVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Gone visitors",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.GoneVisitors.detail;
    var ww = this.containing_window;
    var since_disp7406 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7407 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7408 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/GoneVisitors/event__user" }) }), "value": null });
    var event__summary7409 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7410 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Since", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.since) ") }, "sortable": false, "tooltip": "(reception.GoneVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7408, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.event__user) The responsible user.") }, "sortable": true, "tooltip": "The responsible user.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7409, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.GoneVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.GoneVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.GoneVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/reception/GoneVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.GoneVisitors.detail;
    Lino.reception.GoneVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.GoneVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/GoneVisitors" };
  return new Lino.reception.GoneVisitors.detailPanel(p);
});
Lino.reception.GoneVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/GoneVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.GoneVisitors.GridPanel(p);
});
Lino.reception.GoneVisitors.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyWaitingVisitors
Lino.reception.MyWaitingVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyWaitingVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "position" }, { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Visitors waiting for me",
  disabled_fields_index : 7,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyWaitingVisitors.detail;
    var ww = this.containing_window;
    var since_disp7414 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7415 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var position_disp7416 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__summary7417 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7418 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Since", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyWaitingVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "position", "editable": false, "header": "Position", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.position) Position in waiting queue (per agent)") }, "sortable": false, "tooltip": "Position in waiting queue (per agent)", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7417, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyWaitingVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyWaitingVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyWaitingVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/reception/MyWaitingVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyWaitingVisitors.detail;
    Lino.reception.MyWaitingVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyWaitingVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyWaitingVisitors" };
  return new Lino.reception.MyWaitingVisitors.detailPanel(p);
});
Lino.reception.MyWaitingVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyWaitingVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyWaitingVisitors.GridPanel(p);
});
Lino.reception.MyWaitingVisitors.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyBusyVisitors
Lino.reception.MyBusyVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyBusyVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Visitors busy with me",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyBusyVisitors.detail;
    var ww = this.containing_window;
    var since_disp7422 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7423 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7424 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/MyBusyVisitors/event__user" }) }), "value": null });
    var event__summary7425 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7426 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Since", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyBusyVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7424, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.event__user) The responsible user.") }, "sortable": true, "tooltip": "The responsible user.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7425, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyBusyVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyBusyVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyBusyVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/reception/MyBusyVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyBusyVisitors.detail;
    Lino.reception.MyBusyVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyBusyVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyBusyVisitors" };
  return new Lino.reception.MyBusyVisitors.detailPanel(p);
});
Lino.reception.MyBusyVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyBusyVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyBusyVisitors.GridPanel(p);
});
Lino.reception.MyBusyVisitors.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyGoneVisitors
Lino.reception.MyGoneVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyGoneVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My gone visitors",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyGoneVisitors.detail;
    var ww = this.containing_window;
    var since_disp7430 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7431 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7432 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/MyGoneVisitors/event__user" }) }), "value": null });
    var event__summary7433 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var workflow_buttons_disp7434 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Since", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyGoneVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user7432, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.event__user) The responsible user.") }, "sortable": true, "tooltip": "The responsible user.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": true, "editor": event__summary7433, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyGoneVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyGoneVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyGoneVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/reception/MyGoneVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyGoneVisitors.detail;
    Lino.reception.MyGoneVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyGoneVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyGoneVisitors" };
  return new Lino.reception.MyGoneVisitors.detailPanel(p);
});
Lino.reception.MyGoneVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyGoneVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyGoneVisitors.GridPanel(p);
});
Lino.reception.MyGoneVisitors.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.LanguageKnowledges
Lino.cv.LanguageKnowledges.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/LanguageKnowledges",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "language" }, 'languageHidden', { "name": "spoken" }, 'spokenHidden', { "name": "written" }, 'writtenHidden', { "name": "spoken_passively" }, 'spoken_passivelyHidden', { "name": "written_passively" }, 'written_passivelyHidden', { "name": "native", "type": "boolean" }, { "name": "cef_level" }, 'cef_levelHidden', { "name": "has_certificate", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 59,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledges','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Language knowledges",
  initComponent : function() {
    var ww = this.containing_window;
    var id7438 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var person7439 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledges/person" }) }) });
    var language7440 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Language...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledges/language" }) }) });
    var spoken7441 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written7442 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken_passively7443 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written_passively7444 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var native7445 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var cef_level7446 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var has_certificate7447 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7438, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7439, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.person) The person to which this entry applies.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "language", "editable": true, "editor": language7440, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.language) The language to which this entry applies.") }, "sortable": false, "tooltip": "The language to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "spoken", "editable": true, "editor": spoken7441, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Spoken", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.spoken) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 4, "dataIndex": "written", "editable": true, "editor": written7442, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Written", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.written) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 5, "dataIndex": "spoken_passively", "editable": true, "editor": spoken_passively7443, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Spoken (passively)", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.spoken_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 6, "dataIndex": "written_passively", "editable": true, "editor": written_passively7444, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Written (passively)", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.written_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 7, "dataIndex": "native", "editable": true, "filter": { "type": "boolean" }, "header": "Mother tongue", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.native) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "cef_level", "editable": true, "editor": cef_level7446, "filter": { "options": [ "A0", "A1", "A1+", "A2", "A2+", "B1", "B2", "B2+", "C1", "C2", "C2+" ], "type": "list" }, "header": "CEF level", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "sortable": false, "tooltip": "The CEF level. A pointer to a choice of CefLevels", "width": Lino.chars2width(8) }, { "colIndex": 9, "dataIndex": "has_certificate", "editable": true, "filter": { "type": "boolean" }, "header": "Certificate", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.has_certificate) Whether this entry is confirmed by a certificate.") }, "sortable": false, "tooltip": "Whether this entry is confirmed by a certificate.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cv.LanguageKnowledges.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledges.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/LanguageKnowledges" };
  return new Lino.cv.LanguageKnowledges.GridPanel(p);
});
Lino.cv.LanguageKnowledges.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.Trainings
Lino.cv.Trainings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/Trainings",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "type" }, 'typeHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "content" }, { "name": "certificates" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 62,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/Trainings','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Trainings.detail;
    this.ls_insert_handler = Lino.cv.Trainings.insert;
    var ww = this.containing_window;
    var person7451 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date7452 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7453 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text7454 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type7455 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Education Type...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state7456 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var sector7457 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function7458 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var id7459 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country7460 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city7461 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var zip_code7462 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language7463 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Language...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/language" }) }) });
    var school7464 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7465 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var content7466 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var certificates7467 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function7458.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city7461.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7457 !== 'undefined' && sector7457.on('change',Lino.chooser_handler(function7458,'sector'));
      typeof country7460 !== 'undefined' && country7460.on('change',Lino.chooser_handler(city7461,'country'));
      Lino.cv.Trainings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person7451, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date7452, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date7453, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text7454, "filter": { "type": "string" }, "header": "Duration", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type7455, "filter": { "type": "string" }, "header": "Education Type", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state7456, "filter": { "options": [ "Success", "Failure", "Ongoing" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 6, "dataIndex": "sector", "editable": true, "editor": sector7457, "filter": { "type": "string" }, "header": "Activity sector", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "function", "editable": true, "editor": function7458, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7459, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country7460, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city7461, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code7462, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language7463, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "school", "editable": true, "editor": school7464, "filter": { "type": "string" }, "header": "Establishment", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks7465, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "content", "editable": true, "editor": content7466, "filter": { "type": "string" }, "header": "Training content", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "certificates", "editable": true, "editor": certificates7467, "filter": { "type": "string" }, "header": "Certificates", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.Trainings.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.Trainings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Trainings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Trainings.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cv/Trainings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Trainings.detail;
    this.ls_insert_handler = Lino.cv.Trainings.insert;
    Lino.cv.Trainings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Trainings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/Trainings" };
  return new Lino.cv.Trainings.insertPanel(p);
});
Lino.cv.Trainings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.Trainings.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/Trainings','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/Trainings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.Trainings.detail;
    this.ls_insert_handler = Lino.cv.Trainings.insert;
    Lino.cv.Trainings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.Trainings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Trainings" };
  return new Lino.cv.Trainings.detailPanel(p);
});
Lino.cv.Trainings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/Trainings" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.Trainings.GridPanel(p);
});
Lino.cv.Trainings.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.Trainings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/Trainings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.Clients
Lino.pcsw.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Client.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Clients",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    var ww = this.containing_window;
    var name_column_disp7471 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client_state7472 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id7473 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7474 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp7475 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp7476 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7477 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7478 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7479 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type7480 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a aid type...", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/aid_type" }) }) });
    var language7481 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.name_column) ") }, "sortable": false, "tooltip": "(pcsw.Clients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client_state", "editable": true, "editor": client_state7472, "filter": { "options": [ "Newcomer", "Refused", "Coached", "Former" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(14) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7473, "filter": { "type": "string" }, "header": "National ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "gsm", "editable": true, "editor": gsm7474, "filter": { "type": "string" }, "header": "Mobile", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.address_column) ") }, "sortable": false, "tooltip": "(pcsw.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "age", "editable": false, "header": "Age", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email7477, "filter": { "type": "string" }, "header": "e-mail address", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7478, "filter": { "type": "string" }, "header": "Phone", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7479, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type7480, "filter": { "type": "string" }, "header": "aid type", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language7481, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) } ];
    Lino.pcsw.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.Clients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/Clients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    Lino.pcsw.Clients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.insertPanel(p);
});
Lino.pcsw.Clients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Client.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  ls_url: "/pcsw/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    Lino.pcsw.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.detailPanel(p);
});
Lino.pcsw.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt17 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt17", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt19 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt19", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Clients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.Clients.GridPanel(p);
});
Lino.pcsw.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.CoachedClients
Lino.pcsw.CoachedClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/CoachedClients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Client.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Clients",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    var ww = this.containing_window;
    var name_column_disp7485 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client_state7486 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id7487 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7488 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp7489 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp7490 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7491 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7492 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7493 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type7494 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a aid type...", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/CoachedClients/aid_type" }) }) });
    var language7495 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.name_column) ") }, "sortable": false, "tooltip": "(pcsw.CoachedClients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client_state", "editable": true, "editor": client_state7486, "filter": { "options": [ "Newcomer", "Refused", "Coached", "Former" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(14) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7487, "filter": { "type": "string" }, "header": "National ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "gsm", "editable": true, "editor": gsm7488, "filter": { "type": "string" }, "header": "Mobile", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.address_column) ") }, "sortable": false, "tooltip": "(pcsw.CoachedClients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "age", "editable": false, "header": "Age", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email7491, "filter": { "type": "string" }, "header": "e-mail address", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7492, "filter": { "type": "string" }, "header": "Phone", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7493, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type7494, "filter": { "type": "string" }, "header": "aid type", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language7495, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) } ];
    Lino.pcsw.CoachedClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.CoachedClients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/CoachedClients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    Lino.pcsw.CoachedClients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  return new Lino.pcsw.CoachedClients.insertPanel(p);
});
Lino.pcsw.CoachedClients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.CoachedClients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Client.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  ls_url: "/pcsw/CoachedClients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    Lino.pcsw.CoachedClients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  return new Lino.pcsw.CoachedClients.detailPanel(p);
});
Lino.pcsw.CoachedClients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt17 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt17", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt19 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt19", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.CoachedClients.GridPanel(p);
});
Lino.pcsw.CoachedClients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.Clients
Lino.reception.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "national_id" }, { "name": "workflow_buttons" }, { "name": "person_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "person_ptr",
  pk_index : 4,
  content_type : 48,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Client.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Clients",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    var ww = this.containing_window;
    var name_column_disp7499 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp7500 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var national_id7501 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7502 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.name_column) ") }, "sortable": false, "tooltip": "(reception.Clients.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.address_column) ") }, "sortable": false, "tooltip": "(reception.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7501, "filter": { "type": "string" }, "header": "National ID", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.Clients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/reception/Clients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    Lino.reception.Clients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/reception/Clients" };
  return new Lino.reception.Clients.insertPanel(p);
});
Lino.reception.Clients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Client.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  ls_url: "/reception/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    Lino.reception.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/Clients" };
  return new Lino.reception.Clients.detailPanel(p);
});
Lino.reception.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt17 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt17", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt19 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt19", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/Clients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.reception.Clients.GridPanel(p);
});
Lino.reception.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.Households
Lino.households.Households.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/Households",
  ls_store_fields : [ { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Household.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of households.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/households/Households','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Households",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    var ww = this.containing_window;
    var name7506 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type7507 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Household Type...", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var address_column_disp7508 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7509 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email7510 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language7511 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var url7512 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone7513 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7514 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax7515 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified7516 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7517 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country7518 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/country" }) }) });
    var city7519 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/city" }) }) });
    var zip_code7520 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region7521 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/region" }) }) });
    var addr17522 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix7523 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street7524 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no7525 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box7526 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr27527 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix7528 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7529 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete7530 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity7531 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/activity" }) }) });
    var client_contact_type7532 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/client_contact_type" }) }) });
    this.before_row_edit = function(record) {
      city7519.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city7519.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region7521.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country7518 !== 'undefined' && country7518.on('change',Lino.chooser_handler(city7519,'country'));
      typeof region7521 !== 'undefined' && region7521.on('change',Lino.chooser_handler(city7519,'region'));
      typeof country7518 !== 'undefined' && country7518.on('change',Lino.chooser_handler(region7521,'country'));
      Lino.households.Households.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name7506, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type7507, "filter": { "type": "string" }, "header": "Household Type", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.type) The type of this household.  See household types") }, "sortable": false, "tooltip": "The type of this household.  See household types", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.address_column) ") }, "sortable": false, "tooltip": "(households.Households.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id7509, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email7510, "filter": { "type": "string" }, "header": "e-mail address", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language7511, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url7512, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7513, "filter": { "type": "string" }, "header": "Phone", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm7514, "filter": { "type": "string" }, "header": "Mobile", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax7515, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country7518, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city7519, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code7520, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region7521, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr17522, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix7523, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street7524, "filter": { "type": "string" }, "header": "Street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no7525, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box7526, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr27527, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix7528, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": true, "editor": remarks7529, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity7531, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type7532, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.households.Households.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.Households.insertPanel = Ext.extend(Lino.households.Households.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/households/Households",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    Lino.households.Households.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.insertPanel(p);
});
Lino.households.Households.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.Households.detailPanel = Ext.extend(Lino.households.Households.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Household.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/households/Households','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/households/Households",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    Lino.households.Households.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.detailPanel(p);
});
Lino.households.Households.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/Households" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.households.Households.GridPanel(p);
});
Lino.households.Households.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.populate_members = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "populate_members", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.Contracts
Lino.isip.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 80,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ISIPs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    var ww = this.containing_window;
    var id7536 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from7537 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7538 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7539 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var user7540 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var type7541 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a ISIP Type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var signer17542 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/signer1" }) }) });
    var signer27543 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/signer2" }) }) });
    var printed_by7544 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7545 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until7546 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7547 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7548 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7549 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_asd" }) }) });
    var exam_policy7550 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/exam_policy" }) }) });
    var ending7551 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var study_type7552 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Type...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var stages7553 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "stages" });
    var goals7554 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "goals" });
    var duties_asd7555 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties ASD" });
    var duties_dsbe7556 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties DSBE" });
    var duties_pcsw7557 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties PCSW" });
    var duties_person7558 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties person" });
    var user_dsbe7559 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_dsbe" }) }) });
    this.before_row_edit = function(record) {
      stages7553.refresh();
      goals7554.refresh();
      duties_asd7555.refresh();
      duties_dsbe7556.refresh();
      duties_pcsw7557.refresh();
      duties_person7558.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7536, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from7537, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended7538, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client7539, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user7540, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type7541, "filter": { "type": "string" }, "header": "Contract Type", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.type) The type of this contract.\nPointer to ContractType.") }, "sortable": false, "tooltip": "The type of this contract.\nPointer to ContractType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer17542, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer27543, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language7545, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until7546, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided7547, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued7548, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd7549, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7550, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending7551, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "study_type", "editable": true, "editor": study_type7552, "filter": { "type": "string" }, "header": "Education Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.study_type) The type of study that is going to be followed during this\ncontract.") }, "sortable": false, "tooltip": "The type of study that is going to be followed during this\ncontract.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "stages", "editable": true, "editor": stages7553, "filter": { "type": "string" }, "header": "stages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "goals", "editable": true, "editor": goals7554, "filter": { "type": "string" }, "header": "goals", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd7555, "filter": { "type": "string" }, "header": "duties ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe7556, "filter": { "type": "string" }, "header": "duties DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw7557, "filter": { "type": "string" }, "header": "duties PCSW", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "duties_person", "editable": true, "editor": duties_person7558, "filter": { "type": "string" }, "header": "duties person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe7559, "filter": { "type": "string" }, "header": "responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.Contracts.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/isip/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    Lino.isip.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/Contracts" };
  return new Lino.isip.Contracts.insertPanel(p);
});
Lino.isip.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.Contracts.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/isip/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    Lino.isip.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/Contracts" };
  return new Lino.isip.Contracts.detailPanel(p);
});
Lino.isip.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/Contracts" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.Contracts.GridPanel(p);
});
Lino.isip.Contracts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.MyContracts
Lino.isip.MyContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/MyContracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 80,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/MyContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ISIPs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.MyContracts.detail;
    this.ls_insert_handler = Lino.isip.MyContracts.insert;
    var ww = this.containing_window;
    var id7563 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from7564 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7565 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7566 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/client" }) }) });
    var user7567 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/user" }) }) });
    var type7568 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a ISIP Type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/type" }) }) });
    var signer17569 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/signer1" }) }) });
    var signer27570 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/signer2" }) }) });
    var printed_by7571 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7572 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until7573 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7574 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7575 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7576 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/user_asd" }) }) });
    var exam_policy7577 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/exam_policy" }) }) });
    var ending7578 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/ending" }) }) });
    var study_type7579 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Type...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/study_type" }) }) });
    var stages7580 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "stages" });
    var goals7581 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "goals" });
    var duties_asd7582 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties ASD" });
    var duties_dsbe7583 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties DSBE" });
    var duties_pcsw7584 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties PCSW" });
    var duties_person7585 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties person" });
    var user_dsbe7586 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/MyContracts/user_dsbe" }) }) });
    this.before_row_edit = function(record) {
      stages7580.refresh();
      goals7581.refresh();
      duties_asd7582.refresh();
      duties_dsbe7583.refresh();
      duties_pcsw7584.refresh();
      duties_person7585.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7563, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from7564, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended7565, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client7566, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user7567, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type7568, "filter": { "type": "string" }, "header": "Contract Type", "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.type) The type of this contract.\nPointer to ContractType.") }, "sortable": false, "tooltip": "The type of this contract.\nPointer to ContractType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer17569, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer27570, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language7572, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until7573, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided7574, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued7575, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd7576, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7577, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending7578, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "study_type", "editable": true, "editor": study_type7579, "filter": { "type": "string" }, "header": "Education Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.study_type) The type of study that is going to be followed during this\ncontract.") }, "sortable": false, "tooltip": "The type of study that is going to be followed during this\ncontract.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "stages", "editable": true, "editor": stages7580, "filter": { "type": "string" }, "header": "stages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "goals", "editable": true, "editor": goals7581, "filter": { "type": "string" }, "header": "goals", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd7582, "filter": { "type": "string" }, "header": "duties ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe7583, "filter": { "type": "string" }, "header": "duties DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw7584, "filter": { "type": "string" }, "header": "duties PCSW", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "duties_person", "editable": true, "editor": duties_person7585, "filter": { "type": "string" }, "header": "duties person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe7586, "filter": { "type": "string" }, "header": "responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.MyContracts.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.MyContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.MyContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.MyContracts.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/isip/MyContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.MyContracts.detail;
    this.ls_insert_handler = Lino.isip.MyContracts.insert;
    Lino.isip.MyContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.MyContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/MyContracts" };
  return new Lino.isip.MyContracts.insertPanel(p);
});
Lino.isip.MyContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.MyContracts.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/MyContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/isip/MyContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.MyContracts.detail;
    this.ls_insert_handler = Lino.isip.MyContracts.insert;
    Lino.isip.MyContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.MyContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/MyContracts" };
  return new Lino.isip.MyContracts.detailPanel(p);
});
Lino.isip.MyContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/MyContracts" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.MyContracts.GridPanel(p);
});
Lino.isip.MyContracts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.MyContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/MyContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.JobProviders
Lino.jobs.JobProviders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobProviders",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "type" }, 'typeHidden', { "name": "vat_id" }, { "name": "is_social", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Job Provider.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/JobProviders','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job Providers",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobProviders.detail;
    this.ls_insert_handler = Lino.jobs.JobProviders.insert;
    var ww = this.containing_window;
    var name_column_disp7590 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp7591 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7592 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7593 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7594 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7595 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language7596 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var url7597 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax7598 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified7599 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7600 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country7601 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/country" }) }) });
    var city7602 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/city" }) }) });
    var zip_code7603 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region7604 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/region" }) }) });
    var addr17605 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix7606 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street7607 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no7608 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box7609 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr27610 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix7611 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name7612 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7613 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete7614 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity7615 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/activity" }) }) });
    var client_contact_type7616 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/client_contact_type" }) }) });
    var type7617 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Legal form...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/type" }) }) });
    var vat_id7618 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var is_social7619 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city7602.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city7602.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region7604.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country7601 !== 'undefined' && country7601.on('change',Lino.chooser_handler(city7602,'country'));
      typeof region7604 !== 'undefined' && region7604.on('change',Lino.chooser_handler(city7602,'region'));
      typeof country7601 !== 'undefined' && country7601.on('change',Lino.chooser_handler(region7604,'country'));
      Lino.jobs.JobProviders.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.name_column) ") }, "sortable": false, "tooltip": "(jobs.JobProviders.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.address_column) ") }, "sortable": false, "tooltip": "(jobs.JobProviders.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email7592, "filter": { "type": "string" }, "header": "e-mail address", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone7593, "filter": { "type": "string" }, "header": "Phone", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm7594, "filter": { "type": "string" }, "header": "Mobile", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7595, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language7596, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url7597, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax7598, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country7601, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city7602, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code7603, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region7604, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr17605, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix7606, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street7607, "filter": { "type": "string" }, "header": "Street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no7608, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box7609, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr27610, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix7611, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name7612, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": true, "editor": remarks7613, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity7615, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type7616, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "type", "editable": true, "editor": type7617, "filter": { "type": "string" }, "header": "Legal form", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.type) Pointer to the CompanyType.") }, "sortable": false, "tooltip": "Pointer to the CompanyType.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "vat_id", "editable": true, "editor": vat_id7618, "filter": { "type": "string" }, "header": "VAT id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.vat_id) The VAT id used to identify this business partner.") }, "sortable": true, "tooltip": "The VAT id used to identify this business partner.", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "is_social", "editable": true, "filter": { "type": "boolean" }, "header": "Social economy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobProviders.is_social) Organisation b\u00e9n\u00e9ficiant de l\u2019agr\u00e9ment \u00ab Initiative d\u2019\u00e9conomie sociale \u00bb\noctroy\u00e9 par la Wallonie.") }, "sortable": false, "tooltip": "Organisation b\u00e9n\u00e9ficiant de l\u2019agr\u00e9ment \u00ab Initiative d\u2019\u00e9conomie sociale \u00bb\noctroy\u00e9 par la Wallonie.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.jobs.JobProviders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobProviders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobProviders.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/jobs/JobProviders",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobProviders.detail;
    this.ls_insert_handler = Lino.jobs.JobProviders.insert;
    Lino.jobs.JobProviders.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobProviders.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  return new Lino.jobs.JobProviders.insertPanel(p);
});
Lino.jobs.JobProviders.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobProviders.detailPanel = Ext.extend(Lino.jobs.JobProviders.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Job Provider.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/JobProviders','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/jobs/JobProviders",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobProviders.detail;
    this.ls_insert_handler = Lino.jobs.JobProviders.insert;
    Lino.jobs.JobProviders.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobProviders.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  return new Lino.jobs.JobProviders.detailPanel(p);
});
Lino.jobs.JobProviders.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobProviders" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.jobs.JobProviders.GridPanel(p);
});
Lino.jobs.JobProviders.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobProviders.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobProviders", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.Employers
Lino.jobs.Employers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Employers",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "type" }, 'typeHidden', { "name": "vat_id" }, { "name": "is_social", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Employer.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/Employers','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Employers",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Employers.detail;
    this.ls_insert_handler = Lino.jobs.Employers.insert;
    var ww = this.containing_window;
    var name_column_disp7623 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp7624 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7625 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7626 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7627 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7628 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language7629 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var url7630 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax7631 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified7632 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7633 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country7634 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Employers/country" }) }) });
    var city7635 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Employers/city" }) }) });
    var zip_code7636 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region7637 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Employers/region" }) }) });
    var addr17638 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix7639 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street7640 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no7641 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box7642 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr27643 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix7644 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name7645 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7646 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete7647 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity7648 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Employers/activity" }) }) });
    var client_contact_type7649 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Employers/client_contact_type" }) }) });
    var type7650 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Legal form...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Employers/type" }) }) });
    var vat_id7651 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var is_social7652 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city7635.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city7635.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region7637.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country7634 !== 'undefined' && country7634.on('change',Lino.chooser_handler(city7635,'country'));
      typeof region7637 !== 'undefined' && region7637.on('change',Lino.chooser_handler(city7635,'region'));
      typeof country7634 !== 'undefined' && country7634.on('change',Lino.chooser_handler(region7637,'country'));
      Lino.jobs.Employers.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.name_column) ") }, "sortable": false, "tooltip": "(jobs.Employers.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.address_column) ") }, "sortable": false, "tooltip": "(jobs.Employers.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email7625, "filter": { "type": "string" }, "header": "e-mail address", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone7626, "filter": { "type": "string" }, "header": "Phone", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm7627, "filter": { "type": "string" }, "header": "Mobile", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7628, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language7629, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url7630, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax7631, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country7634, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city7635, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code7636, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region7637, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr17638, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix7639, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street7640, "filter": { "type": "string" }, "header": "Street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no7641, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box7642, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr27643, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix7644, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name7645, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": true, "editor": remarks7646, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity7648, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type7649, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "type", "editable": true, "editor": type7650, "filter": { "type": "string" }, "header": "Legal form", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.type) Pointer to the CompanyType.") }, "sortable": false, "tooltip": "Pointer to the CompanyType.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "vat_id", "editable": true, "editor": vat_id7651, "filter": { "type": "string" }, "header": "VAT id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.vat_id) The VAT id used to identify this business partner.") }, "sortable": true, "tooltip": "The VAT id used to identify this business partner.", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "is_social", "editable": true, "filter": { "type": "boolean" }, "header": "Social economy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Employers.is_social) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.jobs.Employers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Employers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Employers.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/jobs/Employers",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Employers.detail;
    this.ls_insert_handler = Lino.jobs.Employers.insert;
    Lino.jobs.Employers.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Employers.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/Employers" };
  return new Lino.jobs.Employers.insertPanel(p);
});
Lino.jobs.Employers.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Employers.detailPanel = Ext.extend(Lino.jobs.Employers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Employer.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/Employers','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/jobs/Employers",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Employers.detail;
    this.ls_insert_handler = Lino.jobs.Employers.insert;
    Lino.jobs.Employers.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Employers.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Employers" };
  return new Lino.jobs.Employers.detailPanel(p);
});
Lino.jobs.Employers.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Employers" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.jobs.Employers.GridPanel(p);
});
Lino.jobs.Employers.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Employers.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Employers", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.Contracts
Lino.art60.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 89,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/Contracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art60\u00a77 job supplyments",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.Contracts.detail;
    this.ls_insert_handler = Lino.art60.Contracts.insert;
    var ww = this.containing_window;
    var id7656 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client7657 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/client" }) }) });
    var client__national_id7658 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from7659 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7660 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user7661 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/user" }) }) });
    var type7662 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Art60\u00a77 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/type" }) }) });
    var signer17663 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/signer1" }) }) });
    var signer27664 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/signer2" }) }) });
    var printed_by7665 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7666 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until7667 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7668 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7669 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7670 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/user_asd" }) }) });
    var exam_policy7671 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/exam_policy" }) }) });
    var ending7672 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/ending" }) }) });
    var duration7673 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Contracts/duration" }) }), "value": null });
    var remark7674 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7656, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7657, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id7658, "filter": { "type": "string" }, "header": "National ID", "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from7659, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended7660, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7661, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type7662, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer17663, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer27664, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language7666, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "applies_until", "editable": true, "editor": applies_until7667, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided7668, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued7669, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd7670, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7671, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "ending", "editable": true, "editor": ending7672, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "duration", "editable": true, "editor": duration7673, "filter": { "type": "string" }, "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "remark", "editable": true, "editor": remark7674, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.Contracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.art60.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.Contracts.insertPanel = Ext.extend(Lino.art60.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.Contracts.detail;
    this.ls_insert_handler = Lino.art60.Contracts.insert;
    Lino.art60.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/Contracts" };
  return new Lino.art60.Contracts.insertPanel(p);
});
Lino.art60.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.Contracts.detailPanel = Ext.extend(Lino.art60.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/Contracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.Contracts.detail;
    this.ls_insert_handler = Lino.art60.Contracts.insert;
    Lino.art60.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/Contracts" };
  return new Lino.art60.Contracts.detailPanel(p);
});
Lino.art60.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Contracts.create_excerpt5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "create_excerpt5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/Contracts" };
  p.params_panel = new Lino.art60.Contracts.ParamsPanel({});
  return new Lino.art60.Contracts.GridPanel(p);
});
Lino.art60.Contracts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.Conventions
Lino.art60.Conventions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/Conventions",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "company" }, 'companyHidden', { "name": "contract" }, 'contractHidden', { "name": "job" }, 'jobHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "monthly_refund" }, { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/Conventions','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art60\u00a77 conventions",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.Conventions.detail;
    this.ls_insert_handler = Lino.art60.Conventions.insert;
    var ww = this.containing_window;
    var id7678 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var contact_person7679 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/contact_person" }) }) });
    var contact_role7680 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/contact_role" }) }) });
    var reference_person7681 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7682 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "responsibilities" });
    var company7683 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job Provider...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/company" }) }) });
    var contract7684 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art60\u00a77 job supplyment...", "pageSize": 20, "related_actor_id": "art60.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/contract" }) }) });
    var job7685 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Job...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/job" }) }) });
    var start_date7686 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var regime7687 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/regime" }) }) });
    var schedule7688 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Schedule...", "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/Conventions/schedule" }) }) });
    var monthly_refund7689 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var hourly_rate7690 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var refund_rate7691 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person7679.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7682.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7683 !== 'undefined' && company7683.on('change',Lino.chooser_handler(contact_person7679,'company'));
      Lino.art60.Conventions.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7678, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "contact_person", "editable": true, "editor": contact_person7679, "filter": { "type": "string" }, "header": "Represented by", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contact_role", "editable": true, "editor": contact_role7680, "filter": { "type": "string" }, "header": "Represented as", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "reference_person", "editable": true, "editor": reference_person7681, "filter": { "type": "string" }, "header": "reference person", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7682, "filter": { "type": "string" }, "header": "responsibilities", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "company", "editable": true, "editor": company7683, "filter": { "type": "string" }, "header": "Job Provider", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contract", "editable": true, "editor": contract7684, "filter": { "type": "string" }, "header": "Art60\u00a77 job supplyment", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.contract) ") }, "renderer": Lino.fk_renderer('contractHidden','Lino.art60.Contracts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "job", "editable": true, "editor": job7685, "filter": { "type": "string" }, "header": "Job", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7686, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "regime", "editable": true, "editor": regime7687, "filter": { "type": "string" }, "header": "Work Regime", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "schedule", "editable": true, "editor": schedule7688, "filter": { "type": "string" }, "header": "Work Schedule", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 11, "dataIndex": "monthly_refund", "editable": true, "editor": monthly_refund7689, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monthly refund", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.monthly_refund) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 12, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7690, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "hourly rate", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 13, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate7691, "filter": { "type": "string" }, "header": "refund rate", "listeners": { "render": Lino.quicktip_renderer("","(art60.Conventions.refund_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.art60.Conventions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.Conventions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Conventions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Conventions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Conventions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Conventions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Conventions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Conventions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Conventions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.Conventions.insertPanel = Ext.extend(Lino.art60.Conventions.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/Conventions",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.Conventions.detail;
    this.ls_insert_handler = Lino.art60.Conventions.insert;
    Lino.art60.Conventions.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.Conventions.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/Conventions" };
  return new Lino.art60.Conventions.insertPanel(p);
});
Lino.art60.Conventions.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Conventions", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.Conventions.detailPanel = Ext.extend(Lino.art60.Conventions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/Conventions','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/Conventions",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.Conventions.detail;
    this.ls_insert_handler = Lino.art60.Conventions.insert;
    Lino.art60.Conventions.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.Conventions.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/Conventions" };
  return new Lino.art60.Conventions.detailPanel(p);
});
Lino.art60.Conventions.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Conventions", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Conventions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/Conventions" };
  return new Lino.art60.Conventions.GridPanel(p);
});
Lino.art60.Conventions.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Conventions", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.Conventions.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/Conventions", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.MyContracts
Lino.art60.MyContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/MyContracts",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "user" }, 'userHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 89,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/MyContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My art60\u00a77 contracts (IS)",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.MyContracts.detail;
    this.ls_insert_handler = Lino.art60.MyContracts.insert;
    var ww = this.containing_window;
    var applies_from7695 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7696 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContracts/client" }) }) });
    var type7697 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Art60\u00a77 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContracts/type" }) }) });
    var applies_until7698 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7699 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var ending7700 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContracts/ending" }) }) });
    var id7701 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer17702 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContracts/signer1" }) }) });
    var signer27703 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContracts/signer2" }) }) });
    var user7704 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContracts/user" }) }) });
    var printed_by7705 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7706 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided7707 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7708 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7709 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContracts/user_asd" }) }) });
    var exam_policy7710 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContracts/exam_policy" }) }) });
    var duration7711 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContracts/duration" }) }), "value": null });
    var remark7712 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from7695, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7696, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type7697, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "applies_until", "editable": true, "editor": applies_until7698, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended7699, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "ending", "editable": true, "editor": ending7700, "filter": { "type": "string" }, "header": "Reason of termination", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7701, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer17702, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer27703, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "user", "editable": true, "editor": user7704, "filter": { "type": "string" }, "header": "Responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language7706, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided7707, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued7708, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd7709, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7710, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "duration", "editable": true, "editor": duration7711, "filter": { "type": "string" }, "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "remark", "editable": true, "editor": remark7712, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.art60.MyContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.MyContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.MyContracts.insertPanel = Ext.extend(Lino.art60.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/MyContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.MyContracts.detail;
    this.ls_insert_handler = Lino.art60.MyContracts.insert;
    Lino.art60.MyContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.MyContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/MyContracts" };
  return new Lino.art60.MyContracts.insertPanel(p);
});
Lino.art60.MyContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.MyContracts.detailPanel = Ext.extend(Lino.art60.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/MyContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/MyContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.MyContracts.detail;
    this.ls_insert_handler = Lino.art60.MyContracts.insert;
    Lino.art60.MyContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.MyContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/MyContracts" };
  return new Lino.art60.MyContracts.detailPanel(p);
});
Lino.art60.MyContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContracts.create_excerpt5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "create_excerpt5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/MyContracts" };
  p.params_panel = new Lino.art60.Contracts.ParamsPanel({});
  return new Lino.art60.MyContracts.GridPanel(p);
});
Lino.art60.MyContracts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.MyContractsGSS
Lino.art60.MyContractsGSS.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/MyContractsGSS",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "user" }, 'userHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 89,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/MyContractsGSS','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My art60\u00a77 contracts (GSS)",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.MyContractsGSS.detail;
    this.ls_insert_handler = Lino.art60.MyContractsGSS.insert;
    var ww = this.containing_window;
    var applies_from7716 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7717 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContractsGSS/client" }) }) });
    var type7718 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Art60\u00a77 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContractsGSS/type" }) }) });
    var applies_until7719 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7720 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var ending7721 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContractsGSS/ending" }) }) });
    var id7722 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer17723 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContractsGSS/signer1" }) }) });
    var signer27724 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContractsGSS/signer2" }) }) });
    var user7725 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContractsGSS/user" }) }) });
    var printed_by7726 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7727 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided7728 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7729 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7730 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContractsGSS/user_asd" }) }) });
    var exam_policy7731 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContractsGSS/exam_policy" }) }) });
    var duration7732 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/MyContractsGSS/duration" }) }), "value": null });
    var remark7733 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from7716, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7717, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type7718, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "applies_until", "editable": true, "editor": applies_until7719, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended7720, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "ending", "editable": true, "editor": ending7721, "filter": { "type": "string" }, "header": "Reason of termination", "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7722, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer17723, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer27724, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "user", "editable": true, "editor": user7725, "filter": { "type": "string" }, "header": "Responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language7727, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided7728, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued7729, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd7730, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7731, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "duration", "editable": true, "editor": duration7732, "filter": { "type": "string" }, "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "remark", "editable": true, "editor": remark7733, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.MyContractsGSS.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.art60.MyContractsGSS.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.MyContractsGSS.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContractsGSS.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContractsGSS.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContractsGSS.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.MyContractsGSS.insertPanel = Ext.extend(Lino.art60.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/MyContractsGSS",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.MyContractsGSS.detail;
    this.ls_insert_handler = Lino.art60.MyContractsGSS.insert;
    Lino.art60.MyContractsGSS.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.MyContractsGSS.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/MyContractsGSS" };
  return new Lino.art60.MyContractsGSS.insertPanel(p);
});
Lino.art60.MyContractsGSS.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.MyContractsGSS.detailPanel = Ext.extend(Lino.art60.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/MyContractsGSS','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/MyContractsGSS",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.MyContractsGSS.detail;
    this.ls_insert_handler = Lino.art60.MyContractsGSS.insert;
    Lino.art60.MyContractsGSS.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.MyContractsGSS.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/MyContractsGSS" };
  return new Lino.art60.MyContractsGSS.detailPanel(p);
});
Lino.art60.MyContractsGSS.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContractsGSS.create_excerpt5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "create_excerpt5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContractsGSS.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContractsGSS.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContractsGSS.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContractsGSS.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContractsGSS.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/MyContractsGSS" };
  p.params_panel = new Lino.art60.Contracts.ParamsPanel({});
  return new Lino.art60.MyContractsGSS.GridPanel(p);
});
Lino.art60.MyContractsGSS.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContractsGSS.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.MyContractsGSS.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/MyContractsGSS", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.Offers
Lino.jobs.Offers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Offers",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "dateFormat": "d.m.Y", "name": "selection_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "selection_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 85,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/Offers','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job Offers",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Offers.detail;
    var ww = this.containing_window;
    var name7737 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var provider7738 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Job Provider...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/provider" }) }) });
    var sector7739 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/sector" }) }) });
    var function7740 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/function" }) }) });
    var selection_from7741 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var selection_until7742 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var start_date7743 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id7744 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var remark7745 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function7740.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7739 !== 'undefined' && sector7739.on('change',Lino.chooser_handler(function7740,'sector'));
      Lino.jobs.Offers.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name7737, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider7738, "filter": { "type": "string" }, "header": "Job Provider", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector7739, "filter": { "type": "string" }, "header": "Activity sector", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function7740, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "selection_from", "editable": true, "editor": selection_from7741, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "selection from", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.selection_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "selection_until", "editable": true, "editor": selection_until7742, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "selection until", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.selection_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "start_date", "editable": true, "editor": start_date7743, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "start date", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7744, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark7745, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Offers.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.jobs.Offers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Offers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Offers.detailPanel = Ext.extend(Lino.jobs.Offers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/Offers','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/jobs/Offers",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Offers.detail;
    Lino.jobs.Offers.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Offers.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Offers" };
  return new Lino.jobs.Offers.detailPanel(p);
});
Lino.jobs.Offers.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Offers" };
  return new Lino.jobs.Offers.GridPanel(p);
});
Lino.jobs.Offers.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Offers.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Offers", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.Jobs
Lino.jobs.Jobs.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Jobs",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "type" }, 'typeHidden', { "name": "contract_type" }, 'contract_typeHidden', { "name": "hourly_rate" }, { "name": "capacity", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 86,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Job.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/Jobs','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Jobs",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Jobs.detail;
    this.ls_insert_handler = Lino.jobs.Jobs.insert;
    var ww = this.containing_window;
    var name7749 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    var provider7750 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Job Provider...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var sector7751 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function7752 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var type7753 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Job Type...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var contract_type7754 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Art60\u00a77 job supplyment type...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var hourly_rate7755 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var capacity7756 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark7757 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var id7758 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function7752.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector7751 !== 'undefined' && sector7751.on('change',Lino.chooser_handler(function7752,'sector'));
      Lino.jobs.Jobs.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name7749, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider7750, "filter": { "type": "string" }, "header": "Job Provider", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector7751, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function7752, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type7753, "filter": { "type": "string" }, "header": "Job Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "contract_type", "editable": true, "editor": contract_type7754, "filter": { "type": "string" }, "header": "Contract Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.contract_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7755, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "hourly rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "capacity", "editable": true, "editor": capacity7756, "filter": { "type": "numeric" }, "format": "0", "header": "capacity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.capacity) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark7757, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id7758, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Jobs.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.jobs.Jobs.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Jobs.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Jobs.insertPanel = Ext.extend(Lino.jobs.Jobs.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/jobs/Jobs",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Jobs.detail;
    this.ls_insert_handler = Lino.jobs.Jobs.insert;
    Lino.jobs.Jobs.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Jobs.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/Jobs" };
  return new Lino.jobs.Jobs.insertPanel(p);
});
Lino.jobs.Jobs.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Jobs.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Job.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/Jobs','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/jobs/Jobs",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Jobs.detail;
    this.ls_insert_handler = Lino.jobs.Jobs.insert;
    Lino.jobs.Jobs.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Jobs.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Jobs" };
  return new Lino.jobs.Jobs.detailPanel(p);
});
Lino.jobs.Jobs.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Jobs" };
  return new Lino.jobs.Jobs.GridPanel(p);
});
Lino.jobs.Jobs.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Jobs.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Jobs", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.Clients
Lino.integ.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "active_contract" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Clients",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.Clients.detail;
    var ww = this.containing_window;
    var name_column_disp7762 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var active_contract_disp7763 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var applies_from7764 = new Lino.DateField({ "disabled": true });
    var applies_until7765 = new Lino.DateField({ "disabled": true });
    var national_id7766 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7767 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp7768 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp7769 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7770 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7771 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7772 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type7773 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a aid type...", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/aid_type" }) }) });
    var language7774 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.name_column) ") }, "sortable": false, "tooltip": "(integ.Clients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "active_contract", "editable": false, "header": "Active contract", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.active_contract) ") }, "sortable": false, "tooltip": "(integ.Clients.active_contract) ", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "applies_from", "editable": false, "format": "d.m.Y", "header": "Contract starts", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.applies_from) ") }, "sortable": true, "tooltip": "(integ.Clients.applies_from) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "applies_until", "editable": false, "format": "d.m.Y", "header": "Contract ends", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.applies_until) ") }, "sortable": true, "tooltip": "(integ.Clients.applies_until) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "national_id", "editable": true, "editor": national_id7766, "filter": { "type": "string" }, "header": "National ID", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "gsm", "editable": true, "editor": gsm7767, "filter": { "type": "string" }, "header": "Mobile", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.address_column) ") }, "sortable": false, "tooltip": "(integ.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "age", "editable": false, "header": "Age", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "email", "editable": true, "editor": email7770, "filter": { "type": "string" }, "header": "e-mail address", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "phone", "editable": true, "editor": phone7771, "filter": { "type": "string" }, "header": "Phone", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 10, "dataIndex": "id", "editable": true, "editor": id7772, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "aid_type", "editable": true, "editor": aid_type7773, "filter": { "type": "string" }, "header": "aid type", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language7774, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(integ.Clients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) } ];
    Lino.integ.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/integ/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  ls_url: "/integ/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.Clients.detail;
    Lino.integ.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/Clients" };
  return new Lino.integ.Clients.detailPanel(p);
});
Lino.integ.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt17 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt17", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt19 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt19", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/Clients" };
  p.params_panel = new Lino.integ.Clients.ParamsPanel({});
  return new Lino.integ.Clients.GridPanel(p);
});
Lino.integ.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.UsersOverview
Lino.users.UsersOverview.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/UsersOverview",
  ls_store_fields : [ { "name": "username" }, { "name": "user_type" }, 'user_typeHidden', { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new User.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of users.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Change password", "overflowText": "Change password", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Users",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    var ww = this.containing_window;
    var username7778 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 30, "selectOnFocus": true });
    var user_type7779 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var language7780 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "username", "editable": true, "editor": username7778, "filter": { "type": "string" }, "header": "Username", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "sortable": true, "tooltip": "Must be either unique or empty.  Users with an empty username cannot\nsign in.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "user_type", "editable": true, "editor": user_type7779, "filter": { "options": [ "000 (000 (Anonymous))", "100 (100 (Integration agent))", "110 (110 (Integration agent (Manager)))", "120 (120 (Integration agent (Flexible)))", "200 (200 (Newcomers consultant))", "210 (210 (Reception clerk))", "220 (220 (Reception clerk (Flexible)))", "300 (300 (Debts consultant))", "400 (400 (Social agent))", "410 (410 (Social agent (Manager)))", "420 (420 (Social agent (Flexible)))", "500 (500 (Accountant))", "510 (510 (Accountant (Manager)))", "800 (800 (Supervisor))", "900 (900 (Administrator))", "910 (910 (Security advisor))" ], "type": "list" }, "header": "User type", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "sortable": false, "tooltip": "The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.", "width": Lino.chars2width(51) }, { "colIndex": 2, "dataIndex": "language", "editable": true, "editor": language7780, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.users.UsersOverview.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.UsersOverview.insertPanel = Ext.extend(Lino.users.AllUsers.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/users/UsersOverview",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    Lino.users.UsersOverview.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.UsersOverview.insertPanel(p);
});
Lino.users.UsersOverview.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.UsersOverview.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new User.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Change password", "overflowText": "Change password", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/users/UsersOverview",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    Lino.users.UsersOverview.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.UsersOverview.detailPanel(p);
});
Lino.users.UsersOverview.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UsersOverview" };
  p.params_panel = new Lino.users.UsersOverview.ParamsPanel({});
  return new Lino.users.UsersOverview.GridPanel(p);
});
Lino.users.UsersOverview.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.Me
Lino.users.Me.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/Me",
  ls_store_fields : [ { "name": "username" }, { "name": "user_type" }, 'user_typeHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "password" }, { "name": "last_login" }, { "name": "initials" }, { "name": "remarks" }, { "name": "partner" }, 'partnerHidden', { "name": "date_format" }, 'date_formatHidden', { "name": "dashboard_layout" }, { "name": "newcomer_consultations", "type": "boolean" }, { "name": "newcomer_appointments", "type": "boolean" }, { "name": "notify_myself", "type": "boolean" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "access_class" }, 'access_classHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "calendar" }, 'calendarHidden', { "name": "coaching_type" }, 'coaching_typeHidden', { "name": "coaching_supervisor", "type": "boolean" }, { "name": "newcomer_quota", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of users.", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Change password", "overflowText": "Change password", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/users/Me','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My settings",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.Me.detail;
    var ww = this.containing_window;
    var username7784 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 30, "selectOnFocus": true });
    var user_type7785 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var first_name7786 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 30, "selectOnFocus": true });
    var last_name7787 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 30, "selectOnFocus": true });
    var id7788 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email7789 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language7790 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var modified7791 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7792 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7793 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date7794 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var password7795 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var last_login7796 = new Ext.form.DisplayField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": "<br>" });
    var initials7797 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var remarks7798 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var partner7799 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Partner...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/partner" }) }) });
    var date_format7800 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.about.DateFormats });
    var dashboard_layout7801 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var newcomer_consultations7802 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var newcomer_appointments7803 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var notify_myself7804 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var mail_mode7805 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var access_class7806 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.AccessClasses });
    var event_type7807 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/event_type" }) }) });
    var calendar7808 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/calendar" }) }) });
    var coaching_type7809 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Coaching type...", "hidden": true, "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Me/coaching_type" }) }) });
    var coaching_supervisor7810 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var newcomer_quota7811 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "username", "editable": true, "editor": username7784, "filter": { "type": "string" }, "header": "Username", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.username) Must be either unique or empty.  Users with an empty username cannot\nsign in.") }, "sortable": true, "tooltip": "Must be either unique or empty.  Users with an empty username cannot\nsign in.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "user_type", "editable": true, "editor": user_type7785, "filter": { "options": [ "000 (000 (Anonymous))", "100 (100 (Integration agent))", "110 (110 (Integration agent (Manager)))", "120 (120 (Integration agent (Flexible)))", "200 (200 (Newcomers consultant))", "210 (210 (Reception clerk))", "220 (220 (Reception clerk (Flexible)))", "300 (300 (Debts consultant))", "400 (400 (Social agent))", "410 (410 (Social agent (Manager)))", "420 (420 (Social agent (Flexible)))", "500 (500 (Accountant))", "510 (510 (Accountant (Manager)))", "800 (800 (Supervisor))", "900 (900 (Administrator))", "910 (910 (Security advisor))" ], "type": "list" }, "header": "User type", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.user_type) The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.") }, "sortable": false, "tooltip": "The user type assigned to this user. User accounts having this\nfield empty cannot be used to sign in.", "width": Lino.chars2width(51) }, { "colIndex": 2, "dataIndex": "first_name", "editable": true, "editor": first_name7786, "filter": { "type": "string" }, "header": "First name", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "last_name", "editable": true, "editor": last_name7787, "filter": { "type": "string" }, "header": "Last name", "listeners": { "render": Lino.quicktip_renderer("","(users.Me.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7788, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "email", "editable": true, "editor": email7789, "filter": { "type": "string" }, "header": "e-mail address", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.email) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language7790, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date7793, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.start_date) If start_date is given, then the user cannot sign in\nbefore that date.  If end_date is given, then the user\ncannot sign in after that date.") }, "sortable": true, "tooltip": "If start_date is given, then the user cannot sign in\nbefore that date.  If end_date is given, then the user\ncannot sign in after that date.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7794, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "password", "editable": true, "editor": password7795, "filter": { "type": "string" }, "header": "password", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.password) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "last_login", "editable": true, "editor": last_login7796, "header": "last login", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.last_login) Not used in Lino.") }, "sortable": true, "tooltip": "Not used in Lino.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "initials", "editable": true, "editor": initials7797, "filter": { "type": "string" }, "header": "Initials", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.initials) The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.") }, "sortable": true, "tooltip": "The nickname or initials of this user. This does not need to be unique\nbut should be reasonably identifying.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks7798, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "partner", "editable": true, "editor": partner7799, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.partner) The partner record with additional contact information about\nthis user account.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner record with additional contact information about\nthis user account.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "date_format", "editable": true, "editor": date_format7800, "filter": { "options": [ "dd.mm.y", "dd.mm.yy", "dd/mm/y", "dd/mm/yy" ], "type": "list" }, "header": "Date format", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.date_format) The date format to use when parsing or displaying dates.") }, "sortable": false, "tooltip": "The date format to use when parsing or displaying dates.", "width": Lino.chars2width(12) }, { "colIndex": 17, "dataIndex": "dashboard_layout", "editable": true, "editor": dashboard_layout7801, "filter": { "type": "string" }, "header": "dashboard layout", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.dashboard_layout) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "newcomer_consultations", "editable": true, "filter": { "type": "boolean" }, "header": "Newcomer consultations", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.newcomer_consultations) Accepts prompt consultations for newcomers.") }, "sortable": false, "tooltip": "Accepts prompt consultations for newcomers.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "newcomer_appointments", "editable": true, "filter": { "type": "boolean" }, "header": "Newcomer appointments", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.newcomer_appointments) Accepts appointments for newcomers.") }, "sortable": false, "tooltip": "Accepts appointments for newcomers.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "notify_myself", "editable": true, "filter": { "type": "boolean" }, "header": "Notify myself", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.notify_myself) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode7805, "filter": { "options": [ "Silent", "No mails", "Mail often", "Daily email digest", "Weekly email digest" ], "type": "list" }, "header": "Notification mode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(23) }, { "colIndex": 22, "dataIndex": "access_class", "editable": true, "editor": access_class7806, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Default access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.access_class) The default access class for your calendar events and tasks.") }, "sortable": false, "tooltip": "The default access class for your calendar events and tasks.", "width": Lino.chars2width(20) }, { "colIndex": 23, "dataIndex": "event_type", "editable": true, "editor": event_type7807, "filter": { "type": "string" }, "header": "Calendar entry type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.event_type) The default type for your calendar entries.") }, "sortable": false, "tooltip": "The default type for your calendar entries.", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "calendar", "editable": true, "editor": calendar7808, "filter": { "type": "string" }, "header": "User Calendar", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.calendar) Calendar where your events are published.") }, "sortable": false, "tooltip": "Calendar where your events are published.", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "coaching_type", "editable": true, "editor": coaching_type7809, "filter": { "type": "string" }, "header": "Coaching type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.coaching_type) The coaching type used for new coachings of this user.") }, "sortable": false, "tooltip": "The coaching type used for new coachings of this user.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "coaching_supervisor", "editable": true, "filter": { "type": "boolean" }, "header": "Coaching supervisor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.coaching_supervisor) Notify me when a coach has been assigned.") }, "sortable": false, "tooltip": "Notify me when a coach has been assigned.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 27, "dataIndex": "newcomer_quota", "editable": true, "editor": newcomer_quota7811, "filter": { "type": "numeric" }, "format": "0", "header": "Newcomers Quota", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.Me.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "sortable": true, "tooltip": "Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.users.Me.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.Me.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.Me.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "change_password", "menu_item_text": "Change password", "overflowText": "Change password", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/users/Me','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "send_welcome_email", "menu_item_text": "Welcome mail", "overflowText": "Welcome mail", "panel_btn_handler": Lino.row_action_handler('send_welcome_email','GET',null), "text": " <font size=\"4\">\u2709</font>", "tooltip": "Send a welcome mail to this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/users/Me",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.Me.detail;
    Lino.users.Me.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.users.Me.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/Me" };
  return new Lino.users.Me.detailPanel(p);
});
Lino.users.Me.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/Me" };
  p.params_panel = new Lino.users.Me.ParamsPanel({});
  return new Lino.users.Me.GridPanel(p);
});
Lino.users.Me.my_settings = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "my_settings", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.send_welcome_email = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "send_welcome_email", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.Me.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/Me", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.CompaniesAndContracts
Lino.integ.CompaniesAndContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/CompaniesAndContracts",
  ls_store_fields : [ { "name": "description" }, 'descriptionHidden', { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "partner_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "partner_ptr",
  pk_index : 8,
  content_type : 9,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Organization.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Organisations externes et contrats",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    var ww = this.containing_window;
    var description7815 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var vc07816 = new Ext.form.NumberField({ "disabled": true });
    var vc17817 = new Ext.form.NumberField({ "disabled": true });
    var vc27818 = new Ext.form.NumberField({ "disabled": true });
    var vc37819 = new Ext.form.NumberField({ "disabled": true });
    var vc47820 = new Ext.form.NumberField({ "disabled": true });
    var vc57821 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.description) ") }, "renderer": Lino.fk_renderer('descriptionHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(integ.CompaniesAndContracts.description) ", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "VSE Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc0) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "VSE Arbeitssuche", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc1) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "VSE Lehre", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc2) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "VSE Vollzeitstudium", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc3) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "VSE Sprachkurs", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc4) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc5) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.CompaniesAndContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.CompaniesAndContracts.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/integ/CompaniesAndContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    Lino.integ.CompaniesAndContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  return new Lino.integ.CompaniesAndContracts.insertPanel(p);
});
Lino.integ.CompaniesAndContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.CompaniesAndContracts.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Organization.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/integ/CompaniesAndContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    Lino.integ.CompaniesAndContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  return new Lino.integ.CompaniesAndContracts.detailPanel(p);
});
Lino.integ.CompaniesAndContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.integ.CompaniesAndContracts.GridPanel(p);
});
Lino.integ.CompaniesAndContracts.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.JobProvidersAndContracts
Lino.integ.JobProvidersAndContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/JobProvidersAndContracts",
  ls_store_fields : [ { "name": "description" }, 'descriptionHidden', { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "partner_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "partner_ptr",
  pk_index : 8,
  content_type : 9,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Organization.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of integ.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job providers and contrats",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    var ww = this.containing_window;
    var description7825 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var vc07826 = new Ext.form.NumberField({ "disabled": true });
    var vc17827 = new Ext.form.NumberField({ "disabled": true });
    var vc27828 = new Ext.form.NumberField({ "disabled": true });
    var vc37829 = new Ext.form.NumberField({ "disabled": true });
    var vc47830 = new Ext.form.NumberField({ "disabled": true });
    var vc57831 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.description) ") }, "renderer": Lino.fk_renderer('descriptionHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(integ.JobProvidersAndContracts.description) ", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "avec remboursement", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc0) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "avec remboursement \u00e9cole", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc1) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "ville d'Eupen", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc2) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "\u00e9conomie sociale", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc3) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "\u00e9conomie sociale - major\u00e9", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc4) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc5) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.JobProvidersAndContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.JobProvidersAndContracts.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/integ/JobProvidersAndContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    Lino.integ.JobProvidersAndContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  return new Lino.integ.JobProvidersAndContracts.insertPanel(p);
});
Lino.integ.JobProvidersAndContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.JobProvidersAndContracts.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Organization.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/integ/JobProvidersAndContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    Lino.integ.JobProvidersAndContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  return new Lino.integ.JobProvidersAndContracts.detailPanel(p);
});
Lino.integ.JobProvidersAndContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.integ.JobProvidersAndContracts.GridPanel(p);
});
Lino.integ.JobProvidersAndContracts.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.Contracts
Lino.art61.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "company" }, 'companyHidden', { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "sub_amount_10" }, { "dateFormat": "d.m.Y", "name": "sub_start_10", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_10", "type": "date" }, { "name": "sub_amount_20" }, { "dateFormat": "d.m.Y", "name": "sub_start_20", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_20", "type": "date" }, { "name": "sub_amount_30" }, { "dateFormat": "d.m.Y", "name": "sub_start_30", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_30", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/Contracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art61 job supplyments",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.Contracts.detail;
    this.ls_insert_handler = Lino.art61.Contracts.insert;
    var ww = this.containing_window;
    var id7835 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client7836 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var client__national_id7837 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from7838 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7839 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user7840 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var type7841 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art61 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var signer17842 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/signer1" }) }) });
    var signer27843 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/signer2" }) }) });
    var contact_person7844 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_person" }) }) });
    var contact_role7845 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_role" }) }) });
    var printed_by7846 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector7847 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/sector" }) }) });
    var function7848 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/function" }) }) });
    var language7849 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until7850 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7851 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7852 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7853 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user_asd" }) }) });
    var exam_policy7854 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/exam_policy" }) }) });
    var ending7855 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var reference_person7856 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7857 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var duration7858 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var remark7859 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var company7860 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Employer...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Employers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var job_title7861 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status7862 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Status...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/status" }) }) });
    var cv_duration7863 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Contract Duration...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/cv_duration" }) }) });
    var regime7864 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/regime" }) }) });
    var sub_amount_107865 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_107866 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_107867 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_207868 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_207869 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_207870 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_307871 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_307872 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_307873 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person7844.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function7848.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities7857.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7860 !== 'undefined' && company7860.on('change',Lino.chooser_handler(contact_person7844,'company'));
      typeof sector7847 !== 'undefined' && sector7847.on('change',Lino.chooser_handler(function7848,'sector'));
      Lino.art61.Contracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7835, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7836, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id7837, "filter": { "type": "string" }, "header": "National ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from7838, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended7839, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7840, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type7841, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer17842, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer27843, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person7844, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role7845, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "sector", "editable": true, "editor": sector7847, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "function", "editable": true, "editor": function7848, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language7849, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until7850, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided7851, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued7852, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd7853, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7854, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "ending", "editable": true, "editor": ending7855, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person7856, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7857, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 23, "dataIndex": "duration", "editable": true, "editor": duration7858, "filter": { "type": "numeric" }, "format": "0", "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 24, "dataIndex": "remark", "editable": true, "editor": remark7859, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "company", "editable": true, "editor": company7860, "filter": { "type": "string" }, "header": "Employer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.Employers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "job_title", "editable": true, "editor": job_title7861, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 27, "dataIndex": "status", "editable": true, "editor": status7862, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration7863, "filter": { "type": "string" }, "header": "Contract Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "regime", "editable": true, "editor": regime7864, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 30, "dataIndex": "sub_amount_10", "editable": true, "editor": sub_amount_107865, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Hiring assistance", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.sub_amount_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 31, "dataIndex": "sub_start_10", "editable": true, "editor": sub_start_107866, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.sub_start_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 32, "dataIndex": "sub_end_10", "editable": true, "editor": sub_end_107867, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.sub_end_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 33, "dataIndex": "sub_amount_20", "editable": true, "editor": sub_amount_207868, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.sub_amount_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 34, "dataIndex": "sub_start_20", "editable": true, "editor": sub_start_207869, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.sub_start_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 35, "dataIndex": "sub_end_20", "editable": true, "editor": sub_end_207870, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.sub_end_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 36, "dataIndex": "sub_amount_30", "editable": true, "editor": sub_amount_307871, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.sub_amount_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 37, "dataIndex": "sub_start_30", "editable": true, "editor": sub_start_307872, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.sub_start_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 38, "dataIndex": "sub_end_30", "editable": true, "editor": sub_end_307873, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Contracts.sub_end_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.art61.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.Contracts.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art61/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.Contracts.detail;
    this.ls_insert_handler = Lino.art61.Contracts.insert;
    Lino.art61.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/Contracts" };
  return new Lino.art61.Contracts.insertPanel(p);
});
Lino.art61.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.Contracts.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/Contracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art61/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.Contracts.detail;
    this.ls_insert_handler = Lino.art61.Contracts.insert;
    Lino.art61.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/Contracts" };
  return new Lino.art61.Contracts.detailPanel(p);
});
Lino.art61.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/Contracts" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.Contracts.GridPanel(p);
});
Lino.art61.Contracts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.MyContracts
Lino.art61.MyContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/MyContracts",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "user" }, 'userHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "sub_amount_10" }, { "dateFormat": "d.m.Y", "name": "sub_start_10", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_10", "type": "date" }, { "name": "sub_amount_20" }, { "dateFormat": "d.m.Y", "name": "sub_start_20", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_20", "type": "date" }, { "name": "sub_amount_30" }, { "dateFormat": "d.m.Y", "name": "sub_start_30", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_30", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/MyContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art61 job supplyments",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.MyContracts.detail;
    this.ls_insert_handler = Lino.art61.MyContracts.insert;
    var ww = this.containing_window;
    var applies_from7877 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7878 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/client" }) }) });
    var type7879 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art61 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/type" }) }) });
    var company7880 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Employer...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Employers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/company" }) }) });
    var applies_until7881 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7882 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var ending7883 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/ending" }) }) });
    var id7884 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer17885 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/signer1" }) }) });
    var signer27886 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/signer2" }) }) });
    var user7887 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/user" }) }) });
    var contact_person7888 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/contact_person" }) }) });
    var contact_role7889 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/contact_role" }) }) });
    var printed_by7890 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector7891 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/sector" }) }) });
    var function7892 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/function" }) }) });
    var language7893 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided7894 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7895 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7896 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/user_asd" }) }) });
    var exam_policy7897 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/exam_policy" }) }) });
    var reference_person7898 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7899 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var duration7900 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var remark7901 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title7902 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status7903 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Status...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/status" }) }) });
    var cv_duration7904 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Contract Duration...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/cv_duration" }) }) });
    var regime7905 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/MyContracts/regime" }) }) });
    var sub_amount_107906 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_107907 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_107908 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_207909 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_207910 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_207911 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_307912 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_307913 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_307914 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person7888.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function7892.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities7899.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7880 !== 'undefined' && company7880.on('change',Lino.chooser_handler(contact_person7888,'company'));
      typeof sector7891 !== 'undefined' && sector7891.on('change',Lino.chooser_handler(function7892,'sector'));
      Lino.art61.MyContracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from7877, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7878, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type7879, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company7880, "filter": { "type": "string" }, "header": "Employer", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.Employers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "applies_until", "editable": true, "editor": applies_until7881, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "date_ended", "editable": true, "editor": date_ended7882, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "ending", "editable": true, "editor": ending7883, "filter": { "type": "string" }, "header": "Reason of termination", "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7884, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer17885, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer27886, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user7887, "filter": { "type": "string" }, "header": "Responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person7888, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role7889, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "sector", "editable": true, "editor": sector7891, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "function", "editable": true, "editor": function7892, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7893, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "date_decided", "editable": true, "editor": date_decided7894, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "date_issued", "editable": true, "editor": date_issued7895, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "user_asd", "editable": true, "editor": user_asd7896, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7897, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person7898, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7899, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 23, "dataIndex": "duration", "editable": true, "editor": duration7900, "filter": { "type": "numeric" }, "format": "0", "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 24, "dataIndex": "remark", "editable": true, "editor": remark7901, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "job_title", "editable": true, "editor": job_title7902, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 26, "dataIndex": "status", "editable": true, "editor": status7903, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration7904, "filter": { "type": "string" }, "header": "Contract Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "regime", "editable": true, "editor": regime7905, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 29, "dataIndex": "sub_amount_10", "editable": true, "editor": sub_amount_107906, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Hiring assistance", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.sub_amount_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 30, "dataIndex": "sub_start_10", "editable": true, "editor": sub_start_107907, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.sub_start_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 31, "dataIndex": "sub_end_10", "editable": true, "editor": sub_end_107908, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.sub_end_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 32, "dataIndex": "sub_amount_20", "editable": true, "editor": sub_amount_207909, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.sub_amount_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 33, "dataIndex": "sub_start_20", "editable": true, "editor": sub_start_207910, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.sub_start_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 34, "dataIndex": "sub_end_20", "editable": true, "editor": sub_end_207911, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.sub_end_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 35, "dataIndex": "sub_amount_30", "editable": true, "editor": sub_amount_307912, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.sub_amount_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 36, "dataIndex": "sub_start_30", "editable": true, "editor": sub_start_307913, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.sub_start_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 37, "dataIndex": "sub_end_30", "editable": true, "editor": sub_end_307914, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.MyContracts.sub_end_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.art61.MyContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.MyContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.MyContracts.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art61/MyContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.MyContracts.detail;
    this.ls_insert_handler = Lino.art61.MyContracts.insert;
    Lino.art61.MyContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.MyContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/MyContracts" };
  return new Lino.art61.MyContracts.insertPanel(p);
});
Lino.art61.MyContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.MyContracts.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/MyContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art61/MyContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.MyContracts.detail;
    this.ls_insert_handler = Lino.art61.MyContracts.insert;
    Lino.art61.MyContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.MyContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/MyContracts" };
  return new Lino.art61.MyContracts.detailPanel(p);
});
Lino.art61.MyContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/MyContracts" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.MyContracts.GridPanel(p);
});
Lino.art61.MyContracts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.MyContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/MyContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class immersion.Contracts
Lino.immersion.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/immersion/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "company" }, 'companyHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "goal" }, 'goalHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of immersion.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/Contracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Immersion trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.Contracts.detail;
    this.ls_insert_handler = Lino.immersion.Contracts.insert;
    var ww = this.containing_window;
    var id7918 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client7919 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/client" }) }) });
    var company7920 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/company" }) }) });
    var applies_from7921 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until7922 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user7923 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/user" }) }) });
    var type7924 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training type...", "pageSize": 20, "related_actor_id": "immersion.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/type" }) }) });
    var signer17925 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/signer1" }) }) });
    var signer27926 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/signer2" }) }) });
    var contact_person7927 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/contact_person" }) }) });
    var contact_role7928 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/contact_role" }) }) });
    var printed_by7929 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector7930 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/sector" }) }) });
    var function7931 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/function" }) }) });
    var language7932 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided7933 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7934 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7935 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/user_asd" }) }) });
    var exam_policy7936 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/exam_policy" }) }) });
    var ending7937 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/ending" }) }) });
    var date_ended7938 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var goal7939 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training goal...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "immersion.Goals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/Contracts/goal" }) }) });
    var reference_person7940 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7941 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var remark7942 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person7927.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function7931.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities7941.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7920 !== 'undefined' && company7920.on('change',Lino.chooser_handler(contact_person7927,'company'));
      typeof sector7930 !== 'undefined' && sector7930.on('change',Lino.chooser_handler(function7931,'sector'));
      Lino.immersion.Contracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7918, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7919, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "company", "editable": true, "editor": company7920, "filter": { "type": "string" }, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from7921, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "applies_until", "editable": true, "editor": applies_until7922, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7923, "filter": { "type": "string" }, "header": "responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type7924, "filter": { "type": "string" }, "header": "Immersion training type", "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer17925, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer27926, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person7927, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role7928, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "sector", "editable": true, "editor": sector7930, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "function", "editable": true, "editor": function7931, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language7932, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "date_decided", "editable": true, "editor": date_decided7933, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_issued", "editable": true, "editor": date_issued7934, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "user_asd", "editable": true, "editor": user_asd7935, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7936, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "ending", "editable": true, "editor": ending7937, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "date_ended", "editable": true, "editor": date_ended7938, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "goal", "editable": true, "editor": goal7939, "filter": { "type": "string" }, "header": "Immersion training goal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.goal) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "reference_person", "editable": true, "editor": reference_person7940, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7941, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "remark", "editable": true, "editor": remark7942, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.Contracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.immersion.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.Contracts.insertPanel = Ext.extend(Lino.immersion.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/immersion/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.Contracts.detail;
    this.ls_insert_handler = Lino.immersion.Contracts.insert;
    Lino.immersion.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/immersion/Contracts" };
  return new Lino.immersion.Contracts.insertPanel(p);
});
Lino.immersion.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.Contracts.detailPanel = Ext.extend(Lino.immersion.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/Contracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/immersion/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.Contracts.detail;
    this.ls_insert_handler = Lino.immersion.Contracts.insert;
    Lino.immersion.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/Contracts" };
  return new Lino.immersion.Contracts.detailPanel(p);
});
Lino.immersion.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/Contracts" };
  p.params_panel = new Lino.immersion.Contracts.ParamsPanel({});
  return new Lino.immersion.Contracts.GridPanel(p);
});
Lino.immersion.Contracts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class immersion.MyContracts
Lino.immersion.MyContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/immersion/MyContracts",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "user" }, 'userHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "goal" }, 'goalHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of immersion.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/MyContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Immersion trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.MyContracts.detail;
    this.ls_insert_handler = Lino.immersion.MyContracts.insert;
    var ww = this.containing_window;
    var applies_from7946 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7947 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/client" }) }) });
    var type7948 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training type...", "pageSize": 20, "related_actor_id": "immersion.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/type" }) }) });
    var company7949 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/company" }) }) });
    var applies_until7950 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7951 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var ending7952 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/ending" }) }) });
    var id7953 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer17954 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/signer1" }) }) });
    var signer27955 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/signer2" }) }) });
    var user7956 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/user" }) }) });
    var contact_person7957 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/contact_person" }) }) });
    var contact_role7958 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/contact_role" }) }) });
    var printed_by7959 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector7960 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/sector" }) }) });
    var function7961 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/function" }) }) });
    var language7962 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided7963 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7964 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7965 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/user_asd" }) }) });
    var exam_policy7966 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/exam_policy" }) }) });
    var goal7967 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training goal...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "immersion.Goals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/MyContracts/goal" }) }) });
    var reference_person7968 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7969 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var remark7970 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person7957.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function7961.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities7969.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7949 !== 'undefined' && company7949.on('change',Lino.chooser_handler(contact_person7957,'company'));
      typeof sector7960 !== 'undefined' && sector7960.on('change',Lino.chooser_handler(function7961,'sector'));
      Lino.immersion.MyContracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from7946, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7947, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type7948, "filter": { "type": "string" }, "header": "Immersion training type", "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company7949, "filter": { "type": "string" }, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "applies_until", "editable": true, "editor": applies_until7950, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "date_ended", "editable": true, "editor": date_ended7951, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "ending", "editable": true, "editor": ending7952, "filter": { "type": "string" }, "header": "Reason of termination", "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7953, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer17954, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer27955, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user7956, "filter": { "type": "string" }, "header": "responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person7957, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role7958, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "sector", "editable": true, "editor": sector7960, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "function", "editable": true, "editor": function7961, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7962, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "date_decided", "editable": true, "editor": date_decided7963, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "date_issued", "editable": true, "editor": date_issued7964, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "user_asd", "editable": true, "editor": user_asd7965, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7966, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "goal", "editable": true, "editor": goal7967, "filter": { "type": "string" }, "header": "Immersion training goal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.goal) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "reference_person", "editable": true, "editor": reference_person7968, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7969, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "remark", "editable": true, "editor": remark7970, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.MyContracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.immersion.MyContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.MyContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.MyContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.MyContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.MyContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.MyContracts.insertPanel = Ext.extend(Lino.immersion.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/immersion/MyContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.MyContracts.detail;
    this.ls_insert_handler = Lino.immersion.MyContracts.insert;
    Lino.immersion.MyContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.MyContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/immersion/MyContracts" };
  return new Lino.immersion.MyContracts.insertPanel(p);
});
Lino.immersion.MyContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.MyContracts.detailPanel = Ext.extend(Lino.immersion.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/MyContracts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/immersion/MyContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.MyContracts.detail;
    this.ls_insert_handler = Lino.immersion.MyContracts.insert;
    Lino.immersion.MyContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.MyContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/MyContracts" };
  return new Lino.immersion.MyContracts.detailPanel(p);
});
Lino.immersion.MyContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.MyContracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.MyContracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.MyContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.MyContracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.MyContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/MyContracts" };
  p.params_panel = new Lino.immersion.Contracts.ParamsPanel({});
  return new Lino.immersion.MyContracts.GridPanel(p);
});
Lino.immersion.MyContracts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.MyContracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.MyContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/MyContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.IdentifyPersonRequests
Lino.cbss.IdentifyPersonRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyPersonRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 107,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new IdentifyPerson Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate IdentifyPerson", "overflowText": "Requ\u00eate IdentifyPerson", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "IdentifyPerson Requests",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    var ww = this.containing_window;
    var user7974 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }) });
    var person7975 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var environment7976 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent7977 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status7978 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket7979 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id7980 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by7981 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml7982 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml7983 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages7984 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages7985 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id7986 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date7987 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no7988 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no7989 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name7990 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name7991 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name7992 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender7993 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance7994 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7974, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7975, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Sent", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Sent", "Failed", "Validated", "OK", "Warnings", "Errors" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7980, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Request", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Response", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id7986, "filter": { "type": "string" }, "header": "National ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date7987, "filter": { "type": "string" }, "header": "Birth date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no7988, "filter": { "type": "string" }, "header": "SIS card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no7989, "filter": { "type": "string" }, "header": "ID card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name7990, "filter": { "type": "string" }, "header": "First name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.first_name) Space-separated list of all first names.") }, "sortable": true, "tooltip": "Space-separated list of all first names.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name7991, "filter": { "type": "string" }, "header": "Last name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.last_name) Last name (family name).") }, "sortable": true, "tooltip": "Last name (family name).", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "middle_name", "editable": true, "editor": middle_name7992, "filter": { "type": "string" }, "header": "Middle name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "gender", "editable": true, "editor": gender7993, "filter": { "options": [ "Male", "Female" ], "type": "list" }, "header": "Gender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 20, "dataIndex": "tolerance", "editable": true, "editor": tolerance7994, "filter": { "type": "numeric" }, "format": "0", "header": "Tolerance", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cbss.IdentifyPersonRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyPersonRequests.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyPersonRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    Lino.cbss.IdentifyPersonRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  return new Lino.cbss.IdentifyPersonRequests.insertPanel(p);
});
Lino.cbss.IdentifyPersonRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyPersonRequests.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new IdentifyPerson Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate IdentifyPerson", "overflowText": "Requ\u00eate IdentifyPerson", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyPersonRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    Lino.cbss.IdentifyPersonRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  return new Lino.cbss.IdentifyPersonRequests.detailPanel(p);
});
Lino.cbss.IdentifyPersonRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.IdentifyPersonRequests.GridPanel(p);
});
Lino.cbss.IdentifyPersonRequests.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyIdentifyPersonRequests
Lino.cbss.MyIdentifyPersonRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyIdentifyPersonRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 107,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new IdentifyPerson Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate IdentifyPerson", "overflowText": "Requ\u00eate IdentifyPerson", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My IdentifyPerson Requests",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    var ww = this.containing_window;
    var user7998 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyIdentifyPersonRequests/user" }) }) });
    var person7999 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyIdentifyPersonRequests/person" }) }) });
    var environment8000 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8001 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8002 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8003 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8004 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8005 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8006 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8007 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8008 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8009 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8010 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date8011 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no8012 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no8013 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name8014 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8015 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name8016 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender8017 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance8018 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7998, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7999, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Sent", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Sent", "Failed", "Validated", "OK", "Warnings", "Errors" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8004, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Request", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Response", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8010, "filter": { "type": "string" }, "header": "National ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date8011, "filter": { "type": "string" }, "header": "Birth date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no8012, "filter": { "type": "string" }, "header": "SIS card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no8013, "filter": { "type": "string" }, "header": "ID card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name8014, "filter": { "type": "string" }, "header": "First name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.first_name) Space-separated list of all first names.") }, "sortable": true, "tooltip": "Space-separated list of all first names.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name8015, "filter": { "type": "string" }, "header": "Last name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.last_name) Last name (family name).") }, "sortable": true, "tooltip": "Last name (family name).", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "middle_name", "editable": true, "editor": middle_name8016, "filter": { "type": "string" }, "header": "Middle name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "gender", "editable": true, "editor": gender8017, "filter": { "options": [ "Male", "Female" ], "type": "list" }, "header": "Gender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 20, "dataIndex": "tolerance", "editable": true, "editor": tolerance8018, "filter": { "type": "numeric" }, "format": "0", "header": "Tolerance", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cbss.MyIdentifyPersonRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyIdentifyPersonRequests.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cbss/MyIdentifyPersonRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    Lino.cbss.MyIdentifyPersonRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  return new Lino.cbss.MyIdentifyPersonRequests.insertPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyIdentifyPersonRequests.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new IdentifyPerson Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate IdentifyPerson", "overflowText": "Requ\u00eate IdentifyPerson", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cbss/MyIdentifyPersonRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    Lino.cbss.MyIdentifyPersonRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  return new Lino.cbss.MyIdentifyPersonRequests.detailPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.MyIdentifyPersonRequests.GridPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.ManageAccessRequests
Lino.cbss.ManageAccessRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageAccessRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 108,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ManageAccess Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate ManageAccess", "overflowText": "Requ\u00eate ManageAccess", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageAccess Requests",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    var ww = this.containing_window;
    var user8022 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }) });
    var person8023 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var environment8024 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8025 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8026 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8027 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8028 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8029 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8030 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8031 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8032 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8033 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8034 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date8035 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no8036 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no8037 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name8038 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8039 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector8040 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose8041 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Purpose...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var start_date8042 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date8043 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action8044 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register8045 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    this.before_row_edit = function(record) {
      purpose8041.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector8040 !== 'undefined' && sector8040.on('change',Lino.chooser_handler(purpose8041,'sector'));
      Lino.cbss.ManageAccessRequests.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8022, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8023, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Sent", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Sent", "Failed", "Validated", "OK", "Warnings", "Errors" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8028, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Request", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Response", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8034, "filter": { "type": "string" }, "header": "National ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date8035, "filter": { "type": "string" }, "header": "Birth date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no8036, "filter": { "type": "string" }, "header": "SIS card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no8037, "filter": { "type": "string" }, "header": "ID card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name8038, "filter": { "type": "string" }, "header": "First name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.first_name) Space-separated list of all first names.") }, "sortable": true, "tooltip": "Space-separated list of all first names.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name8039, "filter": { "type": "string" }, "header": "Last name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.last_name) Last name (family name).") }, "sortable": true, "tooltip": "Last name (family name).", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose8041, "filter": { "type": "string" }, "header": "Purpose", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date8042, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period from", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date8043, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action8044, "filter": { "options": [ "Register", "Unregister", "List" ], "type": "list" }, "header": "Action", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(23) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register8045, "filter": { "options": [ "Primary", "Secondary", "All" ], "type": "list" }, "header": "Query Register", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(14) } ];
    Lino.cbss.ManageAccessRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequests.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    Lino.cbss.ManageAccessRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  return new Lino.cbss.ManageAccessRequests.insertPanel(p);
});
Lino.cbss.ManageAccessRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequests.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ManageAccess Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate ManageAccess", "overflowText": "Requ\u00eate ManageAccess", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    Lino.cbss.ManageAccessRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  return new Lino.cbss.ManageAccessRequests.detailPanel(p);
});
Lino.cbss.ManageAccessRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.ManageAccessRequests.GridPanel(p);
});
Lino.cbss.ManageAccessRequests.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyManageAccessRequests
Lino.cbss.MyManageAccessRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyManageAccessRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 108,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ManageAccess Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate ManageAccess", "overflowText": "Requ\u00eate ManageAccess", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My ManageAccess Requests",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    var ww = this.containing_window;
    var user8049 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/user" }) }) });
    var person8050 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/person" }) }) });
    var environment8051 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8052 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8053 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8054 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8055 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8056 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8057 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8058 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8059 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8060 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8061 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date8062 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no8063 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no8064 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name8065 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8066 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector8067 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose8068 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Purpose...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/purpose" }) }) });
    var start_date8069 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date8070 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action8071 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register8072 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    this.before_row_edit = function(record) {
      purpose8068.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector8067 !== 'undefined' && sector8067.on('change',Lino.chooser_handler(purpose8068,'sector'));
      Lino.cbss.MyManageAccessRequests.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8049, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8050, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Sent", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Sent", "Failed", "Validated", "OK", "Warnings", "Errors" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8055, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Request", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Response", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8061, "filter": { "type": "string" }, "header": "National ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date8062, "filter": { "type": "string" }, "header": "Birth date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no8063, "filter": { "type": "string" }, "header": "SIS card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no8064, "filter": { "type": "string" }, "header": "ID card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name8065, "filter": { "type": "string" }, "header": "First name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.first_name) Space-separated list of all first names.") }, "sortable": true, "tooltip": "Space-separated list of all first names.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name8066, "filter": { "type": "string" }, "header": "Last name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.last_name) Last name (family name).") }, "sortable": true, "tooltip": "Last name (family name).", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose8068, "filter": { "type": "string" }, "header": "Purpose", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date8069, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period from", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date8070, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action8071, "filter": { "options": [ "Register", "Unregister", "List" ], "type": "list" }, "header": "Action", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(23) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register8072, "filter": { "options": [ "Primary", "Secondary", "All" ], "type": "list" }, "header": "Query Register", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(14) } ];
    Lino.cbss.MyManageAccessRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyManageAccessRequests.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cbss/MyManageAccessRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    Lino.cbss.MyManageAccessRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  return new Lino.cbss.MyManageAccessRequests.insertPanel(p);
});
Lino.cbss.MyManageAccessRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyManageAccessRequests.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ManageAccess Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate ManageAccess", "overflowText": "Requ\u00eate ManageAccess", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cbss/MyManageAccessRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    Lino.cbss.MyManageAccessRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  return new Lino.cbss.MyManageAccessRequests.detailPanel(p);
});
Lino.cbss.MyManageAccessRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.MyManageAccessRequests.GridPanel(p);
});
Lino.cbss.MyManageAccessRequests.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.RetrieveTIGroupsRequests
Lino.cbss.RetrieveTIGroupsRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 109,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Tx25 Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate Tx25", "overflowText": "Requ\u00eate Tx25", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tx25 Requests",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    var ww = this.containing_window;
    var user8076 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }) });
    var person8077 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var environment8078 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8079 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8080 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8081 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8082 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8083 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8084 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8085 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8086 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8087 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8088 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language8089 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history8090 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8076, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8077, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Sent", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Sent", "Failed", "Validated", "OK", "Warnings", "Errors" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8082, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Request", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Response", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8088, "filter": { "type": "string" }, "header": "National ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language8089, "filter": { "options": [ "Dutch", "French", "German" ], "type": "list" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "History", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cbss.RetrieveTIGroupsRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequests.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    Lino.cbss.RetrieveTIGroupsRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  return new Lino.cbss.RetrieveTIGroupsRequests.insertPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequests.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Tx25 Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate Tx25", "overflowText": "Requ\u00eate Tx25", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    Lino.cbss.RetrieveTIGroupsRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  return new Lino.cbss.RetrieveTIGroupsRequests.detailPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.RetrieveTIGroupsRequests.GridPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyRetrieveTIGroupsRequests
Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyRetrieveTIGroupsRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 109,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Tx25 Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate Tx25", "overflowText": "Requ\u00eate Tx25", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Tx25 Requests",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    var ww = this.containing_window;
    var user8094 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyRetrieveTIGroupsRequests/user" }) }) });
    var person8095 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyRetrieveTIGroupsRequests/person" }) }) });
    var environment8096 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8097 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8098 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8099 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8100 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8101 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8102 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8103 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8104 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8105 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8106 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language8107 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history8108 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8094, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8095, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Sent", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Sent", "Failed", "Validated", "OK", "Warnings", "Errors" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8100, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Request", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Response", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8106, "filter": { "type": "string" }, "header": "National ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language8107, "filter": { "options": [ "Dutch", "French", "German" ], "type": "list" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "History", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cbss/MyRetrieveTIGroupsRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  return new Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Tx25 Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate Tx25", "overflowText": "Requ\u00eate Tx25", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cbss/MyRetrieveTIGroupsRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  return new Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.Notes
Lino.notes.Notes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/Notes",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "project" }, 'projectHidden', { "name": "subject" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "body" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Events/Notes",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    var ww = this.containing_window;
    var date8112 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8113 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var id8114 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user8115 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }) });
    var event_type8116 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Event Type...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type8117 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Note Type...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var project8118 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var subject8119 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var build_time8120 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8121 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8122 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/owner_type" }) }) });
    var owner_id8123 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/owner_id" }) }) });
    var contact_person8124 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_person" }) }) });
    var contact_role8125 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_role" }) }) });
    var company8126 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/company" }) }) });
    var language8127 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var important8128 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8129 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var body8130 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Body" });
    this.before_row_edit = function(record) {
      owner_id8123.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8124.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body8130.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8122 !== 'undefined' && owner_type8122.on('change',Lino.chooser_handler(owner_id8123,'owner_type'));
      typeof company8126 !== 'undefined' && company8126.on('change',Lino.chooser_handler(contact_person8124,'company'));
      Lino.notes.Notes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8112, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8113, "header": "Time", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id8114, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user8115, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "event_type", "editable": true, "editor": event_type8116, "filter": { "type": "string" }, "header": "Event Type (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type8117, "filter": { "type": "string" }, "header": "Note Type (Content)", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project8118, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "subject", "editable": true, "editor": subject8119, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method8121, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type8122, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id8123, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person8124, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role8125, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "company", "editable": true, "editor": company8126, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language8127, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Important", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner) ") }, "sortable": false, "tooltip": "(notes.Notes.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "body", "editable": true, "editor": body8130, "filter": { "type": "string" }, "header": "Body", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.notes.Notes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.Notes.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/notes/Notes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    Lino.notes.Notes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/Notes" };
  return new Lino.notes.Notes.insertPanel(p);
});
Lino.notes.Notes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.Notes.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/notes/Notes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    Lino.notes.Notes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/Notes" };
  return new Lino.notes.Notes.detailPanel(p);
});
Lino.notes.Notes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/Notes" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.Notes.GridPanel(p);
});
Lino.notes.Notes.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.MyNotes
Lino.notes.MyNotes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/MyNotes",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "project" }, 'projectHidden', { "name": "body" }, { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Events/Notes",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    var ww = this.containing_window;
    var date8134 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8135 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type8136 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Event Type...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/event_type" }) }) });
    var type8137 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Note Type...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/type" }) }) });
    var subject8138 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var project8139 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/project" }) }) });
    var body8140 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Body" });
    var id8141 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time8142 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8143 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user8144 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/user" }) }) });
    var owner_type8145 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/owner_type" }) }) });
    var owner_id8146 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/owner_id" }) }) });
    var contact_person8147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/contact_person" }) }) });
    var contact_role8148 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/contact_role" }) }) });
    var company8149 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/company" }) }) });
    var language8150 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var important8151 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8152 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      body8140.refresh();
      owner_id8146.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8147.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type8145 !== 'undefined' && owner_type8145.on('change',Lino.chooser_handler(owner_id8146,'owner_type'));
      typeof company8149 !== 'undefined' && company8149.on('change',Lino.chooser_handler(contact_person8147,'company'));
      Lino.notes.MyNotes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8134, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8135, "header": "Time", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type8136, "filter": { "type": "string" }, "header": "Event Type (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type8137, "filter": { "type": "string" }, "header": "Note Type (Content)", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject8138, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "project", "editable": true, "editor": project8139, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "body", "editable": true, "editor": body8140, "filter": { "type": "string" }, "header": "Body", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id8141, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method8143, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user8144, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type8145, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id8146, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person8147, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role8148, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "company", "editable": true, "editor": company8149, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language8150, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Important", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner) ") }, "sortable": false, "tooltip": "(notes.MyNotes.owner) ", "width": Lino.chars2width(11) } ];
    Lino.notes.MyNotes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.MyNotes.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/notes/MyNotes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    Lino.notes.MyNotes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/MyNotes" };
  return new Lino.notes.MyNotes.insertPanel(p);
});
Lino.notes.MyNotes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.MyNotes.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/notes/MyNotes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    Lino.notes.MyNotes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/MyNotes" };
  return new Lino.notes.MyNotes.detailPanel(p);
});
Lino.notes.MyNotes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/MyNotes" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.MyNotes.GridPanel(p);
});
Lino.notes.MyNotes.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.Grantings
Lino.aids.Grantings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/Grantings",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 124,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Aid granting.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aid grantings",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    var ww = this.containing_window;
    var id8156 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_date8157 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date8158 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user8159 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }) });
    var decision_date8160 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var board8161 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Board...", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var signer8162 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var state8163 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client8164 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var aid_type8165 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Aid Type...", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var category8166 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Category...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/category" }) }) });
    var request_date8167 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      board8161.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date8160 !== 'undefined' && decision_date8160.on('change',Lino.chooser_handler(board8161,'decision_date'));
      Lino.aids.Grantings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8156, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8157, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Applies from", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date8158, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user8159, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "decision_date", "editable": true, "editor": decision_date8160, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Decided", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "board", "editable": true, "editor": board8161, "filter": { "type": "string" }, "header": "Board", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer", "editable": true, "editor": signer8162, "filter": { "type": "string" }, "header": "Signer", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.signer) Pointer to the user who is expected to \u201csign\u201d this granting\n(i.e. to confirm that it is real).") }, "sortable": false, "tooltip": "Pointer to the user who is expected to \u201csign\u201d this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state8163, "filter": { "options": [ "Unconfirmed", "Confirmed" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 8, "dataIndex": "client", "editable": true, "editor": client8164, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type8165, "filter": { "type": "string" }, "header": "Aid Type", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "category", "editable": true, "editor": category8166, "filter": { "type": "string" }, "header": "Category", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "request_date", "editable": true, "editor": request_date8167, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date of request", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.aids.Grantings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.Grantings.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/aids/Grantings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    Lino.aids.Grantings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/Grantings" };
  return new Lino.aids.Grantings.insertPanel(p);
});
Lino.aids.Grantings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.Grantings.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Aid granting.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/aids/Grantings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    Lino.aids.Grantings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/Grantings" };
  return new Lino.aids.Grantings.detailPanel(p);
});
Lino.aids.Grantings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/Grantings" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.Grantings.GridPanel(p);
});
Lino.aids.Grantings.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.MyPendingGrantings
Lino.aids.MyPendingGrantings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/MyPendingGrantings",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 124,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Aid granting.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Grantings to confirm",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    var ww = this.containing_window;
    var client8171 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/client" }) }) });
    var aid_type8172 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Aid Type...", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/aid_type" }) }) });
    var category8173 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Category...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/category" }) }) });
    var start_date8174 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date8175 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user8176 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/user" }) }) });
    var workflow_buttons_disp8177 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8178 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var decision_date8179 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var board8180 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Board...", "hidden": true, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/board" }) }) });
    var signer8181 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/signer" }) }) });
    var state8182 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var request_date8183 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      board8180.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date8179 !== 'undefined' && decision_date8179.on('change',Lino.chooser_handler(board8180,'decision_date'));
      Lino.aids.MyPendingGrantings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client8171, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "aid_type", "editable": true, "editor": aid_type8172, "filter": { "type": "string" }, "header": "Aid Type", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "category", "editable": true, "editor": category8173, "filter": { "type": "string" }, "header": "Category", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date8174, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Applies from", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date8175, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8176, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id8178, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "decision_date", "editable": true, "editor": decision_date8179, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "board", "editable": true, "editor": board8180, "filter": { "type": "string" }, "header": "Board", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "signer", "editable": true, "editor": signer8181, "filter": { "type": "string" }, "header": "Signer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.signer) Pointer to the user who is expected to \u201csign\u201d this granting\n(i.e. to confirm that it is real).") }, "sortable": false, "tooltip": "Pointer to the user who is expected to \u201csign\u201d this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "state", "editable": true, "editor": state8182, "filter": { "options": [ "Unconfirmed", "Confirmed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 12, "dataIndex": "request_date", "editable": true, "editor": request_date8183, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date of request", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.aids.MyPendingGrantings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.MyPendingGrantings.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/aids/MyPendingGrantings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    Lino.aids.MyPendingGrantings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  return new Lino.aids.MyPendingGrantings.insertPanel(p);
});
Lino.aids.MyPendingGrantings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.MyPendingGrantings.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Aid granting.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/aids/MyPendingGrantings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    Lino.aids.MyPendingGrantings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  return new Lino.aids.MyPendingGrantings.detailPanel(p);
});
Lino.aids.MyPendingGrantings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.MyPendingGrantings.GridPanel(p);
});
Lino.aids.MyPendingGrantings.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.SimpleConfirmations
Lino.aids.SimpleConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/SimpleConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 125,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Confirmation simple", "overflowText": "Confirmation simple", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Simple confirmations",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp8187 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created8188 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user8189 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }) });
    var printed_disp8190 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date8191 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8192 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id8193 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_person8194 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_person" }) }) });
    var contact_role8195 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_role" }) }) });
    var company8196 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/company" }) }) });
    var printed_by8197 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8198 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var state8199 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client8200 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }) });
    var granting8201 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Aid granting...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/granting" }) }) });
    var remark8202 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Remark" });
    var language8203 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    this.before_row_edit = function(record) {
      contact_person8194.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8202.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8196 !== 'undefined' && company8196.on('change',Lino.chooser_handler(contact_person8194,'company'));
      Lino.aids.SimpleConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Simple confirmation", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.SimpleConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Created", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8189, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Printed", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date8191, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period from", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date8192, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8193, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "contact_person", "editable": true, "editor": contact_person8194, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_role", "editable": true, "editor": contact_role8195, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company8196, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer8198, "filter": { "type": "string" }, "header": "Signer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state8199, "filter": { "options": [ "Unconfirmed", "Confirmed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client8200, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting8201, "filter": { "type": "string" }, "header": "Aid granting", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark8202, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language8203, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.SimpleConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmations.detailPanel = Ext.extend(Lino.aids.SimpleConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Confirmation simple", "overflowText": "Confirmation simple", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmations.detail;
    Lino.aids.SimpleConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmations" };
  return new Lino.aids.SimpleConfirmations.detailPanel(p);
});
Lino.aids.SimpleConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmations" };
  p.params_panel = new Lino.aids.SimpleConfirmations.ParamsPanel({});
  return new Lino.aids.SimpleConfirmations.GridPanel(p);
});
Lino.aids.SimpleConfirmations.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmations
Lino.aids.IncomeConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "category" }, 'categoryHidden', { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 126,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Certificat de revenu", "overflowText": "Certificat de revenu", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Income confirmations",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp8207 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created8208 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user8209 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }) });
    var printed_disp8210 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date8211 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8212 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id8213 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_person8214 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_person" }) }) });
    var contact_role8215 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_role" }) }) });
    var company8216 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/company" }) }) });
    var printed_by8217 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8218 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var state8219 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client8220 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }) });
    var granting8221 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Aid granting...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/granting" }) }) });
    var remark8222 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Remark" });
    var language8223 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var category8224 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Category...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/category" }) }) });
    var amount8225 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      contact_person8214.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8222.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8216 !== 'undefined' && company8216.on('change',Lino.chooser_handler(contact_person8214,'company'));
      Lino.aids.IncomeConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Income confirmation", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Created", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8209, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Printed", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date8211, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period from", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date8212, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8213, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "contact_person", "editable": true, "editor": contact_person8214, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_role", "editable": true, "editor": contact_role8215, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company8216, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer8218, "filter": { "type": "string" }, "header": "Signer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state8219, "filter": { "options": [ "Unconfirmed", "Confirmed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client8220, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting8221, "filter": { "type": "string" }, "header": "Aid granting", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark8222, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language8223, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "category", "editable": true, "editor": category8224, "filter": { "type": "string" }, "header": "Category", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.category) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 18, "dataIndex": "amount", "editable": true, "editor": amount8225, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Amount", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.aids.IncomeConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmations.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Certificat de revenu", "overflowText": "Certificat de revenu", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmations.detail;
    Lino.aids.IncomeConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmations" };
  return new Lino.aids.IncomeConfirmations.detailPanel(p);
});
Lino.aids.IncomeConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmations" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmations.GridPanel(p);
});
Lino.aids.IncomeConfirmations.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.RefundConfirmations
Lino.aids.RefundConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/RefundConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "doctor_type" }, 'doctor_typeHidden', { "name": "doctor" }, 'doctorHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Refund confirmation", "overflowText": "Refund confirmation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Refund confirmations",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp8229 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created8230 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user8231 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }) });
    var printed_disp8232 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date8233 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8234 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id8235 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_person8236 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_person" }) }) });
    var contact_role8237 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_role" }) }) });
    var company8238 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/company" }) }) });
    var printed_by8239 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8240 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var state8241 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client8242 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }) });
    var granting8243 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Aid granting...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/granting" }) }) });
    var remark8244 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Remark" });
    var language8245 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var doctor_type8246 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor_type" }) }) });
    var doctor8247 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor" }) }) });
    var pharmacy8248 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/pharmacy" }) }) });
    this.before_row_edit = function(record) {
      contact_person8236.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8244.refresh();
      doctor8247.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      pharmacy8248.setContextValue('granting', record ? record.data['grantingHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company8238 !== 'undefined' && company8238.on('change',Lino.chooser_handler(contact_person8236,'company'));
      typeof doctor_type8246 !== 'undefined' && doctor_type8246.on('change',Lino.chooser_handler(doctor8247,'doctor_type'));
      typeof granting8243 !== 'undefined' && granting8243.on('change',Lino.chooser_handler(pharmacy8248,'granting'));
      Lino.aids.RefundConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Refund confirmation", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.RefundConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Created", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8231, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Printed", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date8233, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period from", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date8234, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8235, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "contact_person", "editable": true, "editor": contact_person8236, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_role", "editable": true, "editor": contact_role8237, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company8238, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer8240, "filter": { "type": "string" }, "header": "Signer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state8241, "filter": { "options": [ "Unconfirmed", "Confirmed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client8242, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting8243, "filter": { "type": "string" }, "header": "Aid granting", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark8244, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language8245, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "doctor_type", "editable": true, "editor": doctor_type8246, "filter": { "type": "string" }, "header": "Doctor type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.doctor_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "doctor", "editable": true, "editor": doctor8247, "filter": { "type": "string" }, "header": "Doctor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.doctor) ") }, "renderer": Lino.fk_renderer('doctorHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy8248, "filter": { "type": "string" }, "header": "Pharmacy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.RefundConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmations.detailPanel = Ext.extend(Lino.aids.RefundConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Refund confirmation", "overflowText": "Refund confirmation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmations.detail;
    Lino.aids.RefundConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmations" };
  return new Lino.aids.RefundConfirmations.detailPanel(p);
});
Lino.aids.RefundConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmations" };
  p.params_panel = new Lino.aids.RefundConfirmations.ParamsPanel({});
  return new Lino.aids.RefundConfirmations.GridPanel(p);
});
Lino.aids.RefundConfirmations.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.Polls
Lino.polls.Polls.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/Polls",
  ls_store_fields : [ { "name": "ref" }, { "name": "title" }, { "name": "user" }, 'userHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "details" }, { "name": "default_choiceset" }, 'default_choicesetHidden', { "name": "default_multiple_choices", "type": "boolean" }, { "name": "questions_to_add" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 130,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Poll.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of polls.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/Polls','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Polls",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.Polls.detail;
    this.ls_insert_handler = Lino.polls.Polls.insert;
    var ww = this.containing_window;
    var ref8252 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var title8253 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var user8254 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Polls/user" }) }) });
    var state8255 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.polls.PollStates });
    var id8256 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified8257 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8258 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var details8259 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var default_choiceset8260 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Choice Set...", "hidden": true, "pageSize": 20, "related_actor_id": "polls.ChoiceSets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Polls/default_choiceset" }) }) });
    var default_multiple_choices8261 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var questions_to_add8262 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref8252, "filter": { "type": "string" }, "header": "Reference", "listeners": { "render": Lino.quicktip_renderer("","(polls.Polls.ref) The reference. This must be either empty or unique.") }, "sortable": true, "tooltip": "The reference. This must be either empty or unique.", "width": Lino.chars2width(41) }, { "colIndex": 1, "dataIndex": "title", "editable": true, "editor": title8253, "filter": { "type": "string" }, "header": "Heading", "listeners": { "render": Lino.quicktip_renderer("","(polls.Polls.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8254, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(polls.Polls.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "state", "editable": true, "editor": state8255, "filter": { "options": [ "Draft", "Active", "Closed" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(polls.Polls.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8256, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.Polls.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.Polls.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.Polls.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "details", "editable": true, "editor": details8259, "filter": { "type": "string" }, "header": "Details", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.Polls.details) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "default_choiceset", "editable": true, "editor": default_choiceset8260, "filter": { "type": "string" }, "header": "Default Choiceset", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.Polls.default_choiceset) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "default_multiple_choices", "editable": true, "filter": { "type": "boolean" }, "header": "Allow multiple choices", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.Polls.default_multiple_choices) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "questions_to_add", "editable": true, "editor": questions_to_add8262, "filter": { "type": "string" }, "header": "Questions to add", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.Polls.questions_to_add) Paste text for questions to add. Every non-empty line will create one question.") }, "sortable": false, "tooltip": "Paste text for questions to add. Every non-empty line will create one question.", "width": Lino.chars2width(61) } ];
    Lino.polls.Polls.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.Polls.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Polls", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Polls.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Polls", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Polls.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Polls", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Polls.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Polls", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.Polls.insertPanel = Ext.extend(Lino.polls.Polls.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/polls/Polls",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.Polls.detail;
    this.ls_insert_handler = Lino.polls.Polls.insert;
    Lino.polls.Polls.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.Polls.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/polls/Polls" };
  return new Lino.polls.Polls.insertPanel(p);
});
Lino.polls.Polls.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Polls", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.Polls.detailPanel = Ext.extend(Lino.polls.Polls.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Poll.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/Polls','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/polls/Polls",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.Polls.detail;
    this.ls_insert_handler = Lino.polls.Polls.insert;
    Lino.polls.Polls.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.Polls.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/Polls" };
  return new Lino.polls.Polls.detailPanel(p);
});
Lino.polls.Polls.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Polls", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Polls.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/Polls" };
  p.params_panel = new Lino.polls.Polls.ParamsPanel({});
  return new Lino.polls.Polls.GridPanel(p);
});
Lino.polls.Polls.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Polls", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Polls.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Polls", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Polls.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Polls", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Polls.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Polls", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Polls.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Polls", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.MyPolls
Lino.polls.MyPolls.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/MyPolls",
  ls_store_fields : [ { "name": "ref" }, { "name": "title" }, { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "details" }, { "name": "default_choiceset" }, 'default_choicesetHidden', { "name": "default_multiple_choices", "type": "boolean" }, { "name": "questions_to_add" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 130,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Poll.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of polls.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/MyPolls','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Polls",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.MyPolls.detail;
    this.ls_insert_handler = Lino.polls.MyPolls.insert;
    var ww = this.containing_window;
    var ref8266 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var title8267 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var state8268 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.polls.PollStates });
    var id8269 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified8270 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8271 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user8272 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/MyPolls/user" }) }) });
    var details8273 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var default_choiceset8274 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Choice Set...", "hidden": true, "pageSize": 20, "related_actor_id": "polls.ChoiceSets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/MyPolls/default_choiceset" }) }) });
    var default_multiple_choices8275 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var questions_to_add8276 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref8266, "filter": { "type": "string" }, "header": "Reference", "listeners": { "render": Lino.quicktip_renderer("","(polls.MyPolls.ref) The reference. This must be either empty or unique.") }, "sortable": true, "tooltip": "The reference. This must be either empty or unique.", "width": Lino.chars2width(41) }, { "colIndex": 1, "dataIndex": "title", "editable": true, "editor": title8267, "filter": { "type": "string" }, "header": "Heading", "listeners": { "render": Lino.quicktip_renderer("","(polls.MyPolls.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "state", "editable": true, "editor": state8268, "filter": { "options": [ "Draft", "Active", "Closed" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(polls.MyPolls.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8269, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.MyPolls.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.MyPolls.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 5, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.MyPolls.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user8272, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.MyPolls.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "details", "editable": true, "editor": details8273, "filter": { "type": "string" }, "header": "Details", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.MyPolls.details) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "default_choiceset", "editable": true, "editor": default_choiceset8274, "filter": { "type": "string" }, "header": "Default Choiceset", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.MyPolls.default_choiceset) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "default_multiple_choices", "editable": true, "filter": { "type": "boolean" }, "header": "Allow multiple choices", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.MyPolls.default_multiple_choices) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "questions_to_add", "editable": true, "editor": questions_to_add8276, "filter": { "type": "string" }, "header": "Questions to add", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.MyPolls.questions_to_add) Paste text for questions to add. Every non-empty line will create one question.") }, "sortable": false, "tooltip": "Paste text for questions to add. Every non-empty line will create one question.", "width": Lino.chars2width(61) } ];
    Lino.polls.MyPolls.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.MyPolls.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyPolls", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyPolls.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyPolls", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyPolls.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyPolls", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyPolls.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyPolls", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.MyPolls.insertPanel = Ext.extend(Lino.polls.Polls.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/polls/MyPolls",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.MyPolls.detail;
    this.ls_insert_handler = Lino.polls.MyPolls.insert;
    Lino.polls.MyPolls.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.MyPolls.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/polls/MyPolls" };
  return new Lino.polls.MyPolls.insertPanel(p);
});
Lino.polls.MyPolls.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyPolls", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.MyPolls.detailPanel = Ext.extend(Lino.polls.Polls.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Poll.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/MyPolls','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/polls/MyPolls",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.MyPolls.detail;
    this.ls_insert_handler = Lino.polls.MyPolls.insert;
    Lino.polls.MyPolls.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.MyPolls.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/MyPolls" };
  return new Lino.polls.MyPolls.detailPanel(p);
});
Lino.polls.MyPolls.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyPolls", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyPolls.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/MyPolls" };
  p.params_panel = new Lino.polls.Polls.ParamsPanel({});
  return new Lino.polls.MyPolls.GridPanel(p);
});
Lino.polls.MyPolls.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyPolls", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyPolls.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyPolls", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyPolls.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyPolls", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyPolls.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyPolls", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyPolls.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyPolls", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.Responses
Lino.polls.Responses.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/Responses",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "poll" }, 'pollHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Response.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of polls.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/Responses','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Responses",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.Responses.detail;
    this.ls_insert_handler = Lino.polls.Responses.insert;
    var ww = this.containing_window;
    var id8280 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user8281 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Responses/user" }) }) });
    var poll8282 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Poll...", "pageSize": 20, "related_actor_id": "polls.Polls", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Responses/poll" }) }) });
    var date8283 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var state8284 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.polls.ResponseStates });
    var remark8285 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var partner8286 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Partner...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/Responses/partner" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8280, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(polls.Responses.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user8281, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(polls.Responses.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "poll", "editable": true, "editor": poll8282, "filter": { "type": "string" }, "header": "Poll", "listeners": { "render": Lino.quicktip_renderer("","(polls.Responses.poll) ") }, "renderer": Lino.fk_renderer('pollHidden','Lino.polls.Polls.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "date", "editable": true, "editor": date8283, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(polls.Responses.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "state", "editable": true, "editor": state8284, "filter": { "options": [ "Draft", "Registered" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(polls.Responses.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(14) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark8285, "filter": { "type": "string" }, "header": "My general remark", "listeners": { "render": Lino.quicktip_renderer("","(polls.Responses.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 6, "dataIndex": "partner", "editable": true, "editor": partner8286, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(polls.Responses.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.polls.Responses.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.Responses.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Responses", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Responses.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Responses", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Responses.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Responses", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Responses.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Responses", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.Responses.insertPanel = Ext.extend(Lino.polls.Responses.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/polls/Responses",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.Responses.detail;
    this.ls_insert_handler = Lino.polls.Responses.insert;
    Lino.polls.Responses.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.Responses.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/polls/Responses" };
  return new Lino.polls.Responses.insertPanel(p);
});
Lino.polls.Responses.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Responses", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.Responses.detailPanel = Ext.extend(Lino.polls.Responses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Response.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/Responses','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/polls/Responses",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.Responses.detail;
    this.ls_insert_handler = Lino.polls.Responses.insert;
    Lino.polls.Responses.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.Responses.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/Responses" };
  return new Lino.polls.Responses.detailPanel(p);
});
Lino.polls.Responses.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Responses", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Responses.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/Responses" };
  p.params_panel = new Lino.polls.Responses.ParamsPanel({});
  return new Lino.polls.Responses.GridPanel(p);
});
Lino.polls.Responses.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Responses", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Responses.toggle_choice = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Responses", "GET", pk, "toggle_choice", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Responses.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Responses", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Responses.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Responses", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.Responses.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/Responses", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.MyResponses
Lino.polls.MyResponses.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/MyResponses",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "poll" }, 'pollHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Response.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of polls.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/MyResponses','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Responses",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.MyResponses.detail;
    this.ls_insert_handler = Lino.polls.MyResponses.insert;
    var ww = this.containing_window;
    var date8290 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var poll8291 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Poll...", "pageSize": 20, "related_actor_id": "polls.Polls", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/MyResponses/poll" }) }) });
    var state8292 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.polls.ResponseStates });
    var remark8293 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id8294 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user8295 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/MyResponses/user" }) }) });
    var partner8296 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Partner...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/MyResponses/partner" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8290, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(polls.MyResponses.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "poll", "editable": true, "editor": poll8291, "filter": { "type": "string" }, "header": "Poll", "listeners": { "render": Lino.quicktip_renderer("","(polls.MyResponses.poll) ") }, "renderer": Lino.fk_renderer('pollHidden','Lino.polls.Polls.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "state", "editable": true, "editor": state8292, "filter": { "options": [ "Draft", "Registered" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(polls.MyResponses.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(14) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark8293, "filter": { "type": "string" }, "header": "My general remark", "listeners": { "render": Lino.quicktip_renderer("","(polls.MyResponses.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8294, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.MyResponses.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8295, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.MyResponses.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "partner", "editable": true, "editor": partner8296, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.MyResponses.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.polls.MyResponses.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.MyResponses.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyResponses", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyResponses.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyResponses", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyResponses.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyResponses", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyResponses.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyResponses", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.MyResponses.insertPanel = Ext.extend(Lino.polls.Responses.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/polls/MyResponses",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.MyResponses.detail;
    this.ls_insert_handler = Lino.polls.MyResponses.insert;
    Lino.polls.MyResponses.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.MyResponses.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/polls/MyResponses" };
  return new Lino.polls.MyResponses.insertPanel(p);
});
Lino.polls.MyResponses.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyResponses", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.MyResponses.detailPanel = Ext.extend(Lino.polls.Responses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Response.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/MyResponses','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/polls/MyResponses",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.MyResponses.detail;
    this.ls_insert_handler = Lino.polls.MyResponses.insert;
    Lino.polls.MyResponses.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.MyResponses.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/MyResponses" };
  return new Lino.polls.MyResponses.detailPanel(p);
});
Lino.polls.MyResponses.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyResponses", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyResponses.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/MyResponses" };
  p.params_panel = new Lino.polls.Responses.ParamsPanel({});
  return new Lino.polls.MyResponses.GridPanel(p);
});
Lino.polls.MyResponses.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyResponses", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyResponses.toggle_choice = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyResponses", "GET", pk, "toggle_choice", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyResponses.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyResponses", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyResponses.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyResponses", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.MyResponses.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/MyResponses", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.AnswerRemarks
Lino.polls.AnswerRemarks.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/AnswerRemarks",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "response" }, 'responseHidden', { "name": "question" }, 'questionHidden', { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 134,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Answer Remark.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of polls.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/AnswerRemarks','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Answer Remarks",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.AnswerRemarks.detail;
    this.ls_insert_handler = Lino.polls.AnswerRemarks.insert;
    var ww = this.containing_window;
    var id8300 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var response8301 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Response...", "hidden": true, "pageSize": 20, "related_actor_id": "polls.Responses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/AnswerRemarks/response" }) }) });
    var question8302 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Question...", "hidden": true, "pageSize": 20, "related_actor_id": "polls.Questions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/AnswerRemarks/question" }) }) });
    var remark8303 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8300, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswerRemarks.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "response", "editable": true, "editor": response8301, "filter": { "type": "string" }, "header": "Response", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswerRemarks.response) ") }, "renderer": Lino.fk_renderer('responseHidden','Lino.polls.Responses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "question", "editable": true, "editor": question8302, "filter": { "type": "string" }, "header": "Question", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswerRemarks.question) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark8303, "filter": { "type": "string" }, "header": "My remark", "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswerRemarks.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.polls.AnswerRemarks.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.AnswerRemarks.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarks", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswerRemarks.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarks", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswerRemarks.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarks", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswerRemarks.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarks", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.AnswerRemarks.insertPanel = Ext.extend(Lino.polls.AnswerRemarks.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/polls/AnswerRemarks",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.AnswerRemarks.detail;
    this.ls_insert_handler = Lino.polls.AnswerRemarks.insert;
    Lino.polls.AnswerRemarks.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.AnswerRemarks.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/polls/AnswerRemarks" };
  return new Lino.polls.AnswerRemarks.insertPanel(p);
});
Lino.polls.AnswerRemarks.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarks", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.AnswerRemarks.detailPanel = Ext.extend(Lino.polls.AnswerRemarks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Answer Remark.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/AnswerRemarks','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/polls/AnswerRemarks",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.AnswerRemarks.detail;
    this.ls_insert_handler = Lino.polls.AnswerRemarks.insert;
    Lino.polls.AnswerRemarks.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.AnswerRemarks.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/AnswerRemarks" };
  return new Lino.polls.AnswerRemarks.detailPanel(p);
});
Lino.polls.AnswerRemarks.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarks", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswerRemarks.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/AnswerRemarks" };
  return new Lino.polls.AnswerRemarks.GridPanel(p);
});
Lino.polls.AnswerRemarks.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarks", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswerRemarks.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarks", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.AnswerRemarksByAnswer
Lino.polls.AnswerRemarksByAnswer.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/AnswerRemarksByAnswer",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "response" }, 'responseHidden', { "name": "question" }, 'questionHidden', { "name": "remark" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 134,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Answer Remark.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of polls.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/AnswerRemarksByAnswer','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Answer Remarks",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.AnswerRemarksByAnswer.detail;
    this.ls_insert_handler = Lino.polls.AnswerRemarksByAnswer.insert;
    var ww = this.containing_window;
    var id8307 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var response8308 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Response...", "hidden": true, "pageSize": 20, "related_actor_id": "polls.Responses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/AnswerRemarksByAnswer/response" }) }) });
    var question8309 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Question...", "hidden": true, "pageSize": 20, "related_actor_id": "polls.Questions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/AnswerRemarksByAnswer/question" }) }) });
    var remark8310 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8307, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswerRemarksByAnswer.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "response", "editable": true, "editor": response8308, "filter": { "type": "string" }, "header": "Response", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswerRemarksByAnswer.response) ") }, "renderer": Lino.fk_renderer('responseHidden','Lino.polls.Responses.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "question", "editable": true, "editor": question8309, "filter": { "type": "string" }, "header": "Question", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswerRemarksByAnswer.question) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark8310, "filter": { "type": "string" }, "header": "My remark", "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswerRemarksByAnswer.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.polls.AnswerRemarksByAnswer.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.AnswerRemarksByAnswer.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarksByAnswer", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswerRemarksByAnswer.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarksByAnswer", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswerRemarksByAnswer.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarksByAnswer", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswerRemarksByAnswer.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarksByAnswer", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.AnswerRemarksByAnswer.insertPanel = Ext.extend(Lino.polls.AnswerRemarks.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/polls/AnswerRemarksByAnswer",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.AnswerRemarksByAnswer.detail;
    this.ls_insert_handler = Lino.polls.AnswerRemarksByAnswer.insert;
    Lino.polls.AnswerRemarksByAnswer.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.AnswerRemarksByAnswer.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/polls/AnswerRemarksByAnswer" };
  return new Lino.polls.AnswerRemarksByAnswer.insertPanel(p);
});
Lino.polls.AnswerRemarksByAnswer.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarksByAnswer", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.AnswerRemarksByAnswer.detailPanel = Ext.extend(Lino.polls.AnswerRemarks.DetailFormPanel,{
  empty_title: "Detail",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Answer Remark.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/AnswerRemarksByAnswer','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/polls/AnswerRemarksByAnswer",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.AnswerRemarksByAnswer.detail;
    this.ls_insert_handler = Lino.polls.AnswerRemarksByAnswer.insert;
    Lino.polls.AnswerRemarksByAnswer.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.AnswerRemarksByAnswer.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/polls/AnswerRemarksByAnswer" };
  return new Lino.polls.AnswerRemarksByAnswer.detailPanel(p);
});
Lino.polls.AnswerRemarksByAnswer.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarksByAnswer", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswerRemarksByAnswer.grid = new Lino.WindowAction({  }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/polls/AnswerRemarksByAnswer" };
  return new Lino.polls.AnswerRemarksByAnswer.GridPanel(p);
});
Lino.polls.AnswerRemarksByAnswer.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarksByAnswer", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswerRemarksByAnswer.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswerRemarksByAnswer", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class esf.Summaries
Lino.esf.Summaries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/Summaries",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "year", "type": "int", "useNull": true }, { "name": "month", "type": "int", "useNull": true }, { "name": "esf10" }, { "name": "esf20" }, { "name": "esf21" }, { "name": "esf30" }, { "name": "esf40" }, { "name": "esf41" }, { "name": "esf42" }, { "name": "esf43" }, { "name": "esf44" }, { "name": "esf50" }, { "name": "esf60" }, { "name": "esf70" }, { "name": "master" }, 'masterHidden', { "name": "education_level" }, 'education_levelHidden', { "name": "children_at_charge", "type": "boolean" }, { "name": "certified_handicap", "type": "boolean" }, { "name": "other_difficulty", "type": "boolean" }, { "name": "result" }, 'resultHidden', { "name": "remark" }, { "name": "user_modified", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of esf.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ESF Summaries",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.Summaries.detail;
    var ww = this.containing_window;
    var id8314 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var printed_by8315 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var year8316 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var month8317 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var esf108318 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf208319 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf218320 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf308321 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf408322 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf418323 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf428324 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf438325 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf448326 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf508327 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf608328 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf708329 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var master8330 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/master" }) }) });
    var education_level8331 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Level...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/education_level" }) }) });
    var children_at_charge8332 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var certified_handicap8333 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var other_difficulty8334 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var result8335 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.ParticipationCertificates) });
    var remark8336 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user_modified8337 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8314, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "year", "editable": true, "editor": year8316, "filter": { "type": "numeric" }, "format": "0", "header": "Year", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.year) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "month", "editable": true, "editor": month8317, "filter": { "type": "numeric" }, "format": "0", "header": "Month", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.month) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "esf10", "editable": true, "editor": esf108318, "filter": { "type": "string" }, "format": "", "header": "S.Inf", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf10) Informative sessions") }, "sortable": true, "tooltip": "Informative sessions", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 5, "dataIndex": "esf20", "editable": true, "editor": esf208319, "filter": { "type": "string" }, "format": "", "header": "E.Ind", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf20) Individual consultation") }, "sortable": true, "tooltip": "Individual consultation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 6, "dataIndex": "esf21", "editable": true, "editor": esf218320, "filter": { "type": "string" }, "format": "", "header": "E.For", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf21) Evaluation of external training") }, "sortable": true, "tooltip": "Evaluation of external training", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 7, "dataIndex": "esf30", "editable": true, "editor": esf308321, "filter": { "type": "string" }, "format": "", "header": "SIS", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf30) Certified integration service") }, "sortable": true, "tooltip": "Certified integration service", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 8, "dataIndex": "esf40", "editable": true, "editor": esf408322, "filter": { "type": "string" }, "format": "", "header": "Tst", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf40) Level tests") }, "sortable": true, "tooltip": "Level tests", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 9, "dataIndex": "esf41", "editable": true, "editor": esf418323, "filter": { "type": "string" }, "format": "", "header": "Info", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf41) IT basics") }, "sortable": true, "tooltip": "IT basics", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 10, "dataIndex": "esf42", "editable": true, "editor": esf428324, "filter": { "type": "string" }, "format": "", "header": "Mob", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf42) Mobility") }, "sortable": true, "tooltip": "Mobility", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 11, "dataIndex": "esf43", "editable": true, "editor": esf438325, "filter": { "type": "string" }, "format": "", "header": "Rem", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf43) Remedial teaching") }, "sortable": true, "tooltip": "Remedial teaching", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 12, "dataIndex": "esf44", "editable": true, "editor": esf448326, "filter": { "type": "string" }, "format": "", "header": "AN!", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf44) Wake up!") }, "sortable": true, "tooltip": "Wake up!", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 13, "dataIndex": "esf50", "editable": true, "editor": esf508327, "filter": { "type": "string" }, "format": "", "header": "MSP", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf50) Getting a professional situation") }, "sortable": true, "tooltip": "Getting a professional situation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 14, "dataIndex": "esf60", "editable": true, "editor": esf608328, "filter": { "type": "string" }, "format": "", "header": "CyE", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf60) Cyber Job") }, "sortable": true, "tooltip": "Cyber Job", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 15, "dataIndex": "esf70", "editable": true, "editor": esf708329, "filter": { "type": "string" }, "format": "", "header": "60\u00a77", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf70) Art 60\u00a77 job supplyment") }, "sortable": true, "tooltip": "Art 60\u00a77 job supplyment", "width": Lino.chars2width(10) }, { "colIndex": 16, "dataIndex": "master", "editable": true, "editor": master8330, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.master) The target model of the master will automatically receive an\naction check_summaries.") }, "renderer": Lino.fk_renderer('masterHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The target model of the master will automatically receive an\naction check_summaries.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "education_level", "editable": true, "editor": education_level8331, "filter": { "type": "string" }, "header": "Education Level", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.education_level) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "children_at_charge", "editable": true, "filter": { "type": "boolean" }, "header": "Children at charge", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.children_at_charge) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "certified_handicap", "editable": true, "filter": { "type": "boolean" }, "header": "Certified handicap", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.certified_handicap) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "other_difficulty", "editable": true, "filter": { "type": "boolean" }, "header": "Other difficulty", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.other_difficulty) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "result", "editable": true, "editor": result8335, "filter": { "options": [ "Epreuve d\u2019\u00e9valuation r\u00e9ussie sans titre sp\u00e9cifique" ], "type": "list" }, "header": "Participation Certificate", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.result) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(54) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark8336, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "user_modified", "editable": true, "filter": { "type": "boolean" }, "header": "User modified", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.user_modified) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.esf.Summaries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.Summaries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.esf.Summaries.detailPanel = Ext.extend(Lino.esf.Summaries.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/esf/Summaries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.Summaries.detail;
    Lino.esf.Summaries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.Summaries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/Summaries" };
  return new Lino.esf.Summaries.detailPanel(p);
});
Lino.esf.Summaries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.compute_results = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "compute_results", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/Summaries" };
  return new Lino.esf.Summaries.GridPanel(p);
});
Lino.esf.Summaries.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dashboard.Widgets
Lino.dashboard.Widgets.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dashboard/Widgets",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "user" }, 'userHidden', { "name": "item_name" }, { "name": "visible", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 136,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate this row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/dashboard/Widgets','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Widgets",
  initComponent : function() {
    var ww = this.containing_window;
    var id8341 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno8342 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user8343 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/user" }) }) });
    var item_name8344 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/item_name" }) }) });
    var visible8345 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      item_name8344.setContextValue('user', record ? record.data['userHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof user8343 !== 'undefined' && user8343.on('change',Lino.chooser_handler(item_name8344,'user'));
      Lino.dashboard.Widgets.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8341, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno8342, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8343, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "item_name", "editable": true, "editor": item_name8344, "filter": { "type": "string" }, "header": "Resource", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.item_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "visible", "editable": true, "filter": { "type": "boolean" }, "header": "Visible", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.visible) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.dashboard.Widgets.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dashboard.Widgets.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dashboard/Widgets" };
  p.params_panel = new Lino.dashboard.Widgets.ParamsPanel({});
  return new Lino.dashboard.Widgets.GridPanel(p);
});
Lino.dashboard.Widgets.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class tinymce.MyTextFieldTemplates
Lino.tinymce.MyTextFieldTemplates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/tinymce/MyTextFieldTemplates",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "name" }, { "name": "description" }, { "name": "text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 137,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Text Field Template.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of tinymce.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Text Field Templates",
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    var ww = this.containing_window;
    var id8349 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user8350 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/MyTextFieldTemplates/user" }) }) });
    var name8351 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var description8352 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var text8353 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Template Text" });
    this.before_row_edit = function(record) {
      text8353.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8349, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user8350, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name8351, "filter": { "type": "string" }, "header": "Designation", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "description", "editable": true, "editor": description8352, "filter": { "type": "string" }, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 4, "dataIndex": "text", "editable": true, "editor": text8353, "filter": { "type": "string" }, "header": "Template Text", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.text) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.tinymce.MyTextFieldTemplates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.tinymce.MyTextFieldTemplates.insertPanel = Ext.extend(Lino.tinymce.TextFieldTemplates.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/tinymce/MyTextFieldTemplates",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    Lino.tinymce.MyTextFieldTemplates.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  return new Lino.tinymce.MyTextFieldTemplates.insertPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.tinymce.MyTextFieldTemplates.detailPanel = Ext.extend(Lino.tinymce.TextFieldTemplates.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Text Field Template.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/tinymce/MyTextFieldTemplates",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    Lino.tinymce.MyTextFieldTemplates.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  return new Lino.tinymce.MyTextFieldTemplates.detailPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  p.params_panel = new Lino.tinymce.TextFieldTemplates.ParamsPanel({});
  return new Lino.tinymce.MyTextFieldTemplates.GridPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.Lines
Lino.courses.Lines.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/Lines",
  ls_store_fields : [ { "name": "ref" }, { "name": "name" }, { "name": "name_nl" }, { "name": "name_de" }, { "name": "name_en" }, { "name": "topic" }, 'topicHidden', { "name": "course_area" }, 'course_areaHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "guest_role" }, 'guest_roleHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "excerpt_title" }, { "name": "excerpt_title_nl" }, { "name": "excerpt_title_de" }, { "name": "excerpt_title_en" }, { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "body_template" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 16,
  content_type : 101,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/Lines','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Workshop lines",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.Lines.detail;
    this.ls_insert_handler = Lino.courses.Lines.insert;
    var ww = this.containing_window;
    var ref8357 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name8358 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_nl8359 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name_de8360 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en8361 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var topic8362 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Topic...", "pageSize": 20, "related_actor_id": "courses.Topics", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/topic" }) }) });
    var course_area8363 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.courses.ActivityLayouts });
    var event_type8364 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/event_type" }) }) });
    var guest_role8365 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Guest role...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/guest_role" }) }) });
    var every_unit8366 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every8367 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 1 });
    var id8368 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_person8369 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/contact_person" }) }) });
    var contact_role8370 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/contact_role" }) }) });
    var company8371 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/company" }) }) });
    var excerpt_title8372 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var excerpt_title_nl8373 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var excerpt_title_de8374 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var excerpt_title_en8375 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var description8376 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl8377 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de8378 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en8379 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var body_template8380 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Lines/body_template" }) }) });
    this.before_row_edit = function(record) {
      contact_person8369.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company8371 !== 'undefined' && company8371.on('change',Lino.chooser_handler(contact_person8369,'company'));
      Lino.courses.Lines.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref8357, "filter": { "type": "string" }, "header": "Reference", "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.ref) The reference. This must be either empty or unique.") }, "sortable": true, "tooltip": "The reference. This must be either empty or unique.", "width": Lino.chars2width(41) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name8358, "filter": { "type": "string" }, "header": "Designation", "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.name) The designation of this activity line as seen by the user\ne.g. when selecting the line.") }, "sortable": true, "tooltip": "The designation of this activity line as seen by the user\ne.g. when selecting the line.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_nl", "editable": true, "editor": name_nl8359, "filter": { "type": "string" }, "header": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.name_nl) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_de", "editable": true, "editor": name_de8360, "filter": { "type": "string" }, "header": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.name_de) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "name_en", "editable": true, "editor": name_en8361, "filter": { "type": "string" }, "header": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "topic", "editable": true, "editor": topic8362, "filter": { "type": "string" }, "header": "Topic", "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.topic) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "course_area", "editable": true, "editor": course_area8363, "filter": { "options": [ "Integration workshops", "Job search workshops" ], "type": "list" }, "header": "Layout", "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.course_area) Pointer to ActivityLayouts.  This is used only when an\napplication defines several variants of\nEnrolmentsByPupil.") }, "sortable": false, "tooltip": "Pointer to ActivityLayouts.  This is used only when an\napplication defines several variants of\nEnrolmentsByPupil.", "width": Lino.chars2width(14) }, { "colIndex": 7, "dataIndex": "event_type", "editable": true, "editor": event_type8364, "filter": { "type": "string" }, "header": "Calendar entry type", "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.event_type) The type of calendar entries to be generated. If this is empty, no calendar entries will be generated.") }, "sortable": false, "tooltip": "The type of calendar entries to be generated. If this is empty, no calendar entries will be generated.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "guest_role", "editable": true, "editor": guest_role8365, "filter": { "type": "string" }, "header": "Manage presences as", "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.guest_role) The default guest role for particpants of calendar entries for activities in this series. Leave empty if you don't want any presences management.") }, "sortable": false, "tooltip": "The default guest role for particpants of calendar entries for activities in this series. Leave empty if you don't want any presences management.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "every_unit", "editable": true, "editor": every_unit8366, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.every_unit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 10, "dataIndex": "every", "editable": true, "editor": every8367, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.every) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "id", "editable": true, "editor": id8368, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person8369, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role8370, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "company", "editable": true, "editor": company8371, "filter": { "type": "string" }, "header": "Organization", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "excerpt_title", "editable": true, "editor": excerpt_title8372, "filter": { "type": "string" }, "header": "Excerpt title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.excerpt_title) The title to be used when printing an excerpt.") }, "sortable": true, "tooltip": "The title to be used when printing an excerpt.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "excerpt_title_nl", "editable": true, "editor": excerpt_title_nl8373, "filter": { "type": "string" }, "header": "Excerpt title (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.excerpt_title_nl) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "excerpt_title_de", "editable": true, "editor": excerpt_title_de8374, "filter": { "type": "string" }, "header": "Excerpt title (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.excerpt_title_de) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "excerpt_title_en", "editable": true, "editor": excerpt_title_en8375, "filter": { "type": "string" }, "header": "Excerpt title (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.excerpt_title_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description8376, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "description_nl", "editable": true, "editor": description_nl8377, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "description_de", "editable": true, "editor": description_de8378, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "description_en", "editable": true, "editor": description_en8379, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "body_template", "editable": true, "editor": body_template8380, "filter": { "type": "string" }, "header": "Body template", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Lines.body_template) The body template to use when printing a course of this series. Leave empty to use the site's default.") }, "sortable": false, "tooltip": "The body template to use when printing a course of this series. Leave empty to use the site's default.", "width": Lino.chars2width(11) } ];
    Lino.courses.Lines.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.Lines.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Lines", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Lines.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Lines", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Lines.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Lines", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Lines.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Lines", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.Lines.insertPanel = Ext.extend(Lino.courses.Lines.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/Lines",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.Lines.detail;
    this.ls_insert_handler = Lino.courses.Lines.insert;
    Lino.courses.Lines.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.Lines.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(16), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/Lines" };
  return new Lino.courses.Lines.insertPanel(p);
});
Lino.courses.Lines.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Lines", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Lines.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Lines", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.Lines.detailPanel = Ext.extend(Lino.courses.Lines.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/Lines','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/Lines",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.Lines.detail;
    this.ls_insert_handler = Lino.courses.Lines.insert;
    Lino.courses.Lines.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.Lines.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/Lines" };
  return new Lino.courses.Lines.detailPanel(p);
});
Lino.courses.Lines.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Lines", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Lines.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/Lines" };
  return new Lino.courses.Lines.GridPanel(p);
});
Lino.courses.Lines.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Lines", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Lines.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Lines", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.Activities
Lino.courses.Activities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/Activities",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "name" }, { "name": "line" }, 'lineHidden', { "name": "teacher" }, 'teacherHidden', { "name": "room" }, 'roomHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "slot" }, 'slotHidden', { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "max_places", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/Activities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.Activities.detail;
    this.ls_insert_handler = Lino.courses.Activities.insert;
    var ww = this.containing_window;
    var start_date8384 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var name8385 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var line8386 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Workshop series...", "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/line" }) }) });
    var teacher8387 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/teacher" }) }) });
    var room8388 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/room" }) }) });
    var workflow_buttons_disp8389 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8390 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8391 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8392 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8393 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user8394 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/user" }) }) });
    var every_unit8395 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every8396 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions8397 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday8398 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday8399 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday8400 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday8401 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday8402 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday8403 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday8404 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events8405 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var max_date8406 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var slot8407 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Activities/slot" }) }) });
    var description8408 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl8409 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de8410 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en8411 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remark8412 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state8413 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var max_places8414 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var enrolments_until8415 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date8384, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name8385, "filter": { "type": "string" }, "header": "Designation", "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "line", "editable": true, "editor": line8386, "filter": { "type": "string" }, "header": "Workshop series", "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "teacher", "editable": true, "editor": teacher8387, "filter": { "type": "string" }, "header": "Instructor", "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "room", "editable": true, "editor": room8388, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8390, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "start_time", "editable": true, "editor": start_time8391, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 8, "dataIndex": "end_date", "editable": true, "editor": end_date8392, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "end_time", "editable": true, "editor": end_time8393, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user8394, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "every_unit", "editable": true, "editor": every_unit8395, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 12, "dataIndex": "every", "editable": true, "editor": every8396, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 13, "dataIndex": "positions", "editable": true, "editor": positions8397, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "max_events", "editable": true, "editor": max_events8405, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "max_date", "editable": true, "editor": max_date8406, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 23, "dataIndex": "slot", "editable": true, "editor": slot8407, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "description", "editable": true, "editor": description8408, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "description_nl", "editable": true, "editor": description_nl8409, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "description_de", "editable": true, "editor": description_de8410, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "description_en", "editable": true, "editor": description_en8411, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 28, "dataIndex": "remark", "editable": true, "editor": remark8412, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 29, "dataIndex": "state", "editable": true, "editor": state8413, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 30, "dataIndex": "max_places", "editable": true, "editor": max_places8414, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 31, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until8415, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Activities.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.courses.Activities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.Activities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.Activities.insertPanel = Ext.extend(Lino.courses.Activities.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/Activities",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.Activities.detail;
    this.ls_insert_handler = Lino.courses.Activities.insert;
    Lino.courses.Activities.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.Activities.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/Activities" };
  return new Lino.courses.Activities.insertPanel(p);
});
Lino.courses.Activities.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.Activities.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/Activities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/Activities",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.Activities.detail;
    this.ls_insert_handler = Lino.courses.Activities.insert;
    Lino.courses.Activities.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.Activities.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/Activities" };
  return new Lino.courses.Activities.detailPanel(p);
});
Lino.courses.Activities.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/Activities" };
  p.params_panel = new Lino.courses.Activities.ParamsPanel({});
  return new Lino.courses.Activities.GridPanel(p);
});
Lino.courses.Activities.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Activities.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Activities", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.ActivitiesByLayout
Lino.courses.ActivitiesByLayout.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/ActivitiesByLayout",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "name" }, { "name": "line" }, 'lineHidden', { "name": "teacher" }, 'teacherHidden', { "name": "room" }, 'roomHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "slot" }, 'slotHidden', { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "max_places", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActivitiesByLayout','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Integration workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesByLayout.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesByLayout.insert;
    var ww = this.containing_window;
    var start_date8419 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var name8420 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var line8421 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Workshop series...", "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByLayout/line" }) }) });
    var teacher8422 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByLayout/teacher" }) }) });
    var room8423 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByLayout/room" }) }) });
    var workflow_buttons_disp8424 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8425 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8426 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8427 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8428 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user8429 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByLayout/user" }) }) });
    var every_unit8430 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every8431 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions8432 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday8433 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday8434 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday8435 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday8436 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday8437 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday8438 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday8439 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events8440 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var max_date8441 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var slot8442 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByLayout/slot" }) }) });
    var description8443 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl8444 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de8445 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en8446 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remark8447 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state8448 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var max_places8449 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var enrolments_until8450 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date8419, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name8420, "filter": { "type": "string" }, "header": "Designation", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "line", "editable": true, "editor": line8421, "filter": { "type": "string" }, "header": "Workshop series", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "teacher", "editable": true, "editor": teacher8422, "filter": { "type": "string" }, "header": "Instructor", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "room", "editable": true, "editor": room8423, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8425, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "start_time", "editable": true, "editor": start_time8426, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 8, "dataIndex": "end_date", "editable": true, "editor": end_date8427, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "end_time", "editable": true, "editor": end_time8428, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user8429, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "every_unit", "editable": true, "editor": every_unit8430, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 12, "dataIndex": "every", "editable": true, "editor": every8431, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 13, "dataIndex": "positions", "editable": true, "editor": positions8432, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "max_events", "editable": true, "editor": max_events8440, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "max_date", "editable": true, "editor": max_date8441, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 23, "dataIndex": "slot", "editable": true, "editor": slot8442, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "description", "editable": true, "editor": description8443, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "description_nl", "editable": true, "editor": description_nl8444, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "description_de", "editable": true, "editor": description_de8445, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "description_en", "editable": true, "editor": description_en8446, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 28, "dataIndex": "remark", "editable": true, "editor": remark8447, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 29, "dataIndex": "state", "editable": true, "editor": state8448, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 30, "dataIndex": "max_places", "editable": true, "editor": max_places8449, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 31, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until8450, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLayout.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.courses.ActivitiesByLayout.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesByLayout.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ActivitiesByLayout.insertPanel = Ext.extend(Lino.courses.Activities.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/ActivitiesByLayout",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesByLayout.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesByLayout.insert;
    Lino.courses.ActivitiesByLayout.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesByLayout.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/ActivitiesByLayout" };
  return new Lino.courses.ActivitiesByLayout.insertPanel(p);
});
Lino.courses.ActivitiesByLayout.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ActivitiesByLayout.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActivitiesByLayout','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/ActivitiesByLayout",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesByLayout.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesByLayout.insert;
    Lino.courses.ActivitiesByLayout.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesByLayout.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActivitiesByLayout" };
  return new Lino.courses.ActivitiesByLayout.detailPanel(p);
});
Lino.courses.ActivitiesByLayout.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActivitiesByLayout" };
  p.params_panel = new Lino.courses.Activities.ParamsPanel({});
  return new Lino.courses.ActivitiesByLayout.GridPanel(p);
});
Lino.courses.ActivitiesByLayout.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLayout.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLayout", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.MyActivities
Lino.courses.MyActivities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/MyActivities",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "room" }, 'roomHidden', { "name": "name" }, { "name": "line" }, 'lineHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "teacher" }, 'teacherHidden', { "name": "slot" }, 'slotHidden', { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "max_places", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/MyActivities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.MyActivities.detail;
    this.ls_insert_handler = Lino.courses.MyActivities.insert;
    var ww = this.containing_window;
    var start_date8454 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var room8455 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/MyActivities/room" }) }) });
    var name8456 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var line8457 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Workshop series...", "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/MyActivities/line" }) }) });
    var workflow_buttons_disp8458 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8459 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8460 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8461 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8462 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user8463 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/MyActivities/user" }) }) });
    var every_unit8464 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every8465 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions8466 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday8467 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday8468 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday8469 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday8470 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday8471 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday8472 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday8473 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events8474 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var max_date8475 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var teacher8476 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/MyActivities/teacher" }) }) });
    var slot8477 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/MyActivities/slot" }) }) });
    var description8478 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl8479 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de8480 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en8481 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remark8482 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state8483 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var max_places8484 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var enrolments_until8485 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date8454, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(9), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "room", "editable": true, "editor": room8455, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name8456, "filter": { "type": "string" }, "header": "Designation", "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "line", "editable": true, "editor": line8457, "filter": { "type": "string" }, "header": "Workshop series", "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8459, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "start_time", "editable": true, "editor": start_time8460, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 7, "dataIndex": "end_date", "editable": true, "editor": end_date8461, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "end_time", "editable": true, "editor": end_time8462, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "user", "editable": true, "editor": user8463, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "every_unit", "editable": true, "editor": every_unit8464, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 11, "dataIndex": "every", "editable": true, "editor": every8465, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "positions", "editable": true, "editor": positions8466, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "max_events", "editable": true, "editor": max_events8474, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "max_date", "editable": true, "editor": max_date8475, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "teacher", "editable": true, "editor": teacher8476, "filter": { "type": "string" }, "header": "Instructor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "slot", "editable": true, "editor": slot8477, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "description", "editable": true, "editor": description8478, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "description_nl", "editable": true, "editor": description_nl8479, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "description_de", "editable": true, "editor": description_de8480, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "description_en", "editable": true, "editor": description_en8481, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 28, "dataIndex": "remark", "editable": true, "editor": remark8482, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 29, "dataIndex": "state", "editable": true, "editor": state8483, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 30, "dataIndex": "max_places", "editable": true, "editor": max_places8484, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 31, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until8485, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.MyActivities.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.courses.MyActivities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.MyActivities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.MyActivities.insertPanel = Ext.extend(Lino.courses.Activities.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/MyActivities",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.MyActivities.detail;
    this.ls_insert_handler = Lino.courses.MyActivities.insert;
    Lino.courses.MyActivities.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.MyActivities.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/MyActivities" };
  return new Lino.courses.MyActivities.insertPanel(p);
});
Lino.courses.MyActivities.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.MyActivities.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/MyActivities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/MyActivities",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.MyActivities.detail;
    this.ls_insert_handler = Lino.courses.MyActivities.insert;
    Lino.courses.MyActivities.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.MyActivities.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/MyActivities" };
  return new Lino.courses.MyActivities.detailPanel(p);
});
Lino.courses.MyActivities.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/MyActivities" };
  p.params_panel = new Lino.courses.Activities.ParamsPanel({});
  return new Lino.courses.MyActivities.GridPanel(p);
});
Lino.courses.MyActivities.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.MyActivities.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/MyActivities", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.DraftActivities
Lino.courses.DraftActivities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/DraftActivities",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "room" }, 'roomHidden', { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "line" }, 'lineHidden', { "name": "teacher" }, 'teacherHidden', { "name": "slot" }, 'slotHidden', { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "max_places", "type": "int", "useNull": true }, { "name": "name" }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/DraftActivities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Draft workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.DraftActivities.detail;
    this.ls_insert_handler = Lino.courses.DraftActivities.insert;
    var ww = this.containing_window;
    var detail_link_disp8489 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var room8490 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/DraftActivities/room" }) }) });
    var description8491 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var description_nl8492 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de8493 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var description_en8494 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id8495 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date8496 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8497 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8498 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8499 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user8500 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/DraftActivities/user" }) }) });
    var every_unit8501 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every8502 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions8503 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday8504 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday8505 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday8506 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday8507 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday8508 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday8509 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday8510 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events8511 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var max_date8512 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var line8513 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Workshop series...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/DraftActivities/line" }) }) });
    var teacher8514 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/DraftActivities/teacher" }) }) });
    var slot8515 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/DraftActivities/slot" }) }) });
    var remark8516 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state8517 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var max_places8518 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name8519 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var enrolments_until8520 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Workshop", "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.detail_link) ") }, "sortable": false, "tooltip": "(courses.DraftActivities.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "room", "editable": true, "editor": room8490, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "description", "editable": true, "editor": description8491, "filter": { "type": "string" }, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 3, "dataIndex": "description_nl", "editable": true, "editor": description_nl8492, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 4, "dataIndex": "description_de", "editable": true, "editor": description_de8493, "filter": { "type": "string" }, "header": "Description (de)", "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "description_en", "editable": true, "editor": description_en8494, "filter": { "type": "string" }, "header": "Description (en)", "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8495, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "start_date", "editable": true, "editor": start_date8496, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time8497, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "end_date", "editable": true, "editor": end_date8498, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_time", "editable": true, "editor": end_time8499, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "user", "editable": true, "editor": user8500, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "every_unit", "editable": true, "editor": every_unit8501, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 13, "dataIndex": "every", "editable": true, "editor": every8502, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 14, "dataIndex": "positions", "editable": true, "editor": positions8503, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 22, "dataIndex": "max_events", "editable": true, "editor": max_events8511, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 23, "dataIndex": "max_date", "editable": true, "editor": max_date8512, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 24, "dataIndex": "line", "editable": true, "editor": line8513, "filter": { "type": "string" }, "header": "Workshop series", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "teacher", "editable": true, "editor": teacher8514, "filter": { "type": "string" }, "header": "Instructor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "slot", "editable": true, "editor": slot8515, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "remark", "editable": true, "editor": remark8516, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 28, "dataIndex": "state", "editable": true, "editor": state8517, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 29, "dataIndex": "max_places", "editable": true, "editor": max_places8518, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 30, "dataIndex": "name", "editable": true, "editor": name8519, "filter": { "type": "string" }, "header": "Designation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 31, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until8520, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.DraftActivities.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.courses.DraftActivities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.DraftActivities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.DraftActivities.insertPanel = Ext.extend(Lino.courses.Activities.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/DraftActivities",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.DraftActivities.detail;
    this.ls_insert_handler = Lino.courses.DraftActivities.insert;
    Lino.courses.DraftActivities.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.DraftActivities.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/DraftActivities" };
  return new Lino.courses.DraftActivities.insertPanel(p);
});
Lino.courses.DraftActivities.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.DraftActivities.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/DraftActivities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/DraftActivities",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.DraftActivities.detail;
    this.ls_insert_handler = Lino.courses.DraftActivities.insert;
    Lino.courses.DraftActivities.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.DraftActivities.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/DraftActivities" };
  return new Lino.courses.DraftActivities.detailPanel(p);
});
Lino.courses.DraftActivities.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/DraftActivities" };
  p.params_panel = new Lino.courses.Activities.ParamsPanel({});
  return new Lino.courses.DraftActivities.GridPanel(p);
});
Lino.courses.DraftActivities.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.DraftActivities.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/DraftActivities", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.ActiveActivities
Lino.courses.ActiveActivities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/ActiveActivities",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "enrolments" }, { "name": "free_places", "type": "int", "useNull": true }, { "name": "room" }, 'roomHidden', { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "line" }, 'lineHidden', { "name": "teacher" }, 'teacherHidden', { "name": "slot" }, 'slotHidden', { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "max_places", "type": "int", "useNull": true }, { "name": "name" }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActiveActivities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Active workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActiveActivities.detail;
    this.ls_insert_handler = Lino.courses.ActiveActivities.insert;
    var ww = this.containing_window;
    var detail_link_disp8524 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var enrolments8525 = new Ext.form.NumberField({ "disabled": true });
    var free_places8526 = new Ext.form.NumberField({ "disabled": true });
    var room8527 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActiveActivities/room" }) }) });
    var description8528 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var description_nl8529 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de8530 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var description_en8531 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id8532 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date8533 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8534 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8535 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8536 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user8537 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActiveActivities/user" }) }) });
    var every_unit8538 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every8539 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions8540 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday8541 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday8542 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday8543 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday8544 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday8545 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday8546 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday8547 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events8548 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var max_date8549 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var line8550 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Workshop series...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActiveActivities/line" }) }) });
    var teacher8551 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActiveActivities/teacher" }) }) });
    var slot8552 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActiveActivities/slot" }) }) });
    var remark8553 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state8554 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var max_places8555 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name8556 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var enrolments_until8557 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Workshop", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.detail_link) ") }, "sortable": false, "tooltip": "(courses.ActiveActivities.detail_link) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "enrolments", "editable": false, "format": "0", "header": "Enrolments", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.enrolments) ") }, "sortable": true, "tooltip": "(courses.ActiveActivities.enrolments) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "free_places", "editable": false, "format": "0", "header": "Free places", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.free_places) Number of free places.") }, "sortable": true, "tooltip": "Number of free places.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "room", "editable": true, "editor": room8527, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description8528, "filter": { "type": "string" }, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "description_nl", "editable": true, "editor": description_nl8529, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 6, "dataIndex": "description_de", "editable": true, "editor": description_de8530, "filter": { "type": "string" }, "header": "Description (de)", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 7, "dataIndex": "description_en", "editable": true, "editor": description_en8531, "filter": { "type": "string" }, "header": "Description (en)", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id8532, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date8533, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "start_time", "editable": true, "editor": start_time8534, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "end_date", "editable": true, "editor": end_date8535, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "end_time", "editable": true, "editor": end_time8536, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 13, "dataIndex": "user", "editable": true, "editor": user8537, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "every_unit", "editable": true, "editor": every_unit8538, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 15, "dataIndex": "every", "editable": true, "editor": every8539, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 16, "dataIndex": "positions", "editable": true, "editor": positions8540, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 22, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 24, "dataIndex": "max_events", "editable": true, "editor": max_events8548, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 25, "dataIndex": "max_date", "editable": true, "editor": max_date8549, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 26, "dataIndex": "line", "editable": true, "editor": line8550, "filter": { "type": "string" }, "header": "Workshop series", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "teacher", "editable": true, "editor": teacher8551, "filter": { "type": "string" }, "header": "Instructor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "slot", "editable": true, "editor": slot8552, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "remark", "editable": true, "editor": remark8553, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 30, "dataIndex": "state", "editable": true, "editor": state8554, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 31, "dataIndex": "max_places", "editable": true, "editor": max_places8555, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 32, "dataIndex": "name", "editable": true, "editor": name8556, "filter": { "type": "string" }, "header": "Designation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 33, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until8557, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActiveActivities.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.courses.ActiveActivities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActiveActivities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ActiveActivities.insertPanel = Ext.extend(Lino.courses.Activities.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/ActiveActivities",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActiveActivities.detail;
    this.ls_insert_handler = Lino.courses.ActiveActivities.insert;
    Lino.courses.ActiveActivities.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActiveActivities.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/ActiveActivities" };
  return new Lino.courses.ActiveActivities.insertPanel(p);
});
Lino.courses.ActiveActivities.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ActiveActivities.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActiveActivities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/ActiveActivities",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActiveActivities.detail;
    this.ls_insert_handler = Lino.courses.ActiveActivities.insert;
    Lino.courses.ActiveActivities.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActiveActivities.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActiveActivities" };
  return new Lino.courses.ActiveActivities.detailPanel(p);
});
Lino.courses.ActiveActivities.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActiveActivities" };
  p.params_panel = new Lino.courses.Activities.ParamsPanel({});
  return new Lino.courses.ActiveActivities.GridPanel(p);
});
Lino.courses.ActiveActivities.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActiveActivities.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActiveActivities", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.InactiveActivities
Lino.courses.InactiveActivities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/InactiveActivities",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "enrolments" }, { "name": "free_places", "type": "int", "useNull": true }, { "name": "room" }, 'roomHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "line" }, 'lineHidden', { "name": "teacher" }, 'teacherHidden', { "name": "slot" }, 'slotHidden', { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "max_places", "type": "int", "useNull": true }, { "name": "name" }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/InactiveActivities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Inactive workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.InactiveActivities.detail;
    this.ls_insert_handler = Lino.courses.InactiveActivities.insert;
    var ww = this.containing_window;
    var detail_link_disp8561 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var enrolments8562 = new Ext.form.NumberField({ "disabled": true });
    var free_places8563 = new Ext.form.NumberField({ "disabled": true });
    var room8564 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/InactiveActivities/room" }) }) });
    var id8565 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date8566 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8567 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8568 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8569 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user8570 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/InactiveActivities/user" }) }) });
    var every_unit8571 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every8572 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions8573 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday8574 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday8575 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday8576 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday8577 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday8578 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday8579 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday8580 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events8581 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var max_date8582 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var line8583 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Workshop series...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/InactiveActivities/line" }) }) });
    var teacher8584 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/InactiveActivities/teacher" }) }) });
    var slot8585 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/InactiveActivities/slot" }) }) });
    var description8586 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl8587 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de8588 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en8589 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remark8590 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state8591 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var max_places8592 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name8593 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var enrolments_until8594 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Workshop", "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.detail_link) ") }, "sortable": false, "tooltip": "(courses.InactiveActivities.detail_link) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "enrolments", "editable": false, "format": "0", "header": "Enrolments", "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.enrolments) ") }, "sortable": true, "tooltip": "(courses.InactiveActivities.enrolments) ", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "free_places", "editable": false, "format": "0", "header": "Free places", "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.free_places) Number of free places.") }, "sortable": true, "tooltip": "Number of free places.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "room", "editable": true, "editor": room8564, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8565, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "start_date", "editable": true, "editor": start_date8566, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "start_time", "editable": true, "editor": start_time8567, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 7, "dataIndex": "end_date", "editable": true, "editor": end_date8568, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "end_time", "editable": true, "editor": end_time8569, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "user", "editable": true, "editor": user8570, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "every_unit", "editable": true, "editor": every_unit8571, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 11, "dataIndex": "every", "editable": true, "editor": every8572, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "positions", "editable": true, "editor": positions8573, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "max_events", "editable": true, "editor": max_events8581, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "max_date", "editable": true, "editor": max_date8582, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "line", "editable": true, "editor": line8583, "filter": { "type": "string" }, "header": "Workshop series", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "teacher", "editable": true, "editor": teacher8584, "filter": { "type": "string" }, "header": "Instructor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "slot", "editable": true, "editor": slot8585, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "description", "editable": true, "editor": description8586, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "description_nl", "editable": true, "editor": description_nl8587, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "description_de", "editable": true, "editor": description_de8588, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 28, "dataIndex": "description_en", "editable": true, "editor": description_en8589, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 29, "dataIndex": "remark", "editable": true, "editor": remark8590, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 30, "dataIndex": "state", "editable": true, "editor": state8591, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 31, "dataIndex": "max_places", "editable": true, "editor": max_places8592, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 32, "dataIndex": "name", "editable": true, "editor": name8593, "filter": { "type": "string" }, "header": "Designation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 33, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until8594, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.InactiveActivities.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.courses.InactiveActivities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.InactiveActivities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.InactiveActivities.insertPanel = Ext.extend(Lino.courses.Activities.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/InactiveActivities",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.InactiveActivities.detail;
    this.ls_insert_handler = Lino.courses.InactiveActivities.insert;
    Lino.courses.InactiveActivities.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.InactiveActivities.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/InactiveActivities" };
  return new Lino.courses.InactiveActivities.insertPanel(p);
});
Lino.courses.InactiveActivities.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.InactiveActivities.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/InactiveActivities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/InactiveActivities",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.InactiveActivities.detail;
    this.ls_insert_handler = Lino.courses.InactiveActivities.insert;
    Lino.courses.InactiveActivities.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.InactiveActivities.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/InactiveActivities" };
  return new Lino.courses.InactiveActivities.detailPanel(p);
});
Lino.courses.InactiveActivities.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/InactiveActivities" };
  p.params_panel = new Lino.courses.Activities.ParamsPanel({});
  return new Lino.courses.InactiveActivities.GridPanel(p);
});
Lino.courses.InactiveActivities.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.InactiveActivities.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/InactiveActivities", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.ClosedActivities
Lino.courses.ClosedActivities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/ClosedActivities",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "enrolments" }, { "name": "room" }, 'roomHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "line" }, 'lineHidden', { "name": "teacher" }, 'teacherHidden', { "name": "slot" }, 'slotHidden', { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "max_places", "type": "int", "useNull": true }, { "name": "name" }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ClosedActivities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Closed workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ClosedActivities.detail;
    this.ls_insert_handler = Lino.courses.ClosedActivities.insert;
    var ww = this.containing_window;
    var detail_link_disp8598 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var enrolments8599 = new Ext.form.NumberField({ "disabled": true });
    var room8600 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ClosedActivities/room" }) }) });
    var id8601 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date8602 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8603 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8604 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8605 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user8606 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ClosedActivities/user" }) }) });
    var every_unit8607 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every8608 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions8609 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday8610 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday8611 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday8612 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday8613 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday8614 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday8615 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday8616 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events8617 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var max_date8618 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var line8619 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Workshop series...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ClosedActivities/line" }) }) });
    var teacher8620 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ClosedActivities/teacher" }) }) });
    var slot8621 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ClosedActivities/slot" }) }) });
    var description8622 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl8623 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de8624 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en8625 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remark8626 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state8627 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var max_places8628 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name8629 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var enrolments_until8630 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Workshop", "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.detail_link) ") }, "sortable": false, "tooltip": "(courses.ClosedActivities.detail_link) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "enrolments", "editable": false, "format": "0", "header": "Enrolments", "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.enrolments) ") }, "sortable": true, "tooltip": "(courses.ClosedActivities.enrolments) ", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "room", "editable": true, "editor": room8600, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8601, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date8602, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "start_time", "editable": true, "editor": start_time8603, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 6, "dataIndex": "end_date", "editable": true, "editor": end_date8604, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "end_time", "editable": true, "editor": end_time8605, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user8606, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "every_unit", "editable": true, "editor": every_unit8607, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 10, "dataIndex": "every", "editable": true, "editor": every8608, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "positions", "editable": true, "editor": positions8609, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 19, "dataIndex": "max_events", "editable": true, "editor": max_events8617, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "max_date", "editable": true, "editor": max_date8618, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "line", "editable": true, "editor": line8619, "filter": { "type": "string" }, "header": "Workshop series", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "teacher", "editable": true, "editor": teacher8620, "filter": { "type": "string" }, "header": "Instructor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "slot", "editable": true, "editor": slot8621, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "description", "editable": true, "editor": description8622, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "description_nl", "editable": true, "editor": description_nl8623, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "description_de", "editable": true, "editor": description_de8624, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "description_en", "editable": true, "editor": description_en8625, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 28, "dataIndex": "remark", "editable": true, "editor": remark8626, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 29, "dataIndex": "state", "editable": true, "editor": state8627, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 30, "dataIndex": "max_places", "editable": true, "editor": max_places8628, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 31, "dataIndex": "name", "editable": true, "editor": name8629, "filter": { "type": "string" }, "header": "Designation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 32, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until8630, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ClosedActivities.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.courses.ClosedActivities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ClosedActivities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ClosedActivities.insertPanel = Ext.extend(Lino.courses.Activities.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/ClosedActivities",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ClosedActivities.detail;
    this.ls_insert_handler = Lino.courses.ClosedActivities.insert;
    Lino.courses.ClosedActivities.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ClosedActivities.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/ClosedActivities" };
  return new Lino.courses.ClosedActivities.insertPanel(p);
});
Lino.courses.ClosedActivities.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ClosedActivities.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ClosedActivities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/ClosedActivities",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ClosedActivities.detail;
    this.ls_insert_handler = Lino.courses.ClosedActivities.insert;
    Lino.courses.ClosedActivities.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ClosedActivities.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ClosedActivities" };
  return new Lino.courses.ClosedActivities.detailPanel(p);
});
Lino.courses.ClosedActivities.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ClosedActivities" };
  p.params_panel = new Lino.courses.Activities.ParamsPanel({});
  return new Lino.courses.ClosedActivities.GridPanel(p);
});
Lino.courses.ClosedActivities.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ClosedActivities.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ClosedActivities", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.Enrolments
Lino.courses.Enrolments.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/Enrolments",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "course" }, 'courseHidden', { "name": "course__state" }, 'course__stateHidden', { "name": "pupil" }, 'pupilHidden', { "name": "workflow_buttons" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "course_area" }, 'course_areaHidden', { "name": "state" }, 'stateHidden', { "name": "places", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "confirmation_details" }, { "name": "motivation" }, { "name": "problems" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Enrolment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Inscription", "overflowText": "Inscription", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/Enrolments','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Enrolments",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.Enrolments.detail;
    this.ls_insert_handler = Lino.courses.Enrolments.insert;
    var ww = this.containing_window;
    var request_date8634 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var course8635 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Workshop...", "pageSize": 20, "related_actor_id": "courses.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Enrolments/course" }) }) });
    var course__state8636 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "10", "Draft" ], [ "20", "Started" ], [ "30", "Inactive" ], [ "40", "Closed" ] ], "value": null });
    var pupil8637 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Client...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Enrolments/pupil" }) }) });
    var workflow_buttons_disp8638 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8639 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/Enrolments/user" }) }) });
    var id8640 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date8641 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date8642 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8643 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var course_area8644 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": [['','<br>']].concat(Lino.courses.ActivityLayouts) });
    var state8645 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.EnrolmentStates });
    var places8646 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark8647 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var confirmation_details8648 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var motivation8649 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Motif de l'orientation" });
    var problems8650 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es" });
    this.before_row_edit = function(record) {
      course8635.setContextValue('course_area', record ? record.data['course_areaHidden'] : undefined);
      course8635.setContextValue('request_date', record ? record.data['request_date'] : undefined);
      pupil8637.setContextValue('course', record ? record.data['courseHidden'] : undefined);
      motivation8649.refresh();
      problems8650.refresh();
    };
    this.onRender = function(ct, position) {
      typeof course_area8644 !== 'undefined' && course_area8644.on('change',Lino.chooser_handler(course8635,'course_area'));
      typeof request_date8634 !== 'undefined' && request_date8634.on('change',Lino.chooser_handler(course8635,'request_date'));
      typeof course8635 !== 'undefined' && course8635.on('change',Lino.chooser_handler(pupil8637,'course'));
      Lino.courses.Enrolments.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "request_date", "editable": true, "editor": request_date8634, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date of request", "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "course", "editable": true, "editor": course8635, "filter": { "type": "string" }, "header": "Workshop", "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.course) ") }, "renderer": Lino.fk_renderer('courseHidden','Lino.courses.Activities.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "course__state", "editable": true, "editor": course__state8636, "filter": { "type": "string" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.course__state) The workflow state field.") }, "sortable": true, "tooltip": "The workflow state field.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "pupil", "editable": true, "editor": pupil8637, "filter": { "type": "string" }, "header": "Participant", "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.pupil) ") }, "renderer": Lino.fk_renderer('pupilHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8639, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8640, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "start_date", "editable": true, "editor": start_date8641, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "end_date", "editable": true, "editor": end_date8642, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "course_area", "editable": false, "filter": { "options": [ "Integration workshops", "Job search workshops" ], "type": "list" }, "header": "Layout", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.course_area) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 11, "dataIndex": "state", "editable": true, "editor": state8645, "filter": { "options": [ "Requested", "Never came", "Confirmed", "Cancelled", "Started", "Finished" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.state) One of lino_xl.lib.courses.EnrolmentStates.") }, "sortable": false, "tooltip": "One of lino_xl.lib.courses.EnrolmentStates.", "width": Lino.chars2width(15) }, { "align": "right", "colIndex": 12, "dataIndex": "places", "editable": true, "editor": places8646, "filter": { "type": "numeric" }, "format": "0", "header": "Places used", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.places) The number of participants in this enrolment.") }, "sortable": true, "tooltip": "The number of participants in this enrolment.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 13, "dataIndex": "remark", "editable": true, "editor": remark8647, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "confirmation_details", "editable": true, "editor": confirmation_details8648, "filter": { "type": "string" }, "header": "Confirmation details", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.confirmation_details) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "motivation", "editable": true, "editor": motivation8649, "filter": { "type": "string" }, "header": "Motif de l'orientation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.motivation) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "problems", "editable": true, "editor": problems8650, "filter": { "type": "string" }, "header": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.Enrolments.problems) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.courses.Enrolments.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.Enrolments.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.Enrolments.insertPanel = Ext.extend(Lino.courses.Enrolments.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/Enrolments",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.Enrolments.detail;
    this.ls_insert_handler = Lino.courses.Enrolments.insert;
    Lino.courses.Enrolments.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.Enrolments.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/Enrolments" };
  return new Lino.courses.Enrolments.insertPanel(p);
});
Lino.courses.Enrolments.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.Enrolments.detailPanel = Ext.extend(Lino.courses.Enrolments.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Enrolment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Inscription", "overflowText": "Inscription", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/Enrolments','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/Enrolments",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.Enrolments.detail;
    this.ls_insert_handler = Lino.courses.Enrolments.insert;
    Lino.courses.Enrolments.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.Enrolments.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/Enrolments" };
  return new Lino.courses.Enrolments.detailPanel(p);
});
Lino.courses.Enrolments.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/Enrolments" };
  p.params_panel = new Lino.courses.Enrolments.ParamsPanel({});
  return new Lino.courses.Enrolments.GridPanel(p);
});
Lino.courses.Enrolments.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.Enrolments.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/Enrolments", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.JobCourses
Lino.courses.JobCourses.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/JobCourses",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "name" }, { "name": "line" }, 'lineHidden', { "name": "teacher" }, 'teacherHidden', { "name": "room" }, 'roomHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "slot" }, 'slotHidden', { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "max_places", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/JobCourses','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job search workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.JobCourses.detail;
    this.ls_insert_handler = Lino.courses.JobCourses.insert;
    var ww = this.containing_window;
    var start_date8654 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var name8655 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var line8656 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Workshop series...", "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/JobCourses/line" }) }) });
    var teacher8657 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/JobCourses/teacher" }) }) });
    var room8658 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/JobCourses/room" }) }) });
    var workflow_buttons_disp8659 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8660 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8661 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8662 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8663 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user8664 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/JobCourses/user" }) }) });
    var every_unit8665 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every8666 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions8667 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday8668 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday8669 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday8670 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday8671 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday8672 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday8673 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday8674 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events8675 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var max_date8676 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var slot8677 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/JobCourses/slot" }) }) });
    var description8678 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl8679 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de8680 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en8681 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remark8682 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state8683 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var max_places8684 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var enrolments_until8685 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date8654, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name8655, "filter": { "type": "string" }, "header": "Designation", "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "line", "editable": true, "editor": line8656, "filter": { "type": "string" }, "header": "Workshop series", "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "teacher", "editable": true, "editor": teacher8657, "filter": { "type": "string" }, "header": "Instructor", "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "room", "editable": true, "editor": room8658, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8660, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "start_time", "editable": true, "editor": start_time8661, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 8, "dataIndex": "end_date", "editable": true, "editor": end_date8662, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "end_time", "editable": true, "editor": end_time8663, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user8664, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "every_unit", "editable": true, "editor": every_unit8665, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 12, "dataIndex": "every", "editable": true, "editor": every8666, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 13, "dataIndex": "positions", "editable": true, "editor": positions8667, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "max_events", "editable": true, "editor": max_events8675, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "max_date", "editable": true, "editor": max_date8676, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 23, "dataIndex": "slot", "editable": true, "editor": slot8677, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "description", "editable": true, "editor": description8678, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "description_nl", "editable": true, "editor": description_nl8679, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "description_de", "editable": true, "editor": description_de8680, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "description_en", "editable": true, "editor": description_en8681, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 28, "dataIndex": "remark", "editable": true, "editor": remark8682, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 29, "dataIndex": "state", "editable": true, "editor": state8683, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 30, "dataIndex": "max_places", "editable": true, "editor": max_places8684, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 31, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until8685, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobCourses.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.courses.JobCourses.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.JobCourses.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.JobCourses.insertPanel = Ext.extend(Lino.courses.Activities.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/JobCourses",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.JobCourses.detail;
    this.ls_insert_handler = Lino.courses.JobCourses.insert;
    Lino.courses.JobCourses.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.JobCourses.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/JobCourses" };
  return new Lino.courses.JobCourses.insertPanel(p);
});
Lino.courses.JobCourses.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.JobCourses.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/JobCourses','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/JobCourses",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.JobCourses.detail;
    this.ls_insert_handler = Lino.courses.JobCourses.insert;
    Lino.courses.JobCourses.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.JobCourses.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/JobCourses" };
  return new Lino.courses.JobCourses.detailPanel(p);
});
Lino.courses.JobCourses.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/JobCourses" };
  p.params_panel = new Lino.courses.Activities.ParamsPanel({});
  return new Lino.courses.JobCourses.GridPanel(p);
});
Lino.courses.JobCourses.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobCourses.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobCourses", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntryRepeaterTable
Lino.cal.EntryRepeaterTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntryRepeaterTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "name": "cal_entry" }, 'cal_entryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 32,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EntryRepeaterTable','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Cal entry repeaters",
  initComponent : function() {
    var ww = this.containing_window;
    var id8689 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_date8690 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var start_time8691 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8692 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_time8693 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var every_unit8694 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every8695 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 1 });
    var positions8696 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var monday8697 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var tuesday8698 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var wednesday8699 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var thursday8700 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var friday8701 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var saturday8702 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var sunday8703 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var max_events8704 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var cal_entry8705 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Calendar entry...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntryRepeaterTable/cal_entry" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8689, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8690, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "start_time", "editable": true, "editor": start_time8691, "header": "Start time", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date8692, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_time", "editable": true, "editor": end_time8693, "header": "End Time", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 5, "dataIndex": "every_unit", "editable": true, "editor": every_unit8694, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 6, "dataIndex": "every", "editable": true, "editor": every8695, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "positions", "editable": true, "editor": positions8696, "filter": { "type": "string" }, "header": "Positions", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 11, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 12, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 15, "dataIndex": "max_events", "editable": true, "editor": max_events8704, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 16, "dataIndex": "cal_entry", "editable": true, "editor": cal_entry8705, "filter": { "type": "string" }, "header": "Calendar entry", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntryRepeaterTable.cal_entry) ") }, "renderer": Lino.fk_renderer('cal_entryHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cal.EntryRepeaterTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntryRepeaterTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntryRepeaterTable" };
  return new Lino.cal.EntryRepeaterTable.GridPanel(p);
});
Lino.cal.EntryRepeaterTable.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntryRepeaterTable.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntryRepeaterTable", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class countries.PlacesByCountry
Lino.countries.PlacesByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/countries/PlacesByCountry",
  ls_store_fields : [ { "name": "name" }, { "name": "name_nl" }, { "name": "name_de" }, { "name": "name_en" }, { "name": "type" }, 'typeHidden', { "name": "zip_code" }, { "name": "id", "type": "int" }, { "name": "parent" }, 'parentHidden', { "name": "show_type", "type": "boolean" }, { "name": "inscode" }, { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 3,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Place.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of countries.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Places",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    var ww = this.containing_window;
    var name3459 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_nl3460 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name_de3461 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en3462 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type3463 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/type" }) }) });
    var zip_code3464 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true });
    var id3465 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var parent3466 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/parent" }) }) });
    var show_type3467 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var inscode3468 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(5), "hidden": true, "maxLength": 5, "selectOnFocus": true });
    var country3469 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      type3463.setContextValue('mk',bp['mk']);
      type3463.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof country3469 !== 'undefined' && country3469.on('change',Lino.chooser_handler(type3463,'country'));
      Lino.countries.PlacesByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name3459, "filter": { "type": "string" }, "header": "Designation", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name) The translatable name of this database row.") }, "sortable": true, "tooltip": "The translatable name of this database row.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_nl", "editable": true, "editor": name_nl3460, "filter": { "type": "string" }, "header": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name_nl) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_de", "editable": true, "editor": name_de3461, "filter": { "type": "string" }, "header": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name_de) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en3462, "filter": { "type": "string" }, "header": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type3463, "filter": { "type": "string" }, "header": "Place Type", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.type) The type of this place (whether it's a city. a village, a province...)") }, "sortable": false, "tooltip": "The type of this place (whether it's a city. a village, a province...)", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "zip_code", "editable": true, "editor": zip_code3464, "filter": { "type": "string" }, "header": "zip code", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id3465, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "parent", "editable": true, "editor": parent3466, "filter": { "type": "string" }, "header": "Part of", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.parent) The superordinate geographic place of which this place is a part.") }, "sortable": false, "tooltip": "The superordinate geographic place of which this place is a part.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "show_type", "editable": true, "filter": { "type": "boolean" }, "header": "Show type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.show_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "inscode", "editable": true, "editor": inscode3468, "filter": { "type": "string" }, "header": "INS code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.inscode) The official code for this place used by statbel.fgov.be") }, "sortable": true, "tooltip": "The official code for this place used by statbel.fgov.be", "width": Lino.chars2width(7) }, { "colIndex": 10, "dataIndex": "country", "editable": true, "editor": country3469, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.country) The country this place is in.") }, "sortable": false, "tooltip": "The country this place is in.", "width": Lino.chars2width(21) } ];
    Lino.countries.PlacesByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.PlacesByCountry.insertPanel = Ext.extend(Lino.countries.Places.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/countries/PlacesByCountry",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    Lino.countries.PlacesByCountry.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.insertPanel(p);
});
Lino.countries.PlacesByCountry.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.PlacesByCountry.detailPanel = Ext.extend(Lino.countries.Places.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Place.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/countries/PlacesByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    Lino.countries.PlacesByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.detailPanel(p);
});
Lino.countries.PlacesByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.GridPanel(p);
});
Lino.countries.PlacesByCountry.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.PartnersByCity
Lino.contacts.PartnersByCity.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnersByCity",
  ls_store_fields : [ { "name": "address_column" }, { "name": "name" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "city" }, 'cityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of clients.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partners",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCity.detail;
    var ww = this.containing_window;
    var address_column_disp3529 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var name3530 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id3531 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email3532 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language3533 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var url3534 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone3535 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm3536 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax3537 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified3538 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created3539 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country3540 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/country" }) }) });
    var zip_code3541 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region3542 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/region" }) }) });
    var addr13543 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix3544 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street3545 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no3546 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box3547 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr23548 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix3549 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks3550 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete3551 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity3552 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/activity" }) }) });
    var client_contact_type3553 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/client_contact_type" }) }) });
    var city3554 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/city" }) }) });
    this.before_row_edit = function(record) {
      region3542.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3554.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3554.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country3540 !== 'undefined' && country3540.on('change',Lino.chooser_handler(region3542,'country'));
      typeof country3540 !== 'undefined' && country3540.on('change',Lino.chooser_handler(city3554,'country'));
      typeof region3542 !== 'undefined' && region3542.on('change',Lino.chooser_handler(city3554,'region'));
      Lino.contacts.PartnersByCity.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.address_column) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCity.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name3530, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id3531, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email3532, "filter": { "type": "string" }, "header": "e-mail address", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language3533, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url3534, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone3535, "filter": { "type": "string" }, "header": "Phone", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm3536, "filter": { "type": "string" }, "header": "Mobile", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax3537, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country3540, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "zip_code", "editable": true, "editor": zip_code3541, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "region", "editable": true, "editor": region3542, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "addr1", "editable": true, "editor": addr13543, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix3544, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street", "editable": true, "editor": street3545, "filter": { "type": "string" }, "header": "Street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_no", "editable": true, "editor": street_no3546, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "street_box", "editable": true, "editor": street_box3547, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "addr2", "editable": true, "editor": addr23548, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "prefix", "editable": true, "editor": prefix3549, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "remarks", "editable": true, "editor": remarks3550, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "activity", "editable": true, "editor": activity3552, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type3553, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "city", "editable": true, "editor": city3554, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) } ];
    Lino.contacts.PartnersByCity.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCity.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.PartnersByCity.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/contacts/PartnersByCity",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCity.detail;
    Lino.contacts.PartnersByCity.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCity.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCity" };
  return new Lino.contacts.PartnersByCity.detailPanel(p);
});
Lino.contacts.PartnersByCity.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCity" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.PartnersByCity.GridPanel(p);
});
Lino.contacts.PartnersByCity.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.PartnersByCountry
Lino.contacts.PartnersByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnersByCountry",
  ls_store_fields : [ { "name": "city" }, 'cityHidden', { "name": "street" }, { "name": "street_no" }, { "name": "name" }, { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "email" }, { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of clients.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partners",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCountry.detail;
    var ww = this.containing_window;
    var city8709 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/city" }) }) });
    var street8710 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8711 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var name8712 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var language8713 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var id8714 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email8715 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var url8716 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone8717 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm8718 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax8719 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified8720 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8721 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var zip_code8722 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8723 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/region" }) }) });
    var addr18724 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8725 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_box8726 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr28727 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix8728 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks8729 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete8730 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity8731 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/activity" }) }) });
    var client_contact_type8732 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/client_contact_type" }) }) });
    var country8733 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      city8709.setContextValue('mk',bp['mk']);
      city8709.setContextValue('mt',bp['mt']);
      city8709.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      var bp = this.get_base_params();
      region8723.setContextValue('mk',bp['mk']);
      region8723.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof country8733 !== 'undefined' && country8733.on('change',Lino.chooser_handler(city8709,'country'));
      typeof region8723 !== 'undefined' && region8723.on('change',Lino.chooser_handler(city8709,'region'));
      typeof country8733 !== 'undefined' && country8733.on('change',Lino.chooser_handler(region8723,'country'));
      Lino.contacts.PartnersByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "city", "editable": true, "editor": city8709, "filter": { "type": "string" }, "header": "Locality", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "street", "editable": true, "editor": street8710, "filter": { "type": "string" }, "header": "Street", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "street_no", "editable": true, "editor": street_no8711, "filter": { "type": "string" }, "header": "No.", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 3, "dataIndex": "name", "editable": true, "editor": name8712, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language8713, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8714, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email8715, "filter": { "type": "string" }, "header": "e-mail address", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url8716, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "phone", "editable": true, "editor": phone8717, "filter": { "type": "string" }, "header": "Phone", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "gsm", "editable": true, "editor": gsm8718, "filter": { "type": "string" }, "header": "Mobile", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "fax", "editable": true, "editor": fax8719, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code8722, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region8723, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr18724, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8725, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_box", "editable": true, "editor": street_box8726, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "addr2", "editable": true, "editor": addr28727, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "prefix", "editable": true, "editor": prefix8728, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remarks", "editable": true, "editor": remarks8729, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 22, "dataIndex": "activity", "editable": true, "editor": activity8731, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type8732, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "country", "editable": true, "editor": country8733, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.contacts.PartnersByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.PartnersByCountry.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/contacts/PartnersByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCountry.detail;
    Lino.contacts.PartnersByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCountry.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCountry" };
  return new Lino.contacts.PartnersByCountry.detailPanel(p);
});
Lino.contacts.PartnersByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCountry" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.PartnersByCountry.GridPanel(p);
});
Lino.contacts.PartnersByCountry.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.RolesByCompany
Lino.contacts.RolesByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/RolesByCompany",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 6,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Contact persons",
  initComponent : function() {
    var ww = this.containing_window;
    var person1303 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/person" }) }) });
    var type1304 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/type" }) }) });
    var id1305 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company1306 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/company" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person1303, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.person) The person having this role in this organization.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person having this role in this organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type1304, "filter": { "type": "string" }, "header": "Function", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.type) The function of this person in this organization.") }, "sortable": false, "tooltip": "The function of this person in this organization.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id1305, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company1306, "filter": { "type": "string" }, "header": "Organization", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.company) The organization where this person has this role.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization where this person has this role.", "width": Lino.chars2width(21) } ];
    Lino.contacts.RolesByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.RolesByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/RolesByCompany" };
  return new Lino.contacts.RolesByCompany.GridPanel(p);
});
Lino.contacts.RolesByCompany.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.RolesByPerson
Lino.contacts.RolesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/RolesByPerson",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 6,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Contact for",
  initComponent : function() {
    var ww = this.containing_window;
    var company4134 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/company" }) }) });
    var type4135 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/type" }) }) });
    var id4136 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var person4137 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company4134, "filter": { "type": "string" }, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.company) The organization where this person has this role.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization where this person has this role.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type4135, "filter": { "type": "string" }, "header": "Function", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.type) The function of this person in this organization.") }, "sortable": false, "tooltip": "The function of this person in this organization.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id4136, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person4137, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.person) The person having this role in this organization.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person having this role in this organization.", "width": Lino.chars2width(21) } ];
    Lino.contacts.RolesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.RolesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/RolesByPerson" };
  return new Lino.contacts.RolesByPerson.GridPanel(p);
});
Lino.contacts.RolesByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class checkdata.MessagesByChecker
Lino.checkdata.MessagesByChecker.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/MessagesByChecker",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "checker" }, 'checkerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 16,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/checkdata/MessagesByChecker','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Data problem messages",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MessagesByChecker.detail;
    var ww = this.containing_window;
    var user2597 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MessagesByChecker/user" }) }) });
    var owner_disp2598 = new Ext.form.DisplayField({ "disabled": true });
    var message2599 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var id2600 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type2601 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MessagesByChecker/owner_type" }) }) });
    var owner_id2602 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MessagesByChecker/owner_id" }) }) });
    var checker2603 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type2601 !== 'undefined' && owner_type2601.on('change',Lino.chooser_handler(owner_id2602,'owner_type'));
      Lino.checkdata.MessagesByChecker.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user2597, "filter": { "type": "string" }, "header": "Responsible", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByChecker.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Database object", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByChecker.owner) ") }, "sortable": false, "tooltip": "(checkdata.MessagesByChecker.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message2599, "filter": { "type": "string" }, "header": "Message text", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByChecker.message) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(51) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id2600, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByChecker.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "owner_type", "editable": true, "editor": owner_type2601, "filter": { "type": "string" }, "header": "Database object (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByChecker.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_id", "editable": true, "editor": owner_id2602, "filter": { "type": "string" }, "header": "Database object (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByChecker.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "checker", "editable": true, "editor": checker2603, "filter": { "options": [ "Check for missing or non-primary address records", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Check for conflicting calendar entries", "Entries without participants", "Too long-lasting calendar entries", "Obsolete generated calendar entries", "Check coachings", "Check data of geographical places.", "Check for overlapping contracts", "Check for previewables needing update", "Check for missing phonetic words", "Check for missing target files", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByChecker.checker) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.checkdata.MessagesByChecker.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MessagesByChecker.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByChecker", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MessagesByChecker.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByChecker", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MessagesByChecker.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByChecker", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MessagesByChecker.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByChecker", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.MessagesByChecker.detailPanel = Ext.extend(Lino.checkdata.Messages.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/checkdata/MessagesByChecker','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/MessagesByChecker",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MessagesByChecker.detail;
    Lino.checkdata.MessagesByChecker.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MessagesByChecker.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MessagesByChecker" };
  return new Lino.checkdata.MessagesByChecker.detailPanel(p);
});
Lino.checkdata.MessagesByChecker.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MessagesByChecker" };
  p.params_panel = new Lino.checkdata.Messages.ParamsPanel({});
  return new Lino.checkdata.MessagesByChecker.GridPanel(p);
});
Lino.checkdata.MessagesByChecker.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByChecker", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MessagesByChecker.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByChecker", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MessagesByChecker.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByChecker", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class addresses.AddressesByPartner
Lino.addresses.AddressesByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/AddressesByPartner",
  ls_store_fields : [ { "name": "address_type" }, 'address_typeHidden', { "name": "remark" }, { "name": "address_column" }, { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "data_source" }, 'data_sourceHidden', { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 17,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Address.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of addresses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Addresses",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    var ww = this.containing_window;
    var address_type3353 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark3354 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var address_column_disp3355 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var primary3356 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id3357 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country3358 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/country" }) }) });
    var city3359 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/city" }) }) });
    var zip_code3360 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region3361 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/region" }) }) });
    var addr13362 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix3363 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street3364 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no3365 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box3366 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr23367 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var data_source3368 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": Lino.addresses.DataSources });
    var partner3369 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Partner...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
      city3359.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3359.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region3361.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country3358 !== 'undefined' && country3358.on('change',Lino.chooser_handler(city3359,'country'));
      typeof region3361 !== 'undefined' && region3361.on('change',Lino.chooser_handler(city3359,'region'));
      typeof country3358 !== 'undefined' && country3358.on('change',Lino.chooser_handler(region3361,'country'));
      Lino.addresses.AddressesByPartner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_type", "editable": true, "editor": address_type3353, "filter": { "options": [ "Official address", "Unverified address", "Declared address", "Reference address", "Obsolete", "Other" ], "type": "list" }, "header": "Address type", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "sortable": false, "tooltip": "The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "remark", "editable": true, "editor": remark3354, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.address_column) ") }, "sortable": false, "tooltip": "(addresses.AddressesByPartner.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Primary", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.primary) Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.") }, "sortable": false, "tooltip": "Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.", "width": Lino.chars2width(6), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id3357, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "country", "editable": true, "editor": country3358, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "city", "editable": true, "editor": city3359, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "zip_code", "editable": true, "editor": zip_code3360, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 8, "dataIndex": "region", "editable": true, "editor": region3361, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "addr1", "editable": true, "editor": addr13362, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix3363, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "street", "editable": true, "editor": street3364, "filter": { "type": "string" }, "header": "Street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "street_no", "editable": true, "editor": street_no3365, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "street_box", "editable": true, "editor": street_box3366, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "addr2", "editable": true, "editor": addr23367, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "data_source", "editable": false, "filter": { "options": [ "Manually entered", "Read from eID" ], "type": "list" }, "header": "Data source", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.data_source) Pointer to DataSources.") }, "sortable": false, "tooltip": "Pointer to DataSources.", "width": Lino.chars2width(30) }, { "colIndex": 16, "dataIndex": "partner", "editable": true, "editor": partner3369, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.addresses.AddressesByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByPartner.insertPanel = Ext.extend(Lino.addresses.Addresses.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    Lino.addresses.AddressesByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  return new Lino.addresses.AddressesByPartner.insertPanel(p);
});
Lino.addresses.AddressesByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByPartner.detailPanel = Ext.extend(Lino.addresses.Addresses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Address.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    Lino.addresses.AddressesByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  return new Lino.addresses.AddressesByPartner.detailPanel(p);
});
Lino.addresses.AddressesByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  p.params_panel = new Lino.addresses.Addresses.ParamsPanel({});
  return new Lino.addresses.AddressesByPartner.GridPanel(p);
});
Lino.addresses.AddressesByPartner.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class addresses.AddressesByCity
Lino.addresses.AddressesByCity.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/AddressesByCity",
  ls_store_fields : [ { "name": "address_type" }, 'address_typeHidden', { "name": "partner" }, 'partnerHidden', { "name": "remark" }, { "name": "street" }, { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "data_source" }, 'data_sourceHidden', { "name": "city" }, 'cityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 17,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Address.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of addresses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Addresses",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    var ww = this.containing_window;
    var address_type8737 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var partner8738 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Partner...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/partner" }) }) });
    var remark8739 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var street8740 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var primary8741 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id8742 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country8743 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/country" }) }) });
    var zip_code8744 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8745 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/region" }) }) });
    var addr18746 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8747 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8748 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box8749 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr28750 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var data_source8751 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": Lino.addresses.DataSources });
    var city8752 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/city" }) }) });
    this.before_row_edit = function(record) {
      region8745.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city8752.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city8752.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country8743 !== 'undefined' && country8743.on('change',Lino.chooser_handler(region8745,'country'));
      typeof country8743 !== 'undefined' && country8743.on('change',Lino.chooser_handler(city8752,'country'));
      typeof region8745 !== 'undefined' && region8745.on('change',Lino.chooser_handler(city8752,'region'));
      Lino.addresses.AddressesByCity.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_type", "editable": true, "editor": address_type8737, "filter": { "options": [ "Official address", "Unverified address", "Declared address", "Reference address", "Obsolete", "Other" ], "type": "list" }, "header": "Address type", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "sortable": false, "tooltip": "The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "partner", "editable": true, "editor": partner8738, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8739, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "street", "editable": true, "editor": street8740, "filter": { "type": "string" }, "header": "Street", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Primary", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.primary) Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.") }, "sortable": false, "tooltip": "Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.", "width": Lino.chars2width(6), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8742, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country8743, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "zip_code", "editable": true, "editor": zip_code8744, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 8, "dataIndex": "region", "editable": true, "editor": region8745, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "addr1", "editable": true, "editor": addr18746, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8747, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "street_no", "editable": true, "editor": street_no8748, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "street_box", "editable": true, "editor": street_box8749, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "addr2", "editable": true, "editor": addr28750, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "data_source", "editable": false, "filter": { "options": [ "Manually entered", "Read from eID" ], "type": "list" }, "header": "Data source", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.data_source) Pointer to DataSources.") }, "sortable": false, "tooltip": "Pointer to DataSources.", "width": Lino.chars2width(30) }, { "colIndex": 15, "dataIndex": "city", "editable": true, "editor": city8752, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) } ];
    Lino.addresses.AddressesByCity.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByCity.insertPanel = Ext.extend(Lino.addresses.Addresses.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByCity",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    Lino.addresses.AddressesByCity.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  return new Lino.addresses.AddressesByCity.insertPanel(p);
});
Lino.addresses.AddressesByCity.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByCity.detailPanel = Ext.extend(Lino.addresses.Addresses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Address.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByCity",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    Lino.addresses.AddressesByCity.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  return new Lino.addresses.AddressesByCity.detailPanel(p);
});
Lino.addresses.AddressesByCity.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  p.params_panel = new Lino.addresses.Addresses.ParamsPanel({});
  return new Lino.addresses.AddressesByCity.GridPanel(p);
});
Lino.addresses.AddressesByCity.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByType
Lino.excerpts.ExcerptsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByType",
  ls_store_fields : [ { "name": "build_time" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "language" }, 'languageHidden', { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 19,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Excerpts",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByType.detail;
    var ww = this.containing_window;
    var build_time5774 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var owner_disp5775 = new Ext.form.DisplayField({ "disabled": true });
    var project5776 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/project" }) }) });
    var user5777 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/user" }) }) });
    var id5778 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method5779 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type5780 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/owner_type" }) }) });
    var owner_id5781 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/owner_id" }) }) });
    var contact_person5782 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/contact_person" }) }) });
    var contact_role5783 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/contact_role" }) }) });
    var company5784 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/company" }) }) });
    var language5785 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var excerpt_type5786 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Excerpt Type...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/excerpt_type" }) }) });
    this.before_row_edit = function(record) {
      owner_id5781.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person5782.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      excerpt_type5786.setContextValue('owner', record ? record.data['owner'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type5780 !== 'undefined' && owner_type5780.on('change',Lino.chooser_handler(owner_id5781,'owner_type'));
      typeof company5784 !== 'undefined' && company5784.on('change',Lino.chooser_handler(contact_person5782,'company'));
      typeof owner_disp5775 !== 'undefined' && owner_disp5775.on('change',Lino.chooser_handler(excerpt_type5786,'owner'));
      Lino.excerpts.ExcerptsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "build time", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Controlled by", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project5776, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user5777, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id5778, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method5779, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type5780, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id5781, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person5782, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role5783, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company5784, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language5785, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type5786, "filter": { "type": "string" }, "header": "Excerpt Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) } ];
    Lino.excerpts.ExcerptsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByType.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByType.detail;
    Lino.excerpts.ExcerptsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByType.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByType" };
  return new Lino.excerpts.ExcerptsByType.detailPanel(p);
});
Lino.excerpts.ExcerptsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByType" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByType.GridPanel(p);
});
Lino.excerpts.ExcerptsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByProject
Lino.excerpts.ExcerptsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByProject",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "language" }, 'languageHidden', { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 19,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Existing excerpts",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByProject.detail;
    var ww = this.containing_window;
    var build_time8756 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type8757 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Excerpt Type...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/excerpt_type" }) }) });
    var user8758 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/user" }) }) });
    var owner_disp8759 = new Ext.form.DisplayField({ "disabled": true });
    var id8760 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method8761 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8762 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/owner_type" }) }) });
    var owner_id8763 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/owner_id" }) }) });
    var contact_person8764 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/contact_person" }) }) });
    var contact_role8765 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/contact_role" }) }) });
    var company8766 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/company" }) }) });
    var language8767 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var project8768 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      excerpt_type8757.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id8763.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8764.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp8759 !== 'undefined' && owner_disp8759.on('change',Lino.chooser_handler(excerpt_type8757,'owner'));
      typeof owner_type8762 !== 'undefined' && owner_type8762.on('change',Lino.chooser_handler(owner_id8763,'owner_type'));
      typeof company8766 !== 'undefined' && company8766.on('change',Lino.chooser_handler(contact_person8764,'company'));
      Lino.excerpts.ExcerptsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "build time", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type8757, "filter": { "type": "string" }, "header": "Excerpt Type", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8758, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "owner", "editable": false, "header": "Controlled by", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8760, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method8761, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type8762, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id8763, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person8764, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role8765, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company8766, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language8767, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "project", "editable": true, "editor": project8768, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.excerpts.ExcerptsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByProject.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByProject.detail;
    Lino.excerpts.ExcerptsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByProject.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByProject" };
  return new Lino.excerpts.ExcerptsByProject.detailPanel(p);
});
Lino.excerpts.ExcerptsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByProject" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByProject.GridPanel(p);
});
Lino.excerpts.ExcerptsByProject.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByType
Lino.uploads.UploadsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByType",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 22,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload files",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    var ww = this.containing_window;
    var user1070 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/user" }) }) });
    var project1071 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/project" }) }) });
    var type1072 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Upload type...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/type" }) }) });
    var file1073 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date1074 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1075 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed1076 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp1077 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1078 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype1079 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size1080 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type1081 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/owner_type" }) }) });
    var owner_id1082 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/owner_id" }) }) });
    var contact_person1083 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/contact_person" }) }) });
    var contact_role1084 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/contact_role" }) }) });
    var company1085 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/company" }) }) });
    var upload_area1086 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume1087 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Library volume...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/volume" }) }) });
    var library_file1088 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/library_file" }) }) });
    var description1089 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark1090 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp1091 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type1072.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id1082.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person1083.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file1088.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area1086 !== 'undefined' && upload_area1086.on('change',Lino.chooser_handler(type1072,'upload_area'));
      typeof owner_type1081 !== 'undefined' && owner_type1081.on('change',Lino.chooser_handler(owner_id1082,'owner_type'));
      typeof company1085 !== 'undefined' && company1085.on('change',Lino.chooser_handler(contact_person1083,'company'));
      typeof volume1087 !== 'undefined' && volume1087.on('change',Lino.chooser_handler(library_file1088,'volume'));
      Lino.uploads.UploadsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user1070, "filter": { "type": "string" }, "header": "Uploaded by", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project1071, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type1072, "filter": { "type": "string" }, "header": "Upload type", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file1073, "filter": { "type": "string" }, "header": "File", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date1074, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid from", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date1075, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid until", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "Needed", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id1078, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type1081, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id1082, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person1083, "filter": { "type": "string" }, "header": "Issued by (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role1084, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "company", "editable": true, "editor": company1085, "filter": { "type": "string" }, "header": "Issued by (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area1086, "filter": { "options": [ "Contract", "General" ], "type": "list" }, "header": "Upload area", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume1087, "filter": { "type": "string" }, "header": "Library volume", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file1088, "filter": { "type": "string" }, "header": "Library file", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description1089, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark1090, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByType.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.UploadsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByType.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    Lino.uploads.UploadsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  return new Lino.uploads.UploadsByType.insertPanel(p);
});
Lino.uploads.UploadsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByType.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    Lino.uploads.UploadsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  return new Lino.uploads.UploadsByType.detailPanel(p);
});
Lino.uploads.UploadsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByType.GridPanel(p);
});
Lino.uploads.UploadsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByProject
Lino.uploads.UploadsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByProject",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "file" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 22,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload files",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    var ww = this.containing_window;
    var type6426 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Upload type...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/type" }) }) });
    var end_date6427 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed6428 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp6429 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user6430 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/user" }) }) });
    var id6431 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date6432 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var file6433 = Lino.file_field_handler(this,{ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var mimetype6434 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size6435 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type6436 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/owner_type" }) }) });
    var owner_id6437 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/owner_id" }) }) });
    var contact_person6438 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/contact_person" }) }) });
    var contact_role6439 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/contact_role" }) }) });
    var company6440 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/company" }) }) });
    var upload_area6441 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume6442 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Library volume...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/volume" }) }) });
    var library_file6443 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/library_file" }) }) });
    var description6444 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark6445 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp6446 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project6447 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      type6426.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id6437.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6438.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file6443.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area6441 !== 'undefined' && upload_area6441.on('change',Lino.chooser_handler(type6426,'upload_area'));
      typeof owner_type6436 !== 'undefined' && owner_type6436.on('change',Lino.chooser_handler(owner_id6437,'owner_type'));
      typeof company6440 !== 'undefined' && company6440.on('change',Lino.chooser_handler(contact_person6438,'company'));
      typeof volume6442 !== 'undefined' && volume6442.on('change',Lino.chooser_handler(library_file6443,'volume'));
      Lino.uploads.UploadsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type6426, "filter": { "type": "string" }, "header": "Upload type", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date6427, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid until", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "Needed", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "description_link", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user6430, "filter": { "type": "string" }, "header": "Uploaded by", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6431, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "start_date", "editable": true, "editor": start_date6432, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid from", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "file", "editable": true, "editor": file6433, "filter": { "type": "string" }, "header": "File", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type6436, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id6437, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person6438, "filter": { "type": "string" }, "header": "Issued by (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role6439, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "company", "editable": true, "editor": company6440, "filter": { "type": "string" }, "header": "Issued by (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "upload_area", "editable": true, "editor": upload_area6441, "filter": { "options": [ "Contract", "General" ], "type": "list" }, "header": "Upload area", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(11) }, { "colIndex": 16, "dataIndex": "volume", "editable": true, "editor": volume6442, "filter": { "type": "string" }, "header": "Library volume", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "library_file", "editable": true, "editor": library_file6443, "filter": { "type": "string" }, "header": "Library file", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description6444, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "remark", "editable": true, "editor": remark6445, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "project", "editable": true, "editor": project6447, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.uploads.UploadsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByProject.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    Lino.uploads.UploadsByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  return new Lino.uploads.UploadsByProject.insertPanel(p);
});
Lino.uploads.UploadsByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByProject.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    Lino.uploads.UploadsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  return new Lino.uploads.UploadsByProject.detailPanel(p);
});
Lino.uploads.UploadsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByProject.GridPanel(p);
});
Lino.uploads.UploadsByProject.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.RecipientsByMail
Lino.outbox.RecipientsByMail.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/RecipientsByMail",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "address" }, { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "mail" }, 'mailHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientsByMail','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Recipients",
  initComponent : function() {
    var ww = this.containing_window;
    var partner1741 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Partner...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/RecipientsByMail/partner" }) }) });
    var address1742 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var name1743 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type1744 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.outbox.RecipientTypes });
    var id1745 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mail1746 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Outgoing Mail...", "hidden": true, "pageSize": 20, "related_actor_id": "outbox.Mails", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/RecipientsByMail/mail" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner1741, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address", "editable": true, "editor": address1742, "filter": { "type": "string" }, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.address) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name1743, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type1744, "filter": { "options": [ "to", "cc", "bcc" ], "type": "list" }, "header": "Recipient Type", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1745, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "mail", "editable": true, "editor": mail1746, "filter": { "type": "string" }, "header": "Outgoing Mail", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.mail) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.outbox.RecipientsByMail.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.RecipientsByMail.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/RecipientsByMail" };
  return new Lino.outbox.RecipientsByMail.GridPanel(p);
});
Lino.outbox.RecipientsByMail.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MyOutbox
Lino.outbox.MyOutbox.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MyOutbox",
  ls_store_fields : [ { "name": "sent" }, { "name": "recipients" }, { "name": "subject" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "owner" }, { "name": "body" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 24,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Outgoing Mail.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Outbox",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    var ww = this.containing_window;
    var sent8772 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var recipients_htmlbox8773 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Recipients", "value": "<br/>" });
    var subject8774 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id8775 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project8776 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/project" }) }) });
    var owner_type8777 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/owner_type" }) }) });
    var owner_id8778 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/owner_id" }) }) });
    var date8779 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8780 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var body8781 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Body" });
    var user8782 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/user" }) }) });
    this.before_row_edit = function(record) {
      recipients_htmlbox8773.refresh();
      owner_id8778.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body8781.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8777 !== 'undefined' && owner_type8777.on('change',Lino.chooser_handler(owner_id8778,'owner_type'));
      Lino.outbox.MyOutbox.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "recipients", "editable": false, "header": "Recipients", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.recipients) ") }, "sortable": false, "tooltip": "(outbox.MyOutbox.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "subject", "editable": true, "editor": subject8774, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8775, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project8776, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type8777, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id8778, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "date", "editable": true, "editor": date8779, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner) ") }, "sortable": false, "tooltip": "(outbox.MyOutbox.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 9, "dataIndex": "body", "editable": true, "editor": body8781, "filter": { "type": "string" }, "header": "Body", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user8782, "filter": { "type": "string" }, "header": "Sender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) } ];
    Lino.outbox.MyOutbox.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MyOutbox.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/outbox/MyOutbox",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    Lino.outbox.MyOutbox.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  return new Lino.outbox.MyOutbox.insertPanel(p);
});
Lino.outbox.MyOutbox.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MyOutbox.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Outgoing Mail.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/outbox/MyOutbox",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    Lino.outbox.MyOutbox.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  return new Lino.outbox.MyOutbox.detailPanel(p);
});
Lino.outbox.MyOutbox.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MyOutbox.GridPanel(p);
});
Lino.outbox.MyOutbox.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByUser
Lino.outbox.MailsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByUser",
  ls_store_fields : [ { "name": "sent" }, { "name": "subject" }, { "name": "recipients" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 24,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Outgoing Mail.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Outbox",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    var ww = this.containing_window;
    var sent8786 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject8787 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var recipients_htmlbox8788 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Recipients", "value": "<br/>" });
    this.before_row_edit = function(record) {
      recipients_htmlbox8788.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8787, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "recipients", "editable": false, "header": "Recipients", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByUser.recipients) ", "width": Lino.chars2width(31) } ];
    Lino.outbox.MailsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByUser.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByUser",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    Lino.outbox.MailsByUser.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  return new Lino.outbox.MailsByUser.insertPanel(p);
});
Lino.outbox.MailsByUser.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByUser.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Outgoing Mail.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByUser",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    Lino.outbox.MailsByUser.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  return new Lino.outbox.MailsByUser.detailPanel(p);
});
Lino.outbox.MailsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByUser.GridPanel(p);
});
Lino.outbox.MailsByUser.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByProject
Lino.outbox.MailsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByProject",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "subject" }, { "name": "recipients" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "body" }, { "name": "sent" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 24,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Outgoing Mail.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Outbox",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    var ww = this.containing_window;
    var date8792 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var subject8793 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var recipients_htmlbox8794 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Recipients", "value": "<br/>" });
    var user8795 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/user" }) }) });
    var id8796 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type8797 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/owner_type" }) }) });
    var owner_id8798 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/owner_id" }) }) });
    var body8799 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Body" });
    var sent8800 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var owner_disp8801 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project8802 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      recipients_htmlbox8794.refresh();
      owner_id8798.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body8799.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8797 !== 'undefined' && owner_type8797.on('change',Lino.chooser_handler(owner_id8798,'owner_type'));
      Lino.outbox.MailsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8792, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8793, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "recipients", "editable": false, "header": "Recipients", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByProject.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user8795, "filter": { "type": "string" }, "header": "Sender", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8796, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type8797, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id8798, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "body", "editable": true, "editor": body8799, "filter": { "type": "string" }, "header": "Body", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "sent", "editable": false, "header": "sent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner) ") }, "sortable": false, "tooltip": "(outbox.MailsByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "project", "editable": true, "editor": project8802, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.outbox.MailsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByProject.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    Lino.outbox.MailsByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  return new Lino.outbox.MailsByProject.insertPanel(p);
});
Lino.outbox.MailsByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByProject.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Outgoing Mail.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    Lino.outbox.MailsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  return new Lino.outbox.MailsByProject.detailPanel(p);
});
Lino.outbox.MailsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByProject.GridPanel(p);
});
Lino.outbox.MailsByProject.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.SentByPartner
Lino.outbox.SentByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/SentByPartner",
  ls_store_fields : [ { "name": "sent" }, { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 24,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Outgoing Mail.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Outbox",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    var ww = this.containing_window;
    var sent8806 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject8807 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8808 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/SentByPartner/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8807, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8808, "filter": { "type": "string" }, "header": "Sender", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) } ];
    Lino.outbox.SentByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.SentByPartner.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/outbox/SentByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    Lino.outbox.SentByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  return new Lino.outbox.SentByPartner.insertPanel(p);
});
Lino.outbox.SentByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.SentByPartner.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Outgoing Mail.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/outbox/SentByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    Lino.outbox.SentByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  return new Lino.outbox.SentByPartner.detailPanel(p);
});
Lino.outbox.SentByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.SentByPartner.GridPanel(p);
});
Lino.outbox.SentByPartner.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.AttachmentsByMail
Lino.outbox.AttachmentsByMail.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/AttachmentsByMail",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "owner" }, { "name": "mail" }, 'mailHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 25,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByMail','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Attachments",
  initComponent : function() {
    var ww = this.containing_window;
    var id8812 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var owner_type8813 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/owner_type" }) }) });
    var owner_id8814 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/owner_id" }) }) });
    var owner_disp8815 = new Ext.form.DisplayField({ "disabled": true });
    var mail8816 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Outgoing Mail...", "hidden": true, "pageSize": 20, "related_actor_id": "outbox.Mails", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/mail" }) }) });
    this.before_row_edit = function(record) {
      owner_id8814.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type8813 !== 'undefined' && owner_type8813.on('change',Lino.chooser_handler(owner_id8814,'owner_type'));
      Lino.outbox.AttachmentsByMail.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8812, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "owner_type", "editable": true, "editor": owner_type8813, "filter": { "type": "string" }, "header": "Controlled by (type)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "owner_id", "editable": true, "editor": owner_id8814, "filter": { "type": "string" }, "header": "Controlled by (object)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "owner", "editable": false, "header": "Controlled by", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner) ") }, "sortable": false, "tooltip": "(outbox.AttachmentsByMail.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "mail", "editable": true, "editor": mail8816, "filter": { "type": "string" }, "header": "Outgoing Mail", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.mail) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.outbox.AttachmentsByMail.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.AttachmentsByMail.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/AttachmentsByMail" };
  return new Lino.outbox.AttachmentsByMail.GridPanel(p);
});
Lino.outbox.AttachmentsByMail.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.SubscriptionsByUser
Lino.cal.SubscriptionsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/SubscriptionsByUser",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "calendar" }, 'calendarHidden', { "name": "is_hidden", "type": "boolean" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 30,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByUser','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Subscriptions",
  initComponent : function() {
    var ww = this.containing_window;
    var id5305 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var calendar5306 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Calendar...", "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByUser/calendar" }) }) });
    var is_hidden5307 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var user5308 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByUser/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id5305, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "calendar", "editable": true, "editor": calendar5306, "filter": { "type": "string" }, "header": "Calendar", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.calendar) The calendar you want to subscribe to.") }, "sortable": false, "tooltip": "The calendar you want to subscribe to.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "is_hidden", "editable": true, "filter": { "type": "boolean" }, "header": "hidden", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.is_hidden) Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.") }, "sortable": false, "tooltip": "Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user5308, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) } ];
    Lino.cal.SubscriptionsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.SubscriptionsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/SubscriptionsByUser" };
  p.params_panel = new Lino.cal.Subscriptions.ParamsPanel({});
  return new Lino.cal.SubscriptionsByUser.GridPanel(p);
});
Lino.cal.SubscriptionsByUser.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.SubscriptionsByCalendar
Lino.cal.SubscriptionsByCalendar.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/SubscriptionsByCalendar",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "is_hidden", "type": "boolean" }, { "name": "calendar" }, 'calendarHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 30,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByCalendar','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Subscriptions",
  initComponent : function() {
    var ww = this.containing_window;
    var id2693 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user2694 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByCalendar/user" }) }) });
    var is_hidden2695 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var calendar2696 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Calendar...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByCalendar/calendar" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id2693, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user2694, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "is_hidden", "editable": true, "filter": { "type": "boolean" }, "header": "hidden", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.is_hidden) Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.") }, "sortable": false, "tooltip": "Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "calendar", "editable": true, "editor": calendar2696, "filter": { "type": "string" }, "header": "Calendar", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.calendar) The calendar you want to subscribe to.") }, "sortable": false, "tooltip": "The calendar you want to subscribe to.", "width": Lino.chars2width(21) } ];
    Lino.cal.SubscriptionsByCalendar.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.SubscriptionsByCalendar.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/SubscriptionsByCalendar" };
  p.params_panel = new Lino.cal.Subscriptions.ParamsPanel({});
  return new Lino.cal.SubscriptionsByCalendar.GridPanel(p);
});
Lino.cal.SubscriptionsByCalendar.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByUser
Lino.cal.TasksByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByUser",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "name": "start_time" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "due_time" }, { "name": "percent", "type": "int", "useNull": true }, { "name": "state" }, 'stateHidden', { "name": "delegated", "type": "boolean" }, { "name": "owner" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 37,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Task.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tasks",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    var ww = this.containing_window;
    var priority5315 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date5316 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary5317 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp5318 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id5319 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified5320 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created5321 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project5322 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/project" }) }) });
    var start_time5323 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var owner_type5324 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/owner_type" }) }) });
    var owner_id5325 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/owner_id" }) }) });
    var description5326 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class5327 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence5328 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type5329 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_date5330 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_time5331 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var percent5332 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state5333 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.TaskStates });
    var delegated5334 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp5335 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var user5336 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/user" }) }) });
    this.before_row_edit = function(record) {
      owner_id5325.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type5324 !== 'undefined' && owner_type5324.on('change',Lino.chooser_handler(owner_id5325,'owner_type'));
      Lino.cal.TasksByUser.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority5315, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(14) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date5316, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary5317, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id5319, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project5322, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time5323, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type5324, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id5325, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "description", "editable": true, "editor": description5326, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "access_class", "editable": true, "editor": access_class5327, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 13, "dataIndex": "sequence", "editable": true, "editor": sequence5328, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "auto_type", "editable": true, "editor": auto_type5329, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 15, "dataIndex": "due_date", "editable": true, "editor": due_date5330, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Due date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "due_time", "editable": true, "editor": due_time5331, "header": "Due time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.due_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 17, "dataIndex": "percent", "editable": true, "editor": percent5332, "filter": { "type": "numeric" }, "format": "0", "header": "Duration value", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.percent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 18, "dataIndex": "state", "editable": true, "editor": state5333, "filter": { "options": [ "To do", "Important", "Started", "Done", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.state) The state of this Task. one of TaskStates.") }, "sortable": false, "tooltip": "The state of this Task. one of TaskStates.", "width": Lino.chars2width(13) }, { "colIndex": 19, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner) ") }, "sortable": false, "tooltip": "(cal.TasksByUser.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "user", "editable": true, "editor": user5336, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) } ];
    Lino.cal.TasksByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByUser.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByUser",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    Lino.cal.TasksByUser.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  return new Lino.cal.TasksByUser.insertPanel(p);
});
Lino.cal.TasksByUser.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByUser.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Task.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByUser",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    Lino.cal.TasksByUser.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  return new Lino.cal.TasksByUser.detailPanel(p);
});
Lino.cal.TasksByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByUser.GridPanel(p);
});
Lino.cal.TasksByUser.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByProject
Lino.cal.TasksByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByProject",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "owner" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "start_time" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "due_time" }, { "name": "percent", "type": "int", "useNull": true }, { "name": "state" }, 'stateHidden', { "name": "delegated", "type": "boolean" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 37,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Task.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tasks",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    var ww = this.containing_window;
    var priority6523 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date6524 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user6525 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/user" }) }) });
    var summary6526 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var owner_disp6527 = new Ext.form.DisplayField({ "disabled": true });
    var workflow_buttons_disp6528 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6529 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified6530 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6531 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_time6532 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var owner_type6533 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/owner_type" }) }) });
    var owner_id6534 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/owner_id" }) }) });
    var description6535 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class6536 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence6537 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type6538 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_date6539 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_time6540 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var percent6541 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state6542 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.TaskStates });
    var delegated6543 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var project6544 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id6534.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type6533 !== 'undefined' && owner_type6533.on('change',Lino.chooser_handler(owner_id6534,'owner_type'));
      Lino.cal.TasksByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority6523, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(14) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date6524, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user6525, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary6526, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "owner", "editable": false, "header": "Controlled by", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner) ") }, "sortable": false, "tooltip": "(cal.TasksByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id6529, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time6532, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type6533, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id6534, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "description", "editable": true, "editor": description6535, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "access_class", "editable": true, "editor": access_class6536, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 14, "dataIndex": "sequence", "editable": true, "editor": sequence6537, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 15, "dataIndex": "auto_type", "editable": true, "editor": auto_type6538, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 16, "dataIndex": "due_date", "editable": true, "editor": due_date6539, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Due date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "due_time", "editable": true, "editor": due_time6540, "header": "Due time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.due_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 18, "dataIndex": "percent", "editable": true, "editor": percent6541, "filter": { "type": "numeric" }, "format": "0", "header": "Duration value", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.percent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "state", "editable": true, "editor": state6542, "filter": { "options": [ "To do", "Important", "Started", "Done", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.state) The state of this Task. one of TaskStates.") }, "sortable": false, "tooltip": "The state of this Task. one of TaskStates.", "width": Lino.chars2width(13) }, { "colIndex": 20, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "project", "editable": true, "editor": project6544, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.TasksByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByProject.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    Lino.cal.TasksByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  return new Lino.cal.TasksByProject.insertPanel(p);
});
Lino.cal.TasksByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByProject.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Task.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    Lino.cal.TasksByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  return new Lino.cal.TasksByProject.detailPanel(p);
});
Lino.cal.TasksByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByProject.GridPanel(p);
});
Lino.cal.TasksByProject.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByEvent
Lino.cal.GuestsByEvent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByEvent",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "event" }, 'eventHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Presences",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    var ww = this.containing_window;
    var partner1687 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Partner...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/partner" }) }) });
    var role1688 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Guest role...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/role" }) }) });
    var workflow_buttons_disp1689 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark1690 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id1691 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state1692 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since1693 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since1694 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since1695 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var event1696 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Calendar entry...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/event" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner1687, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role1688, "filter": { "type": "string" }, "header": "Role", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark1690, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1691, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state1692, "filter": { "options": [ "Invited", "Accepted", "Rejected", "Present", "Waiting", "Busy", "Gone", "Absent", "Excused" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "waiting_since", "editable": false, "header": "Waiting since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "busy_since", "editable": false, "header": "Waiting until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "gone_since", "editable": false, "header": "Present until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "event", "editable": true, "editor": event1696, "filter": { "type": "string" }, "header": "Calendar entry", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) } ];
    Lino.cal.GuestsByEvent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByEvent.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByEvent",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    Lino.cal.GuestsByEvent.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  return new Lino.cal.GuestsByEvent.insertPanel(p);
});
Lino.cal.GuestsByEvent.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByEvent.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByEvent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    Lino.cal.GuestsByEvent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  return new Lino.cal.GuestsByEvent.detailPanel(p);
});
Lino.cal.GuestsByEvent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByEvent.GridPanel(p);
});
Lino.cal.GuestsByEvent.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByRole
Lino.cal.GuestsByRole.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByRole",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "event" }, 'eventHidden', { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Presences",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    var ww = this.containing_window;
    var partner1213 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Partner...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/partner" }) }) });
    var role1214 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Guest role...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/role" }) }) });
    var workflow_buttons_disp1215 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark1216 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event1217 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Calendar entry...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/event" }) }) });
    var id1218 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state1219 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since1220 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since1221 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since1222 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner1213, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role1214, "filter": { "type": "string" }, "header": "Role", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark1216, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "event", "editable": true, "editor": event1217, "filter": { "type": "string" }, "header": "Calendar entry", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id1218, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state1219, "filter": { "options": [ "Invited", "Accepted", "Rejected", "Present", "Waiting", "Busy", "Gone", "Absent", "Excused" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "waiting_since", "editable": false, "header": "Waiting since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "busy_since", "editable": false, "header": "Waiting until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "gone_since", "editable": false, "header": "Present until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) } ];
    Lino.cal.GuestsByRole.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByRole.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByRole",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    Lino.cal.GuestsByRole.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  return new Lino.cal.GuestsByRole.insertPanel(p);
});
Lino.cal.GuestsByRole.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByRole.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByRole",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    Lino.cal.GuestsByRole.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  return new Lino.cal.GuestsByRole.detailPanel(p);
});
Lino.cal.GuestsByRole.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByRole.GridPanel(p);
});
Lino.cal.GuestsByRole.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByPartner
Lino.cal.GuestsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByPartner",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "event_summary" }, { "name": "event__user" }, 'event__userHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of reception.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Presences",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    var ww = this.containing_window;
    var event__when_text_disp8820 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event_summary_disp8821 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__user8822 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/event__user" }) }), "value": null });
    var role8823 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Guest role...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/role" }) }) });
    var workflow_buttons_disp8824 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8825 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event8826 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Calendar entry...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/event" }) }) });
    var state8827 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var remark8828 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var waiting_since8829 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since8830 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since8831 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var partner8832 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Partner...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": true, "editor": event__when_text_disp8820, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event__when_text) Shows the start date and time of the calendar entry.") }, "sortable": true, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "event_summary", "editable": false, "header": "Calendar entry", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event_summary) ") }, "sortable": false, "tooltip": "(cal.GuestsByPartner.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "event__user", "editable": true, "editor": event__user8822, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event__user) The responsible user.") }, "sortable": true, "tooltip": "The responsible user.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role8823, "filter": { "type": "string" }, "header": "Role", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8825, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "event", "editable": true, "editor": event8826, "filter": { "type": "string" }, "header": "Calendar entry", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state8827, "filter": { "options": [ "Invited", "Accepted", "Rejected", "Present", "Waiting", "Busy", "Gone", "Absent", "Excused" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark8828, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "waiting_since", "editable": false, "header": "Waiting since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "busy_since", "editable": false, "header": "Waiting until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "gone_since", "editable": false, "header": "Present until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "partner", "editable": true, "editor": partner8832, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) } ];
    Lino.cal.GuestsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByPartner.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    Lino.cal.GuestsByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  return new Lino.cal.GuestsByPartner.insertPanel(p);
});
Lino.cal.GuestsByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByPartner.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Presence.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    Lino.cal.GuestsByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  return new Lino.cal.GuestsByPartner.detailPanel(p);
});
Lino.cal.GuestsByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByPartner.GridPanel(p);
});
Lino.cal.GuestsByPartner.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByProject
Lino.cal.EntriesByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByProject",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Calendar entries",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    var ww = this.containing_window;
    var when_text_disp8836 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8837 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/user" }) }) });
    var summary8838 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp8839 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8840 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified8841 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8842 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date8843 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8844 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8845 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8846 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time8847 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8848 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to8849 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/assigned_to" }) }) });
    var owner_type8850 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/owner_type" }) }) });
    var owner_id8851 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/owner_id" }) }) });
    var description8852 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class8853 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence8854 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type8855 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority8856 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type8857 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/event_type" }) }) });
    var transparent8858 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited8859 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room8860 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/room" }) }) });
    var state8861 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before8862 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit8863 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified8864 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8865 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project8866 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id8851.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type8850 !== 'undefined' && owner_type8850.on('change',Lino.chooser_handler(owner_id8851,'owner_type'));
      Lino.cal.EntriesByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user8837, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary8838, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8840, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "start_date", "editable": true, "editor": start_date8843, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time8844, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "end_date", "editable": true, "editor": end_date8845, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_time", "editable": true, "editor": end_time8846, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method8848, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to8849, "filter": { "type": "string" }, "header": "Assigned to", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "owner_type", "editable": true, "editor": owner_type8850, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_id", "editable": true, "editor": owner_id8851, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 16, "dataIndex": "description", "editable": true, "editor": description8852, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "access_class", "editable": true, "editor": access_class8853, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 18, "dataIndex": "sequence", "editable": true, "editor": sequence8854, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 19, "dataIndex": "auto_type", "editable": true, "editor": auto_type8855, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "priority", "editable": true, "editor": priority8856, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 21, "dataIndex": "event_type", "editable": true, "editor": event_type8857, "filter": { "type": "string" }, "header": "Calendar entry type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "Transparent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room8860, "filter": { "type": "string" }, "header": "Room", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state8861, "filter": { "options": [ "Suggested", "Draft", "Published", "Took place", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 26, "dataIndex": "notify_before", "editable": true, "editor": notify_before8862, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit8863, "filter": { "options": [ "minutes", "hours", "days", "weeks" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(12) }, { "colIndex": 28, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) }, { "colIndex": 30, "dataIndex": "project", "editable": true, "editor": project8866, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.EntriesByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByProject.insertPanel = Ext.extend(Lino.cal.EntriesByProject.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    Lino.cal.EntriesByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  return new Lino.cal.EntriesByProject.insertPanel(p);
});
Lino.cal.EntriesByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByProject.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    Lino.cal.EntriesByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  return new Lino.cal.EntriesByProject.detailPanel(p);
});
Lino.cal.EntriesByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByProject.GridPanel(p);
});
Lino.cal.EntriesByProject.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByGuest
Lino.cal.EntriesByGuest.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByGuest",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Calendar entries",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    var ww = this.containing_window;
    var when_text_disp8870 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8871 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByGuest/user" }) }) });
    var summary8872 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp8873 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user8871, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary8872, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.cal.EntriesByGuest.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByGuest.insertPanel = Ext.extend(Lino.cal.EntriesByGuest.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByGuest",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    Lino.cal.EntriesByGuest.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  return new Lino.cal.EntriesByGuest.insertPanel(p);
});
Lino.cal.EntriesByGuest.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByGuest.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByGuest",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    Lino.cal.EntriesByGuest.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  return new Lino.cal.EntriesByGuest.detailPanel(p);
});
Lino.cal.EntriesByGuest.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByGuest.GridPanel(p);
});
Lino.cal.EntriesByGuest.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByClient
Lino.cal.EntriesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByClient",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Calendar entries",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    var ww = this.containing_window;
    var when_text_disp6488 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user6489 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/user" }) }) });
    var summary6490 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp6491 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6492 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified6493 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6494 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project6495 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/project" }) }) });
    var start_date6496 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time6497 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date6498 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time6499 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time6500 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method6501 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to6502 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/assigned_to" }) }) });
    var owner_type6503 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/owner_type" }) }) });
    var owner_id6504 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/owner_id" }) }) });
    var description6505 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class6506 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence6507 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type6508 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority6509 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type6510 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/event_type" }) }) });
    var transparent6511 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited6512 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room6513 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/room" }) }) });
    var state6514 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before6515 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit6516 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified6517 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp6518 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id6504.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type6503 !== 'undefined' && owner_type6503.on('change',Lino.chooser_handler(owner_id6504,'owner_type'));
      Lino.cal.EntriesByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.when_text) Shows the start date and time of the calendar entry.") }, "sortable": false, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user6489, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary6490, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6492, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project6495, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date6496, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time6497, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date6498, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time6499, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method6501, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to6502, "filter": { "type": "string" }, "header": "Assigned to", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type6503, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id6504, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description6505, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class6506, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence6507, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type6508, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority6509, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type6510, "filter": { "type": "string" }, "header": "Calendar entry type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "Transparent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room6513, "filter": { "type": "string" }, "header": "Room", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state6514, "filter": { "options": [ "Suggested", "Draft", "Published", "Took place", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before6515, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit6516, "filter": { "options": [ "minutes", "hours", "days", "weeks" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(12) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.EntriesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByClient.insertPanel = Ext.extend(Lino.cal.EntriesByClient.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    Lino.cal.EntriesByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  return new Lino.cal.EntriesByClient.insertPanel(p);
});
Lino.cal.EntriesByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByClient.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    Lino.cal.EntriesByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  return new Lino.cal.EntriesByClient.detailPanel(p);
});
Lino.cal.EntriesByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByClient.GridPanel(p);
});
Lino.cal.EntriesByClient.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByClient
Lino.cal.TasksByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByClient",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "summary" }, { "name": "description" }, { "name": "notes" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 37,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Task.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tasks",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    var ww = this.containing_window;
    var priority8877 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date8878 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var due_date8879 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary8880 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var description8881 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var notes_disp8882 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority8877, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(14) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8878, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "due_date", "editable": true, "editor": due_date8879, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Due date", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary8880, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description8881, "filter": { "type": "string" }, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "notes", "editable": false, "header": "Notes", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.notes) ") }, "sortable": false, "tooltip": "(cal.TasksByClient.notes) ", "width": Lino.chars2width(31) } ];
    Lino.cal.TasksByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByClient.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    Lino.cal.TasksByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  return new Lino.cal.TasksByClient.insertPanel(p);
});
Lino.cal.TasksByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByClient.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Task.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    Lino.cal.TasksByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  return new Lino.cal.TasksByClient.detailPanel(p);
});
Lino.cal.TasksByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByClient.GridPanel(p);
});
Lino.cal.TasksByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.AppointmentsByPartner
Lino.reception.AppointmentsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/AppointmentsByPartner",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "event__user" }, 'event__userHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 36,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Attestation de pr\u00e9sence", "overflowText": "Attestation de pr\u00e9sence", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/AppointmentsByPartner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "cellTpl": Lino.auto_height_cell_template, "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Appointments",
  disabled_fields_index : 5,
  initComponent : function() {
    var ww = this.containing_window;
    var event__when_text_disp1985 = new Ext.form.DisplayField({ "allowBlank": true, "always_enabled": true, "selectOnFocus": true, "sortable": false, "value": null });
    var event__user1986 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/AppointmentsByPartner/event__user" }) }), "value": null });
    var workflow_buttons_disp1987 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": true, "editor": event__when_text_disp1985, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.event__when_text) Shows the start date and time of the calendar entry.") }, "sortable": true, "tooltip": "Shows the start date and time of the calendar entry.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "event__user", "editable": true, "editor": event__user1986, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.event__user) The responsible user.") }, "sortable": true, "tooltip": "The responsible user.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.AppointmentsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.AppointmentsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/AppointmentsByPartner" };
  return new Lino.reception.AppointmentsByPartner.GridPanel(p);
});
Lino.reception.AppointmentsByPartner.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.LanguageKnowledgesByPerson
Lino.cv.LanguageKnowledgesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/LanguageKnowledgesByPerson",
  ls_store_fields : [ { "name": "language" }, 'languageHidden', { "name": "native", "type": "boolean" }, { "name": "spoken" }, 'spokenHidden', { "name": "written" }, 'writtenHidden', { "name": "spoken_passively" }, 'spoken_passivelyHidden', { "name": "written_passively" }, 'written_passivelyHidden', { "name": "id", "type": "int" }, { "name": "cef_level" }, 'cef_levelHidden', { "name": "has_certificate", "type": "boolean" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 59,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Language knowledge.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledgesByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Language knowledges",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.LanguageKnowledgesByPerson.detail;
    this.ls_insert_handler = Lino.cv.LanguageKnowledgesByPerson.insert;
    var ww = this.containing_window;
    var language8886 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Language...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native8887 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var spoken8888 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written8889 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken_passively8890 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written_passively8891 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var id8892 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var cef_level8893 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var has_certificate8894 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var person8895 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "language", "editable": true, "editor": language8886, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "sortable": false, "tooltip": "The language to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "native", "editable": true, "filter": { "type": "boolean" }, "header": "Mother tongue", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.native) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 2, "dataIndex": "spoken", "editable": true, "editor": spoken8888, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Spoken", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.spoken) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 3, "dataIndex": "written", "editable": true, "editor": written8889, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Written", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.written) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 4, "dataIndex": "spoken_passively", "editable": true, "editor": spoken_passively8890, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Spoken (passively)", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 5, "dataIndex": "written_passively", "editable": true, "editor": written_passively8891, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Written (passively)", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.written_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8892, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "cef_level", "editable": true, "editor": cef_level8893, "filter": { "options": [ "A0", "A1", "A1+", "A2", "A2+", "B1", "B2", "B2+", "C1", "C2", "C2+" ], "type": "list" }, "header": "CEF level", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "sortable": false, "tooltip": "The CEF level. A pointer to a choice of CefLevels", "width": Lino.chars2width(8) }, { "colIndex": 8, "dataIndex": "has_certificate", "editable": true, "filter": { "type": "boolean" }, "header": "Certificate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "sortable": false, "tooltip": "Whether this entry is confirmed by a certificate.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "person", "editable": true, "editor": person8895, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledgesByPerson.person) The person to which this entry applies.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to which this entry applies.", "width": Lino.chars2width(21) } ];
    Lino.cv.LanguageKnowledgesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledgesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.LanguageKnowledgesByPerson.insertPanel = Ext.extend(Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cv/LanguageKnowledgesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.LanguageKnowledgesByPerson.detail;
    this.ls_insert_handler = Lino.cv.LanguageKnowledgesByPerson.insert;
    Lino.cv.LanguageKnowledgesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledgesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/LanguageKnowledgesByPerson" };
  return new Lino.cv.LanguageKnowledgesByPerson.insertPanel(p);
});
Lino.cv.LanguageKnowledgesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.LanguageKnowledgesByPerson.detailPanel = Ext.extend(Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel,{
  empty_title: "Detail",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Language knowledge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledgesByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/LanguageKnowledgesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.LanguageKnowledgesByPerson.detail;
    this.ls_insert_handler = Lino.cv.LanguageKnowledgesByPerson.insert;
    Lino.cv.LanguageKnowledgesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledgesByPerson.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/LanguageKnowledgesByPerson" };
  return new Lino.cv.LanguageKnowledgesByPerson.detailPanel(p);
});
Lino.cv.LanguageKnowledgesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/LanguageKnowledgesByPerson" };
  return new Lino.cv.LanguageKnowledgesByPerson.GridPanel(p);
});
Lino.cv.LanguageKnowledgesByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledgesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledgesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.KnowledgesByLanguage
Lino.cv.KnowledgesByLanguage.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/KnowledgesByLanguage",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "native", "type": "boolean" }, { "name": "spoken" }, 'spokenHidden', { "name": "written" }, 'writtenHidden', { "name": "cef_level" }, 'cef_levelHidden', { "name": "id", "type": "int" }, { "name": "spoken_passively" }, 'spoken_passivelyHidden', { "name": "written_passively" }, 'written_passivelyHidden', { "name": "has_certificate", "type": "boolean" }, { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 59,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/KnowledgesByLanguage','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Language knowledges",
  initComponent : function() {
    var ww = this.containing_window;
    var person5240 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/KnowledgesByLanguage/person" }) }) });
    var native5241 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var spoken5242 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written5243 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var cef_level5244 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var id5245 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var spoken_passively5246 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written_passively5247 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var has_certificate5248 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var language5249 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Language...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/KnowledgesByLanguage/language" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person5240, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.person) The person to which this entry applies.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "native", "editable": true, "filter": { "type": "boolean" }, "header": "Mother tongue", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.native) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 2, "dataIndex": "spoken", "editable": true, "editor": spoken5242, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Spoken", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.spoken) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 3, "dataIndex": "written", "editable": true, "editor": written5243, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Written", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.written) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 4, "dataIndex": "cef_level", "editable": true, "editor": cef_level5244, "filter": { "options": [ "A0", "A1", "A1+", "A2", "A2+", "B1", "B2", "B2+", "C1", "C2", "C2+" ], "type": "list" }, "header": "CEF level", "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "sortable": false, "tooltip": "The CEF level. A pointer to a choice of CefLevels", "width": Lino.chars2width(8) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id5245, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "spoken_passively", "editable": true, "editor": spoken_passively5246, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Spoken (passively)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.spoken_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 7, "dataIndex": "written_passively", "editable": true, "editor": written_passively5247, "filter": { "options": [ "not at all", "a bit", "moderate", "quite well", "very well" ], "type": "list" }, "header": "Written (passively)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.written_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 8, "dataIndex": "has_certificate", "editable": true, "filter": { "type": "boolean" }, "header": "Certificate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.has_certificate) Whether this entry is confirmed by a certificate.") }, "sortable": false, "tooltip": "Whether this entry is confirmed by a certificate.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language5249, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.KnowledgesByLanguage.language) The language to which this entry applies.") }, "sortable": false, "tooltip": "The language to which this entry applies.", "width": Lino.chars2width(21) } ];
    Lino.cv.KnowledgesByLanguage.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.KnowledgesByLanguage.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.KnowledgesByLanguage.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/KnowledgesByLanguage" };
  return new Lino.cv.KnowledgesByLanguage.GridPanel(p);
});
Lino.cv.KnowledgesByLanguage.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/KnowledgesByLanguage", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.TrainingsByCountry
Lino.cv.TrainingsByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/TrainingsByCountry",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "type" }, 'typeHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "content" }, { "name": "certificates" }, { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 62,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByCountry','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByCountry.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByCountry.insert;
    var ww = this.containing_window;
    var person8899 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/person" }) }) });
    var start_date8900 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8901 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text8902 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type8903 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Education Type...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/type" }) }) });
    var state8904 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var sector8905 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/sector" }) }) });
    var function8906 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/function" }) }) });
    var id8907 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city8908 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/city" }) }) });
    var zip_code8909 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language8910 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Language...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/language" }) }) });
    var school8911 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks8912 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var content8913 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var certificates8914 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var country8915 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      function8906.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      var bp = this.get_base_params();
      city8908.setContextValue('mk',bp['mk']);
      city8908.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof sector8905 !== 'undefined' && sector8905.on('change',Lino.chooser_handler(function8906,'sector'));
      typeof country8915 !== 'undefined' && country8915.on('change',Lino.chooser_handler(city8908,'country'));
      Lino.cv.TrainingsByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person8899, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8900, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date8901, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text8902, "filter": { "type": "string" }, "header": "Duration", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type8903, "filter": { "type": "string" }, "header": "Education Type", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state8904, "filter": { "options": [ "Success", "Failure", "Ongoing" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 6, "dataIndex": "sector", "editable": true, "editor": sector8905, "filter": { "type": "string" }, "header": "Activity sector", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "function", "editable": true, "editor": function8906, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id8907, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "city", "editable": true, "editor": city8908, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "zip_code", "editable": true, "editor": zip_code8909, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language8910, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "school", "editable": true, "editor": school8911, "filter": { "type": "string" }, "header": "Establishment", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "remarks", "editable": true, "editor": remarks8912, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "content", "editable": true, "editor": content8913, "filter": { "type": "string" }, "header": "Training content", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "certificates", "editable": true, "editor": certificates8914, "filter": { "type": "string" }, "header": "Certificates", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "country", "editable": true, "editor": country8915, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByCountry.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.TrainingsByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByCountry.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByCountry",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByCountry.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByCountry.insert;
    Lino.cv.TrainingsByCountry.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByCountry.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/TrainingsByCountry" };
  return new Lino.cv.TrainingsByCountry.insertPanel(p);
});
Lino.cv.TrainingsByCountry.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByCountry.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByCountry','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByCountry.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByCountry.insert;
    Lino.cv.TrainingsByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByCountry.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByCountry" };
  return new Lino.cv.TrainingsByCountry.detailPanel(p);
});
Lino.cv.TrainingsByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByCountry" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.TrainingsByCountry.GridPanel(p);
});
Lino.cv.TrainingsByCountry.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.TrainingsByType
Lino.cv.TrainingsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/TrainingsByType",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "type" }, 'typeHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "content" }, { "name": "certificates" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 62,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByType.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByType.insert;
    var ww = this.containing_window;
    var person3717 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/person" }) }) });
    var start_date3718 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date3719 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text3720 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type3721 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Education Type...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/type" }) }) });
    var state3722 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var sector3723 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/sector" }) }) });
    var function3724 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/function" }) }) });
    var id3725 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country3726 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/country" }) }) });
    var city3727 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/city" }) }) });
    var zip_code3728 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language3729 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Language...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByType/language" }) }) });
    var school3730 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks3731 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var content3732 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var certificates3733 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function3724.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city3727.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector3723 !== 'undefined' && sector3723.on('change',Lino.chooser_handler(function3724,'sector'));
      typeof country3726 !== 'undefined' && country3726.on('change',Lino.chooser_handler(city3727,'country'));
      Lino.cv.TrainingsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person3717, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date3718, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date3719, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text3720, "filter": { "type": "string" }, "header": "Duration", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type3721, "filter": { "type": "string" }, "header": "Education Type", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state3722, "filter": { "options": [ "Success", "Failure", "Ongoing" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 6, "dataIndex": "sector", "editable": true, "editor": sector3723, "filter": { "type": "string" }, "header": "Activity sector", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "function", "editable": true, "editor": function3724, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id3725, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country3726, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city3727, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code3728, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language3729, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "school", "editable": true, "editor": school3730, "filter": { "type": "string" }, "header": "Establishment", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks3731, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "content", "editable": true, "editor": content3732, "filter": { "type": "string" }, "header": "Training content", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "certificates", "editable": true, "editor": certificates3733, "filter": { "type": "string" }, "header": "Certificates", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByType.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.TrainingsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByType.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByType.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByType.insert;
    Lino.cv.TrainingsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/TrainingsByType" };
  return new Lino.cv.TrainingsByType.insertPanel(p);
});
Lino.cv.TrainingsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByType.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByType.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByType.insert;
    Lino.cv.TrainingsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByType" };
  return new Lino.cv.TrainingsByType.detailPanel(p);
});
Lino.cv.TrainingsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByType" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.TrainingsByType.GridPanel(p);
});
Lino.cv.TrainingsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.TrainingsByPerson
Lino.cv.TrainingsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/TrainingsByPerson",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "school" }, { "name": "country" }, 'countryHidden', { "name": "state" }, 'stateHidden', { "name": "certificates" }, { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "content" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 16,
  content_type : 62,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByPerson.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByPerson.insert;
    var ww = this.containing_window;
    var type6157 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Education Type...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/type" }) }) });
    var sector6158 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/sector" }) }) });
    var function6159 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/function" }) }) });
    var start_date6160 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6161 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text6162 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var school6163 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var country6164 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/country" }) }) });
    var state6165 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates6166 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6167 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id6168 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city6169 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/city" }) }) });
    var zip_code6170 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language6171 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Language...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/language" }) }) });
    var content6172 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var person6173 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/TrainingsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      function6159.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city6169.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector6158 !== 'undefined' && sector6158.on('change',Lino.chooser_handler(function6159,'sector'));
      typeof country6164 !== 'undefined' && country6164.on('change',Lino.chooser_handler(city6169,'country'));
      Lino.cv.TrainingsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type6157, "filter": { "type": "string" }, "header": "Education Type", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "sector", "editable": true, "editor": sector6158, "filter": { "type": "string" }, "header": "Activity sector", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "function", "editable": true, "editor": function6159, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date6160, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date6161, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "duration_text", "editable": true, "editor": duration_text6162, "filter": { "type": "string" }, "header": "Duration", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "school", "editable": true, "editor": school6163, "filter": { "type": "string" }, "header": "Establishment", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "country", "editable": true, "editor": country6164, "filter": { "type": "string" }, "header": "Country", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "state", "editable": true, "editor": state6165, "filter": { "options": [ "Success", "Failure", "Ongoing" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 9, "dataIndex": "certificates", "editable": true, "editor": certificates6166, "filter": { "type": "string" }, "header": "Certificates", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.certificates) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "remarks", "editable": true, "editor": remarks6167, "filter": { "type": "string" }, "header": "Remarks", "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 11, "dataIndex": "id", "editable": true, "editor": id6168, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6169, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6170, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language6171, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "content", "editable": true, "editor": content6172, "filter": { "type": "string" }, "header": "Training content", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.content) Describes the content of this training. A free one-line text field.") }, "sortable": true, "tooltip": "Describes the content of this training. A free one-line text field.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "person", "editable": true, "editor": person6173, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.TrainingsByPerson.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) } ];
    Lino.cv.TrainingsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByPerson.insertPanel = Ext.extend(Lino.cv.Trainings.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByPerson.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByPerson.insert;
    Lino.cv.TrainingsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/TrainingsByPerson" };
  return new Lino.cv.TrainingsByPerson.insertPanel(p);
});
Lino.cv.TrainingsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.TrainingsByPerson.detailPanel = Ext.extend(Lino.cv.Trainings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/TrainingsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/TrainingsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.TrainingsByPerson.detail;
    this.ls_insert_handler = Lino.cv.TrainingsByPerson.insert;
    Lino.cv.TrainingsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.TrainingsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByPerson" };
  return new Lino.cv.TrainingsByPerson.detailPanel(p);
});
Lino.cv.TrainingsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/TrainingsByPerson" };
  p.params_panel = new Lino.cv.Trainings.ParamsPanel({});
  return new Lino.cv.TrainingsByPerson.GridPanel(p);
});
Lino.cv.TrainingsByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.TrainingsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/TrainingsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByCountry
Lino.cv.StudiesByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByCountry",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "content" }, { "name": "education_level" }, 'education_levelHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 63,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByCountry','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studies",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByCountry.detail;
    var ww = this.containing_window;
    var person3609 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/person" }) }) });
    var start_date3610 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date3611 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type3612 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Education Type...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/type" }) }) });
    var content3613 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var education_level3614 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Level...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/education_level" }) }) });
    var state3615 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var id3616 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city3617 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/city" }) }) });
    var zip_code3618 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text3619 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language3620 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Language...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/language" }) }) });
    var school3621 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks3622 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var country3623 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      city3617.setContextValue('mk',bp['mk']);
      city3617.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof country3623 !== 'undefined' && country3623.on('change',Lino.chooser_handler(city3617,'country'));
      Lino.cv.StudiesByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person3609, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date3610, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date3611, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type3612, "filter": { "type": "string" }, "header": "Education Type", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "content", "editable": true, "editor": content3613, "filter": { "type": "string" }, "header": "Study content", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "education_level", "editable": true, "editor": education_level3614, "filter": { "type": "string" }, "header": "Education Level", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.education_level) Pointer to EducationLevel.") }, "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state3615, "filter": { "options": [ "Success", "Failure", "Ongoing" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id3616, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "city", "editable": true, "editor": city3617, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "zip_code", "editable": true, "editor": zip_code3618, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 10, "dataIndex": "duration_text", "editable": true, "editor": duration_text3619, "filter": { "type": "string" }, "header": "Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language3620, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "school", "editable": true, "editor": school3621, "filter": { "type": "string" }, "header": "Establishment", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "remarks", "editable": true, "editor": remarks3622, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "country", "editable": true, "editor": country3623, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByCountry.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByCountry.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByCountry','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByCountry.detail;
    Lino.cv.StudiesByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByCountry.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByCountry" };
  return new Lino.cv.StudiesByCountry.detailPanel(p);
});
Lino.cv.StudiesByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByCountry" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByCountry.GridPanel(p);
});
Lino.cv.StudiesByCountry.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByLevel
Lino.cv.StudiesByLevel.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByLevel",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "content" }, { "name": "education_level" }, 'education_levelHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "language" }, 'languageHidden', { "name": "school" }, { "name": "remarks" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 63,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByLevel','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studies",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByLevel.detail;
    var ww = this.containing_window;
    var person3850 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/person" }) }) });
    var start_date3851 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date3852 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type3853 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Education Type...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/type" }) }) });
    var content3854 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var education_level3855 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Level...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/education_level" }) }) });
    var state3856 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var id3857 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country3858 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/country" }) }) });
    var city3859 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/city" }) }) });
    var zip_code3860 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text3861 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language3862 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Language...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByLevel/language" }) }) });
    var school3863 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks3864 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      city3859.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country3858 !== 'undefined' && country3858.on('change',Lino.chooser_handler(city3859,'country'));
      Lino.cv.StudiesByLevel.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person3850, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date3851, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date3852, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type3853, "filter": { "type": "string" }, "header": "Education Type", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "content", "editable": true, "editor": content3854, "filter": { "type": "string" }, "header": "Study content", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "education_level", "editable": true, "editor": education_level3855, "filter": { "type": "string" }, "header": "Education Level", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.education_level) Pointer to EducationLevel.") }, "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state3856, "filter": { "options": [ "Success", "Failure", "Ongoing" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id3857, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "country", "editable": true, "editor": country3858, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "city", "editable": true, "editor": city3859, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "zip_code", "editable": true, "editor": zip_code3860, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 11, "dataIndex": "duration_text", "editable": true, "editor": duration_text3861, "filter": { "type": "string" }, "header": "Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language3862, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "school", "editable": true, "editor": school3863, "filter": { "type": "string" }, "header": "Establishment", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks3864, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByLevel.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) } ];
    Lino.cv.StudiesByLevel.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByLevel.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByLevel.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByLevel','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByLevel",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByLevel.detail;
    Lino.cv.StudiesByLevel.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByLevel.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByLevel" };
  return new Lino.cv.StudiesByLevel.detailPanel(p);
});
Lino.cv.StudiesByLevel.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByLevel" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByLevel.GridPanel(p);
});
Lino.cv.StudiesByLevel.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByLevel.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByLevel", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByPlace
Lino.cv.StudiesByPlace.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByPlace",
  ls_store_fields : [ { "name": "school" }, { "name": "type" }, 'typeHidden', { "name": "person" }, 'personHidden', { "name": "content" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "state" }, 'stateHidden', { "name": "language" }, 'languageHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "education_level" }, 'education_levelHidden', { "name": "city" }, 'cityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 63,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPlace','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studies",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPlace.detail;
    var ww = this.containing_window;
    var school3559 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type3560 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Education Type...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/type" }) }) });
    var person3561 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/person" }) }) });
    var content3562 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date3563 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date3564 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var state3565 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var language3566 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Language...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/language" }) }) });
    var remarks3567 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id3568 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country3569 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/country" }) }) });
    var zip_code3570 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text3571 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var education_level3572 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Level...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/education_level" }) }) });
    var city3573 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPlace/city" }) }) });
    this.before_row_edit = function(record) {
      city3573.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country3569 !== 'undefined' && country3569.on('change',Lino.chooser_handler(city3573,'country'));
      Lino.cv.StudiesByPlace.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "school", "editable": true, "editor": school3559, "filter": { "type": "string" }, "header": "Establishment", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type3560, "filter": { "type": "string" }, "header": "Education Type", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "person", "editable": true, "editor": person3561, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "content", "editable": true, "editor": content3562, "filter": { "type": "string" }, "header": "Study content", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date3563, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date3564, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state3565, "filter": { "options": [ "Success", "Failure", "Ongoing" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 7, "dataIndex": "language", "editable": true, "editor": language3566, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "remarks", "editable": true, "editor": remarks3567, "filter": { "type": "string" }, "header": "Remarks", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id3568, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "country", "editable": true, "editor": country3569, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code3570, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "duration_text", "editable": true, "editor": duration_text3571, "filter": { "type": "string" }, "header": "Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "education_level", "editable": true, "editor": education_level3572, "filter": { "type": "string" }, "header": "Education Level", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.education_level) Pointer to EducationLevel.") }, "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "city", "editable": true, "editor": city3573, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPlace.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByPlace.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPlace.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByPlace.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPlace','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByPlace",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPlace.detail;
    Lino.cv.StudiesByPlace.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPlace.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPlace" };
  return new Lino.cv.StudiesByPlace.detailPanel(p);
});
Lino.cv.StudiesByPlace.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPlace" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByPlace.GridPanel(p);
});
Lino.cv.StudiesByPlace.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPlace.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPlace", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByType
Lino.cv.StudiesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByType",
  ls_store_fields : [ { "name": "school" }, { "name": "person" }, 'personHidden', { "name": "content" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "state" }, 'stateHidden', { "name": "language" }, 'languageHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "duration_text" }, { "name": "education_level" }, 'education_levelHidden', { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 63,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studies",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByType.detail;
    var ww = this.containing_window;
    var school3698 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var person3699 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/person" }) }) });
    var content3700 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date3701 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date3702 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var state3703 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var language3704 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Language...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/language" }) }) });
    var remarks3705 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id3706 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country3707 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/country" }) }) });
    var city3708 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/city" }) }) });
    var zip_code3709 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var duration_text3710 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var education_level3711 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Level...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/education_level" }) }) });
    var type3712 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Education Type...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByType/type" }) }) });
    this.before_row_edit = function(record) {
      city3708.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country3707 !== 'undefined' && country3707.on('change',Lino.chooser_handler(city3708,'country'));
      Lino.cv.StudiesByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "school", "editable": true, "editor": school3698, "filter": { "type": "string" }, "header": "Establishment", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person3699, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "content", "editable": true, "editor": content3700, "filter": { "type": "string" }, "header": "Study content", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date3701, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date3702, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state3703, "filter": { "options": [ "Success", "Failure", "Ongoing" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language3704, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "remarks", "editable": true, "editor": remarks3705, "filter": { "type": "string" }, "header": "Remarks", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id3706, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country3707, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city3708, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code3709, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "duration_text", "editable": true, "editor": duration_text3710, "filter": { "type": "string" }, "header": "Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "education_level", "editable": true, "editor": education_level3711, "filter": { "type": "string" }, "header": "Education Level", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.education_level) Pointer to EducationLevel.") }, "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "type", "editable": true, "editor": type3712, "filter": { "type": "string" }, "header": "Education Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByType.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByType.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByType.detail;
    Lino.cv.StudiesByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByType.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByType" };
  return new Lino.cv.StudiesByType.detailPanel(p);
});
Lino.cv.StudiesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByType" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByType.GridPanel(p);
});
Lino.cv.StudiesByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.StudiesByPerson
Lino.cv.StudiesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/StudiesByPerson",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "content" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "school" }, { "name": "country" }, 'countryHidden', { "name": "state" }, 'stateHidden', { "name": "education_level" }, 'education_levelHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "language" }, 'languageHidden', { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 63,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Study.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Studies",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPerson.detail;
    this.ls_insert_handler = Lino.cv.StudiesByPerson.insert;
    var ww = this.containing_window;
    var type6138 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Education Type...", "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/type" }) }) });
    var content6139 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date6140 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6141 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text6142 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var school6143 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var country6144 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/country" }) }) });
    var state6145 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var education_level6146 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Level...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/education_level" }) }) });
    var remarks6147 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id6148 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city6149 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/city" }) }) });
    var zip_code6150 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var language6151 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Language...", "hidden": true, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/language" }) }) });
    var person6152 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      city6149.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6144 !== 'undefined' && country6144.on('change',Lino.chooser_handler(city6149,'country'));
      Lino.cv.StudiesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type6138, "filter": { "type": "string" }, "header": "Education Type", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.type) Pointer to StudyType.") }, "sortable": false, "tooltip": "Pointer to StudyType.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "content", "editable": true, "editor": content6139, "filter": { "type": "string" }, "header": "Study content", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.content) Free-text description of the content.") }, "sortable": true, "tooltip": "Free-text description of the content.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date6140, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date6141, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "duration_text", "editable": true, "editor": duration_text6142, "filter": { "type": "string" }, "header": "Duration", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "school", "editable": true, "editor": school6143, "filter": { "type": "string" }, "header": "Establishment", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.school) The establishment where the education happened.") }, "sortable": true, "tooltip": "The establishment where the education happened.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country6144, "filter": { "type": "string" }, "header": "Country", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state6145, "filter": { "options": [ "Success", "Failure", "Ongoing" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 8, "dataIndex": "education_level", "editable": true, "editor": education_level6146, "filter": { "type": "string" }, "header": "Education Level", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.education_level) Pointer to EducationLevel.") }, "sortable": false, "tooltip": "Pointer to EducationLevel.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "remarks", "editable": true, "editor": remarks6147, "filter": { "type": "string" }, "header": "Remarks", "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.remarks) Remarks about this entry.") }, "sortable": false, "tooltip": "Remarks about this entry.", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 10, "dataIndex": "id", "editable": true, "editor": id6148, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "city", "editable": true, "editor": city6149, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "zip_code", "editable": true, "editor": zip_code6150, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language6151, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.language) Foreign key to lino.modlib.languages.Language.") }, "sortable": false, "tooltip": "Foreign key to lino.modlib.languages.Language.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "person", "editable": true, "editor": person6152, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.StudiesByPerson.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) } ];
    Lino.cv.StudiesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByPerson.insertPanel = Ext.extend(Lino.cv.StudiesByPerson.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPerson.detail;
    this.ls_insert_handler = Lino.cv.StudiesByPerson.insert;
    Lino.cv.StudiesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/StudiesByPerson" };
  return new Lino.cv.StudiesByPerson.insertPanel(p);
});
Lino.cv.StudiesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.StudiesByPerson.detailPanel = Ext.extend(Lino.cv.Studies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Study.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/StudiesByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/StudiesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.StudiesByPerson.detail;
    this.ls_insert_handler = Lino.cv.StudiesByPerson.insert;
    Lino.cv.StudiesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.StudiesByPerson.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(10), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPerson" };
  return new Lino.cv.StudiesByPerson.detailPanel(p);
});
Lino.cv.StudiesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/StudiesByPerson" };
  p.params_panel = new Lino.cv.Studies.ParamsPanel({});
  return new Lino.cv.StudiesByPerson.GridPanel(p);
});
Lino.cv.StudiesByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.StudiesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/StudiesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesBySector
Lino.cv.ExperiencesBySector.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesBySector",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "title" }, { "name": "company" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "status" }, 'statusHidden', { "name": "duration" }, 'durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "is_training", "type": "boolean" }, { "name": "remarks" }, { "name": "termination_reason" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 69,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesBySector','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job Experiences",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesBySector.detail;
    var ww = this.containing_window;
    var person2973 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/person" }) }) });
    var start_date2974 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date2975 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text2976 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector2977 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/sector" }) }) });
    var function2978 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/function" }) }) });
    var title2979 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var company2980 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id2981 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country2982 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/country" }) }) });
    var city2983 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/city" }) }) });
    var zip_code2984 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var status2985 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Status...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/status" }) }) });
    var duration2986 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Contract Duration...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/duration" }) }) });
    var regime2987 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesBySector/regime" }) }) });
    var is_training2988 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var remarks2989 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var termination_reason2990 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      function2978.setContextValue('mk',bp['mk']);
      function2978.setContextValue('mt',bp['mt']);
      city2983.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector2977 !== 'undefined' && sector2977.on('change',Lino.chooser_handler(function2978,'sector'));
      typeof country2982 !== 'undefined' && country2982.on('change',Lino.chooser_handler(city2983,'country'));
      Lino.cv.ExperiencesBySector.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person2973, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date2974, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date2975, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text2976, "filter": { "type": "string" }, "header": "Duration", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "sector", "editable": true, "editor": sector2977, "filter": { "type": "string" }, "header": "Activity sector", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function2978, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "title", "editable": true, "editor": title2979, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company2980, "filter": { "type": "string" }, "header": "Company", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id2981, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country2982, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city2983, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code2984, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "status", "editable": true, "editor": status2985, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "duration", "editable": true, "editor": duration2986, "filter": { "type": "string" }, "header": "Contract Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "regime", "editable": true, "editor": regime2987, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Training", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.is_training) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "remarks", "editable": true, "editor": remarks2989, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "termination_reason", "editable": true, "editor": termination_reason2990, "filter": { "type": "string" }, "header": "Termination reason", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesBySector.termination_reason) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.ExperiencesBySector.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesBySector.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesBySector.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesBySector','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesBySector",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesBySector.detail;
    Lino.cv.ExperiencesBySector.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesBySector.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesBySector" };
  return new Lino.cv.ExperiencesBySector.detailPanel(p);
});
Lino.cv.ExperiencesBySector.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesBySector" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesBySector.GridPanel(p);
});
Lino.cv.ExperiencesBySector.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesBySector.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesBySector", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesByFunction
Lino.cv.ExperiencesByFunction.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesByFunction",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "title" }, { "name": "company" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "status" }, 'statusHidden', { "name": "duration" }, 'durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "is_training", "type": "boolean" }, { "name": "remarks" }, { "name": "termination_reason" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 69,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByFunction','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job Experiences",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByFunction.detail;
    var ww = this.containing_window;
    var person2944 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/person" }) }) });
    var start_date2945 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date2946 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text2947 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var sector2948 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/sector" }) }) });
    var function2949 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/function" }) }) });
    var title2950 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var company2951 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id2952 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country2953 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/country" }) }) });
    var city2954 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/city" }) }) });
    var zip_code2955 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var status2956 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Status...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/status" }) }) });
    var duration2957 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Contract Duration...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/duration" }) }) });
    var regime2958 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByFunction/regime" }) }) });
    var is_training2959 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var remarks2960 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var termination_reason2961 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function2949.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city2954.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector2948 !== 'undefined' && sector2948.on('change',Lino.chooser_handler(function2949,'sector'));
      typeof country2953 !== 'undefined' && country2953.on('change',Lino.chooser_handler(city2954,'country'));
      Lino.cv.ExperiencesByFunction.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person2944, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date2945, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date2946, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration_text", "editable": true, "editor": duration_text2947, "filter": { "type": "string" }, "header": "Duration", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "sector", "editable": true, "editor": sector2948, "filter": { "type": "string" }, "header": "Activity sector", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function2949, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "title", "editable": true, "editor": title2950, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company2951, "filter": { "type": "string" }, "header": "Company", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id2952, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "country", "editable": true, "editor": country2953, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "city", "editable": true, "editor": city2954, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "zip_code", "editable": true, "editor": zip_code2955, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "status", "editable": true, "editor": status2956, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "duration", "editable": true, "editor": duration2957, "filter": { "type": "string" }, "header": "Contract Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "regime", "editable": true, "editor": regime2958, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Training", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.is_training) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "remarks", "editable": true, "editor": remarks2960, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "termination_reason", "editable": true, "editor": termination_reason2961, "filter": { "type": "string" }, "header": "Termination reason", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByFunction.termination_reason) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.ExperiencesByFunction.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByFunction.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByFunction.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByFunction','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByFunction",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByFunction.detail;
    Lino.cv.ExperiencesByFunction.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByFunction.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByFunction" };
  return new Lino.cv.ExperiencesByFunction.detailPanel(p);
});
Lino.cv.ExperiencesByFunction.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByFunction" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesByFunction.GridPanel(p);
});
Lino.cv.ExperiencesByFunction.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByFunction.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByFunction", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ExperiencesByPerson
Lino.cv.ExperiencesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ExperiencesByPerson",
  ls_store_fields : [ { "name": "company" }, { "name": "country" }, 'countryHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "duration_text" }, { "name": "function" }, 'functionHidden', { "name": "status" }, 'statusHidden', { "name": "duration" }, 'durationHidden', { "name": "termination_reason" }, { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "sector" }, 'sectorHidden', { "name": "title" }, { "name": "regime" }, 'regimeHidden', { "name": "is_training", "type": "boolean" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 69,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Job Experience.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cv.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job Experiences",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByPerson.detail;
    this.ls_insert_handler = Lino.cv.ExperiencesByPerson.insert;
    var ww = this.containing_window;
    var company6178 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country6179 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/country" }) }) });
    var start_date6180 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6181 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration_text6182 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var function6183 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/function" }) }) });
    var status6184 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Status...", "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/status" }) }) });
    var duration6185 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Contract Duration...", "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/duration" }) }) });
    var termination_reason6186 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6187 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id6188 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var city6189 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/city" }) }) });
    var zip_code6190 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var sector6191 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/sector" }) }) });
    var title6192 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var regime6193 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/regime" }) }) });
    var is_training6194 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var person6195 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      function6183.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city6189.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector6191 !== 'undefined' && sector6191.on('change',Lino.chooser_handler(function6183,'sector'));
      typeof country6179 !== 'undefined' && country6179.on('change',Lino.chooser_handler(city6189,'country'));
      Lino.cv.ExperiencesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company6178, "filter": { "type": "string" }, "header": "Company", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "country", "editable": true, "editor": country6179, "filter": { "type": "string" }, "header": "Country", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date6180, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date6181, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "duration_text", "editable": true, "editor": duration_text6182, "filter": { "type": "string" }, "header": "Duration", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.duration_text) Free-text description of the duration of this entry.") }, "sortable": true, "tooltip": "Free-text description of the duration of this entry.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "function", "editable": true, "editor": function6183, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "status", "editable": true, "editor": status6184, "filter": { "type": "string" }, "header": "Status", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "duration", "editable": true, "editor": duration6185, "filter": { "type": "string" }, "header": "Contract Duration", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "termination_reason", "editable": true, "editor": termination_reason6186, "filter": { "type": "string" }, "header": "Termination reason", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.termination_reason) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "remarks", "editable": true, "editor": remarks6187, "filter": { "type": "string" }, "header": "Remarks", "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 10, "dataIndex": "id", "editable": true, "editor": id6188, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "city", "editable": true, "editor": city6189, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "zip_code", "editable": true, "editor": zip_code6190, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "sector", "editable": true, "editor": sector6191, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "title", "editable": true, "editor": title6192, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "regime", "editable": true, "editor": regime6193, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "is_training", "editable": true, "filter": { "type": "boolean" }, "header": "Training", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.is_training) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "person", "editable": true, "editor": person6195, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ExperiencesByPerson.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) } ];
    Lino.cv.ExperiencesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByPerson.insertPanel = Ext.extend(Lino.cv.ExperiencesByPerson.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByPerson.detail;
    this.ls_insert_handler = Lino.cv.ExperiencesByPerson.insert;
    Lino.cv.ExperiencesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cv/ExperiencesByPerson" };
  return new Lino.cv.ExperiencesByPerson.insertPanel(p);
});
Lino.cv.ExperiencesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cv.ExperiencesByPerson.detailPanel = Ext.extend(Lino.cv.Experiences.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Job Experience.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/ExperiencesByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cv/ExperiencesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cv.ExperiencesByPerson.detail;
    this.ls_insert_handler = Lino.cv.ExperiencesByPerson.insert;
    Lino.cv.ExperiencesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ExperiencesByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByPerson" };
  return new Lino.cv.ExperiencesByPerson.detailPanel(p);
});
Lino.cv.ExperiencesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ExperiencesByPerson" };
  p.params_panel = new Lino.cv.Experiences.ParamsPanel({});
  return new Lino.cv.ExperiencesByPerson.GridPanel(p);
});
Lino.cv.ExperiencesByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ExperiencesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ExperiencesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.SkillsByPerson
Lino.cv.SkillsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/SkillsByPerson",
  ls_store_fields : [ { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "remark" }, { "name": "proof" }, 'proofHidden', { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 71,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/SkillsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Skills",
  initComponent : function() {
    var ww = this.containing_window;
    var sector8919 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/sector" }) }) });
    var function8920 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/function" }) }) });
    var remark8921 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var proof8922 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Skill proof...", "pageSize": 20, "related_actor_id": "cv.Proofs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/proof" }) }) });
    var id8923 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var person8924 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SkillsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      function8920.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector8919 !== 'undefined' && sector8919.on('change',Lino.chooser_handler(function8920,'sector'));
      Lino.cv.SkillsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sector", "editable": true, "editor": sector8919, "filter": { "type": "string" }, "header": "Activity sector", "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "function", "editable": true, "editor": function8920, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8921, "filter": { "type": "string" }, "header": "Competences", "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "proof", "editable": true, "editor": proof8922, "filter": { "type": "string" }, "header": "Skill proof", "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.proof) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8923, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person8924, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.SkillsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.SkillsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.SkillsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SkillsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/SkillsByPerson" };
  return new Lino.cv.SkillsByPerson.GridPanel(p);
});
Lino.cv.SkillsByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SkillsByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.SoftSkillsByPerson
Lino.cv.SoftSkillsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/SoftSkillsByPerson",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 73,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/SoftSkillsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Soft skills",
  initComponent : function() {
    var ww = this.containing_window;
    var type8928 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Soft skill type...", "pageSize": 20, "related_actor_id": "cv.SoftSkillTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/SoftSkillsByPerson/type" }) }) });
    var remark8929 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type8928, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "remark", "editable": true, "editor": remark8929, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(cv.SoftSkillsByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cv.SoftSkillsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.SoftSkillsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.SoftSkillsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/SoftSkillsByPerson" };
  return new Lino.cv.SoftSkillsByPerson.GridPanel(p);
});
Lino.cv.SoftSkillsByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/SoftSkillsByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.ObstaclesByPerson
Lino.cv.ObstaclesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/ObstaclesByPerson",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "detected_date", "type": "date" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 75,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/ObstaclesByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Obstacles",
  initComponent : function() {
    var ww = this.containing_window;
    var type6212 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Obstacle type...", "pageSize": 20, "related_actor_id": "cv.ObstacleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ObstaclesByPerson/type" }) }) });
    var user6213 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ObstaclesByPerson/user" }) }) });
    var detected_date6214 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var remark6215 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6216 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var person6217 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ObstaclesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type6212, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user6213, "filter": { "type": "string" }, "header": "Detected by", "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.user) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "detected_date", "editable": true, "editor": detected_date6214, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.detected_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark6215, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6216, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "person", "editable": true, "editor": person6217, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.ObstaclesByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cv.ObstaclesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.ObstaclesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.ObstaclesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/ObstaclesByPerson" };
  return new Lino.cv.ObstaclesByPerson.GridPanel(p);
});
Lino.cv.ObstaclesByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/ObstaclesByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.ClientsByNationality
Lino.pcsw.ClientsByNationality.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ClientsByNationality",
  ls_store_fields : [ { "name": "city" }, 'cityHidden', { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "name" }, { "name": "country" }, 'countryHidden', { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "email" }, { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "birth_country" }, 'birth_countryHidden', { "name": "birth_place" }, { "name": "card_number" }, { "dateFormat": "d.m.Y", "name": "card_valid_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "card_valid_until", "type": "date" }, { "name": "card_type" }, 'card_typeHidden', { "name": "card_issuer" }, { "name": "nationality_text" }, { "name": "noble_condition" }, { "name": "group" }, 'groupHidden', { "name": "civil_state" }, 'civil_stateHidden', { "name": "residence_type" }, 'residence_typeHidden', { "dateFormat": "d.m.Y", "name": "in_belgium_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "residence_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "unemployed_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "seeking_since", "type": "date" }, { "name": "needs_residence_permit", "type": "boolean" }, { "name": "needs_work_permit", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "work_permit_suspended_until", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "declared_name", "type": "boolean" }, { "name": "is_seeking", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "unavailable_until", "type": "date" }, { "name": "unavailable_why" }, { "name": "obstacles" }, { "name": "skills" }, { "name": "job_office_contact" }, 'job_office_contactHidden', { "name": "refusal_reason" }, 'refusal_reasonHidden', { "name": "geographic_area" }, { "name": "child_custody" }, { "name": "broker" }, 'brokerHidden', { "name": "faculty" }, 'facultyHidden', { "name": "has_esf", "type": "boolean" }, { "name": "age" }, { "name": "nationality" }, 'nationalityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Client.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Clients",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    var ww = this.containing_window;
    var city8933 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/city" }) }) });
    var street8934 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8935 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var street_box8936 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var addr28937 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name8938 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country8939 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/country" }) }) });
    var language8940 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var id8941 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email8942 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var url8943 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone8944 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm8945 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax8946 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified8947 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8948 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var zip_code8949 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8950 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/region" }) }) });
    var addr18951 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8952 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix8953 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks8954 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete8955 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity8956 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/activity" }) }) });
    var client_contact_type8957 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/client_contact_type" }) }) });
    var title8958 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name8959 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name8960 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8961 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender8962 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date8963 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var client_state8964 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id8965 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_country8966 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/birth_country" }) }) });
    var birth_place8967 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var card_number8968 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var card_valid_from8969 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_valid_until8970 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_type8971 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.BeIdCardTypes) });
    var card_issuer8972 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var nationality_text8973 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var noble_condition8974 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var group8975 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Integration Phase...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/group" }) }) });
    var civil_state8976 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var residence_type8977 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var in_belgium_since8978 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var residence_until8979 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unemployed_since8980 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seeking_since8981 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var needs_residence_permit8982 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var needs_work_permit8983 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var work_permit_suspended_until8984 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type8985 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a aid type...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/aid_type" }) }) });
    var declared_name8986 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_seeking8987 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var unavailable_until8988 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unavailable_why8989 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var obstacles8990 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var skills8991 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_office_contact8992 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Contact person...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.Roles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/job_office_contact" }) }) });
    var refusal_reason8993 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var geographic_area8994 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var child_custody8995 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var broker8996 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Broker...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/broker" }) }) });
    var faculty8997 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Faculty...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/faculty" }) }) });
    var has_esf8998 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var age_disp8999 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp8999 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var nationality9000 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/nationality" }) }) });
    this.before_row_edit = function(record) {
      city8933.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city8933.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region8950.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country8939 !== 'undefined' && country8939.on('change',Lino.chooser_handler(city8933,'country'));
      typeof region8950 !== 'undefined' && region8950.on('change',Lino.chooser_handler(city8933,'region'));
      typeof country8939 !== 'undefined' && country8939.on('change',Lino.chooser_handler(region8950,'country'));
      Lino.pcsw.ClientsByNationality.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "city", "editable": true, "editor": city8933, "filter": { "type": "string" }, "header": "Locality", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "street", "editable": true, "editor": street8934, "filter": { "type": "string" }, "header": "Street", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "street_no", "editable": true, "editor": street_no8935, "filter": { "type": "string" }, "header": "No.", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 3, "dataIndex": "street_box", "editable": true, "editor": street_box8936, "filter": { "type": "string" }, "header": "Box", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 4, "dataIndex": "addr2", "editable": true, "editor": addr28937, "filter": { "type": "string" }, "header": "Address line after street", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "name", "editable": true, "editor": name8938, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country8939, "filter": { "type": "string" }, "header": "Country", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "language", "editable": true, "editor": language8940, "filter": { "type": "string" }, "header": "Language", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id8941, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "email", "editable": true, "editor": email8942, "filter": { "type": "string" }, "header": "e-mail address", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "url", "editable": true, "editor": url8943, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "phone", "editable": true, "editor": phone8944, "filter": { "type": "string" }, "header": "Phone", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "gsm", "editable": true, "editor": gsm8945, "filter": { "type": "string" }, "header": "Mobile", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "fax", "editable": true, "editor": fax8946, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 16, "dataIndex": "zip_code", "editable": true, "editor": zip_code8949, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 17, "dataIndex": "region", "editable": true, "editor": region8950, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "addr1", "editable": true, "editor": addr18951, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8952, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "prefix", "editable": true, "editor": prefix8953, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "remarks", "editable": true, "editor": remarks8954, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "activity", "editable": true, "editor": activity8956, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type8957, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "title", "editable": true, "editor": title8958, "filter": { "type": "string" }, "header": "Title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.title) Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".") }, "sortable": true, "tooltip": "Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".", "width": Lino.chars2width(22) }, { "colIndex": 26, "dataIndex": "first_name", "editable": true, "editor": first_name8959, "filter": { "type": "string" }, "header": "First name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 27, "dataIndex": "middle_name", "editable": true, "editor": middle_name8960, "filter": { "type": "string" }, "header": "Middle name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 28, "dataIndex": "last_name", "editable": true, "editor": last_name8961, "filter": { "type": "string" }, "header": "Last name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "gender", "editable": true, "editor": gender8962, "filter": { "options": [ "Male", "Female" ], "type": "list" }, "header": "Gender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 30, "dataIndex": "birth_date", "editable": true, "editor": birth_date8963, "filter": { "type": "string" }, "header": "Birth date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 31, "dataIndex": "client_state", "editable": true, "editor": client_state8964, "filter": { "options": [ "Newcomer", "Refused", "Coached", "Former" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(14) }, { "colIndex": 32, "dataIndex": "national_id", "editable": true, "editor": national_id8965, "filter": { "type": "string" }, "header": "National ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 33, "dataIndex": "birth_country", "editable": true, "editor": birth_country8966, "filter": { "type": "string" }, "header": "Birth country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 34, "dataIndex": "birth_place", "editable": true, "editor": birth_place8967, "filter": { "type": "string" }, "header": "Birth place", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_place) The birth place in plain text as it was on the eid card.") }, "sortable": true, "tooltip": "The birth place in plain text as it was on the eid card.", "width": Lino.chars2width(22) }, { "colIndex": 35, "dataIndex": "card_number", "editable": true, "editor": card_number8968, "filter": { "type": "string" }, "header": "eID card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_number) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 36, "dataIndex": "card_valid_from", "editable": true, "editor": card_valid_from8969, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "ID card valid from", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_valid_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 37, "dataIndex": "card_valid_until", "editable": true, "editor": card_valid_until8970, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_valid_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 38, "dataIndex": "card_type", "editable": true, "editor": card_type8971, "filter": { "options": [ "Belgian citizen", "Kids card (< 12 year)", "Foreigner card A", "Foreigner card B", "Foreigner card C", "Foreigner card D", "Foreigner card E", "Foreigner card E+", "Foreigner card F", "Foreigner card F+", "Registration certificate (Orange card)" ], "type": "list" }, "header": "eID card type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_type) The type of id card.") }, "sortable": false, "tooltip": "The type of id card.", "width": Lino.chars2width(48) }, { "colIndex": 39, "dataIndex": "card_issuer", "editable": true, "editor": card_issuer8972, "filter": { "type": "string" }, "header": "eID card issuer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_issuer) The administration who issued this ID card.") }, "sortable": true, "tooltip": "The administration who issued this ID card.", "width": Lino.chars2width(22) }, { "colIndex": 40, "dataIndex": "nationality_text", "editable": true, "editor": nationality_text8973, "filter": { "type": "string" }, "header": "Nationality (text)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.nationality_text) The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.") }, "sortable": true, "tooltip": "The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.", "width": Lino.chars2width(22) }, { "colIndex": 41, "dataIndex": "noble_condition", "editable": true, "editor": noble_condition8974, "filter": { "type": "string" }, "header": "noble condition", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.noble_condition) The eventual noble condition of this person.") }, "sortable": true, "tooltip": "The eventual noble condition of this person.", "width": Lino.chars2width(22) }, { "colIndex": 42, "dataIndex": "group", "editable": true, "editor": group8975, "filter": { "type": "string" }, "header": "Integration phase", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "sortable": false, "tooltip": "Pointer to PersonGroup.\nThe intergration phase of this client.", "width": Lino.chars2width(21) }, { "colIndex": 43, "dataIndex": "civil_state", "editable": true, "editor": civil_state8976, "filter": { "options": [ "Single", "Married", "Widowed", "Divorced", "Separated", "De facto separated", "Cohabitating" ], "type": "list" }, "header": "Civil state", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "sortable": false, "tooltip": "The civil state of this client. Allowed choices are defined in\nCivilState.", "width": Lino.chars2width(31) }, { "colIndex": 44, "dataIndex": "residence_type", "editable": true, "editor": residence_type8977, "filter": { "options": [ "Register of citizens", "Register of foreigners", "Waiting register" ], "type": "list" }, "header": "Resident register", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.residence_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 45, "dataIndex": "in_belgium_since", "editable": true, "editor": in_belgium_since8978, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Lives in Belgium since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.in_belgium_since) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 46, "dataIndex": "residence_until", "editable": true, "editor": residence_until8979, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Residence until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.residence_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 47, "dataIndex": "unemployed_since", "editable": true, "editor": unemployed_since8980, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Unemployed since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unemployed_since) The date when this client got unemployed and stopped to have a\nregular work.") }, "sortable": true, "tooltip": "The date when this client got unemployed and stopped to have a\nregular work.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 48, "dataIndex": "seeking_since", "editable": true, "editor": seeking_since8981, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Seeking work since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.seeking_since) The date when this client registered as unemployed and started\nto look for a new job.") }, "sortable": true, "tooltip": "The date when this client registered as unemployed and started\nto look for a new job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 49, "dataIndex": "needs_residence_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Needs residence permit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.needs_residence_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 50, "dataIndex": "needs_work_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Needs work permit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.needs_work_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 51, "dataIndex": "work_permit_suspended_until", "editable": true, "editor": work_permit_suspended_until8984, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "suspended until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.work_permit_suspended_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 52, "dataIndex": "aid_type", "editable": true, "editor": aid_type8985, "filter": { "type": "string" }, "header": "aid type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 53, "dataIndex": "declared_name", "editable": true, "filter": { "type": "boolean" }, "header": "Declared name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.declared_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 54, "dataIndex": "is_seeking", "editable": true, "filter": { "type": "boolean" }, "header": "is seeking work", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_seeking) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 55, "dataIndex": "unavailable_until", "editable": true, "editor": unavailable_until8988, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Unavailable until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unavailable_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 56, "dataIndex": "unavailable_why", "editable": true, "editor": unavailable_why8989, "filter": { "type": "string" }, "header": "Reason", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unavailable_why) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 57, "dataIndex": "obstacles", "editable": true, "editor": obstacles8990, "filter": { "type": "string" }, "header": "Other obstacles", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.obstacles) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 58, "dataIndex": "skills", "editable": true, "editor": skills8991, "filter": { "type": "string" }, "header": "Other skills", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.skills) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 59, "dataIndex": "job_office_contact", "editable": true, "editor": job_office_contact8992, "filter": { "type": "string" }, "header": "Contact person at local job office", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.job_office_contact) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 60, "dataIndex": "refusal_reason", "editable": true, "editor": refusal_reason8993, "filter": { "options": [ "Information request (No coaching needed)", "PCSW is not competent", "Client did not return" ], "type": "list" }, "header": "Refusal reason", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.refusal_reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(46) }, { "colIndex": 61, "dataIndex": "geographic_area", "editable": true, "editor": geographic_area8994, "filter": { "type": "string" }, "header": "Geographic area", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.geographic_area) The area for which we are seeking a job.") }, "sortable": true, "tooltip": "The area for which we are seeking a job.", "width": Lino.chars2width(22) }, { "colIndex": 62, "dataIndex": "child_custody", "editable": true, "editor": child_custody8995, "filter": { "type": "string" }, "header": "Child custody", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.child_custody) Notes concerning child custody.") }, "sortable": false, "tooltip": "Notes concerning child custody.", "width": Lino.chars2width(61) }, { "colIndex": 63, "dataIndex": "broker", "editable": true, "editor": broker8996, "filter": { "type": "string" }, "header": "Broker", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.broker) The Broker who sent this Newcomer.") }, "sortable": false, "tooltip": "The Broker who sent this Newcomer.", "width": Lino.chars2width(21) }, { "colIndex": 64, "dataIndex": "faculty", "editable": true, "editor": faculty8997, "filter": { "type": "string" }, "header": "Faculty", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.faculty) The Faculty this client has been attributed to.") }, "sortable": false, "tooltip": "The Faculty this client has been attributed to.", "width": Lino.chars2width(21) }, { "colIndex": 65, "dataIndex": "has_esf", "editable": true, "filter": { "type": "boolean" }, "header": "ESF data", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.has_esf) Whether Lino should make ESF summaries for this client.") }, "sortable": false, "tooltip": "Whether Lino should make ESF summaries for this client.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 66, "dataIndex": "age", "editable": false, "header": "Age", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 67, "dataIndex": "age", "editable": false, "header": "Age", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 68, "dataIndex": "nationality", "editable": true, "editor": nationality9000, "filter": { "type": "string" }, "header": "Nationality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "sortable": false, "tooltip": "The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.", "width": Lino.chars2width(21) } ];
    Lino.pcsw.ClientsByNationality.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.ClientsByNationality.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/ClientsByNationality",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    Lino.pcsw.ClientsByNationality.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  return new Lino.pcsw.ClientsByNationality.insertPanel(p);
});
Lino.pcsw.ClientsByNationality.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.ClientsByNationality.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Client.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  ls_url: "/pcsw/ClientsByNationality",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    Lino.pcsw.ClientsByNationality.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  return new Lino.pcsw.ClientsByNationality.detailPanel(p);
});
Lino.pcsw.ClientsByNationality.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt17 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt17", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt19 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt19", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.ClientsByNationality.GridPanel(p);
});
Lino.pcsw.ClientsByNationality.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.DispensesByClient
Lino.pcsw.DispensesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/DispensesByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "reason" }, 'reasonHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 52,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispensesByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dispenses",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date9004 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9005 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var reason9006 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Dispense reason...", "pageSize": 20, "related_actor_id": "pcsw.DispenseReasons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/DispensesByClient/reason" }) }) });
    var remarks9007 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date9004, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Dispensed from", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date9005, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "reason", "editable": true, "editor": reason9006, "filter": { "type": "string" }, "header": "Reason", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remarks", "editable": true, "editor": remarks9007, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.pcsw.DispensesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.DispensesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/DispensesByClient" };
  return new Lino.pcsw.DispensesByClient.GridPanel(p);
});
Lino.pcsw.DispensesByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.ExclusionsByClient
Lino.pcsw.ExclusionsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ExclusionsByClient",
  ls_store_fields : [ { "name": "unemployment_right" }, 'unemployment_rightHidden', { "name": "followed_by_forem" }, 'followed_by_foremHidden', { "name": "advisor" }, { "dateFormat": "d.m.Y", "name": "excluded_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "excluded_until", "type": "date" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 54,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Unemployment situation",
  initComponent : function() {
    var ww = this.containing_window;
    var unemployment_right6459 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Unemployment right...", "pageSize": 20, "related_actor_id": "pcsw.UnemploymentRights", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ExclusionsByClient/unemployment_right" }) }) });
    var followed_by_forem6460 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.FollowedFORem) });
    var advisor6461 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var excluded_from6462 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var excluded_until6463 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var remark6464 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "unemployment_right", "editable": true, "editor": unemployment_right6459, "filter": { "type": "string" }, "header": "Unemployment right", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.unemployment_right) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "followed_by_forem", "editable": true, "editor": followed_by_forem6460, "filter": { "options": [ "No", "Yes" ], "type": "list" }, "header": "Followed by FORem", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.followed_by_forem) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(8) }, { "colIndex": 2, "dataIndex": "advisor", "editable": true, "editor": advisor6461, "filter": { "type": "string" }, "header": "Advisor", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.advisor) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "excluded_from", "editable": true, "editor": excluded_from6462, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Excluded from", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.excluded_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "excluded_until", "editable": true, "editor": excluded_until6463, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.excluded_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark6464, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.pcsw.ExclusionsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ExclusionsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ExclusionsByClient" };
  return new Lino.pcsw.ExclusionsByClient.GridPanel(p);
});
Lino.pcsw.ExclusionsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.ConvictionsByClient
Lino.pcsw.ConvictionsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ConvictionsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "designation" }, { "name": "prejudicial", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 55,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/pcsw/ConvictionsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Convictions",
  initComponent : function() {
    var ww = this.containing_window;
    var date9011 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var designation9012 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var prejudicial9013 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9011, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "designation", "editable": true, "editor": designation9012, "filter": { "type": "string" }, "header": "Designation", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.designation) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "prejudicial", "editable": true, "filter": { "type": "boolean" }, "header": "Prejudicial", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.prejudicial) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.pcsw.ConvictionsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ConvictionsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ConvictionsByClient" };
  return new Lino.pcsw.ConvictionsByClient.GridPanel(p);
});
Lino.pcsw.ConvictionsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class coachings.CoachingsByClient
Lino.coachings.CoachingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/CoachingsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "primary", "type": "boolean" }, { "name": "type" }, 'typeHidden', { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Coachings",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date6118 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6119 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user6120 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/user" }) }) });
    var primary6121 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var type6122 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Coaching type...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/type" }) }) });
    var ending6123 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "pageSize": 20, "related_actor_id": "coachings.CoachingEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/ending" }) }) });
    var id6124 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      ending6123.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type6122 !== 'undefined' && type6122.on('change',Lino.chooser_handler(ending6123,'type'));
      Lino.coachings.CoachingsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date6118, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Coached from", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date6119, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user6120, "filter": { "type": "string" }, "header": "Coach", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(13) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Primary", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type6122, "filter": { "type": "string" }, "header": "Coaching type", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 5, "dataIndex": "ending", "editable": true, "editor": ending6123, "filter": { "type": "string" }, "header": "Reason of termination", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id6124, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.CoachingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.CoachingsByClient.GridPanel(p);
});
Lino.coachings.CoachingsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class coachings.CoachingsByUser
Lino.coachings.CoachingsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/CoachingsByUser",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByUser','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Coachings",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date5362 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date5363 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5364 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByUser/client" }) }) });
    var type5365 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Coaching type...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByUser/type" }) }) });
    var primary5366 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id5367 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date5362, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Coached from", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date5363, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "client", "editable": true, "editor": client5364, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type5365, "filter": { "type": "string" }, "header": "Coaching type", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Primary", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id5367, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.CoachingsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingsByUser" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.CoachingsByUser.GridPanel(p);
});
Lino.coachings.CoachingsByUser.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class coachings.MyCoachings
Lino.coachings.MyCoachings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/MyCoachings",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/coachings/MyCoachings','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Coachings",
  initComponent : function() {
    var ww = this.containing_window;
    var client9017 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/MyCoachings/client" }) }) });
    var start_date9018 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9019 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type9020 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Coaching type...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/MyCoachings/type" }) }) });
    var primary9021 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id9022 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client9017, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date9018, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Coached from", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date9019, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type9020, "filter": { "type": "string" }, "header": "Coaching type", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Primary", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id9022, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.MyCoachings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.MyCoachings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/MyCoachings" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.MyCoachings.GridPanel(p);
});
Lino.coachings.MyCoachings.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.AgentsByClient
Lino.reception.AgentsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/AgentsByClient",
  ls_store_fields : [ { "name": "user" }, { "name": "coaching_type" }, { "name": "actions" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/AgentsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Create appointment with",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var user_disp9026 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var coaching_type_disp9027 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var actions_disp9028 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": false, "header": "Agent", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.user) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.user) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "coaching_type", "editable": false, "header": "Coaching type", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.coaching_type) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.coaching_type) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "actions", "editable": false, "header": "Actions", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.actions) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.actions) ", "width": Lino.chars2width(31) } ];
    Lino.reception.AgentsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.AgentsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/AgentsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.reception.AgentsByClient.GridPanel(p);
});
Lino.reception.AgentsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.CoachingsByClient
Lino.reception.CoachingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/CoachingsByClient",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "actions" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/CoachingsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Create appointment with",
  initComponent : function() {
    var ww = this.containing_window;
    var user9032 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/CoachingsByClient/user" }) }) });
    var type9033 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Coaching type...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/CoachingsByClient/type" }) }) });
    var actions_disp9034 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user9032, "filter": { "type": "string" }, "header": "Coach", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type9033, "filter": { "type": "string" }, "header": "Coaching type", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "actions", "editable": false, "header": "Actions", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.actions) ") }, "sortable": false, "tooltip": "(reception.CoachingsByClient.actions) ", "width": Lino.chars2width(31) } ];
    Lino.reception.CoachingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.CoachingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/CoachingsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.reception.CoachingsByClient.GridPanel(p);
});
Lino.reception.CoachingsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class calview.DailyPlanner
Lino.calview.DailyPlanner.GridPanel = Ext.extend(Lino.GridPanel,{
  use_detail_params_value : true,
  ls_url : "/calview/DailyPlanner",
  ls_store_fields : [ { "name": "overview" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate this row.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/calview/DailyPlanner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Daily planner",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var overview_htmlbox9038 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "title": "Time range", "value": "<br/>" });
    var vc0_htmlbox9039 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "vc0", "title": "External", "value": "<br/>" });
    var vc1_htmlbox9040 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "vc1", "title": "Internal", "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox9038.refresh();
      vc0_htmlbox9039.refresh();
      vc1_htmlbox9040.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "overview", "editable": false, "header": "Time range", "listeners": { "render": Lino.quicktip_renderer("","(calview.DailyPlanner.overview) ") }, "sortable": false, "tooltip": "(calview.DailyPlanner.overview) ", "width": Lino.chars2width(13) }, { "colIndex": 1, "dataIndex": "vc0", "editable": false, "header": "External", "listeners": { "render": Lino.quicktip_renderer("","(calview.DailyPlanner.vc0) ") }, "sortable": false, "tooltip": "(calview.DailyPlanner.vc0) ", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "vc1", "editable": false, "header": "Internal", "listeners": { "render": Lino.quicktip_renderer("","(calview.DailyPlanner.vc1) ") }, "sortable": false, "tooltip": "(calview.DailyPlanner.vc1) ", "width": Lino.chars2width(21) } ];
    Lino.calview.DailyPlanner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.calview.DailyPlanner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailyPlanner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailyPlanner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailyPlanner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailyPlanner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailyPlanner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailyPlanner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailyPlanner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailyPlanner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailyPlanner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailyPlanner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/calview/DailyPlanner" };
  p.params_panel = new Lino.calview.DailyPlanner.ParamsPanel({});
  return new Lino.calview.DailyPlanner.GridPanel(p);
});
Lino.calview.DailyPlanner.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailyPlanner", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailyPlanner.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailyPlanner", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailyPlanner.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailyPlanner", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailyPlanner.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailyPlanner", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class calview.DailySlave
Lino.calview.DailySlave.GridPanel = Ext.extend(Lino.GridPanel,{
  use_detail_params_value : true,
  ls_url : "/calview/DailySlave",
  ls_store_fields : [ { "name": "overview" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate this row.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/calview/DailySlave','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : null,
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var overview_htmlbox5219 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "title": "Time range", "value": "<br/>" });
    var vc0_htmlbox5220 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "vc0", "title": "External", "value": "<br/>" });
    var vc1_htmlbox5221 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "vc1", "title": "Internal", "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox5219.refresh();
      vc0_htmlbox5220.refresh();
      vc1_htmlbox5221.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "overview", "editable": false, "header": "Time range", "listeners": { "render": Lino.quicktip_renderer("","(calview.DailySlave.overview) ") }, "sortable": false, "tooltip": "(calview.DailySlave.overview) ", "width": Lino.chars2width(13) }, { "colIndex": 1, "dataIndex": "vc0", "editable": false, "header": "External", "listeners": { "render": Lino.quicktip_renderer("","(calview.DailySlave.vc0) ") }, "sortable": false, "tooltip": "(calview.DailySlave.vc0) ", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "vc1", "editable": false, "header": "Internal", "listeners": { "render": Lino.quicktip_renderer("","(calview.DailySlave.vc1) ") }, "sortable": false, "tooltip": "(calview.DailySlave.vc1) ", "width": Lino.chars2width(21) } ];
    Lino.calview.DailySlave.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.calview.DailySlave.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailySlave", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailySlave.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailySlave", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailySlave.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailySlave", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailySlave.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailySlave", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailySlave.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailySlave", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailySlave.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/calview/DailySlave" };
  p.params_panel = new Lino.calview.DailySlave.ParamsPanel({});
  return new Lino.calview.DailySlave.GridPanel(p);
});
Lino.calview.DailySlave.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailySlave", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailySlave.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailySlave", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailySlave.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailySlave", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailySlave.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailySlave", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class badges.AwardsByHolder
Lino.badges.AwardsByHolder.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/badges/AwardsByHolder",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "badge" }, 'badgeHidden', { "name": "result" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/badges/AwardsByHolder','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Awards",
  initComponent : function() {
    var ww = this.containing_window;
    var date6201 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var badge6202 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Badge...", "pageSize": 20, "related_actor_id": "badges.Badges", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/badges/AwardsByHolder/badge" }) }) });
    var result6203 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remark6204 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date6201, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(badges.AwardsByHolder.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "badge", "editable": true, "editor": badge6202, "filter": { "type": "string" }, "header": "Badge", "listeners": { "render": Lino.quicktip_renderer("","(badges.AwardsByHolder.badge) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "result", "editable": true, "editor": result6203, "filter": { "type": "string" }, "header": "Result", "listeners": { "render": Lino.quicktip_renderer("","(badges.AwardsByHolder.result) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark6204, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(badges.AwardsByHolder.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.badges.AwardsByHolder.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.badges.AwardsByHolder.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByHolder", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.badges.AwardsByHolder.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByHolder", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.badges.AwardsByHolder.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByHolder", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.badges.AwardsByHolder.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByHolder", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.badges.AwardsByHolder.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByHolder", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.badges.AwardsByHolder.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/badges/AwardsByHolder" };
  return new Lino.badges.AwardsByHolder.GridPanel(p);
});
Lino.badges.AwardsByHolder.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByHolder", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class badges.AwardsByBadge
Lino.badges.AwardsByBadge.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/badges/AwardsByBadge",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "holder" }, 'holderHidden', { "name": "result" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/badges/AwardsByBadge','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Awards",
  initComponent : function() {
    var ww = this.containing_window;
    var date9044 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var holder9045 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/badges/AwardsByBadge/holder" }) }) });
    var result9046 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remark9047 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9044, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(badges.AwardsByBadge.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "holder", "editable": true, "editor": holder9045, "filter": { "type": "string" }, "header": "Holder", "listeners": { "render": Lino.quicktip_renderer("","(badges.AwardsByBadge.holder) ") }, "renderer": Lino.fk_renderer('holderHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "result", "editable": true, "editor": result9046, "filter": { "type": "string" }, "header": "Result", "listeners": { "render": Lino.quicktip_renderer("","(badges.AwardsByBadge.result) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark9047, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(badges.AwardsByBadge.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.badges.AwardsByBadge.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.badges.AwardsByBadge.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByBadge", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.badges.AwardsByBadge.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByBadge", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.badges.AwardsByBadge.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByBadge", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.badges.AwardsByBadge.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByBadge", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.badges.AwardsByBadge.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByBadge", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.badges.AwardsByBadge.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/badges/AwardsByBadge" };
  return new Lino.badges.AwardsByBadge.GridPanel(p);
});
Lino.badges.AwardsByBadge.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/badges/AwardsByBadge", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class clients.PartnersByClientContactType
Lino.clients.PartnersByClientContactType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/PartnersByClientContactType",
  ls_store_fields : [ { "name": "name" }, { "name": "id", "type": "int" }, { "name": "mti_navigator" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of clients.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partners",
  initComponent : function() {
    this.ls_detail_handler = Lino.clients.PartnersByClientContactType.detail;
    var ww = this.containing_window;
    var name1935 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id1936 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var mti_navigator_disp1937 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email1938 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language1939 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var url1940 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone1941 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm1942 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax1943 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified1944 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created1945 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country1946 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/country" }) }) });
    var city1947 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/city" }) }) });
    var zip_code1948 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region1949 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/region" }) }) });
    var addr11950 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix1951 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street1952 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no1953 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box1954 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr21955 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix1956 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks1957 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete1958 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity1959 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/activity" }) }) });
    var client_contact_type1960 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/client_contact_type" }) }) });
    this.before_row_edit = function(record) {
      city1947.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city1947.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region1949.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country1946 !== 'undefined' && country1946.on('change',Lino.chooser_handler(city1947,'country'));
      typeof region1949 !== 'undefined' && region1949.on('change',Lino.chooser_handler(city1947,'region'));
      typeof country1946 !== 'undefined' && country1946.on('change',Lino.chooser_handler(region1949,'country'));
      Lino.clients.PartnersByClientContactType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name1935, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id1936, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "mti_navigator", "editable": false, "header": "See as ", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email1938, "filter": { "type": "string" }, "header": "e-mail address", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language1939, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url1940, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone1941, "filter": { "type": "string" }, "header": "Phone", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm1942, "filter": { "type": "string" }, "header": "Mobile", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax1943, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country1946, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city1947, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code1948, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region1949, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr11950, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix1951, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street1952, "filter": { "type": "string" }, "header": "Street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no1953, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box1954, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr21955, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix1956, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "remarks", "editable": true, "editor": remarks1957, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "activity", "editable": true, "editor": activity1959, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type1960, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.clients.PartnersByClientContactType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.PartnersByClientContactType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.clients.PartnersByClientContactType.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/clients/PartnersByClientContactType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.clients.PartnersByClientContactType.detail;
    Lino.clients.PartnersByClientContactType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.PartnersByClientContactType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/PartnersByClientContactType" };
  return new Lino.clients.PartnersByClientContactType.detailPanel(p);
});
Lino.clients.PartnersByClientContactType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/PartnersByClientContactType" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.clients.PartnersByClientContactType.GridPanel(p);
});
Lino.clients.PartnersByClientContactType.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.HouseholdsByType
Lino.households.HouseholdsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/HouseholdsByType",
  ls_store_fields : [ { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Household.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of households.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Households",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    var ww = this.containing_window;
    var name4829 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type4830 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Household Type...", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/type" }) }) });
    var address_column_disp4831 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id4832 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email4833 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language4834 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var url4835 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone4836 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm4837 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax4838 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified4839 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created4840 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country4841 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/country" }) }) });
    var city4842 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/city" }) }) });
    var zip_code4843 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region4844 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/region" }) }) });
    var addr14845 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix4846 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street4847 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no4848 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box4849 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr24850 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix4851 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks4852 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete4853 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity4854 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/activity" }) }) });
    var client_contact_type4855 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/client_contact_type" }) }) });
    this.before_row_edit = function(record) {
      city4842.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city4842.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region4844.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country4841 !== 'undefined' && country4841.on('change',Lino.chooser_handler(city4842,'country'));
      typeof region4844 !== 'undefined' && region4844.on('change',Lino.chooser_handler(city4842,'region'));
      typeof country4841 !== 'undefined' && country4841.on('change',Lino.chooser_handler(region4844,'country'));
      Lino.households.HouseholdsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name4829, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type4830, "filter": { "type": "string" }, "header": "Household Type", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.type) The type of this household.  See household types") }, "sortable": false, "tooltip": "The type of this household.  See household types", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.address_column) ") }, "sortable": false, "tooltip": "(households.HouseholdsByType.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id4832, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email4833, "filter": { "type": "string" }, "header": "e-mail address", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language4834, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url4835, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone4836, "filter": { "type": "string" }, "header": "Phone", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm4837, "filter": { "type": "string" }, "header": "Mobile", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax4838, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country4841, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city4842, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code4843, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region4844, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr14845, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix4846, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street4847, "filter": { "type": "string" }, "header": "Street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no4848, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box4849, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr24850, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix4851, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": true, "editor": remarks4852, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity4854, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type4855, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.households.HouseholdsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.HouseholdsByType.insertPanel = Ext.extend(Lino.households.HouseholdsByType.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/households/HouseholdsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    Lino.households.HouseholdsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  return new Lino.households.HouseholdsByType.insertPanel(p);
});
Lino.households.HouseholdsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.HouseholdsByType.detailPanel = Ext.extend(Lino.households.HouseholdsByType.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Household.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/households/HouseholdsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    Lino.households.HouseholdsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  return new Lino.households.HouseholdsByType.detailPanel(p);
});
Lino.households.HouseholdsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.households.HouseholdsByType.GridPanel(p);
});
Lino.households.HouseholdsByType.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.populate_members = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "populate_members", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.MembersByHousehold
Lino.households.MembersByHousehold.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MembersByHousehold",
  ls_store_fields : [ { "name": "age" }, { "name": "role" }, 'roleHidden', { "name": "dependency" }, 'dependencyHidden', { "name": "person" }, 'personHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "birth_date" }, { "name": "gender" }, 'genderHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "middle_name" }, { "name": "primary", "type": "boolean" }, { "name": "household" }, 'householdHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/households/MembersByHousehold','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Make this the primary household.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Household Members",
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp4877 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role4878 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var dependency4879 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var person4880 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByHousehold/person" }) }) });
    var first_name4881 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var last_name4882 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date4883 = new Lino.IncompleteDateField({ "allowBlank": true, "selectOnFocus": true });
    var gender4884 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id4885 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date4886 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date4887 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title4888 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name4889 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var primary4890 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var household4891 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Household...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByHousehold/household" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Age", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role4878, "filter": { "options": [ "Head of household", "Spouse", "Partner", "Cohabitant", "Child", "Relative", "Adopted child", "Foster-child", "Other" ], "type": "list" }, "header": "Role", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 2, "dataIndex": "dependency", "editable": true, "editor": dependency4879, "filter": { "options": [ "At full charge", "Not at charge", "At shared charge" ], "type": "list" }, "header": "Dependency", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person4880, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "first_name", "editable": true, "editor": first_name4881, "filter": { "type": "string" }, "header": "First name", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "last_name", "editable": true, "editor": last_name4882, "filter": { "type": "string" }, "header": "Last name", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "birth_date", "editable": true, "editor": birth_date4883, "filter": { "type": "string" }, "header": "Birth date", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 7, "dataIndex": "gender", "editable": true, "editor": gender4884, "filter": { "options": [ "Male", "Female" ], "type": "list" }, "header": "Gender", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4885, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date4886, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date4887, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "title", "editable": true, "editor": title4888, "filter": { "type": "string" }, "header": "Title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.title) Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".") }, "sortable": true, "tooltip": "Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "middle_name", "editable": true, "editor": middle_name4889, "filter": { "type": "string" }, "header": "Middle name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Primary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "household", "editable": true, "editor": household4891, "filter": { "type": "string" }, "header": "Household", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.households.MembersByHousehold.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByHousehold.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MembersByHousehold" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.MembersByHousehold.GridPanel(p);
});
Lino.households.MembersByHousehold.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.SiblingsByPerson
Lino.households.SiblingsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/SiblingsByPerson",
  ls_store_fields : [ { "name": "age" }, { "name": "role" }, 'roleHidden', { "name": "dependency" }, 'dependencyHidden', { "name": "person" }, 'personHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "birth_date" }, { "name": "gender" }, 'genderHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "middle_name" }, { "name": "household" }, 'householdHidden', { "name": "primary", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/households/SiblingsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Make this the primary household.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Household composition",
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp4144 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role4145 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var dependency4146 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var person4147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/SiblingsByPerson/person" }) }) });
    var first_name4148 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var last_name4149 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date4150 = new Lino.IncompleteDateField({ "allowBlank": true, "selectOnFocus": true });
    var gender4151 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id4152 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date4153 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date4154 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title4155 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name4156 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var household4157 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Household...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/SiblingsByPerson/household" }) }) });
    var primary4158 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Age", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role4145, "filter": { "options": [ "Head of household", "Spouse", "Partner", "Cohabitant", "Child", "Relative", "Adopted child", "Foster-child", "Other" ], "type": "list" }, "header": "Role", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 2, "dataIndex": "dependency", "editable": true, "editor": dependency4146, "filter": { "options": [ "At full charge", "Not at charge", "At shared charge" ], "type": "list" }, "header": "Dependency", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person4147, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "first_name", "editable": true, "editor": first_name4148, "filter": { "type": "string" }, "header": "First name", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "last_name", "editable": true, "editor": last_name4149, "filter": { "type": "string" }, "header": "Last name", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "birth_date", "editable": true, "editor": birth_date4150, "filter": { "type": "string" }, "header": "Birth date", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 7, "dataIndex": "gender", "editable": true, "editor": gender4151, "filter": { "options": [ "Male", "Female" ], "type": "list" }, "header": "Gender", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4152, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date4153, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date4154, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "title", "editable": true, "editor": title4155, "filter": { "type": "string" }, "header": "Title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.title) Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".") }, "sortable": true, "tooltip": "Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "middle_name", "editable": true, "editor": middle_name4156, "filter": { "type": "string" }, "header": "Middle name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "household", "editable": true, "editor": household4157, "filter": { "type": "string" }, "header": "Household", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Primary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.households.SiblingsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.SiblingsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(100) }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/SiblingsByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.SiblingsByPerson.GridPanel(p);
});
Lino.households.SiblingsByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.MembersByPerson
Lino.households.MembersByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MembersByPerson",
  ls_store_fields : [ { "name": "household" }, 'householdHidden', { "name": "role" }, 'roleHidden', { "name": "primary", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "dependency" }, 'dependencyHidden', { "name": "age" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Household Member.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/households/MembersByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Make this the primary household.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Household memberships",
  initComponent : function() {
    this.ls_insert_handler = Lino.households.MembersByPerson.insert;
    var ww = this.containing_window;
    var household9051 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Household...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/household" }) }) });
    var role9052 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var primary9053 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var start_date9054 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9055 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id9056 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title9057 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name9058 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name9059 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name9060 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender9061 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date9062 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var dependency9063 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var age_disp9064 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp9064 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var person9065 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "household", "editable": true, "editor": household9051, "filter": { "type": "string" }, "header": "Household", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role9052, "filter": { "options": [ "Head of household", "Spouse", "Partner", "Cohabitant", "Child", "Relative", "Adopted child", "Foster-child", "Other" ], "type": "list" }, "header": "Role", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 2, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Primary", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date9054, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date9055, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id9056, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "title", "editable": true, "editor": title9057, "filter": { "type": "string" }, "header": "Title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.title) Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".") }, "sortable": true, "tooltip": "Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "first_name", "editable": true, "editor": first_name9058, "filter": { "type": "string" }, "header": "First name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "middle_name", "editable": true, "editor": middle_name9059, "filter": { "type": "string" }, "header": "Middle name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "last_name", "editable": true, "editor": last_name9060, "filter": { "type": "string" }, "header": "Last name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "gender", "editable": true, "editor": gender9061, "filter": { "options": [ "Male", "Female" ], "type": "list" }, "header": "Gender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 11, "dataIndex": "birth_date", "editable": true, "editor": birth_date9062, "filter": { "type": "string" }, "header": "Birth date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 12, "dataIndex": "dependency", "editable": true, "editor": dependency9063, "filter": { "options": [ "At full charge", "Not at charge", "At shared charge" ], "type": "list" }, "header": "Dependency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 13, "dataIndex": "age", "editable": false, "header": "Age", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "age", "editable": false, "header": "Age", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "person", "editable": true, "editor": person9065, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.households.MembersByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.MembersByPerson.insertPanel = Ext.extend(Lino.households.MembersByPerson.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/households/MembersByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_insert_handler = Lino.households.MembersByPerson.insert;
    Lino.households.MembersByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/MembersByPerson" };
  return new Lino.households.MembersByPerson.insertPanel(p);
});
Lino.households.MembersByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MembersByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.MembersByPerson.GridPanel(p);
});
Lino.households.MembersByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.RefundsByPerson
Lino.households.RefundsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/RefundsByPerson",
  ls_store_fields : [ { "name": "age" }, { "name": "gender" }, 'genderHidden', { "name": "person_info" }, { "name": "amount" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 111,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/households/RefundsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Make this the primary household.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Household composition",
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp9069 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var gender9070 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var person_info_disp9071 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount9072 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Age", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "gender", "editable": true, "editor": gender9070, "filter": { "options": [ "Male", "Female" ], "type": "list" }, "header": "Gender", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "person_info", "editable": false, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.person_info) ") }, "sortable": false, "tooltip": "(households.RefundsByPerson.person_info) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Amount", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.amount) ") }, "sortable": true, "tooltip": "(households.RefundsByPerson.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.households.RefundsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.RefundsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(100) }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/RefundsByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.RefundsByPerson.GridPanel(p);
});
Lino.households.RefundsByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.PartnersByContract
Lino.isip.PartnersByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/PartnersByContract",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "company" }, 'companyHidden', { "name": "duties_company" }, { "name": "contract" }, 'contractHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 79,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Contract partner.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Contract partners",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    var ww = this.containing_window;
    var id2372 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var contact_person2373 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contact_person" }) }) });
    var contact_role2374 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contact_role" }) }) });
    var reference_person2375 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities2376 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "responsibilities" });
    var company2377 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/company" }) }) });
    var duties_company2378 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "duties company" });
    var contract2379 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a ISIP...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contract" }) }) });
    this.before_row_edit = function(record) {
      contact_person2373.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities2376.refresh();
      duties_company2378.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company2377 !== 'undefined' && company2377.on('change',Lino.chooser_handler(contact_person2373,'company'));
      Lino.isip.PartnersByContract.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id2372, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "contact_person", "editable": true, "editor": contact_person2373, "filter": { "type": "string" }, "header": "Represented by", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contact_role", "editable": true, "editor": contact_role2374, "filter": { "type": "string" }, "header": "Represented as", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "reference_person", "editable": true, "editor": reference_person2375, "filter": { "type": "string" }, "header": "reference person", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities2376, "filter": { "type": "string" }, "header": "responsibilities", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "company", "editable": true, "editor": company2377, "filter": { "type": "string" }, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "duties_company", "editable": true, "editor": duties_company2378, "filter": { "type": "string" }, "header": "duties company", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.duties_company) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 7, "dataIndex": "contract", "editable": true, "editor": contract2379, "filter": { "type": "string" }, "header": "ISIP", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contract) ") }, "renderer": Lino.fk_renderer('contractHidden','Lino.isip.Contracts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.PartnersByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.PartnersByContract.insertPanel = Ext.extend(Lino.isip.ContractPartners.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/isip/PartnersByContract",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    Lino.isip.PartnersByContract.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.insertPanel(p);
});
Lino.isip.PartnersByContract.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.PartnersByContract.detailPanel = Ext.extend(Lino.isip.ContractPartners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Contract partner.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/isip/PartnersByContract",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    Lino.isip.PartnersByContract.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.detailPanel(p);
});
Lino.isip.PartnersByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.GridPanel(p);
});
Lino.isip.PartnersByContract.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByClient
Lino.isip.ContractsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "uploads.UploadsByController" }, { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 80,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ISIPs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByClient.detail;
    this.ls_insert_handler = Lino.isip.ContractsByClient.insert;
    var ww = this.containing_window;
    var applies_from6225 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until6226 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type6227 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a ISIP Type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/type" }) }) });
    var user6228 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/user" }) }) });
    var date_ended6229 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var ending6230 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/ending" }) }) });
    var uploads_UploadsByController_htmlbox6231 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "uploads.UploadsByController", "title": "Upload files", "value": "<br/>" });
    var id6232 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer16233 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/signer1" }) }) });
    var signer26234 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/signer2" }) }) });
    var printed_by6235 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language6236 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided6237 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6238 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6239 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/user_asd" }) }) });
    var exam_policy6240 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/exam_policy" }) }) });
    var study_type6241 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Type...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/study_type" }) }) });
    var stages6242 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "stages" });
    var goals6243 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "goals" });
    var duties_asd6244 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties ASD" });
    var duties_dsbe6245 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties DSBE" });
    var duties_pcsw6246 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties PCSW" });
    var duties_person6247 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties person" });
    var user_dsbe6248 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/user_dsbe" }) }) });
    var client6249 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      uploads_UploadsByController_htmlbox6231.refresh();
      stages6242.refresh();
      goals6243.refresh();
      duties_asd6244.refresh();
      duties_dsbe6245.refresh();
      duties_pcsw6246.refresh();
      duties_person6247.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from6225, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "applies_until", "editable": true, "editor": applies_until6226, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type6227, "filter": { "type": "string" }, "header": "Contract Type", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.type) The type of this contract.\nPointer to ContractType.") }, "sortable": false, "tooltip": "The type of this contract.\nPointer to ContractType.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user6228, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended6229, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "ending", "editable": true, "editor": ending6230, "filter": { "type": "string" }, "header": "Reason of termination", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "uploads.UploadsByController", "editable": false, "header": "Upload files", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.uploads.UploadsByController) Shows the uploaded files associated to this\ndatabase object.") }, "sortable": false, "tooltip": "Shows the uploaded files associated to this\ndatabase object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id6232, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer16233, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer26234, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language6236, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided6237, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued6238, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd6239, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6240, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "study_type", "editable": true, "editor": study_type6241, "filter": { "type": "string" }, "header": "Education Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.study_type) The type of study that is going to be followed during this\ncontract.") }, "sortable": false, "tooltip": "The type of study that is going to be followed during this\ncontract.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "stages", "editable": true, "editor": stages6242, "filter": { "type": "string" }, "header": "stages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "goals", "editable": true, "editor": goals6243, "filter": { "type": "string" }, "header": "goals", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd6244, "filter": { "type": "string" }, "header": "duties ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe6245, "filter": { "type": "string" }, "header": "duties DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw6246, "filter": { "type": "string" }, "header": "duties PCSW", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "duties_person", "editable": true, "editor": duties_person6247, "filter": { "type": "string" }, "header": "duties person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe6248, "filter": { "type": "string" }, "header": "responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "client", "editable": true, "editor": client6249, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByClient.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByClient.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByClient.detail;
    this.ls_insert_handler = Lino.isip.ContractsByClient.insert;
    Lino.isip.ContractsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByClient" };
  return new Lino.isip.ContractsByClient.insertPanel(p);
});
Lino.isip.ContractsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByClient.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByClient.detail;
    this.ls_insert_handler = Lino.isip.ContractsByClient.insert;
    Lino.isip.ContractsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByClient" };
  return new Lino.isip.ContractsByClient.detailPanel(p);
});
Lino.isip.ContractsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByClient" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByClient.GridPanel(p);
});
Lino.isip.ContractsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByPolicy
Lino.isip.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 80,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ISIPs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id4718 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from4719 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended4720 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client4721 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/client" }) }) });
    var user4722 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user" }) }) });
    var type4723 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a ISIP Type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/type" }) }) });
    var signer14724 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/signer1" }) }) });
    var signer24725 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/signer2" }) }) });
    var printed_by4726 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language4727 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until4728 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided4729 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued4730 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd4731 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user_asd" }) }) });
    var ending4732 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/ending" }) }) });
    var study_type4733 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Type...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/study_type" }) }) });
    var stages4734 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "stages" });
    var goals4735 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "goals" });
    var duties_asd4736 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties ASD" });
    var duties_dsbe4737 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties DSBE" });
    var duties_pcsw4738 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties PCSW" });
    var duties_person4739 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties person" });
    var user_dsbe4740 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user_dsbe" }) }) });
    var exam_policy4741 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
      stages4734.refresh();
      goals4735.refresh();
      duties_asd4736.refresh();
      duties_dsbe4737.refresh();
      duties_pcsw4738.refresh();
      duties_person4739.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id4718, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from4719, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended4720, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client4721, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user4722, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type4723, "filter": { "type": "string" }, "header": "Contract Type", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.type) The type of this contract.\nPointer to ContractType.") }, "sortable": false, "tooltip": "The type of this contract.\nPointer to ContractType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer14724, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer24725, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language4727, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until4728, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided4729, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued4730, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd4731, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "ending", "editable": true, "editor": ending4732, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type4733, "filter": { "type": "string" }, "header": "Education Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.study_type) The type of study that is going to be followed during this\ncontract.") }, "sortable": false, "tooltip": "The type of study that is going to be followed during this\ncontract.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages4734, "filter": { "type": "string" }, "header": "stages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals4735, "filter": { "type": "string" }, "header": "goals", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd4736, "filter": { "type": "string" }, "header": "duties ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe4737, "filter": { "type": "string" }, "header": "duties DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw4738, "filter": { "type": "string" }, "header": "duties PCSW", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person4739, "filter": { "type": "string" }, "header": "duties person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe4740, "filter": { "type": "string" }, "header": "responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy4741, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByPolicy.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    Lino.isip.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  return new Lino.isip.ContractsByPolicy.insertPanel(p);
});
Lino.isip.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByPolicy.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    Lino.isip.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  return new Lino.isip.ContractsByPolicy.detailPanel(p);
});
Lino.isip.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByPolicy.GridPanel(p);
});
Lino.isip.ContractsByPolicy.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByType
Lino.isip.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 80,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ISIPs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from4475 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client4476 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/client" }) }) });
    var user4477 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user" }) }) });
    var id4478 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until4479 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var signer14480 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/signer1" }) }) });
    var signer24481 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/signer2" }) }) });
    var printed_by4482 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language4483 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided4484 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued4485 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd4486 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user_asd" }) }) });
    var exam_policy4487 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/exam_policy" }) }) });
    var ending4488 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/ending" }) }) });
    var date_ended4489 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var study_type4490 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Type...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/study_type" }) }) });
    var stages4491 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "stages" });
    var goals4492 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "goals" });
    var duties_asd4493 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties ASD" });
    var duties_dsbe4494 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties DSBE" });
    var duties_pcsw4495 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties PCSW" });
    var duties_person4496 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties person" });
    var user_dsbe4497 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user_dsbe" }) }) });
    var type4498 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a ISIP Type...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
      stages4491.refresh();
      goals4492.refresh();
      duties_asd4493.refresh();
      duties_dsbe4494.refresh();
      duties_pcsw4495.refresh();
      duties_person4496.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from4475, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client4476, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user4477, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id4478, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "applies_until", "editable": true, "editor": applies_until4479, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "signer1", "editable": true, "editor": signer14480, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer2", "editable": true, "editor": signer24481, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "language", "editable": true, "editor": language4483, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "date_decided", "editable": true, "editor": date_decided4484, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "date_issued", "editable": true, "editor": date_issued4485, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "user_asd", "editable": true, "editor": user_asd4486, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy4487, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "ending", "editable": true, "editor": ending4488, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_ended", "editable": true, "editor": date_ended4489, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type4490, "filter": { "type": "string" }, "header": "Education Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.study_type) The type of study that is going to be followed during this\ncontract.") }, "sortable": false, "tooltip": "The type of study that is going to be followed during this\ncontract.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages4491, "filter": { "type": "string" }, "header": "stages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals4492, "filter": { "type": "string" }, "header": "goals", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd4493, "filter": { "type": "string" }, "header": "duties ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe4494, "filter": { "type": "string" }, "header": "duties DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw4495, "filter": { "type": "string" }, "header": "duties PCSW", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person4496, "filter": { "type": "string" }, "header": "duties person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe4497, "filter": { "type": "string" }, "header": "responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "type", "editable": true, "editor": type4498, "filter": { "type": "string" }, "header": "Contract Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.type) The type of this contract.\nPointer to ContractType.") }, "sortable": false, "tooltip": "The type of this contract.\nPointer to ContractType.", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByType.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    Lino.isip.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  return new Lino.isip.ContractsByType.insertPanel(p);
});
Lino.isip.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByType.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    Lino.isip.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  return new Lino.isip.ContractsByType.detailPanel(p);
});
Lino.isip.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByType.GridPanel(p);
});
Lino.isip.ContractsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByEnding
Lino.isip.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 80,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ISIPs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id5073 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from5074 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended5075 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5076 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/client" }) }) });
    var user5077 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user" }) }) });
    var type5078 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a ISIP Type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/type" }) }) });
    var signer15079 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/signer1" }) }) });
    var signer25080 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/signer2" }) }) });
    var printed_by5081 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5082 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until5083 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5084 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5085 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5086 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user_asd" }) }) });
    var exam_policy5087 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/exam_policy" }) }) });
    var study_type5088 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Type...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/study_type" }) }) });
    var stages5089 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "stages" });
    var goals5090 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "goals" });
    var duties_asd5091 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties ASD" });
    var duties_dsbe5092 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties DSBE" });
    var duties_pcsw5093 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties PCSW" });
    var duties_person5094 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties person" });
    var user_dsbe5095 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user_dsbe" }) }) });
    var ending5096 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      stages5089.refresh();
      goals5090.refresh();
      duties_asd5091.refresh();
      duties_dsbe5092.refresh();
      duties_pcsw5093.refresh();
      duties_person5094.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id5073, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from5074, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended5075, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client5076, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user5077, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type5078, "filter": { "type": "string" }, "header": "Contract Type", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.type) The type of this contract.\nPointer to ContractType.") }, "sortable": false, "tooltip": "The type of this contract.\nPointer to ContractType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer15079, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer25080, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language5082, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until5083, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided5084, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued5085, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd5086, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5087, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type5088, "filter": { "type": "string" }, "header": "Education Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.study_type) The type of study that is going to be followed during this\ncontract.") }, "sortable": false, "tooltip": "The type of study that is going to be followed during this\ncontract.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages5089, "filter": { "type": "string" }, "header": "stages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals5090, "filter": { "type": "string" }, "header": "goals", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd5091, "filter": { "type": "string" }, "header": "duties ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe5092, "filter": { "type": "string" }, "header": "duties DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw5093, "filter": { "type": "string" }, "header": "duties PCSW", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person5094, "filter": { "type": "string" }, "header": "duties person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe5095, "filter": { "type": "string" }, "header": "responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "ending", "editable": true, "editor": ending5096, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByEnding.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    Lino.isip.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  return new Lino.isip.ContractsByEnding.insertPanel(p);
});
Lino.isip.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByEnding.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    Lino.isip.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  return new Lino.isip.ContractsByEnding.detailPanel(p);
});
Lino.isip.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByEnding.GridPanel(p);
});
Lino.isip.ContractsByEnding.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByStudyType
Lino.isip.ContractsByStudyType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByStudyType",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 80,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of isip.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ISIPs",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    var ww = this.containing_window;
    var id3796 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from3797 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended3798 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client3799 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/client" }) }) });
    var user3800 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user" }) }) });
    var type3801 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a ISIP Type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/type" }) }) });
    var signer13802 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/signer1" }) }) });
    var signer23803 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/signer2" }) }) });
    var printed_by3804 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language3805 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until3806 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided3807 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued3808 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd3809 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user_asd" }) }) });
    var exam_policy3810 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/exam_policy" }) }) });
    var ending3811 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/ending" }) }) });
    var stages3812 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "stages" });
    var goals3813 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "goals" });
    var duties_asd3814 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties ASD" });
    var duties_dsbe3815 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties DSBE" });
    var duties_pcsw3816 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties PCSW" });
    var duties_person3817 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "duties person" });
    var user_dsbe3818 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user_dsbe" }) }) });
    var study_type3819 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Education Type...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/study_type" }) }) });
    this.before_row_edit = function(record) {
      stages3812.refresh();
      goals3813.refresh();
      duties_asd3814.refresh();
      duties_dsbe3815.refresh();
      duties_pcsw3816.refresh();
      duties_person3817.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id3796, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from3797, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended3798, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client3799, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user3800, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type3801, "filter": { "type": "string" }, "header": "Contract Type", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.type) The type of this contract.\nPointer to ContractType.") }, "sortable": false, "tooltip": "The type of this contract.\nPointer to ContractType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer13802, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer23803, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language3805, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until3806, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided3807, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued3808, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd3809, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy3810, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending3811, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages3812, "filter": { "type": "string" }, "header": "stages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals3813, "filter": { "type": "string" }, "header": "goals", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd3814, "filter": { "type": "string" }, "header": "duties ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe3815, "filter": { "type": "string" }, "header": "duties DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw3816, "filter": { "type": "string" }, "header": "duties PCSW", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person3817, "filter": { "type": "string" }, "header": "duties person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe3818, "filter": { "type": "string" }, "header": "responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "study_type", "editable": true, "editor": study_type3819, "filter": { "type": "string" }, "header": "Education Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.study_type) The type of study that is going to be followed during this\ncontract.") }, "sortable": false, "tooltip": "The type of study that is going to be followed during this\ncontract.", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByStudyType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByStudyType.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByStudyType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    Lino.isip.ContractsByStudyType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  return new Lino.isip.ContractsByStudyType.insertPanel(p);
});
Lino.isip.ContractsByStudyType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByStudyType.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ISIP.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "PIIS", "overflowText": "PIIS", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByStudyType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    Lino.isip.ContractsByStudyType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  return new Lino.isip.ContractsByStudyType.detailPanel(p);
});
Lino.isip.ContractsByStudyType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByStudyType.GridPanel(p);
});
Lino.isip.ContractsByStudyType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.ContractsByClient
Lino.art60.ContractsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/ContractsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "remark" }, { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 89,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ContractsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art60\u00a77 job supplyments",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art60.ContractsByClient.insert;
    var ww = this.containing_window;
    var applies_from6338 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until6339 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended6340 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration6341 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByClient/duration" }) }), "value": null });
    var type6342 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Art60\u00a77 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByClient/type" }) }) });
    var user6343 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByClient/user" }) }) });
    var id6344 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer16345 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByClient/signer1" }) }) });
    var signer26346 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByClient/signer2" }) }) });
    var printed_by6347 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language6348 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided6349 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6350 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6351 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByClient/user_asd" }) }) });
    var exam_policy6352 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByClient/exam_policy" }) }) });
    var ending6353 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByClient/ending" }) }) });
    var remark6354 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var client6355 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByClient/client" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from6338, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "applies_until", "editable": true, "editor": applies_until6339, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended6340, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration", "editable": true, "editor": duration6341, "filter": { "type": "string" }, "header": "duration (days)", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type6342, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user6343, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id6344, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer16345, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer26346, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language6348, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided6349, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued6350, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd6351, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6352, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending6353, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "remark", "editable": true, "editor": remark6354, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "client", "editable": true, "editor": client6355, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByClient.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) } ];
    Lino.art60.ContractsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ContractsByClient.insertPanel = Ext.extend(Lino.art60.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/ContractsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art60.ContractsByClient.insert;
    Lino.art60.ContractsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/ContractsByClient" };
  return new Lino.art60.ContractsByClient.insertPanel(p);
});
Lino.art60.ContractsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ContractsByClient.detailPanel = Ext.extend(Lino.art60.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ContractsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/ContractsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art60.ContractsByClient.insert;
    Lino.art60.ContractsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ContractsByClient" };
  return new Lino.art60.ContractsByClient.detailPanel(p);
});
Lino.art60.ContractsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByClient.create_excerpt5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "create_excerpt5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByClient.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ContractsByClient" };
  p.params_panel = new Lino.art60.Contracts.ParamsPanel({});
  return new Lino.art60.ContractsByClient.GridPanel(p);
});
Lino.art60.ContractsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByClient.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.ConventionsByContract
Lino.art60.ConventionsByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/ConventionsByContract",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "monthly_refund" }, { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "company" }, 'companyHidden', { "name": "job" }, 'jobHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "contract" }, 'contractHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ConventionsByContract','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Conventions",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByContract.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByContract.insert;
    var ww = this.containing_window;
    var detail_link_disp9076 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var monthly_refund9077 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var id9078 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_person9079 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByContract/contact_person" }) }) });
    var contact_role9080 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByContract/contact_role" }) }) });
    var reference_person9081 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities9082 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var company9083 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job Provider...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByContract/company" }) }) });
    var job9084 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Job...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByContract/job" }) }) });
    var start_date9085 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var regime9086 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByContract/regime" }) }) });
    var schedule9087 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Schedule...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByContract/schedule" }) }) });
    var hourly_rate9088 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate9089 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var contract9090 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art60\u00a77 job supplyment...", "hidden": true, "pageSize": 20, "related_actor_id": "art60.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByContract/contract" }) }) });
    this.before_row_edit = function(record) {
      contact_person9079.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities9082.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company9083 !== 'undefined' && company9083.on('change',Lino.chooser_handler(contact_person9079,'company'));
      Lino.art60.ConventionsByContract.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Art60\u00a77 convention", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.detail_link) ") }, "sortable": false, "tooltip": "(art60.ConventionsByContract.detail_link) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "monthly_refund", "editable": true, "editor": monthly_refund9077, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monthly refund", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.monthly_refund) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id9078, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "contact_person", "editable": true, "editor": contact_person9079, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "contact_role", "editable": true, "editor": contact_role9080, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "reference_person", "editable": true, "editor": reference_person9081, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities9082, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company9083, "filter": { "type": "string" }, "header": "Job Provider", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "job", "editable": true, "editor": job9084, "filter": { "type": "string" }, "header": "Job", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date9085, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "regime", "editable": true, "editor": regime9086, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "schedule", "editable": true, "editor": schedule9087, "filter": { "type": "string" }, "header": "Work Schedule", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 12, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate9088, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "hourly rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 13, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate9089, "filter": { "type": "string" }, "header": "refund rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.refund_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "contract", "editable": true, "editor": contract9090, "filter": { "type": "string" }, "header": "Art60\u00a77 job supplyment", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByContract.contract) ") }, "renderer": Lino.fk_renderer('contractHidden','Lino.art60.Contracts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art60.ConventionsByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ConventionsByContract.insertPanel = Ext.extend(Lino.art60.Conventions.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/ConventionsByContract",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByContract.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByContract.insert;
    Lino.art60.ConventionsByContract.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByContract.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/ConventionsByContract" };
  return new Lino.art60.ConventionsByContract.insertPanel(p);
});
Lino.art60.ConventionsByContract.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByContract", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ConventionsByContract.detailPanel = Ext.extend(Lino.art60.Conventions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ConventionsByContract','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/ConventionsByContract",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByContract.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByContract.insert;
    Lino.art60.ConventionsByContract.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByContract.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ConventionsByContract" };
  return new Lino.art60.ConventionsByContract.detailPanel(p);
});
Lino.art60.ConventionsByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ConventionsByContract" };
  return new Lino.art60.ConventionsByContract.GridPanel(p);
});
Lino.art60.ConventionsByContract.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByContract", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByContract.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByContract", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.ConventionsByProvider
Lino.art60.ConventionsByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/ConventionsByProvider",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "contract" }, 'contractHidden', { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "monthly_refund" }, { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ConventionsByProvider','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art60\u00a77 conventions",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByProvider.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByProvider.insert;
    var ww = this.containing_window;
    var start_date1434 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job1435 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Job...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByProvider/job" }) }) });
    var contract1436 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art60\u00a77 job supplyment...", "pageSize": 20, "related_actor_id": "art60.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByProvider/contract" }) }) });
    var id1437 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_person1438 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByProvider/contact_person" }) }) });
    var contact_role1439 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByProvider/contact_role" }) }) });
    var reference_person1440 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities1441 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var regime1442 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByProvider/regime" }) }) });
    var schedule1443 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Schedule...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByProvider/schedule" }) }) });
    var monthly_refund1444 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var hourly_rate1445 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate1446 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var company1447 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job Provider...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByProvider/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person1438.setContextValue('mk',bp['mk']);
      contact_person1438.setContextValue('mt',bp['mt']);
      responsibilities1441.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company1447 !== 'undefined' && company1447.on('change',Lino.chooser_handler(contact_person1438,'company'));
      Lino.art60.ConventionsByProvider.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1434, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job1435, "filter": { "type": "string" }, "header": "Job", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contract", "editable": true, "editor": contract1436, "filter": { "type": "string" }, "header": "Art60\u00a77 job supplyment", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.contract) ") }, "renderer": Lino.fk_renderer('contractHidden','Lino.art60.Contracts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id1437, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "contact_person", "editable": true, "editor": contact_person1438, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "contact_role", "editable": true, "editor": contact_role1439, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "reference_person", "editable": true, "editor": reference_person1440, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities1441, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "regime", "editable": true, "editor": regime1442, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "schedule", "editable": true, "editor": schedule1443, "filter": { "type": "string" }, "header": "Work Schedule", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "monthly_refund", "editable": true, "editor": monthly_refund1444, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monthly refund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.monthly_refund) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate1445, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "hourly rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate1446, "filter": { "type": "string" }, "header": "refund rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.refund_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company1447, "filter": { "type": "string" }, "header": "Job Provider", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByProvider.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art60.ConventionsByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ConventionsByProvider.insertPanel = Ext.extend(Lino.art60.Conventions.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/ConventionsByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByProvider.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByProvider.insert;
    Lino.art60.ConventionsByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/ConventionsByProvider" };
  return new Lino.art60.ConventionsByProvider.insertPanel(p);
});
Lino.art60.ConventionsByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ConventionsByProvider.detailPanel = Ext.extend(Lino.art60.Conventions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ConventionsByProvider','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/ConventionsByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByProvider.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByProvider.insert;
    Lino.art60.ConventionsByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ConventionsByProvider" };
  return new Lino.art60.ConventionsByProvider.detailPanel(p);
});
Lino.art60.ConventionsByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ConventionsByProvider" };
  return new Lino.art60.ConventionsByProvider.GridPanel(p);
});
Lino.art60.ConventionsByProvider.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByProvider", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.ContractsByPolicy
Lino.art60.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 89,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ContractsByPolicy','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art60\u00a77 job supplyments",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art60.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id4746 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client4747 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByPolicy/client" }) }) });
    var client__national_id4748 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from4749 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended4750 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user4751 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByPolicy/user" }) }) });
    var type4752 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Art60\u00a77 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByPolicy/type" }) }) });
    var signer14753 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByPolicy/signer1" }) }) });
    var signer24754 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByPolicy/signer2" }) }) });
    var printed_by4755 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language4756 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until4757 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided4758 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued4759 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd4760 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByPolicy/user_asd" }) }) });
    var ending4761 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByPolicy/ending" }) }) });
    var duration4762 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByPolicy/duration" }) }), "value": null });
    var remark4763 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var exam_policy4764 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id4746, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client4747, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id4748, "filter": { "type": "string" }, "header": "National ID", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from4749, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended4750, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user4751, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type4752, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer14753, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer24754, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language4756, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "applies_until", "editable": true, "editor": applies_until4757, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided4758, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued4759, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd4760, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending4761, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "duration", "editable": true, "editor": duration4762, "filter": { "type": "string" }, "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "remark", "editable": true, "editor": remark4763, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy4764, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByPolicy.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art60.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ContractsByPolicy.insertPanel = Ext.extend(Lino.art60.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art60.ContractsByPolicy.insert;
    Lino.art60.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/ContractsByPolicy" };
  return new Lino.art60.ContractsByPolicy.insertPanel(p);
});
Lino.art60.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ContractsByPolicy.detailPanel = Ext.extend(Lino.art60.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ContractsByPolicy','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art60.ContractsByPolicy.insert;
    Lino.art60.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ContractsByPolicy" };
  return new Lino.art60.ContractsByPolicy.detailPanel(p);
});
Lino.art60.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByPolicy.create_excerpt5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "create_excerpt5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ContractsByPolicy" };
  p.params_panel = new Lino.art60.Contracts.ParamsPanel({});
  return new Lino.art60.ContractsByPolicy.GridPanel(p);
});
Lino.art60.ContractsByPolicy.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.ContractsByType
Lino.art60.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 89,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ContractsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art60\u00a77 job supplyments",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByType.detail;
    this.ls_insert_handler = Lino.art60.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from5040 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5041 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByType/client" }) }) });
    var user5042 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByType/user" }) }) });
    var id5043 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer15044 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByType/signer1" }) }) });
    var signer25045 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByType/signer2" }) }) });
    var printed_by5046 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5047 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until5048 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5049 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5050 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5051 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByType/user_asd" }) }) });
    var exam_policy5052 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByType/exam_policy" }) }) });
    var ending5053 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByType/ending" }) }) });
    var date_ended5054 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration5055 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByType/duration" }) }), "value": null });
    var remark5056 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var type5057 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Art60\u00a77 job supplyment type...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from5040, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client5041, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user5042, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id5043, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "signer1", "editable": true, "editor": signer15044, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "signer2", "editable": true, "editor": signer25045, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "language", "editable": true, "editor": language5047, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "applies_until", "editable": true, "editor": applies_until5048, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "date_decided", "editable": true, "editor": date_decided5049, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "date_issued", "editable": true, "editor": date_issued5050, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "user_asd", "editable": true, "editor": user_asd5051, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5052, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "ending", "editable": true, "editor": ending5053, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_ended", "editable": true, "editor": date_ended5054, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "duration", "editable": true, "editor": duration5055, "filter": { "type": "string" }, "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 16, "dataIndex": "remark", "editable": true, "editor": remark5056, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "type", "editable": true, "editor": type5057, "filter": { "type": "string" }, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByType.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) } ];
    Lino.art60.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ContractsByType.insertPanel = Ext.extend(Lino.art60.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByType.detail;
    this.ls_insert_handler = Lino.art60.ContractsByType.insert;
    Lino.art60.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/ContractsByType" };
  return new Lino.art60.ContractsByType.insertPanel(p);
});
Lino.art60.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ContractsByType.detailPanel = Ext.extend(Lino.art60.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ContractsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByType.detail;
    this.ls_insert_handler = Lino.art60.ContractsByType.insert;
    Lino.art60.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ContractsByType" };
  return new Lino.art60.ContractsByType.detailPanel(p);
});
Lino.art60.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByType.create_excerpt5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "create_excerpt5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ContractsByType" };
  p.params_panel = new Lino.art60.Contracts.ParamsPanel({});
  return new Lino.art60.ContractsByType.GridPanel(p);
});
Lino.art60.ContractsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.ContractsByEnding
Lino.art60.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 89,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ContractsByEnding','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art60\u00a77 job supplyments",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art60.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id5101 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client5102 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByEnding/client" }) }) });
    var client__national_id5103 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from5104 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended5105 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user5106 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByEnding/user" }) }) });
    var type5107 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Art60\u00a77 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByEnding/type" }) }) });
    var signer15108 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByEnding/signer1" }) }) });
    var signer25109 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByEnding/signer2" }) }) });
    var printed_by5110 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5111 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until5112 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5113 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5114 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5115 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByEnding/user_asd" }) }) });
    var exam_policy5116 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByEnding/exam_policy" }) }) });
    var duration5117 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByEnding/duration" }) }), "value": null });
    var remark5118 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var ending5119 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id5101, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client5102, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id5103, "filter": { "type": "string" }, "header": "National ID", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from5104, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended5105, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user5106, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type5107, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer15108, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer25109, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language5111, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "applies_until", "editable": true, "editor": applies_until5112, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_decided", "editable": true, "editor": date_decided5113, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_issued", "editable": true, "editor": date_issued5114, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "user_asd", "editable": true, "editor": user_asd5115, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5116, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "duration", "editable": true, "editor": duration5117, "filter": { "type": "string" }, "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "remark", "editable": true, "editor": remark5118, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending5119, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ContractsByEnding.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) } ];
    Lino.art60.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ContractsByEnding.insertPanel = Ext.extend(Lino.art60.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art60.ContractsByEnding.insert;
    Lino.art60.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/ContractsByEnding" };
  return new Lino.art60.ContractsByEnding.insertPanel(p);
});
Lino.art60.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ContractsByEnding.detailPanel = Ext.extend(Lino.art60.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt5", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "overflowText": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Mise \u00e0 l'emploi art60\u00a77", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Mise \u00e0 l'emploi art60\u00a77", "panel_btn_handler": Lino.row_action_handler('create_excerpt5','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ContractsByEnding','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art60.ContractsByEnding.insert;
    Lino.art60.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ContractsByEnding" };
  return new Lino.art60.ContractsByEnding.detailPanel(p);
});
Lino.art60.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByEnding.create_excerpt5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "create_excerpt5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ContractsByEnding" };
  p.params_panel = new Lino.art60.Contracts.ParamsPanel({});
  return new Lino.art60.ContractsByEnding.GridPanel(p);
});
Lino.art60.ContractsByEnding.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.ConventionsByJob
Lino.art60.ConventionsByJob.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/ConventionsByJob",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "contract" }, 'contractHidden', { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "company" }, 'companyHidden', { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "monthly_refund" }, { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "job" }, 'jobHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ConventionsByJob','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art60\u00a77 conventions",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByJob.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByJob.insert;
    var ww = this.containing_window;
    var start_date1363 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var contract1364 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art60\u00a77 job supplyment...", "pageSize": 20, "related_actor_id": "art60.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByJob/contract" }) }) });
    var id1365 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_person1366 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByJob/contact_person" }) }) });
    var contact_role1367 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByJob/contact_role" }) }) });
    var reference_person1368 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities1369 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var company1370 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job Provider...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByJob/company" }) }) });
    var regime1371 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByJob/regime" }) }) });
    var schedule1372 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Schedule...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByJob/schedule" }) }) });
    var monthly_refund1373 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var hourly_rate1374 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate1375 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var job1376 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Job...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByJob/job" }) }) });
    this.before_row_edit = function(record) {
      contact_person1366.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities1369.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company1370 !== 'undefined' && company1370.on('change',Lino.chooser_handler(contact_person1366,'company'));
      Lino.art60.ConventionsByJob.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1363, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "contract", "editable": true, "editor": contract1364, "filter": { "type": "string" }, "header": "Art60\u00a77 job supplyment", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.contract) ") }, "renderer": Lino.fk_renderer('contractHidden','Lino.art60.Contracts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id1365, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "contact_person", "editable": true, "editor": contact_person1366, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "contact_role", "editable": true, "editor": contact_role1367, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "reference_person", "editable": true, "editor": reference_person1368, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities1369, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company1370, "filter": { "type": "string" }, "header": "Job Provider", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "regime", "editable": true, "editor": regime1371, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "schedule", "editable": true, "editor": schedule1372, "filter": { "type": "string" }, "header": "Work Schedule", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "monthly_refund", "editable": true, "editor": monthly_refund1373, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monthly refund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.monthly_refund) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate1374, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "hourly rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate1375, "filter": { "type": "string" }, "header": "refund rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.refund_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "job", "editable": true, "editor": job1376, "filter": { "type": "string" }, "header": "Job", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByJob.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art60.ConventionsByJob.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByJob.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByJob", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByJob.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByJob", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByJob.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByJob", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByJob.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByJob", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ConventionsByJob.insertPanel = Ext.extend(Lino.art60.Conventions.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/ConventionsByJob",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByJob.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByJob.insert;
    Lino.art60.ConventionsByJob.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByJob.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/ConventionsByJob" };
  return new Lino.art60.ConventionsByJob.insertPanel(p);
});
Lino.art60.ConventionsByJob.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByJob", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ConventionsByJob.detailPanel = Ext.extend(Lino.art60.Conventions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ConventionsByJob','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/ConventionsByJob",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByJob.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByJob.insert;
    Lino.art60.ConventionsByJob.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByJob.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ConventionsByJob" };
  return new Lino.art60.ConventionsByJob.detailPanel(p);
});
Lino.art60.ConventionsByJob.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByJob", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByJob.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ConventionsByJob" };
  return new Lino.art60.ConventionsByJob.GridPanel(p);
});
Lino.art60.ConventionsByJob.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByJob", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByJob.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByJob", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.ConventionsByRegime
Lino.art60.ConventionsByRegime.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/ConventionsByRegime",
  ls_store_fields : [ { "name": "job" }, 'jobHidden', { "name": "contract" }, 'contractHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "company" }, 'companyHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "monthly_refund" }, { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "regime" }, 'regimeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ConventionsByRegime','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art60\u00a77 conventions",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByRegime.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByRegime.insert;
    var ww = this.containing_window;
    var job2531 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Job...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByRegime/job" }) }) });
    var contract2532 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art60\u00a77 job supplyment...", "pageSize": 20, "related_actor_id": "art60.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByRegime/contract" }) }) });
    var start_date2533 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id2534 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_person2535 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByRegime/contact_person" }) }) });
    var contact_role2536 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByRegime/contact_role" }) }) });
    var reference_person2537 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities2538 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var company2539 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job Provider...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByRegime/company" }) }) });
    var schedule2540 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Schedule...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByRegime/schedule" }) }) });
    var monthly_refund2541 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var hourly_rate2542 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate2543 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var regime2544 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsByRegime/regime" }) }) });
    this.before_row_edit = function(record) {
      contact_person2535.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities2538.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company2539 !== 'undefined' && company2539.on('change',Lino.chooser_handler(contact_person2535,'company'));
      Lino.art60.ConventionsByRegime.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "job", "editable": true, "editor": job2531, "filter": { "type": "string" }, "header": "Job", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "contract", "editable": true, "editor": contract2532, "filter": { "type": "string" }, "header": "Art60\u00a77 job supplyment", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.contract) ") }, "renderer": Lino.fk_renderer('contractHidden','Lino.art60.Contracts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date2533, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id2534, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "contact_person", "editable": true, "editor": contact_person2535, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "contact_role", "editable": true, "editor": contact_role2536, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "reference_person", "editable": true, "editor": reference_person2537, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities2538, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company2539, "filter": { "type": "string" }, "header": "Job Provider", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "schedule", "editable": true, "editor": schedule2540, "filter": { "type": "string" }, "header": "Work Schedule", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "monthly_refund", "editable": true, "editor": monthly_refund2541, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monthly refund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.monthly_refund) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate2542, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "hourly rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate2543, "filter": { "type": "string" }, "header": "refund rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.refund_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "regime", "editable": true, "editor": regime2544, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsByRegime.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art60.ConventionsByRegime.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByRegime.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByRegime", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByRegime.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByRegime", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByRegime.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByRegime", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByRegime.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByRegime", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ConventionsByRegime.insertPanel = Ext.extend(Lino.art60.Conventions.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/ConventionsByRegime",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByRegime.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByRegime.insert;
    Lino.art60.ConventionsByRegime.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByRegime.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/ConventionsByRegime" };
  return new Lino.art60.ConventionsByRegime.insertPanel(p);
});
Lino.art60.ConventionsByRegime.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByRegime", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ConventionsByRegime.detailPanel = Ext.extend(Lino.art60.Conventions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ConventionsByRegime','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/ConventionsByRegime",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsByRegime.detail;
    this.ls_insert_handler = Lino.art60.ConventionsByRegime.insert;
    Lino.art60.ConventionsByRegime.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsByRegime.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ConventionsByRegime" };
  return new Lino.art60.ConventionsByRegime.detailPanel(p);
});
Lino.art60.ConventionsByRegime.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByRegime", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByRegime.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ConventionsByRegime" };
  return new Lino.art60.ConventionsByRegime.GridPanel(p);
});
Lino.art60.ConventionsByRegime.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByRegime", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsByRegime.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsByRegime", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.ConventionsBySchedule
Lino.art60.ConventionsBySchedule.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/ConventionsBySchedule",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "contract" }, 'contractHidden', { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "company" }, 'companyHidden', { "name": "regime" }, 'regimeHidden', { "name": "monthly_refund" }, { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "schedule" }, 'scheduleHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 90,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art60.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ConventionsBySchedule','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art60\u00a77 conventions",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsBySchedule.detail;
    this.ls_insert_handler = Lino.art60.ConventionsBySchedule.insert;
    var ww = this.containing_window;
    var start_date2740 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job2741 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Job...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsBySchedule/job" }) }) });
    var contract2742 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art60\u00a77 job supplyment...", "pageSize": 20, "related_actor_id": "art60.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsBySchedule/contract" }) }) });
    var id2743 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_person2744 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsBySchedule/contact_person" }) }) });
    var contact_role2745 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsBySchedule/contact_role" }) }) });
    var reference_person2746 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities2747 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var company2748 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job Provider...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsBySchedule/company" }) }) });
    var regime2749 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsBySchedule/regime" }) }) });
    var monthly_refund2750 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var hourly_rate2751 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate2752 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var schedule2753 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Schedule...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art60/ConventionsBySchedule/schedule" }) }) });
    this.before_row_edit = function(record) {
      contact_person2744.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities2747.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company2748 !== 'undefined' && company2748.on('change',Lino.chooser_handler(contact_person2744,'company'));
      Lino.art60.ConventionsBySchedule.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date2740, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job2741, "filter": { "type": "string" }, "header": "Job", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contract", "editable": true, "editor": contract2742, "filter": { "type": "string" }, "header": "Art60\u00a77 job supplyment", "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.contract) ") }, "renderer": Lino.fk_renderer('contractHidden','Lino.art60.Contracts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id2743, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "contact_person", "editable": true, "editor": contact_person2744, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "contact_role", "editable": true, "editor": contact_role2745, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "reference_person", "editable": true, "editor": reference_person2746, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities2747, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company2748, "filter": { "type": "string" }, "header": "Job Provider", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "regime", "editable": true, "editor": regime2749, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "monthly_refund", "editable": true, "editor": monthly_refund2750, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monthly refund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.monthly_refund) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate2751, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "hourly rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate2752, "filter": { "type": "string" }, "header": "refund rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.refund_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "schedule", "editable": true, "editor": schedule2753, "filter": { "type": "string" }, "header": "Work Schedule", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.ConventionsBySchedule.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art60.ConventionsBySchedule.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsBySchedule.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsBySchedule", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsBySchedule.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsBySchedule", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsBySchedule.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsBySchedule", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsBySchedule.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsBySchedule", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ConventionsBySchedule.insertPanel = Ext.extend(Lino.art60.Conventions.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art60/ConventionsBySchedule",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsBySchedule.detail;
    this.ls_insert_handler = Lino.art60.ConventionsBySchedule.insert;
    Lino.art60.ConventionsBySchedule.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsBySchedule.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art60/ConventionsBySchedule" };
  return new Lino.art60.ConventionsBySchedule.insertPanel(p);
});
Lino.art60.ConventionsBySchedule.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsBySchedule", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art60.ConventionsBySchedule.detailPanel = Ext.extend(Lino.art60.Conventions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art60\u00a77 convention.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/ConventionsBySchedule','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art60/ConventionsBySchedule",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art60.ConventionsBySchedule.detail;
    this.ls_insert_handler = Lino.art60.ConventionsBySchedule.insert;
    Lino.art60.ConventionsBySchedule.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.ConventionsBySchedule.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ConventionsBySchedule" };
  return new Lino.art60.ConventionsBySchedule.detailPanel(p);
});
Lino.art60.ConventionsBySchedule.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsBySchedule", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsBySchedule.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/ConventionsBySchedule" };
  return new Lino.art60.ConventionsBySchedule.GridPanel(p);
});
Lino.art60.ConventionsBySchedule.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsBySchedule", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.ConventionsBySchedule.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/ConventionsBySchedule", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.CandidaturesByPerson
Lino.jobs.CandidaturesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByPerson",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "art60", "type": "boolean" }, { "name": "art61", "type": "boolean" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 87,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job Candidatures",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted6324 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var job6325 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Job...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/job" }) }) });
    var sector6326 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/sector" }) }) });
    var function6327 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/function" }) }) });
    var art606328 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var art616329 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var remark6330 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var state6331 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    var id6332 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var person6333 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      function6327.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector6326 !== 'undefined' && sector6326.on('change',Lino.chooser_handler(function6327,'sector'));
      Lino.jobs.CandidaturesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted6324, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date submitted", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.date_submitted) Date when the IA introduced this candidature.") }, "sortable": true, "tooltip": "Date when the IA introduced this candidature.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job6325, "filter": { "type": "string" }, "header": "Job", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector6326, "filter": { "type": "string" }, "header": "Activity sector", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function6327, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "art60", "editable": true, "filter": { "type": "boolean" }, "header": "Art.60", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.art60) Whether an art.60 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.60 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "art61", "editable": true, "filter": { "type": "boolean" }, "header": "Art.61", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.art61) Whether an art.61 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.61 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "remark", "editable": true, "editor": remark6330, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state6331, "filter": { "options": [ "Active", "Probation", "Probation failed", "Working", "Inactive" ], "type": "list" }, "header": "Candidature state", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6332, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "person", "editable": true, "editor": person6333, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.CandidaturesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByPerson" };
  p.params_panel = new Lino.jobs.Candidatures.ParamsPanel({});
  return new Lino.jobs.CandidaturesByPerson.GridPanel(p);
});
Lino.jobs.CandidaturesByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.CandidaturesByJob
Lino.jobs.CandidaturesByJob.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByJob",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "person" }, 'personHidden', { "name": "state" }, 'stateHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "remark" }, { "name": "art60", "type": "boolean" }, { "name": "art61", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "job" }, 'jobHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 87,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByJob','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job Candidatures",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted1347 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var person1348 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/person" }) }) });
    var state1349 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    var sector1350 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/sector" }) }) });
    var function1351 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/function" }) }) });
    var remark1352 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var art601353 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var art611354 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var id1355 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var job1356 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Job...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByJob/job" }) }) });
    this.before_row_edit = function(record) {
      function1351.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector1350 !== 'undefined' && sector1350.on('change',Lino.chooser_handler(function1351,'sector'));
      Lino.jobs.CandidaturesByJob.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted1347, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date submitted", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.date_submitted) Date when the IA introduced this candidature.") }, "sortable": true, "tooltip": "Date when the IA introduced this candidature.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person1348, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 2, "dataIndex": "state", "editable": true, "editor": state1349, "filter": { "options": [ "Active", "Probation", "Probation failed", "Working", "Inactive" ], "type": "list" }, "header": "Candidature state", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(20) }, { "colIndex": 3, "dataIndex": "sector", "editable": true, "editor": sector1350, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "function", "editable": true, "editor": function1351, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark1352, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 6, "dataIndex": "art60", "editable": true, "filter": { "type": "boolean" }, "header": "Art.60", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.art60) Whether an art.60 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.60 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "art61", "editable": true, "filter": { "type": "boolean" }, "header": "Art.61", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.art61) Whether an art.61 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.61 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id1355, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "job", "editable": true, "editor": job1356, "filter": { "type": "string" }, "header": "Job", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByJob.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.CandidaturesByJob.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByJob.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByJob.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByJob" };
  p.params_panel = new Lino.jobs.Candidatures.ParamsPanel({});
  return new Lino.jobs.CandidaturesByJob.GridPanel(p);
});
Lino.jobs.CandidaturesByJob.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByJob", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.CandidaturesByOffer
Lino.jobs.CandidaturesByOffer.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByOffer",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "person" }, 'personHidden', { "name": "job" }, 'jobHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 87,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByOffer','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Candidates",
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted5944 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var person5945 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/person" }) }) });
    var job5946 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Job...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/job" }) }) });
    var state5947 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted5944, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date submitted", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.date_submitted) Date when the IA introduced this candidature.") }, "sortable": true, "tooltip": "Date when the IA introduced this candidature.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person5945, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "job", "editable": true, "editor": job5946, "filter": { "type": "string" }, "header": "Job", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.job) ") }, "renderer": Lino.fk_renderer('jobHidden','Lino.jobs.Jobs.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "state", "editable": true, "editor": state5947, "filter": { "options": [ "Active", "Probation", "Probation failed", "Working", "Inactive" ], "type": "list" }, "header": "Candidature state", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(20) } ];
    Lino.jobs.CandidaturesByOffer.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByOffer.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByOffer" };
  p.params_panel = new Lino.jobs.CandidaturesByOffer.ParamsPanel({});
  return new Lino.jobs.CandidaturesByOffer.GridPanel(p);
});
Lino.jobs.CandidaturesByOffer.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ExperiencesByOffer
Lino.jobs.ExperiencesByOffer.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ExperiencesByOffer",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "person" }, 'personHidden', { "name": "company" }, { "name": "country" }, 'countryHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 69,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/ExperiencesByOffer','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Experiences",
  initComponent : function() {
    var ww = this.containing_window;
    var start_date5935 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date5936 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var person5937 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ExperiencesByOffer/person" }) }) });
    var company5938 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country5939 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ExperiencesByOffer/country" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date5935, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date5936, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "person", "editable": true, "editor": person5937, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company5938, "filter": { "type": "string" }, "header": "Company", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "country", "editable": true, "editor": country5939, "filter": { "type": "string" }, "header": "Country", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ExperiencesByOffer.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ExperiencesByOffer.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ExperiencesByOffer" };
  p.params_panel = new Lino.jobs.ExperiencesByOffer.ParamsPanel({});
  return new Lino.jobs.ExperiencesByOffer.GridPanel(p);
});
Lino.jobs.ExperiencesByOffer.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.JobsByProvider
Lino.jobs.JobsByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobsByProvider",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "type" }, 'typeHidden', { "name": "contract_type" }, 'contract_typeHidden', { "name": "hourly_rate" }, { "name": "capacity", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 14,
  content_type : 86,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Job.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByProvider','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Jobs",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.JobsByProvider.insert;
    var ww = this.containing_window;
    var name1315 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    var provider1316 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Job Provider...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/provider" }) }) });
    var sector1317 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/sector" }) }) });
    var function1318 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/function" }) }) });
    var type1319 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Job Type...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/type" }) }) });
    var contract_type1320 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Art60\u00a77 job supplyment type...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByProvider/contract_type" }) }) });
    var hourly_rate1321 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var capacity1322 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark1323 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var id1324 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      function1318.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector1317 !== 'undefined' && sector1317.on('change',Lino.chooser_handler(function1318,'sector'));
      Lino.jobs.JobsByProvider.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name1315, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider1316, "filter": { "type": "string" }, "header": "Job Provider", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector1317, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function1318, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type1319, "filter": { "type": "string" }, "header": "Job Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "contract_type", "editable": true, "editor": contract_type1320, "filter": { "type": "string" }, "header": "Contract Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.contract_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate1321, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "hourly rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "capacity", "editable": true, "editor": capacity1322, "filter": { "type": "numeric" }, "format": "0", "header": "capacity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.capacity) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark1323, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id1324, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.jobs.JobsByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByProvider.insertPanel = Ext.extend(Lino.jobs.Jobs.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.JobsByProvider.insert;
    Lino.jobs.JobsByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobsByProvider" };
  return new Lino.jobs.JobsByProvider.insertPanel(p);
});
Lino.jobs.JobsByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByProvider.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Job.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByProvider','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.JobsByProvider.insert;
    Lino.jobs.JobsByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByProvider" };
  return new Lino.jobs.JobsByProvider.detailPanel(p);
});
Lino.jobs.JobsByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByProvider" };
  return new Lino.jobs.JobsByProvider.GridPanel(p);
});
Lino.jobs.JobsByProvider.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.JobsByType
Lino.jobs.JobsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobsByType",
  ls_store_fields : [ { "name": "name" }, { "name": "provider" }, 'providerHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "contract_type" }, 'contract_typeHidden', { "name": "hourly_rate" }, { "name": "capacity", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 86,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Job.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Jobs",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByType.detail;
    this.ls_insert_handler = Lino.jobs.JobsByType.insert;
    var ww = this.containing_window;
    var name2764 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    var provider2765 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Job Provider...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/provider" }) }) });
    var sector2766 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/sector" }) }) });
    var function2767 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/function" }) }) });
    var contract_type2768 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Art60\u00a77 job supplyment type...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/contract_type" }) }) });
    var hourly_rate2769 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var capacity2770 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark2771 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var id2772 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var type2773 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Job Type...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsByType/type" }) }) });
    this.before_row_edit = function(record) {
      function2767.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector2766 !== 'undefined' && sector2766.on('change',Lino.chooser_handler(function2767,'sector'));
      Lino.jobs.JobsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name2764, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "provider", "editable": true, "editor": provider2765, "filter": { "type": "string" }, "header": "Job Provider", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.provider) ") }, "renderer": Lino.fk_renderer('providerHidden','Lino.jobs.JobProviders.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector2766, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function2767, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "contract_type", "editable": true, "editor": contract_type2768, "filter": { "type": "string" }, "header": "Contract Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.contract_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate2769, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "hourly rate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "capacity", "editable": true, "editor": capacity2770, "filter": { "type": "numeric" }, "format": "0", "header": "capacity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.capacity) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark2771, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id2772, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "type", "editable": true, "editor": type2773, "filter": { "type": "string" }, "header": "Job Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.JobsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByType.insertPanel = Ext.extend(Lino.jobs.Jobs.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByType.detail;
    this.ls_insert_handler = Lino.jobs.JobsByType.insert;
    Lino.jobs.JobsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/JobsByType" };
  return new Lino.jobs.JobsByType.insertPanel(p);
});
Lino.jobs.JobsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsByType.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Job.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsByType.detail;
    this.ls_insert_handler = Lino.jobs.JobsByType.insert;
    Lino.jobs.JobsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByType" };
  return new Lino.jobs.JobsByType.detailPanel(p);
});
Lino.jobs.JobsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsByType" };
  return new Lino.jobs.JobsByType.GridPanel(p);
});
Lino.jobs.JobsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.JobsOverviewByType
Lino.jobs.JobsOverviewByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/JobsOverviewByType",
  ls_store_fields : [ { "name": "job_desc" }, { "name": "working" }, { "name": "probation" }, { "name": "candidates" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 86,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of jobs.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsOverviewByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Contracts Situation",
  disabled_fields_index : 5,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsOverviewByType.detail;
    var ww = this.containing_window;
    var job_desc_disp9094 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var working_disp9095 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var probation_disp9096 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var candidates_disp9097 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "job_desc", "editable": false, "header": "Job", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.job_desc) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.job_desc) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "working", "editable": false, "header": "Working", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.working) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.working) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "probation", "editable": false, "header": "Probation", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.probation) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.probation) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "candidates", "editable": false, "header": "Candidates", "listeners": { "render": Lino.quicktip_renderer("","(jobs.JobsOverviewByType.candidates) ") }, "sortable": false, "tooltip": "(jobs.JobsOverviewByType.candidates) ", "width": Lino.chars2width(31) } ];
    Lino.jobs.JobsOverviewByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsOverviewByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsOverviewByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsOverviewByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsOverviewByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsOverviewByType.detailPanel = Ext.extend(Lino.jobs.Jobs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsOverviewByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsOverviewByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsOverviewByType.detail;
    Lino.jobs.JobsOverviewByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsOverviewByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsOverviewByType" };
  return new Lino.jobs.JobsOverviewByType.detailPanel(p);
});
Lino.jobs.JobsOverviewByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsOverviewByType" };
  p.params_panel = new Lino.jobs.JobsOverviewByType.ParamsPanel({});
  return new Lino.jobs.JobsOverviewByType.GridPanel(p);
});
Lino.jobs.JobsOverviewByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverviewByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.AuthoritiesGiven
Lino.users.AuthoritiesGiven.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/AuthoritiesGiven",
  ls_store_fields : [ { "name": "authorized" }, 'authorizedHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 10,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesGiven','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Authorities given",
  initComponent : function() {
    var ww = this.containing_window;
    var authorized5284 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AuthoritiesGiven/authorized" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      authorized5284.setContextValue('mk',bp['mk']);
      authorized5284.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "authorized", "editable": true, "editor": authorized5284, "filter": { "type": "string" }, "header": "User", "listeners": { "render": Lino.quicktip_renderer("","(users.AuthoritiesGiven.authorized) The user who gets the right to represent the author") }, "sortable": false, "tooltip": "The user who gets the right to represent the author", "width": Lino.chars2width(21) } ];
    Lino.users.AuthoritiesGiven.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.AuthoritiesGiven.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/AuthoritiesGiven" };
  p.params_panel = new Lino.users.Authorities.ParamsPanel({});
  return new Lino.users.AuthoritiesGiven.GridPanel(p);
});
Lino.users.AuthoritiesGiven.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.AuthoritiesTaken
Lino.users.AuthoritiesTaken.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/AuthoritiesTaken",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 10,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesTaken','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Authorities taken",
  initComponent : function() {
    var ww = this.containing_window;
    var user5291 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AuthoritiesTaken/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user5291, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(users.AuthoritiesTaken.user) The user who gives the right of representation. author of this\nauthority") }, "sortable": false, "tooltip": "The user who gives the right of representation. author of this\nauthority", "width": Lino.chars2width(21) } ];
    Lino.users.AuthoritiesTaken.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.AuthoritiesTaken.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/AuthoritiesTaken" };
  p.params_panel = new Lino.users.Authorities.ParamsPanel({});
  return new Lino.users.AuthoritiesTaken.GridPanel(p);
});
Lino.users.AuthoritiesTaken.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByClient
Lino.art61.ContractsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "user" }, 'userHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "sub_amount_10" }, { "dateFormat": "d.m.Y", "name": "sub_start_10", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_10", "type": "date" }, { "name": "sub_amount_20" }, { "dateFormat": "d.m.Y", "name": "sub_start_20", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_20", "type": "date" }, { "name": "sub_amount_30" }, { "dateFormat": "d.m.Y", "name": "sub_start_30", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_30", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art61 job supplyments and activations",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art61.ContractsByClient.insert;
    var ww = this.containing_window;
    var applies_from6360 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until6361 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended6362 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration6363 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true, "value": null });
    var type6364 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art61 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/type" }) }) });
    var company6365 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Employer...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Employers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/company" }) }) });
    var contact_person6366 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/contact_person" }) }) });
    var user6367 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/user" }) }) });
    var remark6368 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id6369 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer16370 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/signer1" }) }) });
    var signer26371 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/signer2" }) }) });
    var contact_role6372 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/contact_role" }) }) });
    var printed_by6373 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector6374 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/sector" }) }) });
    var function6375 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/function" }) }) });
    var language6376 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided6377 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6378 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6379 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/user_asd" }) }) });
    var exam_policy6380 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/exam_policy" }) }) });
    var ending6381 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/ending" }) }) });
    var reference_person6382 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities6383 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var job_title6384 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status6385 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Status...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/status" }) }) });
    var cv_duration6386 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Contract Duration...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/cv_duration" }) }) });
    var regime6387 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/regime" }) }) });
    var sub_amount_106388 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_106389 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_106390 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_206391 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_206392 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_206393 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_306394 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_306395 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_306396 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var client6397 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      contact_person6366.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function6375.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities6383.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company6365 !== 'undefined' && company6365.on('change',Lino.chooser_handler(contact_person6366,'company'));
      typeof sector6374 !== 'undefined' && sector6374.on('change',Lino.chooser_handler(function6375,'sector'));
      Lino.art61.ContractsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from6360, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "applies_until", "editable": true, "editor": applies_until6361, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended6362, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "duration", "editable": true, "editor": duration6363, "filter": { "type": "numeric" }, "format": "0", "header": "duration (days)", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type6364, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "company", "editable": true, "editor": company6365, "filter": { "type": "string" }, "header": "Employer", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.Employers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contact_person", "editable": true, "editor": contact_person6366, "filter": { "type": "string" }, "header": "Represented by", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user6367, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark6368, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id6369, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "signer1", "editable": true, "editor": signer16370, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer2", "editable": true, "editor": signer26371, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role6372, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "sector", "editable": true, "editor": sector6374, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "function", "editable": true, "editor": function6375, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language6376, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "date_decided", "editable": true, "editor": date_decided6377, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "date_issued", "editable": true, "editor": date_issued6378, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "user_asd", "editable": true, "editor": user_asd6379, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6380, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "ending", "editable": true, "editor": ending6381, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "reference_person", "editable": true, "editor": reference_person6382, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities6383, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "job_title", "editable": true, "editor": job_title6384, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 25, "dataIndex": "status", "editable": true, "editor": status6385, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration6386, "filter": { "type": "string" }, "header": "Contract Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "regime", "editable": true, "editor": regime6387, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 28, "dataIndex": "sub_amount_10", "editable": true, "editor": sub_amount_106388, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Hiring assistance", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.sub_amount_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 29, "dataIndex": "sub_start_10", "editable": true, "editor": sub_start_106389, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.sub_start_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 30, "dataIndex": "sub_end_10", "editable": true, "editor": sub_end_106390, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.sub_end_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 31, "dataIndex": "sub_amount_20", "editable": true, "editor": sub_amount_206391, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.sub_amount_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 32, "dataIndex": "sub_start_20", "editable": true, "editor": sub_start_206392, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.sub_start_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 33, "dataIndex": "sub_end_20", "editable": true, "editor": sub_end_206393, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.sub_end_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 34, "dataIndex": "sub_amount_30", "editable": true, "editor": sub_amount_306394, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.sub_amount_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 35, "dataIndex": "sub_start_30", "editable": true, "editor": sub_start_306395, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.sub_start_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 36, "dataIndex": "sub_end_30", "editable": true, "editor": sub_end_306396, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.sub_end_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 37, "dataIndex": "client", "editable": true, "editor": client6397, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByClient.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByClient.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art61.ContractsByClient.insert;
    Lino.art61.ContractsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByClient" };
  return new Lino.art61.ContractsByClient.insertPanel(p);
});
Lino.art61.ContractsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByClient.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByClient.detail;
    this.ls_insert_handler = Lino.art61.ContractsByClient.insert;
    Lino.art61.ContractsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByClient" };
  return new Lino.art61.ContractsByClient.detailPanel(p);
});
Lino.art61.ContractsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByClient" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByClient.GridPanel(p);
});
Lino.art61.ContractsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByProvider
Lino.art61.ContractsByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByProvider",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "sub_amount_10" }, { "dateFormat": "d.m.Y", "name": "sub_start_10", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_10", "type": "date" }, { "name": "sub_amount_20" }, { "dateFormat": "d.m.Y", "name": "sub_start_20", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_20", "type": "date" }, { "name": "sub_amount_30" }, { "dateFormat": "d.m.Y", "name": "sub_start_30", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_30", "type": "date" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByProvider','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art61 job supplyments",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.art61.ContractsByProvider.insert;
    var ww = this.containing_window;
    var client1499 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/client" }) }) });
    var applies_from1500 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until1501 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user1502 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/user" }) }) });
    var type1503 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art61 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/type" }) }) });
    var id1504 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer11505 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/signer1" }) }) });
    var signer21506 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/signer2" }) }) });
    var contact_person1507 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/contact_person" }) }) });
    var contact_role1508 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/contact_role" }) }) });
    var printed_by1509 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector1510 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/sector" }) }) });
    var function1511 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/function" }) }) });
    var language1512 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided1513 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued1514 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd1515 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/user_asd" }) }) });
    var exam_policy1516 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/exam_policy" }) }) });
    var ending1517 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/ending" }) }) });
    var date_ended1518 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var reference_person1519 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities1520 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var duration1521 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var remark1522 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_title1523 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status1524 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Status...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/status" }) }) });
    var cv_duration1525 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Contract Duration...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/cv_duration" }) }) });
    var regime1526 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/regime" }) }) });
    var sub_amount_101527 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_101528 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_101529 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_201530 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_201531 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_201532 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_301533 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_301534 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_301535 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company1536 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Employer...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Employers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByProvider/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person1507.setContextValue('mk',bp['mk']);
      contact_person1507.setContextValue('mt',bp['mt']);
      function1511.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities1520.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company1536 !== 'undefined' && company1536.on('change',Lino.chooser_handler(contact_person1507,'company'));
      typeof sector1510 !== 'undefined' && sector1510.on('change',Lino.chooser_handler(function1511,'sector'));
      Lino.art61.ContractsByProvider.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client1499, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from1500, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until1501, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user1502, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type1503, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id1504, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer11505, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer21506, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person1507, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role1508, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "sector", "editable": true, "editor": sector1510, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "function", "editable": true, "editor": function1511, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language1512, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_decided", "editable": true, "editor": date_decided1513, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_issued", "editable": true, "editor": date_issued1514, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "user_asd", "editable": true, "editor": user_asd1515, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy1516, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending1517, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "date_ended", "editable": true, "editor": date_ended1518, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person1519, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities1520, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 22, "dataIndex": "duration", "editable": true, "editor": duration1521, "filter": { "type": "numeric" }, "format": "0", "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark1522, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "job_title", "editable": true, "editor": job_title1523, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 25, "dataIndex": "status", "editable": true, "editor": status1524, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration1525, "filter": { "type": "string" }, "header": "Contract Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "regime", "editable": true, "editor": regime1526, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 28, "dataIndex": "sub_amount_10", "editable": true, "editor": sub_amount_101527, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Hiring assistance", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.sub_amount_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 29, "dataIndex": "sub_start_10", "editable": true, "editor": sub_start_101528, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.sub_start_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 30, "dataIndex": "sub_end_10", "editable": true, "editor": sub_end_101529, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.sub_end_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 31, "dataIndex": "sub_amount_20", "editable": true, "editor": sub_amount_201530, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.sub_amount_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 32, "dataIndex": "sub_start_20", "editable": true, "editor": sub_start_201531, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.sub_start_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 33, "dataIndex": "sub_end_20", "editable": true, "editor": sub_end_201532, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.sub_end_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 34, "dataIndex": "sub_amount_30", "editable": true, "editor": sub_amount_301533, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.sub_amount_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 35, "dataIndex": "sub_start_30", "editable": true, "editor": sub_start_301534, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.sub_start_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 36, "dataIndex": "sub_end_30", "editable": true, "editor": sub_end_301535, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.sub_end_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 37, "dataIndex": "company", "editable": true, "editor": company1536, "filter": { "type": "string" }, "header": "Employer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByProvider.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.Employers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByProvider.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.art61.ContractsByProvider.insert;
    Lino.art61.ContractsByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByProvider" };
  return new Lino.art61.ContractsByProvider.insertPanel(p);
});
Lino.art61.ContractsByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByProvider.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByProvider','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.art61.ContractsByProvider.insert;
    Lino.art61.ContractsByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByProvider" };
  return new Lino.art61.ContractsByProvider.detailPanel(p);
});
Lino.art61.ContractsByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByProvider" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByProvider.GridPanel(p);
});
Lino.art61.ContractsByProvider.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByPolicy
Lino.art61.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "company" }, 'companyHidden', { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "sub_amount_10" }, { "dateFormat": "d.m.Y", "name": "sub_start_10", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_10", "type": "date" }, { "name": "sub_amount_20" }, { "dateFormat": "d.m.Y", "name": "sub_start_20", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_20", "type": "date" }, { "name": "sub_amount_30" }, { "dateFormat": "d.m.Y", "name": "sub_start_30", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_30", "type": "date" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByPolicy','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art61 job supplyments",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art61.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id9101 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client9102 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/client" }) }) });
    var client__national_id9103 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from9104 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended9105 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user9106 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/user" }) }) });
    var type9107 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art61 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/type" }) }) });
    var signer19108 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/signer1" }) }) });
    var signer29109 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/signer2" }) }) });
    var contact_person9110 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/contact_person" }) }) });
    var contact_role9111 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/contact_role" }) }) });
    var printed_by9112 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector9113 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/sector" }) }) });
    var function9114 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/function" }) }) });
    var language9115 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until9116 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided9117 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued9118 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd9119 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/user_asd" }) }) });
    var ending9120 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/ending" }) }) });
    var reference_person9121 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities9122 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var duration9123 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var remark9124 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var company9125 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Employer...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Employers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/company" }) }) });
    var job_title9126 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status9127 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Status...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/status" }) }) });
    var cv_duration9128 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Contract Duration...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/cv_duration" }) }) });
    var regime9129 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/regime" }) }) });
    var sub_amount_109130 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_109131 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_109132 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_209133 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_209134 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_209135 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_309136 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_309137 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_309138 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var exam_policy9139 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
      contact_person9110.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function9114.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities9122.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company9125 !== 'undefined' && company9125.on('change',Lino.chooser_handler(contact_person9110,'company'));
      typeof sector9113 !== 'undefined' && sector9113.on('change',Lino.chooser_handler(function9114,'sector'));
      Lino.art61.ContractsByPolicy.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id9101, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9102, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id9103, "filter": { "type": "string" }, "header": "National ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from9104, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended9105, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user9106, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type9107, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer19108, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer29109, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person9110, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role9111, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "sector", "editable": true, "editor": sector9113, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "function", "editable": true, "editor": function9114, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language9115, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until9116, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided9117, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued9118, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd9119, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "ending", "editable": true, "editor": ending9120, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person9121, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities9122, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 22, "dataIndex": "duration", "editable": true, "editor": duration9123, "filter": { "type": "numeric" }, "format": "0", "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark9124, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "company", "editable": true, "editor": company9125, "filter": { "type": "string" }, "header": "Employer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.Employers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "job_title", "editable": true, "editor": job_title9126, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 26, "dataIndex": "status", "editable": true, "editor": status9127, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration9128, "filter": { "type": "string" }, "header": "Contract Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "regime", "editable": true, "editor": regime9129, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 29, "dataIndex": "sub_amount_10", "editable": true, "editor": sub_amount_109130, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Hiring assistance", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.sub_amount_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 30, "dataIndex": "sub_start_10", "editable": true, "editor": sub_start_109131, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.sub_start_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 31, "dataIndex": "sub_end_10", "editable": true, "editor": sub_end_109132, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.sub_end_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 32, "dataIndex": "sub_amount_20", "editable": true, "editor": sub_amount_209133, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.sub_amount_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 33, "dataIndex": "sub_start_20", "editable": true, "editor": sub_start_209134, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.sub_start_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 34, "dataIndex": "sub_end_20", "editable": true, "editor": sub_end_209135, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.sub_end_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 35, "dataIndex": "sub_amount_30", "editable": true, "editor": sub_amount_309136, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.sub_amount_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 36, "dataIndex": "sub_start_30", "editable": true, "editor": sub_start_309137, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.sub_start_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 37, "dataIndex": "sub_end_30", "editable": true, "editor": sub_end_309138, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.sub_end_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 38, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy9139, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByPolicy.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByPolicy.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art61.ContractsByPolicy.insert;
    Lino.art61.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByPolicy" };
  return new Lino.art61.ContractsByPolicy.insertPanel(p);
});
Lino.art61.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByPolicy.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByPolicy','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.art61.ContractsByPolicy.insert;
    Lino.art61.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByPolicy" };
  return new Lino.art61.ContractsByPolicy.detailPanel(p);
});
Lino.art61.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByPolicy" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByPolicy.GridPanel(p);
});
Lino.art61.ContractsByPolicy.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByType
Lino.art61.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "company" }, 'companyHidden', { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "sub_amount_10" }, { "dateFormat": "d.m.Y", "name": "sub_start_10", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_10", "type": "date" }, { "name": "sub_amount_20" }, { "dateFormat": "d.m.Y", "name": "sub_start_20", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_20", "type": "date" }, { "name": "sub_amount_30" }, { "dateFormat": "d.m.Y", "name": "sub_start_30", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_30", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art61 job supplyments",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByType.detail;
    this.ls_insert_handler = Lino.art61.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from3229 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client3230 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/client" }) }) });
    var user3231 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/user" }) }) });
    var id3232 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer13233 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/signer1" }) }) });
    var signer23234 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/signer2" }) }) });
    var contact_person3235 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/contact_person" }) }) });
    var contact_role3236 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/contact_role" }) }) });
    var printed_by3237 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector3238 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/sector" }) }) });
    var function3239 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/function" }) }) });
    var language3240 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until3241 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided3242 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued3243 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd3244 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/user_asd" }) }) });
    var exam_policy3245 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/exam_policy" }) }) });
    var ending3246 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/ending" }) }) });
    var date_ended3247 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var reference_person3248 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities3249 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var duration3250 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var remark3251 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var company3252 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Employer...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Employers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/company" }) }) });
    var job_title3253 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status3254 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Status...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/status" }) }) });
    var cv_duration3255 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Contract Duration...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/cv_duration" }) }) });
    var regime3256 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/regime" }) }) });
    var sub_amount_103257 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_103258 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_103259 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_203260 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_203261 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_203262 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_303263 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_303264 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_303265 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var type3266 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art61 job supplyment type...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
      contact_person3235.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function3239.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities3249.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company3252 !== 'undefined' && company3252.on('change',Lino.chooser_handler(contact_person3235,'company'));
      typeof sector3238 !== 'undefined' && sector3238.on('change',Lino.chooser_handler(function3239,'sector'));
      Lino.art61.ContractsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from3229, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client3230, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user3231, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id3232, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "signer1", "editable": true, "editor": signer13233, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "signer2", "editable": true, "editor": signer23234, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contact_person", "editable": true, "editor": contact_person3235, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "contact_role", "editable": true, "editor": contact_role3236, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "sector", "editable": true, "editor": sector3238, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "function", "editable": true, "editor": function3239, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language3240, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "applies_until", "editable": true, "editor": applies_until3241, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided3242, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued3243, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd3244, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy3245, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending3246, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended3247, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "reference_person", "editable": true, "editor": reference_person3248, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities3249, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 21, "dataIndex": "duration", "editable": true, "editor": duration3250, "filter": { "type": "numeric" }, "format": "0", "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark3251, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "company", "editable": true, "editor": company3252, "filter": { "type": "string" }, "header": "Employer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.Employers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "job_title", "editable": true, "editor": job_title3253, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 25, "dataIndex": "status", "editable": true, "editor": status3254, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration3255, "filter": { "type": "string" }, "header": "Contract Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "regime", "editable": true, "editor": regime3256, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 28, "dataIndex": "sub_amount_10", "editable": true, "editor": sub_amount_103257, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Hiring assistance", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.sub_amount_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 29, "dataIndex": "sub_start_10", "editable": true, "editor": sub_start_103258, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.sub_start_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 30, "dataIndex": "sub_end_10", "editable": true, "editor": sub_end_103259, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.sub_end_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 31, "dataIndex": "sub_amount_20", "editable": true, "editor": sub_amount_203260, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.sub_amount_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 32, "dataIndex": "sub_start_20", "editable": true, "editor": sub_start_203261, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.sub_start_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 33, "dataIndex": "sub_end_20", "editable": true, "editor": sub_end_203262, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.sub_end_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 34, "dataIndex": "sub_amount_30", "editable": true, "editor": sub_amount_303263, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.sub_amount_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 35, "dataIndex": "sub_start_30", "editable": true, "editor": sub_start_303264, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.sub_start_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 36, "dataIndex": "sub_end_30", "editable": true, "editor": sub_end_303265, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.sub_end_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 37, "dataIndex": "type", "editable": true, "editor": type3266, "filter": { "type": "string" }, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByType.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByType.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByType.detail;
    this.ls_insert_handler = Lino.art61.ContractsByType.insert;
    Lino.art61.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByType" };
  return new Lino.art61.ContractsByType.insertPanel(p);
});
Lino.art61.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByType.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByType.detail;
    this.ls_insert_handler = Lino.art61.ContractsByType.insert;
    Lino.art61.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByType" };
  return new Lino.art61.ContractsByType.detailPanel(p);
});
Lino.art61.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByType" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByType.GridPanel(p);
});
Lino.art61.ContractsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.ContractsByEnding
Lino.art61.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "company" }, 'companyHidden', { "name": "job_title" }, { "name": "status" }, 'statusHidden', { "name": "cv_duration" }, 'cv_durationHidden', { "name": "regime" }, 'regimeHidden', { "name": "sub_amount_10" }, { "dateFormat": "d.m.Y", "name": "sub_start_10", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_10", "type": "date" }, { "name": "sub_amount_20" }, { "dateFormat": "d.m.Y", "name": "sub_start_20", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_20", "type": "date" }, { "name": "sub_amount_30" }, { "dateFormat": "d.m.Y", "name": "sub_start_30", "type": "date" }, { "dateFormat": "d.m.Y", "name": "sub_end_30", "type": "date" }, { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 92,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of art61.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByEnding','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art61 job supplyments",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art61.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id9143 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client9144 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/client" }) }) });
    var client__national_id9145 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true, "sortable": false, "value": null });
    var applies_from9146 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended9147 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user9148 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/user" }) }) });
    var type9149 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Art61 job supplyment type...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/type" }) }) });
    var signer19150 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/signer1" }) }) });
    var signer29151 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/signer2" }) }) });
    var contact_person9152 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/contact_person" }) }) });
    var contact_role9153 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/contact_role" }) }) });
    var printed_by9154 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector9155 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/sector" }) }) });
    var function9156 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/function" }) }) });
    var language9157 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until9158 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided9159 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued9160 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd9161 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/user_asd" }) }) });
    var exam_policy9162 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/exam_policy" }) }) });
    var reference_person9163 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities9164 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var duration9165 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": null });
    var remark9166 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var company9167 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Employer...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Employers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/company" }) }) });
    var job_title9168 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var status9169 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Status...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/status" }) }) });
    var cv_duration9170 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Contract Duration...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/cv_duration" }) }) });
    var regime9171 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Work Regime...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/regime" }) }) });
    var sub_amount_109172 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_109173 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_109174 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_209175 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_209176 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_209177 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_amount_309178 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var sub_start_309179 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sub_end_309180 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var ending9181 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      contact_person9152.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function9156.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities9164.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company9167 !== 'undefined' && company9167.on('change',Lino.chooser_handler(contact_person9152,'company'));
      typeof sector9155 !== 'undefined' && sector9155.on('change',Lino.chooser_handler(function9156,'sector'));
      Lino.art61.ContractsByEnding.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id9143, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9144, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": true, "editor": client__national_id9145, "filter": { "type": "string" }, "header": "National ID", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from9146, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended9147, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user9148, "filter": { "type": "string" }, "header": "Responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type9149, "filter": { "type": "string" }, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer19150, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer29151, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person9152, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role9153, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "sector", "editable": true, "editor": sector9155, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "function", "editable": true, "editor": function9156, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language9157, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until9158, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided9159, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued9160, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd9161, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy9162, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person9163, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities9164, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 22, "dataIndex": "duration", "editable": true, "editor": duration9165, "filter": { "type": "numeric" }, "format": "0", "header": "duration (days)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.duration) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark9166, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "company", "editable": true, "editor": company9167, "filter": { "type": "string" }, "header": "Employer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.jobs.Employers.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "job_title", "editable": true, "editor": job_title9168, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.job_title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 26, "dataIndex": "status", "editable": true, "editor": status9169, "filter": { "type": "string" }, "header": "Status", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "cv_duration", "editable": true, "editor": cv_duration9170, "filter": { "type": "string" }, "header": "Contract Duration", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.cv_duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "regime", "editable": true, "editor": regime9171, "filter": { "type": "string" }, "header": "Work Regime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 29, "dataIndex": "sub_amount_10", "editable": true, "editor": sub_amount_109172, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Hiring assistance", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.sub_amount_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 30, "dataIndex": "sub_start_10", "editable": true, "editor": sub_start_109173, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.sub_start_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 31, "dataIndex": "sub_end_10", "editable": true, "editor": sub_end_109174, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.sub_end_10) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 32, "dataIndex": "sub_amount_20", "editable": true, "editor": sub_amount_209175, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Tutorate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.sub_amount_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 33, "dataIndex": "sub_start_20", "editable": true, "editor": sub_start_209176, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.sub_start_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 34, "dataIndex": "sub_end_20", "editable": true, "editor": sub_end_209177, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.sub_end_20) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 35, "dataIndex": "sub_amount_30", "editable": true, "editor": sub_amount_309178, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Walloon Region", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.sub_amount_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 36, "dataIndex": "sub_start_30", "editable": true, "editor": sub_start_309179, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "From", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.sub_start_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 37, "dataIndex": "sub_end_30", "editable": true, "editor": sub_end_309180, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.sub_end_30) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 38, "dataIndex": "ending", "editable": true, "editor": ending9181, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.ContractsByEnding.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) } ];
    Lino.art61.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByEnding.insertPanel = Ext.extend(Lino.art61.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art61.ContractsByEnding.insert;
    Lino.art61.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/art61/ContractsByEnding" };
  return new Lino.art61.ContractsByEnding.insertPanel(p);
});
Lino.art61.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.art61.ContractsByEnding.detailPanel = Ext.extend(Lino.art61.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Art61 job supplyment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Mise \u00e0 l'emploi art.61", "overflowText": "Mise \u00e0 l'emploi art.61", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/ContractsByEnding','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/art61/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.art61.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.art61.ContractsByEnding.insert;
    Lino.art61.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByEnding" };
  return new Lino.art61.ContractsByEnding.detailPanel(p);
});
Lino.art61.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/ContractsByEnding" };
  p.params_panel = new Lino.art61.Contracts.ParamsPanel({});
  return new Lino.art61.ContractsByEnding.GridPanel(p);
});
Lino.art61.ContractsByEnding.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class immersion.ContractsByClient
Lino.immersion.ContractsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/immersion/ContractsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "goal" }, 'goalHidden', { "name": "company" }, 'companyHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "user" }, 'userHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of immersion.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Immersion trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByClient.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByClient.insert;
    var ww = this.containing_window;
    var applies_from6295 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended6296 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type6297 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training type...", "pageSize": 20, "related_actor_id": "immersion.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/type" }) }) });
    var goal6298 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training goal...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "immersion.Goals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/goal" }) }) });
    var company6299 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/company" }) }) });
    var sector6300 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/sector" }) }) });
    var function6301 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/function" }) }) });
    var remark6302 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id6303 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer16304 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/signer1" }) }) });
    var signer26305 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/signer2" }) }) });
    var user6306 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/user" }) }) });
    var contact_person6307 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/contact_person" }) }) });
    var contact_role6308 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/contact_role" }) }) });
    var printed_by6309 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language6310 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until6311 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided6312 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6313 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6314 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/user_asd" }) }) });
    var exam_policy6315 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/exam_policy" }) }) });
    var ending6316 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/ending" }) }) });
    var reference_person6317 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities6318 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var client6319 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      function6301.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      contact_person6307.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities6318.refresh();
    };
    this.onRender = function(ct, position) {
      typeof sector6300 !== 'undefined' && sector6300.on('change',Lino.chooser_handler(function6301,'sector'));
      typeof company6299 !== 'undefined' && company6299.on('change',Lino.chooser_handler(contact_person6307,'company'));
      Lino.immersion.ContractsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from6295, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "date_ended", "editable": true, "editor": date_ended6296, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type6297, "filter": { "type": "string" }, "header": "Immersion training type", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "goal", "editable": true, "editor": goal6298, "filter": { "type": "string" }, "header": "Immersion training goal", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.goal) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "company", "editable": true, "editor": company6299, "filter": { "type": "string" }, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "sector", "editable": true, "editor": sector6300, "filter": { "type": "string" }, "header": "Activity sector", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "function", "editable": true, "editor": function6301, "filter": { "type": "string" }, "header": "Job title", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark6302, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6303, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "signer1", "editable": true, "editor": signer16304, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "signer2", "editable": true, "editor": signer26305, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "user", "editable": true, "editor": user6306, "filter": { "type": "string" }, "header": "responsible (IS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person6307, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role6308, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language6310, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "applies_until", "editable": true, "editor": applies_until6311, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_decided", "editable": true, "editor": date_decided6312, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "date_issued", "editable": true, "editor": date_issued6313, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "user_asd", "editable": true, "editor": user_asd6314, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6315, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "ending", "editable": true, "editor": ending6316, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "reference_person", "editable": true, "editor": reference_person6317, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities6318, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "client", "editable": true, "editor": client6319, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByClient.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) } ];
    Lino.immersion.ContractsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByClient.insertPanel = Ext.extend(Lino.immersion.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByClient.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByClient.insert;
    Lino.immersion.ContractsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/immersion/ContractsByClient" };
  return new Lino.immersion.ContractsByClient.insertPanel(p);
});
Lino.immersion.ContractsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByClient.detailPanel = Ext.extend(Lino.immersion.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByClient.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByClient.insert;
    Lino.immersion.ContractsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByClient" };
  return new Lino.immersion.ContractsByClient.detailPanel(p);
});
Lino.immersion.ContractsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByClient.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByClient" };
  p.params_panel = new Lino.immersion.Contracts.ParamsPanel({});
  return new Lino.immersion.ContractsByClient.GridPanel(p);
});
Lino.immersion.ContractsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByClient.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class immersion.ContractsByProvider
Lino.immersion.ContractsByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/immersion/ContractsByProvider",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "goal" }, 'goalHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of immersion.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByProvider','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Immersion trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByProvider.insert;
    var ww = this.containing_window;
    var client9185 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/client" }) }) });
    var applies_from9186 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until9187 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user9188 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/user" }) }) });
    var type9189 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training type...", "pageSize": 20, "related_actor_id": "immersion.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/type" }) }) });
    var id9190 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer19191 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/signer1" }) }) });
    var signer29192 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/signer2" }) }) });
    var contact_person9193 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/contact_person" }) }) });
    var contact_role9194 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/contact_role" }) }) });
    var printed_by9195 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector9196 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/sector" }) }) });
    var function9197 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/function" }) }) });
    var language9198 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided9199 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued9200 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd9201 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/user_asd" }) }) });
    var exam_policy9202 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/exam_policy" }) }) });
    var ending9203 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/ending" }) }) });
    var date_ended9204 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var goal9205 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training goal...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "immersion.Goals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/goal" }) }) });
    var reference_person9206 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities9207 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var remark9208 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var company9209 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByProvider/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person9193.setContextValue('mk',bp['mk']);
      contact_person9193.setContextValue('mt',bp['mt']);
      function9197.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities9207.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company9209 !== 'undefined' && company9209.on('change',Lino.chooser_handler(contact_person9193,'company'));
      typeof sector9196 !== 'undefined' && sector9196.on('change',Lino.chooser_handler(function9197,'sector'));
      Lino.immersion.ContractsByProvider.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client9185, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from9186, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until9187, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user9188, "filter": { "type": "string" }, "header": "responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type9189, "filter": { "type": "string" }, "header": "Immersion training type", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id9190, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer19191, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer29192, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person9193, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role9194, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "sector", "editable": true, "editor": sector9196, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "function", "editable": true, "editor": function9197, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language9198, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_decided", "editable": true, "editor": date_decided9199, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_issued", "editable": true, "editor": date_issued9200, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "user_asd", "editable": true, "editor": user_asd9201, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy9202, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending9203, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "date_ended", "editable": true, "editor": date_ended9204, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 20, "dataIndex": "goal", "editable": true, "editor": goal9205, "filter": { "type": "string" }, "header": "Immersion training goal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.goal) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person9206, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities9207, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark9208, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "company", "editable": true, "editor": company9209, "filter": { "type": "string" }, "header": "Organization", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByProvider.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.immersion.ContractsByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByProvider.insertPanel = Ext.extend(Lino.immersion.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByProvider.insert;
    Lino.immersion.ContractsByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/immersion/ContractsByProvider" };
  return new Lino.immersion.ContractsByProvider.insertPanel(p);
});
Lino.immersion.ContractsByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByProvider.detailPanel = Ext.extend(Lino.immersion.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByProvider','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByProvider.insert;
    Lino.immersion.ContractsByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByProvider" };
  return new Lino.immersion.ContractsByProvider.detailPanel(p);
});
Lino.immersion.ContractsByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByProvider.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByProvider.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByProvider.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByProvider.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByProvider" };
  p.params_panel = new Lino.immersion.Contracts.ParamsPanel({});
  return new Lino.immersion.ContractsByProvider.GridPanel(p);
});
Lino.immersion.ContractsByProvider.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByProvider.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class immersion.ContractsByPolicy
Lino.immersion.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/immersion/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "company" }, 'companyHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "goal" }, 'goalHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of immersion.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByPolicy','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Immersion trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id9213 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client9214 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/client" }) }) });
    var company9215 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/company" }) }) });
    var applies_from9216 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until9217 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user9218 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/user" }) }) });
    var type9219 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training type...", "pageSize": 20, "related_actor_id": "immersion.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/type" }) }) });
    var signer19220 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/signer1" }) }) });
    var signer29221 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/signer2" }) }) });
    var contact_person9222 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/contact_person" }) }) });
    var contact_role9223 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/contact_role" }) }) });
    var printed_by9224 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector9225 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/sector" }) }) });
    var function9226 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/function" }) }) });
    var language9227 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided9228 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued9229 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd9230 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/user_asd" }) }) });
    var ending9231 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/ending" }) }) });
    var date_ended9232 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var goal9233 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training goal...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "immersion.Goals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/goal" }) }) });
    var reference_person9234 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities9235 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var remark9236 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var exam_policy9237 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
      contact_person9222.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function9226.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities9235.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company9215 !== 'undefined' && company9215.on('change',Lino.chooser_handler(contact_person9222,'company'));
      typeof sector9225 !== 'undefined' && sector9225.on('change',Lino.chooser_handler(function9226,'sector'));
      Lino.immersion.ContractsByPolicy.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id9213, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9214, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "company", "editable": true, "editor": company9215, "filter": { "type": "string" }, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from9216, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "applies_until", "editable": true, "editor": applies_until9217, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user9218, "filter": { "type": "string" }, "header": "responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type9219, "filter": { "type": "string" }, "header": "Immersion training type", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer19220, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer29221, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person9222, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role9223, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "sector", "editable": true, "editor": sector9225, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "function", "editable": true, "editor": function9226, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language9227, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "date_decided", "editable": true, "editor": date_decided9228, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_issued", "editable": true, "editor": date_issued9229, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "user_asd", "editable": true, "editor": user_asd9230, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending9231, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "date_ended", "editable": true, "editor": date_ended9232, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 20, "dataIndex": "goal", "editable": true, "editor": goal9233, "filter": { "type": "string" }, "header": "Immersion training goal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.goal) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person9234, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities9235, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark9236, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy9237, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByPolicy.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.immersion.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByPolicy.insertPanel = Ext.extend(Lino.immersion.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByPolicy.insert;
    Lino.immersion.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/immersion/ContractsByPolicy" };
  return new Lino.immersion.ContractsByPolicy.insertPanel(p);
});
Lino.immersion.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByPolicy.detailPanel = Ext.extend(Lino.immersion.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByPolicy','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByPolicy.insert;
    Lino.immersion.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByPolicy" };
  return new Lino.immersion.ContractsByPolicy.detailPanel(p);
});
Lino.immersion.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByPolicy" };
  p.params_panel = new Lino.immersion.Contracts.ParamsPanel({});
  return new Lino.immersion.ContractsByPolicy.GridPanel(p);
});
Lino.immersion.ContractsByPolicy.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class immersion.ContractsByType
Lino.immersion.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/immersion/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "company" }, 'companyHidden', { "name": "goal" }, 'goalHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of immersion.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Immersion trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByType.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from5176 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5177 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/client" }) }) });
    var user5178 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/user" }) }) });
    var id5179 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer15180 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/signer1" }) }) });
    var signer25181 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/signer2" }) }) });
    var contact_person5182 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/contact_person" }) }) });
    var contact_role5183 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/contact_role" }) }) });
    var printed_by5184 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector5185 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/sector" }) }) });
    var function5186 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/function" }) }) });
    var language5187 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until5188 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided5189 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5190 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5191 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/user_asd" }) }) });
    var exam_policy5192 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/exam_policy" }) }) });
    var ending5193 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/ending" }) }) });
    var date_ended5194 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company5195 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/company" }) }) });
    var goal5196 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training goal...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "immersion.Goals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/goal" }) }) });
    var reference_person5197 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities5198 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var remark5199 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var type5200 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training type...", "hidden": true, "pageSize": 20, "related_actor_id": "immersion.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
      contact_person5182.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function5186.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities5198.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company5195 !== 'undefined' && company5195.on('change',Lino.chooser_handler(contact_person5182,'company'));
      typeof sector5185 !== 'undefined' && sector5185.on('change',Lino.chooser_handler(function5186,'sector'));
      Lino.immersion.ContractsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from5176, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client5177, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user5178, "filter": { "type": "string" }, "header": "responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id5179, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "signer1", "editable": true, "editor": signer15180, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "signer2", "editable": true, "editor": signer25181, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contact_person", "editable": true, "editor": contact_person5182, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "contact_role", "editable": true, "editor": contact_role5183, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "sector", "editable": true, "editor": sector5185, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "function", "editable": true, "editor": function5186, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language5187, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "applies_until", "editable": true, "editor": applies_until5188, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided5189, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued5190, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd5191, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5192, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending5193, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended5194, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "company", "editable": true, "editor": company5195, "filter": { "type": "string" }, "header": "Organization", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "goal", "editable": true, "editor": goal5196, "filter": { "type": "string" }, "header": "Immersion training goal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.goal) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person5197, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities5198, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark5199, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "type", "editable": true, "editor": type5200, "filter": { "type": "string" }, "header": "Immersion training type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByType.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) } ];
    Lino.immersion.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByType.insertPanel = Ext.extend(Lino.immersion.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByType.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByType.insert;
    Lino.immersion.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/immersion/ContractsByType" };
  return new Lino.immersion.ContractsByType.insertPanel(p);
});
Lino.immersion.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByType.detailPanel = Ext.extend(Lino.immersion.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByType.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByType.insert;
    Lino.immersion.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByType" };
  return new Lino.immersion.ContractsByType.detailPanel(p);
});
Lino.immersion.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByType" };
  p.params_panel = new Lino.immersion.Contracts.ParamsPanel({});
  return new Lino.immersion.ContractsByType.GridPanel(p);
});
Lino.immersion.ContractsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class immersion.ContractsByGoal
Lino.immersion.ContractsByGoal.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/immersion/ContractsByGoal",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "company" }, 'companyHidden', { "name": "type" }, 'typeHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "goal" }, 'goalHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of immersion.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByGoal','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Immersion trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByGoal.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByGoal.insert;
    var ww = this.containing_window;
    var applies_from4931 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client4932 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/client" }) }) });
    var user4933 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/user" }) }) });
    var id4934 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer14935 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/signer1" }) }) });
    var signer24936 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/signer2" }) }) });
    var contact_person4937 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/contact_person" }) }) });
    var contact_role4938 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/contact_role" }) }) });
    var printed_by4939 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector4940 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/sector" }) }) });
    var function4941 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/function" }) }) });
    var language4942 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var applies_until4943 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided4944 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued4945 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd4946 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/user_asd" }) }) });
    var exam_policy4947 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/exam_policy" }) }) });
    var ending4948 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/ending" }) }) });
    var date_ended4949 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company4950 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/company" }) }) });
    var type4951 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training type...", "hidden": true, "pageSize": 20, "related_actor_id": "immersion.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/type" }) }) });
    var reference_person4952 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities4953 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var remark4954 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var goal4955 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training goal...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "immersion.Goals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByGoal/goal" }) }) });
    this.before_row_edit = function(record) {
      contact_person4937.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function4941.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities4953.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company4950 !== 'undefined' && company4950.on('change',Lino.chooser_handler(contact_person4937,'company'));
      typeof sector4940 !== 'undefined' && sector4940.on('change',Lino.chooser_handler(function4941,'sector'));
      Lino.immersion.ContractsByGoal.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from4931, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client4932, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user4933, "filter": { "type": "string" }, "header": "responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id4934, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "signer1", "editable": true, "editor": signer14935, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "signer2", "editable": true, "editor": signer24936, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contact_person", "editable": true, "editor": contact_person4937, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "contact_role", "editable": true, "editor": contact_role4938, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "sector", "editable": true, "editor": sector4940, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "function", "editable": true, "editor": function4941, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language4942, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "applies_until", "editable": true, "editor": applies_until4943, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided4944, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued4945, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd4946, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy4947, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending4948, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended4949, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "company", "editable": true, "editor": company4950, "filter": { "type": "string" }, "header": "Organization", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "type", "editable": true, "editor": type4951, "filter": { "type": "string" }, "header": "Immersion training type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person4952, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities4953, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark4954, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "goal", "editable": true, "editor": goal4955, "filter": { "type": "string" }, "header": "Immersion training goal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByGoal.goal) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.immersion.ContractsByGoal.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByGoal.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByGoal.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByGoal.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByGoal.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByGoal.insertPanel = Ext.extend(Lino.immersion.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByGoal",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByGoal.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByGoal.insert;
    Lino.immersion.ContractsByGoal.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByGoal.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/immersion/ContractsByGoal" };
  return new Lino.immersion.ContractsByGoal.insertPanel(p);
});
Lino.immersion.ContractsByGoal.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByGoal.detailPanel = Ext.extend(Lino.immersion.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByGoal','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByGoal",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByGoal.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByGoal.insert;
    Lino.immersion.ContractsByGoal.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByGoal.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByGoal" };
  return new Lino.immersion.ContractsByGoal.detailPanel(p);
});
Lino.immersion.ContractsByGoal.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByGoal.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByGoal.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByGoal.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByGoal.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByGoal.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByGoal" };
  p.params_panel = new Lino.immersion.Contracts.ParamsPanel({});
  return new Lino.immersion.ContractsByGoal.GridPanel(p);
});
Lino.immersion.ContractsByGoal.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByGoal.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByGoal.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByGoal", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class immersion.ContractsByEnding
Lino.immersion.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/immersion/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "company" }, 'companyHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "goal" }, 'goalHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of immersion.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByEnding','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Immersion trainings",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id9241 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client9242 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/client" }) }) });
    var company9243 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/company" }) }) });
    var applies_from9244 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until9245 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user9246 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/user" }) }) });
    var type9247 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training type...", "pageSize": 20, "related_actor_id": "immersion.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/type" }) }) });
    var signer19248 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/signer1" }) }) });
    var signer29249 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Person...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/signer2" }) }) });
    var contact_person9250 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/contact_person" }) }) });
    var contact_role9251 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/contact_role" }) }) });
    var printed_by9252 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var sector9253 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Activity sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/sector" }) }) });
    var function9254 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Job title...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/function" }) }) });
    var language9255 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var date_decided9256 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued9257 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd9258 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/user_asd" }) }) });
    var exam_policy9259 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Examination Policy...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/exam_policy" }) }) });
    var date_ended9260 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var goal9261 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Immersion training goal...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "immersion.Goals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/goal" }) }) });
    var reference_person9262 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities9263 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "responsibilities" });
    var remark9264 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var ending9265 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Reason of termination...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/immersion/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      contact_person9250.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      function9254.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      responsibilities9263.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company9243 !== 'undefined' && company9243.on('change',Lino.chooser_handler(contact_person9250,'company'));
      typeof sector9253 !== 'undefined' && sector9253.on('change',Lino.chooser_handler(function9254,'sector'));
      Lino.immersion.ContractsByEnding.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id9241, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9242, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.client) The client for whom this contract is done.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The client for whom this contract is done.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "company", "editable": true, "editor": company9243, "filter": { "type": "string" }, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from9244, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies from", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.applies_from) The start date of the contract.") }, "sortable": true, "tooltip": "The start date of the contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "applies_until", "editable": true, "editor": applies_until9245, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "applies until", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.applies_until) The planned end date of this contract.") }, "sortable": true, "tooltip": "The planned end date of this contract.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user9246, "filter": { "type": "string" }, "header": "responsible (IS)", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.user) The person who created this contract.") }, "sortable": false, "tooltip": "The person who created this contract.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type9247, "filter": { "type": "string" }, "header": "Immersion training type", "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.type) The type of this contract. Pointer to a subclass of\nContractTypeBase.") }, "sortable": false, "tooltip": "The type of this contract. Pointer to a subclass of\nContractTypeBase.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer19248, "filter": { "type": "string" }, "header": "Secretary", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer29249, "filter": { "type": "string" }, "header": "President", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person9250, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.contact_person) ") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role9251, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.contact_role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "sector", "editable": true, "editor": sector9253, "filter": { "type": "string" }, "header": "Activity sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "function", "editable": true, "editor": function9254, "filter": { "type": "string" }, "header": "Job title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language9255, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.language) The language of this contract. Default value is the client\u2019s\nlanguage.") }, "sortable": false, "tooltip": "The language of this contract. Default value is the client\u2019s\nlanguage.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "date_decided", "editable": true, "editor": date_decided9256, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.date_decided) When the contract was ratified by the responsible board.") }, "sortable": true, "tooltip": "When the contract was ratified by the responsible board.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_issued", "editable": true, "editor": date_issued9257, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date issued", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.date_issued) When the contract was issued to the client and signed by them.") }, "sortable": true, "tooltip": "When the contract was issued to the client and signed by them.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "user_asd", "editable": true, "editor": user_asd9258, "filter": { "type": "string" }, "header": "Responsible (GSS)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.user_asd) The responsible person at the general social service.") }, "sortable": false, "tooltip": "The responsible person at the general social service.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy9259, "filter": { "type": "string" }, "header": "Examination Policy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "date_ended", "editable": true, "editor": date_ended9260, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "date ended", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.date_ended) The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.") }, "sortable": true, "tooltip": "The date when this contract was effectively ended.\nThis field is set to the same value as applies_until.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 20, "dataIndex": "goal", "editable": true, "editor": goal9261, "filter": { "type": "string" }, "header": "Immersion training goal", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.goal) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person9262, "filter": { "type": "string" }, "header": "reference person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities9263, "filter": { "type": "string" }, "header": "responsibilities", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark9264, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "ending", "editable": true, "editor": ending9265, "filter": { "type": "string" }, "header": "Reason of termination", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(immersion.ContractsByEnding.ending) The reason of prematured ending.  Pointer to\nContractEnding") }, "sortable": false, "tooltip": "The reason of prematured ending.  Pointer to\nContractEnding", "width": Lino.chars2width(21) } ];
    Lino.immersion.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByEnding.insertPanel = Ext.extend(Lino.immersion.Contracts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByEnding.insert;
    Lino.immersion.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/immersion/ContractsByEnding" };
  return new Lino.immersion.ContractsByEnding.insertPanel(p);
});
Lino.immersion.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.immersion.ContractsByEnding.detailPanel = Ext.extend(Lino.immersion.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Immersion training.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Stage d'immersion", "overflowText": "Stage d'immersion", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/immersion/ContractsByEnding','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/immersion/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.immersion.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.immersion.ContractsByEnding.insert;
    Lino.immersion.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.immersion.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByEnding" };
  return new Lino.immersion.ContractsByEnding.detailPanel(p);
});
Lino.immersion.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/immersion/ContractsByEnding" };
  p.params_panel = new Lino.immersion.Contracts.ParamsPanel({});
  return new Lino.immersion.ContractsByEnding.GridPanel(p);
});
Lino.immersion.ContractsByEnding.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.immersion.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/immersion/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class active_job_search.ProofsByClient
Lino.active_job_search.ProofsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/active_job_search/ProofsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "company" }, 'companyHidden', { "name": "spontaneous", "type": "boolean" }, { "name": "response", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "remarks" }, { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 96,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of active_job_search.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/active_job_search/ProofsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Proofs of search",
  initComponent : function() {
    this.ls_detail_handler = Lino.active_job_search.ProofsByClient.detail;
    var ww = this.containing_window;
    var date9269 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var company9270 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/active_job_search/ProofsByClient/company" }) }) });
    var spontaneous9271 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var response9272 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id9273 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var remarks9274 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var client9275 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/active_job_search/ProofsByClient/client" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9269, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(active_job_search.ProofsByClient.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "company", "editable": true, "editor": company9270, "filter": { "type": "string" }, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(active_job_search.ProofsByClient.company) ") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "spontaneous", "editable": true, "filter": { "type": "boolean" }, "header": "Spontaneous", "listeners": { "render": Lino.quicktip_renderer("","(active_job_search.ProofsByClient.spontaneous) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "response", "editable": true, "filter": { "type": "boolean" }, "header": "Response to offer", "listeners": { "render": Lino.quicktip_renderer("","(active_job_search.ProofsByClient.response) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id9273, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(active_job_search.ProofsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remarks", "editable": true, "editor": remarks9274, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(active_job_search.ProofsByClient.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 6, "dataIndex": "client", "editable": true, "editor": client9275, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(active_job_search.ProofsByClient.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.active_job_search.ProofsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.active_job_search.ProofsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/active_job_search/ProofsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.active_job_search.ProofsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/active_job_search/ProofsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.active_job_search.ProofsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/active_job_search/ProofsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.active_job_search.ProofsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/active_job_search/ProofsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.active_job_search.ProofsByClient.detailPanel = Ext.extend(Lino.active_job_search.Proofs.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/active_job_search/ProofsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/active_job_search/ProofsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.active_job_search.ProofsByClient.detail;
    Lino.active_job_search.ProofsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.active_job_search.ProofsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/active_job_search/ProofsByClient" };
  return new Lino.active_job_search.ProofsByClient.detailPanel(p);
});
Lino.active_job_search.ProofsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/active_job_search/ProofsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.active_job_search.ProofsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/active_job_search/ProofsByClient" };
  return new Lino.active_job_search.ProofsByClient.GridPanel(p);
});
Lino.active_job_search.ProofsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/active_job_search/ProofsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.active_job_search.ProofsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/active_job_search/ProofsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.CompetencesByUser
Lino.newcomers.CompetencesByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/CompetencesByUser",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "faculty" }, 'facultyHidden', { "name": "weight", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 104,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate this row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByUser','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Competences",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno5347 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var faculty5348 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Faculty...", "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/CompetencesByUser/faculty" }) }) });
    var weight5349 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id5350 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user5351 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/CompetencesByUser/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno5347, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "faculty", "editable": true, "editor": faculty5348, "filter": { "type": "string" }, "header": "Faculty", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.faculty) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "weight", "editable": true, "editor": weight5349, "filter": { "type": "numeric" }, "format": "0", "header": "Work effort", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.weight) Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "sortable": true, "tooltip": "Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id5350, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user5351, "filter": { "type": "string" }, "header": "User", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.CompetencesByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.CompetencesByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/CompetencesByUser" };
  p.params_panel = new Lino.newcomers.Competences.ParamsPanel({});
  return new Lino.newcomers.CompetencesByUser.GridPanel(p);
});
Lino.newcomers.CompetencesByUser.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.MyCompetences
Lino.newcomers.MyCompetences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/MyCompetences",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "faculty" }, 'facultyHidden', { "name": "weight", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 104,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate this row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/newcomers/MyCompetences','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My Competences",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno9279 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var faculty9280 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Faculty...", "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/MyCompetences/faculty" }) }) });
    var weight9281 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id9282 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user9283 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/MyCompetences/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno9279, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "faculty", "editable": true, "editor": faculty9280, "filter": { "type": "string" }, "header": "Faculty", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.faculty) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "weight", "editable": true, "editor": weight9281, "filter": { "type": "numeric" }, "format": "0", "header": "Work effort", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.weight) Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "sortable": true, "tooltip": "Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id9282, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user9283, "filter": { "type": "string" }, "header": "User", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.MyCompetences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.MyCompetences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/MyCompetences" };
  p.params_panel = new Lino.newcomers.Competences.ParamsPanel({});
  return new Lino.newcomers.MyCompetences.GridPanel(p);
});
Lino.newcomers.MyCompetences.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.ClientsByFaculty
Lino.newcomers.ClientsByFaculty.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/ClientsByFaculty",
  ls_store_fields : [ { "name": "name_column" }, { "name": "broker" }, 'brokerHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "nationality" }, 'nationalityHidden', { "name": "birth_country" }, 'birth_countryHidden', { "name": "birth_place" }, { "name": "card_number" }, { "dateFormat": "d.m.Y", "name": "card_valid_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "card_valid_until", "type": "date" }, { "name": "card_type" }, 'card_typeHidden', { "name": "card_issuer" }, { "name": "nationality_text" }, { "name": "noble_condition" }, { "name": "group" }, 'groupHidden', { "name": "civil_state" }, 'civil_stateHidden', { "name": "residence_type" }, 'residence_typeHidden', { "dateFormat": "d.m.Y", "name": "in_belgium_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "residence_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "unemployed_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "seeking_since", "type": "date" }, { "name": "needs_residence_permit", "type": "boolean" }, { "name": "needs_work_permit", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "work_permit_suspended_until", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "declared_name", "type": "boolean" }, { "name": "is_seeking", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "unavailable_until", "type": "date" }, { "name": "unavailable_why" }, { "name": "obstacles" }, { "name": "skills" }, { "name": "job_office_contact" }, 'job_office_contactHidden', { "name": "refusal_reason" }, 'refusal_reasonHidden', { "name": "geographic_area" }, { "name": "child_custody" }, { "name": "has_esf", "type": "boolean" }, { "name": "age" }, { "name": "faculty" }, 'facultyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Client.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Clients",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    var ww = this.containing_window;
    var name_column_disp6617 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var broker6618 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Broker...", "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/broker" }) }) });
    var address_column_disp6619 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6620 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email6621 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language6622 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var url6623 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone6624 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6625 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6626 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6627 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6628 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6629 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/country" }) }) });
    var city6630 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Place...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/city" }) }) });
    var zip_code6631 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6632 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Place...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/region" }) }) });
    var addr16633 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6634 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6635 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6636 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6637 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26638 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6639 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name6640 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6641 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var is_obsolete6642 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6643 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a activity...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/activity" }) }) });
    var client_contact_type6644 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/client_contact_type" }) }) });
    var title6645 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name6646 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name6647 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name6648 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender6649 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date6650 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var client_state6651 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id6652 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var nationality6653 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/nationality" }) }) });
    var birth_country6654 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Country...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/birth_country" }) }) });
    var birth_place6655 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var card_number6656 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var card_valid_from6657 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_valid_until6658 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_type6659 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.BeIdCardTypes) });
    var card_issuer6660 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var nationality_text6661 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var noble_condition6662 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var group6663 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Integration Phase...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/group" }) }) });
    var civil_state6664 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var residence_type6665 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var in_belgium_since6666 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var residence_until6667 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unemployed_since6668 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seeking_since6669 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var needs_residence_permit6670 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var needs_work_permit6671 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var work_permit_suspended_until6672 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type6673 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a aid type...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/aid_type" }) }) });
    var declared_name6674 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_seeking6675 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var unavailable_until6676 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unavailable_why6677 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var obstacles6678 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var skills6679 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_office_contact6680 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Contact person...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.Roles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/job_office_contact" }) }) });
    var refusal_reason6681 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var geographic_area6682 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var child_custody6683 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var has_esf6684 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var age_disp6685 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp6685 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var faculty6686 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Faculty...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/faculty" }) }) });
    this.before_row_edit = function(record) {
      city6630.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6630.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6632.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country6629 !== 'undefined' && country6629.on('change',Lino.chooser_handler(city6630,'country'));
      typeof region6632 !== 'undefined' && region6632.on('change',Lino.chooser_handler(city6630,'region'));
      typeof country6629 !== 'undefined' && country6629.on('change',Lino.chooser_handler(region6632,'country'));
      Lino.newcomers.ClientsByFaculty.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.name_column) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "broker", "editable": true, "editor": broker6618, "filter": { "type": "string" }, "header": "Broker", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.broker) The Broker who sent this Newcomer.") }, "sortable": false, "tooltip": "The Broker who sent this Newcomer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.address_column) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id6620, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email6621, "filter": { "type": "string" }, "header": "e-mail address", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language6622, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url6623, "filter": { "type": "string" }, "header": "URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone6624, "filter": { "type": "string" }, "header": "Phone", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm6625, "filter": { "type": "string" }, "header": "Mobile", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax6626, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country6629, "filter": { "type": "string" }, "header": "Country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city6630, "filter": { "type": "string" }, "header": "Locality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.city) The locality, i.e. usually a village, city or town.") }, "sortable": false, "tooltip": "The locality, i.e. usually a village, city or town.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code6631, "filter": { "type": "string" }, "header": "Zip code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region6632, "filter": { "type": "string" }, "header": "County", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr16633, "filter": { "type": "string" }, "header": "Address line before street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.addr1) Address line before street") }, "sortable": true, "tooltip": "Address line before street", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6634, "filter": { "type": "string" }, "header": "Street prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street6635, "filter": { "type": "string" }, "header": "Street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street) Name of street, without house number.") }, "sortable": true, "tooltip": "Name of street, without house number.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no6636, "filter": { "type": "string" }, "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_no) House number.") }, "sortable": true, "tooltip": "House number.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box6637, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr26638, "filter": { "type": "string" }, "header": "Address line after street", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.addr2) Address line to print below street line.") }, "sortable": true, "tooltip": "Address line to print below street line.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix6639, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "name", "editable": true, "editor": name6640, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 24, "dataIndex": "remarks", "editable": true, "editor": remarks6641, "filter": { "type": "string" }, "header": "Remarks", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "obsolete", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 26, "dataIndex": "activity", "editable": true, "editor": activity6643, "filter": { "type": "string" }, "header": "activity", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6644, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "title", "editable": true, "editor": title6645, "filter": { "type": "string" }, "header": "Title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.title) Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".") }, "sortable": true, "tooltip": "Used to specify a professional position or academic\nqualification like \"Dr.\" or \"PhD\".", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "first_name", "editable": true, "editor": first_name6646, "filter": { "type": "string" }, "header": "First name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "middle_name", "editable": true, "editor": middle_name6647, "filter": { "type": "string" }, "header": "Middle name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 31, "dataIndex": "last_name", "editable": true, "editor": last_name6648, "filter": { "type": "string" }, "header": "Last name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 32, "dataIndex": "gender", "editable": true, "editor": gender6649, "filter": { "options": [ "Male", "Female" ], "type": "list" }, "header": "Gender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 33, "dataIndex": "birth_date", "editable": true, "editor": birth_date6650, "filter": { "type": "string" }, "header": "Birth date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 34, "dataIndex": "client_state", "editable": true, "editor": client_state6651, "filter": { "options": [ "Newcomer", "Refused", "Coached", "Former" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(14) }, { "colIndex": 35, "dataIndex": "national_id", "editable": true, "editor": national_id6652, "filter": { "type": "string" }, "header": "National ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 36, "dataIndex": "nationality", "editable": true, "editor": nationality6653, "filter": { "type": "string" }, "header": "Nationality", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "sortable": false, "tooltip": "The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.", "width": Lino.chars2width(21) }, { "colIndex": 37, "dataIndex": "birth_country", "editable": true, "editor": birth_country6654, "filter": { "type": "string" }, "header": "Birth country", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 38, "dataIndex": "birth_place", "editable": true, "editor": birth_place6655, "filter": { "type": "string" }, "header": "Birth place", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_place) The birth place in plain text as it was on the eid card.") }, "sortable": true, "tooltip": "The birth place in plain text as it was on the eid card.", "width": Lino.chars2width(22) }, { "colIndex": 39, "dataIndex": "card_number", "editable": true, "editor": card_number6656, "filter": { "type": "string" }, "header": "eID card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_number) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 40, "dataIndex": "card_valid_from", "editable": true, "editor": card_valid_from6657, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "ID card valid from", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_valid_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 41, "dataIndex": "card_valid_until", "editable": true, "editor": card_valid_until6658, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_valid_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 42, "dataIndex": "card_type", "editable": true, "editor": card_type6659, "filter": { "options": [ "Belgian citizen", "Kids card (< 12 year)", "Foreigner card A", "Foreigner card B", "Foreigner card C", "Foreigner card D", "Foreigner card E", "Foreigner card E+", "Foreigner card F", "Foreigner card F+", "Registration certificate (Orange card)" ], "type": "list" }, "header": "eID card type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_type) The type of id card.") }, "sortable": false, "tooltip": "The type of id card.", "width": Lino.chars2width(48) }, { "colIndex": 43, "dataIndex": "card_issuer", "editable": true, "editor": card_issuer6660, "filter": { "type": "string" }, "header": "eID card issuer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_issuer) The administration who issued this ID card.") }, "sortable": true, "tooltip": "The administration who issued this ID card.", "width": Lino.chars2width(22) }, { "colIndex": 44, "dataIndex": "nationality_text", "editable": true, "editor": nationality_text6661, "filter": { "type": "string" }, "header": "Nationality (text)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.nationality_text) The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.") }, "sortable": true, "tooltip": "The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.", "width": Lino.chars2width(22) }, { "colIndex": 45, "dataIndex": "noble_condition", "editable": true, "editor": noble_condition6662, "filter": { "type": "string" }, "header": "noble condition", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.noble_condition) The eventual noble condition of this person.") }, "sortable": true, "tooltip": "The eventual noble condition of this person.", "width": Lino.chars2width(22) }, { "colIndex": 46, "dataIndex": "group", "editable": true, "editor": group6663, "filter": { "type": "string" }, "header": "Integration phase", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "sortable": false, "tooltip": "Pointer to PersonGroup.\nThe intergration phase of this client.", "width": Lino.chars2width(21) }, { "colIndex": 47, "dataIndex": "civil_state", "editable": true, "editor": civil_state6664, "filter": { "options": [ "Single", "Married", "Widowed", "Divorced", "Separated", "De facto separated", "Cohabitating" ], "type": "list" }, "header": "Civil state", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "sortable": false, "tooltip": "The civil state of this client. Allowed choices are defined in\nCivilState.", "width": Lino.chars2width(31) }, { "colIndex": 48, "dataIndex": "residence_type", "editable": true, "editor": residence_type6665, "filter": { "options": [ "Register of citizens", "Register of foreigners", "Waiting register" ], "type": "list" }, "header": "Resident register", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.residence_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 49, "dataIndex": "in_belgium_since", "editable": true, "editor": in_belgium_since6666, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Lives in Belgium since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.in_belgium_since) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 50, "dataIndex": "residence_until", "editable": true, "editor": residence_until6667, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Residence until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.residence_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 51, "dataIndex": "unemployed_since", "editable": true, "editor": unemployed_since6668, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Unemployed since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unemployed_since) The date when this client got unemployed and stopped to have a\nregular work.") }, "sortable": true, "tooltip": "The date when this client got unemployed and stopped to have a\nregular work.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 52, "dataIndex": "seeking_since", "editable": true, "editor": seeking_since6669, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Seeking work since", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.seeking_since) The date when this client registered as unemployed and started\nto look for a new job.") }, "sortable": true, "tooltip": "The date when this client registered as unemployed and started\nto look for a new job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 53, "dataIndex": "needs_residence_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Needs residence permit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.needs_residence_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 54, "dataIndex": "needs_work_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Needs work permit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.needs_work_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 55, "dataIndex": "work_permit_suspended_until", "editable": true, "editor": work_permit_suspended_until6672, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "suspended until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.work_permit_suspended_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 56, "dataIndex": "aid_type", "editable": true, "editor": aid_type6673, "filter": { "type": "string" }, "header": "aid type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 57, "dataIndex": "declared_name", "editable": true, "filter": { "type": "boolean" }, "header": "Declared name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.declared_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 58, "dataIndex": "is_seeking", "editable": true, "filter": { "type": "boolean" }, "header": "is seeking work", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_seeking) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 59, "dataIndex": "unavailable_until", "editable": true, "editor": unavailable_until6676, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Unavailable until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unavailable_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 60, "dataIndex": "unavailable_why", "editable": true, "editor": unavailable_why6677, "filter": { "type": "string" }, "header": "Reason", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unavailable_why) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 61, "dataIndex": "obstacles", "editable": true, "editor": obstacles6678, "filter": { "type": "string" }, "header": "Other obstacles", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.obstacles) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 62, "dataIndex": "skills", "editable": true, "editor": skills6679, "filter": { "type": "string" }, "header": "Other skills", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.skills) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 63, "dataIndex": "job_office_contact", "editable": true, "editor": job_office_contact6680, "filter": { "type": "string" }, "header": "Contact person at local job office", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.job_office_contact) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 64, "dataIndex": "refusal_reason", "editable": true, "editor": refusal_reason6681, "filter": { "options": [ "Information request (No coaching needed)", "PCSW is not competent", "Client did not return" ], "type": "list" }, "header": "Refusal reason", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.refusal_reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(46) }, { "colIndex": 65, "dataIndex": "geographic_area", "editable": true, "editor": geographic_area6682, "filter": { "type": "string" }, "header": "Geographic area", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.geographic_area) The area for which we are seeking a job.") }, "sortable": true, "tooltip": "The area for which we are seeking a job.", "width": Lino.chars2width(22) }, { "colIndex": 66, "dataIndex": "child_custody", "editable": true, "editor": child_custody6683, "filter": { "type": "string" }, "header": "Child custody", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.child_custody) Notes concerning child custody.") }, "sortable": false, "tooltip": "Notes concerning child custody.", "width": Lino.chars2width(61) }, { "colIndex": 67, "dataIndex": "has_esf", "editable": true, "filter": { "type": "boolean" }, "header": "ESF data", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.has_esf) Whether Lino should make ESF summaries for this client.") }, "sortable": false, "tooltip": "Whether Lino should make ESF summaries for this client.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 68, "dataIndex": "age", "editable": false, "header": "Age", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 69, "dataIndex": "age", "editable": false, "header": "Age", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 70, "dataIndex": "faculty", "editable": true, "editor": faculty6686, "filter": { "type": "string" }, "header": "Faculty", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.faculty) The Faculty this client has been attributed to.") }, "sortable": false, "tooltip": "The Faculty this client has been attributed to.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.ClientsByFaculty.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.ClientsByFaculty.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/newcomers/ClientsByFaculty",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    Lino.newcomers.ClientsByFaculty.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  return new Lino.newcomers.ClientsByFaculty.insertPanel(p);
});
Lino.newcomers.ClientsByFaculty.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.ClientsByFaculty.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Client.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Conditions g\u00e9n\u00e9rales", "overflowText": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Conditions g\u00e9n\u00e9rales", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt17", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt17','GET',null), "text": "Curriculum vitae", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt19", "menu_item_text": "Contenu carte eID", "overflowText": "Contenu carte eID", "panel_btn_handler": Lino.row_action_handler('create_excerpt19','GET',null), "text": "Contenu carte eID", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "Plan d'action", "overflowText": "Plan d'action", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "Plan d'action", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Fiche client", "overflowText": "Fiche client", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Fiche client", "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" } ], "menu_item_text": "Conditions g\u00e9n\u00e9rales", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "Update card holder data from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "Read eID card", "overflowText": "Read eID card", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "Find or create card holder from eID card", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "Outbox", "overflowText": "Outbox", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "Outbox", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Create visit", "overflowText": "Create visit", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Create visit", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Find date with...", "overflowText": "Find date with...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Find date with...", "tooltipType": "title" } ],
  ls_url: "/newcomers/ClientsByFaculty",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    Lino.newcomers.ClientsByFaculty.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  return new Lino.newcomers.ClientsByFaculty.detailPanel(p);
});
Lino.newcomers.ClientsByFaculty.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt17 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt17", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt19 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt19", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.newcomers.ClientsByFaculty.GridPanel(p);
});
Lino.newcomers.ClientsByFaculty.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_employer = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_employer", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.IdentifyRequestsByPerson
Lino.cbss.IdentifyRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "environment" }, { "name": "ticket" }, { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 107,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new IdentifyPerson Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate IdentifyPerson", "overflowText": "Requ\u00eate IdentifyPerson", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "IdentifyPerson Requests",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    var ww = this.containing_window;
    var user9287 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyRequestsByPerson/user" }) }) });
    var sent9288 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status9289 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var id9290 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by9291 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var environment9292 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "hidden": true, "maxLength": 4 });
    var ticket9293 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 36 });
    var request_xml9294 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml9295 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages9296 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages9297 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id9298 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date9299 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no9300 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no9301 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name9302 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name9303 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name9304 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender9305 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance9306 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var person9307 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyRequestsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user9287, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "sent", "editable": false, "header": "Sent", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "status", "editable": false, "filter": { "options": [ "Sent", "Failed", "Validated", "OK", "Warnings", "Errors" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id9290, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 6, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Request", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Response", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "national_id", "editable": true, "editor": national_id9298, "filter": { "type": "string" }, "header": "National ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "birth_date", "editable": true, "editor": birth_date9299, "filter": { "type": "string" }, "header": "Birth date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 13, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no9300, "filter": { "type": "string" }, "header": "SIS card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no9301, "filter": { "type": "string" }, "header": "ID card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "first_name", "editable": true, "editor": first_name9302, "filter": { "type": "string" }, "header": "First name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.first_name) Space-separated list of all first names.") }, "sortable": true, "tooltip": "Space-separated list of all first names.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "last_name", "editable": true, "editor": last_name9303, "filter": { "type": "string" }, "header": "Last name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.last_name) Last name (family name).") }, "sortable": true, "tooltip": "Last name (family name).", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "middle_name", "editable": true, "editor": middle_name9304, "filter": { "type": "string" }, "header": "Middle name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "gender", "editable": true, "editor": gender9305, "filter": { "options": [ "Male", "Female" ], "type": "list" }, "header": "Gender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 19, "dataIndex": "tolerance", "editable": true, "editor": tolerance9306, "filter": { "type": "numeric" }, "format": "0", "header": "Tolerance", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "person", "editable": true, "editor": person9307, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cbss.IdentifyRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    Lino.cbss.IdentifyRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  return new Lino.cbss.IdentifyRequestsByPerson.insertPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new IdentifyPerson Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate IdentifyPerson", "overflowText": "Requ\u00eate IdentifyPerson", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    Lino.cbss.IdentifyRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  return new Lino.cbss.IdentifyRequestsByPerson.detailPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.IdentifyRequestsByPerson.GridPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.ManageAccessRequestsByPerson
Lino.cbss.ManageAccessRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageAccessRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 108,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ManageAccess Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate ManageAccess", "overflowText": "Requ\u00eate ManageAccess", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageAccess Requests",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    var ww = this.containing_window;
    var user9311 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/user" }) }) });
    var person9312 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/person" }) }) });
    var environment9313 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent9314 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status9315 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket9316 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id9317 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by9318 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml9319 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml9320 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages9321 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages9322 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id9323 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date9324 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no9325 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no9326 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name9327 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name9328 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector9329 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Sector...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose9330 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Purpose...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/purpose" }) }) });
    var start_date9331 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date9332 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action9333 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register9334 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    this.before_row_edit = function(record) {
      purpose9330.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof sector9329 !== 'undefined' && sector9329.on('change',Lino.chooser_handler(purpose9330,'sector'));
      Lino.cbss.ManageAccessRequestsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user9311, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person9312, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Sent", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Sent", "Failed", "Validated", "OK", "Warnings", "Errors" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id9317, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Request", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Response", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id9323, "filter": { "type": "string" }, "header": "National ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date9324, "filter": { "type": "string" }, "header": "Birth date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no9325, "filter": { "type": "string" }, "header": "SIS card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no9326, "filter": { "type": "string" }, "header": "ID card number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name9327, "filter": { "type": "string" }, "header": "First name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.first_name) Space-separated list of all first names.") }, "sortable": true, "tooltip": "Space-separated list of all first names.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name9328, "filter": { "type": "string" }, "header": "Last name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.last_name) Last name (family name).") }, "sortable": true, "tooltip": "Last name (family name).", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sector", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose9330, "filter": { "type": "string" }, "header": "Purpose", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date9331, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period from", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date9332, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action9333, "filter": { "options": [ "Register", "Unregister", "List" ], "type": "list" }, "header": "Action", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(23) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register9334, "filter": { "options": [ "Primary", "Secondary", "All" ], "type": "list" }, "header": "Query Register", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(14) } ];
    Lino.cbss.ManageAccessRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    Lino.cbss.ManageAccessRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  return new Lino.cbss.ManageAccessRequestsByPerson.insertPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new ManageAccess Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate ManageAccess", "overflowText": "Requ\u00eate ManageAccess", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    Lino.cbss.ManageAccessRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  return new Lino.cbss.ManageAccessRequestsByPerson.detailPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.ManageAccessRequestsByPerson.GridPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.RetrieveTIGroupsRequestsByPerson
Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 109,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Tx25 Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cbss.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate Tx25", "overflowText": "Requ\u00eate Tx25", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tx25 Requests",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    var ww = this.containing_window;
    var user9338 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequestsByPerson/user" }) }) });
    var person9339 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequestsByPerson/person" }) }) });
    var environment9340 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent9341 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status9342 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket9343 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id9344 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by9345 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml9346 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml9347 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages9348 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages9349 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id9350 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language9351 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history9352 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user9338, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person9339, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Sent", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Sent", "Failed", "Validated", "OK", "Warnings", "Errors" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id9344, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Request", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Response", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info messages", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id9350, "filter": { "type": "string" }, "header": "National ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language9351, "filter": { "options": [ "Dutch", "French", "German" ], "type": "list" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "History", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Tx25 Request.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Requ\u00eate Tx25", "overflowText": "Requ\u00eate Tx25", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class humanlinks.LinksByHuman
Lino.humanlinks.LinksByHuman.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/humanlinks/LinksByHuman",
  ls_store_fields : [ { "name": "parent" }, 'parentHidden', { "name": "type_as_parent" }, { "name": "child" }, 'childHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 113,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Personsl Link.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of humanlinks.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Human Links",
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    var ww = this.containing_window;
    var parent9356 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/LinksByHuman/parent" }) }) });
    var type_as_parent_disp9357 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var child9358 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Person...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/LinksByHuman/child" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "parent", "editable": true, "editor": parent9356, "filter": { "type": "string" }, "header": "Who is...", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.parent) Pointer to the person who is \"parent\".") }, "renderer": Lino.fk_renderer('parentHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to the person who is \"parent\".", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type_as_parent", "editable": false, "header": "Type", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.type_as_parent) Displays LinkTypes.as_parent() for this link.") }, "sortable": false, "tooltip": "Displays LinkTypes.as_parent() for this link.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "child", "editable": true, "editor": child9358, "filter": { "type": "string" }, "header": "To whom...", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.child) Pointer to the person who is \"child\".") }, "renderer": Lino.fk_renderer('childHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to the person who is \"child\".", "width": Lino.chars2width(21) } ];
    Lino.humanlinks.LinksByHuman.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.humanlinks.LinksByHuman.insertPanel = Ext.extend(Lino.humanlinks.Links.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/humanlinks/LinksByHuman",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    Lino.humanlinks.LinksByHuman.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.insertPanel(p);
});
Lino.humanlinks.LinksByHuman.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.humanlinks.LinksByHuman.detailPanel = Ext.extend(Lino.humanlinks.Links.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Personsl Link.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/humanlinks/LinksByHuman",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    Lino.humanlinks.LinksByHuman.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.detailPanel(p);
});
Lino.humanlinks.LinksByHuman.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.GridPanel(p);
});
Lino.humanlinks.LinksByHuman.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.AccountsByGroup
Lino.debts.AccountsByGroup.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/AccountsByGroup",
  ls_store_fields : [ { "name": "ref" }, { "name": "name" }, { "name": "name_nl" }, { "name": "name_de" }, { "name": "name_en" }, { "name": "default_amount" }, { "name": "periods" }, { "name": "required_for_household", "type": "boolean" }, { "name": "required_for_person", "type": "boolean" }, { "name": "group" }, 'groupHidden', { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 115,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Account.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate this row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of debts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Accounts",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    var ww = this.containing_window;
    var ref5632 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name5633 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_nl5634 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name_de5635 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en5636 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var default_amount5637 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var periods5638 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var required_for_household5639 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var required_for_person5640 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var group5641 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Account Group...", "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/AccountsByGroup/group" }) }) });
    var id5642 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno5643 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var type5644 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref5632, "filter": { "type": "string" }, "header": "Reference", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.ref) An optional unique name which can be used to reference a given\naccount.") }, "sortable": true, "tooltip": "An optional unique name which can be used to reference a given\naccount.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name5633, "filter": { "type": "string" }, "header": "Designation", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name) The multilingual designation of this account, as the users see\nit.") }, "sortable": true, "tooltip": "The multilingual designation of this account, as the users see\nit.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_nl", "editable": true, "editor": name_nl5634, "filter": { "type": "string" }, "header": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name_nl) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_de", "editable": true, "editor": name_de5635, "filter": { "type": "string" }, "header": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name_de) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "name_en", "editable": true, "editor": name_en5636, "filter": { "type": "string" }, "header": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 5, "dataIndex": "default_amount", "editable": true, "editor": default_amount5637, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Default amount", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.default_amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "periods", "editable": true, "editor": periods5638, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Periods", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.periods) For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.") }, "sortable": true, "tooltip": "For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "required_for_household", "editable": true, "filter": { "type": "boolean" }, "header": "Required for Households", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.required_for_household) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "required_for_person", "editable": true, "filter": { "type": "boolean" }, "header": "Required for Persons", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.required_for_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "group", "editable": true, "editor": group5641, "filter": { "type": "string" }, "header": "Account Group", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "sortable": false, "tooltip": "The account group to which this account belongs.  This must\npoint to an instance of Group.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "id", "editable": true, "editor": id5642, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "seqno", "editable": true, "editor": seqno5643, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.seqno) The sequence number of this account within its group.") }, "sortable": true, "tooltip": "The sequence number of this account within its group.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "type", "editable": true, "editor": type5644, "filter": { "options": [ "Assets", "Liabilities", "Capital", "Incomes", "Expenses" ], "type": "list" }, "header": "Account type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "sortable": false, "tooltip": "The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.", "width": Lino.chars2width(12) } ];
    Lino.debts.AccountsByGroup.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.AccountsByGroup.insertPanel = Ext.extend(Lino.debts.Accounts.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/debts/AccountsByGroup",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    Lino.debts.AccountsByGroup.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.insertPanel(p);
});
Lino.debts.AccountsByGroup.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.AccountsByGroup.detailPanel = Ext.extend(Lino.debts.Accounts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Account.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate this row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/debts/AccountsByGroup",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    Lino.debts.AccountsByGroup.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.detailPanel(p);
});
Lino.debts.AccountsByGroup.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.GridPanel(p);
});
Lino.debts.AccountsByGroup.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByType
Lino.notes.NotesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Events/Notes",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    var ww = this.containing_window;
    var date1832 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time1833 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type1834 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Event Type...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/event_type" }) }) });
    var subject1835 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user1836 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/user" }) }) });
    var id1837 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project1838 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/project" }) }) });
    var build_time1839 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method1840 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type1841 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/owner_type" }) }) });
    var owner_id1842 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/owner_id" }) }) });
    var contact_person1843 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/contact_person" }) }) });
    var contact_role1844 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/contact_role" }) }) });
    var company1845 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/company" }) }) });
    var body1846 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Body" });
    var language1847 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var important1848 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp1849 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var type1850 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Note Type...", "hidden": true, "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/type" }) }) });
    this.before_row_edit = function(record) {
      owner_id1842.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person1843.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body1846.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type1841 !== 'undefined' && owner_type1841.on('change',Lino.chooser_handler(owner_id1842,'owner_type'));
      typeof company1845 !== 'undefined' && company1845.on('change',Lino.chooser_handler(contact_person1843,'company'));
      Lino.notes.NotesByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date1832, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time1833, "header": "Time", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type1834, "filter": { "type": "string" }, "header": "Event Type (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "subject", "editable": true, "editor": subject1835, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user1836, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id1837, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project1838, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method1840, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type1841, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id1842, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person1843, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role1844, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company1845, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body1846, "filter": { "type": "string" }, "header": "Body", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language1847, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Important", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByType.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "type", "editable": true, "editor": type1850, "filter": { "type": "string" }, "header": "Note Type (Content)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByType.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    Lino.notes.NotesByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByType" };
  return new Lino.notes.NotesByType.insertPanel(p);
});
Lino.notes.NotesByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByType.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    Lino.notes.NotesByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByType" };
  return new Lino.notes.NotesByType.detailPanel(p);
});
Lino.notes.NotesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByType" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByType.GridPanel(p);
});
Lino.notes.NotesByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByEventType
Lino.notes.NotesByEventType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByEventType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "event_type" }, 'event_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Events/Notes",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    var ww = this.containing_window;
    var date2156 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time2157 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var type2158 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Note Type...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/type" }) }) });
    var subject2159 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user2160 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/user" }) }) });
    var id2161 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project2162 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/project" }) }) });
    var build_time2163 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method2164 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type2165 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/owner_type" }) }) });
    var owner_id2166 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/owner_id" }) }) });
    var contact_person2167 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/contact_person" }) }) });
    var contact_role2168 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/contact_role" }) }) });
    var company2169 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/company" }) }) });
    var body2170 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Body" });
    var language2171 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var important2172 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp2173 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var event_type2174 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Event Type...", "hidden": true, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/event_type" }) }) });
    this.before_row_edit = function(record) {
      owner_id2166.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person2167.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body2170.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type2165 !== 'undefined' && owner_type2165.on('change',Lino.chooser_handler(owner_id2166,'owner_type'));
      typeof company2169 !== 'undefined' && company2169.on('change',Lino.chooser_handler(contact_person2167,'company'));
      Lino.notes.NotesByEventType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date2156, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time2157, "header": "Time", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type2158, "filter": { "type": "string" }, "header": "Note Type (Content)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "subject", "editable": true, "editor": subject2159, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user2160, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id2161, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project2162, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method2164, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type2165, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id2166, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person2167, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role2168, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company2169, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body2170, "filter": { "type": "string" }, "header": "Body", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language2171, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Important", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByEventType.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "event_type", "editable": true, "editor": event_type2174, "filter": { "type": "string" }, "header": "Event Type (Form)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByEventType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByEventType.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByEventType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    Lino.notes.NotesByEventType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  return new Lino.notes.NotesByEventType.insertPanel(p);
});
Lino.notes.NotesByEventType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByEventType.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByEventType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    Lino.notes.NotesByEventType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  return new Lino.notes.NotesByEventType.detailPanel(p);
});
Lino.notes.NotesByEventType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByEventType.GridPanel(p);
});
Lino.notes.NotesByEventType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByProject
Lino.notes.NotesByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByProject",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Events/Notes",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    var ww = this.containing_window;
    var date6403 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time6404 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type6405 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Event Type...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/event_type" }) }) });
    var type6406 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Note Type...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/type" }) }) });
    var subject6407 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user6408 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/user" }) }) });
    var id6409 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time6410 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method6411 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type6412 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/owner_type" }) }) });
    var owner_id6413 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/owner_id" }) }) });
    var contact_person6414 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/contact_person" }) }) });
    var contact_role6415 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/contact_role" }) }) });
    var company6416 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/company" }) }) });
    var body6417 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Body" });
    var language6418 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var important6419 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp6420 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var project6421 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id6413.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6414.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body6417.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type6412 !== 'undefined' && owner_type6412.on('change',Lino.chooser_handler(owner_id6413,'owner_type'));
      typeof company6416 !== 'undefined' && company6416.on('change',Lino.chooser_handler(contact_person6414,'company'));
      Lino.notes.NotesByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date6403, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time6404, "header": "Time", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type6405, "filter": { "type": "string" }, "header": "Event Type (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type6406, "filter": { "type": "string" }, "header": "Note Type (Content)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject6407, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(41) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user6408, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id6409, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method6411, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type6412, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id6413, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person6414, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role6415, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company6416, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body6417, "filter": { "type": "string" }, "header": "Body", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language6418, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Important", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "project", "editable": true, "editor": project6421, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByProject.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    Lino.notes.NotesByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  return new Lino.notes.NotesByProject.insertPanel(p);
});
Lino.notes.NotesByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByProject.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    Lino.notes.NotesByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  return new Lino.notes.NotesByProject.detailPanel(p);
});
Lino.notes.NotesByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByProject.GridPanel(p);
});
Lino.notes.NotesByProject.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByCompany
Lino.notes.NotesByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByCompany",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Events/Notes",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    var ww = this.containing_window;
    var date9362 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time9363 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project9364 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/project" }) }) });
    var event_type9365 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Event Type...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/event_type" }) }) });
    var type9366 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Note Type...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/type" }) }) });
    var subject9367 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user9368 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/user" }) }) });
    var id9369 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time9370 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method9371 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type9372 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/owner_type" }) }) });
    var owner_id9373 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/owner_id" }) }) });
    var contact_person9374 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/contact_person" }) }) });
    var contact_role9375 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/contact_role" }) }) });
    var body9376 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Body" });
    var language9377 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var important9378 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp9379 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id9373.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      var bp = this.get_base_params();
      contact_person9374.setContextValue('mk',bp['mk']);
      contact_person9374.setContextValue('mt',bp['mt']);
      body9376.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type9372 !== 'undefined' && owner_type9372.on('change',Lino.chooser_handler(owner_id9373,'owner_type'));
      Lino.notes.NotesByCompany.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9362, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time9363, "header": "Time", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project9364, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type9365, "filter": { "type": "string" }, "header": "Event Type (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type9366, "filter": { "type": "string" }, "header": "Note Type (Content)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "subject", "editable": true, "editor": subject9367, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user9368, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id9369, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method9371, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type9372, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id9373, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person9374, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role9375, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body9376, "filter": { "type": "string" }, "header": "Body", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language9377, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Important", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByCompany.owner) ", "width": Lino.chars2width(11) } ];
    Lino.notes.NotesByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByCompany.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByCompany",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    Lino.notes.NotesByCompany.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  return new Lino.notes.NotesByCompany.insertPanel(p);
});
Lino.notes.NotesByCompany.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByCompany.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByCompany",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    Lino.notes.NotesByCompany.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  return new Lino.notes.NotesByCompany.detailPanel(p);
});
Lino.notes.NotesByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByCompany.GridPanel(p);
});
Lino.notes.NotesByCompany.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByPerson
Lino.notes.NotesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByPerson",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Events/Notes",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    var ww = this.containing_window;
    var date9383 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time9384 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type9385 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Event Type...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/event_type" }) }) });
    var type9386 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Note Type...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/type" }) }) });
    var subject9387 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user9388 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/user" }) }) });
    var id9389 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project9390 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/project" }) }) });
    var build_time9391 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method9392 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type9393 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/owner_type" }) }) });
    var owner_id9394 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/owner_id" }) }) });
    var contact_role9395 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/contact_role" }) }) });
    var company9396 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/company" }) }) });
    var body9397 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Body" });
    var language9398 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var important9399 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp9400 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id9394.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body9397.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type9393 !== 'undefined' && owner_type9393.on('change',Lino.chooser_handler(owner_id9394,'owner_type'));
      Lino.notes.NotesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9383, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time9384, "header": "Time", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type9385, "filter": { "type": "string" }, "header": "Event Type (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type9386, "filter": { "type": "string" }, "header": "Note Type (Content)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject9387, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user9388, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id9389, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project9390, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method9392, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type9393, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id9394, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role9395, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company9396, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body9397, "filter": { "type": "string" }, "header": "Body", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language9398, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Important", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByPerson.owner) ", "width": Lino.chars2width(11) } ];
    Lino.notes.NotesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByPerson.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    Lino.notes.NotesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  return new Lino.notes.NotesByPerson.insertPanel(p);
});
Lino.notes.NotesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByPerson.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    Lino.notes.NotesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  return new Lino.notes.NotesByPerson.detailPanel(p);
});
Lino.notes.NotesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByPerson.GridPanel(p);
});
Lino.notes.NotesByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.GrantingsByClient
Lino.aids.GrantingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/GrantingsByClient",
  ls_store_fields : [ { "name": "detail_link" }, { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 124,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Aid granting.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aid grantings",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    var ww = this.containing_window;
    var detail_link_disp9404 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var request_date9405 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type9406 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Aid Type...", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/aid_type" }) }) });
    var category9407 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Category...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/category" }) }) });
    var start_date9408 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Aid granting", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.detail_link) ") }, "sortable": false, "tooltip": "(aids.GrantingsByClient.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "request_date", "editable": true, "editor": request_date9405, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date of request", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "aid_type", "editable": true, "editor": aid_type9406, "filter": { "type": "string" }, "header": "Aid Type", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "category", "editable": true, "editor": category9407, "filter": { "type": "string" }, "header": "Category", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date9408, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Applies from", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" } ];
    Lino.aids.GrantingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByClient.insertPanel = Ext.extend(Lino.aids.GrantingsByClient.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    Lino.aids.GrantingsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  return new Lino.aids.GrantingsByClient.insertPanel(p);
});
Lino.aids.GrantingsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByClient.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Aid granting.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    Lino.aids.GrantingsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  return new Lino.aids.GrantingsByClient.detailPanel(p);
});
Lino.aids.GrantingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.GrantingsByClient.GridPanel(p);
});
Lino.aids.GrantingsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.GrantingsByType
Lino.aids.GrantingsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/GrantingsByType",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 124,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Aid granting.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aid grantings",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    var ww = this.containing_window;
    var detail_link_disp4379 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client4380 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/client" }) }) });
    var start_date4381 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date4382 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id4383 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user4384 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/user" }) }) });
    var decision_date4385 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var board4386 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Board...", "hidden": true, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/board" }) }) });
    var signer4387 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/signer" }) }) });
    var state4388 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var category4389 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Category...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/category" }) }) });
    var request_date4390 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type4391 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Aid Type...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/aid_type" }) }) });
    this.before_row_edit = function(record) {
      board4386.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof decision_date4385 !== 'undefined' && decision_date4385.on('change',Lino.chooser_handler(board4386,'decision_date'));
      Lino.aids.GrantingsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Aid granting", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.detail_link) ") }, "sortable": false, "tooltip": "(aids.GrantingsByType.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client4380, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date4381, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Applies from", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date4382, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id4383, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user4384, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "decision_date", "editable": true, "editor": decision_date4385, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Decided", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "board", "editable": true, "editor": board4386, "filter": { "type": "string" }, "header": "Board", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer", "editable": true, "editor": signer4387, "filter": { "type": "string" }, "header": "Signer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.signer) Pointer to the user who is expected to \u201csign\u201d this granting\n(i.e. to confirm that it is real).") }, "sortable": false, "tooltip": "Pointer to the user who is expected to \u201csign\u201d this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state4388, "filter": { "options": [ "Unconfirmed", "Confirmed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 10, "dataIndex": "category", "editable": true, "editor": category4389, "filter": { "type": "string" }, "header": "Category", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "request_date", "editable": true, "editor": request_date4390, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date of request", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "aid_type", "editable": true, "editor": aid_type4391, "filter": { "type": "string" }, "header": "Aid Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) } ];
    Lino.aids.GrantingsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByType.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    Lino.aids.GrantingsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  return new Lino.aids.GrantingsByType.insertPanel(p);
});
Lino.aids.GrantingsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByType.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Aid granting.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    Lino.aids.GrantingsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  return new Lino.aids.GrantingsByType.detailPanel(p);
});
Lino.aids.GrantingsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.GrantingsByType.GridPanel(p);
});
Lino.aids.GrantingsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.SimpleConfirmationsByGranting
Lino.aids.SimpleConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/SimpleConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 125,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Simple confirmation.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Confirmation simple", "overflowText": "Confirmation simple", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Simple confirmations",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id9412 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client9413 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/client" }) }) });
    var granting9414 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Aid granting...", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/granting" }) }) });
    var start_date9415 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9416 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created9417 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user9418 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/user" }) }) });
    var contact_person9419 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_person" }) }) });
    var contact_role9420 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_role" }) }) });
    var company9421 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/company" }) }) });
    var printed_by9422 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer9423 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/signer" }) }) });
    var state9424 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark9425 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Remark" });
    var language9426 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    this.before_row_edit = function(record) {
      contact_person9419.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark9425.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company9421 !== 'undefined' && company9421.on('change',Lino.chooser_handler(contact_person9419,'company'));
      Lino.aids.SimpleConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id9412, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9413, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "granting", "editable": true, "editor": granting9414, "filter": { "type": "string" }, "header": "Aid granting", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date9415, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period from", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date9416, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user9418, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "contact_person", "editable": true, "editor": contact_person9419, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_role", "editable": true, "editor": contact_role9420, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company9421, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer9423, "filter": { "type": "string" }, "header": "Signer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state9424, "filter": { "options": [ "Unconfirmed", "Confirmed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "remark", "editable": true, "editor": remark9425, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language9426, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.SimpleConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    Lino.aids.SimpleConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(16), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  return new Lino.aids.SimpleConfirmationsByGranting.insertPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.SimpleConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Simple confirmation.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Confirmation simple", "overflowText": "Confirmation simple", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    Lino.aids.SimpleConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  return new Lino.aids.SimpleConfirmationsByGranting.detailPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  p.params_panel = new Lino.aids.SimpleConfirmations.ParamsPanel({});
  return new Lino.aids.SimpleConfirmationsByGranting.GridPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmationsByGranting
Lino.aids.IncomeConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "category" }, 'categoryHidden', { "name": "amount" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "granting" }, 'grantingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 126,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Income confirmation.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Certificat de revenu", "overflowText": "Certificat de revenu", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Income confirmations",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id9430 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client9431 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/client" }) }) });
    var category9432 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Category...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/category" }) }) });
    var amount9433 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var start_date9434 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9435 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created9436 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user9437 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/user" }) }) });
    var contact_person9438 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_person" }) }) });
    var contact_role9439 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_role" }) }) });
    var company9440 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/company" }) }) });
    var printed_by9441 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer9442 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/signer" }) }) });
    var state9443 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark9444 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Remark" });
    var language9445 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var granting9446 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Aid granting...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/granting" }) }) });
    this.before_row_edit = function(record) {
      contact_person9438.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark9444.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company9440 !== 'undefined' && company9440.on('change',Lino.chooser_handler(contact_person9438,'company'));
      Lino.aids.IncomeConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id9430, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9431, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "category", "editable": true, "editor": category9432, "filter": { "type": "string" }, "header": "Category", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.category) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": true, "editor": amount9433, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Amount", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date9434, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period from", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date9435, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user9437, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person9438, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role9439, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company9440, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "signer", "editable": true, "editor": signer9442, "filter": { "type": "string" }, "header": "Signer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "state", "editable": true, "editor": state9443, "filter": { "options": [ "Unconfirmed", "Confirmed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 14, "dataIndex": "remark", "editable": true, "editor": remark9444, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language9445, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "granting", "editable": true, "editor": granting9446, "filter": { "type": "string" }, "header": "Aid granting", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.IncomeConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    Lino.aids.IncomeConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  return new Lino.aids.IncomeConfirmationsByGranting.insertPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Income confirmation.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Certificat de revenu", "overflowText": "Certificat de revenu", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    Lino.aids.IncomeConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  return new Lino.aids.IncomeConfirmationsByGranting.detailPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmationsByGranting.GridPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmationsByCategory
Lino.aids.IncomeConfirmationsByCategory.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmationsByCategory",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "amount" }, { "name": "category" }, 'categoryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 126,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Certificat de revenu", "overflowText": "Certificat de revenu", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Income confirmations",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByCategory.detail;
    var ww = this.containing_window;
    var detail_link_disp3938 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created3939 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user3940 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/user" }) }) });
    var printed_disp3941 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date3942 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date3943 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id3944 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_person3945 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/contact_person" }) }) });
    var contact_role3946 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/contact_role" }) }) });
    var company3947 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/company" }) }) });
    var printed_by3948 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer3949 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/signer" }) }) });
    var state3950 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client3951 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/client" }) }) });
    var granting3952 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Aid granting...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/granting" }) }) });
    var remark3953 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Remark" });
    var language3954 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var amount3955 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var category3956 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Category...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/category" }) }) });
    this.before_row_edit = function(record) {
      contact_person3945.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark3953.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company3947 !== 'undefined' && company3947.on('change',Lino.chooser_handler(contact_person3945,'company'));
      Lino.aids.IncomeConfirmationsByCategory.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Income confirmation", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.detail_link) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmationsByCategory.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Created", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user3940, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Printed", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date3942, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period from", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date3943, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id3944, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "contact_person", "editable": true, "editor": contact_person3945, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_role", "editable": true, "editor": contact_role3946, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company3947, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer3949, "filter": { "type": "string" }, "header": "Signer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state3950, "filter": { "options": [ "Unconfirmed", "Confirmed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client3951, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting3952, "filter": { "type": "string" }, "header": "Aid granting", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark3953, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language3954, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 17, "dataIndex": "amount", "editable": true, "editor": amount3955, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Amount", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 18, "dataIndex": "category", "editable": true, "editor": category3956, "filter": { "type": "string" }, "header": "Category", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.category) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.IncomeConfirmationsByCategory.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByCategory.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByCategory.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Certificat de revenu", "overflowText": "Certificat de revenu", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByCategory",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByCategory.detail;
    Lino.aids.IncomeConfirmationsByCategory.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByCategory.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByCategory" };
  return new Lino.aids.IncomeConfirmationsByCategory.detailPanel(p);
});
Lino.aids.IncomeConfirmationsByCategory.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByCategory" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmationsByCategory.GridPanel(p);
});
Lino.aids.IncomeConfirmationsByCategory.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.RefundConfirmationsByGranting
Lino.aids.RefundConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/RefundConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "doctor_type" }, 'doctor_typeHidden', { "name": "doctor" }, 'doctorHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Refund confirmation.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of aids.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Refund confirmation", "overflowText": "Refund confirmation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Refund confirmations",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id9450 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client9451 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/client" }) }) });
    var granting9452 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Aid granting...", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/granting" }) }) });
    var start_date9453 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9454 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created9455 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user9456 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/user" }) }) });
    var contact_person9457 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_person" }) }) });
    var contact_role9458 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_role" }) }) });
    var company9459 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/company" }) }) });
    var printed_by9460 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer9461 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/signer" }) }) });
    var state9462 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark9463 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Remark" });
    var language9464 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var doctor_type9465 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor_type" }) }) });
    var doctor9466 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor" }) }) });
    var pharmacy9467 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/pharmacy" }) }) });
    this.before_row_edit = function(record) {
      contact_person9457.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark9463.refresh();
      doctor9466.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      var bp = this.get_base_params();
      pharmacy9467.setContextValue('mk',bp['mk']);
      pharmacy9467.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof company9459 !== 'undefined' && company9459.on('change',Lino.chooser_handler(contact_person9457,'company'));
      typeof doctor_type9465 !== 'undefined' && doctor_type9465.on('change',Lino.chooser_handler(doctor9466,'doctor_type'));
      typeof granting9452 !== 'undefined' && granting9452.on('change',Lino.chooser_handler(pharmacy9467,'granting'));
      Lino.aids.RefundConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id9450, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9451, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "granting", "editable": true, "editor": granting9452, "filter": { "type": "string" }, "header": "Aid granting", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date9453, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Period from", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date9454, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user9456, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "contact_person", "editable": true, "editor": contact_person9457, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_role", "editable": true, "editor": contact_role9458, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company9459, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer9461, "filter": { "type": "string" }, "header": "Signer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state9462, "filter": { "options": [ "Unconfirmed", "Confirmed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "remark", "editable": true, "editor": remark9463, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language9464, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "doctor_type", "editable": true, "editor": doctor_type9465, "filter": { "type": "string" }, "header": "Doctor type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.doctor_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "doctor", "editable": true, "editor": doctor9466, "filter": { "type": "string" }, "header": "Doctor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.doctor) ") }, "renderer": Lino.fk_renderer('doctorHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy9467, "filter": { "type": "string" }, "header": "Pharmacy", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.RefundConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.RefundConfirmationsByGranting.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    Lino.aids.RefundConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  return new Lino.aids.RefundConfirmationsByGranting.insertPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.RefundConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Refund confirmation.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Refund confirmation", "overflowText": "Refund confirmation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    Lino.aids.RefundConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  return new Lino.aids.RefundConfirmationsByGranting.detailPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  p.params_panel = new Lino.aids.RefundConfirmations.ParamsPanel({});
  return new Lino.aids.RefundConfirmationsByGranting.GridPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.QuestionsByPoll
Lino.polls.QuestionsByPoll.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/QuestionsByPoll",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "number" }, { "name": "title" }, { "name": "is_heading", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "details" }, { "name": "choiceset" }, 'choicesetHidden', { "name": "multiple_choices", "type": "boolean" }, { "name": "poll" }, 'pollHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate this row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of polls.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/QuestionsByPoll','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Questions",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.QuestionsByPoll.detail;
    var ww = this.containing_window;
    var seqno4530 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var number4531 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 20, "selectOnFocus": true });
    var title4532 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var is_heading4533 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id4534 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var details4535 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var choiceset4536 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Choice Set...", "hidden": true, "pageSize": 20, "related_actor_id": "polls.ChoiceSets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/QuestionsByPoll/choiceset" }) }) });
    var multiple_choices4537 = new Ext.form.Checkbox({ "allowBlank": true, "checked": false, "hidden": true, "selectOnFocus": true });
    var poll4538 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Poll...", "hidden": true, "pageSize": 20, "related_actor_id": "polls.Polls", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/QuestionsByPoll/poll" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno4530, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "listeners": { "render": Lino.quicktip_renderer("","(polls.QuestionsByPoll.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "number", "editable": true, "editor": number4531, "filter": { "type": "string" }, "header": "No.", "listeners": { "render": Lino.quicktip_renderer("","(polls.QuestionsByPoll.number) The number of this question within this poll.") }, "sortable": true, "tooltip": "The number of this question within this poll.", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "title", "editable": true, "editor": title4532, "filter": { "type": "string" }, "header": "Title", "listeners": { "render": Lino.quicktip_renderer("","(polls.QuestionsByPoll.title) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(51) }, { "colIndex": 3, "dataIndex": "is_heading", "editable": true, "filter": { "type": "boolean" }, "header": "Heading", "listeners": { "render": Lino.quicktip_renderer("","(polls.QuestionsByPoll.is_heading) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id4534, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.QuestionsByPoll.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "details", "editable": true, "editor": details4535, "filter": { "type": "string" }, "header": "Details", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.QuestionsByPoll.details) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 6, "dataIndex": "choiceset", "editable": true, "editor": choiceset4536, "filter": { "type": "string" }, "header": "Choice Set", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.QuestionsByPoll.choiceset) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "multiple_choices", "editable": true, "filter": { "type": "boolean" }, "header": "Allow multiple choices", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.QuestionsByPoll.multiple_choices) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "poll", "editable": true, "editor": poll4538, "filter": { "type": "string" }, "header": "Poll", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.QuestionsByPoll.poll) ") }, "renderer": Lino.fk_renderer('pollHidden','Lino.polls.Polls.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.polls.QuestionsByPoll.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.QuestionsByPoll.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/QuestionsByPoll", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.QuestionsByPoll.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/QuestionsByPoll", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.QuestionsByPoll.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/QuestionsByPoll", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.QuestionsByPoll.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/QuestionsByPoll", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.QuestionsByPoll.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/QuestionsByPoll", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.QuestionsByPoll.detailPanel = Ext.extend(Lino.polls.Questions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate this row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/QuestionsByPoll','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/polls/QuestionsByPoll",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.QuestionsByPoll.detail;
    Lino.polls.QuestionsByPoll.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.QuestionsByPoll.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/QuestionsByPoll" };
  return new Lino.polls.QuestionsByPoll.detailPanel(p);
});
Lino.polls.QuestionsByPoll.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/QuestionsByPoll", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.QuestionsByPoll.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/QuestionsByPoll" };
  return new Lino.polls.QuestionsByPoll.GridPanel(p);
});
Lino.polls.QuestionsByPoll.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/QuestionsByPoll", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.QuestionsByPoll.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/QuestionsByPoll", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.QuestionsByPoll.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/QuestionsByPoll", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.QuestionsByPoll.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/QuestionsByPoll", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.QuestionsByPoll.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/QuestionsByPoll", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.ResponsesByPoll
Lino.polls.ResponsesByPoll.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/ResponsesByPoll",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "state" }, 'stateHidden', { "name": "partner" }, 'partnerHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "poll" }, 'pollHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Response.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of polls.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/ResponsesByPoll','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Responses",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.ResponsesByPoll.detail;
    this.ls_insert_handler = Lino.polls.ResponsesByPoll.insert;
    var ww = this.containing_window;
    var date4556 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var user4557 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/ResponsesByPoll/user" }) }) });
    var state4558 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.polls.ResponseStates });
    var partner4559 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Partner...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/ResponsesByPoll/partner" }) }) });
    var remark4560 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id4561 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var poll4562 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Poll...", "hidden": true, "pageSize": 20, "related_actor_id": "polls.Polls", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/ResponsesByPoll/poll" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date4556, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPoll.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user4557, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPoll.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "state", "editable": true, "editor": state4558, "filter": { "options": [ "Draft", "Registered" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPoll.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(14) }, { "colIndex": 3, "dataIndex": "partner", "editable": true, "editor": partner4559, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPoll.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "remark", "editable": true, "editor": remark4560, "filter": { "type": "string" }, "header": "My general remark", "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPoll.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id4561, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPoll.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "poll", "editable": true, "editor": poll4562, "filter": { "type": "string" }, "header": "Poll", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPoll.poll) ") }, "renderer": Lino.fk_renderer('pollHidden','Lino.polls.Polls.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.polls.ResponsesByPoll.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.ResponsesByPoll.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPoll", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPoll.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPoll", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPoll.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPoll", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPoll.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPoll", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.ResponsesByPoll.insertPanel = Ext.extend(Lino.polls.Responses.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/polls/ResponsesByPoll",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.ResponsesByPoll.detail;
    this.ls_insert_handler = Lino.polls.ResponsesByPoll.insert;
    Lino.polls.ResponsesByPoll.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.ResponsesByPoll.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/polls/ResponsesByPoll" };
  return new Lino.polls.ResponsesByPoll.insertPanel(p);
});
Lino.polls.ResponsesByPoll.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPoll", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.ResponsesByPoll.detailPanel = Ext.extend(Lino.polls.Responses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Response.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/ResponsesByPoll','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/polls/ResponsesByPoll",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.ResponsesByPoll.detail;
    this.ls_insert_handler = Lino.polls.ResponsesByPoll.insert;
    Lino.polls.ResponsesByPoll.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.ResponsesByPoll.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/ResponsesByPoll" };
  return new Lino.polls.ResponsesByPoll.detailPanel(p);
});
Lino.polls.ResponsesByPoll.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPoll", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPoll.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/ResponsesByPoll" };
  p.params_panel = new Lino.polls.Responses.ParamsPanel({});
  return new Lino.polls.ResponsesByPoll.GridPanel(p);
});
Lino.polls.ResponsesByPoll.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPoll", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPoll.toggle_choice = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPoll", "GET", pk, "toggle_choice", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPoll.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPoll", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPoll.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPoll", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPoll.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPoll", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.ResponsesByPartner
Lino.polls.ResponsesByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/ResponsesByPartner",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "poll" }, 'pollHidden', { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 132,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Response.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of polls.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/ResponsesByPartner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Responses",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.ResponsesByPartner.detail;
    this.ls_insert_handler = Lino.polls.ResponsesByPartner.insert;
    var ww = this.containing_window;
    var date9471 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var user9472 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/ResponsesByPartner/user" }) }) });
    var state9473 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.polls.ResponseStates });
    var remark9474 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id9475 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var poll9476 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Poll...", "hidden": true, "pageSize": 20, "related_actor_id": "polls.Polls", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/ResponsesByPartner/poll" }) }) });
    var partner9477 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Partner...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/polls/ResponsesByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9471, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPartner.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user9472, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPartner.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "state", "editable": true, "editor": state9473, "filter": { "options": [ "Draft", "Registered" ], "type": "list" }, "header": "State", "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPartner.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(14) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark9474, "filter": { "type": "string" }, "header": "My general remark", "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPartner.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id9475, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "poll", "editable": true, "editor": poll9476, "filter": { "type": "string" }, "header": "Poll", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPartner.poll) ") }, "renderer": Lino.fk_renderer('pollHidden','Lino.polls.Polls.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "partner", "editable": true, "editor": partner9477, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.ResponsesByPartner.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.polls.ResponsesByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.ResponsesByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.ResponsesByPartner.insertPanel = Ext.extend(Lino.polls.Responses.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/polls/ResponsesByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.ResponsesByPartner.detail;
    this.ls_insert_handler = Lino.polls.ResponsesByPartner.insert;
    Lino.polls.ResponsesByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.ResponsesByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/polls/ResponsesByPartner" };
  return new Lino.polls.ResponsesByPartner.insertPanel(p);
});
Lino.polls.ResponsesByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.polls.ResponsesByPartner.detailPanel = Ext.extend(Lino.polls.Responses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Response.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/ResponsesByPartner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/polls/ResponsesByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.polls.ResponsesByPartner.detail;
    this.ls_insert_handler = Lino.polls.ResponsesByPartner.insert;
    Lino.polls.ResponsesByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.ResponsesByPartner.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/ResponsesByPartner" };
  return new Lino.polls.ResponsesByPartner.detailPanel(p);
});
Lino.polls.ResponsesByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/ResponsesByPartner" };
  p.params_panel = new Lino.polls.Responses.ParamsPanel({});
  return new Lino.polls.ResponsesByPartner.GridPanel(p);
});
Lino.polls.ResponsesByPartner.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPartner", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPartner.toggle_choice = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPartner", "GET", pk, "toggle_choice", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPartner.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPartner", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.ResponsesByPartner.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/ResponsesByPartner", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class esf.SummariesByClient
Lino.esf.SummariesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/SummariesByClient",
  ls_store_fields : [ { "name": "year", "type": "int", "useNull": true }, { "name": "esf10" }, { "name": "esf20" }, { "name": "esf21" }, { "name": "esf30" }, { "name": "esf40" }, { "name": "esf41" }, { "name": "esf42" }, { "name": "esf43" }, { "name": "esf44" }, { "name": "esf50" }, { "name": "esf60" }, { "name": "esf70" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of esf.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/esf/SummariesByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ESF Summaries",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.SummariesByClient.detail;
    var ww = this.containing_window;
    var year6469 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var esf106470 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf206471 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf216472 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf306473 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf406474 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf416475 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf426476 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf436477 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf446478 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf506479 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf606480 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf706481 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "year", "editable": true, "editor": year6469, "filter": { "type": "numeric" }, "format": "0", "header": "Year", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.year) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "esf10", "editable": true, "editor": esf106470, "filter": { "type": "string" }, "format": "", "header": "S.Inf", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf10) Informative sessions") }, "sortable": true, "tooltip": "Informative sessions", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 2, "dataIndex": "esf20", "editable": true, "editor": esf206471, "filter": { "type": "string" }, "format": "", "header": "E.Ind", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf20) Individual consultation") }, "sortable": true, "tooltip": "Individual consultation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 3, "dataIndex": "esf21", "editable": true, "editor": esf216472, "filter": { "type": "string" }, "format": "", "header": "E.For", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf21) Evaluation of external training") }, "sortable": true, "tooltip": "Evaluation of external training", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 4, "dataIndex": "esf30", "editable": true, "editor": esf306473, "filter": { "type": "string" }, "format": "", "header": "SIS", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf30) Certified integration service") }, "sortable": true, "tooltip": "Certified integration service", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 5, "dataIndex": "esf40", "editable": true, "editor": esf406474, "filter": { "type": "string" }, "format": "", "header": "Tst", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf40) Level tests") }, "sortable": true, "tooltip": "Level tests", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 6, "dataIndex": "esf41", "editable": true, "editor": esf416475, "filter": { "type": "string" }, "format": "", "header": "Info", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf41) IT basics") }, "sortable": true, "tooltip": "IT basics", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 7, "dataIndex": "esf42", "editable": true, "editor": esf426476, "filter": { "type": "string" }, "format": "", "header": "Mob", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf42) Mobility") }, "sortable": true, "tooltip": "Mobility", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 8, "dataIndex": "esf43", "editable": true, "editor": esf436477, "filter": { "type": "string" }, "format": "", "header": "Rem", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf43) Remedial teaching") }, "sortable": true, "tooltip": "Remedial teaching", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 9, "dataIndex": "esf44", "editable": true, "editor": esf446478, "filter": { "type": "string" }, "format": "", "header": "AN!", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf44) Wake up!") }, "sortable": true, "tooltip": "Wake up!", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 10, "dataIndex": "esf50", "editable": true, "editor": esf506479, "filter": { "type": "string" }, "format": "", "header": "MSP", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf50) Getting a professional situation") }, "sortable": true, "tooltip": "Getting a professional situation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 11, "dataIndex": "esf60", "editable": true, "editor": esf606480, "filter": { "type": "string" }, "format": "", "header": "CyE", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf60) Cyber Job") }, "sortable": true, "tooltip": "Cyber Job", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 12, "dataIndex": "esf70", "editable": true, "editor": esf706481, "filter": { "type": "string" }, "format": "", "header": "60\u00a77", "listeners": { "render": Lino.quicktip_renderer("","(esf.SummariesByClient.esf70) Art 60\u00a77 job supplyment") }, "sortable": true, "tooltip": "Art 60\u00a77 job supplyment", "width": Lino.chars2width(10) } ];
    Lino.esf.SummariesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.SummariesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.esf.SummariesByClient.detailPanel = Ext.extend(Lino.esf.Summaries.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/esf/SummariesByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/esf/SummariesByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.SummariesByClient.detail;
    Lino.esf.SummariesByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.SummariesByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/SummariesByClient" };
  return new Lino.esf.SummariesByClient.detailPanel(p);
});
Lino.esf.SummariesByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.compute_results = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "compute_results", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/SummariesByClient" };
  return new Lino.esf.SummariesByClient.GridPanel(p);
});
Lino.esf.SummariesByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.SummariesByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/SummariesByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dashboard.WidgetsByUser
Lino.dashboard.WidgetsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dashboard/WidgetsByUser",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "move_buttons" }, { "name": "title" }, { "name": "visible", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "item_name" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 136,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate this row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/dashboard/WidgetsByUser','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dashboard",
  initComponent : function() {
    var ww = this.containing_window;
    var seqno5373 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var move_buttons_disp5374 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var title_disp5375 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var visible5376 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var id5377 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var item_name5378 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/WidgetsByUser/item_name" }) }) });
    var user5379 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/WidgetsByUser/user" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      item_name5378.setContextValue('mk',bp['mk']);
      item_name5378.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof user5379 !== 'undefined' && user5379.on('change',Lino.chooser_handler(item_name5378,'user'));
      Lino.dashboard.WidgetsByUser.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno5373, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "move_buttons", "editable": false, "header": "Move", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "title", "editable": false, "header": "Label", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.title) ") }, "sortable": false, "tooltip": "(dashboard.WidgetsByUser.title) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "visible", "editable": true, "filter": { "type": "boolean" }, "header": "Visible", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.visible) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id5377, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "item_name", "editable": true, "editor": item_name5378, "filter": { "type": "string" }, "header": "Resource", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.item_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user5379, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) } ];
    Lino.dashboard.WidgetsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dashboard.WidgetsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dashboard/WidgetsByUser" };
  p.params_panel = new Lino.dashboard.Widgets.ParamsPanel({});
  return new Lino.dashboard.WidgetsByUser.GridPanel(p);
});
Lino.dashboard.WidgetsByUser.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class clients.ContactsByClient
Lino.clients.ContactsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ContactsByClient",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 44,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/clients/ContactsByClient','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Contacts",
  initComponent : function() {
    var ww = this.containing_window;
    var type6074 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/type" }) }) });
    var company6075 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/company" }) }) });
    var contact_person6076 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/contact_person" }) }) });
    var remark6077 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id6078 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role6079 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/contact_role" }) }) });
    var client6080 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      company6075.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      contact_person6076.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      contact_person6076.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type6074 !== 'undefined' && type6074.on('change',Lino.chooser_handler(company6075,'type'));
      typeof company6075 !== 'undefined' && company6075.on('change',Lino.chooser_handler(contact_person6076,'company'));
      typeof type6074 !== 'undefined' && type6074.on('change',Lino.chooser_handler(contact_person6076,'type'));
      Lino.clients.ContactsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type6074, "filter": { "type": "string" }, "header": "Client Contact type", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "company", "editable": true, "editor": company6075, "filter": { "type": "string" }, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contact_person", "editable": true, "editor": contact_person6076, "filter": { "type": "string" }, "header": "Contact person", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark6077, "filter": { "type": "string" }, "header": "Contact details", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6078, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "contact_role", "editable": true, "editor": contact_role6079, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "client", "editable": true, "editor": client6080, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) } ];
    Lino.clients.ContactsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ContactsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ContactsByClient" };
  return new Lino.clients.ContactsByClient.GridPanel(p);
});
Lino.clients.ContactsByClient.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class clients.ClientContactsByType
Lino.clients.ClientContactsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByType",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "client" }, 'clientHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 44,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Contacts",
  initComponent : function() {
    var ww = this.containing_window;
    var company2070 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/company" }) }) });
    var contact_person2071 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/contact_person" }) }) });
    var client2072 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/client" }) }) });
    var remark2073 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id2074 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role2075 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/contact_role" }) }) });
    var type2076 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/type" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      company2070.setContextValue('mk',bp['mk']);
      company2070.setContextValue('mt',bp['mt']);
      contact_person2071.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      var bp = this.get_base_params();
      contact_person2071.setContextValue('mk',bp['mk']);
      contact_person2071.setContextValue('mt',bp['mt']);
    };
    this.onRender = function(ct, position) {
      typeof type2076 !== 'undefined' && type2076.on('change',Lino.chooser_handler(company2070,'type'));
      typeof company2070 !== 'undefined' && company2070.on('change',Lino.chooser_handler(contact_person2071,'company'));
      typeof type2076 !== 'undefined' && type2076.on('change',Lino.chooser_handler(contact_person2071,'type'));
      Lino.clients.ClientContactsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company2070, "filter": { "type": "string" }, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "contact_person", "editable": true, "editor": contact_person2071, "filter": { "type": "string" }, "header": "Contact person", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client", "editable": true, "editor": client2072, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark2073, "filter": { "type": "string" }, "header": "Contact details", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2074, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "contact_role", "editable": true, "editor": contact_role2075, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "type", "editable": true, "editor": type2076, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByType" };
  return new Lino.clients.ClientContactsByType.GridPanel(p);
});
Lino.clients.ClientContactsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class clients.ClientContactsByCompany
Lino.clients.ClientContactsByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByCompany",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 44,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByCompany','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Client Contacts",
  initComponent : function() {
    var ww = this.containing_window;
    var client9481 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/client" }) }) });
    var contact_person9482 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/contact_person" }) }) });
    var remark9483 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id9484 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role9485 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/contact_role" }) }) });
    var type9486 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/type" }) }) });
    var company9487 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person9482.setContextValue('mk',bp['mk']);
      contact_person9482.setContextValue('mt',bp['mt']);
      contact_person9482.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      company9487.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company9487 !== 'undefined' && company9487.on('change',Lino.chooser_handler(contact_person9482,'company'));
      typeof type9486 !== 'undefined' && type9486.on('change',Lino.chooser_handler(contact_person9482,'type'));
      typeof type9486 !== 'undefined' && type9486.on('change',Lino.chooser_handler(company9487,'type'));
      Lino.clients.ClientContactsByCompany.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client9481, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "contact_person", "editable": true, "editor": contact_person9482, "filter": { "type": "string" }, "header": "Contact person", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark9483, "filter": { "type": "string" }, "header": "Contact details", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id9484, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "contact_role", "editable": true, "editor": contact_role9485, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type9486, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "company", "editable": true, "editor": company9487, "filter": { "type": "string" }, "header": "Organization", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByCompany" };
  return new Lino.clients.ClientContactsByCompany.GridPanel(p);
});
Lino.clients.ClientContactsByCompany.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class clients.ClientContactsByPerson
Lino.clients.ClientContactsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByPerson",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "client" }, 'clientHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 44,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByPerson','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Client Contacts",
  initComponent : function() {
    var ww = this.containing_window;
    var company9491 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Organization...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/company" }) }) });
    var client9492 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/client" }) }) });
    var remark9493 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id9494 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role9495 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/contact_role" }) }) });
    var type9496 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client Contact type...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/type" }) }) });
    var contact_person9497 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/contact_person" }) }) });
    this.before_row_edit = function(record) {
      company9491.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      contact_person9497.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      contact_person9497.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type9496 !== 'undefined' && type9496.on('change',Lino.chooser_handler(company9491,'type'));
      typeof company9491 !== 'undefined' && company9491.on('change',Lino.chooser_handler(contact_person9497,'company'));
      typeof type9496 !== 'undefined' && type9496.on('change',Lino.chooser_handler(contact_person9497,'type'));
      Lino.clients.ClientContactsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company9491, "filter": { "type": "string" }, "header": "Organization", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9492, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark9493, "filter": { "type": "string" }, "header": "Contact details", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id9494, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "contact_role", "editable": true, "editor": contact_role9495, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type9496, "filter": { "type": "string" }, "header": "Client Contact type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "contact_person", "editable": true, "editor": contact_person9497, "filter": { "type": "string" }, "header": "Contact person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByPerson" };
  return new Lino.clients.ClientContactsByPerson.GridPanel(p);
});
Lino.clients.ClientContactsByPerson.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.LinesByTopic
Lino.courses.LinesByTopic.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/LinesByTopic",
  ls_store_fields : [ { "name": "ref" }, { "name": "name" }, { "name": "name_nl" }, { "name": "name_de" }, { "name": "name_en" }, { "name": "topic" }, 'topicHidden', { "name": "course_area" }, 'course_areaHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "guest_role" }, 'guest_roleHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "excerpt_title" }, { "name": "excerpt_title_nl" }, { "name": "excerpt_title_de" }, { "name": "excerpt_title_en" }, { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "body_template" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 16,
  content_type : 101,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/LinesByTopic','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Workshop lines",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.LinesByTopic.detail;
    this.ls_insert_handler = Lino.courses.LinesByTopic.insert;
    var ww = this.containing_window;
    var ref3058 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name3059 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_nl3060 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name_de3061 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en3062 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var topic3063 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Topic...", "pageSize": 20, "related_actor_id": "courses.Topics", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/LinesByTopic/topic" }) }) });
    var course_area3064 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.courses.ActivityLayouts });
    var event_type3065 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/LinesByTopic/event_type" }) }) });
    var guest_role3066 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Guest role...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/LinesByTopic/guest_role" }) }) });
    var every_unit3067 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every3068 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 1 });
    var id3069 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_person3070 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/LinesByTopic/contact_person" }) }) });
    var contact_role3071 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/LinesByTopic/contact_role" }) }) });
    var company3072 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/LinesByTopic/company" }) }) });
    var excerpt_title3073 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var excerpt_title_nl3074 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var excerpt_title_de3075 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var excerpt_title_en3076 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var description3077 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl3078 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de3079 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en3080 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var body_template3081 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/LinesByTopic/body_template" }) }) });
    this.before_row_edit = function(record) {
      contact_person3070.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company3072 !== 'undefined' && company3072.on('change',Lino.chooser_handler(contact_person3070,'company'));
      Lino.courses.LinesByTopic.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref3058, "filter": { "type": "string" }, "header": "Reference", "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.ref) The reference. This must be either empty or unique.") }, "sortable": true, "tooltip": "The reference. This must be either empty or unique.", "width": Lino.chars2width(41) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name3059, "filter": { "type": "string" }, "header": "Designation", "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.name) The designation of this activity line as seen by the user\ne.g. when selecting the line.") }, "sortable": true, "tooltip": "The designation of this activity line as seen by the user\ne.g. when selecting the line.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_nl", "editable": true, "editor": name_nl3060, "filter": { "type": "string" }, "header": "Designation (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.name_nl) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_de", "editable": true, "editor": name_de3061, "filter": { "type": "string" }, "header": "Designation (de)", "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.name_de) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "name_en", "editable": true, "editor": name_en3062, "filter": { "type": "string" }, "header": "Designation (en)", "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "topic", "editable": true, "editor": topic3063, "filter": { "type": "string" }, "header": "Topic", "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.topic) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "course_area", "editable": true, "editor": course_area3064, "filter": { "options": [ "Integration workshops", "Job search workshops" ], "type": "list" }, "header": "Layout", "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.course_area) Pointer to ActivityLayouts.  This is used only when an\napplication defines several variants of\nEnrolmentsByPupil.") }, "sortable": false, "tooltip": "Pointer to ActivityLayouts.  This is used only when an\napplication defines several variants of\nEnrolmentsByPupil.", "width": Lino.chars2width(14) }, { "colIndex": 7, "dataIndex": "event_type", "editable": true, "editor": event_type3065, "filter": { "type": "string" }, "header": "Calendar entry type", "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.event_type) The type of calendar entries to be generated. If this is empty, no calendar entries will be generated.") }, "sortable": false, "tooltip": "The type of calendar entries to be generated. If this is empty, no calendar entries will be generated.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "guest_role", "editable": true, "editor": guest_role3066, "filter": { "type": "string" }, "header": "Manage presences as", "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.guest_role) The default guest role for particpants of calendar entries for activities in this series. Leave empty if you don't want any presences management.") }, "sortable": false, "tooltip": "The default guest role for particpants of calendar entries for activities in this series. Leave empty if you don't want any presences management.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "every_unit", "editable": true, "editor": every_unit3067, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.every_unit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 10, "dataIndex": "every", "editable": true, "editor": every3068, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.every) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "id", "editable": true, "editor": id3069, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person3070, "filter": { "type": "string" }, "header": "Represented by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role3071, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "company", "editable": true, "editor": company3072, "filter": { "type": "string" }, "header": "Organization", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "excerpt_title", "editable": true, "editor": excerpt_title3073, "filter": { "type": "string" }, "header": "Excerpt title", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.excerpt_title) The title to be used when printing an excerpt.") }, "sortable": true, "tooltip": "The title to be used when printing an excerpt.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "excerpt_title_nl", "editable": true, "editor": excerpt_title_nl3074, "filter": { "type": "string" }, "header": "Excerpt title (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.excerpt_title_nl) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "excerpt_title_de", "editable": true, "editor": excerpt_title_de3075, "filter": { "type": "string" }, "header": "Excerpt title (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.excerpt_title_de) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "excerpt_title_en", "editable": true, "editor": excerpt_title_en3076, "filter": { "type": "string" }, "header": "Excerpt title (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.excerpt_title_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description3077, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "description_nl", "editable": true, "editor": description_nl3078, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "description_de", "editable": true, "editor": description_de3079, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "description_en", "editable": true, "editor": description_en3080, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "body_template", "editable": true, "editor": body_template3081, "filter": { "type": "string" }, "header": "Body template", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.LinesByTopic.body_template) The body template to use when printing a course of this series. Leave empty to use the site's default.") }, "sortable": false, "tooltip": "The body template to use when printing a course of this series. Leave empty to use the site's default.", "width": Lino.chars2width(11) } ];
    Lino.courses.LinesByTopic.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.LinesByTopic.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/LinesByTopic", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.LinesByTopic.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/LinesByTopic", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.LinesByTopic.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/LinesByTopic", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.LinesByTopic.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/LinesByTopic", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.LinesByTopic.insertPanel = Ext.extend(Lino.courses.Lines.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/LinesByTopic",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.LinesByTopic.detail;
    this.ls_insert_handler = Lino.courses.LinesByTopic.insert;
    Lino.courses.LinesByTopic.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.LinesByTopic.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(16), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/LinesByTopic" };
  return new Lino.courses.LinesByTopic.insertPanel(p);
});
Lino.courses.LinesByTopic.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/LinesByTopic", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.LinesByTopic.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/LinesByTopic", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.LinesByTopic.detailPanel = Ext.extend(Lino.courses.Lines.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/LinesByTopic','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/LinesByTopic",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.LinesByTopic.detail;
    this.ls_insert_handler = Lino.courses.LinesByTopic.insert;
    Lino.courses.LinesByTopic.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.LinesByTopic.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/LinesByTopic" };
  return new Lino.courses.LinesByTopic.detailPanel(p);
});
Lino.courses.LinesByTopic.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/LinesByTopic", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.LinesByTopic.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/LinesByTopic" };
  return new Lino.courses.LinesByTopic.GridPanel(p);
});
Lino.courses.LinesByTopic.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/LinesByTopic", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.LinesByTopic.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/LinesByTopic", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.ActivitiesByTeacher
Lino.courses.ActivitiesByTeacher.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/ActivitiesByTeacher",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "name": "end_time" }, { "name": "line" }, 'lineHidden', { "name": "room" }, 'roomHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "slot" }, 'slotHidden', { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "max_places", "type": "int", "useNull": true }, { "name": "name" }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "teacher" }, 'teacherHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActivitiesByTeacher','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesByTeacher.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesByTeacher.insert;
    var ww = this.containing_window;
    var start_date9501 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var start_time9502 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_time9503 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var line9504 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Workshop series...", "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTeacher/line" }) }) });
    var room9505 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTeacher/room" }) }) });
    var id9506 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date9507 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user9508 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTeacher/user" }) }) });
    var every_unit9509 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every9510 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions9511 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday9512 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday9513 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday9514 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday9515 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday9516 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday9517 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday9518 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events9519 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var max_date9520 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var slot9521 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTeacher/slot" }) }) });
    var description9522 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl9523 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de9524 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en9525 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remark9526 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state9527 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var max_places9528 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name9529 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var enrolments_until9530 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var teacher9531 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTeacher/teacher" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date9501, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "start_time", "editable": true, "editor": start_time9502, "header": "Start time", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "end_time", "editable": true, "editor": end_time9503, "header": "End Time", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 3, "dataIndex": "line", "editable": true, "editor": line9504, "filter": { "type": "string" }, "header": "Workshop series", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "room", "editable": true, "editor": room9505, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id9506, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "end_date", "editable": true, "editor": end_date9507, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user9508, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "every_unit", "editable": true, "editor": every_unit9509, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 9, "dataIndex": "every", "editable": true, "editor": every9510, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "positions", "editable": true, "editor": positions9511, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 12, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 13, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 18, "dataIndex": "max_events", "editable": true, "editor": max_events9519, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "max_date", "editable": true, "editor": max_date9520, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 20, "dataIndex": "slot", "editable": true, "editor": slot9521, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "description", "editable": true, "editor": description9522, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "description_nl", "editable": true, "editor": description_nl9523, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "description_de", "editable": true, "editor": description_de9524, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "description_en", "editable": true, "editor": description_en9525, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "remark", "editable": true, "editor": remark9526, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state9527, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 27, "dataIndex": "max_places", "editable": true, "editor": max_places9528, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "name", "editable": true, "editor": name9529, "filter": { "type": "string" }, "header": "Designation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until9530, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 30, "dataIndex": "teacher", "editable": true, "editor": teacher9531, "filter": { "type": "string" }, "header": "Instructor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTeacher.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.courses.ActivitiesByTeacher.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesByTeacher.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ActivitiesByTeacher.insertPanel = Ext.extend(Lino.courses.Activities.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/ActivitiesByTeacher",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesByTeacher.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesByTeacher.insert;
    Lino.courses.ActivitiesByTeacher.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesByTeacher.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/ActivitiesByTeacher" };
  return new Lino.courses.ActivitiesByTeacher.insertPanel(p);
});
Lino.courses.ActivitiesByTeacher.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ActivitiesByTeacher.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActivitiesByTeacher','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/ActivitiesByTeacher",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesByTeacher.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesByTeacher.insert;
    Lino.courses.ActivitiesByTeacher.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesByTeacher.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActivitiesByTeacher" };
  return new Lino.courses.ActivitiesByTeacher.detailPanel(p);
});
Lino.courses.ActivitiesByTeacher.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActivitiesByTeacher" };
  p.params_panel = new Lino.courses.Activities.ParamsPanel({});
  return new Lino.courses.ActivitiesByTeacher.GridPanel(p);
});
Lino.courses.ActivitiesByTeacher.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTeacher.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTeacher", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.ActivitiesByLine
Lino.courses.ActivitiesByLine.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/ActivitiesByLine",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "weekdays_text" }, { "name": "room" }, 'roomHidden', { "name": "times_text" }, { "name": "teacher" }, 'teacherHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "slot" }, 'slotHidden', { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "max_places", "type": "int", "useNull": true }, { "name": "name" }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "line" }, 'lineHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActivitiesByLine','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesByLine.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesByLine.insert;
    var ww = this.containing_window;
    var detail_link_disp9535 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var weekdays_text_disp9536 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var room9537 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByLine/room" }) }) });
    var times_text_disp9538 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var teacher9539 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByLine/teacher" }) }) });
    var id9540 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date9541 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time9542 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date9543 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time9544 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user9545 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByLine/user" }) }) });
    var every_unit9546 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every9547 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions9548 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday9549 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday9550 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday9551 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday9552 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday9553 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday9554 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday9555 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events9556 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var max_date9557 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var slot9558 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByLine/slot" }) }) });
    var description9559 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl9560 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de9561 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en9562 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remark9563 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state9564 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var max_places9565 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name9566 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var enrolments_until9567 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var line9568 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Workshop series...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByLine/line" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Workshop", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.detail_link) ") }, "sortable": false, "tooltip": "(courses.ActivitiesByLine.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "weekdays_text", "editable": false, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.weekdays_text) A virtual field returning the textual formulation of the\nweekdays where the recurrence occurs.") }, "sortable": false, "tooltip": "A virtual field returning the textual formulation of the\nweekdays where the recurrence occurs.", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "room", "editable": true, "editor": room9537, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "times_text", "editable": false, "header": "Times", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.times_text) ") }, "sortable": false, "tooltip": "(courses.ActivitiesByLine.times_text) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "teacher", "editable": true, "editor": teacher9539, "filter": { "type": "string" }, "header": "Instructor", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id9540, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "start_date", "editable": true, "editor": start_date9541, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "start_time", "editable": true, "editor": start_time9542, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 8, "dataIndex": "end_date", "editable": true, "editor": end_date9543, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "end_time", "editable": true, "editor": end_time9544, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user9545, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "every_unit", "editable": true, "editor": every_unit9546, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 12, "dataIndex": "every", "editable": true, "editor": every9547, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 13, "dataIndex": "positions", "editable": true, "editor": positions9548, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "max_events", "editable": true, "editor": max_events9556, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "max_date", "editable": true, "editor": max_date9557, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 23, "dataIndex": "slot", "editable": true, "editor": slot9558, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "description", "editable": true, "editor": description9559, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "description_nl", "editable": true, "editor": description_nl9560, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "description_de", "editable": true, "editor": description_de9561, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "description_en", "editable": true, "editor": description_en9562, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 28, "dataIndex": "remark", "editable": true, "editor": remark9563, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 29, "dataIndex": "state", "editable": true, "editor": state9564, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 30, "dataIndex": "max_places", "editable": true, "editor": max_places9565, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 31, "dataIndex": "name", "editable": true, "editor": name9566, "filter": { "type": "string" }, "header": "Designation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 32, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until9567, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 33, "dataIndex": "line", "editable": true, "editor": line9568, "filter": { "type": "string" }, "header": "Workshop series", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByLine.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.courses.ActivitiesByLine.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesByLine.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ActivitiesByLine.insertPanel = Ext.extend(Lino.courses.Activities.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/ActivitiesByLine",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesByLine.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesByLine.insert;
    Lino.courses.ActivitiesByLine.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesByLine.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/ActivitiesByLine" };
  return new Lino.courses.ActivitiesByLine.insertPanel(p);
});
Lino.courses.ActivitiesByLine.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ActivitiesByLine.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActivitiesByLine','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/ActivitiesByLine",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesByLine.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesByLine.insert;
    Lino.courses.ActivitiesByLine.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesByLine.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActivitiesByLine" };
  return new Lino.courses.ActivitiesByLine.detailPanel(p);
});
Lino.courses.ActivitiesByLine.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActivitiesByLine" };
  p.params_panel = new Lino.courses.Activities.ParamsPanel({});
  return new Lino.courses.ActivitiesByLine.GridPanel(p);
});
Lino.courses.ActivitiesByLine.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByLine.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByLine", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.ActivitiesByTopic
Lino.courses.ActivitiesByTopic.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/ActivitiesByTopic",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "weekdays_text" }, { "name": "times_text" }, { "name": "max_places", "type": "int", "useNull": true }, { "name": "confirmed", "type": "int", "useNull": true }, { "name": "free_places", "type": "int", "useNull": true }, { "name": "requested", "type": "int", "useNull": true }, { "name": "trying", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "name": "room" }, 'roomHidden', { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "line" }, 'lineHidden', { "name": "teacher" }, 'teacherHidden', { "name": "slot" }, 'slotHidden', { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "name" }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "line__topic" }, 'line__topicHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActivitiesByTopic','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesByTopic.detail;
    var ww = this.containing_window;
    var detail_link_disp3170 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var weekdays_text_disp3171 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var times_text_disp3172 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var max_places3173 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var confirmed3174 = new Ext.form.NumberField({ "disabled": true });
    var free_places3175 = new Ext.form.NumberField({ "disabled": true });
    var requested3176 = new Ext.form.NumberField({ "disabled": true });
    var trying3177 = new Ext.form.NumberField({ "disabled": true });
    var id3178 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date3179 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time3180 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date3181 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time3182 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user3183 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTopic/user" }) }) });
    var every_unit3184 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every3185 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions3186 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday3187 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday3188 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday3189 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday3190 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday3191 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday3192 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday3193 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events3194 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var room3195 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTopic/room" }) }) });
    var max_date3196 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var line3197 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Workshop series...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTopic/line" }) }) });
    var teacher3198 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTopic/teacher" }) }) });
    var slot3199 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTopic/slot" }) }) });
    var description3200 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl3201 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de3202 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en3203 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remark3204 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state3205 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var name3206 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var enrolments_until3207 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var line__topic3208 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Topic...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Topics", "selectOnFocus": true, "sortable": false, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesByTopic/line__topic" }) }), "value": null });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Workshop", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.detail_link) ") }, "sortable": false, "tooltip": "(courses.ActivitiesByTopic.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "weekdays_text", "editable": false, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.weekdays_text) A virtual field returning the textual formulation of the\nweekdays where the recurrence occurs.") }, "sortable": false, "tooltip": "A virtual field returning the textual formulation of the\nweekdays where the recurrence occurs.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "times_text", "editable": false, "header": "Times", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.times_text) ") }, "sortable": false, "tooltip": "(courses.ActivitiesByTopic.times_text) ", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 3, "dataIndex": "max_places", "editable": true, "editor": max_places3173, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "confirmed", "editable": false, "format": "0", "header": "Confirmed", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.confirmed) Number of confirmed places.") }, "sortable": true, "tooltip": "Number of confirmed places.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "free_places", "editable": false, "format": "0", "header": "Free places", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.free_places) Number of free places.") }, "sortable": true, "tooltip": "Number of free places.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "requested", "editable": false, "format": "0", "header": "Requested", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.requested) Number of requested places.") }, "sortable": true, "tooltip": "Number of requested places.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "trying", "editable": false, "format": "0", "header": "Trying", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.trying) Number of trying places.") }, "sortable": true, "tooltip": "Number of trying places.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id3178, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date3179, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "start_time", "editable": true, "editor": start_time3180, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "end_date", "editable": true, "editor": end_date3181, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "end_time", "editable": true, "editor": end_time3182, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 13, "dataIndex": "user", "editable": true, "editor": user3183, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "every_unit", "editable": true, "editor": every_unit3184, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 15, "dataIndex": "every", "editable": true, "editor": every3185, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 16, "dataIndex": "positions", "editable": true, "editor": positions3186, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 22, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 24, "dataIndex": "max_events", "editable": true, "editor": max_events3194, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room3195, "filter": { "type": "string" }, "header": "Room", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "max_date", "editable": true, "editor": max_date3196, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 27, "dataIndex": "line", "editable": true, "editor": line3197, "filter": { "type": "string" }, "header": "Workshop series", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "teacher", "editable": true, "editor": teacher3198, "filter": { "type": "string" }, "header": "Instructor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "slot", "editable": true, "editor": slot3199, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 30, "dataIndex": "description", "editable": true, "editor": description3200, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 31, "dataIndex": "description_nl", "editable": true, "editor": description_nl3201, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 32, "dataIndex": "description_de", "editable": true, "editor": description_de3202, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 33, "dataIndex": "description_en", "editable": true, "editor": description_en3203, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 34, "dataIndex": "remark", "editable": true, "editor": remark3204, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 35, "dataIndex": "state", "editable": true, "editor": state3205, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "colIndex": 36, "dataIndex": "name", "editable": true, "editor": name3206, "filter": { "type": "string" }, "header": "Designation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 37, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until3207, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 38, "dataIndex": "line__topic", "editable": true, "editor": line__topic3208, "filter": { "type": "string" }, "header": "Topic", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesByTopic.line__topic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.courses.ActivitiesByTopic.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesByTopic.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ActivitiesByTopic.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActivitiesByTopic','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/ActivitiesByTopic",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesByTopic.detail;
    Lino.courses.ActivitiesByTopic.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesByTopic.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActivitiesByTopic" };
  return new Lino.courses.ActivitiesByTopic.detailPanel(p);
});
Lino.courses.ActivitiesByTopic.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActivitiesByTopic" };
  p.params_panel = new Lino.courses.ActivitiesByTopic.ParamsPanel({});
  return new Lino.courses.ActivitiesByTopic.GridPanel(p);
});
Lino.courses.ActivitiesByTopic.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesByTopic.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesByTopic", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.ActivitiesBySlot
Lino.courses.ActivitiesBySlot.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/ActivitiesBySlot",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "name" }, { "name": "line" }, 'lineHidden', { "name": "teacher" }, 'teacherHidden', { "name": "room" }, 'roomHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "user" }, 'userHidden', { "name": "every_unit" }, 'every_unitHidden', { "name": "every", "type": "int", "useNull": true }, { "name": "positions" }, { "name": "monday", "type": "boolean" }, { "name": "tuesday", "type": "boolean" }, { "name": "wednesday", "type": "boolean" }, { "name": "thursday", "type": "boolean" }, { "name": "friday", "type": "boolean" }, { "name": "saturday", "type": "boolean" }, { "name": "sunday", "type": "boolean" }, { "name": "max_events", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "max_date", "type": "date" }, { "name": "description" }, { "name": "description_nl" }, { "name": "description_de" }, { "name": "description_en" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "max_places", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "enrolments_until", "type": "date" }, { "name": "slot" }, 'slotHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 99,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActivitiesBySlot','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesBySlot.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesBySlot.insert;
    var ww = this.containing_window;
    var start_date2786 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var name2787 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var line2788 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a Workshop series...", "pageSize": 20, "related_actor_id": "courses.Lines", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesBySlot/line" }) }) });
    var teacher2789 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesBySlot/teacher" }) }) });
    var room2790 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesBySlot/room" }) }) });
    var workflow_buttons_disp2791 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id2792 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time2793 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date2794 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time2795 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var user2796 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesBySlot/user" }) }) });
    var every_unit2797 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var every2798 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var positions2799 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var monday2800 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var tuesday2801 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var wednesday2802 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var thursday2803 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var friday2804 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var saturday2805 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var sunday2806 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var max_events2807 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var max_date2808 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var description2809 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_nl2810 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_de2811 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var description_en2812 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remark2813 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var state2814 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.CourseStates });
    var max_places2815 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var enrolments_until2816 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var slot2817 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Timetable Slot...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Slots", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/ActivitiesBySlot/slot" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date2786, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.start_date) The start date of the first meeting to be generated.") }, "sortable": true, "tooltip": "The start date of the first meeting to be generated.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name2787, "filter": { "type": "string" }, "header": "Designation", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "line", "editable": true, "editor": line2788, "filter": { "type": "string" }, "header": "Workshop series", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.line) ") }, "renderer": Lino.fk_renderer('lineHidden','Lino.courses.Lines.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "teacher", "editable": true, "editor": teacher2789, "filter": { "type": "string" }, "header": "Instructor", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.teacher) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "room", "editable": true, "editor": room2790, "filter": { "type": "string" }, "header": "Room", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id2792, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "start_time", "editable": true, "editor": start_time2793, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 8, "dataIndex": "end_date", "editable": true, "editor": end_date2794, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.end_date) The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.") }, "sortable": true, "tooltip": "The end date of the first meeting to be generated.  Leave\nthis field empty if the meetings last less than one day.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "end_time", "editable": true, "editor": end_time2795, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.end_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user2796, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "every_unit", "editable": true, "editor": every_unit2797, "filter": { "options": [ "once", "daily", "weekly", "monthly", "yearly", "per weekday", "Relative to Easter" ], "type": "list" }, "header": "Recurrency", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.every_unit) The interval between each periodic iteration.") }, "sortable": false, "tooltip": "The interval between each periodic iteration.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 12, "dataIndex": "every", "editable": true, "editor": every2798, "filter": { "type": "numeric" }, "format": "0", "header": "Repeat every", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "sortable": true, "tooltip": "The frequency of periodic iteration: daily, weekly, monthly or yearly.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 13, "dataIndex": "positions", "editable": true, "editor": positions2799, "filter": { "type": "string" }, "header": "Positions", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "sortable": true, "tooltip": "Space-separated list of one or several positions within the recurrency\ncycle.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "monday", "editable": true, "filter": { "type": "boolean" }, "header": "Monday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.monday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "tuesday", "editable": true, "filter": { "type": "boolean" }, "header": "Tuesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.tuesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "wednesday", "editable": true, "filter": { "type": "boolean" }, "header": "Wednesday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.wednesday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "thursday", "editable": true, "filter": { "type": "boolean" }, "header": "Thursday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.thursday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "friday", "editable": true, "filter": { "type": "boolean" }, "header": "Friday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.friday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "saturday", "editable": true, "filter": { "type": "boolean" }, "header": "Saturday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.saturday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "sunday", "editable": true, "filter": { "type": "boolean" }, "header": "Sunday", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.sunday) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "max_events", "editable": true, "editor": max_events2807, "filter": { "type": "numeric" }, "format": "0", "header": "Number of events", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.max_events) Maximum number of calendar entries to generate.") }, "sortable": true, "tooltip": "Maximum number of calendar entries to generate.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "max_date", "editable": true, "editor": max_date2808, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Generate events until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.max_date) Don't generate meeting having their start date beyond this\ndate.") }, "sortable": true, "tooltip": "Don't generate meeting having their start date beyond this\ndate.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 23, "dataIndex": "description", "editable": true, "editor": description2809, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "description_nl", "editable": true, "editor": description_nl2810, "filter": { "type": "string" }, "header": "Description (nl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.description_nl) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "description_de", "editable": true, "editor": description_de2811, "filter": { "type": "string" }, "header": "Description (de)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.description_de) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "description_en", "editable": true, "editor": description_en2812, "filter": { "type": "string" }, "header": "Description (en)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.description_en) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "remark", "editable": true, "editor": remark2813, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 28, "dataIndex": "state", "editable": true, "editor": state2814, "filter": { "options": [ "Draft", "Started", "Inactive", "Closed" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.state) The workflow state field.") }, "sortable": false, "tooltip": "The workflow state field.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 29, "dataIndex": "max_places", "editable": true, "editor": max_places2815, "filter": { "type": "numeric" }, "format": "0", "header": "Available places", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.max_places) Maximum number of participants") }, "sortable": true, "tooltip": "Maximum number of participants", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 30, "dataIndex": "enrolments_until", "editable": true, "editor": enrolments_until2816, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enrolments until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.enrolments_until) Until when new enrolments are accepted.") }, "sortable": true, "tooltip": "Until when new enrolments are accepted.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 31, "dataIndex": "slot", "editable": true, "editor": slot2817, "filter": { "type": "string" }, "header": "Timetable Slot", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.ActivitiesBySlot.slot) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.courses.ActivitiesBySlot.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesBySlot.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ActivitiesBySlot.insertPanel = Ext.extend(Lino.courses.Activities.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/ActivitiesBySlot",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesBySlot.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesBySlot.insert;
    Lino.courses.ActivitiesBySlot.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesBySlot.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/ActivitiesBySlot" };
  return new Lino.courses.ActivitiesBySlot.insertPanel(p);
});
Lino.courses.ActivitiesBySlot.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.ActivitiesBySlot.detailPanel = Ext.extend(Lino.courses.Activities.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Workshop.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/ActivitiesBySlot','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Update the presence lists of all calendar events generated by\nthis.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/ActivitiesBySlot",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.ActivitiesBySlot.detail;
    this.ls_insert_handler = Lino.courses.ActivitiesBySlot.insert;
    Lino.courses.ActivitiesBySlot.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.ActivitiesBySlot.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActivitiesBySlot" };
  return new Lino.courses.ActivitiesBySlot.detailPanel(p);
});
Lino.courses.ActivitiesBySlot.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/ActivitiesBySlot" };
  p.params_panel = new Lino.courses.Activities.ParamsPanel({});
  return new Lino.courses.ActivitiesBySlot.GridPanel(p);
});
Lino.courses.ActivitiesBySlot.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.ActivitiesBySlot.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/ActivitiesBySlot", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.EnrolmentsByPupil
Lino.courses.EnrolmentsByPupil.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/EnrolmentsByPupil",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "course" }, 'courseHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "course_area" }, 'course_areaHidden', { "name": "state" }, 'stateHidden', { "name": "places", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "confirmation_details" }, { "name": "motivation" }, { "name": "problems" }, { "name": "pupil" }, 'pupilHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Enrolment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Inscription", "overflowText": "Inscription", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/EnrolmentsByPupil','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Enrolments in Workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.EnrolmentsByPupil.detail;
    this.ls_insert_handler = Lino.courses.EnrolmentsByPupil.insert;
    var ww = this.containing_window;
    var request_date6046 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var course6047 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Workshop...", "pageSize": 20, "related_actor_id": "courses.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/EnrolmentsByPupil/course" }) }) });
    var workflow_buttons_disp6048 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6049 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date6050 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date6051 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user6052 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/EnrolmentsByPupil/user" }) }) });
    var printed_by6053 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var course_area6054 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": [['','<br>']].concat(Lino.courses.ActivityLayouts) });
    var state6055 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.EnrolmentStates });
    var places6056 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark6057 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var confirmation_details6058 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var motivation6059 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Motif de l'orientation" });
    var problems6060 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es" });
    var pupil6061 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Client...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/EnrolmentsByPupil/pupil" }) }) });
    this.before_row_edit = function(record) {
      course6047.setContextValue('course_area', record ? record.data['course_areaHidden'] : undefined);
      course6047.setContextValue('request_date', record ? record.data['request_date'] : undefined);
      motivation6059.refresh();
      problems6060.refresh();
      pupil6061.setContextValue('course', record ? record.data['courseHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof course_area6054 !== 'undefined' && course_area6054.on('change',Lino.chooser_handler(course6047,'course_area'));
      typeof request_date6046 !== 'undefined' && request_date6046.on('change',Lino.chooser_handler(course6047,'request_date'));
      typeof course6047 !== 'undefined' && course6047.on('change',Lino.chooser_handler(pupil6061,'course'));
      Lino.courses.EnrolmentsByPupil.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "request_date", "editable": true, "editor": request_date6046, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date of request", "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "course", "editable": true, "editor": course6047, "filter": { "type": "string" }, "header": "Workshop", "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.course) ") }, "renderer": Lino.fk_renderer('courseHidden','Lino.courses.Activities.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id6049, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date6050, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date6051, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user6052, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "course_area", "editable": false, "filter": { "options": [ "Integration workshops", "Job search workshops" ], "type": "list" }, "header": "Layout", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.course_area) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state6055, "filter": { "options": [ "Requested", "Never came", "Confirmed", "Cancelled", "Started", "Finished" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.state) One of lino_xl.lib.courses.EnrolmentStates.") }, "sortable": false, "tooltip": "One of lino_xl.lib.courses.EnrolmentStates.", "width": Lino.chars2width(15) }, { "align": "right", "colIndex": 10, "dataIndex": "places", "editable": true, "editor": places6056, "filter": { "type": "numeric" }, "format": "0", "header": "Places used", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.places) The number of participants in this enrolment.") }, "sortable": true, "tooltip": "The number of participants in this enrolment.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "remark", "editable": true, "editor": remark6057, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "confirmation_details", "editable": true, "editor": confirmation_details6058, "filter": { "type": "string" }, "header": "Confirmation details", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.confirmation_details) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "motivation", "editable": true, "editor": motivation6059, "filter": { "type": "string" }, "header": "Motif de l'orientation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.motivation) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "problems", "editable": true, "editor": problems6060, "filter": { "type": "string" }, "header": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.problems) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "pupil", "editable": true, "editor": pupil6061, "filter": { "type": "string" }, "header": "Participant", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByPupil.pupil) ") }, "renderer": Lino.fk_renderer('pupilHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.courses.EnrolmentsByPupil.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.EnrolmentsByPupil.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.EnrolmentsByPupil.insertPanel = Ext.extend(Lino.courses.EnrolmentsByPupil.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/EnrolmentsByPupil",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.EnrolmentsByPupil.detail;
    this.ls_insert_handler = Lino.courses.EnrolmentsByPupil.insert;
    Lino.courses.EnrolmentsByPupil.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.EnrolmentsByPupil.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/EnrolmentsByPupil" };
  return new Lino.courses.EnrolmentsByPupil.insertPanel(p);
});
Lino.courses.EnrolmentsByPupil.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.EnrolmentsByPupil.detailPanel = Ext.extend(Lino.courses.Enrolments.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Enrolment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Inscription", "overflowText": "Inscription", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/EnrolmentsByPupil','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/EnrolmentsByPupil",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.EnrolmentsByPupil.detail;
    this.ls_insert_handler = Lino.courses.EnrolmentsByPupil.insert;
    Lino.courses.EnrolmentsByPupil.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.EnrolmentsByPupil.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/EnrolmentsByPupil" };
  return new Lino.courses.EnrolmentsByPupil.detailPanel(p);
});
Lino.courses.EnrolmentsByPupil.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/EnrolmentsByPupil" };
  p.params_panel = new Lino.courses.Enrolments.ParamsPanel({});
  return new Lino.courses.EnrolmentsByPupil.GridPanel(p);
});
Lino.courses.EnrolmentsByPupil.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByPupil.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByPupil", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.EnrolmentsByCourse
Lino.courses.EnrolmentsByCourse.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/EnrolmentsByCourse",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "pupil" }, 'pupilHidden', { "name": "places", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "course_area" }, 'course_areaHidden', { "name": "state" }, 'stateHidden', { "name": "confirmation_details" }, { "name": "motivation" }, { "name": "problems" }, { "name": "course" }, 'courseHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Enrolment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Inscription", "overflowText": "Inscription", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/EnrolmentsByCourse','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Enrolments",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.EnrolmentsByCourse.detail;
    this.ls_insert_handler = Lino.courses.EnrolmentsByCourse.insert;
    var ww = this.containing_window;
    var request_date9572 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var pupil9573 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Client...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/EnrolmentsByCourse/pupil" }) }) });
    var places9574 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 1 });
    var remark9575 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp9576 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id9577 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date9578 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date9579 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user9580 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/EnrolmentsByCourse/user" }) }) });
    var printed_by9581 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var course_area9582 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": [['','<br>']].concat(Lino.courses.ActivityLayouts) });
    var state9583 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.EnrolmentStates });
    var confirmation_details9584 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var motivation9585 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Motif de l'orientation" });
    var problems9586 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es" });
    var course9587 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Workshop...", "hidden": true, "pageSize": 20, "related_actor_id": "courses.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/EnrolmentsByCourse/course" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      pupil9573.setContextValue('mk',bp['mk']);
      pupil9573.setContextValue('mt',bp['mt']);
      motivation9585.refresh();
      problems9586.refresh();
      course9587.setContextValue('course_area', record ? record.data['course_areaHidden'] : undefined);
      course9587.setContextValue('request_date', record ? record.data['request_date'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof course9587 !== 'undefined' && course9587.on('change',Lino.chooser_handler(pupil9573,'course'));
      typeof course_area9582 !== 'undefined' && course_area9582.on('change',Lino.chooser_handler(course9587,'course_area'));
      typeof request_date9572 !== 'undefined' && request_date9572.on('change',Lino.chooser_handler(course9587,'request_date'));
      Lino.courses.EnrolmentsByCourse.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "request_date", "editable": true, "editor": request_date9572, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date of request", "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "pupil", "editable": true, "editor": pupil9573, "filter": { "type": "string" }, "header": "Participant", "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.pupil) ") }, "renderer": Lino.fk_renderer('pupilHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "places", "editable": true, "editor": places9574, "filter": { "type": "numeric" }, "format": "0", "header": "Places used", "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.places) The number of participants in this enrolment.") }, "sortable": true, "tooltip": "The number of participants in this enrolment.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark9575, "filter": { "type": "string" }, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id9577, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "start_date", "editable": true, "editor": start_date9578, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "end_date", "editable": true, "editor": end_date9579, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user9580, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "course_area", "editable": false, "filter": { "options": [ "Integration workshops", "Job search workshops" ], "type": "list" }, "header": "Layout", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.course_area) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 11, "dataIndex": "state", "editable": true, "editor": state9583, "filter": { "options": [ "Requested", "Never came", "Confirmed", "Cancelled", "Started", "Finished" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.state) One of lino_xl.lib.courses.EnrolmentStates.") }, "sortable": false, "tooltip": "One of lino_xl.lib.courses.EnrolmentStates.", "width": Lino.chars2width(15) }, { "colIndex": 12, "dataIndex": "confirmation_details", "editable": true, "editor": confirmation_details9584, "filter": { "type": "string" }, "header": "Confirmation details", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.confirmation_details) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "motivation", "editable": true, "editor": motivation9585, "filter": { "type": "string" }, "header": "Motif de l'orientation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.motivation) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "problems", "editable": true, "editor": problems9586, "filter": { "type": "string" }, "header": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.problems) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "course", "editable": true, "editor": course9587, "filter": { "type": "string" }, "header": "Workshop", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.EnrolmentsByCourse.course) ") }, "renderer": Lino.fk_renderer('courseHidden','Lino.courses.Activities.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.courses.EnrolmentsByCourse.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.EnrolmentsByCourse.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.EnrolmentsByCourse.insertPanel = Ext.extend(Lino.courses.EnrolmentsByCourse.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/EnrolmentsByCourse",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.EnrolmentsByCourse.detail;
    this.ls_insert_handler = Lino.courses.EnrolmentsByCourse.insert;
    Lino.courses.EnrolmentsByCourse.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.EnrolmentsByCourse.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/EnrolmentsByCourse" };
  return new Lino.courses.EnrolmentsByCourse.insertPanel(p);
});
Lino.courses.EnrolmentsByCourse.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.EnrolmentsByCourse.detailPanel = Ext.extend(Lino.courses.Enrolments.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Enrolment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Inscription", "overflowText": "Inscription", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/EnrolmentsByCourse','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/EnrolmentsByCourse",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.EnrolmentsByCourse.detail;
    this.ls_insert_handler = Lino.courses.EnrolmentsByCourse.insert;
    Lino.courses.EnrolmentsByCourse.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.EnrolmentsByCourse.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/EnrolmentsByCourse" };
  return new Lino.courses.EnrolmentsByCourse.detailPanel(p);
});
Lino.courses.EnrolmentsByCourse.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/EnrolmentsByCourse" };
  p.params_panel = new Lino.courses.Enrolments.ParamsPanel({});
  return new Lino.courses.EnrolmentsByCourse.GridPanel(p);
});
Lino.courses.EnrolmentsByCourse.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.EnrolmentsByCourse.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/EnrolmentsByCourse", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.BasicEnrolmentsByPupil
Lino.courses.BasicEnrolmentsByPupil.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/BasicEnrolmentsByPupil",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "course" }, 'courseHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "course_area" }, 'course_areaHidden', { "name": "state" }, 'stateHidden', { "name": "places", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "confirmation_details" }, { "name": "motivation" }, { "name": "problems" }, { "name": "pupil" }, 'pupilHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Enrolment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Inscription", "overflowText": "Inscription", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/BasicEnrolmentsByPupil','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Enrolments in Integration workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.BasicEnrolmentsByPupil.detail;
    this.ls_insert_handler = Lino.courses.BasicEnrolmentsByPupil.insert;
    var ww = this.containing_window;
    var request_date6254 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var course6255 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Workshop...", "pageSize": 20, "related_actor_id": "courses.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/BasicEnrolmentsByPupil/course" }) }) });
    var workflow_buttons_disp6256 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6257 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date6258 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date6259 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user6260 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/BasicEnrolmentsByPupil/user" }) }) });
    var printed_by6261 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var course_area6262 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": [['','<br>']].concat(Lino.courses.ActivityLayouts) });
    var state6263 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.EnrolmentStates });
    var places6264 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark6265 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var confirmation_details6266 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var motivation6267 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Motif de l'orientation" });
    var problems6268 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es" });
    var pupil6269 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Client...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/BasicEnrolmentsByPupil/pupil" }) }) });
    this.before_row_edit = function(record) {
      course6255.setContextValue('course_area', record ? record.data['course_areaHidden'] : undefined);
      course6255.setContextValue('request_date', record ? record.data['request_date'] : undefined);
      motivation6267.refresh();
      problems6268.refresh();
      pupil6269.setContextValue('course', record ? record.data['courseHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof course_area6262 !== 'undefined' && course_area6262.on('change',Lino.chooser_handler(course6255,'course_area'));
      typeof request_date6254 !== 'undefined' && request_date6254.on('change',Lino.chooser_handler(course6255,'request_date'));
      typeof course6255 !== 'undefined' && course6255.on('change',Lino.chooser_handler(pupil6269,'course'));
      Lino.courses.BasicEnrolmentsByPupil.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "request_date", "editable": true, "editor": request_date6254, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date of request", "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "course", "editable": true, "editor": course6255, "filter": { "type": "string" }, "header": "Workshop", "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.course) ") }, "renderer": Lino.fk_renderer('courseHidden','Lino.courses.Activities.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id6257, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date6258, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date6259, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user6260, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "course_area", "editable": false, "filter": { "options": [ "Integration workshops", "Job search workshops" ], "type": "list" }, "header": "Layout", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.course_area) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state6263, "filter": { "options": [ "Requested", "Never came", "Confirmed", "Cancelled", "Started", "Finished" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.state) One of lino_xl.lib.courses.EnrolmentStates.") }, "sortable": false, "tooltip": "One of lino_xl.lib.courses.EnrolmentStates.", "width": Lino.chars2width(15) }, { "align": "right", "colIndex": 10, "dataIndex": "places", "editable": true, "editor": places6264, "filter": { "type": "numeric" }, "format": "0", "header": "Places used", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.places) The number of participants in this enrolment.") }, "sortable": true, "tooltip": "The number of participants in this enrolment.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "remark", "editable": true, "editor": remark6265, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "confirmation_details", "editable": true, "editor": confirmation_details6266, "filter": { "type": "string" }, "header": "Confirmation details", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.confirmation_details) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "motivation", "editable": true, "editor": motivation6267, "filter": { "type": "string" }, "header": "Motif de l'orientation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.motivation) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "problems", "editable": true, "editor": problems6268, "filter": { "type": "string" }, "header": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.problems) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "pupil", "editable": true, "editor": pupil6269, "filter": { "type": "string" }, "header": "Participant", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.BasicEnrolmentsByPupil.pupil) ") }, "renderer": Lino.fk_renderer('pupilHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.courses.BasicEnrolmentsByPupil.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.BasicEnrolmentsByPupil.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.BasicEnrolmentsByPupil.insertPanel = Ext.extend(Lino.courses.EnrolmentsByPupil.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/BasicEnrolmentsByPupil",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.BasicEnrolmentsByPupil.detail;
    this.ls_insert_handler = Lino.courses.BasicEnrolmentsByPupil.insert;
    Lino.courses.BasicEnrolmentsByPupil.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.BasicEnrolmentsByPupil.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/BasicEnrolmentsByPupil" };
  return new Lino.courses.BasicEnrolmentsByPupil.insertPanel(p);
});
Lino.courses.BasicEnrolmentsByPupil.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.BasicEnrolmentsByPupil.detailPanel = Ext.extend(Lino.courses.Enrolments.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Enrolment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Inscription", "overflowText": "Inscription", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/BasicEnrolmentsByPupil','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/BasicEnrolmentsByPupil",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.BasicEnrolmentsByPupil.detail;
    this.ls_insert_handler = Lino.courses.BasicEnrolmentsByPupil.insert;
    Lino.courses.BasicEnrolmentsByPupil.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.BasicEnrolmentsByPupil.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/BasicEnrolmentsByPupil" };
  return new Lino.courses.BasicEnrolmentsByPupil.detailPanel(p);
});
Lino.courses.BasicEnrolmentsByPupil.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/BasicEnrolmentsByPupil" };
  p.params_panel = new Lino.courses.Enrolments.ParamsPanel({});
  return new Lino.courses.BasicEnrolmentsByPupil.GridPanel(p);
});
Lino.courses.BasicEnrolmentsByPupil.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.BasicEnrolmentsByPupil.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/BasicEnrolmentsByPupil", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class courses.JobEnrolmentsByPupil
Lino.courses.JobEnrolmentsByPupil.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/courses/JobEnrolmentsByPupil",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "course" }, 'courseHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "course_area" }, 'course_areaHidden', { "name": "state" }, 'stateHidden', { "name": "places", "type": "int", "useNull": true }, { "name": "remark" }, { "name": "confirmation_details" }, { "name": "motivation" }, { "name": "problems" }, { "name": "pupil" }, 'pupilHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 100,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Enrolment.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Inscription", "overflowText": "Inscription", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/JobEnrolmentsByPupil','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Enrolments in Job search workshops",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.JobEnrolmentsByPupil.detail;
    this.ls_insert_handler = Lino.courses.JobEnrolmentsByPupil.insert;
    var ww = this.containing_window;
    var request_date6274 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var course6275 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Workshop...", "pageSize": 20, "related_actor_id": "courses.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/JobEnrolmentsByPupil/course" }) }) });
    var workflow_buttons_disp6276 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6277 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date6278 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date6279 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user6280 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/JobEnrolmentsByPupil/user" }) }) });
    var printed_by6281 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a Excerpt...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var course_area6282 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": [['','<br>']].concat(Lino.courses.ActivityLayouts) });
    var state6283 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.courses.EnrolmentStates });
    var places6284 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 1 });
    var remark6285 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var confirmation_details6286 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var motivation6287 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Motif de l'orientation" });
    var problems6288 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es" });
    var pupil6289 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Select a Client...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/courses/JobEnrolmentsByPupil/pupil" }) }) });
    this.before_row_edit = function(record) {
      course6275.setContextValue('course_area', record ? record.data['course_areaHidden'] : undefined);
      course6275.setContextValue('request_date', record ? record.data['request_date'] : undefined);
      motivation6287.refresh();
      problems6288.refresh();
      pupil6289.setContextValue('course', record ? record.data['courseHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof course_area6282 !== 'undefined' && course_area6282.on('change',Lino.chooser_handler(course6275,'course_area'));
      typeof request_date6274 !== 'undefined' && request_date6274.on('change',Lino.chooser_handler(course6275,'request_date'));
      typeof course6275 !== 'undefined' && course6275.on('change',Lino.chooser_handler(pupil6289,'course'));
      Lino.courses.JobEnrolmentsByPupil.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "request_date", "editable": true, "editor": request_date6274, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date of request", "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "course", "editable": true, "editor": course6275, "filter": { "type": "string" }, "header": "Workshop", "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.course) ") }, "renderer": Lino.fk_renderer('courseHidden','Lino.courses.Activities.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id6277, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date6278, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date6279, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user6280, "filter": { "type": "string" }, "header": "Author", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Printed", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "course_area", "editable": false, "filter": { "options": [ "Integration workshops", "Job search workshops" ], "type": "list" }, "header": "Layout", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.course_area) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state6283, "filter": { "options": [ "Requested", "Never came", "Confirmed", "Cancelled", "Started", "Finished" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.state) One of lino_xl.lib.courses.EnrolmentStates.") }, "sortable": false, "tooltip": "One of lino_xl.lib.courses.EnrolmentStates.", "width": Lino.chars2width(15) }, { "align": "right", "colIndex": 10, "dataIndex": "places", "editable": true, "editor": places6284, "filter": { "type": "numeric" }, "format": "0", "header": "Places used", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.places) The number of participants in this enrolment.") }, "sortable": true, "tooltip": "The number of participants in this enrolment.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "remark", "editable": true, "editor": remark6285, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "confirmation_details", "editable": true, "editor": confirmation_details6286, "filter": { "type": "string" }, "header": "Confirmation details", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.confirmation_details) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "motivation", "editable": true, "editor": motivation6287, "filter": { "type": "string" }, "header": "Motif de l'orientation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.motivation) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "problems", "editable": true, "editor": problems6288, "filter": { "type": "string" }, "header": "Difficult\u00e9s \u00e0 l'origine de la demande / Probl\u00e9matiques rep\u00e9r\u00e9es", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.problems) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "pupil", "editable": true, "editor": pupil6289, "filter": { "type": "string" }, "header": "Participant", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(courses.JobEnrolmentsByPupil.pupil) ") }, "renderer": Lino.fk_renderer('pupilHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.courses.JobEnrolmentsByPupil.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.JobEnrolmentsByPupil.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.JobEnrolmentsByPupil.insertPanel = Ext.extend(Lino.courses.EnrolmentsByPupil.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/courses/JobEnrolmentsByPupil",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.JobEnrolmentsByPupil.detail;
    this.ls_insert_handler = Lino.courses.JobEnrolmentsByPupil.insert;
    Lino.courses.JobEnrolmentsByPupil.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.JobEnrolmentsByPupil.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/courses/JobEnrolmentsByPupil" };
  return new Lino.courses.JobEnrolmentsByPupil.insertPanel(p);
});
Lino.courses.JobEnrolmentsByPupil.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.JobEnrolmentsByPupil.detailPanel = Ext.extend(Lino.courses.Enrolments.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Enrolment.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Inscription", "overflowText": "Inscription", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Create an excerpt in order to print this data record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Clear print cache", "overflowText": "Clear print cache", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/JobEnrolmentsByPupil','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/courses/JobEnrolmentsByPupil",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.JobEnrolmentsByPupil.detail;
    this.ls_insert_handler = Lino.courses.JobEnrolmentsByPupil.insert;
    Lino.courses.JobEnrolmentsByPupil.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.JobEnrolmentsByPupil.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/JobEnrolmentsByPupil" };
  return new Lino.courses.JobEnrolmentsByPupil.detailPanel(p);
});
Lino.courses.JobEnrolmentsByPupil.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/JobEnrolmentsByPupil" };
  p.params_panel = new Lino.courses.Enrolments.ParamsPanel({});
  return new Lino.courses.JobEnrolmentsByPupil.GridPanel(p);
});
Lino.courses.JobEnrolmentsByPupil.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.JobEnrolmentsByPupil.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/JobEnrolmentsByPupil", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class changes.ChangesByMaster
Lino.changes.ChangesByMaster.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/changes/ChangesByMaster",
  ls_store_fields : [ { "name": "time" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "changed_fields" }, { "name": "object" }, { "name": "id", "type": "int" }, { "name": "object_type" }, 'object_typeHidden', { "name": "object_id" }, 'object_idHidden', { "name": "master_type" }, 'master_typeHidden', { "name": "master_id" }, 'master_idHidden', { "name": "diff" }, { "name": "master" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 15,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of changes.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Changes",
  disabled_fields_index : 18,
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.ChangesByMaster.detail;
    var ww = this.containing_window;
    var time2026 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var user2027 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/user" }) }) });
    var type2028 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.changes.ChangeTypes });
    var changed_fields2029 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 250, "selectOnFocus": true });
    var object_disp2030 = new Ext.form.DisplayField({ "disabled": true });
    var id2031 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var object_type2032 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/object_type" }) }) });
    var object_id2033 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/object_id" }) }) });
    var master_type2034 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/master_type" }) }) });
    var master_id2035 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/master_id" }) }) });
    var diff2036 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var master_disp2037 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof object_type2032 !== 'undefined' && object_type2032.on('change',Lino.chooser_handler(object_id2033,'object_type'));
      typeof master_type2034 !== 'undefined' && master_type2034.on('change',Lino.chooser_handler(master_id2035,'master_type'));
      Lino.changes.ChangesByMaster.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "time", "editable": true, "editor": time2026, "header": "time", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user2027, "filter": { "type": "string" }, "header": "User", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.user) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type2028, "filter": { "options": [ "Create", "Update", "Delete", "Remove child", "Add child", "Merge" ], "type": "list" }, "header": "Change Type", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 3, "dataIndex": "changed_fields", "editable": true, "editor": changed_fields2029, "filter": { "type": "string" }, "header": "Fields", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.changed_fields) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "object", "editable": false, "header": "Object", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object) The database object which has been modified.") }, "sortable": false, "tooltip": "The database object which has been modified.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id2031, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "object_type", "editable": true, "editor": object_type2032, "filter": { "type": "string" }, "header": "Object type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "object_id", "editable": true, "editor": object_id2033, "filter": { "type": "string" }, "header": "object id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "master_type", "editable": true, "editor": master_type2034, "filter": { "type": "string" }, "header": "Master type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "master_id", "editable": true, "editor": master_id2035, "filter": { "type": "string" }, "header": "master id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "diff", "editable": false, "filter": { "type": "string" }, "header": "Changes", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.diff) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "master", "editable": false, "header": "Master", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master) The database object which acts as \"master\".") }, "sortable": false, "tooltip": "The database object which acts as \"master\".", "width": Lino.chars2width(11) } ];
    Lino.changes.ChangesByMaster.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangesByMaster.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.changes.ChangesByMaster.detailPanel = Ext.extend(Lino.changes.Changes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/changes/ChangesByMaster",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.ChangesByMaster.detail;
    Lino.changes.ChangesByMaster.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangesByMaster.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangesByMaster" };
  return new Lino.changes.ChangesByMaster.detailPanel(p);
});
Lino.changes.ChangesByMaster.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangesByMaster" };
  p.params_panel = new Lino.changes.Changes.ParamsPanel({});
  return new Lino.changes.ChangesByMaster.GridPanel(p);
});
Lino.changes.ChangesByMaster.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class checkdata.MessagesByOwner
Lino.checkdata.MessagesByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/MessagesByOwner",
  ls_store_fields : [ { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 16,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of checkdata.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/checkdata/MessagesByOwner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Data problem messages",
  disabled_fields_index : 11,
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MessagesByOwner.detail;
    var ww = this.containing_window;
    var message9591 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker9592 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var user9593 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MessagesByOwner/user" }) }) });
    var id9594 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type9595 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MessagesByOwner/owner_type" }) }) });
    var owner_id9596 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MessagesByOwner/owner_id" }) }) });
    var owner_disp9597 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
    };
    this.onRender = function(ct, position) {
      typeof owner_type9595 !== 'undefined' && owner_type9595.on('change',Lino.chooser_handler(owner_id9596,'owner_type'));
      Lino.checkdata.MessagesByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "message", "editable": true, "editor": message9591, "filter": { "type": "string" }, "header": "Message text", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByOwner.message) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(51) }, { "colIndex": 1, "dataIndex": "checker", "editable": true, "editor": checker9592, "filter": { "options": [ "Check for missing or non-primary address records", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Check for conflicting calendar entries", "Entries without participants", "Too long-lasting calendar entries", "Obsolete generated calendar entries", "Check coachings", "Check data of geographical places.", "Check for overlapping contracts", "Check for previewables needing update", "Check for missing phonetic words", "Check for missing target files", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByOwner.checker) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user9593, "filter": { "type": "string" }, "header": "Responsible", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByOwner.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id9594, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "owner_type", "editable": true, "editor": owner_type9595, "filter": { "type": "string" }, "header": "Database object (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByOwner.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_id", "editable": true, "editor": owner_id9596, "filter": { "type": "string" }, "header": "Database object (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "owner", "editable": false, "header": "Database object", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MessagesByOwner.owner) ") }, "sortable": false, "tooltip": "(checkdata.MessagesByOwner.owner) ", "width": Lino.chars2width(11) } ];
    Lino.checkdata.MessagesByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MessagesByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MessagesByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MessagesByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MessagesByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.MessagesByOwner.detailPanel = Ext.extend(Lino.checkdata.Messages.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/checkdata/MessagesByOwner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/MessagesByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MessagesByOwner.detail;
    Lino.checkdata.MessagesByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MessagesByOwner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MessagesByOwner" };
  return new Lino.checkdata.MessagesByOwner.detailPanel(p);
});
Lino.checkdata.MessagesByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MessagesByOwner" };
  p.params_panel = new Lino.checkdata.Messages.ParamsPanel({});
  return new Lino.checkdata.MessagesByOwner.GridPanel(p);
});
Lino.checkdata.MessagesByOwner.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByOwner", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MessagesByOwner.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByOwner", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MessagesByOwner.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MessagesByOwner", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByOwner
Lino.excerpts.ExcerptsByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByOwner",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "language" }, 'languageHidden', { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 19,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of excerpts.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Existing excerpts",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByOwner.detail;
    var ww = this.containing_window;
    var build_time9601 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type9602 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Select a Excerpt Type...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/excerpt_type" }) }) });
    var user9603 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/user" }) }) });
    var project9604 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/project" }) }) });
    var id9605 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method9606 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type9607 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/owner_type" }) }) });
    var owner_id9608 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/owner_id" }) }) });
    var contact_person9609 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/contact_person" }) }) });
    var contact_role9610 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/contact_role" }) }) });
    var company9611 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/company" }) }) });
    var language9612 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var owner_disp9613 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      excerpt_type9602.setContextValue('mk',bp['mk']);
      excerpt_type9602.setContextValue('mt',bp['mt']);
      owner_id9608.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person9609.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_disp9613 !== 'undefined' && owner_disp9613.on('change',Lino.chooser_handler(excerpt_type9602,'owner'));
      typeof owner_type9607 !== 'undefined' && owner_type9607.on('change',Lino.chooser_handler(owner_id9608,'owner_type'));
      typeof company9611 !== 'undefined' && company9611.on('change',Lino.chooser_handler(contact_person9609,'company'));
      Lino.excerpts.ExcerptsByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "build time", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type9602, "filter": { "type": "string" }, "header": "Excerpt Type", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user9603, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "project", "editable": true, "editor": project9604, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id9605, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method9606, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type9607, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id9608, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person9609, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role9610, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company9611, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language9612, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) } ];
    Lino.excerpts.ExcerptsByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByOwner.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByOwner.detail;
    Lino.excerpts.ExcerptsByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByOwner.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByOwner" };
  return new Lino.excerpts.ExcerptsByOwner.detailPanel(p);
});
Lino.excerpts.ExcerptsByOwner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByOwner" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByOwner.GridPanel(p);
});
Lino.excerpts.ExcerptsByOwner.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByController
Lino.uploads.UploadsByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByController",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "mimetype" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 22,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of uploads.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload files",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    var ww = this.containing_window;
    var user9617 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/user" }) }) });
    var project9618 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/project" }) }) });
    var type9619 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Upload type...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/type" }) }) });
    var file9620 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date9621 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9622 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed9623 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp9624 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id9625 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var mimetype9626 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var file_size9627 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var owner_type9628 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/owner_type" }) }) });
    var owner_id9629 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/owner_id" }) }) });
    var contact_person9630 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/contact_person" }) }) });
    var contact_role9631 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/contact_role" }) }) });
    var company9632 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/company" }) }) });
    var upload_area9633 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume9634 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Library volume...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/volume" }) }) });
    var library_file9635 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/library_file" }) }) });
    var description9636 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark9637 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp9638 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type9619.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id9629.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person9630.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file9635.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof upload_area9633 !== 'undefined' && upload_area9633.on('change',Lino.chooser_handler(type9619,'upload_area'));
      typeof owner_type9628 !== 'undefined' && owner_type9628.on('change',Lino.chooser_handler(owner_id9629,'owner_type'));
      typeof company9632 !== 'undefined' && company9632.on('change',Lino.chooser_handler(contact_person9630,'company'));
      typeof volume9634 !== 'undefined' && volume9634.on('change',Lino.chooser_handler(library_file9635,'volume'));
      Lino.uploads.UploadsByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user9617, "filter": { "type": "string" }, "header": "Uploaded by", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project9618, "filter": { "type": "string" }, "header": "Client", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type9619, "filter": { "type": "string" }, "header": "Upload type", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file9620, "filter": { "type": "string" }, "header": "File", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date9621, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid from", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date9622, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valid until", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "Needed", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id9625, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type9628, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id9629, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person9630, "filter": { "type": "string" }, "header": "Issued by (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role9631, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "company", "editable": true, "editor": company9632, "filter": { "type": "string" }, "header": "Issued by (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "upload_area", "editable": true, "editor": upload_area9633, "filter": { "options": [ "Contract", "General" ], "type": "list" }, "header": "Upload area", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "volume", "editable": true, "editor": volume9634, "filter": { "type": "string" }, "header": "Library volume", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "library_file", "editable": true, "editor": library_file9635, "filter": { "type": "string" }, "header": "Library file", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description9636, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark9637, "filter": { "type": "string" }, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByController.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.UploadsByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByController.insertPanel = Ext.extend(Lino.uploads.UploadsByController.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    Lino.uploads.UploadsByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  return new Lino.uploads.UploadsByController.insertPanel(p);
});
Lino.uploads.UploadsByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByController.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Upload file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    Lino.uploads.UploadsByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  return new Lino.uploads.UploadsByController.detailPanel(p);
});
Lino.uploads.UploadsByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByController.GridPanel(p);
});
Lino.uploads.UploadsByController.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByController
Lino.outbox.MailsByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByController",
  ls_store_fields : [ { "name": "sent" }, { "name": "recipients" }, { "name": "subject" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "body" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 24,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Outgoing Mail.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of outbox.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Outgoing Mails",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    var ww = this.containing_window;
    var sent1713 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var recipients_htmlbox1714 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Recipients", "value": "<br/>" });
    var subject1715 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id1716 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project1717 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/project" }) }) });
    var user1718 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/user" }) }) });
    var owner_type1719 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/owner_type" }) }) });
    var owner_id1720 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/owner_id" }) }) });
    var date1721 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var body1722 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Body" });
    var owner_disp1723 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      recipients_htmlbox1714.refresh();
      owner_id1720.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body1722.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type1719 !== 'undefined' && owner_type1719.on('change',Lino.chooser_handler(owner_id1720,'owner_type'));
      Lino.outbox.MailsByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "recipients", "editable": false, "header": "Recipients", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByController.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "subject", "editable": true, "editor": subject1715, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id1716, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project1717, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user1718, "filter": { "type": "string" }, "header": "Sender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type1719, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id1720, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "date", "editable": true, "editor": date1721, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "body", "editable": true, "editor": body1722, "filter": { "type": "string" }, "header": "Body", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner) ") }, "sortable": false, "tooltip": "(outbox.MailsByController.owner) ", "width": Lino.chars2width(11) } ];
    Lino.outbox.MailsByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByController.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    Lino.outbox.MailsByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  return new Lino.outbox.MailsByController.insertPanel(p);
});
Lino.outbox.MailsByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByController.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Outgoing Mail.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    Lino.outbox.MailsByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  return new Lino.outbox.MailsByController.detailPanel(p);
});
Lino.outbox.MailsByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByController.GridPanel(p);
});
Lino.outbox.MailsByController.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByController
Lino.cal.TasksByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByController",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "delegated", "type": "boolean" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 37,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Task.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of cal.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tasks",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    var ww = this.containing_window;
    var start_date1124 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var due_date1125 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary1126 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user1127 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByController/user" }) }) });
    var delegated1128 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var workflow_buttons_disp1129 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1130 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1124, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "due_date", "editable": true, "editor": due_date1125, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Due date", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary1126, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user1127, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id1130, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cal.TasksByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByController.insertPanel = Ext.extend(Lino.cal.TasksByController.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    Lino.cal.TasksByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByController" };
  return new Lino.cal.TasksByController.insertPanel(p);
});
Lino.cal.TasksByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByController.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Task.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    Lino.cal.TasksByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByController" };
  return new Lino.cal.TasksByController.detailPanel(p);
});
Lino.cal.TasksByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByController" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByController.GridPanel(p);
});
Lino.cal.TasksByController.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByController
Lino.cal.EntriesByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByController",
  ls_store_fields : [ { "name": "when_html" }, { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "auto_type", "type": "int", "useNull": true }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "guests_edited", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "notify_before", "type": "int", "useNull": true }, { "name": "notify_unit" }, 'notify_unitHidden', { "name": "notified", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of courses.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Calendar entries",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    var ww = this.containing_window;
    var when_html_disp1618 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var summary1619 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user1620 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/user" }) }) });
    var auto_type1621 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var workflow_buttons_disp1622 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1623 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified1624 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created1625 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project1626 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/project" }) }) });
    var start_date1627 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time1628 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date1629 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time1630 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time1631 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method1632 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to1633 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Select a User...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/assigned_to" }) }) });
    var owner_type1634 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/owner_type" }) }) });
    var owner_id1635 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/owner_id" }) }) });
    var description1636 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class1637 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence1638 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var priority1639 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type1640 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Calendar entry type...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/event_type" }) }) });
    var transparent1641 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var guests_edited1642 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room1643 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Room...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/room" }) }) });
    var state1644 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var notify_before1645 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var notify_unit1646 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.NotifyBeforeUnits });
    var notified1647 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp1648 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id1635.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type1634 !== 'undefined' && owner_type1634.on('change',Lino.chooser_handler(owner_id1635,'owner_type'));
      Lino.cal.EntriesByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_html", "editable": false, "header": "When", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.when_html) Shows the date and time of the calendar entry with a link that\nopens all entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the calendar entry with a link that\nopens all entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "summary", "editable": true, "editor": summary1619, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user1620, "filter": { "type": "string" }, "header": "Managed by", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.user) The responsible user.") }, "sortable": false, "tooltip": "The responsible user.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "auto_type", "editable": true, "editor": auto_type1621, "filter": { "type": "numeric" }, "format": "0", "header": "No.", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id1623, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Modified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Created", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "project", "editable": true, "editor": project1626, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date1627, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "start_time", "editable": true, "editor": start_time1628, "header": "Start time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.start_time) The starting time.  If this is empty, the entry is considered an\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered an\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "end_date", "editable": true, "editor": end_date1629, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "End Date", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.end_date) The ending date of this calendar entry.\nLeave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this calendar entry.\nLeave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "end_time", "editable": true, "editor": end_time1630, "header": "End Time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.end_time) The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending\ndate is given, Lino considers the entry to end the day after.", "width": Lino.chars2width(9) }, { "colIndex": 13, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 14, "dataIndex": "build_method", "editable": true, "editor": build_method1632, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to1633, "filter": { "type": "string" }, "header": "Assigned to", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type1634, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id1635, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description1636, "filter": { "type": "string" }, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class1637, "filter": { "options": [ "Private", "Show busy", "Public" ], "type": "list" }, "header": "Access class", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.access_class) Whether this is private, public or between.") }, "sortable": false, "tooltip": "Whether this is private, public or between.", "width": Lino.chars2width(20) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence1638, "filter": { "type": "numeric" }, "format": "0", "header": "Revision", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority1639, "filter": { "options": [ "Critical", "High", "Normal", "Low", "Very Low" ], "type": "list" }, "header": "Priority", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(14) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type1640, "filter": { "type": "string" }, "header": "Calendar entry type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "Transparent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "guests_edited", "editable": true, "filter": { "type": "boolean" }, "header": "guests edited", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.guests_edited) Whether the guests list of this event has been modified by an end user.") }, "sortable": false, "tooltip": "Whether the guests list of this event has been modified by an end user.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room1643, "filter": { "type": "string" }, "header": "Room", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state1644, "filter": { "options": [ "Suggested", "Draft", "Published", "Took place", "Cancelled" ], "type": "list" }, "header": "State", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(13) }, { "align": "right", "colIndex": 27, "dataIndex": "notify_before", "editable": true, "editor": notify_before1645, "filter": { "type": "numeric" }, "format": "0", "header": "Notify before", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.notify_before) The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.") }, "sortable": true, "tooltip": "The multiples of a time unit (notify_unit) before which to send\na notification to the corresponding user.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "notify_unit", "editable": true, "editor": notify_unit1646, "filter": { "options": [ "minutes", "hours", "days", "weeks" ], "type": "list" }, "header": "Unit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.notify_unit) The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.") }, "sortable": false, "tooltip": "The unit of time to compute before sending a notification. Example\nvalues are: minute, hour, day, week et cetera.", "width": Lino.chars2width(12) }, { "colIndex": 29, "dataIndex": "notified", "editable": true, "filter": { "type": "boolean" }, "header": "notified", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.notified) Stores a boolean value as an indication of whether the user has been\nnotified or NOT.") }, "sortable": false, "tooltip": "Stores a boolean value as an indication of whether the user has been\nnotified or NOT.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner) The event generator that generated and controls this\ncalendar entry.") }, "sortable": false, "tooltip": "The event generator that generated and controls this\ncalendar entry.", "width": Lino.chars2width(11) } ];
    Lino.cal.EntriesByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByController.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    Lino.cal.EntriesByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  return new Lino.cal.EntriesByController.insertPanel(p);
});
Lino.cal.EntriesByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByController.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Calendar entry.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    Lino.cal.EntriesByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  return new Lino.cal.EntriesByController.detailPanel(p);
});
Lino.cal.EntriesByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByController.GridPanel(p);
});
Lino.cal.EntriesByController.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.DelegatedTasksByContract
Lino.isip.DelegatedTasksByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/DelegatedTasksByContract",
  ls_store_fields : [ { "name": "summary" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 37,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/DelegatedTasksByContract','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tasks",
  initComponent : function() {
    var ww = this.containing_window;
    var summary9642 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var due_date9643 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "summary", "editable": true, "editor": summary9642, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(isip.DelegatedTasksByContract.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "due_date", "editable": true, "editor": due_date9643, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Due date", "listeners": { "render": Lino.quicktip_renderer("","(isip.DelegatedTasksByContract.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.isip.DelegatedTasksByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.DelegatedTasksByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/DelegatedTasksByContract" };
  p.params_panel = new Lino.isip.DelegatedTasksByContract.ParamsPanel({});
  return new Lino.isip.DelegatedTasksByContract.GridPanel(p);
});
Lino.isip.DelegatedTasksByContract.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.EntriesByContract
Lino.isip.EntriesByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/EntriesByContract",
  ls_store_fields : [ { "name": "summary" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 35,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Today", "overflowText": "Today", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Show all calendar events of the same day.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/EntriesByContract','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Update events", "overflowText": "Update events", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Update presences", "overflowText": "Update presences", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Populate or update the list of participants for this calendar\nentry according to the suggestions.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Calendar entries",
  initComponent : function() {
    var ww = this.containing_window;
    var summary9647 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date9648 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "summary", "editable": true, "editor": summary9647, "filter": { "type": "string" }, "header": "Short description", "listeners": { "render": Lino.quicktip_renderer("","(isip.EntriesByContract.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date9648, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Start date", "listeners": { "render": Lino.quicktip_renderer("","(isip.EntriesByContract.start_date) The starting date of this calendar entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this calendar entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.isip.EntriesByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.EntriesByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.drag_drop = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "drag_drop", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/EntriesByContract" };
  p.params_panel = new Lino.isip.EntriesByContract.ParamsPanel({});
  return new Lino.isip.EntriesByContract.GridPanel(p);
});
Lino.isip.EntriesByContract.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByOwner
Lino.notes.NotesByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByOwner",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "company" }, 'companyHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 121,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on records of notes.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Events/Notes",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    var ww = this.containing_window;
    var date9652 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time9653 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type9654 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Event Type...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/event_type" }) }) });
    var type9655 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Note Type...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/type" }) }) });
    var subject9656 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user9657 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/user" }) }) });
    var id9658 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project9659 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Client...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/project" }) }) });
    var build_time9660 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method9661 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type9662 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a content type...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/owner_type" }) }) });
    var owner_id9663 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/owner_id" }) }) });
    var contact_person9664 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Select a Person...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/contact_person" }) }) });
    var contact_role9665 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Function...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/contact_role" }) }) });
    var company9666 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Select a Organization...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/company" }) }) });
    var body9667 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Body" });
    var language9668 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "fr", "French" ], [ "nl", "Dutch" ], [ "de", "German" ], [ "en", "English" ] ] });
    var important9669 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp9670 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id9663.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person9664.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body9667.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type9662 !== 'undefined' && owner_type9662.on('change',Lino.chooser_handler(owner_id9663,'owner_type'));
      typeof company9666 !== 'undefined' && company9666.on('change',Lino.chooser_handler(contact_person9664,'company'));
      Lino.notes.NotesByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9652, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Date", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time9653, "header": "Time", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type9654, "filter": { "type": "string" }, "header": "Event Type (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type9655, "filter": { "type": "string" }, "header": "Note Type (Content)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject9656, "filter": { "type": "string" }, "header": "Subject", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user9657, "filter": { "type": "string" }, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id9658, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project9659, "filter": { "type": "string" }, "header": "Client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "build time", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method9661, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Print method", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type9662, "filter": { "type": "string" }, "header": "Controlled by (type)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id9663, "filter": { "type": "string" }, "header": "Controlled by (object)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person9664, "filter": { "type": "string" }, "header": "Recipient (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role9665, "filter": { "type": "string" }, "header": "Represented as", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "company", "editable": true, "editor": company9666, "filter": { "type": "string" }, "header": "Recipient (Organization)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "body", "editable": true, "editor": body9667, "filter": { "type": "string" }, "header": "Body", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language9668, "filter": { "type": "string" }, "header": "Language", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Important", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "owner", "editable": false, "header": "Controlled by", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByOwner.owner) ", "width": Lino.chars2width(11) } ];
    Lino.notes.NotesByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByOwner.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "New",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Create", "overflowText": "Create", "panel_btn_handler": function(panel){panel.save()}, "text": "Create", "tooltip": "Create the record and open a detail window on it", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByOwner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    Lino.notes.NotesByOwner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  return new Lino.notes.NotesByOwner.insertPanel(p);
});
Lino.notes.NotesByOwner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByOwner.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "menu_item_text": "New", "overflowText": "New", "panel_btn_handler": Lino.show_insert, "tooltip": "Open a dialog window to insert a new Event/Note.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Duplicate the selected row.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Clear cache", "overflowText": "Clear cache", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload files", "overflowText": "Upload files", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\u274f</font>", "tooltip": "Opens a data window with the uploaded files associated to this database object.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Fix data problems", "overflowText": "Fix data problems", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Fix data problems", "tooltip": "Fix data problems", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Save", "overflowText": "Save", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "Save changes in this form", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    Lino.notes.NotesByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  return new Lino.notes.NotesByOwner.detailPanel(p);
});
Lino.notes.NotesByOwner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByOwner.GridPanel(p);
});
Lino.notes.NotesByOwner.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.FindDateByClientTable
Lino.reception.FindDateByClientTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/FindDateByClientTable",
  ls_store_fields : [ { "name": "button" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/reception/FindDateByClientTable','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Find date with...",
  disabled_fields_index : 1,
  initComponent : function() {
    var ww = this.containing_window;
    var button_disp9674 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "button", "editable": false, "header": "Button", "listeners": { "render": Lino.quicktip_renderer("","(reception.FindDateByClientTable.button) ") }, "sortable": false, "tooltip": "(reception.FindDateByClientTable.button) ", "width": Lino.chars2width(31) } ];
    Lino.reception.FindDateByClientTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.FindDateByClientTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/reception/FindDateByClientTable" };
  return new Lino.reception.FindDateByClientTable.GridPanel(p);
});
Lino.reception.FindDateByClientTable.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class calview.MonthlySlave
Lino.calview.MonthlySlave.GridPanel = Ext.extend(Lino.GridPanel,{
  use_detail_params_value : true,
  ls_url : "/calview/MonthlySlave",
  ls_store_fields : [ { "name": "week_number" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "vc6" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/calview/MonthlySlave','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : null,
  disabled_fields_index : 8,
  initComponent : function() {
    var ww = this.containing_window;
    var week_number_disp5667 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var vc0_htmlbox5668 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "vc0", "title": "Monday", "value": "<br/>" });
    var vc1_htmlbox5669 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "vc1", "title": "Tuesday", "value": "<br/>" });
    var vc2_htmlbox5670 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "vc2", "title": "Wednesday", "value": "<br/>" });
    var vc3_htmlbox5671 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "vc3", "title": "Thursday", "value": "<br/>" });
    var vc4_htmlbox5672 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "vc4", "title": "Friday", "value": "<br/>" });
    var vc5_htmlbox5673 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "vc5", "title": "Saturday", "value": "<br/>" });
    var vc6_htmlbox5674 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "vc6", "title": "Sunday", "value": "<br/>" });
    this.before_row_edit = function(record) {
      vc0_htmlbox5668.refresh();
      vc1_htmlbox5669.refresh();
      vc2_htmlbox5670.refresh();
      vc3_htmlbox5671.refresh();
      vc4_htmlbox5672.refresh();
      vc5_htmlbox5673.refresh();
      vc6_htmlbox5674.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "week_number", "editable": false, "header": "Week", "listeners": { "render": Lino.quicktip_renderer("","(calview.MonthlySlave.week_number) ") }, "sortable": false, "tooltip": "(calview.MonthlySlave.week_number) ", "width": Lino.chars2width(3) }, { "colIndex": 1, "dataIndex": "vc0", "editable": false, "header": "Monday", "listeners": { "render": Lino.quicktip_renderer("","(calview.MonthlySlave.vc0) ") }, "sortable": false, "tooltip": "(calview.MonthlySlave.vc0) ", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "vc1", "editable": false, "header": "Tuesday", "listeners": { "render": Lino.quicktip_renderer("","(calview.MonthlySlave.vc1) ") }, "sortable": false, "tooltip": "(calview.MonthlySlave.vc1) ", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "vc2", "editable": false, "header": "Wednesday", "listeners": { "render": Lino.quicktip_renderer("","(calview.MonthlySlave.vc2) ") }, "sortable": false, "tooltip": "(calview.MonthlySlave.vc2) ", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "vc3", "editable": false, "header": "Thursday", "listeners": { "render": Lino.quicktip_renderer("","(calview.MonthlySlave.vc3) ") }, "sortable": false, "tooltip": "(calview.MonthlySlave.vc3) ", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "vc4", "editable": false, "header": "Friday", "listeners": { "render": Lino.quicktip_renderer("","(calview.MonthlySlave.vc4) ") }, "sortable": false, "tooltip": "(calview.MonthlySlave.vc4) ", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "vc5", "editable": false, "header": "Saturday", "listeners": { "render": Lino.quicktip_renderer("","(calview.MonthlySlave.vc5) ") }, "sortable": false, "tooltip": "(calview.MonthlySlave.vc5) ", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "vc6", "editable": false, "header": "Sunday", "listeners": { "render": Lino.quicktip_renderer("","(calview.MonthlySlave.vc6) ") }, "sortable": false, "tooltip": "(calview.MonthlySlave.vc6) ", "width": Lino.chars2width(21) } ];
    Lino.calview.MonthlySlave.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.calview.MonthlySlave.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/MonthlySlave", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.MonthlySlave.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/MonthlySlave", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.MonthlySlave.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/MonthlySlave", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.MonthlySlave.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/MonthlySlave", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.MonthlySlave.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/calview/MonthlySlave" };
  p.params_panel = new Lino.calview.MonthlySlave.ParamsPanel({});
  return new Lino.calview.MonthlySlave.GridPanel(p);
});
Lino.calview.MonthlySlave.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/MonthlySlave", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class calview.DailyView
Lino.calview.DailyView.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/calview/DailyView",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "day_number", "type": "int", "useNull": true }, { "name": "navigation_panel" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 1,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "calview_DailyView_detail", "menu_item_text": "Daily", "overflowText": "Daily", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_DailyView_detail'), "text": "Daily", "tooltip": "Show daily view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_weekly_wrapper", "menu_item_text": "Weekly", "overflowText": "Weekly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_weekly_wrapper'), "text": "Weekly", "tooltip": "Show weekly view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_MonthlyView_detail", "menu_item_text": "Monthly", "overflowText": "Monthly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_MonthlyView_detail'), "text": "Monthly", "tooltip": "Show monthly view.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert_event", "menu_item_text": "Create new Event", "overflowText": "Create new Event", "panel_btn_handler": Lino.row_action_handler('insert_event','GET',null), "tooltip": "Custom action for inserting a calendar entry in the DailyView.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/calview/DailyView','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  page_length : 20,
  stripeRows : true,
  title : "Daily view",
  disabled_fields_index : 3,
  initComponent : function() {
    this.ls_detail_handler = Lino.calview.DailyView.detail;
    var ww = this.containing_window;
    var detail_link_disp9676 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var day_number9677 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var navigation_panel_disp9678 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(calview.DailyView.detail_link) ") }, "sortable": false, "tooltip": "(calview.DailyView.detail_link) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "day_number", "editable": false, "format": "0", "header": "Day number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(calview.DailyView.day_number) ") }, "sortable": true, "tooltip": "(calview.DailyView.day_number) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "navigation_panel", "editable": false, "header": "navigation_panel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(calview.DailyView.navigation_panel) ") }, "sortable": false, "tooltip": "(calview.DailyView.navigation_panel) ", "width": Lino.chars2width(31) } ];
    Lino.calview.DailyView.GridPanel.superclass.initComponent.call(this);
  }
});


Lino.calview.DailyView.detailPanel = Ext.extend(Lino.calview.DailyView.DetailFormPanel,{
  empty_title: "Daily view",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "calview_DailyView_detail", "menu_item_text": "Daily", "overflowText": "Daily", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_DailyView_detail'), "text": "Daily", "tooltip": "Show daily view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_weekly_wrapper", "menu_item_text": "Weekly", "overflowText": "Weekly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_weekly_wrapper'), "text": "Weekly", "tooltip": "Show weekly view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_MonthlyView_detail", "menu_item_text": "Monthly", "overflowText": "Monthly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_MonthlyView_detail'), "text": "Monthly", "tooltip": "Show monthly view.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert_event", "menu_item_text": "Create new Event", "overflowText": "Create new Event", "panel_btn_handler": Lino.row_action_handler('insert_event','GET',null), "tooltip": "Custom action for inserting a calendar entry in the DailyView.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/calview/DailyView','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/calview/DailyView",
  initComponent : function() {
    this.ls_detail_handler = Lino.calview.DailyView.detail;
    Lino.calview.DailyView.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.calview.DailyView.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/calview/DailyView" };
  p.params_panel = new Lino.calview.DailyView.ParamsPanel({});
  return new Lino.calview.DailyView.detailPanel(p);
});
Lino.calview_DailyView_detail = function(panel, btn, step) {
	var pk = panel.get_current_record().id;
	if (pk === -99998) pk = 0;
	Lino.calview.DailyView.detail.run(null, {record_id: pk});
};
Lino.calview_weekly_wrapper = function(panel, btn, step) {
	var pk = panel.get_current_record().id;
	if (pk === -99998) pk = 0;
	Lino.calview.WeeklyView.detail.run(null, {record_id: pk});
};
Lino.calview_MonthlyView_detail = function(panel, btn, step) {
	var pk = panel.get_current_record().id;
	if (pk === -99998) pk = 0;
	Lino.calview.MonthlyView.detail.run(null, {record_id: pk});
};
Lino.calview.DailyView.insert_event = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailyView", "GET", pk, "insert_event", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.DailyView.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/DailyView", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class calview.WeeklyView
Lino.calview.WeeklyView.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/calview/WeeklyView",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "day_number", "type": "int", "useNull": true }, { "name": "navigation_panel" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 1,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "calview_DailyView_detail", "menu_item_text": "Daily", "overflowText": "Daily", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_DailyView_detail'), "text": "Daily", "tooltip": "Show daily view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_weekly_wrapper", "menu_item_text": "Weekly", "overflowText": "Weekly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_weekly_wrapper'), "text": "Weekly", "tooltip": "Show weekly view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_MonthlyView_detail", "menu_item_text": "Monthly", "overflowText": "Monthly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_MonthlyView_detail'), "text": "Monthly", "tooltip": "Show monthly view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/calview/WeeklyView','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  page_length : 20,
  stripeRows : true,
  title : "Weekly view",
  disabled_fields_index : 3,
  initComponent : function() {
    this.ls_detail_handler = Lino.calview.WeeklyView.detail;
    var ww = this.containing_window;
    var detail_link_disp9680 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var day_number9681 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var navigation_panel_disp9682 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(calview.WeeklyView.detail_link) ") }, "sortable": false, "tooltip": "(calview.WeeklyView.detail_link) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "day_number", "editable": false, "format": "0", "header": "Day number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(calview.WeeklyView.day_number) ") }, "sortable": true, "tooltip": "(calview.WeeklyView.day_number) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "navigation_panel", "editable": false, "header": "navigation_panel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(calview.WeeklyView.navigation_panel) ") }, "sortable": false, "tooltip": "(calview.WeeklyView.navigation_panel) ", "width": Lino.chars2width(31) } ];
    Lino.calview.WeeklyView.GridPanel.superclass.initComponent.call(this);
  }
});


Lino.calview.WeeklyView.detailPanel = Ext.extend(Lino.calview.WeeklyView.DetailFormPanel,{
  empty_title: "Weekly view",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "calview_DailyView_detail", "menu_item_text": "Daily", "overflowText": "Daily", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_DailyView_detail'), "text": "Daily", "tooltip": "Show daily view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_weekly_wrapper", "menu_item_text": "Weekly", "overflowText": "Weekly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_weekly_wrapper'), "text": "Weekly", "tooltip": "Show weekly view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_MonthlyView_detail", "menu_item_text": "Monthly", "overflowText": "Monthly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_MonthlyView_detail'), "text": "Monthly", "tooltip": "Show monthly view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/calview/WeeklyView','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/calview/WeeklyView",
  initComponent : function() {
    this.ls_detail_handler = Lino.calview.WeeklyView.detail;
    Lino.calview.WeeklyView.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.calview.WeeklyView.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/calview/WeeklyView" };
  p.params_panel = new Lino.calview.WeeklyView.ParamsPanel({});
  return new Lino.calview.WeeklyView.detailPanel(p);
});
Lino.calview_DailyView_detail = function(panel, btn, step) {
	var pk = panel.get_current_record().id;
	if (pk === -99998) pk = 0;
	Lino.calview.DailyView.detail.run(null, {record_id: pk});
};
Lino.calview_weekly_wrapper = function(panel, btn, step) {
	var pk = panel.get_current_record().id;
	if (pk === -99998) pk = 0;
	Lino.calview.WeeklyView.detail.run(null, {record_id: pk});
};
Lino.calview_MonthlyView_detail = function(panel, btn, step) {
	var pk = panel.get_current_record().id;
	if (pk === -99998) pk = 0;
	Lino.calview.MonthlyView.detail.run(null, {record_id: pk});
};
Lino.calview.WeeklyView.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/WeeklyView", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class calview.MonthlyView
Lino.calview.MonthlyView.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/calview/MonthlyView",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "day_number", "type": "int", "useNull": true }, { "name": "navigation_panel" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 1,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "calview_DailyView_detail", "menu_item_text": "Daily", "overflowText": "Daily", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_DailyView_detail'), "text": "Daily", "tooltip": "Show daily view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_weekly_wrapper", "menu_item_text": "Weekly", "overflowText": "Weekly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_weekly_wrapper'), "text": "Weekly", "tooltip": "Show weekly view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_MonthlyView_detail", "menu_item_text": "Monthly", "overflowText": "Monthly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_MonthlyView_detail'), "text": "Monthly", "tooltip": "Show monthly view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/calview/MonthlyView','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  page_length : 20,
  stripeRows : true,
  title : "Monthly view",
  disabled_fields_index : 3,
  initComponent : function() {
    this.ls_detail_handler = Lino.calview.MonthlyView.detail;
    var ww = this.containing_window;
    var detail_link_disp9684 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var day_number9685 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var navigation_panel_disp9686 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(calview.MonthlyView.detail_link) ") }, "sortable": false, "tooltip": "(calview.MonthlyView.detail_link) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "day_number", "editable": false, "format": "0", "header": "Day number", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(calview.MonthlyView.day_number) ") }, "sortable": true, "tooltip": "(calview.MonthlyView.day_number) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "navigation_panel", "editable": false, "header": "navigation_panel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(calview.MonthlyView.navigation_panel) ") }, "sortable": false, "tooltip": "(calview.MonthlyView.navigation_panel) ", "width": Lino.chars2width(31) } ];
    Lino.calview.MonthlyView.GridPanel.superclass.initComponent.call(this);
  }
});


Lino.calview.MonthlyView.detailPanel = Ext.extend(Lino.calview.MonthlyView.DetailFormPanel,{
  empty_title: "Monthly view",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "calview_DailyView_detail", "menu_item_text": "Daily", "overflowText": "Daily", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_DailyView_detail'), "text": "Daily", "tooltip": "Show daily view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_weekly_wrapper", "menu_item_text": "Weekly", "overflowText": "Weekly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_weekly_wrapper'), "text": "Weekly", "tooltip": "Show weekly view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "calview_MonthlyView_detail", "menu_item_text": "Monthly", "overflowText": "Monthly", "panel_btn_handler": Lino.wrapped_action_handler('Lino.calview_MonthlyView_detail'), "text": "Monthly", "tooltip": "Show monthly view.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/calview/MonthlyView','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/calview/MonthlyView",
  initComponent : function() {
    this.ls_detail_handler = Lino.calview.MonthlyView.detail;
    Lino.calview.MonthlyView.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.calview.MonthlyView.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/calview/MonthlyView" };
  p.params_panel = new Lino.calview.MonthlyView.ParamsPanel({});
  return new Lino.calview.MonthlyView.detailPanel(p);
});
Lino.calview_DailyView_detail = function(panel, btn, step) {
	var pk = panel.get_current_record().id;
	if (pk === -99998) pk = 0;
	Lino.calview.DailyView.detail.run(null, {record_id: pk});
};
Lino.calview_weekly_wrapper = function(panel, btn, step) {
	var pk = panel.get_current_record().id;
	if (pk === -99998) pk = 0;
	Lino.calview.WeeklyView.detail.run(null, {record_id: pk});
};
Lino.calview_MonthlyView_detail = function(panel, btn, step) {
	var pk = panel.get_current_record().id;
	if (pk === -99998) pk = 0;
	Lino.calview.MonthlyView.detail.run(null, {record_id: pk});
};
Lino.calview.MonthlyView.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/MonthlyView", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.UsersWithClients
Lino.integ.UsersWithClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/UsersWithClients",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "G1" }, { "name": "G2" }, { "name": "G4" }, { "name": "G4bis" }, { "name": "G9" }, { "name": "primary_clients" }, { "name": "active_clients" }, { "name": "row_total" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/integ/UsersWithClients','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Users with their Clients",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var user9688 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var G19689 = new Ext.form.NumberField({ "disabled": true });
    var G29690 = new Ext.form.NumberField({ "disabled": true });
    var G49691 = new Ext.form.NumberField({ "disabled": true });
    var G4bis9692 = new Ext.form.NumberField({ "disabled": true });
    var G99693 = new Ext.form.NumberField({ "disabled": true });
    var primary_clients9694 = new Ext.form.NumberField({ "disabled": true });
    var active_clients9695 = new Ext.form.NumberField({ "disabled": true });
    var row_total9696 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": false, "header": "Coach", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 1, "dataIndex": "G1", "editable": false, "format": "0", "header": "\u00c9valuation", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G1) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "G2", "editable": false, "format": "0", "header": "Formation", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G2) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "G4", "editable": false, "format": "0", "header": "Search", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G4) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "G4bis", "editable": false, "format": "0", "header": "Travail", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G4bis) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G4bis) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "G9", "editable": false, "format": "0", "header": "Standby", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.G9) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.G9) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "primary_clients", "editable": false, "format": "0", "header": "Primary clients", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.primary_clients) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.primary_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "active_clients", "editable": false, "format": "0", "header": "Active clients", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.active_clients) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.active_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 8, "dataIndex": "row_total", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.UsersWithClients.row_total) ") }, "sortable": true, "tooltip": "(integ.UsersWithClients.row_total) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.UsersWithClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.UsersWithClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.UsersWithClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/UsersWithClients" };
  return new Lino.integ.UsersWithClients.GridPanel(p);
});
Lino.integ.UsersWithClients.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/UsersWithClients", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.CompareRequestsTable
Lino.integ.CompareRequestsTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/CompareRequestsTable",
  ls_store_fields : [ { "name": "description" }, { "name": "old_value" }, { "name": "new_value" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/integ/CompareRequestsTable','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Evolution g\u00e9n\u00e9rale",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var description_disp9698 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var old_value9699 = new Ext.form.NumberField({ "disabled": true });
    var new_value9700 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.description) ") }, "sortable": false, "tooltip": "(integ.CompareRequestsTable.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "old_value", "editable": false, "format": "0", "header": "Initial value", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.old_value) ") }, "sortable": true, "tooltip": "(integ.CompareRequestsTable.old_value) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "new_value", "editable": false, "format": "0", "header": "Final value", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.new_value) ") }, "sortable": true, "tooltip": "(integ.CompareRequestsTable.new_value) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.CompareRequestsTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompareRequestsTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompareRequestsTable" };
  return new Lino.integ.CompareRequestsTable.GridPanel(p);
});
Lino.integ.CompareRequestsTable.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.PeriodicNumbers
Lino.integ.PeriodicNumbers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/PeriodicNumbers",
  ls_store_fields : [ { "name": "description" }, { "name": "number" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/integ/PeriodicNumbers','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Indicateurs d'activit\u00e9",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var description_disp9702 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var number9703 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(integ.PeriodicNumbers.description) ") }, "sortable": false, "tooltip": "(integ.PeriodicNumbers.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "number", "editable": false, "format": "0", "header": "Number", "listeners": { "render": Lino.quicktip_renderer("","(integ.PeriodicNumbers.number) ") }, "sortable": true, "tooltip": "(integ.PeriodicNumbers.number) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.PeriodicNumbers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.PeriodicNumbers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/PeriodicNumbers" };
  return new Lino.integ.PeriodicNumbers.GridPanel(p);
});
Lino.integ.PeriodicNumbers.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.ContractsByType
Lino.integ.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/ContractsByType",
  ls_store_fields : [ { "name": "description" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "menu_item_text": "Delete", "overflowText": "Delete", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Delete this record", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsByType','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ContractsByType",
  initComponent : function() {
    var ww = this.containing_window;
    var description9705 = new Ext.form.TextField({ "disabled": true, "maxLength": 30 });
    var vc09706 = new Ext.form.NumberField({ "disabled": true });
    var vc19707 = new Ext.form.NumberField({ "disabled": true });
    var vc29708 = new Ext.form.NumberField({ "disabled": true });
    var vc39709 = new Ext.form.NumberField({ "disabled": true });
    var vc49710 = new Ext.form.NumberField({ "disabled": true });
    var vc59711 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.description) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.description) ", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "VSE Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc0) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "VSE Arbeitssuche", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc1) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "VSE Lehre", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc2) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "VSE Vollzeitstudium", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc3) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "VSE Sprachkurs", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc4) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc5) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/ContractsByType" };
  return new Lino.integ.ContractsByType.GridPanel(p);
});
Lino.integ.ContractsByType.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.IdentifyPersonResult
Lino.cbss.IdentifyPersonResult.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyPersonResult",
  ls_store_fields : [ { "name": "national_id" }, { "name": "last_name" }, { "name": "first_name" }, { "name": "address" }, { "name": "birth_date" }, { "name": "birth_location" }, { "name": "civil_state" }, { "name": "detail_link" }, { "name": "gender" }, 'genderHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonResult','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Results",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var national_id_disp2452 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var last_name_disp2453 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var first_name_disp2454 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_disp2455 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var birth_date_disp2456 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var birth_location_disp2457 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var civil_state_disp2458 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var detail_link_disp2459 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var gender2460 = new Lino.ChoicesFieldElement({ "disabled": true, "hidden": true, "store": [ [ "M", "Male" ], [ "F", "Female" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "national_id", "editable": false, "header": "National ID", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.national_id) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.national_id) ", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "last_name", "editable": false, "header": "Last name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.last_name) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.last_name) ", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "first_name", "editable": false, "header": "First name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.first_name) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.first_name) ", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "address", "editable": false, "header": "Address", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.address) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.address) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "birth_date", "editable": false, "header": "Birth date", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.birth_date) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.birth_date) ", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "birth_location", "editable": false, "header": "Birth location", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.birth_location) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.birth_location) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "civil_state", "editable": false, "header": "Civil state", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.civil_state) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.civil_state) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.detail_link) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "gender", "editable": false, "header": "Gender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.gender) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.gender) ", "width": Lino.chars2width(21) } ];
    Lino.cbss.IdentifyPersonResult.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonResult.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonResult" };
  return new Lino.cbss.IdentifyPersonResult.GridPanel(p);
});
Lino.cbss.IdentifyPersonResult.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.RetrieveTIGroupsResult
Lino.cbss.RetrieveTIGroupsResult.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsResult",
  ls_store_fields : [ { "name": "group" }, { "name": "type" }, { "dateFormat": "d.m.Y", "name": "since", "type": "date" }, { "name": "info" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsResult','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Results",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var group_disp5864 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var type_disp5865 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var since5866 = new Lino.DateField({ "disabled": true });
    var info_disp5867 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "group", "editable": false, "header": "Groupe", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.group) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.group) ", "width": Lino.chars2width(19) }, { "colIndex": 1, "dataIndex": "type", "editable": false, "header": "TI", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.type) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.type) ", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "since", "editable": false, "format": "d.m.Y", "header": "Depuis", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.since) ") }, "sortable": true, "tooltip": "(cbss.RetrieveTIGroupsResult.since) ", "width": Lino.chars2width(15), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "info", "editable": false, "header": "Information", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.info) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.info) ", "width": Lino.chars2width(51) } ];
    Lino.cbss.RetrieveTIGroupsResult.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsResult.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsResult" };
  return new Lino.cbss.RetrieveTIGroupsResult.GridPanel(p);
});
Lino.cbss.RetrieveTIGroupsResult.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.SummaryTable
Lino.debts.SummaryTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/SummaryTable",
  ls_store_fields : [ { "name": "desc" }, { "name": "amount" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/debts/SummaryTable','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "SummaryTable",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var desc_disp9713 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount9714 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "desc", "editable": false, "header": "Description", "listeners": { "render": Lino.quicktip_renderer("","(debts.SummaryTable.desc) ") }, "sortable": false, "tooltip": "(debts.SummaryTable.desc) ", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Amount", "listeners": { "render": Lino.quicktip_renderer("","(debts.SummaryTable.amount) ") }, "sortable": true, "tooltip": "(debts.SummaryTable.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.SummaryTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.SummaryTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/SummaryTable" };
  return new Lino.debts.SummaryTable.GridPanel(p);
});
Lino.debts.SummaryTable.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.ConfirmationsByGranting
Lino.aids.ConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationsByGranting",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "signer" }, 'signerHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 125,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Print", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationsByGranting','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Issued confirmations",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var detail_link_disp4422 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created4423 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user4424 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var signer4425 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Select a User...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var printed_disp4426 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date4427 = new Lino.DateField({ "disabled": true });
    var end_date4428 = new Lino.DateField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Confirmation", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.detail_link) ") }, "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Created", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": false, "header": "Author", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.user) The author of this database object.") }, "sortable": false, "tooltip": "The author of this database object.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "signer", "editable": false, "header": "Signer", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.signer) ", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "printed", "editable": false, "header": "Printed", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.printed) ") }, "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.printed) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "start_date", "editable": false, "format": "d.m.Y", "header": "Period from", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "(aids.ConfirmationsByGranting.start_date) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "end_date", "editable": false, "format": "d.m.Y", "header": "until", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "(aids.ConfirmationsByGranting.end_date) ", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.aids.ConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationsByGranting" };
  return new Lino.aids.ConfirmationsByGranting.GridPanel(p);
});
Lino.aids.ConfirmationsByGranting.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.AnswersByResponseBase
Lino.polls.AnswersByResponseBase.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/AnswersByResponseBase",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "question" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/AnswersByResponseBase','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "AnswersByResponseBase",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var detail_link_disp9716 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var question_disp9717 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByResponseBase.detail_link) ") }, "sortable": false, "tooltip": "(polls.AnswersByResponseBase.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "question", "editable": false, "header": "Question", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByResponseBase.question) ") }, "sortable": false, "tooltip": "(polls.AnswersByResponseBase.question) ", "width": Lino.chars2width(31) } ];
    Lino.polls.AnswersByResponseBase.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.AnswersByResponseBase.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponseBase", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponseBase.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponseBase", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponseBase.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponseBase", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponseBase.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponseBase", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponseBase.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/AnswersByResponseBase" };
  return new Lino.polls.AnswersByResponseBase.GridPanel(p);
});
Lino.polls.AnswersByResponseBase.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponseBase", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.AnswersByResponseEditor
Lino.polls.AnswersByResponseEditor.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/AnswersByResponseEditor",
  ls_store_fields : [ { "name": "question" }, { "name": "answer_buttons" }, { "name": "remark" }, { "name": "detail_link" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/AnswersByResponseEditor','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "cellTpl": Lino.auto_height_cell_template, "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Answers",
  disabled_fields_index : 5,
  initComponent : function() {
    var ww = this.containing_window;
    var question_disp9719 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var answer_buttons_disp9720 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark9721 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var detail_link_disp9722 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "question", "editable": false, "header": "Question", "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByResponseEditor.question) ") }, "sortable": false, "tooltip": "(polls.AnswersByResponseEditor.question) ", "width": Lino.chars2width(41) }, { "colIndex": 1, "dataIndex": "answer_buttons", "editable": false, "header": "My answer", "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByResponseEditor.answer_buttons) ") }, "sortable": false, "tooltip": "(polls.AnswersByResponseEditor.answer_buttons) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark9721, "header": "My remark", "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByResponseEditor.remark) ") }, "sortable": false, "tooltip": "(polls.AnswersByResponseEditor.remark) ", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByResponseEditor.detail_link) ") }, "sortable": false, "tooltip": "(polls.AnswersByResponseEditor.detail_link) ", "width": Lino.chars2width(31) } ];
    Lino.polls.AnswersByResponseEditor.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.AnswersByResponseEditor.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponseEditor", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponseEditor.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponseEditor", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponseEditor.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponseEditor", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponseEditor.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponseEditor", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponseEditor.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/AnswersByResponseEditor" };
  return new Lino.polls.AnswersByResponseEditor.GridPanel(p);
});
Lino.polls.AnswersByResponseEditor.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponseEditor", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.AnswersByResponsePrint
Lino.polls.AnswersByResponsePrint.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/AnswersByResponsePrint",
  ls_store_fields : [ { "name": "question" }, { "name": "detail_link" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 131,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/AnswersByResponsePrint','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "AnswersByResponsePrint",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var question_disp9724 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var detail_link_disp9725 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "question", "editable": false, "header": "Question", "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByResponsePrint.question) ") }, "sortable": false, "tooltip": "(polls.AnswersByResponsePrint.question) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByResponsePrint.detail_link) ") }, "sortable": false, "tooltip": "(polls.AnswersByResponsePrint.detail_link) ", "width": Lino.chars2width(31) } ];
    Lino.polls.AnswersByResponsePrint.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.AnswersByResponsePrint.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponsePrint", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponsePrint.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponsePrint", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponsePrint.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponsePrint", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponsePrint.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponsePrint", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByResponsePrint.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/AnswersByResponsePrint" };
  return new Lino.polls.AnswersByResponsePrint.GridPanel(p);
});
Lino.polls.AnswersByResponsePrint.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByResponsePrint", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class polls.AnswersByQuestion
Lino.polls.AnswersByQuestion.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/polls/AnswersByQuestion",
  ls_store_fields : [ { "name": "response" }, { "name": "answer" }, { "name": "remark" }, { "name": "detail_link" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/polls/AnswersByQuestion','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "cellTpl": Lino.auto_height_cell_template, "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Answers",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var response_disp3883 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var answer_disp3884 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark_disp3885 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var detail_link_disp3886 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "response", "editable": false, "header": "Response", "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByQuestion.response) ") }, "sortable": false, "tooltip": "(polls.AnswersByQuestion.response) ", "width": Lino.chars2width(41) }, { "colIndex": 1, "dataIndex": "answer", "editable": false, "header": "Answer", "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByQuestion.answer) ") }, "sortable": false, "tooltip": "(polls.AnswersByQuestion.answer) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "remark", "editable": false, "header": "Remark", "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByQuestion.remark) ") }, "sortable": false, "tooltip": "(polls.AnswersByQuestion.remark) ", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(polls.AnswersByQuestion.detail_link) ") }, "sortable": false, "tooltip": "(polls.AnswersByQuestion.detail_link) ", "width": Lino.chars2width(31) } ];
    Lino.polls.AnswersByQuestion.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.polls.AnswersByQuestion.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByQuestion", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByQuestion.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByQuestion", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByQuestion.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByQuestion", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByQuestion.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByQuestion", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.polls.AnswersByQuestion.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/polls/AnswersByQuestion" };
  return new Lino.polls.AnswersByQuestion.GridPanel(p);
});
Lino.polls.AnswersByQuestion.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/polls/AnswersByQuestion", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.about.About.showPanel = Ext.extend(Lino.about.About.DetailFormPanel,{
  empty_title: "About",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/about/About','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" }, { "auto_save": true, "itemId": "sign_in", "menu_item_text": "Sign in", "overflowText": "Sign in", "panel_btn_handler": Lino.param_action_handler(Lino.about.About.sign_in), "text": "Sign in", "tooltip": "Open a window which asks for username and password and which\nauthenticates as this user when submitted.", "tooltipType": "title" } ],
  ls_url: "/about/About",
  initComponent : function() {
    this.ls_detail_handler = Lino.about.About.show;
    Lino.about.About.showPanel.superclass.initComponent.call(this);
  }
});

Lino.about.About.show = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/about/About" };
  return new Lino.about.About.showPanel(p);
});
Lino.about.About.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/About", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.CalendarPanel.grid = new Lino.WindowAction({  }, function(){
  return Lino.CalendarApp().get_main_panel();
});
Lino.extensible.CalendarPanel.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/CalendarPanel", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.JobsOverview.showPanel = Ext.extend(Lino.jobs.JobsOverview.DetailFormPanel,{
  empty_title: "Contracts Situation",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/JobsOverview','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/jobs/JobsOverview",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.JobsOverview.show;
    Lino.jobs.JobsOverview.showPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.JobsOverview.show = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/JobsOverview" };
  p.params_panel = new Lino.jobs.JobsOverview.ParamsPanel({});
  return new Lino.jobs.JobsOverview.showPanel(p);
});
Lino.jobs.JobsOverview.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverview", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.JobsOverview.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/JobsOverview", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.ActivityReport.showPanel = Ext.extend(Lino.jobs.JobsOverview.DetailFormPanel,{
  empty_title: "Activity Report",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/integ/ActivityReport','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/integ/ActivityReport",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.ActivityReport.show;
    Lino.integ.ActivityReport.showPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ActivityReport.show = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/ActivityReport" };
  p.params_panel = new Lino.integ.ActivityReport.ParamsPanel({});
  return new Lino.integ.ActivityReport.showPanel(p);
});
Lino.integ.ActivityReport.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ActivityReport", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ActivityReport.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ActivityReport", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.courses.StatusReport.showPanel = Ext.extend(Lino.jobs.JobsOverview.DetailFormPanel,{
  empty_title: "Status Report",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Print", "overflowText": "Print", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Print using a hard-coded template and without cache.", "tooltipType": "title" }, { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/courses/StatusReport','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  ls_url: "/courses/StatusReport",
  initComponent : function() {
    this.ls_detail_handler = Lino.courses.StatusReport.show;
    Lino.courses.StatusReport.showPanel.superclass.initComponent.call(this);
  }
});

Lino.courses.StatusReport.show = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/courses/StatusReport" };
  return new Lino.courses.StatusReport.showPanel(p);
});
Lino.courses.StatusReport.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/StatusReport", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.courses.StatusReport.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/courses/StatusReport", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class system.YesNo
Lino.system.YesNo.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/YesNo",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/system/YesNo','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Yes or no",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9727 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9728 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9729 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9730 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9731 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9732 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9733 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.value) ") }, "sortable": true, "tooltip": "(system.YesNo.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.name) ") }, "sortable": true, "tooltip": "(system.YesNo.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.text) ") }, "sortable": true, "tooltip": "(system.YesNo.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.detail_link) ") }, "sortable": false, "tooltip": "(system.YesNo.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.button_text) ") }, "sortable": true, "tooltip": "(system.YesNo.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.remark) ") }, "sortable": false, "tooltip": "(system.YesNo.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.type) ") }, "sortable": false, "tooltip": "(system.YesNo.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.YesNo.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.YesNo.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/YesNo" };
  return new Lino.system.YesNo.GridPanel(p);
});
Lino.system.YesNo.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class system.Genders
Lino.system.Genders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/Genders",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/system/Genders','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Genders",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9735 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9736 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9737 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9738 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9739 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9740 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9741 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.value) ") }, "sortable": true, "tooltip": "(system.Genders.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.name) ") }, "sortable": true, "tooltip": "(system.Genders.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.text) ") }, "sortable": true, "tooltip": "(system.Genders.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.detail_link) ") }, "sortable": false, "tooltip": "(system.Genders.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.button_text) ") }, "sortable": true, "tooltip": "(system.Genders.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.remark) ") }, "sortable": false, "tooltip": "(system.Genders.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.type) ") }, "sortable": false, "tooltip": "(system.Genders.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.Genders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.Genders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/Genders" };
  return new Lino.system.Genders.GridPanel(p);
});
Lino.system.Genders.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class system.PeriodEvents
Lino.system.PeriodEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/PeriodEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/system/PeriodEvents','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Observed events",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9743 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9744 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9745 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9746 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9747 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9748 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9749 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.value) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.name) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.text) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.detail_link) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.button_text) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.remark) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.type) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.PeriodEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.PeriodEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/PeriodEvents" };
  return new Lino.system.PeriodEvents.GridPanel(p);
});
Lino.system.PeriodEvents.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class system.DashboardLayouts
Lino.system.DashboardLayouts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/DashboardLayouts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/system/DashboardLayouts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "DashboardLayouts",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9751 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9752 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9753 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9754 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9755 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9756 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9757 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.value) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.name) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.text) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.detail_link) ") }, "sortable": false, "tooltip": "(system.DashboardLayouts.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.button_text) ") }, "sortable": true, "tooltip": "(system.DashboardLayouts.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.remark) ") }, "sortable": false, "tooltip": "(system.DashboardLayouts.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.DashboardLayouts.type) ") }, "sortable": false, "tooltip": "(system.DashboardLayouts.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.DashboardLayouts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.DashboardLayouts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.DashboardLayouts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/DashboardLayouts" };
  return new Lino.system.DashboardLayouts.GridPanel(p);
});
Lino.system.DashboardLayouts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/DashboardLayouts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class printing.BuildMethods
Lino.printing.BuildMethods.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/printing/BuildMethods",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/printing/BuildMethods','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "BuildMethods",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9759 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9760 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9761 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9762 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9763 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9764 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9765 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.value) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.name) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.text) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.detail_link) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.button_text) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.remark) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.type) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.type) ", "width": Lino.chars2width(31) } ];
    Lino.printing.BuildMethods.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.printing.BuildMethods.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/printing/BuildMethods" };
  return new Lino.printing.BuildMethods.GridPanel(p);
});
Lino.printing.BuildMethods.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class about.TimeZones
Lino.about.TimeZones.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/about/TimeZones",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/about/TimeZones','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Time zones",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9767 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9768 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9769 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9770 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9771 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9772 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9773 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.value) ") }, "sortable": true, "tooltip": "(about.TimeZones.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.name) ") }, "sortable": true, "tooltip": "(about.TimeZones.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.text) ") }, "sortable": true, "tooltip": "(about.TimeZones.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.detail_link) ") }, "sortable": false, "tooltip": "(about.TimeZones.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.button_text) ") }, "sortable": true, "tooltip": "(about.TimeZones.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.remark) ") }, "sortable": false, "tooltip": "(about.TimeZones.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.type) ") }, "sortable": false, "tooltip": "(about.TimeZones.type) ", "width": Lino.chars2width(31) } ];
    Lino.about.TimeZones.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.about.TimeZones.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/about/TimeZones" };
  return new Lino.about.TimeZones.GridPanel(p);
});
Lino.about.TimeZones.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class about.DateFormats
Lino.about.DateFormats.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/about/DateFormats",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/about/DateFormats','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Date formats",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9775 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9776 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9777 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9778 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9779 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9780 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9781 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.value) ") }, "sortable": true, "tooltip": "(about.DateFormats.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.name) ") }, "sortable": true, "tooltip": "(about.DateFormats.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.text) ") }, "sortable": true, "tooltip": "(about.DateFormats.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.detail_link) ") }, "sortable": false, "tooltip": "(about.DateFormats.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.button_text) ") }, "sortable": true, "tooltip": "(about.DateFormats.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.remark) ") }, "sortable": false, "tooltip": "(about.DateFormats.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.DateFormats.type) ") }, "sortable": false, "tooltip": "(about.DateFormats.type) ", "width": Lino.chars2width(31) } ];
    Lino.about.DateFormats.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.about.DateFormats.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.DateFormats.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/about/DateFormats" };
  return new Lino.about.DateFormats.GridPanel(p);
});
Lino.about.DateFormats.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/DateFormats", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class xl.Priorities
Lino.xl.Priorities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xl/Priorities",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/xl/Priorities','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Priorities",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9783 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9784 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9785 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9786 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9787 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9788 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9789 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.value) ") }, "sortable": true, "tooltip": "(xl.Priorities.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.name) ") }, "sortable": true, "tooltip": "(xl.Priorities.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.text) ") }, "sortable": true, "tooltip": "(xl.Priorities.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.detail_link) ") }, "sortable": false, "tooltip": "(xl.Priorities.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.button_text) ") }, "sortable": true, "tooltip": "(xl.Priorities.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.remark) ") }, "sortable": false, "tooltip": "(xl.Priorities.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.type) ") }, "sortable": false, "tooltip": "(xl.Priorities.type) ", "width": Lino.chars2width(31) } ];
    Lino.xl.Priorities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xl.Priorities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xl/Priorities" };
  return new Lino.xl.Priorities.GridPanel(p);
});
Lino.xl.Priorities.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class countries.PlaceTypes
Lino.countries.PlaceTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/countries/PlaceTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/countries/PlaceTypes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "PlaceTypes",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9791 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9792 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9793 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9794 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9795 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9796 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9797 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.value) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.name) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.text) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.detail_link) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.button_text) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.remark) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.type) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.countries.PlaceTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlaceTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlaceTypes" };
  return new Lino.countries.PlaceTypes.GridPanel(p);
});
Lino.countries.PlaceTypes.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.Shortcuts
Lino.uploads.Shortcuts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/Shortcuts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/uploads/Shortcuts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload shortcuts",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9799 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9800 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9801 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9802 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9803 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9804 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9805 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.value) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.name) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.text) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.detail_link) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.button_text) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.remark) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.type) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.type) ", "width": Lino.chars2width(31) } ];
    Lino.uploads.Shortcuts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Shortcuts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Shortcuts" };
  return new Lino.uploads.Shortcuts.GridPanel(p);
});
Lino.uploads.Shortcuts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.PartnerEvents
Lino.contacts.PartnerEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnerEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnerEvents','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Observed events",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9807 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9808 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9809 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9810 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9811 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9812 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9813 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.value) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.name) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.text) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.detail_link) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.button_text) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.remark) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.type) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.contacts.PartnerEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnerEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnerEvents" };
  return new Lino.contacts.PartnerEvents.GridPanel(p);
});
Lino.contacts.PartnerEvents.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notify.MessageTypes
Lino.notify.MessageTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MessageTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notify/MessageTypes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Message Types",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9815 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9816 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9817 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9818 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9819 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9820 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9821 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.value) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.name) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.text) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.detail_link) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.button_text) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.remark) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.type) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notify.MessageTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MessageTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MessageTypes" };
  return new Lino.notify.MessageTypes.GridPanel(p);
});
Lino.notify.MessageTypes.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notify.MailModes
Lino.notify.MailModes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MailModes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notify/MailModes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Notification modes",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9823 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9824 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9825 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9826 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9827 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9828 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9829 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.value) ") }, "sortable": true, "tooltip": "(notify.MailModes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.name) ") }, "sortable": true, "tooltip": "(notify.MailModes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.text) ") }, "sortable": true, "tooltip": "(notify.MailModes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.detail_link) ") }, "sortable": false, "tooltip": "(notify.MailModes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.button_text) ") }, "sortable": true, "tooltip": "(notify.MailModes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.remark) ") }, "sortable": false, "tooltip": "(notify.MailModes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.type) ") }, "sortable": false, "tooltip": "(notify.MailModes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notify.MailModes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MailModes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MailModes" };
  return new Lino.notify.MailModes.GridPanel(p);
});
Lino.notify.MailModes.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class changes.ChangeTypes
Lino.changes.ChangeTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/changes/ChangeTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/changes/ChangeTypes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Change Types",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9831 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9832 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9833 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9834 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9835 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9836 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9837 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.value) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.name) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.text) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.detail_link) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.button_text) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.remark) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.type) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.changes.ChangeTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangeTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangeTypes" };
  return new Lino.changes.ChangeTypes.GridPanel(p);
});
Lino.changes.ChangeTypes.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class addresses.DataSources
Lino.addresses.DataSources.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/DataSources",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/addresses/DataSources','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Data sources",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9839 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9840 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9841 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9842 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9843 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9844 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9845 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.value) ") }, "sortable": true, "tooltip": "(addresses.DataSources.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.name) ") }, "sortable": true, "tooltip": "(addresses.DataSources.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.text) ") }, "sortable": true, "tooltip": "(addresses.DataSources.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.detail_link) ") }, "sortable": false, "tooltip": "(addresses.DataSources.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.button_text) ") }, "sortable": true, "tooltip": "(addresses.DataSources.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.remark) ") }, "sortable": false, "tooltip": "(addresses.DataSources.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.type) ") }, "sortable": false, "tooltip": "(addresses.DataSources.type) ", "width": Lino.chars2width(31) } ];
    Lino.addresses.DataSources.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.DataSources.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/DataSources" };
  return new Lino.addresses.DataSources.GridPanel(p);
});
Lino.addresses.DataSources.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.Shortcuts
Lino.excerpts.Shortcuts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/Shortcuts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/excerpts/Shortcuts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Excerpt shortcuts",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9847 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9848 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9849 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9850 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9851 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9852 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9853 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.value) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.name) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.text) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.detail_link) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.button_text) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.remark) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.type) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.type) ", "width": Lino.chars2width(31) } ];
    Lino.excerpts.Shortcuts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Shortcuts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Shortcuts" };
  return new Lino.excerpts.Shortcuts.GridPanel(p);
});
Lino.excerpts.Shortcuts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.Weekdays
Lino.cal.Weekdays.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Weekdays",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/Weekdays','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Weekdays",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9855 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9856 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9857 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9858 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9859 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9860 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9861 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.value) ") }, "sortable": true, "tooltip": "(cal.Weekdays.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.name) ") }, "sortable": true, "tooltip": "(cal.Weekdays.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.text) ") }, "sortable": true, "tooltip": "(cal.Weekdays.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.detail_link) ") }, "sortable": false, "tooltip": "(cal.Weekdays.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.button_text) ") }, "sortable": true, "tooltip": "(cal.Weekdays.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.remark) ") }, "sortable": false, "tooltip": "(cal.Weekdays.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.type) ") }, "sortable": false, "tooltip": "(cal.Weekdays.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.Weekdays.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Weekdays.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Weekdays" };
  return new Lino.cal.Weekdays.GridPanel(p);
});
Lino.cal.Weekdays.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.YearMonths
Lino.cal.YearMonths.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/YearMonths",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/YearMonths','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "YearMonths",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9863 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9864 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9865 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9866 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9867 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9868 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9869 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.value) ") }, "sortable": true, "tooltip": "(cal.YearMonths.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.name) ") }, "sortable": true, "tooltip": "(cal.YearMonths.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.text) ") }, "sortable": true, "tooltip": "(cal.YearMonths.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.detail_link) ") }, "sortable": false, "tooltip": "(cal.YearMonths.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.button_text) ") }, "sortable": true, "tooltip": "(cal.YearMonths.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.remark) ") }, "sortable": false, "tooltip": "(cal.YearMonths.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.type) ") }, "sortable": false, "tooltip": "(cal.YearMonths.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.YearMonths.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.YearMonths.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/YearMonths" };
  return new Lino.cal.YearMonths.GridPanel(p);
});
Lino.cal.YearMonths.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.DurationUnits
Lino.cal.DurationUnits.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/DurationUnits",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/DurationUnits','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "DurationUnits",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9871 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9872 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9873 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9874 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9875 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9876 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9877 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.value) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.name) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.text) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.detail_link) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.button_text) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.remark) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.type) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.DurationUnits.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.DurationUnits.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/DurationUnits" };
  return new Lino.cal.DurationUnits.GridPanel(p);
});
Lino.cal.DurationUnits.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.Recurrencies
Lino.cal.Recurrencies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Recurrencies",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/Recurrencies','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Recurrencies",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9879 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9880 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9881 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9882 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9883 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9884 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9885 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.value) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.name) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.text) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.detail_link) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.button_text) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.remark) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.type) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.Recurrencies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Recurrencies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Recurrencies" };
  return new Lino.cal.Recurrencies.GridPanel(p);
});
Lino.cal.Recurrencies.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EventEvents
Lino.cal.EventEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EventEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/EventEvents','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Observed events",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9887 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9888 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9889 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9890 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9891 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9892 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9893 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.value) ") }, "sortable": true, "tooltip": "(cal.EventEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.name) ") }, "sortable": true, "tooltip": "(cal.EventEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.text) ") }, "sortable": true, "tooltip": "(cal.EventEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.detail_link) ") }, "sortable": false, "tooltip": "(cal.EventEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.button_text) ") }, "sortable": true, "tooltip": "(cal.EventEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.remark) ") }, "sortable": false, "tooltip": "(cal.EventEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.type) ") }, "sortable": false, "tooltip": "(cal.EventEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.EventEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EventEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EventEvents" };
  return new Lino.cal.EventEvents.GridPanel(p);
});
Lino.cal.EventEvents.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.NotifyBeforeUnits
Lino.cal.NotifyBeforeUnits.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/NotifyBeforeUnits",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/NotifyBeforeUnits','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Notify Units",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9895 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9896 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9897 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9898 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9899 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9900 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9901 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.value) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.name) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.text) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.detail_link) ") }, "sortable": false, "tooltip": "(cal.NotifyBeforeUnits.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.button_text) ") }, "sortable": true, "tooltip": "(cal.NotifyBeforeUnits.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.remark) ") }, "sortable": false, "tooltip": "(cal.NotifyBeforeUnits.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.NotifyBeforeUnits.type) ") }, "sortable": false, "tooltip": "(cal.NotifyBeforeUnits.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.NotifyBeforeUnits.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.NotifyBeforeUnits.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.NotifyBeforeUnits.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/NotifyBeforeUnits" };
  return new Lino.cal.NotifyBeforeUnits.GridPanel(p);
});
Lino.cal.NotifyBeforeUnits.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/NotifyBeforeUnits", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class clients.ClientEvents
Lino.clients.ClientEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/clients/ClientEvents','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Observed events",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9903 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9904 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9905 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9906 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9907 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9908 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9909 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.value) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.name) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.text) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.detail_link) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.button_text) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.remark) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.type) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.clients.ClientEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientEvents" };
  return new Lino.clients.ClientEvents.GridPanel(p);
});
Lino.clients.ClientEvents.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.RecipientTypes
Lino.outbox.RecipientTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/RecipientTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientTypes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "RecipientTypes",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9911 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9912 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9913 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9914 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9915 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9916 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9917 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.value) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.name) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.text) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.detail_link) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.button_text) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.remark) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.type) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.outbox.RecipientTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.RecipientTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/RecipientTypes" };
  return new Lino.outbox.RecipientTypes.GridPanel(p);
});
Lino.outbox.RecipientTypes.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.ReservationStates
Lino.cal.ReservationStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/ReservationStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cal/ReservationStates','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "States",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value9919 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9920 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9921 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9922 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.value) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.name) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.text) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.button_text) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.cal.ReservationStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.ReservationStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/ReservationStates" };
  return new Lino.cal.ReservationStates.GridPanel(p);
});
Lino.cal.ReservationStates.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.SpecialTypes
Lino.notes.SpecialTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/SpecialTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/notes/SpecialTypes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Special note types",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9924 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9925 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9926 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9927 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9928 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9929 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9930 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.value) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.name) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.text) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.detail_link) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.button_text) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.remark) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.type) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notes.SpecialTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.SpecialTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/SpecialTypes" };
  return new Lino.notes.SpecialTypes.GridPanel(p);
});
Lino.notes.SpecialTypes.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.EducationEntryStates
Lino.cv.EducationEntryStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/EducationEntryStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/EducationEntryStates','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "EducationEntryStates",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9932 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9933 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9934 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9935 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9936 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9937 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9938 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.value) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.name) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.text) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.detail_link) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.button_text) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.remark) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.type) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.EducationEntryStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.EducationEntryStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/EducationEntryStates" };
  return new Lino.cv.EducationEntryStates.GridPanel(p);
});
Lino.cv.EducationEntryStates.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.HowWell
Lino.cv.HowWell.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/HowWell",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/HowWell','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "HowWell",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9940 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9941 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9942 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9943 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9944 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9945 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9946 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.value) ") }, "sortable": true, "tooltip": "(cv.HowWell.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.name) ") }, "sortable": true, "tooltip": "(cv.HowWell.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.text) ") }, "sortable": true, "tooltip": "(cv.HowWell.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.detail_link) ") }, "sortable": false, "tooltip": "(cv.HowWell.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.button_text) ") }, "sortable": true, "tooltip": "(cv.HowWell.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.remark) ") }, "sortable": false, "tooltip": "(cv.HowWell.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.type) ") }, "sortable": false, "tooltip": "(cv.HowWell.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.HowWell.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.HowWell.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/HowWell" };
  return new Lino.cv.HowWell.GridPanel(p);
});
Lino.cv.HowWell.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.CefLevel
Lino.cv.CefLevel.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/CefLevel",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cv/CefLevel','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "CEF levels",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9948 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9949 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9950 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9951 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9952 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9953 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9954 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.value) ") }, "sortable": true, "tooltip": "(cv.CefLevel.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.name) ") }, "sortable": true, "tooltip": "(cv.CefLevel.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.text) ") }, "sortable": true, "tooltip": "(cv.CefLevel.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.detail_link) ") }, "sortable": false, "tooltip": "(cv.CefLevel.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.button_text) ") }, "sortable": true, "tooltip": "(cv.CefLevel.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.remark) ") }, "sortable": false, "tooltip": "(cv.CefLevel.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.type) ") }, "sortable": false, "tooltip": "(cv.CefLevel.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.CefLevel.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.CefLevel.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/CefLevel" };
  return new Lino.cv.CefLevel.GridPanel(p);
});
Lino.cv.CefLevel.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class beid.ResidenceTypes
Lino.beid.ResidenceTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/beid/ResidenceTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/beid/ResidenceTypes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Resident registers",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9956 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9957 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9958 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9959 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9960 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9961 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9962 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.value) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.name) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.text) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.detail_link) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.button_text) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.remark) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.type) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.beid.ResidenceTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.beid.ResidenceTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/beid/ResidenceTypes" };
  return new Lino.beid.ResidenceTypes.GridPanel(p);
});
Lino.beid.ResidenceTypes.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.RequestStates
Lino.cbss.RequestStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RequestStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestStates','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "cbss request states",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value9964 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9965 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9966 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9967 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.value) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.name) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.text) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.button_text) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.cbss.RequestStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RequestStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RequestStates" };
  return new Lino.cbss.RequestStates.GridPanel(p);
});
Lino.cbss.RequestStates.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.ManageActions
Lino.cbss.ManageActions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageActions",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageActions','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageActions",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9969 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9970 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9971 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9972 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9973 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9974 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9975 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.value) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.name) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.text) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.detail_link) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.button_text) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.remark) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.type) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.ManageActions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageActions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageActions" };
  return new Lino.cbss.ManageActions.GridPanel(p);
});
Lino.cbss.ManageActions.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.QueryRegisters
Lino.cbss.QueryRegisters.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/QueryRegisters",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/QueryRegisters','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "QueryRegisters",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9977 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9978 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9979 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9980 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9981 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9982 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9983 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.value) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.name) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.text) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.detail_link) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.button_text) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.remark) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.type) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.QueryRegisters.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.QueryRegisters.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/QueryRegisters" };
  return new Lino.cbss.QueryRegisters.GridPanel(p);
});
Lino.cbss.QueryRegisters.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.RequestLanguages
Lino.cbss.RequestLanguages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RequestLanguages",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestLanguages','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "RequestLanguages",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9985 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9986 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9987 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9988 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9989 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9990 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9991 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.value) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.name) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.text) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.detail_link) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.button_text) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.remark) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.type) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.RequestLanguages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RequestLanguages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RequestLanguages" };
  return new Lino.cbss.RequestLanguages.GridPanel(p);
});
Lino.cbss.RequestLanguages.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractEvents
Lino.isip.ContractEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEvents','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Observed events",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value9993 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9994 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9995 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9996 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9997 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9998 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9999 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.value) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.name) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.text) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.detail_link) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.button_text) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.remark) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.type) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.isip.ContractEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractEvents" };
  return new Lino.isip.ContractEvents.GridPanel(p);
});
Lino.isip.ContractEvents.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.OverlapGroups
Lino.isip.OverlapGroups.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/OverlapGroups",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/isip/OverlapGroups','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Overlap groups",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value10001 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name10002 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10003 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp10004 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text10005 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp10006 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp10007 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.value) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.name) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.text) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.detail_link) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.button_text) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.remark) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.type) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.type) ", "width": Lino.chars2width(31) } ];
    Lino.isip.OverlapGroups.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.OverlapGroups.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/OverlapGroups" };
  return new Lino.isip.OverlapGroups.GridPanel(p);
});
Lino.isip.OverlapGroups.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.RefusalReasons
Lino.pcsw.RefusalReasons.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/RefusalReasons",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/pcsw/RefusalReasons','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Refusal reasons",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value10009 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name10010 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10011 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp10012 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text10013 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp10014 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp10015 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.value) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.name) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.text) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.detail_link) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.button_text) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.remark) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.type) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.type) ", "width": Lino.chars2width(31) } ];
    Lino.pcsw.RefusalReasons.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.RefusalReasons.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/RefusalReasons" };
  return new Lino.pcsw.RefusalReasons.GridPanel(p);
});
Lino.pcsw.RefusalReasons.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.FollowedFORem
Lino.pcsw.FollowedFORem.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/FollowedFORem",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/pcsw/FollowedFORem','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "FollowedFORem",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value10017 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name10018 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10019 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp10020 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text10021 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp10022 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp10023 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.FollowedFORem.value) ") }, "sortable": true, "tooltip": "(pcsw.FollowedFORem.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.FollowedFORem.name) ") }, "sortable": true, "tooltip": "(pcsw.FollowedFORem.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.FollowedFORem.text) ") }, "sortable": true, "tooltip": "(pcsw.FollowedFORem.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.FollowedFORem.detail_link) ") }, "sortable": false, "tooltip": "(pcsw.FollowedFORem.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.FollowedFORem.button_text) ") }, "sortable": true, "tooltip": "(pcsw.FollowedFORem.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.FollowedFORem.remark) ") }, "sortable": false, "tooltip": "(pcsw.FollowedFORem.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.FollowedFORem.type) ") }, "sortable": false, "tooltip": "(pcsw.FollowedFORem.type) ", "width": Lino.chars2width(31) } ];
    Lino.pcsw.FollowedFORem.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.FollowedFORem.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/FollowedFORem", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.FollowedFORem.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/FollowedFORem", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.FollowedFORem.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/FollowedFORem", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.FollowedFORem.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/FollowedFORem", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.FollowedFORem.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/FollowedFORem" };
  return new Lino.pcsw.FollowedFORem.GridPanel(p);
});
Lino.pcsw.FollowedFORem.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/FollowedFORem", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class calview.Planners
Lino.calview.Planners.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/calview/Planners",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/calview/Planners','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Planners",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value10025 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name10026 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10027 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp10028 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text10029 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp10030 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp10031 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(calview.Planners.value) ") }, "sortable": true, "tooltip": "(calview.Planners.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(calview.Planners.name) ") }, "sortable": true, "tooltip": "(calview.Planners.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(calview.Planners.text) ") }, "sortable": true, "tooltip": "(calview.Planners.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(calview.Planners.detail_link) ") }, "sortable": false, "tooltip": "(calview.Planners.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(calview.Planners.button_text) ") }, "sortable": true, "tooltip": "(calview.Planners.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(calview.Planners.remark) ") }, "sortable": false, "tooltip": "(calview.Planners.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(calview.Planners.type) ") }, "sortable": false, "tooltip": "(calview.Planners.type) ", "width": Lino.chars2width(31) } ];
    Lino.calview.Planners.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.calview.Planners.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/Planners", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.Planners.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/Planners", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.Planners.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/Planners", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.Planners.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/Planners", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.calview.Planners.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/calview/Planners" };
  return new Lino.calview.Planners.GridPanel(p);
});
Lino.calview.Planners.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/calview/Planners", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.MemberDependencies
Lino.households.MemberDependencies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MemberDependencies",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/households/MemberDependencies','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Household Member Dependencies",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value10033 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name10034 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10035 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp10036 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text10037 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp10038 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp10039 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.value) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.name) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.text) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.detail_link) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.button_text) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.remark) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.type) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.type) ", "width": Lino.chars2width(31) } ];
    Lino.households.MemberDependencies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MemberDependencies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MemberDependencies" };
  return new Lino.households.MemberDependencies.GridPanel(p);
});
Lino.households.MemberDependencies.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.CandidatureStates
Lino.jobs.CandidatureStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidatureStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidatureStates','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Candidature states",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value10041 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name10042 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10043 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp10044 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text10045 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp10046 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp10047 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.value) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.name) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.text) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.detail_link) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.button_text) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.remark) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.type) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.type) ", "width": Lino.chars2width(31) } ];
    Lino.jobs.CandidatureStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidatureStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidatureStates" };
  return new Lino.jobs.CandidatureStates.GridPanel(p);
});
Lino.jobs.CandidatureStates.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art60.RefundFilters
Lino.art60.RefundFilters.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art60/RefundFilters",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art60/RefundFilters','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "RefundFilters",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value10049 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name10050 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10051 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp10052 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text10053 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp10054 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp10055 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(art60.RefundFilters.value) ") }, "sortable": true, "tooltip": "(art60.RefundFilters.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(art60.RefundFilters.name) ") }, "sortable": true, "tooltip": "(art60.RefundFilters.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(art60.RefundFilters.text) ") }, "sortable": true, "tooltip": "(art60.RefundFilters.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.RefundFilters.detail_link) ") }, "sortable": false, "tooltip": "(art60.RefundFilters.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.RefundFilters.button_text) ") }, "sortable": true, "tooltip": "(art60.RefundFilters.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.RefundFilters.remark) ") }, "sortable": false, "tooltip": "(art60.RefundFilters.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art60.RefundFilters.type) ") }, "sortable": false, "tooltip": "(art60.RefundFilters.type) ", "width": Lino.chars2width(31) } ];
    Lino.art60.RefundFilters.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art60.RefundFilters.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/RefundFilters", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.RefundFilters.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/RefundFilters", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.RefundFilters.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/RefundFilters", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.RefundFilters.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/RefundFilters", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art60.RefundFilters.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art60/RefundFilters" };
  return new Lino.art60.RefundFilters.GridPanel(p);
});
Lino.art60.RefundFilters.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art60/RefundFilters", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class art61.Subsidizations
Lino.art61.Subsidizations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/Subsidizations",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/art61/Subsidizations','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Subsidizations",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value10057 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name10058 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10059 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp10060 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text10061 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp10062 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp10063 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.value) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.name) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.text) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.detail_link) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.button_text) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.remark) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.type) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.type) ", "width": Lino.chars2width(31) } ];
    Lino.art61.Subsidizations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Subsidizations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/Subsidizations" };
  return new Lino.art61.Subsidizations.GridPanel(p);
});
Lino.art61.Subsidizations.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.TableLayouts
Lino.debts.TableLayouts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/TableLayouts",
  ls_store_fields : [ { "name": "value" }, { "name": "text" }, { "name": "columns_spec" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/debts/TableLayouts','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Table layouts",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var value10065 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10066 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var columns_spec10067 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.value) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.text) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "columns_spec", "editable": false, "header": "Columns", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.columns_spec) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.columns_spec) ", "width": Lino.chars2width(22) } ];
    Lino.debts.TableLayouts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.TableLayouts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/TableLayouts" };
  return new Lino.debts.TableLayouts.GridPanel(p);
});
Lino.debts.TableLayouts.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.ConfirmationTypes
Lino.aids.ConfirmationTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "value" }, { "name": "text" }, { "name": "et_template" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 1,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationTypes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aid confirmation types",
  disabled_fields_index : 8,
  initComponent : function() {
    var ww = this.containing_window;
    var name10069 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var value10070 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10071 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var et_template10072 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var detail_link_disp10073 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text10074 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp10075 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp10076 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.name) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.value) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "et_template", "editable": false, "header": "Template", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.et_template) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.et_template) ", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.detail_link) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.button_text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 6, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.remark) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.type) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.aids.ConfirmationTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationTypes" };
  return new Lino.aids.ConfirmationTypes.GridPanel(p);
});
Lino.aids.ConfirmationTypes.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.AidRegimes
Lino.aids.AidRegimes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/AidRegimes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/AidRegimes','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "AidRegimes",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value10078 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name10079 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10080 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp10081 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text10082 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp10083 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp10084 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.value) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.name) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.text) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.detail_link) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.button_text) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.remark) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.type) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.type) ", "width": Lino.chars2width(31) } ];
    Lino.aids.AidRegimes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AidRegimes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AidRegimes" };
  return new Lino.aids.AidRegimes.GridPanel(p);
});
Lino.aids.AidRegimes.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.ConfirmationStates
Lino.aids.ConfirmationStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationStates','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aid confirmation states",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var value10086 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name10087 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10088 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text10089 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.value) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.name) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.button_text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.aids.ConfirmationStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationStates" };
  return new Lino.aids.ConfirmationStates.GridPanel(p);
});
Lino.aids.ConfirmationStates.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class esf.ParticipationCertificates
Lino.esf.ParticipationCertificates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/ParticipationCertificates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "itemId": "open_help", "menu_item_text": "open_help", "overflowText": "open_help", "panel_btn_handler": Lino.list_action_handler('/esf/ParticipationCertificates','open_help','GET',null), "text": " <font size=\"4\">?</font>", "tooltip": "Open Help Window", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "No data to display.", "forceFit": true, "getRowClass": Lino.getRowClass },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Participation Certificates",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var value10091 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name10092 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text10093 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp10094 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text10095 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp10096 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp10097 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "value", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.value) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.name) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "text", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.text) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Description", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.detail_link) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.button_text) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Remark", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.remark) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.type) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.type) ", "width": Lino.chars2width(31) } ];
    Lino.esf.ParticipationCertificates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.ParticipationCertificates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/ParticipationCertificates" };
  return new Lino.esf.ParticipationCertificates.GridPanel(p);
});
Lino.esf.ParticipationCertificates.open_help = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "open_help", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
